// fade/index.mjs
import { animate, animation, style } from "@angular/animations";
var base = [
  /* @__PURE__ */ style({
    opacity: `{{startOpacity}}`
  }),
  /* @__PURE__ */ animate(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style({
      opacity: `{{endOpacity}}`
    })
  )
];
var fadeIn = /* @__PURE__ */ animation(base, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 1,
    startOpacity: 0
  }
});
var fadeOut = /* @__PURE__ */ animation(base, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    startOpacity: 1
  }
});

// flip/index.mjs
import { animate as animate2, animation as animation2, keyframes, style as style2 } from "@angular/animations";
var baseRecipe = [
  /* @__PURE__ */ style2({
    backfaceVisibility: "hidden",
    transformStyle: "preserve-3d"
  }),
  /* @__PURE__ */ animate2(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ keyframes([
      /* @__PURE__ */ style2({
        offset: 0,
        transform: `translateZ({{startDistance}})
                rotate3d({{rotateX}}, {{rotateY}}, {{rotateZ}}, {{startAngle}}deg)`
      }),
      /* @__PURE__ */ style2({
        offset: 1,
        transform: `translateZ({{endDistance}})
                rotate3d({{rotateX}}, {{rotateY}}, {{rotateZ}}, {{endAngle}}deg)`
      })
    ])
  )
];
var flipTop = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    endDistance: "0px",
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px"
  }
});
var flipBottom = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endDistance: "0px",
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endAngle: -180
  }
});
var flipLeft = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    endDistance: "0px",
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    rotateX: 0,
    rotateY: 1
  }
});
var flipRight = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endDistance: "0px",
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endAngle: -180,
    rotateX: 0,
    rotateY: 1
  }
});
var flipHorFwd = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endDistance: "170px"
  }
});
var flipHorBck = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endDistance: "-170px"
  }
});
var flipVerFwd = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endDistance: "170px",
    rotateX: 0,
    rotateY: 1
  }
});
var flipVerBck = /* @__PURE__ */ animation2(baseRecipe, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 180,
    rotateZ: 0,
    startAngle: 0,
    startDistance: "0px",
    endDistance: "-170px",
    rotateX: 0,
    rotateY: 1
  }
});

// grow/index.mjs
import { animate as animate3, animation as animation3, style as style3 } from "@angular/animations";
var base2 = [
  /* @__PURE__ */ style3({
    opacity: `{{ startOpacity }}`,
    height: `{{ startHeight }}`,
    paddingBlock: `{{ startPadding }}`
  }),
  /* @__PURE__ */ animate3(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style3({
      opacity: `{{ endOpacity }}`,
      height: `{{ endHeight }}`,
      paddingBlock: `{{ endPadding }}`
    })
  )
];
var growVerIn = /* @__PURE__ */ animation3(base2, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    startOpacity: 0,
    endOpacity: 1,
    startHeight: "0px",
    endHeight: "*",
    startPadding: "0px",
    endPadding: "*"
  }
});
var growVerOut = /* @__PURE__ */ animation3(base2, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    startOpacity: 1,
    endOpacity: 0,
    startHeight: "*",
    endHeight: "0px",
    startPadding: "*",
    endPadding: "0px"
  }
});

// misc/shake.mjs
import { animate as animate4, animation as animation4, keyframes as keyframes2, style as style4 } from "@angular/animations";
var baseRecipe2 = [
  /* @__PURE__ */ animate4(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ keyframes2([
      /* @__PURE__ */ style4({
        offset: 0,
        transform: `rotate(0deg) translate{{direction}}(0)`,
        transformOrigin: `{{xPos}} {{yPos}}`
      }),
      /* @__PURE__ */ style4({
        offset: 0.1,
        transform: `rotate({{endAngle}}deg) translate{{direction}}(-{{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.2,
        transform: `rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.3,
        transform: `rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.4,
        transform: `rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.5,
        transform: `rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.6,
        transform: `rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.7,
        transform: `rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.8,
        transform: `rotate(-{{endAngle}}deg) translate{{direction}}({{endDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 0.9,
        transform: `rotate({{endAngle}}deg) translate{{direction}}(-{{endDistance}})`
      }),
      /* @__PURE__ */ style4({
        offset: 1,
        transform: `rotate(0deg) translate{{direction}}(0)`,
        transformOrigin: `{{xPos}} {{yPos}}`
      })
    ])
  )
];
var shakeHor = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    direction: "X",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    endAngle: 0,
    endDistance: "8px",
    startAngle: 0,
    startDistance: "10px",
    xPos: "center",
    yPos: "center"
  }
});
var shakeVer = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    direction: "Y",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    endAngle: 0,
    endDistance: "8px",
    startAngle: 0,
    startDistance: "10px",
    xPos: "center",
    yPos: "center"
  }
});
var shakeTop = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    direction: "X",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    xPos: "center",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    yPos: "top"
  }
});
var shakeBottom = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    xPos: "center",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    yPos: "bottom"
  }
});
var shakeRight = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "right",
    yPos: "center"
  }
});
var shakeLeft = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "left",
    yPos: "center"
  }
});
var shakeCenter = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 8,
    endDistance: "0",
    startAngle: 10,
    startDistance: "0",
    xPos: "center",
    yPos: "center"
  }
});
var shakeTr = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "right",
    yPos: "top"
  }
});
var shakeBr = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "right",
    yPos: "bottom"
  }
});
var shakeBl = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "left",
    yPos: "bottom"
  }
});
var shakeTl = /* @__PURE__ */ animation4(baseRecipe2, {
  params: {
    delay: "0s",
    duration: "800ms",
    easing: "cubic-bezier(0.455, 0.030, 0.515, 0.955)",
    direction: "Y",
    endAngle: 2,
    endDistance: "0",
    startAngle: 4,
    startDistance: "0",
    xPos: "left",
    yPos: "top"
  }
});

// misc/pulsate.mjs
import { animate as animate5, animation as animation5, keyframes as keyframes3, style as style5 } from "@angular/animations";
var heartbeatBase = [
  /* @__PURE__ */ style5({
    animationTimingFunction: `ease-out`,
    transform: `scale(1)`,
    transformOrigin: `center center`
  }),
  /* @__PURE__ */ animate5(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ keyframes3([
      /* @__PURE__ */ style5({
        animationTimingFunction: `ease-in`,
        offset: 0.1,
        transform: `scale(0.91)`
      }),
      /* @__PURE__ */ style5({
        animationTimingFunction: `ease-out`,
        offset: 0.17,
        transform: `scale(0.98)`
      }),
      /* @__PURE__ */ style5({
        animationTimingFunction: `ease-in`,
        offset: 0.33,
        transform: `scale(0.87)`
      }),
      /* @__PURE__ */ style5({
        animationTimingFunction: `ease-out`,
        offset: 0.45,
        transform: `scale(1)`
      })
    ])
  )
];
var pulsateBase = [
  /* @__PURE__ */ animate5(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ keyframes3([
      /* @__PURE__ */ style5({
        offset: 0,
        transform: `scale({{fromScale}})`
      }),
      /* @__PURE__ */ style5({
        offset: 0.5,
        transform: `scale({{toScale}})`
      }),
      /* @__PURE__ */ style5({
        offset: 1,
        transform: `scale({{fromScale}})`
      })
    ])
  )
];
var blinkBase = [
  /* @__PURE__ */ animate5(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ keyframes3([
      /* @__PURE__ */ style5({
        offset: 0,
        opacity: 0.8,
        transform: `scale({{fromScale}})`
      }),
      /* @__PURE__ */ style5({
        offset: 0.8,
        opacity: 0,
        transform: `scale({{midScale}})`
      }),
      /* @__PURE__ */ style5({
        offset: 1,
        opacity: 0,
        transform: `scale({{toScale}})`
      })
    ])
  )
];
var pulsateFwd = /* @__PURE__ */ animation5(pulsateBase, {
  params: {
    delay: "0s",
    duration: ".5s",
    easing: "ease-in-out",
    fromScale: 1,
    toScale: 1.1
  }
});
var pulsateBck = /* @__PURE__ */ animation5(pulsateBase, {
  params: {
    delay: "0s",
    duration: ".5s",
    easing: "ease-in-out",
    fromScale: 1,
    toScale: 0.9
  }
});
var heartbeat = /* @__PURE__ */ animation5(heartbeatBase, {
  params: {
    delay: "0s",
    duration: "1.5s",
    easing: "ease-in-out"
  }
});
var blink = /* @__PURE__ */ animation5(blinkBase, {
  params: {
    delay: "0s",
    duration: ".8s",
    easing: "ease-in-out",
    fromScale: 0.2,
    midScale: 1.2,
    toScale: 2.2
  }
});

// rotate/index.mjs
import { animate as animate6, animation as animation6, style as style6 } from "@angular/animations";
var baseRecipe3 = [
  /* @__PURE__ */ style6({
    opacity: `{{startOpacity}}`,
    transform: `rotate3d({{rotateX}},{{rotateY}},{{rotateZ}},{{startAngle}}deg)`,
    transformOrigin: `{{xPos}} {{yPos}}`
  }),
  /* @__PURE__ */ animate6(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style6({
      offset: 0,
      opacity: `{{endOpacity}}`,
      transform: `rotate3d({{rotateX}},{{rotateY}},{{rotateZ}},{{endAngle}}deg)`,
      transformOrigin: `{{xPos}} {{yPos}}`
    })
  )
];
var rotateInCenter = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "center",
    yPos: "center"
  }
});
var rotateOutCenter = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    xPos: "center",
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1
  }
});
var rotateInTop = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    yPos: "center",
    xPos: "top"
  }
});
var rotateOutTop = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "top"
  }
});
var rotateInRight = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    yPos: "center",
    xPos: "right"
  }
});
var rotateOutRight = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "right"
  }
});
var rotateInBottom = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    yPos: "center",
    xPos: "bottom"
  }
});
var rotateOutBottom = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "bottom"
  }
});
var rotateInLeft = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    yPos: "center",
    xPos: "left"
  }
});
var rotateOutLeft = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "left"
  }
});
var rotateInTr = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "right",
    yPos: "top"
  }
});
var rotateOutTr = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "right",
    yPos: "top"
  }
});
var rotateInBr = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "right",
    yPos: "bottom"
  }
});
var rotateOutBr = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "right",
    yPos: "bottom"
  }
});
var rotateInBl = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "left",
    yPos: "bottom"
  }
});
var rotateOutBl = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "left",
    yPos: "bottom"
  }
});
var rotateInTl = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "left",
    yPos: "top"
  }
});
var rotateOutTl = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    rotateX: 0,
    rotateY: 0,
    rotateZ: 1,
    startAngle: -360,
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    xPos: "left",
    yPos: "top"
  }
});
var rotateInDiagonal1 = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "center",
    yPos: "center",
    rotateX: 1,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateOutDiagonal1 = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    startAngle: -360,
    xPos: "center",
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    rotateX: 1,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateInDiagonal2 = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "center",
    yPos: "center",
    rotateX: -1,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateOutDiagonal2 = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    startAngle: -360,
    xPos: "center",
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    rotateX: -1,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateInHor = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "center",
    yPos: "center",
    rotateX: 0,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateOutHor = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    startAngle: -360,
    xPos: "center",
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    rotateX: 0,
    rotateY: 1,
    rotateZ: 0
  }
});
var rotateInVer = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -360,
    startOpacity: 0,
    xPos: "center",
    yPos: "center",
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0
  }
});
var rotateOutVer = /* @__PURE__ */ animation6(baseRecipe3, {
  params: {
    delay: "0s",
    duration: "600ms",
    endAngle: 0,
    startAngle: -360,
    xPos: "center",
    yPos: "center",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    rotateX: 1,
    rotateY: 0,
    rotateZ: 0
  }
});

// scale/index.mjs
import { animate as animate7, animation as animation7, style as style7 } from "@angular/animations";
var base3 = [
  /* @__PURE__ */ style7({
    opacity: `{{startOpacity}}`,
    transform: `scale{{direction}}({{fromScale}})`,
    transformOrigin: `{{xPos}} {{yPos}}`
  }),
  /* @__PURE__ */ animate7(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style7({
      opacity: `{{endOpacity}}`,
      transform: `scale{{direction}}({{toScale}})`,
      transformOrigin: `{{xPos}} {{yPos}}`
    })
  )
];
var scaleInCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "50%",
    yPos: "50%"
  }
});
var scaleInBl = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "0",
    yPos: "100%"
  }
});
var scaleInVerCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    xPos: "50%",
    yPos: "50%",
    direction: "Y",
    fromScale: 0.4
  }
});
var scaleInTop = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "50%",
    yPos: "0"
  }
});
var scaleInLeft = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "0",
    yPos: "50%"
  }
});
var scaleInVerTop = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    direction: "Y",
    fromScale: 0.4,
    xPos: "100%",
    yPos: "0"
  }
});
var scaleInTr = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "100%",
    yPos: "0"
  }
});
var scaleInTl = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "0",
    yPos: "0"
  }
});
var scaleInVerBottom = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    direction: "Y",
    fromScale: 0.4,
    xPos: "0",
    yPos: "100%"
  }
});
var scaleInRight = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "100%",
    yPos: "50%"
  }
});
var scaleInHorCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    xPos: "50%",
    yPos: "50%",
    direction: "X",
    fromScale: 0.4
  }
});
var scaleInBr = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "100%",
    yPos: "100%"
  }
});
var scaleInHorLeft = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    direction: "X",
    fromScale: 0.4,
    xPos: "0",
    yPos: "0"
  }
});
var scaleInBottom = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromScale: 0.5,
    startOpacity: 0,
    toScale: 1,
    xPos: "50%",
    yPos: "100%"
  }
});
var scaleInHorRight = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    toScale: 1,
    direction: "X",
    fromScale: 0.4,
    xPos: "100%",
    yPos: "100%"
  }
});
var scaleOutCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    xPos: "50%",
    yPos: "50%",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5
  }
});
var scaleOutBl = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "0",
    yPos: "100%"
  }
});
var scaleOutBr = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "100%",
    yPos: "100%"
  }
});
var scaleOutVerCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    xPos: "50%",
    yPos: "50%",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "Y",
    toScale: 0.3
  }
});
var scaleOutVerTop = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "Y",
    toScale: 0.3,
    xPos: "100%",
    yPos: "0"
  }
});
var scaleOutVerBottom = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "Y",
    toScale: 0.3,
    xPos: "0",
    yPos: "100%"
  }
});
var scaleOutTop = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "50%",
    yPos: "0"
  }
});
var scaleOutLeft = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "0",
    yPos: "50%"
  }
});
var scaleOutTr = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "100%",
    yPos: "0"
  }
});
var scaleOutTl = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "0",
    yPos: "0"
  }
});
var scaleOutRight = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "100%",
    yPos: "50%"
  }
});
var scaleOutBottom = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    direction: "",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    toScale: 0.5,
    xPos: "50%",
    yPos: "100%"
  }
});
var scaleOutHorCenter = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    xPos: "50%",
    yPos: "50%",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "X",
    toScale: 0.3
  }
});
var scaleOutHorLeft = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "X",
    toScale: 0.3,
    xPos: "0",
    yPos: "0"
  }
});
var scaleOutHorRight = /* @__PURE__ */ animation7(base3, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.390, 0.575, 0.565, 1.000)",
    endOpacity: 0,
    fromScale: 1,
    startOpacity: 1,
    direction: "X",
    toScale: 0.3,
    xPos: "100%",
    yPos: "100%"
  }
});

// slide/index.mjs
import { animate as animate8, animation as animation8, style as style8 } from "@angular/animations";
var base4 = [
  /* @__PURE__ */ style8({
    opacity: `{{startOpacity}}`,
    transform: `{{fromPosition}}`
  }),
  /* @__PURE__ */ animate8(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style8({
      opacity: `{{endOpacity}}`,
      transform: `{{toPosition}}`
    })
  )
];
var slideInTop = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromPosition: "translateY(-500px)",
    startOpacity: 0,
    toPosition: "translateY(0)"
  }
});
var slideInLeft = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromPosition: "translateX(-500px)",
    startOpacity: 0,
    toPosition: "translateY(0)"
  }
});
var slideInRight = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromPosition: "translateX(500px)",
    startOpacity: 0,
    toPosition: "translateY(0)"
  }
});
var slideInBottom = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    fromPosition: "translateY(500px)",
    startOpacity: 0,
    toPosition: "translateY(0)"
  }
});
var slideInTr = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    fromPosition: "translateY(-500px) translateX(500px)",
    toPosition: "translateY(0) translateX(0)"
  }
});
var slideInTl = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    fromPosition: "translateY(-500px) translateX(-500px)",
    toPosition: "translateY(0) translateX(0)"
  }
});
var slideInBr = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    fromPosition: "translateY(500px) translateX(500px)",
    toPosition: "translateY(0) translateX(0)"
  }
});
var slideInBl = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.250, 0.460, 0.450, 0.940)",
    endOpacity: 1,
    startOpacity: 0,
    fromPosition: "translateY(500px) translateX(-500px)",
    toPosition: "translateY(0) translateX(0)"
  }
});
var slideOutTop = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    fromPosition: "translateY(0)",
    startOpacity: 1,
    toPosition: "translateY(-500px)"
  }
});
var slideOutRight = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    fromPosition: "translateY(0)",
    startOpacity: 1,
    toPosition: "translateX(500px)"
  }
});
var slideOutBottom = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    fromPosition: "translateY(0)",
    startOpacity: 1,
    toPosition: "translateY(500px)"
  }
});
var slideOutLeft = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    fromPosition: "translateY(0)",
    startOpacity: 1,
    toPosition: "translateX(-500px)"
  }
});
var slideOutTr = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    fromPosition: "translateY(0) translateX(0)",
    toPosition: "translateY(-500px) translateX(500px)"
  }
});
var slideOutBr = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    fromPosition: "translateY(0) translateX(0)",
    toPosition: "translateY(500px) translateX(500px)"
  }
});
var slideOutBl = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    fromPosition: "translateY(0) translateX(0)",
    toPosition: "translateY(500px) translateX(-500px)"
  }
});
var slideOutTl = /* @__PURE__ */ animation8(base4, {
  params: {
    delay: "0s",
    duration: "350ms",
    easing: "cubic-bezier(0.550, 0.085, 0.680, 0.530)",
    endOpacity: 0,
    startOpacity: 1,
    fromPosition: "translateY(0) translateX(0)",
    toPosition: "translateY(-500px) translateX(-500px)"
  }
});

// swing/index.mjs
import { animate as animate9, animation as animation9, style as style9 } from "@angular/animations";
var swingBase = [
  /* @__PURE__ */ style9({
    opacity: `{{startOpacity}}`,
    transform: `rotate{{direction}}({{startAngle}}deg)`,
    transformOrigin: `{{xPos}} {{yPos}}`
  }),
  /* @__PURE__ */ animate9(
    `{{duration}} {{delay}} {{easing}}`,
    /* @__PURE__ */ style9({
      opacity: `{{endOpacity}}`,
      transform: `rotate{{direction}}({{endAngle}}deg)`,
      transformOrigin: `{{xPos}} {{yPos}}`
    })
  )
];
var swingInTopFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    duration: ".5s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -100,
    startOpacity: 0,
    xPos: "top",
    yPos: "center"
  }
});
var swingInRightFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    duration: ".5s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startAngle: -100,
    startOpacity: 0,
    direction: "Y",
    xPos: "center",
    yPos: "right"
  }
});
var swingInBottomFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    duration: ".5s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    yPos: "center",
    startAngle: 100,
    xPos: "bottom"
  }
});
var swingInLeftFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    duration: ".5s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    direction: "Y",
    startAngle: 100,
    xPos: "center",
    yPos: "left"
  }
});
var swingInTopBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    xPos: "top",
    yPos: "center",
    duration: ".6s",
    startAngle: 70
  }
});
var swingInRightBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    direction: "Y",
    duration: ".6s",
    startAngle: 70,
    xPos: "center",
    yPos: "right"
  }
});
var swingInBottomBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    yPos: "center",
    duration: ".6s",
    startAngle: -70,
    xPos: "bottom"
  }
});
var swingInLeftBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    easing: "cubic-bezier(0.175, 0.885, 0.320, 1.275)",
    endAngle: 0,
    endOpacity: 1,
    startOpacity: 0,
    direction: "Y",
    duration: ".6s",
    startAngle: -70,
    xPos: "center",
    yPos: "left"
  }
});
var swingOutTopFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    xPos: "top",
    yPos: "center",
    duration: ".55s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endAngle: 70,
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1
  }
});
var swingOutRightFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    duration: ".55s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endAngle: 70,
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    direction: "Y",
    xPos: "center",
    yPos: "right"
  }
});
var swingOutBottomFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    yPos: "center",
    duration: ".55s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    endAngle: -70,
    xPos: "bottom"
  }
});
var swingOutLefttFwd = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    duration: ".55s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    direction: "Y",
    endAngle: -70,
    xPos: "center",
    yPos: "left"
  }
});
var swingOutTopBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    xPos: "top",
    yPos: "center",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    duration: ".45s",
    endAngle: -100
  }
});
var swingOutRightBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    direction: "Y",
    duration: ".45s",
    endAngle: -100,
    xPos: "center",
    yPos: "right"
  }
});
var swingOutBottomBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    direction: "X",
    yPos: "center",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    duration: ".45s",
    endAngle: 100,
    xPos: "bottom"
  }
});
var swingOutLeftBck = /* @__PURE__ */ animation9(swingBase, {
  params: {
    delay: "0s",
    easing: "cubic-bezier(0.600, -0.280, 0.735, 0.045)",
    endOpacity: 0,
    startAngle: 0,
    startOpacity: 1,
    direction: "Y",
    duration: ".45s",
    endAngle: 100,
    xPos: "center",
    yPos: "left"
  }
});

// util.mjs
var AnimationUtil = class {
  constructor() {
    this.oppositeAnimation = /* @__PURE__ */ new Map([
      [fadeIn, fadeIn],
      [fadeOut, fadeOut],
      [flipTop, flipBottom],
      [flipBottom, flipTop],
      [flipRight, flipLeft],
      [flipLeft, flipRight],
      [flipHorFwd, flipHorBck],
      [flipHorBck, flipHorFwd],
      [flipVerFwd, flipVerBck],
      [flipVerBck, flipVerFwd],
      [growVerIn, growVerIn],
      [growVerOut, growVerOut],
      [heartbeat, heartbeat],
      [pulsateFwd, pulsateBck],
      [pulsateBck, pulsateFwd],
      [blink, blink],
      [shakeHor, shakeHor],
      [shakeVer, shakeVer],
      [shakeTop, shakeTop],
      [shakeBottom, shakeBottom],
      [shakeRight, shakeRight],
      [shakeLeft, shakeLeft],
      [shakeCenter, shakeCenter],
      [shakeTr, shakeTr],
      [shakeBr, shakeBr],
      [shakeBl, shakeBl],
      [shakeTl, shakeTl],
      [rotateInCenter, rotateInCenter],
      [rotateOutCenter, rotateOutCenter],
      [rotateInTop, rotateInBottom],
      [rotateOutTop, rotateOutBottom],
      [rotateInRight, rotateInLeft],
      [rotateOutRight, rotateOutLeft],
      [rotateInLeft, rotateInRight],
      [rotateOutLeft, rotateOutRight],
      [rotateInBottom, rotateInTop],
      [rotateOutBottom, rotateOutTop],
      [rotateInTr, rotateInBl],
      [rotateOutTr, rotateOutBl],
      [rotateInBr, rotateInTl],
      [rotateOutBr, rotateOutTl],
      [rotateInBl, rotateInTr],
      [rotateOutBl, rotateOutTr],
      [rotateInTl, rotateInBr],
      [rotateOutTl, rotateOutBr],
      [rotateInDiagonal1, rotateInDiagonal1],
      [rotateOutDiagonal1, rotateOutDiagonal1],
      [rotateInDiagonal2, rotateInDiagonal2],
      [rotateOutDiagonal2, rotateOutDiagonal2],
      [rotateInHor, rotateInHor],
      [rotateOutHor, rotateOutHor],
      [rotateInVer, rotateInVer],
      [rotateOutVer, rotateOutVer],
      [scaleInTop, scaleInBottom],
      [scaleOutTop, scaleOutBottom],
      [scaleInRight, scaleInLeft],
      [scaleOutRight, scaleOutLeft],
      [scaleInBottom, scaleInTop],
      [scaleOutBottom, scaleOutTop],
      [scaleInLeft, scaleInRight],
      [scaleOutLeft, scaleOutRight],
      [scaleInCenter, scaleInCenter],
      [scaleOutCenter, scaleOutCenter],
      [scaleInTr, scaleInBl],
      [scaleOutTr, scaleOutBl],
      [scaleInBr, scaleInTl],
      [scaleOutBr, scaleOutTl],
      [scaleInBl, scaleInTr],
      [scaleOutBl, scaleOutTr],
      [scaleInTl, scaleInBr],
      [scaleOutTl, scaleOutBr],
      [scaleInVerTop, scaleInVerBottom],
      [scaleOutVerTop, scaleOutVerBottom],
      [scaleInVerBottom, scaleInVerTop],
      [scaleOutVerBottom, scaleOutVerTop],
      [scaleInVerCenter, scaleInVerCenter],
      [scaleOutVerCenter, scaleOutVerCenter],
      [scaleInHorCenter, scaleInHorCenter],
      [scaleOutHorCenter, scaleOutHorCenter],
      [scaleInHorLeft, scaleInHorRight],
      [scaleOutHorLeft, scaleOutHorRight],
      [scaleInHorRight, scaleInHorLeft],
      [scaleOutHorRight, scaleOutHorLeft],
      [slideInTop, slideInBottom],
      [slideOutTop, slideOutBottom],
      [slideInRight, slideInLeft],
      [slideOutRight, slideOutLeft],
      [slideInBottom, slideInTop],
      [slideOutBottom, slideOutTop],
      [slideInLeft, slideInRight],
      [slideOutLeft, slideOutRight],
      [slideInTr, slideInBl],
      [slideOutTr, slideOutBl],
      [slideInBr, slideInTl],
      [slideOutBr, slideOutTl],
      [slideInBl, slideInTr],
      [slideOutBl, slideOutTr],
      [slideInTl, slideInBr],
      [slideOutTl, slideOutBr],
      [swingInTopFwd, swingInBottomFwd],
      [swingOutTopFwd, swingOutBottomFwd],
      [swingInRightFwd, swingInLeftFwd],
      [swingOutRightFwd, swingOutLefttFwd],
      [swingInLeftFwd, swingInRightFwd],
      [swingOutLefttFwd, swingOutRightFwd],
      [swingInBottomFwd, swingInTopFwd],
      [swingOutBottomFwd, swingOutTopFwd],
      [swingInTopBck, swingInBottomBck],
      [swingOutTopBck, swingOutBottomBck],
      [swingInRightBck, swingInLeftBck],
      [swingOutRightBck, swingOutLeftBck],
      [swingInBottomBck, swingInTopBck],
      [swingOutBottomBck, swingOutTopBck],
      [swingInLeftBck, swingInRightBck],
      [swingOutLeftBck, swingOutRightBck]
    ]);
    this.horizontalAnimations = [
      flipRight,
      flipLeft,
      flipVerFwd,
      flipVerBck,
      rotateInRight,
      rotateOutRight,
      rotateInLeft,
      rotateOutLeft,
      rotateInTr,
      rotateOutTr,
      rotateInBr,
      rotateOutBr,
      rotateInBl,
      rotateOutBl,
      rotateInTl,
      rotateOutTl,
      scaleInRight,
      scaleOutRight,
      scaleInLeft,
      scaleOutLeft,
      scaleInTr,
      scaleOutTr,
      scaleInBr,
      scaleOutBr,
      scaleInBl,
      scaleOutBl,
      scaleInTl,
      scaleOutTl,
      scaleInHorLeft,
      scaleOutHorLeft,
      scaleInHorRight,
      scaleOutHorRight,
      slideInRight,
      slideOutRight,
      slideInLeft,
      slideOutLeft,
      slideInTr,
      slideOutTr,
      slideInBr,
      slideOutBr,
      slideInBl,
      slideOutBl,
      slideInTl,
      slideOutTl,
      swingInRightFwd,
      swingOutRightFwd,
      swingInLeftFwd,
      swingOutLefttFwd,
      swingInRightBck,
      swingOutRightBck,
      swingInLeftBck,
      swingOutLeftBck
    ];
    this.verticalAnimations = [
      flipTop,
      flipBottom,
      flipHorFwd,
      flipHorBck,
      growVerIn,
      growVerOut,
      rotateInTop,
      rotateOutTop,
      rotateInBottom,
      rotateOutBottom,
      rotateInTr,
      rotateOutTr,
      rotateInBr,
      rotateOutBr,
      rotateInBl,
      rotateOutBl,
      rotateInTl,
      rotateOutTl,
      scaleInTop,
      scaleOutTop,
      scaleInBottom,
      scaleOutBottom,
      scaleInTr,
      scaleOutTr,
      scaleInBr,
      scaleOutBr,
      scaleInBl,
      scaleOutBl,
      scaleInTl,
      scaleOutTl,
      scaleInVerTop,
      scaleOutVerTop,
      scaleInVerBottom,
      scaleOutVerBottom,
      slideInTop,
      slideOutTop,
      slideInBottom,
      slideOutBottom,
      slideInTr,
      slideOutTr,
      slideInBr,
      slideOutBr,
      slideInBl,
      slideOutBl,
      slideInTl,
      slideOutTl,
      swingInTopFwd,
      swingOutTopFwd,
      swingInBottomFwd,
      swingOutBottomFwd,
      swingInTopBck,
      swingOutTopBck,
      swingInBottomBck,
      swingOutBottomBck
    ];
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  reverseAnimationResolver(animation10) {
    return this.oppositeAnimation.get(animation10) ?? animation10;
  }
  isHorizontalAnimation(animation10) {
    return this.horizontalAnimations.includes(animation10);
  }
  isVerticalAnimation(animation10) {
    return this.verticalAnimations.includes(animation10);
  }
};
export {
  AnimationUtil,
  blink,
  fadeIn,
  fadeOut,
  flipBottom,
  flipHorBck,
  flipHorFwd,
  flipLeft,
  flipRight,
  flipTop,
  flipVerBck,
  flipVerFwd,
  growVerIn,
  growVerOut,
  heartbeat,
  pulsateBck,
  pulsateFwd,
  rotateInBl,
  rotateInBottom,
  rotateInBr,
  rotateInCenter,
  rotateInDiagonal1,
  rotateInDiagonal2,
  rotateInHor,
  rotateInLeft,
  rotateInRight,
  rotateInTl,
  rotateInTop,
  rotateInTr,
  rotateInVer,
  rotateOutBl,
  rotateOutBottom,
  rotateOutBr,
  rotateOutCenter,
  rotateOutDiagonal1,
  rotateOutDiagonal2,
  rotateOutHor,
  rotateOutLeft,
  rotateOutRight,
  rotateOutTl,
  rotateOutTop,
  rotateOutTr,
  rotateOutVer,
  scaleInBl,
  scaleInBottom,
  scaleInBr,
  scaleInCenter,
  scaleInHorCenter,
  scaleInHorLeft,
  scaleInHorRight,
  scaleInLeft,
  scaleInRight,
  scaleInTl,
  scaleInTop,
  scaleInTr,
  scaleInVerBottom,
  scaleInVerCenter,
  scaleInVerTop,
  scaleOutBl,
  scaleOutBottom,
  scaleOutBr,
  scaleOutCenter,
  scaleOutHorCenter,
  scaleOutHorLeft,
  scaleOutHorRight,
  scaleOutLeft,
  scaleOutRight,
  scaleOutTl,
  scaleOutTop,
  scaleOutTr,
  scaleOutVerBottom,
  scaleOutVerCenter,
  scaleOutVerTop,
  shakeBl,
  shakeBottom,
  shakeBr,
  shakeCenter,
  shakeHor,
  shakeLeft,
  shakeRight,
  shakeTl,
  shakeTop,
  shakeTr,
  shakeVer,
  slideInBl,
  slideInBottom,
  slideInBr,
  slideInLeft,
  slideInRight,
  slideInTl,
  slideInTop,
  slideInTr,
  slideOutBl,
  slideOutBottom,
  slideOutBr,
  slideOutLeft,
  slideOutRight,
  slideOutTl,
  slideOutTop,
  slideOutTr,
  swingInBottomBck,
  swingInBottomFwd,
  swingInLeftBck,
  swingInLeftFwd,
  swingInRightBck,
  swingInRightFwd,
  swingInTopBck,
  swingInTopFwd,
  swingOutBottomBck,
  swingOutBottomFwd,
  swingOutLeftBck,
  swingOutLefttFwd,
  swingOutRightBck,
  swingOutRightFwd,
  swingOutTopBck,
  swingOutTopFwd
};
//# sourceMappingURL=igniteui-angular-animations.mjs.map
