// lib/core/navigation/nav.service.mjs
import { Injectable } from "@angular/core";
import * as i0 from "@angular/core";
var IgxNavigationService = class _IgxNavigationService {
  constructor() {
    this.navs = {};
  }
  add(id, navItem) {
    this.navs[id] = navItem;
  }
  remove(id) {
    delete this.navs[id];
  }
  get(id) {
    if (id) {
      return this.navs[id];
    }
  }
  toggle(id, ...args) {
    if (this.navs[id]) {
      return this.navs[id].toggle(...args);
    }
  }
  open(id, ...args) {
    if (this.navs[id]) {
      return this.navs[id].open(...args);
    }
  }
  close(id, ...args) {
    if (this.navs[id]) {
      return this.navs[id].close(...args);
    }
  }
  static {
    this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0, type: _IgxNavigationService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0, type: _IgxNavigationService, providedIn: "root" });
  }
};
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0, type: IgxNavigationService, decorators: [{
  type: Injectable,
  args: [{ providedIn: "root" }]
}], ctorParameters: () => [] });

// lib/core/navigation/directives.mjs
import { Directive, HostListener, Input } from "@angular/core";
import * as i02 from "@angular/core";
var IgxNavigationToggleDirective = class _IgxNavigationToggleDirective {
  constructor(nav) {
    this.state = nav;
  }
  toggleNavigationDrawer() {
    this.state.toggle(this.target, true);
  }
  static {
    this.ɵfac = i02.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i02, type: _IgxNavigationToggleDirective, deps: [{ token: IgxNavigationService }], target: i02.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i02.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavigationToggleDirective, isStandalone: true, selector: "[igxNavToggle]", inputs: { target: ["igxNavToggle", "target"] }, host: { listeners: { "click": "toggleNavigationDrawer()" } }, ngImport: i02 });
  }
};
i02.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i02, type: IgxNavigationToggleDirective, decorators: [{
  type: Directive,
  args: [{
    selector: "[igxNavToggle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxNavigationService }], propDecorators: { target: [{
  type: Input,
  args: ["igxNavToggle"]
}], toggleNavigationDrawer: [{
  type: HostListener,
  args: ["click"]
}] } });
var IgxNavigationCloseDirective = class _IgxNavigationCloseDirective {
  constructor(nav) {
    this.state = nav;
  }
  closeNavigationDrawer() {
    this.state.close(this.target, true);
  }
  static {
    this.ɵfac = i02.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i02, type: _IgxNavigationCloseDirective, deps: [{ token: IgxNavigationService }], target: i02.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i02.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavigationCloseDirective, isStandalone: true, selector: "[igxNavClose]", inputs: { target: ["igxNavClose", "target"] }, host: { listeners: { "click": "closeNavigationDrawer()" } }, ngImport: i02 });
  }
};
i02.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i02, type: IgxNavigationCloseDirective, decorators: [{
  type: Directive,
  args: [{
    selector: "[igxNavClose]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxNavigationService }], propDecorators: { target: [{
  type: Input,
  args: ["igxNavClose"]
}], closeNavigationDrawer: [{
  type: HostListener,
  args: ["click"]
}] } });

// lib/core/setImmediate.mjs
var queue = {};
var counter = 0;
var eventListenerAdded = false;
var run = (id) => {
  if (queue.hasOwnProperty(id)) {
    const fn = queue[id];
    delete queue[id];
    fn();
  }
};
var listener = (event) => run(event.data);
function setImmediate(cb, ...args) {
  if (window.setImmediate) {
    return window.setImmediate(cb);
  }
  if (!eventListenerAdded) {
    eventListenerAdded = true;
    window.addEventListener("message", listener, false);
  }
  queue[++counter] = () => {
    cb.apply(void 0, args);
  };
  const windowLocation = window.location;
  window.postMessage(counter + "", windowLocation.protocol + "//" + windowLocation.host);
  return counter;
}
function clearImmediate(id) {
  if (window.clearImmediate) {
    return window.clearImmediate(id);
  }
  delete queue[id];
}

// lib/core/utils.mjs
import { CurrencyPipe, formatDate as _formatDate, isPlatformBrowser } from "@angular/common";
import { Inject, Injectable as Injectable2, PLATFORM_ID } from "@angular/core";
import { mergeWith } from "lodash-es";
import { Observable } from "rxjs";
import { isDevMode } from "@angular/core";
import * as i03 from "@angular/core";
var showMessage = (message, isMessageShown) => {
  if (!isMessageShown && isDevMode()) {
    console.warn(message);
  }
  return true;
};
var mkenum = (x) => x;
var getResizeObserver = () => globalThis.window?.ResizeObserver;
var cloneArray = (array, deep) => {
  const arr = [];
  if (!array) {
    return arr;
  }
  let i = array.length;
  while (i--) {
    arr[i] = deep ? cloneValue(array[i]) : array[i];
  }
  return arr;
};
var cloneHierarchicalArray = (array, childDataKey) => {
  const result = [];
  if (!array) {
    return result;
  }
  for (const item of array) {
    const clonedItem = cloneValue(item);
    if (Array.isArray(item[childDataKey])) {
      clonedItem[childDataKey] = cloneHierarchicalArray(clonedItem[childDataKey], childDataKey);
    }
    result.push(clonedItem);
  }
  return result;
};
var copyDescriptors = (obj) => {
  if (obj) {
    return Object.create(Object.getPrototypeOf(obj), Object.getOwnPropertyDescriptors(obj));
  }
};
var mergeObjects = (obj1, obj2) => mergeWith(obj1, obj2, (objValue, srcValue) => {
  if (Array.isArray(srcValue)) {
    return objValue = srcValue;
  }
});
var cloneValue = (value) => {
  if (isDate(value)) {
    return new Date(value.getTime());
  }
  if (Array.isArray(value)) {
    return [...value];
  }
  if (value instanceof Map || value instanceof Set) {
    return value;
  }
  if (isObject(value)) {
    const result = {};
    for (const key of Object.keys(value)) {
      result[key] = cloneValue(value[key]);
    }
    return result;
  }
  return value;
};
var cloneValueCached = (value, cache) => {
  if (isDate(value)) {
    return new Date(value.getTime());
  }
  if (Array.isArray(value)) {
    return [...value];
  }
  if (value instanceof Map || value instanceof Set) {
    return value;
  }
  if (isObject(value)) {
    if (cache.has(value)) {
      return cache.get(value);
    }
    const result = {};
    cache.set(value, result);
    for (const key of Object.keys(value)) {
      result[key] = cloneValueCached(value[key], cache);
    }
    return result;
  }
  return value;
};
var parseDate = (value) => {
  if (isDate(value)) {
    return !isNaN(value.getTime()) ? value : null;
  }
  return value ? new Date(value) : null;
};
var uniqueDates = (columnValues) => columnValues.reduce((a, c) => {
  if (!a.cache[c.label]) {
    a.result.push(c);
  }
  a.cache[c.label] = true;
  return a;
}, { result: [], cache: {} }).result;
var isObject = (value) => !!(value && value.toString() === "[object Object]");
var isDate = (value) => value instanceof Date;
var isEqual = (obj1, obj2) => {
  if (isDate(obj1) && isDate(obj2)) {
    return obj1.getTime() === obj2.getTime();
  }
  return obj1 === obj2;
};
var isNaNvalue = (value) => isNaN(value) && value !== void 0 && typeof value !== "string";
var PlatformUtil = class _PlatformUtil {
  constructor(platformId) {
    this.platformId = platformId;
    this.isBrowser = isPlatformBrowser(this.platformId);
    this.isIOS = this.isBrowser && /iPad|iPhone|iPod/.test(navigator.userAgent) && !("MSStream" in window);
    this.isSafari = this.isBrowser && /Safari[\/\s](\d+\.\d+)/.test(navigator.userAgent);
    this.isFirefox = this.isBrowser && /Firefox[\/\s](\d+\.\d+)/.test(navigator.userAgent);
    this.isEdge = this.isBrowser && /Edge[\/\s](\d+\.\d+)/.test(navigator.userAgent);
    this.isChromium = this.isBrowser && (/Chrom|e?ium/g.test(navigator.userAgent) || /Google Inc/g.test(navigator.vendor)) && !/Edge/g.test(navigator.userAgent);
    this.browserVersion = this.isBrowser ? parseFloat(navigator.userAgent.match(/Version\/([\d.]+)/)?.at(1)) : 0;
    this.KEYMAP = mkenum({
      ENTER: "Enter",
      SPACE: " ",
      ESCAPE: "Escape",
      ARROW_DOWN: "ArrowDown",
      ARROW_UP: "ArrowUp",
      ARROW_LEFT: "ArrowLeft",
      ARROW_RIGHT: "ArrowRight",
      END: "End",
      HOME: "Home",
      PAGE_DOWN: "PageDown",
      PAGE_UP: "PageUp",
      F2: "F2",
      TAB: "Tab",
      SEMICOLON: ";",
      // https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/key/Key_Values#editing_keys
      DELETE: "Delete",
      BACKSPACE: "Backspace",
      CONTROL: "Control",
      X: "x",
      Y: "y",
      Z: "z"
    });
  }
  /**
   * @hidden @internal
   * Returns the actual size of the node content, using Range
   * ```typescript
   * let range = document.createRange();
   * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
   *
   * let size = getNodeSizeViaRange(range, column.cells[0].nativeElement);
   *
   * @remarks
   * The last parameter is useful when the size of the element to measure is modified by a
   * parent element that has explicit size. In such cases the calculated size is never lower
   * and the function may instead remove the parent size while measuring to get the correct value.
   * ```
   */
  getNodeSizeViaRange(range2, node, sizeHoldingNode) {
    let overflow = null;
    let nodeStyles;
    if (!this.isFirefox) {
      overflow = node.style.overflow;
      node.style.overflow = "visible";
    }
    if (sizeHoldingNode) {
      const style2 = sizeHoldingNode.style;
      nodeStyles = [style2.width, style2.minWidth, style2.flexBasis];
      style2.width = "";
      style2.minWidth = "";
      style2.flexBasis = "";
    }
    range2.selectNodeContents(node);
    const scale = node.getBoundingClientRect().width / node.offsetWidth;
    const width = range2.getBoundingClientRect().width / scale;
    if (!this.isFirefox) {
      node.style.overflow = overflow;
    }
    if (sizeHoldingNode) {
      sizeHoldingNode.style.width = nodeStyles[0];
      sizeHoldingNode.style.minWidth = nodeStyles[1];
      sizeHoldingNode.style.flexBasis = nodeStyles[2];
    }
    return width;
  }
  /**
   * Returns true if the current keyboard event is an activation key (Enter/Space bar)
   *
   * @hidden
   * @internal
   *
   * @memberof PlatformUtil
   */
  isActivationKey(event) {
    return event.key === this.KEYMAP.ENTER || event.key === this.KEYMAP.SPACE;
  }
  /**
   * Returns true if the current keyboard event is a combination that closes the filtering UI of the grid. (Escape/Ctrl+Shift+L)
   *
   * @hidden
   * @internal
   * @param event
   * @memberof PlatformUtil
   */
  isFilteringKeyCombo(event) {
    return event.key === this.KEYMAP.ESCAPE || event.ctrlKey && event.shiftKey && event.key.toLowerCase() === "l";
  }
  /**
   * @hidden @internal
   */
  isLeftClick(event) {
    return event.button === 0;
  }
  /**
   * @hidden @internal
   */
  isNavigationKey(key) {
    return [
      this.KEYMAP.HOME,
      this.KEYMAP.END,
      this.KEYMAP.SPACE,
      this.KEYMAP.ARROW_DOWN,
      this.KEYMAP.ARROW_LEFT,
      this.KEYMAP.ARROW_RIGHT,
      this.KEYMAP.ARROW_UP
    ].includes(key);
  }
  static {
    this.ɵfac = i03.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i03, type: _PlatformUtil, deps: [{ token: PLATFORM_ID }], target: i03.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i03.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i03, type: _PlatformUtil, providedIn: "root" });
  }
};
i03.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i03, type: PlatformUtil, decorators: [{
  type: Injectable2,
  args: [{ providedIn: "root" }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject,
  args: [PLATFORM_ID]
}] }] });
var flatten = (arr) => {
  let result = [];
  arr.forEach((el) => {
    result.push(el);
    if (el.children) {
      const children = Array.isArray(el.children) ? el.children : el.children.toArray();
      result = result.concat(flatten(children));
    }
  });
  return result;
};
var HORIZONTAL_NAV_KEYS = /* @__PURE__ */ new Set(["arrowleft", "left", "arrowright", "right", "home", "end"]);
var NAVIGATION_KEYS = /* @__PURE__ */ new Set([
  "down",
  "up",
  "left",
  "right",
  "arrowdown",
  "arrowup",
  "arrowleft",
  "arrowright",
  "home",
  "end",
  "space",
  "spacebar",
  " "
]);
var ACCORDION_NAVIGATION_KEYS = new Set("up down arrowup arrowdown home end".split(" "));
var ROW_EXPAND_KEYS = new Set("right down arrowright arrowdown".split(" "));
var ROW_COLLAPSE_KEYS = new Set("left up arrowleft arrowup".split(" "));
var ROW_ADD_KEYS = /* @__PURE__ */ new Set(["+", "add", "≠", "±", "="]);
var SUPPORTED_KEYS = /* @__PURE__ */ new Set([
  ...Array.from(NAVIGATION_KEYS),
  ...Array.from(ROW_ADD_KEYS),
  "enter",
  "f2",
  "escape",
  "esc",
  "pagedown",
  "pageup"
]);
var HEADER_KEYS = /* @__PURE__ */ new Set([
  ...Array.from(NAVIGATION_KEYS),
  "escape",
  "esc",
  "l",
  /** This symbol corresponds to the Alt + L combination under MAC. */
  "¬"
]);
var resizeObservable = (target) => new Observable((observer) => {
  const instance = new (getResizeObserver())((entries) => {
    observer.next(entries);
  });
  instance.observe(target);
  const unsubscribe = () => instance.disconnect();
  return unsubscribe;
});
var compareMaps = (map1, map22) => {
  if (!map22) {
    return !map1 ? true : false;
  }
  if (map1.size !== map22.size) {
    return false;
  }
  let match = true;
  const keys = Array.from(map22.keys());
  for (const key of keys) {
    if (map1.has(key)) {
      match = map1.get(key) === map22.get(key);
    } else {
      match = false;
    }
    if (!match) {
      break;
    }
  }
  return match;
};
var resolveNestedPath = (obj, path) => {
  const parts = path?.split(".") ?? [];
  let current = obj[parts.shift()];
  parts.forEach((prop) => {
    if (current) {
      current = current[prop];
    }
  });
  return current;
};
var reverseMapper = (path, value) => {
  const obj = {};
  const parts = path?.split(".") ?? [];
  let _prop = parts.shift();
  let mapping;
  obj[_prop] = value;
  mapping = obj;
  parts.forEach((prop) => {
    mapping[_prop] = {};
    mapping = mapping[_prop];
    mapping[prop] = value;
    _prop = prop;
  });
  return obj;
};
var yieldingLoop = (count, chunkSize, callback, done) => {
  let i = 0;
  const chunk = () => {
    const end = Math.min(i + chunkSize, count);
    for (; i < end; ++i) {
      callback(i);
    }
    if (i < count) {
      setImmediate(chunk);
    } else {
      done();
    }
  };
  chunk();
};
var isConstructor = (ref) => typeof ref === "function" && Boolean(ref.prototype) && Boolean(ref.prototype.constructor);
var formatDate = (value, format, locale, timezone) => {
  if (value === null || value === void 0 || value === "") {
    return "";
  }
  return _formatDate(value, format, locale, timezone);
};
var formatCurrency = new CurrencyPipe(void 0).transform;
var rem = (value) => {
  const base = parseFloat(globalThis.window?.getComputedStyle(globalThis.document?.documentElement).getPropertyValue("--ig-base-font-size"));
  return Number(value) / base;
};
function getComponentSize(el) {
  return globalThis.window?.getComputedStyle(el).getPropertyValue("--component-size");
}
function first(arr) {
  return arr.at(0);
}
function last(arr) {
  return arr.at(-1);
}
function modulo(n, d) {
  return (n % d + d) % d;
}
function* intoChunks(arr, size) {
  if (size < 1) {
    throw new Error("size must be an integer >= 1");
  }
  for (let i = 0; i < arr.length; i += size) {
    yield arr.slice(i, i + size);
  }
}

// lib/data-operations/paging-state.interface.mjs
var PagingError;
(function(PagingError2) {
  PagingError2[PagingError2["None"] = 0] = "None";
  PagingError2[PagingError2["IncorrectPageIndex"] = 1] = "IncorrectPageIndex";
  PagingError2[PagingError2["IncorrectRecordsPerPage"] = 2] = "IncorrectRecordsPerPage";
})(PagingError || (PagingError = {}));

// lib/services/transaction/transaction.mjs
var TransactionType;
(function(TransactionType2) {
  TransactionType2["ADD"] = "add";
  TransactionType2["DELETE"] = "delete";
  TransactionType2["UPDATE"] = "update";
})(TransactionType || (TransactionType = {}));
var TransactionEventOrigin;
(function(TransactionEventOrigin2) {
  TransactionEventOrigin2["UNDO"] = "undo";
  TransactionEventOrigin2["REDO"] = "redo";
  TransactionEventOrigin2["CLEAR"] = "clear";
  TransactionEventOrigin2["ADD"] = "add";
  TransactionEventOrigin2["END"] = "endPending";
})(TransactionEventOrigin || (TransactionEventOrigin = {}));

// lib/data-operations/sorting-strategy.mjs
var SortingDirection;
(function(SortingDirection2) {
  SortingDirection2[SortingDirection2["None"] = 0] = "None";
  SortingDirection2[SortingDirection2["Asc"] = 1] = "Asc";
  SortingDirection2[SortingDirection2["Desc"] = 2] = "Desc";
})(SortingDirection || (SortingDirection = {}));
var DefaultSortingStrategy = class {
  static {
    this._instance = null;
  }
  constructor() {
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  sort(data, fieldName, dir, ignoreCase, valueResolver, isDate2, isTime) {
    const key = fieldName;
    const reverse = dir === SortingDirection.Desc ? -1 : 1;
    const cmpFunc = (obj1, obj2) => this.compareObjects(obj1, obj2, key, reverse, ignoreCase, valueResolver, isDate2, isTime);
    return this.arraySort(data, cmpFunc);
  }
  compareValues(a, b) {
    const an = a === null || a === void 0;
    const bn = b === null || b === void 0;
    if (an) {
      if (bn) {
        return 0;
      }
      return -1;
    } else if (bn) {
      return 1;
    }
    return a > b ? 1 : a < b ? -1 : 0;
  }
  compareObjects(obj1, obj2, key, reverse, ignoreCase, valueResolver, isDate2, isTime) {
    let a = valueResolver.call(this, obj1, key, isDate2, isTime);
    let b = valueResolver.call(this, obj2, key, isDate2, isTime);
    if (ignoreCase) {
      a = a && a.toLowerCase ? a.toLowerCase() : a;
      b = b && b.toLowerCase ? b.toLowerCase() : b;
    }
    return reverse * this.compareValues(a, b);
  }
  arraySort(data, compareFn) {
    return data.sort(compareFn);
  }
};
var GroupMemberCountSortingStrategy = class {
  static {
    this._instance = null;
  }
  constructor() {
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  sort(data, fieldName, dir) {
    const groupedArray = this.groupBy(data, fieldName);
    const reverse = dir === SortingDirection.Desc ? -1 : 1;
    const cmpFunc = (a, b) => {
      return this.compareObjects(a, b, groupedArray, fieldName, reverse);
    };
    return data.sort((a, b) => a[fieldName].localeCompare(b[fieldName])).sort(cmpFunc);
  }
  groupBy(data, key) {
    return data.reduce((acc, curr) => {
      (acc[curr[key]] = acc[curr[key]] || []).push(curr);
      return acc;
    }, {});
  }
  compareObjects(obj1, obj2, data, fieldName, reverse) {
    const firstItemValuesLength = data[obj1[fieldName]].length;
    const secondItemValuesLength = data[obj2[fieldName]].length;
    return reverse * (firstItemValuesLength - secondItemValuesLength);
  }
};

// lib/data-operations/operations.mjs
var isHierarchyMatch = (h1, h2, expressions) => {
  if (h1.length !== h2.length) {
    return false;
  }
  return h1.every((level, index) => {
    const expr = expressions.find((e) => e.fieldName === level.fieldName);
    const comparer = expr.groupingComparer || DefaultSortingStrategy.instance().compareValues;
    return level.fieldName === h2[index].fieldName && comparer(level.value, h2[index].value) === 0;
  });
};
var getHierarchy = (gRow) => {
  const hierarchy = [];
  if (gRow !== void 0 && gRow.expression) {
    hierarchy.push({ fieldName: gRow.expression.fieldName, value: gRow.value });
    while (gRow.groupParent) {
      gRow = gRow.groupParent;
      hierarchy.unshift({ fieldName: gRow.expression.fieldName, value: gRow.value });
    }
  }
  return hierarchy;
};

// lib/grids/common/strategy.mjs
var DATE_TYPE = "date";
var TIME_TYPE = "time";
var DATE_TIME_TYPE = "dateTime";
var STRING_TYPE = "string";
var IgxSorting = class {
  /**
  * Sorts the provided data based on the given sorting expressions.
  * `data`: The array of data to be sorted.
  * `expressions`: An array of sorting expressions that define the sorting rules. The expression contains information like file name, whether the letter case should be taken into account, etc.
  * `grid`: (Optional) The instance of the grid where the sorting is applied.
  * Returns a new array with the data sorted according to the sorting expressions.
  */
  sort(data, expressions, grid) {
    return this.sortDataRecursive(data, expressions, 0, grid);
  }
  /**
  * Recursively groups the provided data based on the given grouping state and returns the grouped result.
  * Returns an array containing the grouped result.
  * @internal
  */
  groupDataRecursive(data, state, level, parent, metadata, grid = null, groupsRecords = [], fullResult = { data: [], metadata: [] }) {
    const expressions = state.expressions;
    const expansion = state.expansion;
    let i = 0;
    let result = [];
    while (i < data.length) {
      const column = grid ? grid.getColumnByName(expressions[level].fieldName) : null;
      const isDate2 = column?.dataType === DATE_TYPE || column?.dataType === DATE_TIME_TYPE;
      const isTime = column?.dataType === TIME_TYPE || column?.dataType === DATE_TIME_TYPE;
      const isString = column?.dataType === STRING_TYPE;
      const group = this.groupedRecordsByExpression(data, i, expressions[level], isDate2, isTime, isString);
      const groupRow = {
        expression: expressions[level],
        level,
        records: cloneArray(group),
        value: this.getFieldValue(group[0], expressions[level].fieldName, isDate2, isTime),
        groupParent: parent,
        groups: [],
        height: grid ? grid.renderedRowHeight : null,
        column
      };
      if (parent) {
        parent.groups.push(groupRow);
      } else {
        groupsRecords.push(groupRow);
      }
      const hierarchy = getHierarchy(groupRow);
      const expandState = expansion.find((s) => isHierarchyMatch(s.hierarchy || [{ fieldName: groupRow.expression.fieldName, value: groupRow.value }], hierarchy, expressions));
      const expanded = expandState ? expandState.expanded : state.defaultExpanded;
      let recursiveResult;
      result.push(groupRow);
      metadata.push(null);
      fullResult.data.push(groupRow);
      fullResult.metadata.push(null);
      if (level < expressions.length - 1) {
        recursiveResult = this.groupDataRecursive(group, state, level + 1, groupRow, expanded ? metadata : [], grid, groupsRecords, fullResult);
        if (expanded) {
          result = result.concat(recursiveResult);
        }
      } else {
        for (const groupItem of group) {
          fullResult.metadata.push(groupRow);
          fullResult.data.push(groupItem);
        }
        if (expanded) {
          metadata.push(...fullResult.metadata.slice(fullResult.metadata.length - group.length));
          result.push(...fullResult.data.slice(fullResult.data.length - group.length));
        }
      }
      i += group.length;
    }
    return result;
  }
  /**
  * Retrieves the value of the specified field from the given object, considering date and time data types.
  * `key`: The key of the field to retrieve.
  * `isDate`: (Optional) Indicates if the field is of type Date.
  * `isTime`: (Optional) Indicates if the field is of type Time.
  * Returns the value of the specified field in the data object.
  * @internal
  */
  getFieldValue(obj, key, isDate2 = false, isTime = false) {
    let resolvedValue = resolveNestedPath(obj, key);
    const date = parseDate(resolvedValue);
    if (date && isDate2 && isTime) {
      resolvedValue = date;
    } else if (date && isDate2 && !isTime) {
      resolvedValue = new Date(date.getFullYear(), date.getMonth(), date.getDate(), 0, 0, 0, 0);
    } else if (date && isTime && !isDate2) {
      resolvedValue = new Date((/* @__PURE__ */ new Date()).setHours(date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds()));
    }
    return resolvedValue;
  }
  /**
  * Groups the records in the provided data array based on the given grouping expression.
  * `groupingComparer`: (Optional) A custom grouping comparator to determine the members of the group.
  * Returns an array containing the records that belong to the group.
  * @internal
  */
  groupedRecordsByExpression(data, index, expression, isDate2 = false, isTime = false, isString, groupingComparer) {
    const res = [];
    const key = expression.fieldName;
    const len = data.length;
    const groupRecord = data[index];
    let groupval = this.getFieldValue(groupRecord, key, isDate2, isTime);
    res.push(groupRecord);
    index++;
    const comparer = expression.groupingComparer || groupingComparer || DefaultSortingStrategy.instance().compareValues;
    for (let i = index; i < len; i++) {
      const currRec = data[i];
      let fieldValue = this.getFieldValue(currRec, key, isDate2, isTime);
      if (expression.ignoreCase && isString) {
        fieldValue = fieldValue?.toString().toLowerCase();
        groupval = groupval?.toString().toLowerCase();
      }
      if (comparer(fieldValue, groupval, currRec, groupRecord) === 0) {
        res.push(currRec);
      } else {
        break;
      }
    }
    return res;
  }
  /**
  * Sorts the provided data array based on the given sorting expressions.
  * The method can be used when multiple sorting is performed, going through each one
  * Returns a new array with the data sorted according to the sorting expressions.
  * @internal
  */
  sortDataRecursive(data, expressions, expressionIndex = 0, grid) {
    let i;
    let j;
    let gbData;
    let gbDataLen;
    const exprsLen = expressions.length;
    const dataLen = data.length;
    expressionIndex = expressionIndex || 0;
    if (expressionIndex >= exprsLen || dataLen <= 1) {
      return data;
    }
    const expr = expressions[expressionIndex];
    if (!expr.strategy) {
      expr.strategy = DefaultSortingStrategy.instance();
    }
    const column = grid?.getColumnByName(expr.fieldName);
    const isDate2 = column?.dataType === DATE_TYPE || column?.dataType === DATE_TIME_TYPE;
    const isTime = column?.dataType === TIME_TYPE || column?.dataType === DATE_TIME_TYPE;
    const isString = column?.dataType === STRING_TYPE;
    data = expr.strategy.sort(data, expr.fieldName, expr.dir, expr.ignoreCase, this.getFieldValue, isDate2, isTime, grid);
    if (expressionIndex === exprsLen - 1) {
      return data;
    }
    for (i = 0; i < dataLen; i++) {
      gbData = this.groupedRecordsByExpression(data, i, expr, isDate2, isTime, isString, column?.groupingComparer);
      gbDataLen = gbData.length;
      if (gbDataLen > 1) {
        gbData = this.sortDataRecursive(gbData, expressions, expressionIndex + 1, grid);
      }
      for (j = 0; j < gbDataLen; j++) {
        data[i + j] = gbData[j];
      }
      i += gbDataLen - 1;
    }
    return data;
  }
};
var IgxGrouping = class extends IgxSorting {
  /**
   * Groups the provided data based on the given grouping state.
   * Returns an object containing the result of the grouping operation.
   */
  groupBy(data, state, grid, groupsRecords, fullResult = { data: [], metadata: [] }) {
    const metadata = [];
    const grouping = this.groupDataRecursive(data, state, 0, null, metadata, grid, groupsRecords, fullResult);
    grid?.groupingPerformedSubject.next();
    return {
      data: grouping,
      metadata
    };
  }
};
var NoopSortingStrategy = class _NoopSortingStrategy {
  static {
    this._instance = null;
  }
  constructor() {
  }
  static instance() {
    return this._instance || (this._instance = new _NoopSortingStrategy());
  }
  sort(data) {
    return data;
  }
};
var IgxDataRecordSorting = class extends IgxSorting {
  /**
  * Overrides the base method to retrieve the field value from the data object instead of the record object.
  * Returns the value of the specified field in the data object.
  */
  getFieldValue(obj, key, isDate2 = false, isTime = false) {
    return super.getFieldValue(obj.data, key, isDate2, isTime);
  }
};

// lib/data-operations/data-clone-strategy.mjs
var DefaultDataCloneStrategy = class {
  clone(data) {
    return cloneValue(data);
  }
};
var CachedDataCloneStrategy = class {
  clone(data) {
    return cloneValueCached(data, /* @__PURE__ */ new Map());
  }
};

// lib/data-operations/data-util.mjs
var DataType = /* @__PURE__ */ mkenum({
  String: "string",
  Number: "number",
  Boolean: "boolean",
  Date: "date",
  DateTime: "dateTime",
  Time: "time",
  Currency: "currency",
  Percent: "percent",
  Image: "image"
});
var GridColumnDataType = DataType;
var DataUtil = class _DataUtil {
  static sort(data, expressions, sorting = new IgxSorting(), grid) {
    return sorting.sort(data, expressions, grid);
  }
  static treeGridSort(hierarchicalData, expressions, sorting = new IgxDataRecordSorting(), parent, grid) {
    let res = [];
    hierarchicalData.forEach((hr) => {
      const rec = _DataUtil.cloneTreeGridRecord(hr);
      rec.parent = parent;
      if (rec.children) {
        rec.children = _DataUtil.treeGridSort(rec.children, expressions, sorting, rec, grid);
      }
      res.push(rec);
    });
    res = _DataUtil.sort(res, expressions, sorting, grid);
    return res;
  }
  static cloneTreeGridRecord(hierarchicalRecord) {
    const rec = {
      key: hierarchicalRecord.key,
      data: hierarchicalRecord.data,
      children: hierarchicalRecord.children,
      isFilteredOutParent: hierarchicalRecord.isFilteredOutParent,
      level: hierarchicalRecord.level,
      expanded: hierarchicalRecord.expanded
    };
    return rec;
  }
  static group(data, state, grouping = new IgxGrouping(), grid = null, groupsRecords = [], fullResult = { data: [], metadata: [] }) {
    groupsRecords.splice(0, groupsRecords.length);
    return grouping.groupBy(data, state, grid, groupsRecords, fullResult);
  }
  static page(data, state, dataLength) {
    if (!state) {
      return data;
    }
    const len = dataLength !== void 0 ? dataLength : data.length;
    const index = state.index;
    const res = [];
    const recordsPerPage = dataLength !== void 0 && state.recordsPerPage > dataLength ? dataLength : state.recordsPerPage;
    state.metadata = {
      countPages: 0,
      countRecords: len,
      error: PagingError.None
    };
    if (index < 0 || isNaN(index)) {
      state.metadata.error = PagingError.IncorrectPageIndex;
      return res;
    }
    if (recordsPerPage <= 0 || isNaN(recordsPerPage)) {
      state.metadata.error = PagingError.IncorrectRecordsPerPage;
      return res;
    }
    state.metadata.countPages = Math.ceil(len / recordsPerPage);
    if (!len) {
      return data;
    }
    if (index >= state.metadata.countPages) {
      state.metadata.error = PagingError.IncorrectPageIndex;
      return res;
    }
    return data.slice(index * recordsPerPage, (index + 1) * recordsPerPage);
  }
  static correctPagingState(state, length) {
    const maxPage = Math.ceil(length / state.recordsPerPage) - 1;
    if (!isNaN(maxPage) && state.index > maxPage) {
      state.index = maxPage;
    }
  }
  static getHierarchy(gRow) {
    return getHierarchy(gRow);
  }
  static isHierarchyMatch(h1, h2, expressions) {
    return isHierarchyMatch(h1, h2, expressions);
  }
  /**
   * Merges all changes from provided transactions into provided data collection
   *
   * @param data Collection to merge
   * @param transactions Transactions to merge into data
   * @param primaryKey Primary key of the collection, if any
   * @param deleteRows Should delete rows with DELETE transaction type from data
   * @returns Provided data collections updated with all provided transactions
   */
  static mergeTransactions(data, transactions, primaryKey, cloneStrategy = new DefaultDataCloneStrategy(), deleteRows = false) {
    data.forEach((item, index) => {
      const rowId = primaryKey ? item[primaryKey] : item;
      const transaction = transactions.find((t) => t.id === rowId);
      if (transaction && transaction.type === TransactionType.UPDATE) {
        data[index] = mergeObjects(cloneStrategy.clone(data[index]), transaction.newValue);
      }
    });
    if (deleteRows) {
      transactions.filter((t) => t.type === TransactionType.DELETE).forEach((t) => {
        const index = primaryKey ? data.findIndex((d) => d[primaryKey] === t.id) : data.findIndex((d) => d === t.id);
        if (0 <= index && index < data.length) {
          data.splice(index, 1);
        }
      });
    }
    data.push(...transactions.filter((t) => t.type === TransactionType.ADD).map((t) => t.newValue));
    return data;
  }
  /**
   * Merges all changes from provided transactions into provided hierarchical data collection
   *
   * @param data Collection to merge
   * @param transactions Transactions to merge into data
   * @param childDataKey Data key of child collections
   * @param primaryKey Primary key of the collection, if any
   * @param deleteRows Should delete rows with DELETE transaction type from data
   * @returns Provided data collections updated with all provided transactions
   */
  static mergeHierarchicalTransactions(data, transactions, childDataKey, primaryKey, cloneStrategy = new DefaultDataCloneStrategy(), deleteRows = false) {
    for (const transaction of transactions) {
      if (transaction.path) {
        const parent = this.findParentFromPath(data, primaryKey, childDataKey, transaction.path);
        let collection = parent ? parent[childDataKey] : data;
        switch (transaction.type) {
          case TransactionType.ADD:
            if (parent && !parent[childDataKey]) {
              parent[childDataKey] = collection = [];
            }
            collection.push(transaction.newValue);
            break;
          case TransactionType.UPDATE:
            const updateIndex = collection.findIndex((x) => x[primaryKey] === transaction.id);
            if (updateIndex !== -1) {
              collection[updateIndex] = mergeObjects(cloneStrategy.clone(collection[updateIndex]), transaction.newValue);
            }
            break;
          case TransactionType.DELETE:
            if (deleteRows) {
              const deleteIndex = collection.findIndex((r) => r[primaryKey] === transaction.id);
              if (deleteIndex !== -1) {
                collection.splice(deleteIndex, 1);
              }
            }
            break;
        }
      } else {
        data.push(transaction.newValue);
      }
    }
    return data;
  }
  static parseValue(dataType, value) {
    if (dataType === GridColumnDataType.Number || dataType === GridColumnDataType.Currency || dataType === GridColumnDataType.Percent) {
      value = parseFloat(value);
    }
    return value;
  }
  static findParentFromPath(data, primaryKey, childDataKey, path) {
    let collection = data;
    let result;
    for (const id of path) {
      result = collection && collection.find((x) => x[primaryKey] === id);
      if (!result) {
        break;
      }
      collection = result[childDataKey];
    }
    return result;
  }
};

// lib/services/exporter-common/export-utilities.mjs
var ExportUtilities = class _ExportUtilities {
  static getKeysFromData(data) {
    const length = data.length;
    if (length === 0) {
      return [];
    }
    const dataEntry = data[0];
    const dataEntryMiddle = data[Math.floor(length / 2)];
    const dataEntryLast = data[length - 1];
    const keys1 = Object.keys(dataEntry);
    const keys2 = Object.keys(dataEntryMiddle);
    const keys3 = Object.keys(dataEntryLast);
    const keys = new Set(keys1.concat(keys2).concat(keys3));
    return !_ExportUtilities.isSpecialData(dataEntry) ? Array.from(keys) : ["Column 1"];
  }
  static saveBlobToFile(blob, fileName) {
    const a = document.createElement("a");
    const url = window.URL.createObjectURL(blob);
    a.download = fileName;
    a.href = url;
    document.body.appendChild(a);
    a.click();
    document.body.removeChild(a);
    window.URL.revokeObjectURL(url);
  }
  static stringToArrayBuffer(s) {
    const buf = new ArrayBuffer(s.length);
    const view = new Uint8Array(buf);
    for (let i = 0; i !== s.length; ++i) {
      view[i] = s.charCodeAt(i) & 255;
    }
    return buf;
  }
  static isSpecialData(data) {
    return typeof data === "string" || typeof data === "number" || data instanceof Date;
  }
  static hasValue(value) {
    return value !== void 0 && value !== null;
  }
  static isNullOrWhitespaces(value) {
    return value === void 0 || value === null || !value.trim();
  }
  static sanitizeValue(value) {
    if (!this.hasValue(value)) {
      return "";
    } else {
      const stringValue = String(value);
      return stringValue.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
    }
  }
};

// lib/data-operations/filtering-expressions-tree.mjs
var FilteringExpressionsTreeType;
(function(FilteringExpressionsTreeType2) {
  FilteringExpressionsTreeType2[FilteringExpressionsTreeType2["Regular"] = 0] = "Regular";
  FilteringExpressionsTreeType2[FilteringExpressionsTreeType2["Advanced"] = 1] = "Advanced";
})(FilteringExpressionsTreeType || (FilteringExpressionsTreeType = {}));
var FilteringExpressionsTree = class _FilteringExpressionsTree {
  constructor(operator, fieldName) {
    this.filteringOperands = [];
    this.operator = operator;
    this.fieldName = fieldName;
  }
  /**
   * Checks if filtering expressions tree is empty.
   *
   * @param expressionTree filtering expressions tree.
   */
  static empty(expressionTree) {
    return !expressionTree || !expressionTree.filteringOperands || !expressionTree.filteringOperands.length;
  }
  /**
   * Returns the filtering expression for a column with the provided fieldName.
   * ```typescript
   * let filteringExpression = gridExpressionTree.find('Column Field');
   * ```
   *
   * @memberof FilteringExpressionsTree
   */
  find(fieldName) {
    const index = this.findIndex(fieldName);
    if (index > -1) {
      return this.filteringOperands[index];
    }
    return null;
  }
  /**
   * Returns the index of the filtering expression for a column with the provided fieldName.
   * ```typescript
   * let filteringExpressionIndex = gridExpressionTree.findIndex('Column Field');
   * ```
   *
   * @memberof FilteringExpressionsTree
   */
  findIndex(fieldName) {
    let expr;
    for (let i = 0; i < this.filteringOperands.length; i++) {
      expr = this.filteringOperands[i];
      if (expr instanceof _FilteringExpressionsTree) {
        if (this.isFilteringExpressionsTreeForColumn(expr, fieldName)) {
          return i;
        }
      } else {
        if (expr.fieldName === fieldName) {
          return i;
        }
      }
    }
    return -1;
  }
  isFilteringExpressionsTreeForColumn(expressionsTree, fieldName) {
    if (expressionsTree.fieldName === fieldName) {
      return true;
    }
    for (const expr of expressionsTree.filteringOperands) {
      if (expr instanceof _FilteringExpressionsTree) {
        return this.isFilteringExpressionsTreeForColumn(expr, fieldName);
      } else {
        return expr.fieldName === fieldName;
      }
    }
    return false;
  }
};

// lib/data-operations/filtering-expression.interface.mjs
var FilteringLogic;
(function(FilteringLogic2) {
  FilteringLogic2[FilteringLogic2["And"] = 0] = "And";
  FilteringLogic2[FilteringLogic2["Or"] = 1] = "Or";
})(FilteringLogic || (FilteringLogic = {}));

// lib/data-operations/filtering-strategy.mjs
import { formatNumber, formatPercent, getLocaleCurrencyCode } from "@angular/common";
var DateType = "date";
var DateTimeType = "dateTime";
var TimeType = "time";
var FilterUtil = class {
  static filter(data, state, grid) {
    if (!state.strategy) {
      state.strategy = new FilteringStrategy();
    }
    return state.strategy.filter(data, state.expressionsTree, state.advancedExpressionsTree, grid);
  }
};
var BaseFilteringStrategy = class {
  // protected
  findMatchByExpression(rec, expr, isDate2, isTime, grid) {
    const cond = expr.condition;
    const val = this.getFieldValue(rec, expr.fieldName, isDate2, isTime, grid);
    return cond.logic(val, expr.searchVal, expr.ignoreCase);
  }
  // protected
  matchRecord(rec, expressions, grid) {
    if (expressions) {
      if (expressions instanceof FilteringExpressionsTree) {
        const expressionsTree = expressions;
        const operator = expressionsTree.operator;
        let matchOperand;
        if (expressionsTree.filteringOperands && expressionsTree.filteringOperands.length) {
          for (const operand of expressionsTree.filteringOperands) {
            matchOperand = this.matchRecord(rec, operand, grid);
            if (!matchOperand && operator === FilteringLogic.And) {
              return false;
            }
            if (matchOperand && operator === FilteringLogic.Or) {
              return true;
            }
          }
          return matchOperand;
        }
        return true;
      } else {
        const expression = expressions;
        const column = grid && grid.getColumnByName(expression.fieldName);
        const isDate2 = column ? column.dataType === DateType || column.dataType === DateTimeType : false;
        const isTime = column ? column.dataType === TimeType : false;
        return this.findMatchByExpression(rec, expression, isDate2, isTime, grid);
      }
    }
    return true;
  }
  getFilterItems(column, tree) {
    let data = column.grid.gridAPI.filterDataByExpressions(tree);
    data = column.grid.gridAPI.sortDataByExpressions(data, [{ fieldName: column.field, dir: SortingDirection.Asc, ignoreCase: column.sortingIgnoreCase }]);
    const columnField = column.field;
    let filterItems = data.map((record) => {
      let value = resolveNestedPath(record, columnField);
      const applyFormatter = column.formatter && this.shouldFormatFilterValues(column);
      value = applyFormatter ? column.formatter(value, record) : value;
      return {
        value,
        label: this.getFilterItemLabel(column, value, !applyFormatter, record)
      };
    });
    filterItems = this.getUniqueFilterItems(column, filterItems);
    return Promise.resolve(filterItems);
  }
  getFilterItemLabel(column, value, applyFormatter, data) {
    if (column.formatter) {
      if (applyFormatter) {
        return column.formatter(value, data);
      }
      return value;
    }
    const { display, format, digitsInfo, currencyCode, timezone } = column.pipeArgs;
    const locale = column.grid.locale;
    switch (column.dataType) {
      case GridColumnDataType.Date:
      case GridColumnDataType.DateTime:
      case GridColumnDataType.Time:
        return formatDate(value, format, locale, timezone);
      case GridColumnDataType.Currency:
        return formatCurrency(value, currencyCode || getLocaleCurrencyCode(locale), display, digitsInfo, locale);
      case GridColumnDataType.Number:
        return formatNumber(value, locale, digitsInfo);
      case GridColumnDataType.Percent:
        return formatPercent(value, locale, digitsInfo);
      default:
        return value;
    }
  }
  getUniqueFilterItems(column, filterItems) {
    const filteredUniqueValues = filterItems.reduce((map3, item) => {
      let key = item.value;
      if (column.dataType === GridColumnDataType.String && column.filteringIgnoreCase) {
        key = key?.toString().toLowerCase();
      } else if (column.dataType === GridColumnDataType.DateTime) {
        key = item.value?.toString();
        item.value = key ? new Date(key) : key;
      } else if (column.dataType === GridColumnDataType.Time) {
        const date = key ? new Date(key) : key;
        key = date ? (/* @__PURE__ */ new Date()).setHours(date.getHours(), date.getMinutes(), date.getSeconds()) : key;
        item.value = key ? new Date(key) : key;
      } else if (column.dataType === GridColumnDataType.Date) {
        const date = key ? new Date(key) : key;
        key = date ? new Date(date.getFullYear(), date.getMonth(), date.getDate()).toISOString() : key;
        item.value = date;
      }
      return map3.has(key) ? map3 : map3.set(key, item);
    }, /* @__PURE__ */ new Map());
    const uniqueValues = Array.from(filteredUniqueValues.values());
    return uniqueValues;
  }
  shouldFormatFilterValues(_column) {
    return false;
  }
};
var NoopFilteringStrategy = class _NoopFilteringStrategy extends BaseFilteringStrategy {
  getFieldValue(rec, _fieldName) {
    return rec;
  }
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new _NoopFilteringStrategy());
  }
  filter(data, _, __) {
    return data;
  }
};
var FilteringStrategy = class extends BaseFilteringStrategy {
  static {
    this._instance = null;
  }
  constructor() {
    super();
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  filter(data, expressionsTree, advancedExpressionsTree, grid) {
    let i;
    let rec;
    const len = data.length;
    const res = [];
    if (FilteringExpressionsTree.empty(expressionsTree) && FilteringExpressionsTree.empty(advancedExpressionsTree) || !len) {
      return data;
    }
    for (i = 0; i < len; i++) {
      rec = data[i];
      if (this.matchRecord(rec, expressionsTree, grid) && this.matchRecord(rec, advancedExpressionsTree, grid)) {
        res.push(rec);
      }
    }
    return res;
  }
  getFieldValue(rec, fieldName, isDate2 = false, isTime = false, grid) {
    const column = grid?.getColumnByName(fieldName);
    let value = resolveNestedPath(rec, fieldName);
    value = column?.formatter && this.shouldFormatFilterValues(column) ? column.formatter(value, rec) : value && (isDate2 || isTime) ? parseDate(value) : value;
    return value;
  }
};
var FormattedValuesFilteringStrategy = class extends FilteringStrategy {
  /**
   * Creates a new instance of FormattedValuesFilteringStrategy.
   *
   * @param fields An array of column field names that should be formatted.
   * If omitted the values of all columns which has formatter will be formatted.
   */
  constructor(fields) {
    super();
    this.fields = fields;
  }
  shouldFormatFilterValues(column) {
    return !this.fields || this.fields.length === 0 || this.fields.some((f) => f === column.field);
  }
};

// lib/grids/tree-grid/tree-grid.filtering.strategy.mjs
var TreeGridFilteringStrategy = class extends BaseFilteringStrategy {
  constructor(hierarchicalFilterFields) {
    super();
    this.hierarchicalFilterFields = hierarchicalFilterFields;
  }
  filter(data, expressionsTree, advancedExpressionsTree, grid) {
    return this.filterImpl(data, expressionsTree, advancedExpressionsTree, void 0, grid);
  }
  getFieldValue(rec, fieldName, isDate2 = false, isTime = false, grid) {
    const column = grid?.getColumnByName(fieldName);
    const hierarchicalRecord = rec;
    let value = this.isHierarchicalFilterField(fieldName) ? this.getHierarchicalFieldValue(hierarchicalRecord, fieldName) : resolveNestedPath(hierarchicalRecord.data, fieldName);
    value = column?.formatter && this.shouldFormatFilterValues(column) ? column.formatter(value, rec.data) : value && (isDate2 || isTime) ? parseDate(value) : value;
    return value;
  }
  getHierarchicalFieldValue(record, field) {
    const value = resolveNestedPath(record.data, field);
    return record.parent ? `${this.getHierarchicalFieldValue(record.parent, field)}${value ? `.[${value}]` : ""}` : `[${value}]`;
  }
  filterImpl(data, expressionsTree, advancedExpressionsTree, parent, grid) {
    let i;
    let rec;
    const len = data.length;
    const res = [];
    if (FilteringExpressionsTree.empty(expressionsTree) && FilteringExpressionsTree.empty(advancedExpressionsTree) || !len) {
      return data;
    }
    for (i = 0; i < len; i++) {
      rec = DataUtil.cloneTreeGridRecord(data[i]);
      rec.parent = parent;
      if (rec.children) {
        const filteredChildren = this.filterImpl(rec.children, expressionsTree, advancedExpressionsTree, rec, grid);
        rec.children = filteredChildren.length > 0 ? filteredChildren : null;
      }
      if (this.matchRecord(rec, expressionsTree, grid) && this.matchRecord(rec, advancedExpressionsTree, grid)) {
        res.push(rec);
      } else if (rec.children && rec.children.length > 0) {
        rec.isFilteredOutParent = true;
        res.push(rec);
      }
    }
    return res;
  }
  isHierarchicalFilterField(field) {
    return this.hierarchicalFilterFields && this.hierarchicalFilterFields.indexOf(field) !== -1;
  }
  getFilterItems(column, tree) {
    if (!this.isHierarchicalFilterField(column.field)) {
      return super.getFilterItems(column, tree);
    }
    let data = column.grid.gridAPI.filterTreeDataByExpressions(tree);
    data = DataUtil.treeGridSort(data, [{ fieldName: column.field, dir: SortingDirection.Asc, ignoreCase: column.sortingIgnoreCase }], column.grid.sortStrategy, null, column.grid);
    const items = this.getHierarchicalFilterItems(data, column);
    return Promise.resolve(items);
  }
  getHierarchicalFilterItems(records, column, parent) {
    return records?.map((record) => {
      let value = resolveNestedPath(record.data, column.field);
      const applyFormatter = column.formatter && this.shouldFormatFilterValues(column);
      value = applyFormatter ? column.formatter(value, record.data) : value;
      const hierarchicalValue = parent ? value || value === 0 ? `${parent.value}.[${value}]` : value : `[${value}]`;
      const filterItem = { value: hierarchicalValue };
      filterItem.label = this.getFilterItemLabel(column, value, !applyFormatter, record.data);
      filterItem.children = this.getHierarchicalFilterItems(record.children, column, filterItem);
      return filterItem;
    });
  }
};
var TreeGridFormattedValuesFilteringStrategy = class extends TreeGridFilteringStrategy {
  /**
   * Creates a new instance of FormattedValuesFilteringStrategy.
   *
   * @param fields An array of column field names that should be formatted.
   * If omitted the values of all columns which has formatter will be formatted.
   */
  constructor(fields) {
    super();
    this.fields = fields;
  }
  shouldFormatFilterValues(column) {
    return !this.fields || this.fields.length === 0 || this.fields.some((f) => f === column.field);
  }
};
var TreeGridMatchingRecordsOnlyFilteringStrategy = class extends TreeGridFilteringStrategy {
  filter(data, expressionsTree, advancedExpressionsTree, grid) {
    return this.filterImplementation(data, expressionsTree, advancedExpressionsTree, void 0, grid);
  }
  filterImplementation(data, expressionsTree, advancedExpressionsTree, parent, grid) {
    let i;
    let rec;
    const len = data.length;
    const res = [];
    if (FilteringExpressionsTree.empty(expressionsTree) && FilteringExpressionsTree.empty(advancedExpressionsTree) || !len) {
      return data;
    }
    for (i = 0; i < len; i++) {
      rec = DataUtil.cloneTreeGridRecord(data[i]);
      rec.parent = parent;
      if (rec.children) {
        const filteredChildren = this.filterImplementation(rec.children, expressionsTree, advancedExpressionsTree, rec, grid);
        rec.children = filteredChildren.length > 0 ? filteredChildren : null;
      }
      if (this.matchRecord(rec, expressionsTree, grid) && this.matchRecord(rec, advancedExpressionsTree, grid)) {
        res.push(rec);
      } else if (rec.children && rec.children.length > 0) {
        rec = this.setCorrectLevelToFilteredRecords(rec);
        res.push(...rec.children);
      }
    }
    return res;
  }
  setCorrectLevelToFilteredRecords(rec) {
    if (rec.children && rec.children.length > 0) {
      rec.children.map((child) => {
        child.level = child.level - 1;
        return this.setCorrectLevelToFilteredRecords(child);
      });
    }
    return rec;
  }
};

// lib/grids/common/enums.mjs
var FilterMode = /* @__PURE__ */ mkenum({
  quickFilter: "quickFilter",
  excelStyleFilter: "excelStyleFilter"
});
var GridSummaryPosition = /* @__PURE__ */ mkenum({
  top: "top",
  bottom: "bottom"
});
var GridSummaryCalculationMode = /* @__PURE__ */ mkenum({
  rootLevelOnly: "rootLevelOnly",
  childLevelsOnly: "childLevelsOnly",
  rootAndChildLevels: "rootAndChildLevels"
});
var GridSelectionMode = /* @__PURE__ */ mkenum({
  none: "none",
  single: "single",
  multiple: "multiple",
  multipleCascade: "multipleCascade"
});
var ColumnDisplayOrder = /* @__PURE__ */ mkenum({
  Alphabetical: "Alphabetical",
  DisplayOrder: "DisplayOrder"
});
var ColumnPinningPosition;
(function(ColumnPinningPosition2) {
  ColumnPinningPosition2[ColumnPinningPosition2["Start"] = 0] = "Start";
  ColumnPinningPosition2[ColumnPinningPosition2["End"] = 1] = "End";
})(ColumnPinningPosition || (ColumnPinningPosition = {}));
var RowPinningPosition;
(function(RowPinningPosition2) {
  RowPinningPosition2[RowPinningPosition2["Top"] = 0] = "Top";
  RowPinningPosition2[RowPinningPosition2["Bottom"] = 1] = "Bottom";
})(RowPinningPosition || (RowPinningPosition = {}));
var GridPagingMode;
(function(GridPagingMode2) {
  GridPagingMode2[GridPagingMode2["Local"] = 0] = "Local";
  GridPagingMode2[GridPagingMode2["Remote"] = 1] = "Remote";
})(GridPagingMode || (GridPagingMode = {}));
var GridInstanceType;
(function(GridInstanceType2) {
  GridInstanceType2[GridInstanceType2["Grid"] = 0] = "Grid";
  GridInstanceType2[GridInstanceType2["TreeGrid"] = 1] = "TreeGrid";
})(GridInstanceType || (GridInstanceType = {}));

// lib/services/exporter-common/base-export-service.mjs
import { EventEmitter } from "@angular/core";
import { DatePipe, FormatWidth, getLocaleCurrencyCode as getLocaleCurrencyCode2, getLocaleDateFormat, getLocaleDateTimeFormat } from "@angular/common";
var ExportRecordType;
(function(ExportRecordType2) {
  ExportRecordType2["GroupedRecord"] = "GroupedRecord";
  ExportRecordType2["TreeGridRecord"] = "TreeGridRecord";
  ExportRecordType2["DataRecord"] = "DataRecord";
  ExportRecordType2["HierarchicalGridRecord"] = "HierarchicalGridRecord";
  ExportRecordType2["HeaderRecord"] = "HeaderRecord";
  ExportRecordType2["SummaryRecord"] = "SummaryRecord";
  ExportRecordType2["PivotGridRecord"] = "PivotGridRecord";
})(ExportRecordType || (ExportRecordType = {}));
var ExportHeaderType;
(function(ExportHeaderType2) {
  ExportHeaderType2["RowHeader"] = "RowHeader";
  ExportHeaderType2["ColumnHeader"] = "ColumnHeader";
  ExportHeaderType2["MultiRowHeader"] = "MultiRowHeader";
  ExportHeaderType2["MultiColumnHeader"] = "MultiColumnHeader";
})(ExportHeaderType || (ExportHeaderType = {}));
var IgxColumnExportingEventArgs = class {
  get columnIndex() {
    return this._columnIndex;
  }
  set columnIndex(value) {
    this._columnIndex = value;
    this.userSetIndex = true;
  }
  constructor(original) {
    this.userSetIndex = false;
    this.header = original.header;
    this.field = original.field;
    this.cancel = original.cancel;
    this.skipFormatter = original.skipFormatter;
    this.grid = original.grid;
    this.owner = original.owner;
    this._columnIndex = original.columnIndex;
  }
};
var DEFAULT_OWNER = "default";
var GRID_ROOT_SUMMARY = "igxGridRootSummary";
var GRID_PARENT = "grid-parent";
var GRID_LEVEL_COL = "GRID_LEVEL_COL";
var DEFAULT_COLUMN_WIDTH = 8.43;
var GRID_CHILD = "grid-child-";
var IgxBaseExporter = class {
  constructor() {
    this.exportEnded = new EventEmitter();
    this.rowExporting = new EventEmitter();
    this.columnExporting = new EventEmitter();
    this._sort = null;
    this._ownersMap = /* @__PURE__ */ new Map();
    this._setChildSummaries = false;
    this.summaries = /* @__PURE__ */ new Map();
    this.rowIslandCounter = -1;
    this.flatRecords = [];
    this.pivotGridColumns = [];
    this.pivotGridKeyValueMap = /* @__PURE__ */ new Map();
  }
  /**
   * Method for exporting IgxGrid component's data.
   * ```typescript
   * this.exporterService.export(this.igxGridForExport, this.exportOptions);
   * ```
   *
   * @memberof IgxBaseExporter
   */
  export(grid, options) {
    if (options === void 0 || options === null) {
      throw Error("No options provided!");
    }
    this.options = options;
    this.locale = grid.locale;
    let columns = grid.columns;
    if (this.options.ignoreMultiColumnHeaders) {
      columns = columns.filter((col) => col.children === void 0);
    }
    const columnList = this.getColumns(columns);
    const tagName = grid.nativeElement.tagName.toLowerCase();
    if (tagName === "igx-hierarchical-grid") {
      this._ownersMap.set(grid, columnList);
      const childLayoutList = grid.childLayoutList;
      for (const island of childLayoutList) {
        this.mapHierarchicalGridColumns(island, grid.data[0]);
      }
    } else if (tagName === "igx-pivot-grid") {
      this.pivotGridColumns = [];
      this.isPivotGridExport = true;
      this.pivotGridKeyValueMap = /* @__PURE__ */ new Map();
      this.pivotGridRowDimensionsMap = /* @__PURE__ */ new Map();
      grid.pivotConfiguration.rows.filter((r) => r.enabled).forEach((rowDimension) => {
        this.addToRowDimensionsMap(rowDimension, rowDimension.memberName);
      });
      this._ownersMap.set(DEFAULT_OWNER, columnList);
    } else {
      this._ownersMap.set(DEFAULT_OWNER, columnList);
    }
    this.summaries = this.prepareSummaries(grid);
    this._setChildSummaries = this.summaries.size > 1 && grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly;
    this.addLevelColumns();
    this.prepareData(grid);
    this.addLevelData();
    this.addPivotGridColumns(grid);
    this.exportGridRecordsData(this.flatRecords, grid);
  }
  /**
   * Method for exporting any kind of array data.
   * ```typescript
   * this.exporterService.exportData(this.arrayForExport, this.exportOptions);
   * ```
   *
   * @memberof IgxBaseExporter
   */
  exportData(data, options) {
    if (options === void 0 || options === null) {
      throw Error("No options provided!");
    }
    this.options = options;
    const records = data.map((d) => {
      const record = {
        data: d,
        type: ExportRecordType.DataRecord,
        level: 0
      };
      return record;
    });
    this.exportGridRecordsData(records);
  }
  addToRowDimensionsMap(rowDimension, rootParentName) {
    this.pivotGridRowDimensionsMap[rowDimension.memberName] = rootParentName;
    if (rowDimension.childLevel) {
      this.addToRowDimensionsMap(rowDimension.childLevel, rootParentName);
    }
  }
  exportGridRecordsData(records, grid) {
    if (this._ownersMap.size === 0) {
      const recordsData = records.filter((r) => r.type !== ExportRecordType.SummaryRecord).map((r) => r.data);
      const keys = ExportUtilities.getKeysFromData(recordsData);
      const columns = keys.map((k) => ({ header: k, field: k, skip: false, headerType: ExportHeaderType.ColumnHeader, level: 0, columnSpan: 1 }));
      const columnWidths = new Array(keys.length).fill(DEFAULT_COLUMN_WIDTH);
      const mapRecord = {
        columns,
        columnWidths,
        indexOfLastPinnedColumn: -1,
        maxLevel: 0
      };
      this._ownersMap.set(DEFAULT_OWNER, mapRecord);
    }
    let shouldReorderColumns = false;
    for (const [key, mapRecord] of this._ownersMap) {
      let skippedPinnedColumnsCount = 0;
      let columnsWithoutHeaderCount = 1;
      let indexOfLastPinnedColumn = mapRecord.indexOfLastPinnedColumn;
      mapRecord.columns.forEach((column, index) => {
        if (!column.skip) {
          const columnExportArgs = {
            header: !ExportUtilities.isNullOrWhitespaces(column.header) ? column.header : "Column" + columnsWithoutHeaderCount++,
            field: column.field,
            columnIndex: index,
            cancel: false,
            skipFormatter: false,
            grid: key === DEFAULT_OWNER ? grid : key
          };
          const newColumnExportArgs = new IgxColumnExportingEventArgs(columnExportArgs);
          this.columnExporting.emit(newColumnExportArgs);
          column.header = newColumnExportArgs.header;
          column.skip = newColumnExportArgs.cancel;
          column.skipFormatter = newColumnExportArgs.skipFormatter;
          if (newColumnExportArgs.userSetIndex) {
            column.exportIndex = newColumnExportArgs.columnIndex;
            shouldReorderColumns = true;
          }
          if (column.skip) {
            if (index <= indexOfLastPinnedColumn) {
              skippedPinnedColumnsCount++;
            }
            this.calculateColumnSpans(column, mapRecord, column.columnSpan);
            const nonSkippedColumns = mapRecord.columns.filter((c) => !c.skip);
            if (nonSkippedColumns.length > 0) {
              this._ownersMap.get(key).maxLevel = nonSkippedColumns.sort((a, b) => b.level - a.level)[0].level;
            }
          }
          if (this._sort && this._sort.fieldName === column.field) {
            if (column.skip) {
              this._sort = null;
            } else {
              this._sort.fieldName = column.header;
            }
          }
        }
      });
      indexOfLastPinnedColumn -= skippedPinnedColumnsCount;
      if (shouldReorderColumns) {
        mapRecord.columns = this.reorderColumns(mapRecord.columns);
      }
    }
    const dataToExport = new Array();
    const actualData = records[0]?.data;
    const isSpecialData = ExportUtilities.isSpecialData(actualData);
    yieldingLoop(records.length, 100, (i) => {
      const row = records[i];
      this.exportRow(dataToExport, row, i, isSpecialData);
    }, () => {
      this.exportDataImplementation(dataToExport, this.options, () => {
        this.resetDefaults();
      });
    });
  }
  calculateColumnSpans(column, mapRecord, span) {
    if (column.headerType === ExportHeaderType.MultiColumnHeader && column.skip) {
      const columnGroupChildren = mapRecord.columns.filter((c) => c.columnGroupParent === column.columnGroup);
      columnGroupChildren.forEach((cgc) => {
        if (cgc.headerType === ExportHeaderType.MultiColumnHeader) {
          cgc.columnSpan = 0;
          cgc.columnGroupParent = null;
          cgc.skip = true;
          this.calculateColumnSpans(cgc, mapRecord, cgc.columnSpan);
        } else {
          cgc.skip = true;
        }
      });
    }
    const targetCol = mapRecord.columns.filter((c) => column.columnGroupParent !== null && c.columnGroup === column.columnGroupParent)[0];
    if (targetCol !== void 0) {
      targetCol.columnSpan -= span;
      if (targetCol.columnGroupParent !== null) {
        this.calculateColumnSpans(targetCol, mapRecord, span);
      }
      if (targetCol.columnSpan === 0) {
        targetCol.skip = true;
      }
    }
  }
  exportRow(data, record, index, isSpecialData) {
    if (!isSpecialData) {
      const owner = record.owner === void 0 ? DEFAULT_OWNER : record.owner;
      const ownerCols = this._ownersMap.get(owner).columns;
      if (record.type !== ExportRecordType.HeaderRecord) {
        const columns = ownerCols.filter((c) => c.headerType === ExportHeaderType.ColumnHeader && !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex);
        record.data = columns.reduce((a, e) => {
          if (!e.skip) {
            let rawValue = resolveNestedPath(record.data, e.field);
            const shouldApplyFormatter = e.formatter && !e.skipFormatter && record.type !== ExportRecordType.GroupedRecord;
            const isOfDateType = e.dataType === "date" || e.dataType === "dateTime" || e.dataType === "time";
            if (isOfDateType && record.type !== ExportRecordType.SummaryRecord && record.type !== ExportRecordType.GroupedRecord && !(rawValue instanceof Date) && !shouldApplyFormatter && rawValue !== void 0 && rawValue !== null) {
              rawValue = new Date(rawValue);
            } else if (e.dataType === "string" && rawValue instanceof Date) {
              rawValue = rawValue.toString();
            }
            let formattedValue = shouldApplyFormatter ? e.formatter(rawValue, record.data) : rawValue;
            if (this.isPivotGridExport && !isNaN(parseFloat(formattedValue))) {
              formattedValue = parseFloat(formattedValue);
            }
            a[e.field] = formattedValue;
          }
          return a;
        }, {});
      } else {
        const filteredHeaders = ownerCols.filter((c) => c.skip).map((c) => c.header ? c.header : c.field);
        record.data = record.data.filter((d) => filteredHeaders.indexOf(d) === -1);
      }
    }
    const rowArgs = {
      rowData: record.data,
      rowIndex: index,
      cancel: false
    };
    this.rowExporting.emit(rowArgs);
    if (!rowArgs.cancel) {
      data.push(record);
    }
  }
  reorderColumns(columns) {
    const filteredColumns = columns.filter((c) => !c.skip);
    const length = filteredColumns.length;
    const specificIndicesColumns = filteredColumns.filter((col) => !isNaN(col.exportIndex)).sort((a, b) => a.exportIndex - b.exportIndex);
    const indices = specificIndicesColumns.map((col) => col.exportIndex);
    specificIndicesColumns.forEach((col) => {
      filteredColumns.splice(filteredColumns.indexOf(col), 1);
    });
    const reorderedColumns = new Array(length);
    if (specificIndicesColumns.length > Math.max(...indices)) {
      return specificIndicesColumns.concat(filteredColumns);
    } else {
      indices.forEach((i, index) => {
        if (i < 0 || i >= length) {
          filteredColumns.push(specificIndicesColumns[index]);
        } else {
          let k = i;
          while (k < length && reorderedColumns[k] !== void 0) {
            ++k;
          }
          reorderedColumns[k] = specificIndicesColumns[index];
        }
      });
      for (let i = 0; i < length; i++) {
        if (reorderedColumns[i] === void 0) {
          reorderedColumns[i] = filteredColumns.splice(0, 1)[0];
        }
      }
    }
    return reorderedColumns;
  }
  prepareData(grid) {
    this.flatRecords = [];
    const tagName = grid.nativeElement.tagName.toLowerCase();
    const hasFiltering = grid.filteringExpressionsTree && grid.filteringExpressionsTree.filteringOperands.length > 0 || grid.advancedFilteringExpressionsTree && grid.advancedFilteringExpressionsTree.filteringOperands.length > 0;
    const expressions = grid.groupingExpressions ? grid.groupingExpressions.concat(grid.sortingExpressions || []) : grid.sortingExpressions;
    const hasSorting = expressions && expressions.length > 0;
    let setSummaryOwner = false;
    switch (tagName) {
      case "igx-pivot-grid": {
        this.preparePivotGridData(grid);
        break;
      }
      case "igx-hierarchical-grid": {
        this.prepareHierarchicalGridData(grid, hasFiltering, hasSorting);
        setSummaryOwner = true;
        break;
      }
      case "igx-tree-grid": {
        this.prepareTreeGridData(grid, hasFiltering, hasSorting);
        break;
      }
      default: {
        this.prepareGridData(grid, hasFiltering, hasSorting);
        break;
      }
    }
    if (this.summaries.size > 0 && grid.summaryCalculationMode !== GridSummaryCalculationMode.childLevelsOnly) {
      setSummaryOwner ? this.setSummaries(GRID_ROOT_SUMMARY, 0, false, grid) : this.setSummaries(GRID_ROOT_SUMMARY);
    }
  }
  preparePivotGridData(grid) {
    for (const record of grid.filteredSortedData) {
      const recordData = Object.fromEntries(record.aggregationValues);
      record.dimensionValues.forEach((value, key) => {
        const actualKey = this.pivotGridRowDimensionsMap[key];
        recordData[actualKey] = value;
      });
      const pivotGridRecord = {
        data: recordData,
        level: record.level,
        type: ExportRecordType.PivotGridRecord
      };
      this.flatRecords.push(pivotGridRecord);
    }
  }
  prepareHierarchicalGridData(grid, hasFiltering, hasSorting) {
    const skipOperations = (!hasFiltering || !this.options.ignoreFiltering) && (!hasSorting || !this.options.ignoreSorting);
    if (skipOperations) {
      const data = grid.filteredSortedData;
      this.addHierarchicalGridData(grid, data);
    } else {
      let data = grid.data;
      if (hasFiltering && !this.options.ignoreFiltering) {
        const filteringState = {
          expressionsTree: grid.filteringExpressionsTree,
          advancedExpressionsTree: grid.advancedFilteringExpressionsTree,
          strategy: grid.filterStrategy
        };
        data = FilterUtil.filter(data, filteringState, grid);
      }
      if (hasSorting && !this.options.ignoreSorting) {
        this._sort = cloneValue(grid.sortingExpressions[0]);
        data = DataUtil.sort(data, grid.sortingExpressions, grid.sortStrategy, grid);
      }
      this.addHierarchicalGridData(grid, data);
    }
  }
  addHierarchicalGridData(grid, records) {
    const childLayoutList = grid.childLayoutList;
    const columnFields = this._ownersMap.get(grid).columns.map((col) => col.field);
    for (const entry of records) {
      const expansionStateVal = grid.expansionStates.has(entry) ? grid.expansionStates.get(entry) : false;
      const dataWithoutChildren = Object.keys(entry).filter((k) => columnFields.includes(k)).reduce((obj, key) => {
        obj[key] = entry[key];
        return obj;
      }, {});
      const hierarchicalGridRecord = {
        data: dataWithoutChildren,
        level: 0,
        type: ExportRecordType.HierarchicalGridRecord,
        owner: grid,
        hierarchicalOwner: GRID_PARENT
      };
      this.flatRecords.push(hierarchicalGridRecord);
      for (const island of childLayoutList) {
        const path = {
          rowID: island.primaryKey ? entry[island.primaryKey] : entry,
          rowKey: island.primaryKey ? entry[island.primaryKey] : entry,
          rowIslandKey: island.key
        };
        const islandGrid = grid?.gridAPI.getChildGrid([path]);
        const keyRecordData = this.prepareIslandData(island, islandGrid, entry[island.key]) || [];
        this.getAllChildColumnsAndData(island, keyRecordData, expansionStateVal, islandGrid);
      }
    }
  }
  prepareSummaries(grid) {
    let summaries = /* @__PURE__ */ new Map();
    if (this.options.exportSummaries && grid.summaryService.summaryCacheMap.size > 0) {
      const summaryCacheMap = grid.summaryService.summaryCacheMap;
      switch (grid.summaryCalculationMode) {
        case GridSummaryCalculationMode.childLevelsOnly:
          summaryCacheMap.delete(GRID_ROOT_SUMMARY);
          break;
        case GridSummaryCalculationMode.rootLevelOnly:
          for (const k of summaryCacheMap.keys()) {
            if (k !== GRID_ROOT_SUMMARY) {
              summaryCacheMap.delete(k);
            }
          }
          break;
      }
      summaries = summaryCacheMap;
    }
    return summaries;
  }
  prepareIslandData(island, islandGrid, data) {
    if (islandGrid !== void 0) {
      const hasFiltering = islandGrid.filteringExpressionsTree && islandGrid.filteringExpressionsTree.filteringOperands.length > 0 || islandGrid.advancedFilteringExpressionsTree && islandGrid.advancedFilteringExpressionsTree.filteringOperands.length > 0;
      const hasSorting = islandGrid.sortingExpressions && islandGrid.sortingExpressions.length > 0;
      const skipOperations = (!hasFiltering || !this.options.ignoreFiltering) && (!hasSorting || !this.options.ignoreSorting);
      if (skipOperations) {
        data = islandGrid.filteredSortedData;
      } else {
        if (hasFiltering && !this.options.ignoreFiltering) {
          const filteringState = {
            expressionsTree: islandGrid.filteringExpressionsTree,
            advancedExpressionsTree: islandGrid.advancedFilteringExpressionsTree,
            strategy: islandGrid.filterStrategy
          };
          data = FilterUtil.filter(data, filteringState, islandGrid);
        }
        if (hasSorting && !this.options.ignoreSorting) {
          this._sort = cloneValue(islandGrid.sortingExpressions[0]);
          data = DataUtil.sort(data, islandGrid.sortingExpressions, islandGrid.sortStrategy, islandGrid);
        }
      }
    } else {
      const hasFiltering = island.filteringExpressionsTree && island.filteringExpressionsTree.filteringOperands.length > 0 || island.advancedFilteringExpressionsTree && island.advancedFilteringExpressionsTree.filteringOperands.length > 0;
      const hasSorting = island.sortingExpressions && island.sortingExpressions.length > 0;
      const skipOperations = (!hasFiltering || this.options.ignoreFiltering) && (!hasSorting || this.options.ignoreSorting);
      if (!skipOperations) {
        if (hasFiltering && !this.options.ignoreFiltering) {
          const filteringState = {
            expressionsTree: island.filteringExpressionsTree,
            advancedExpressionsTree: island.advancedFilteringExpressionsTree,
            strategy: island.filterStrategy
          };
          data = FilterUtil.filter(data, filteringState, island);
        }
        if (hasSorting && !this.options.ignoreSorting) {
          this._sort = cloneValue(island.sortingExpressions[0]);
          data = DataUtil.sort(data, island.sortingExpressions, island.sortStrategy, island);
        }
      }
    }
    return data;
  }
  getAllChildColumnsAndData(island, childData, expansionStateVal, grid) {
    const hierarchicalOwner = `${GRID_CHILD}${++this.rowIslandCounter}`;
    const columnList = this._ownersMap.get(island).columns;
    const columnHeader = columnList.filter((col) => col.headerType === ExportHeaderType.ColumnHeader).map((col) => col.header ? col.header : col.field);
    const headerRecord = {
      data: columnHeader,
      level: island.level,
      type: ExportRecordType.HeaderRecord,
      owner: island,
      hidden: !expansionStateVal,
      hierarchicalOwner
    };
    if (childData && childData.length > 0) {
      this.flatRecords.push(headerRecord);
      for (const rec of childData) {
        const exportRecord = {
          data: rec,
          level: island.level,
          type: ExportRecordType.HierarchicalGridRecord,
          owner: island,
          hidden: !expansionStateVal,
          hierarchicalOwner
        };
        exportRecord.summaryKey = island.key;
        this.flatRecords.push(exportRecord);
        if (island.children.length > 0) {
          const islandExpansionStateVal = grid === void 0 ? false : grid.expansionStates.has(rec) ? grid.expansionStates.get(rec) : false;
          for (const childIsland of island.children) {
            const path = {
              rowID: childIsland.primaryKey ? rec[childIsland.primaryKey] : rec,
              rowKey: childIsland.primaryKey ? rec[childIsland.primaryKey] : rec,
              rowIslandKey: childIsland.key
            };
            const childIslandGrid = grid?.gridAPI.getChildGrid([path]);
            const keyRecordData = this.prepareIslandData(island, childIslandGrid, rec[childIsland.key]) || [];
            this.getAllChildColumnsAndData(childIsland, keyRecordData, islandExpansionStateVal, childIslandGrid);
          }
        }
      }
      if (grid) {
        const summaries = this.prepareSummaries(grid);
        for (const k of summaries.keys()) {
          const summary = summaries.get(k);
          this.setSummaries(island.key, island.level, !expansionStateVal, island, summary, hierarchicalOwner);
        }
      }
    }
  }
  prepareGridData(grid, hasFiltering, hasSorting) {
    const groupedGridGroupingState = {
      expressions: grid.groupingExpressions,
      expansion: grid.groupingExpansionState,
      defaultExpanded: grid.groupsExpanded
    };
    const hasGrouping = grid.groupingExpressions && grid.groupingExpressions.length > 0;
    const skipOperations = (!hasFiltering || !this.options.ignoreFiltering) && (!hasSorting || !this.options.ignoreSorting) && (!hasGrouping || !this.options.ignoreGrouping);
    if (skipOperations) {
      if (hasGrouping) {
        this.addGroupedData(grid, grid.groupsRecords, groupedGridGroupingState, true);
      } else {
        this.addFlatData(grid.filteredSortedData);
      }
    } else {
      let gridData = grid.data;
      if (hasFiltering && !this.options.ignoreFiltering) {
        const filteringState = {
          expressionsTree: grid.filteringExpressionsTree,
          advancedExpressionsTree: grid.advancedFilteringExpressionsTree,
          strategy: grid.filterStrategy
        };
        gridData = FilterUtil.filter(gridData, filteringState, grid);
      }
      if (hasSorting && !this.options.ignoreSorting) {
        const expressions = grid.groupingExpressions ? grid.groupingExpressions.concat(grid.sortingExpressions || []) : grid.sortingExpressions;
        gridData = DataUtil.sort(gridData, expressions, grid.sortStrategy, grid);
      }
      if (hasGrouping && !this.options.ignoreGrouping) {
        const groupsRecords = [];
        DataUtil.group(cloneArray(gridData), groupedGridGroupingState, grid.groupStrategy, grid, groupsRecords);
        gridData = groupsRecords;
      }
      if (hasGrouping && !this.options.ignoreGrouping) {
        this.addGroupedData(grid, gridData, groupedGridGroupingState, true);
      } else {
        this.addFlatData(gridData);
      }
    }
  }
  prepareTreeGridData(grid, hasFiltering, hasSorting) {
    const skipOperations = (!hasFiltering || !this.options.ignoreFiltering) && (!hasSorting || !this.options.ignoreSorting);
    if (skipOperations) {
      this.addTreeGridData(grid.processedRootRecords);
    } else {
      let gridData = grid.rootRecords;
      if (hasFiltering && !this.options.ignoreFiltering) {
        const filteringState = {
          expressionsTree: grid.filteringExpressionsTree,
          advancedExpressionsTree: grid.advancedFilteringExpressionsTree,
          strategy: grid.filterStrategy ? grid.filterStrategy : new TreeGridFilteringStrategy()
        };
        gridData = filteringState.strategy.filter(gridData, filteringState.expressionsTree, filteringState.advancedExpressionsTree);
      }
      if (hasSorting && !this.options.ignoreSorting) {
        this._sort = cloneValue(grid.sortingExpressions[0]);
        gridData = DataUtil.treeGridSort(gridData, grid.sortingExpressions, grid.sortStrategy);
      }
      this.addTreeGridData(gridData);
    }
  }
  addTreeGridData(records, parentExpanded = true, hierarchicalOwner) {
    if (!records) {
      return;
    }
    for (const record of records) {
      const treeGridRecord = {
        data: record.data,
        level: record.level,
        hidden: !parentExpanded,
        type: ExportRecordType.TreeGridRecord,
        summaryKey: record.key,
        hierarchicalOwner: record.level === 0 ? GRID_PARENT : hierarchicalOwner
      };
      this.flatRecords.push(treeGridRecord);
      if (record.children) {
        this.getTreeGridChildData(record.children, record.key, record.level, record.expanded && parentExpanded);
      }
    }
  }
  getTreeGridChildData(recordChildren, key, level, parentExpanded = true) {
    const hierarchicalOwner = `${GRID_CHILD}${++this.rowIslandCounter}`;
    let summaryLevel = level;
    let summaryHidden = !parentExpanded;
    for (const rc of recordChildren) {
      if (rc.children && rc.children.length > 0) {
        this.addTreeGridData([rc], parentExpanded, hierarchicalOwner);
        summaryLevel = rc.level;
      } else {
        const currentRecord = {
          data: rc.data,
          level: rc.level,
          hidden: !parentExpanded,
          type: ExportRecordType.DataRecord,
          hierarchicalOwner
        };
        if (this._setChildSummaries) {
          currentRecord.summaryKey = key;
        }
        this.flatRecords.push(currentRecord);
        summaryLevel = rc.level;
        summaryHidden = !parentExpanded;
      }
    }
    if (this._setChildSummaries) {
      this.setSummaries(key, summaryLevel, summaryHidden, null, null, hierarchicalOwner);
    }
  }
  addFlatData(records) {
    if (!records) {
      return;
    }
    for (const record of records) {
      const data = {
        data: record,
        type: ExportRecordType.DataRecord,
        level: 0
      };
      this.flatRecords.push(data);
    }
  }
  setSummaries(summaryKey, level = 0, hidden = false, owner, summary, hierarchicalOwner) {
    const rootSummary = summary ?? this.summaries.get(summaryKey);
    if (rootSummary) {
      const values = [...rootSummary.values()];
      const biggest = values.sort((a, b) => b.length - a.length)[0];
      for (let i = 0; i < biggest.length; i++) {
        const obj = {};
        for (const [key, value] of rootSummary) {
          const summaries = value.map((s) => ({ label: s.label, value: s.summaryResult }));
          obj[key] = summaries[i];
        }
        const summaryRecord = {
          data: obj,
          type: ExportRecordType.SummaryRecord,
          level,
          hidden,
          summaryKey,
          hierarchicalOwner
        };
        if (owner) {
          summaryRecord.owner = owner;
        }
        this.flatRecords.push(summaryRecord);
      }
    }
  }
  addGroupedData(grid, records, groupingState, setGridParent, parentExpanded = true, summaryKeysArr = []) {
    if (!records) {
      return;
    }
    let previousKey = "";
    const firstCol = this._ownersMap.get(DEFAULT_OWNER).columns.filter((c) => c.headerType === ExportHeaderType.ColumnHeader && !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex)[0].field;
    for (const record of records) {
      let recordVal = record.value;
      const hierarchicalOwner = setGridParent ? GRID_PARENT : `${GRID_CHILD}${++this.rowIslandCounter}`;
      const hierarchy = getHierarchy(record);
      const expandState = groupingState.expansion.find((s) => isHierarchyMatch(s.hierarchy || [{ fieldName: record.expression.fieldName, value: recordVal }], hierarchy, grid.groupingExpressions));
      const expanded = expandState ? expandState.expanded : groupingState.defaultExpanded;
      const isDate2 = recordVal instanceof Date;
      if (isDate2) {
        const timeZoneOffset = recordVal.getTimezoneOffset() * 6e4;
        const isoString = new Date(recordVal - timeZoneOffset).toISOString();
        const pipe2 = new DatePipe(grid.locale);
        recordVal = pipe2.transform(isoString);
      }
      const groupExpressionName = record.column && record.column.header ? record.column.header : record.expression.fieldName;
      recordVal = recordVal !== null ? recordVal : "";
      const groupExpression = {
        data: { [firstCol]: `${groupExpressionName}: ${recordVal ?? "(Blank)"} (${record.records.length})` },
        level: record.level,
        hidden: !parentExpanded,
        type: ExportRecordType.GroupedRecord,
        hierarchicalOwner
      };
      this.flatRecords.push(groupExpression);
      let currKey = "";
      let summaryKey = "";
      if (this._setChildSummaries) {
        currKey = `'${record.expression.fieldName}': '${recordVal}'`;
        summaryKeysArr = summaryKeysArr.filter((a) => a !== previousKey);
        previousKey = currKey;
        summaryKeysArr.push(currKey);
        summaryKey = `{ ${summaryKeysArr.join(", ")} }`;
        groupExpression.summaryKey = summaryKey;
      }
      if (record.groups.length > 0) {
        this.addGroupedData(grid, record.groups, groupingState, false, expanded && parentExpanded, summaryKeysArr);
      } else {
        const rowRecords = record.records;
        for (const rowRecord of rowRecords) {
          const currentRecord = {
            data: rowRecord,
            level: record.level + 1,
            hidden: !(expanded && parentExpanded),
            type: ExportRecordType.DataRecord,
            hierarchicalOwner
          };
          if (summaryKey) {
            currentRecord.summaryKey = summaryKey;
          }
          this.flatRecords.push(currentRecord);
        }
      }
      if (this._setChildSummaries) {
        this.setSummaries(summaryKey, record.level + 1, !(expanded && parentExpanded), null, null, hierarchicalOwner);
        summaryKeysArr.pop();
      }
    }
  }
  getColumns(columns) {
    const colList = [];
    const colWidthList = [];
    const hiddenColumns = [];
    let indexOfLastPinnedColumn = -1;
    let lastVisibleColumnIndex = -1;
    let maxLevel = 0;
    columns.forEach((column) => {
      const columnHeader = !ExportUtilities.isNullOrWhitespaces(column.header) ? column.header : column.field;
      const exportColumn = !column.hidden || this.options.ignoreColumnsVisibility;
      const index = this.options.ignoreColumnsOrder || this.options.ignoreColumnsVisibility ? column.index : column.visibleIndex;
      const columnWidth = Number(column.width?.slice(0, -2)) || DEFAULT_COLUMN_WIDTH;
      const columnLevel = !this.options.ignoreMultiColumnHeaders ? column.level : 0;
      const isMultiColHeader = column.columnGroup;
      const colSpan = isMultiColHeader ? column.allChildren.filter((ch) => !ch.columnGroup && (!this.options.ignoreColumnsVisibility ? !ch.hidden : true)).length : 1;
      const columnInfo = {
        header: ExportUtilities.sanitizeValue(columnHeader),
        dataType: column.dataType,
        field: column.field,
        skip: !exportColumn,
        formatter: column.formatter,
        skipFormatter: false,
        headerType: isMultiColHeader ? ExportHeaderType.MultiColumnHeader : ExportHeaderType.ColumnHeader,
        columnSpan: colSpan,
        level: columnLevel,
        startIndex: index,
        pinnedIndex: !column.pinned ? Number.MAX_VALUE : !column.hidden ? column.grid.pinnedColumns.indexOf(column) : NaN,
        columnGroupParent: column.parent ? column.parent : null,
        columnGroup: isMultiColHeader ? column : null
      };
      if (column.dataType === "currency") {
        columnInfo.currencyCode = column.pipeArgs.currencyCode ? column.pipeArgs.currencyCode : getLocaleCurrencyCode2(this.locale);
        columnInfo.displayFormat = column.pipeArgs.display ? column.pipeArgs.display : "symbol";
        columnInfo.digitsInfo = column.pipeArgs.digitsInfo ? column.pipeArgs.digitsInfo : "1.0-2";
      }
      if (column.dataType === "date") {
        columnInfo.dateFormat = getLocaleDateFormat(this.locale, FormatWidth.Medium);
      }
      if (column.dataType === "dateTime") {
        columnInfo.dateFormat = getLocaleDateTimeFormat(this.locale, FormatWidth.Medium);
      }
      if (this.options.ignoreColumnsOrder) {
        if (columnInfo.startIndex !== columnInfo.pinnedIndex) {
          columnInfo.pinnedIndex = Number.MAX_VALUE;
        }
      }
      if (column.level > maxLevel && !this.options.ignoreMultiColumnHeaders) {
        maxLevel = column.level;
      }
      if (index !== -1) {
        colList.push(columnInfo);
        colWidthList.push(columnWidth);
        lastVisibleColumnIndex = Math.max(lastVisibleColumnIndex, colList.indexOf(columnInfo));
      } else {
        hiddenColumns.push(columnInfo);
      }
      if (column.pinned && exportColumn && columnInfo.headerType === ExportHeaderType.ColumnHeader) {
        indexOfLastPinnedColumn++;
      }
    });
    hiddenColumns.forEach((hiddenColumn) => {
      colList[++lastVisibleColumnIndex] = hiddenColumn;
    });
    const result = {
      columns: colList,
      columnWidths: colWidthList,
      indexOfLastPinnedColumn,
      maxLevel
    };
    return result;
  }
  mapHierarchicalGridColumns(island, gridData) {
    let columnList;
    let keyData;
    if (island.autoGenerate) {
      keyData = gridData[island.key];
      const islandKeys = island.children.map((i) => i.key);
      const islandData = keyData.map((i) => {
        const newItem = {};
        Object.keys(i).map((k) => {
          if (!islandKeys.includes(k)) {
            newItem[k] = i[k];
          }
        });
        return newItem;
      });
      columnList = this.getAutoGeneratedColumns(islandData);
    } else {
      const islandColumnList = island.columns;
      columnList = this.getColumns(islandColumnList);
    }
    this._ownersMap.set(island, columnList);
    if (island.children.length > 0) {
      for (const childIsland of island.children) {
        const islandKeyData = keyData !== void 0 ? keyData[0] : {};
        this.mapHierarchicalGridColumns(childIsland, islandKeyData);
      }
    }
  }
  getAutoGeneratedColumns(data) {
    const colList = [];
    const colWidthList = [];
    const keys = Object.keys(data[0]);
    keys.forEach((colKey, i) => {
      const columnInfo = {
        header: colKey,
        field: colKey,
        dataType: "string",
        skip: false,
        headerType: ExportHeaderType.ColumnHeader,
        columnSpan: 1,
        level: 0,
        startIndex: i,
        pinnedIndex: Number.MAX_VALUE
      };
      colList.push(columnInfo);
      colWidthList.push(DEFAULT_COLUMN_WIDTH);
    });
    const result = {
      columns: colList,
      columnWidths: colWidthList,
      indexOfLastPinnedColumn: -1,
      maxLevel: 0
    };
    return result;
  }
  addPivotGridColumns(grid) {
    if (grid.nativeElement.tagName.toLowerCase() !== "igx-pivot-grid") {
      return;
    }
    const enabledRows = grid.pivotConfiguration.rows.filter((r) => r.enabled).map((r, i) => ({ name: r.memberName, level: i }));
    this.preparePivotGridColumns(enabledRows);
    this.pivotGridFilterFieldsCount = enabledRows.length;
    const columnList = this._ownersMap.get(DEFAULT_OWNER);
    columnList.columns.unshift(...this.pivotGridColumns);
    columnList.columnWidths.unshift(...Array(this.pivotGridColumns.length).fill(200));
    columnList.indexOfLastPinnedColumn = enabledRows.length - 1;
    columnList.maxRowLevel = enabledRows.length;
    this._ownersMap.set(DEFAULT_OWNER, columnList);
  }
  preparePivotGridColumns(keys, columnGroupParent) {
    if (keys.length === 0) {
      return;
    }
    let startIndex = 0;
    const key = keys[0];
    const records = this.flatRecords.map((r) => r.data);
    const groupedRecords = {};
    records.forEach((obj) => {
      const keyValue = obj[key.name];
      if (!groupedRecords[keyValue]) {
        groupedRecords[keyValue] = [];
      }
      groupedRecords[keyValue].push(obj);
    });
    if (columnGroupParent) {
      const mapKeys = [...this.pivotGridKeyValueMap.keys()];
      const mapValues = [...this.pivotGridKeyValueMap.values()];
      for (const k of Object.keys(groupedRecords)) {
        groupedRecords[k] = groupedRecords[k].filter((row) => mapKeys.every((mk) => Object.keys(row).includes(mk)) && mapValues.every((mv) => Object.values(row).includes(mv)));
        if (groupedRecords[k].length === 0) {
          delete groupedRecords[k];
        }
      }
    }
    for (const k of Object.keys(groupedRecords)) {
      const rowSpan = groupedRecords[k].length;
      const rowDimensionColumn = {
        rowSpan,
        field: k,
        header: k,
        startIndex,
        skip: false,
        pinnedIndex: 0,
        level: key.level,
        dataType: "string",
        headerType: groupedRecords[k].length > 1 ? ExportHeaderType.MultiRowHeader : ExportHeaderType.RowHeader
      };
      if (columnGroupParent) {
        rowDimensionColumn.columnGroupParent = columnGroupParent;
      } else {
        rowDimensionColumn.columnGroup = k;
      }
      this.pivotGridColumns.push(rowDimensionColumn);
      if (keys.length > 1) {
        this.pivotGridKeyValueMap.set(key.name, k);
        const newKeys = keys.filter((kdd) => kdd !== key);
        this.preparePivotGridColumns(newKeys, k);
        this.pivotGridKeyValueMap.delete(key.name);
      }
      startIndex += rowSpan;
    }
  }
  addLevelColumns() {
    if (this.options.exportSummaries && this.summaries.size > 0) {
      this._ownersMap.forEach((om) => {
        const levelCol = {
          header: GRID_LEVEL_COL,
          dataType: "number",
          field: GRID_LEVEL_COL,
          skip: false,
          skipFormatter: false,
          headerType: ExportHeaderType.ColumnHeader,
          columnSpan: 1,
          level: 0
        };
        om.columns.push(levelCol);
        om.columnWidths.push(20);
      });
    }
  }
  addLevelData() {
    if (this.options.exportSummaries && this.summaries.size > 0) {
      for (const r of this.flatRecords) {
        if (r.type === ExportRecordType.DataRecord || r.type === ExportRecordType.TreeGridRecord || r.type === ExportRecordType.HierarchicalGridRecord) {
          r.data[GRID_LEVEL_COL] = r.level;
        }
      }
    }
  }
  resetDefaults() {
    this._sort = null;
    this.flatRecords = [];
    this.options = {};
    this._ownersMap.clear();
    this.rowIslandCounter = 0;
  }
};

// lib/services/csv/char-separated-value-data.mjs
var CharSeparatedValueData = class {
  constructor(_data, valueDelimiter, columns = []) {
    this._data = _data;
    this.columns = columns;
    this._headerRecord = "";
    this._dataRecords = "";
    this._eor = "\r\n";
    this._escapeCharacters = ["\r", "\n", "\r\n"];
    this._delimiterLength = 1;
    this._isSpecialData = false;
    this.setDelimiter(valueDelimiter);
  }
  prepareData(key) {
    if (!this._data || this._data.length === 0) {
      return "";
    }
    let keys = [];
    if (key) {
      keys = key;
    } else {
      keys = ExportUtilities.getKeysFromData(this._data);
    }
    if (keys.length === 0) {
      return "";
    }
    this._isSpecialData = ExportUtilities.isSpecialData(this._data[0]);
    this._escapeCharacters.push(this._delimiter);
    this._headerRecord = this.processHeaderRecord(keys, this._data.length);
    this._dataRecords = this.processDataRecords(this._data, keys);
    return this._headerRecord + this._dataRecords;
  }
  prepareDataAsync(done) {
    const columns = this.columns?.filter((c) => !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex);
    const keys = columns && columns.length ? columns.map((c) => c.field) : ExportUtilities.getKeysFromData(this._data);
    this._isSpecialData = ExportUtilities.isSpecialData(this._data[0]);
    this._escapeCharacters.push(this._delimiter);
    const headers = columns && columns.length ? columns.map((c) => c.header ?? c.field) : keys;
    this._headerRecord = this.processHeaderRecord(headers, this._data.length);
    if (keys.length === 0 || (!this._data || this._data.length === 0) && keys.length === 0) {
      done("");
    } else {
      this.processDataRecordsAsync(this._data, keys, (dr) => {
        done(this._headerRecord + dr);
      });
    }
  }
  processField(value, escapeChars) {
    let safeValue = ExportUtilities.hasValue(value) ? String(value) : "";
    if (escapeChars.some((v) => safeValue.includes(v))) {
      safeValue = `"${safeValue}"`;
    }
    return safeValue + this._delimiter;
  }
  processHeaderRecord(keys, dataLength) {
    let recordData = "";
    for (const keyName of keys) {
      recordData += this.processField(keyName, this._escapeCharacters);
    }
    const result = recordData.slice(0, -this._delimiterLength);
    return dataLength > 0 ? result + this._eor : result;
  }
  processRecord(record, keys) {
    const recordData = new Array(keys.length);
    for (let index = 0; index < keys.length; index++) {
      const value = record[keys[index]] !== void 0 ? record[keys[index]] : this._isSpecialData ? record : "";
      recordData[index] = this.processField(value, this._escapeCharacters);
    }
    return recordData.join("").slice(0, -this._delimiterLength) + this._eor;
  }
  processDataRecords(currentData, keys) {
    const dataRecords = new Array(currentData.length);
    for (let i = 0; i < currentData.length; i++) {
      const row = currentData[i];
      dataRecords[i] = this.processRecord(row, keys);
    }
    return dataRecords.join("");
  }
  processDataRecordsAsync(currentData, keys, done) {
    const dataRecords = new Array(currentData.length);
    yieldingLoop(currentData.length, 1e3, (i) => {
      const row = currentData[i];
      dataRecords[i] = this.processRecord(row, keys);
    }, () => {
      done(dataRecords.join(""));
    });
  }
  setDelimiter(value) {
    this._delimiter = value;
    this._delimiterLength = value.length;
  }
};

// lib/services/exporter-common/exporter-options-base.mjs
var IgxExporterOptionsBase = class {
  constructor(fileName, _fileExtension) {
    this._fileExtension = _fileExtension;
    this.ignoreColumnsVisibility = false;
    this.ignoreFiltering = false;
    this.ignoreColumnsOrder = false;
    this.ignoreSorting = false;
    this.ignoreGrouping = false;
    this.ignoreMultiColumnHeaders = false;
    this.exportSummaries = true;
    this.freezeHeaders = false;
    this.alwaysExportHeaders = true;
    this.setFileName(fileName);
  }
  setFileName(fileName) {
    this._fileName = fileName + (fileName.endsWith(this._fileExtension) === false ? this._fileExtension : "");
  }
  /**
   * Gets the file name which will be used for the exporting operation.
   * ```typescript
   * let fileName = this.exportOptions.fileName;
   * ```
   *
   * @memberof IgxExporterOptionsBase
   */
  get fileName() {
    return this._fileName;
  }
  /**
   * Sets the file name which will be used for the exporting operation.
   * ```typescript
   * this.exportOptions.fileName = 'exportedData01';
   * ```
   *
   * @memberof IgxExporterOptionsBase
   */
  set fileName(value) {
    this.setFileName(value);
  }
};

// lib/services/csv/csv-exporter-options.mjs
var IgxCsvExporterOptions = class _IgxCsvExporterOptions extends IgxExporterOptionsBase {
  constructor(fileName, fileType) {
    super(fileName, _IgxCsvExporterOptions.getExtensionFromFileType(fileType));
    this.setFileType(fileType);
    this.setDelimiter();
  }
  static getExtensionFromFileType(fType) {
    let extension = "";
    switch (fType) {
      case CsvFileTypes.CSV:
        extension = ".csv";
        break;
      case CsvFileTypes.TSV:
        extension = ".tsv";
        break;
      case CsvFileTypes.TAB:
        extension = ".tab";
        break;
      default:
        throw Error("Unsupported CSV file type!");
    }
    return extension;
  }
  /**
   * Gets the value delimiter which will be used for the exporting operation.
   * ```typescript
   * let delimiter = this.exportOptions.valueDelimiter;
   * ```
   *
   * @memberof IgxCsvExporterOptions
   */
  get valueDelimiter() {
    return this._valueDelimiter;
  }
  /**
   * Sets a value delimiter which will overwrite the default delimiter of the selected export format.
   * ```typescript
   * this.exportOptions.valueDelimiter = '|';
   * ```
   *
   * @memberof IgxCsvExporterOptions
   */
  set valueDelimiter(value) {
    this.setDelimiter(value);
  }
  /**
   * Gets the CSV export format.
   * ```typescript
   * let filetype = this.exportOptions.fileType;
   * ```
   *
   * @memberof IgxCsvExporterOptions
   */
  get fileType() {
    return this._fileType;
  }
  /**
   * Sets the CSV export format.
   * ```typescript
   * this.exportOptions.fileType = CsvFileTypes.TAB;
   * ```
   *
   * @memberof IgxCsvExporterOptions
   */
  set fileType(value) {
    this.setFileType(value);
  }
  setFileType(value) {
    if (value !== void 0 && value !== null && value !== this._fileType) {
      this._fileType = value;
      const extension = _IgxCsvExporterOptions.getExtensionFromFileType(value);
      if (!this.fileName.endsWith(extension)) {
        const oldExt = "." + this.fileName.split(".").pop();
        const newName = this.fileName.replace(oldExt, extension);
        this._fileExtension = extension;
        this.fileName = newName;
      }
    }
  }
  setDelimiter(value) {
    if (value !== void 0 && value !== "" && value !== null) {
      this._valueDelimiter = value;
    } else {
      switch (this.fileType) {
        case CsvFileTypes.CSV:
          this._valueDelimiter = ",";
          break;
        case CsvFileTypes.TSV:
        case CsvFileTypes.TAB:
          this._valueDelimiter = "	";
          break;
      }
    }
  }
};
var CsvFileTypes;
(function(CsvFileTypes2) {
  CsvFileTypes2[CsvFileTypes2["CSV"] = 0] = "CSV";
  CsvFileTypes2[CsvFileTypes2["TSV"] = 1] = "TSV";
  CsvFileTypes2[CsvFileTypes2["TAB"] = 2] = "TAB";
})(CsvFileTypes || (CsvFileTypes = {}));

// lib/services/csv/csv-exporter.mjs
import { EventEmitter as EventEmitter2, Injectable as Injectable3 } from "@angular/core";
import * as i04 from "@angular/core";
var IgxCsvExporterService = class _IgxCsvExporterService extends IgxBaseExporter {
  constructor() {
    super(...arguments);
    this.exportEnded = new EventEmitter2();
  }
  exportDataImplementation(data, options, done) {
    data = data.map((item) => item.data);
    const columnList = this._ownersMap.get(DEFAULT_OWNER);
    const csvData = new CharSeparatedValueData(data, options.valueDelimiter, columnList?.columns);
    csvData.prepareDataAsync((r) => {
      this._stringData = r;
      this.saveFile(options);
      this.exportEnded.emit({ csvData: this._stringData });
      done();
    });
  }
  saveFile(options) {
    switch (options.fileType) {
      case CsvFileTypes.CSV:
        this.exportFile(this._stringData, options.fileName, "text/csv;charset=utf-8;");
        break;
      case CsvFileTypes.TSV:
      case CsvFileTypes.TAB:
        this.exportFile(this._stringData, options.fileName, "text/tab-separated-values;charset=utf-8;");
        break;
    }
  }
  exportFile(data, fileName, fileType) {
    const blob = new Blob([data ? "\uFEFF" : "", data], { type: fileType });
    ExportUtilities.saveBlobToFile(blob, fileName);
  }
  static {
    this.ɵfac = i04.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i04, type: _IgxCsvExporterService, deps: null, target: i04.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i04.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i04, type: _IgxCsvExporterService, providedIn: "root" });
  }
};
i04.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i04, type: IgxCsvExporterService, decorators: [{
  type: Injectable3,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/services/excel/excel-enums.mjs
var ExcelFolderTypes;
(function(ExcelFolderTypes2) {
  ExcelFolderTypes2[ExcelFolderTypes2["RootExcelFolder"] = 0] = "RootExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["RootRelsExcelFolder"] = 1] = "RootRelsExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["DocPropsExcelFolder"] = 2] = "DocPropsExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["XLExcelFolder"] = 3] = "XLExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["XLRelsExcelFolder"] = 4] = "XLRelsExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["ThemeExcelFolder"] = 5] = "ThemeExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["WorksheetsExcelFolder"] = 6] = "WorksheetsExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["WorksheetsRelsExcelFolder"] = 7] = "WorksheetsRelsExcelFolder";
  ExcelFolderTypes2[ExcelFolderTypes2["TablesExcelFolder"] = 8] = "TablesExcelFolder";
})(ExcelFolderTypes || (ExcelFolderTypes = {}));
var ExcelFileTypes;
(function(ExcelFileTypes2) {
  ExcelFileTypes2[ExcelFileTypes2["RootRelsFile"] = 0] = "RootRelsFile";
  ExcelFileTypes2[ExcelFileTypes2["AppFile"] = 1] = "AppFile";
  ExcelFileTypes2[ExcelFileTypes2["CoreFile"] = 2] = "CoreFile";
  ExcelFileTypes2[ExcelFileTypes2["WorkbookRelsFile"] = 3] = "WorkbookRelsFile";
  ExcelFileTypes2[ExcelFileTypes2["ThemeFile"] = 4] = "ThemeFile";
  ExcelFileTypes2[ExcelFileTypes2["WorksheetFile"] = 5] = "WorksheetFile";
  ExcelFileTypes2[ExcelFileTypes2["StyleFile"] = 6] = "StyleFile";
  ExcelFileTypes2[ExcelFileTypes2["WorkbookFile"] = 7] = "WorkbookFile";
  ExcelFileTypes2[ExcelFileTypes2["ContentTypesFile"] = 8] = "ContentTypesFile";
  ExcelFileTypes2[ExcelFileTypes2["SharedStringsFile"] = 9] = "SharedStringsFile";
  ExcelFileTypes2[ExcelFileTypes2["WorksheetRelsFile"] = 10] = "WorksheetRelsFile";
  ExcelFileTypes2[ExcelFileTypes2["TablesFile"] = 11] = "TablesFile";
})(ExcelFileTypes || (ExcelFileTypes = {}));

// lib/services/excel/excel-strings.mjs
var ExcelStrings = class _ExcelStrings {
  static {
    this.XML_STRING = '<?xml version="1.0" encoding="UTF-8"?>\r\n';
  }
  static {
    this.SHARED_STRING_RELATIONSHIP = '<Relationship Id="rId4" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/sharedStrings" Target="sharedStrings.xml" />';
  }
  static getRels() {
    return _ExcelStrings.XML_STRING + '<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId3" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties" Target="docProps/app.xml"/><Relationship Id="rId2" Type="http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties" Target="docProps/core.xml"/><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument" Target="xl/workbook.xml"/></Relationships>';
  }
  static getApp(worksheetName) {
    return _ExcelStrings.XML_STRING + `<Properties xmlns="http://schemas.openxmlformats.org/officeDocument/2006/extended-properties" xmlns:vt="http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes"><Application>Microsoft Excel</Application><DocSecurity>0</DocSecurity><ScaleCrop>false</ScaleCrop><HeadingPairs><vt:vector size="2" baseType="variant"><vt:variant><vt:lpstr>Worksheets</vt:lpstr></vt:variant><vt:variant><vt:i4>1</vt:i4></vt:variant></vt:vector></HeadingPairs><TitlesOfParts><vt:vector size="1" baseType="lpstr"><vt:lpstr>${worksheetName}</vt:lpstr></vt:vector></TitlesOfParts><Company></Company><LinksUpToDate>false</LinksUpToDate><SharedDoc>false</SharedDoc><HyperlinksChanged>false</HyperlinksChanged><AppVersion>16.0300</AppVersion></Properties>`;
  }
  static getCore() {
    return _ExcelStrings.XML_STRING + '<cp:coreProperties xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:dcmitype="http://purl.org/dc/dcmitype/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><dc:creator></dc:creator><cp:lastModifiedBy></cp:lastModifiedBy><dcterms:created xsi:type="dcterms:W3CDTF">2015-06-05T18:17:20Z</dcterms:created><dcterms:modified xsi:type="dcterms:W3CDTF">2015-06-05T18:17:26Z</dcterms:modified></cp:coreProperties>';
  }
  static getTheme() {
    return _ExcelStrings.XML_STRING + '<a:theme xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" name="Office Theme"><a:themeElements><a:clrScheme name="Office"><a:dk1><a:sysClr val="windowText" lastClr="000000"/></a:dk1><a:lt1><a:sysClr val="window" lastClr="FFFFFF"/></a:lt1><a:dk2><a:srgbClr val="44546A"/></a:dk2><a:lt2><a:srgbClr val="E7E6E6"/></a:lt2><a:accent1><a:srgbClr val="5B9BD5"/></a:accent1><a:accent2><a:srgbClr val="ED7D31"/></a:accent2><a:accent3><a:srgbClr val="A5A5A5"/></a:accent3><a:accent4><a:srgbClr val="FFC000"/></a:accent4><a:accent5><a:srgbClr val="4472C4"/></a:accent5><a:accent6><a:srgbClr val="70AD47"/></a:accent6><a:hlink><a:srgbClr val="0563C1"/></a:hlink><a:folHlink><a:srgbClr val="954F72"/></a:folHlink></a:clrScheme><a:fontScheme name="Office"><a:majorFont><a:latin typeface="Calibri Light" panose="020F0302020204030204"/><a:ea typeface=""/><a:cs typeface=""/><a:font script="Jpan" typeface="游ゴシック Light"/><a:font script="Hang" typeface="맑은 고딕"/><a:font script="Hans" typeface="等线 Light"/><a:font script="Hant" typeface="新細明體"/><a:font script="Arab" typeface="Times New Roman"/><a:font script="Hebr" typeface="Times New Roman"/><a:font script="Thai" typeface="Tahoma"/><a:font script="Ethi" typeface="Nyala"/><a:font script="Beng" typeface="Vrinda"/><a:font script="Gujr" typeface="Shruti"/><a:font script="Khmr" typeface="MoolBoran"/><a:font script="Knda" typeface="Tunga"/><a:font script="Guru" typeface="Raavi"/><a:font script="Cans" typeface="Euphemia"/><a:font script="Cher" typeface="Plantagenet Cherokee"/><a:font script="Yiii" typeface="Microsoft Yi Baiti"/><a:font script="Tibt" typeface="Microsoft Himalaya"/><a:font script="Thaa" typeface="MV Boli"/><a:font script="Deva" typeface="Mangal"/><a:font script="Telu" typeface="Gautami"/><a:font script="Taml" typeface="Latha"/><a:font script="Syrc" typeface="Estrangelo Edessa"/><a:font script="Orya" typeface="Kalinga"/><a:font script="Mlym" typeface="Kartika"/><a:font script="Laoo" typeface="DokChampa"/><a:font script="Sinh" typeface="Iskoola Pota"/><a:font script="Mong" typeface="Mongolian Baiti"/><a:font script="Viet" typeface="Times New Roman"/><a:font script="Uigh" typeface="Microsoft Uighur"/><a:font script="Geor" typeface="Sylfaen"/></a:majorFont><a:minorFont><a:latin typeface="Calibri" panose="020F0502020204030204"/><a:ea typeface=""/><a:cs typeface=""/><a:font script="Jpan" typeface="游ゴシック"/><a:font script="Hang" typeface="맑은 고딕"/><a:font script="Hans" typeface="等线"/><a:font script="Hant" typeface="新細明體"/><a:font script="Arab" typeface="Arial"/><a:font script="Hebr" typeface="Arial"/><a:font script="Thai" typeface="Tahoma"/><a:font script="Ethi" typeface="Nyala"/><a:font script="Beng" typeface="Vrinda"/><a:font script="Gujr" typeface="Shruti"/><a:font script="Khmr" typeface="DaunPenh"/><a:font script="Knda" typeface="Tunga"/><a:font script="Guru" typeface="Raavi"/><a:font script="Cans" typeface="Euphemia"/><a:font script="Cher" typeface="Plantagenet Cherokee"/><a:font script="Yiii" typeface="Microsoft Yi Baiti"/><a:font script="Tibt" typeface="Microsoft Himalaya"/><a:font script="Thaa" typeface="MV Boli"/><a:font script="Deva" typeface="Mangal"/><a:font script="Telu" typeface="Gautami"/><a:font script="Taml" typeface="Latha"/><a:font script="Syrc" typeface="Estrangelo Edessa"/><a:font script="Orya" typeface="Kalinga"/><a:font script="Mlym" typeface="Kartika"/><a:font script="Laoo" typeface="DokChampa"/><a:font script="Sinh" typeface="Iskoola Pota"/><a:font script="Mong" typeface="Mongolian Baiti"/><a:font script="Viet" typeface="Arial"/><a:font script="Uigh" typeface="Microsoft Uighur"/><a:font script="Geor" typeface="Sylfaen"/></a:minorFont></a:fontScheme><a:fmtScheme name="Office"><a:fillStyleLst><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:lumMod val="110000"/><a:satMod val="105000"/><a:tint val="67000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:lumMod val="105000"/><a:satMod val="103000"/><a:tint val="73000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:lumMod val="105000"/><a:satMod val="109000"/><a:tint val="81000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:satMod val="103000"/><a:lumMod val="102000"/><a:tint val="94000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:satMod val="110000"/><a:lumMod val="100000"/><a:shade val="100000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:lumMod val="99000"/><a:satMod val="120000"/><a:shade val="78000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill></a:fillStyleLst><a:lnStyleLst><a:ln w="6350" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln><a:ln w="12700" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln><a:ln w="19050" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln></a:lnStyleLst><a:effectStyleLst><a:effectStyle><a:effectLst/></a:effectStyle><a:effectStyle><a:effectLst/></a:effectStyle><a:effectStyle><a:effectLst><a:outerShdw blurRad="57150" dist="19050" dir="5400000" algn="ctr" rotWithShape="0"><a:srgbClr val="000000"><a:alpha val="63000"/></a:srgbClr></a:outerShdw></a:effectLst></a:effectStyle></a:effectStyleLst><a:bgFillStyleLst><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:solidFill><a:schemeClr val="phClr"><a:tint val="95000"/><a:satMod val="170000"/></a:schemeClr></a:solidFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="93000"/><a:satMod val="150000"/><a:shade val="98000"/><a:lumMod val="102000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:tint val="98000"/><a:satMod val="130000"/><a:shade val="90000"/><a:lumMod val="103000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:shade val="63000"/><a:satMod val="120000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill></a:bgFillStyleLst></a:fmtScheme></a:themeElements><a:objectDefaults/><a:extraClrSchemeLst/><a:extLst><a:ext uri="{05A4C25C-085E-4340-85A3-A5531E510DB2}"><thm15:themeFamily xmlns:thm15="http://schemas.microsoft.com/office/thememl/2012/main" name="Office Theme" id="{62F939B6-93AF-4DB8-9C6B-D6C7DFDC589F}" vid="{4A3C46E8-61CC-4603-A589-7422A47A8E4A}"/></a:ext></a:extLst></a:theme>';
  }
  static getStyles() {
    return _ExcelStrings.XML_STRING + '<styleSheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac x16r2" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac" xmlns:x16r2="http://schemas.microsoft.com/office/spreadsheetml/2015/02/main"><numFmts count="5"><numFmt numFmtId="164" formatCode="&quot;$&quot;#,##0.00"/><numFmt numFmtId="165" formatCode="[$£-809]#,##0.00"/><numFmt numFmtId="166" formatCode="[$¥-804]#,##0.00"/><numFmt numFmtId="167" formatCode="#,##0.00 [$€-1]"/><numFmt numFmtId="168" formatCode="[$¥-411]#,##0.00"/></numFmts><fonts count="2" x14ac:knownFonts="1"><font><sz val="11"/><color theme="1"/><name val="Calibri"/><family val="2"/><scheme val="minor"/></font><font><sz val="11"/><color rgb="FFB7B7B7"/><name val="Calibri"/><family val="2"/><scheme val="minor"/></font></fonts><fills count="3"><fill><patternFill patternType="none"/></fill><fill><patternFill patternType="gray125"/></fill><fill><patternFill patternType="solid"><fgColor rgb="FF0D1822"/><bgColor indexed="64"/></patternFill></fill></fills><borders count="1"><border><left/><right/><top/><bottom/><diagonal/></border></borders><cellStyleXfs count="1"><xf numFmtId="0" fontId="0" fillId="0" borderId="0"/></cellStyleXfs><cellXfs count="13"><xf numFmtId="0" fontId="0" fillId="0" borderId="0" xfId="0"/><xf numFmtId="0" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="14" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="0" fontId="1" fillId="2" borderId="0" xfId="0"/><xf numFmtId="0" fontId="0" fillId="0" borderId="0" xfId="0" applyAlignment="1"><alignment horizontal="center" vertical="center"/></xf><xf numFmtId="164" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="165" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="166" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="167" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="168" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="21" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="22" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/><xf numFmtId="10" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/></cellXfs><cellStyles count="1"><cellStyle name="Normal" xfId="0" builtinId="0"/></cellStyles><dxfs count="0"/><tableStyles count="0" defaultTableStyle="TableStyleMedium2" defaultPivotStyle="PivotStyleLight16"/><extLst><ext uri="{EB79DEF2-80B8-43e5-95BD-54CBDDF9020C}" xmlns:x14="http://schemas.microsoft.com/office/spreadsheetml/2009/9/main"><x14:slicerStyles defaultSlicerStyle="SlicerStyleLight1"/></ext><ext uri="{9260A510-F301-46a8-8635-F512D64BE5F5}" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><x15:timelineStyles defaultTimelineStyle="TimeSlicerStyleLight1"/></ext></extLst></styleSheet>';
  }
  static getWorkbook(worksheetName) {
    return _ExcelStrings.XML_STRING + `<workbook xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x15" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><fileVersion appName="xl" lastEdited="6" lowestEdited="6" rupBuild="14420"/><workbookPr filterPrivacy="1" defaultThemeVersion="164011"/><bookViews><workbookView xWindow="0" yWindow="0" windowWidth="22260" windowHeight="12645"/></bookViews><sheets><sheet name="${worksheetName}" sheetId="1" r:id="rId1"/></sheets><calcPr calcId="162913"/><extLst><ext uri="{140A7094-0E35-4892-8432-C4D2E57EDEB5}" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><x15:workbookPr chartTrackingRefBase="1"/></ext></extLst></workbook>`;
  }
  static getWorksheetRels() {
    return _ExcelStrings.XML_STRING + `<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/table" Target="../tables/table1.xml"/></Relationships>`;
  }
  static getWorkbookRels(hasSharedStrings) {
    let retVal = _ExcelStrings.XML_STRING + `<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId3" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles" Target="styles.xml"/><Relationship Id="rId2" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme" Target="theme/theme1.xml"/><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet" Target="worksheets/sheet1.xml"/>`;
    if (hasSharedStrings) {
      retVal += _ExcelStrings.SHARED_STRING_RELATIONSHIP;
    }
    retVal += "</Relationships>";
    return retVal;
  }
  static getSheetXML(dimension, freezePane, cols, sheetData, hasTable, outlineLevel = 0, isHierarchical) {
    const hasOutline = outlineLevel > 0;
    const tableParts = hasTable ? '<tableParts count="1"><tablePart r:id="rId1"/></tableParts>' : "";
    const sheetOutlineProp = hasOutline ? '<sheetPr><outlinePr summaryBelow="0"/></sheetPr>' : "";
    const sOutlineLevel = hasOutline ? `outlineLevelRow="${outlineLevel}"` : "";
    const dimensions = isHierarchical ? "" : `<dimension ref="${dimension}"/>`;
    return `${_ExcelStrings.XML_STRING}
<worksheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac">
${sheetOutlineProp}
${dimensions}
<sheetViews><sheetView tabSelected="1" workbookViewId="0">${freezePane}</sheetView></sheetViews>
<sheetFormatPr defaultRowHeight="15" ${sOutlineLevel} x14ac:dyDescent="0.25"/>
${cols}
${sheetData}
<pageMargins left="0.7" right="0.7" top="0.75" bottom="0.75" header="0.3" footer="0.3"/>
${tableParts}</worksheet>`;
  }
  static getSharedStringXML(count, uniqueCount, table) {
    return _ExcelStrings.XML_STRING + '<sst xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" count="' + count + '" uniqueCount="' + uniqueCount + '">' + table + "</sst>";
  }
  static getContentTypesXML(hasSharedStrings, hasTable) {
    let contentTypes = _ExcelStrings.XML_STRING + `<Types xmlns="http://schemas.openxmlformats.org/package/2006/content-types">
            <Default Extension="rels" ContentType="application/vnd.openxmlformats-package.relationships+xml"/>
            <Default Extension="xml" ContentType="application/xml"/>
            <Override PartName="/xl/workbook.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml"/>
            <Override PartName="/xl/worksheets/sheet1.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml"/>
            <Override PartName="/xl/theme/theme1.xml" ContentType="application/vnd.openxmlformats-officedocument.theme+xml"/>
            <Override PartName="/xl/styles.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml"/>
            <Override PartName="/docProps/core.xml" ContentType="application/vnd.openxmlformats-package.core-properties+xml"/>
            <Override PartName="/docProps/app.xml" ContentType="application/vnd.openxmlformats-officedocument.extended-properties+xml"/>`;
    contentTypes += hasSharedStrings ? `	<Override PartName="/xl/sharedStrings.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml"/>` : "";
    contentTypes += hasTable ? `<Override PartName="/xl/tables/table1.xml" ContentType="application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml"/>` : "";
    contentTypes += `</Types>`;
    return contentTypes;
  }
  static getTablesXML(autoFilterDimension, tableDimension, tableColumns, sort) {
    return `${_ExcelStrings.XML_STRING}<table xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" id="1" name="Table1" displayName="Table1" ref="${tableDimension}" totalsRowShown="0">
    <autoFilter ref="${autoFilterDimension}"/>${sort}${tableColumns}<tableStyleInfo name="TableStyleMedium2" showFirstColumn="0" showLastColumn="0" showRowStripes="1" showColumnStripes="0"/>
</table>`;
  }
  /* eslint-enable  max-len */
  static getExcelColumn(index) {
    let returnString = "";
    while (index >= 0) {
      const char = index % 26;
      returnString = String.fromCharCode(65 + char) + returnString;
      index = Math.floor(index / 26) - 1;
    }
    return returnString;
  }
};

// lib/services/excel/excel-files.mjs
import { strToU8 } from "fflate";
var RootRelsFile = class {
  writeElement(folder) {
    folder[".rels"] = strToU8(ExcelStrings.getRels());
  }
};
var AppFile = class {
  writeElement(folder, worksheetData) {
    folder["app.xml"] = strToU8(ExcelStrings.getApp(worksheetData.options.worksheetName));
  }
};
var CoreFile = class {
  writeElement(folder) {
    folder["core.xml"] = strToU8(ExcelStrings.getCore());
  }
};
var WorkbookRelsFile = class {
  writeElement(folder, worksheetData) {
    const hasSharedStrings = !worksheetData.isEmpty || worksheetData.options.alwaysExportHeaders;
    folder["workbook.xml.rels"] = strToU8(ExcelStrings.getWorkbookRels(hasSharedStrings));
  }
};
var ThemeFile = class {
  writeElement(folder) {
    folder["theme1.xml"] = strToU8(ExcelStrings.getTheme());
  }
};
var WorksheetFile = class _WorksheetFile {
  constructor() {
    this.maxOutlineLevel = 0;
    this.sheetData = "";
    this.dimension = "";
    this.freezePane = "";
    this.rowHeight = "";
    this.mergeCellStr = "";
    this.mergeCellsCounter = 0;
    this.rowIndex = 0;
    this.pivotGridRowHeadersMap = /* @__PURE__ */ new Map();
    this.dimensionMap = /* @__PURE__ */ new Map();
    this.hierarchicalDimensionMap = /* @__PURE__ */ new Map();
    this.currentSummaryOwner = "";
    this.currentHierarchicalOwner = "";
    this.firstColumn = Number.MAX_VALUE;
    this.firstDataRow = Number.MAX_VALUE;
    this.currencyStyleMap = /* @__PURE__ */ new Map([
      ["USD", { styleXf: 5, symbol: "$" }],
      ["GBP", { styleXf: 6, symbol: "£" }],
      ["CNY", { styleXf: 7, symbol: "¥" }],
      ["EUR", { styleXf: 8, symbol: "€" }],
      ["JPY", { styleXf: 9, symbol: "¥" }]
    ]);
  }
  static {
    this.MIN_WIDTH = 8.43;
  }
  writeElement() {
  }
  async writeElementAsync(folder, worksheetData) {
    return new Promise((resolve) => {
      this.prepareDataAsync(worksheetData, (cols, rows) => {
        const hasTable = (!worksheetData.isEmpty || worksheetData.options.alwaysExportHeaders) && worksheetData.options.exportAsTable;
        folder["sheet1.xml"] = strToU8(ExcelStrings.getSheetXML(this.dimension, this.freezePane, cols, rows, hasTable, this.maxOutlineLevel, worksheetData.isHierarchical));
        resolve();
      });
    });
  }
  prepareDataAsync(worksheetData, done) {
    this.sheetData = "";
    let cols = "";
    const dictionary = worksheetData.dataDictionary;
    this.rowIndex = 0;
    if (worksheetData.isEmpty && (!worksheetData.options.alwaysExportHeaders || worksheetData.owner.columns.length === 0)) {
      this.sheetData += "<sheetData/>";
      this.dimension = "A1";
      done("", this.sheetData);
    } else {
      const owner = worksheetData.owner;
      const isHierarchicalGrid = worksheetData.isHierarchical;
      const hasMultiColumnHeader = worksheetData.hasMultiColumnHeader;
      const hasMultiRowHeader = worksheetData.hasMultiRowHeader;
      const hasUserSetIndex = owner.columns.some((col) => col.exportIndex !== void 0);
      const height = worksheetData.options.rowHeight;
      this.isValidGrid = worksheetData.isHierarchical || worksheetData.isTreeGrid || worksheetData.isGroupedGrid;
      this.rowHeight = height ? ` ht="${height}" customHeight="1"` : "";
      this.sheetData += `<sheetData>`;
      let headersForLevel = [];
      for (let i = 0; i <= owner.maxRowLevel; i++) {
        headersForLevel = owner.columns.filter((c) => c.level === i && c.rowSpan > 0 && !c.skip);
        this.printHeaders(worksheetData, headersForLevel, i, true);
        this.rowIndex++;
      }
      this.rowIndex = 0;
      for (let i = 0; i <= owner.maxLevel; i++) {
        this.rowIndex++;
        const pivotGridColumns = this.pivotGridRowHeadersMap.get(this.rowIndex) ?? "";
        this.sheetData += `<row r="${this.rowIndex}"${this.rowHeight}>${pivotGridColumns}`;
        const allowedColumns = owner.columns.filter((c) => c.headerType !== ExportHeaderType.RowHeader && c.headerType !== ExportHeaderType.MultiRowHeader);
        headersForLevel = hasMultiColumnHeader ? allowedColumns.filter((c) => (c.level < i && c.headerType !== ExportHeaderType.MultiColumnHeader || c.level === i) && c.columnSpan > 0 && !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex) : hasUserSetIndex ? allowedColumns.filter((c) => !c.skip) : allowedColumns.filter((c) => !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex);
        this.printHeaders(worksheetData, headersForLevel, i, false);
        this.sheetData += `</row>`;
      }
      const multiColumnHeaderLevel = worksheetData.options.ignoreMultiColumnHeaders ? 0 : owner.maxLevel;
      const freezeHeaders = worksheetData.options.freezeHeaders ? 2 + multiColumnHeaderLevel : 1;
      if (!isHierarchicalGrid) {
        const col = worksheetData.hasSummaries ? worksheetData.columnCount + 1 : worksheetData.columnCount - 1;
        this.dimension = "A1:" + ExcelStrings.getExcelColumn(col) + worksheetData.rowCount;
        cols += "<cols>";
        if (!hasMultiColumnHeader) {
          for (let j = 0; j < worksheetData.columnCount; j++) {
            const width = dictionary.columnWidths[j];
            let widthInTwips = worksheetData.options.columnWidth !== void 0 ? worksheetData.options.columnWidth : Math.max(width / 96 * 14.4, _WorksheetFile.MIN_WIDTH);
            if (!(widthInTwips > 0)) {
              widthInTwips = _WorksheetFile.MIN_WIDTH;
            }
            cols += `<col min="${j + 1}" max="${j + 1}" width="${widthInTwips}" customWidth="1"/>`;
          }
        } else {
          cols += `<col min="1" max="${worksheetData.columnCount}" width="15" customWidth="1"/>`;
        }
        const indexOfLastPinnedColumn = worksheetData.indexOfLastPinnedColumn;
        const frozenColumnCount = indexOfLastPinnedColumn + 1;
        let firstCell = ExcelStrings.getExcelColumn(frozenColumnCount) + freezeHeaders;
        if (indexOfLastPinnedColumn !== void 0 && indexOfLastPinnedColumn !== -1 && !worksheetData.options.ignorePinning && !worksheetData.options.ignoreColumnsOrder) {
          this.freezePane = `<pane xSplit="${frozenColumnCount}" ySplit="${freezeHeaders - 1}"
                         topLeftCell="${firstCell}" activePane="topRight" state="frozen"/>`;
        } else if (worksheetData.options.freezeHeaders) {
          firstCell = ExcelStrings.getExcelColumn(0) + freezeHeaders;
          this.freezePane = `<pane xSplit="0" ySplit="${freezeHeaders - 1}"
                         topLeftCell="${firstCell}" activePane="topRight" state="frozen"/>`;
        }
      } else {
        const columnWidth = worksheetData.options.columnWidth ? worksheetData.options.columnWidth : 20;
        cols += `<cols><col min="1" max="${worksheetData.columnCount}" width="${columnWidth}" customWidth="1"/>`;
        if (worksheetData.options.freezeHeaders) {
          const firstCell = ExcelStrings.getExcelColumn(0) + freezeHeaders;
          this.freezePane = `<pane xSplit="0" ySplit="${freezeHeaders - 1}"
                         topLeftCell="${firstCell}" activePane="topRight" state="frozen"/>`;
        }
      }
      if (worksheetData.hasSummaries) {
        cols += `<col min="${worksheetData.columnCount + 2}" max="${worksheetData.columnCount + 2}" hidden="1"/>`;
      }
      cols += "</cols>";
      this.processDataRecordsAsync(worksheetData, (rows) => {
        this.sheetData += rows;
        this.sheetData += "</sheetData>";
        if ((hasMultiColumnHeader || hasMultiRowHeader) && this.mergeCellsCounter > 0) {
          this.sheetData += `<mergeCells count="${this.mergeCellsCounter}">${this.mergeCellStr}</mergeCells>`;
        }
        done(cols, this.sheetData);
      });
    }
  }
  processDataRecordsAsync(worksheetData, done) {
    const rowDataArr = [];
    const height = worksheetData.options.rowHeight;
    this.rowHeight = height ? ' ht="' + height + '" customHeight="1"' : "";
    const isHierarchicalGrid = worksheetData.isHierarchical;
    const hasUserSetIndex = worksheetData.owner.columns.some((c) => c.exportIndex !== void 0);
    let recordHeaders = [];
    yieldingLoop(worksheetData.rowCount - worksheetData.multiColumnHeaderRows - 1, 1e3, (i) => {
      if (!worksheetData.isEmpty) {
        if (!isHierarchicalGrid) {
          if (hasUserSetIndex) {
            recordHeaders = worksheetData.rootKeys;
          } else {
            recordHeaders = worksheetData.owner.columns.filter((c) => c.headerType === ExportHeaderType.ColumnHeader && !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex).map((c) => c.field);
          }
        } else {
          const record = worksheetData.data[i];
          if (record.type === ExportRecordType.HeaderRecord) {
            const recordOwner = worksheetData.owners.get(record.owner);
            const hasMultiColumnHeaders = recordOwner.columns.some((c) => !c.skip && c.headerType === ExportHeaderType.MultiColumnHeader);
            if (hasMultiColumnHeaders) {
              this.hGridPrintMultiColHeaders(worksheetData, rowDataArr, record, recordOwner);
            }
          }
          recordHeaders = Object.keys(worksheetData.data[i].data);
        }
        rowDataArr.push(this.processRow(worksheetData, i, recordHeaders, isHierarchicalGrid));
      }
    }, () => {
      done(rowDataArr.join(""));
    });
  }
  hGridPrintMultiColHeaders(worksheetData, rowDataArr, record, owner) {
    for (let j = 0; j < owner.maxLevel; j++) {
      const recordLevel = record.level;
      const outlineLevel = recordLevel > 0 ? ` outlineLevel="${recordLevel}"` : "";
      this.maxOutlineLevel = this.maxOutlineLevel < recordLevel ? recordLevel : this.maxOutlineLevel;
      const sHidden = record.hidden ? ` hidden="1"` : "";
      this.rowIndex++;
      let row = `<row r="${this.rowIndex}"${this.rowHeight}${outlineLevel}${sHidden}>`;
      const headersForLevel = owner.columns.filter((c) => (c.level < j && c.headerType !== ExportHeaderType.MultiColumnHeader || c.level === j) && c.columnSpan > 0 && !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex);
      let startValue = 0 + record.level;
      for (const currentCol of headersForLevel) {
        if (currentCol.level === j) {
          let columnCoordinate;
          columnCoordinate = ExcelStrings.getExcelColumn(startValue) + this.rowIndex;
          const columnValue = worksheetData.dataDictionary.saveValue(currentCol.header, true);
          row += `<c r="${columnCoordinate}" s="3" t="s"><v>${columnValue}</v></c>`;
          if (j !== owner.maxLevel) {
            this.mergeCellsCounter++;
            this.mergeCellStr += ` <mergeCell ref="${columnCoordinate}:`;
            if (currentCol.headerType === ExportHeaderType.ColumnHeader) {
              columnCoordinate = ExcelStrings.getExcelColumn(startValue) + (this.rowIndex + owner.maxLevel - currentCol.level);
            } else {
              for (let k = 1; k < currentCol.columnSpan; k++) {
                columnCoordinate = ExcelStrings.getExcelColumn(startValue + k) + this.rowIndex;
                row += `<c r="${columnCoordinate}" s="3" />`;
              }
            }
            this.mergeCellStr += `${columnCoordinate}" />`;
          }
        }
        startValue += currentCol.columnSpan;
      }
      row += `</row>`;
      rowDataArr.push(row);
    }
  }
  processRow(worksheetData, i, headersForLevel, isHierarchicalGrid) {
    const record = worksheetData.data[i];
    const rowData = new Array(worksheetData.columnCount + 2);
    const rowLevel = record.level;
    const outlineLevel = rowLevel > 0 ? ` outlineLevel="${rowLevel}"` : "";
    this.maxOutlineLevel = this.maxOutlineLevel < rowLevel ? rowLevel : this.maxOutlineLevel;
    const sHidden = record.hidden ? ` hidden="1"` : "";
    this.rowIndex++;
    const pivotGridColumns = this.pivotGridRowHeadersMap.get(this.rowIndex) ?? "";
    rowData[0] = `<row r="${this.rowIndex}"${this.rowHeight}${outlineLevel}${sHidden}>${pivotGridColumns}`;
    const keys = worksheetData.isSpecialData ? [record.data] : headersForLevel;
    const isDataRecord = record.type === ExportRecordType.HierarchicalGridRecord || record.type === ExportRecordType.DataRecord || record.type === ExportRecordType.GroupedRecord || record.type === ExportRecordType.TreeGridRecord;
    const isValidRecordType = isDataRecord || record.type === ExportRecordType.SummaryRecord;
    if (isValidRecordType && worksheetData.hasSummaries) {
      this.resolveSummaryDimensions(record, isDataRecord, worksheetData.isGroupedGrid);
    }
    for (let j = 0; j < keys.length; j++) {
      const col = j + (isHierarchicalGrid ? rowLevel : worksheetData.isPivotGrid ? worksheetData.owner.maxRowLevel : 0);
      const cellData = this.getCellData(worksheetData, i, col, keys[j]);
      rowData[j + 1] = cellData;
    }
    rowData[keys.length + 1] = "</row>";
    return rowData.join("");
  }
  getCellData(worksheetData, row, column, key) {
    const dictionary = worksheetData.dataDictionary;
    let columnName = ExcelStrings.getExcelColumn(column) + this.rowIndex;
    const fullRow = worksheetData.data[row];
    const isHeaderRecord = fullRow.type === ExportRecordType.HeaderRecord;
    const isSummaryRecord = fullRow.type === ExportRecordType.SummaryRecord;
    const isValidRecordType = fullRow.type === ExportRecordType.GroupedRecord || fullRow.type === ExportRecordType.DataRecord || fullRow.type === ExportRecordType.HierarchicalGridRecord || fullRow.type === ExportRecordType.TreeGridRecord;
    this.firstDataRow = this.firstDataRow > this.rowIndex ? this.rowIndex : this.firstDataRow;
    const cellValue = worksheetData.isSpecialData ? fullRow.data : fullRow.data[key];
    if (cellValue === GRID_LEVEL_COL || key === GRID_LEVEL_COL) {
      columnName = ExcelStrings.getExcelColumn(worksheetData.columnCount + 1) + this.rowIndex;
    }
    if (worksheetData.hasSummaries && (isValidRecordType || worksheetData.isGroupedGrid && isSummaryRecord)) {
      this.setSummaryCoordinates(columnName, key, fullRow.hierarchicalOwner, worksheetData.isGroupedGrid && isSummaryRecord);
    }
    if (fullRow.summaryKey && fullRow.summaryKey === GRID_ROOT_SUMMARY && key !== GRID_LEVEL_COL && worksheetData.isGroupedGrid) {
      this.setRootSummaryStartCoordinate(column, key);
      if (this.firstColumn > column) {
        this.setRootSummaryStartCoordinate(worksheetData.columnCount + 1, GRID_LEVEL_COL);
        this.firstColumn = column;
      }
    }
    const targetColArr = Array.from(worksheetData.owners.values()).map((arr) => arr.columns).find((product) => product.some((item) => item.field === key));
    const targetCol = targetColArr ? targetColArr.find((col) => col.field === key) : void 0;
    if ((cellValue === void 0 || cellValue === null) && !worksheetData.hasSummaries) {
      return `<c r="${columnName}" s="1"/>`;
    } else if (worksheetData.hasSummaries && (isValidRecordType || isHeaderRecord) || !worksheetData.hasSummaries) {
      const savedValue = dictionary.saveValue(cellValue, isHeaderRecord);
      const isSavedAsString = savedValue !== -1;
      const isSavedAsDate = !isSavedAsString && cellValue instanceof Date;
      let value = isSavedAsString ? savedValue : cellValue;
      if (isSavedAsDate) {
        const timeZoneOffset = value.getTimezoneOffset() * 6e4;
        const isoString = new Date(value - timeZoneOffset).toISOString();
        value = isoString.substring(0, isoString.indexOf("."));
      }
      const type = isSavedAsString ? ` t="s"` : isSavedAsDate ? ` t="d"` : "";
      const isTime = targetCol?.dataType === "time";
      const isDateTime = targetCol?.dataType === "dateTime";
      const isPercentage = targetCol?.dataType === "percent";
      const isColumnCurrencyType = targetCol?.dataType === "currency";
      const format = isPercentage ? ` s="12"` : isDateTime ? ` s="11"` : isTime ? ` s="10"` : isHeaderRecord ? ` s="3"` : isSavedAsString ? "" : isSavedAsDate ? ` s="2"` : isColumnCurrencyType ? ` s="${this.currencyStyleMap.get(targetCol.currencyCode)?.styleXf || 0}"` : ` s="1"`;
      return `<c r="${columnName}"${type}${format}><v>${value}</v></c>`;
    } else {
      let summaryFunc = `"${cellValue ?? ""}"`;
      if (isSummaryRecord && cellValue) {
        const dimensionMapKey = this.isValidGrid ? fullRow.hierarchicalOwner ?? GRID_PARENT : null;
        const level = worksheetData.isGroupedGrid ? worksheetData.maxLevel : fullRow.level;
        summaryFunc = this.getSummaryFunction(cellValue.label, key, dimensionMapKey, level, targetCol);
        if (!summaryFunc) {
          const cellStr = `${cellValue.label}: ${cellValue.value}`;
          const savedValue = dictionary.saveValue(cellStr, false);
          return `<c r="${columnName}" t="s" s="1"><v>${savedValue}</v></c>`;
        }
        return `<c r="${columnName}"><f t="array" ref="${columnName}">${summaryFunc}</f></c>`;
      }
      return `<c r="${columnName}" s="1"><f>${summaryFunc}</f></c>`;
    }
  }
  resolveSummaryDimensions(record, isDataRecord, isGroupedGrid) {
    if (this.isValidGrid && this.currentHierarchicalOwner !== "" && this.currentHierarchicalOwner !== record.owner && !this.hierarchicalDimensionMap.get(this.currentHierarchicalOwner)) {
      this.hierarchicalDimensionMap.set(this.currentHierarchicalOwner, new Map(this.dimensionMap));
    }
    if (isDataRecord) {
      if (this.currentSummaryOwner !== record.summaryKey || this.currentHierarchicalOwner !== record.hierarchicalOwner) {
        this.dimensionMap.clear();
      }
      this.currentSummaryOwner = record.summaryKey;
      if (isGroupedGrid && this.currentHierarchicalOwner !== "" && record.hierarchicalOwner === GRID_PARENT) {
        this.hierarchicalDimensionMap.delete(GRID_PARENT);
      }
      this.currentHierarchicalOwner = record.hierarchicalOwner;
    }
  }
  setSummaryCoordinates(columnName, key, hierarchicalOwner, useLastValidEndCoordinate) {
    const targetDimensionMap = this.hierarchicalDimensionMap.get(hierarchicalOwner) ?? this.dimensionMap;
    if (!targetDimensionMap.get(key)) {
      const initialDimensions = {
        startCoordinate: columnName,
        endCoordinate: columnName
      };
      targetDimensionMap.set(key, initialDimensions);
    } else {
      if (useLastValidEndCoordinate) {
        this.setEndCoordinates(targetDimensionMap, true);
      } else {
        targetDimensionMap.get(key).endCoordinate = columnName;
        this.lastValidRow = targetDimensionMap.get(key).endCoordinate.match(/[a-z]+|[^a-z]+/gi)[1];
      }
    }
    if (this.isValidGrid && !useLastValidEndCoordinate && hierarchicalOwner !== GRID_PARENT) {
      const parentMap = this.hierarchicalDimensionMap.get(GRID_PARENT);
      this.setEndCoordinates(parentMap);
    }
  }
  setEndCoordinates(map3, useLastValidEndCoordinate = false) {
    for (const a of map3.values()) {
      const colName = a.endCoordinate.match(/[a-z]+|[^a-z]+/gi)[0];
      a.endCoordinate = `${colName}${useLastValidEndCoordinate ? this.lastValidRow : this.rowIndex}`;
    }
  }
  getSummaryFunction(type, key, dimensionMapKey, recordLevel, col) {
    const dimensionMap = dimensionMapKey ? this.hierarchicalDimensionMap.get(dimensionMapKey) : this.dimensionMap;
    const dimensions = dimensionMap.get(key);
    const levelDimensions = dimensionMap.get(GRID_LEVEL_COL);
    let func = "";
    let funcType = "";
    let result = "";
    const currencyInfo = this.currencyStyleMap.get(col.currencyCode);
    switch (type.toLowerCase()) {
      case "count":
        return `"Count: "&amp;_xlfn.COUNTIF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}, ${recordLevel})`;
      case "min":
        func = `_xlfn.MIN(_xlfn.IF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}=${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate}))`;
        funcType = `"Min: "&amp;`;
        result = funcType + (col.dataType === "currency" && currencyInfo ? `_xlfn.TEXT(${func}, "${currencyInfo.symbol}#,##0.00")` : `${func}`);
        return result;
      case "max":
        func = `_xlfn.MAX(_xlfn.IF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}=${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate}))`;
        funcType = `"Max: "&amp;`;
        result = funcType + (col.dataType === "currency" && currencyInfo ? `_xlfn.TEXT(${func}, "${currencyInfo.symbol}#,##0.00")` : `${func}`);
        return result;
      case "sum":
        func = `_xlfn.SUMIF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}, ${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate})`;
        funcType = `"Sum: "&amp;`;
        result = funcType + (col.dataType === "currency" && currencyInfo ? `_xlfn.TEXT(${func}, "${currencyInfo.symbol}#,##0.00")` : `${func}`);
        return result;
      case "avg":
        func = `_xlfn.AVERAGEIF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}, ${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate})`;
        funcType = `"Avg: "&amp;`;
        result = funcType + (col.dataType === "currency" && currencyInfo ? `_xlfn.TEXT(${func}, "${currencyInfo.symbol}#,##0.00")` : `${func}`);
        return result;
      case "earliest":
        return `"Earliest: "&amp;_xlfn.TEXT(_xlfn.MIN(_xlfn.IF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}=${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate})), "m/d/yyyy")`;
      case "latest":
        return `"Latest: "&amp;_xlfn.TEXT(_xlfn.MAX(_xlfn.IF(${levelDimensions.startCoordinate}:${levelDimensions.endCoordinate}=${recordLevel}, ${dimensions.startCoordinate}:${dimensions.endCoordinate})), "m/d/yyyy")`;
    }
  }
  setRootSummaryStartCoordinate(column, key) {
    const firstDataRecordColName = ExcelStrings.getExcelColumn(column) + this.firstDataRow;
    const targetMap = this.hierarchicalDimensionMap.get(GRID_PARENT);
    if (targetMap.get(key).startCoordinate !== firstDataRecordColName) {
      targetMap.get(key).startCoordinate = firstDataRecordColName;
    }
  }
  printHeaders(worksheetData, headersForLevel, i, isVertical) {
    let startValue = 0;
    let str = "";
    const isHierarchicalGrid = worksheetData.isHierarchical;
    let rowStyle = isHierarchicalGrid ? ' s="3"' : "";
    const dictionary = worksheetData.dataDictionary;
    const owner = worksheetData.owner;
    const maxLevel = isVertical ? owner.maxRowLevel : owner.maxLevel;
    for (const currentCol of headersForLevel) {
      const spanLength = isVertical ? currentCol.rowSpan : currentCol.columnSpan;
      if (currentCol.level === i) {
        let columnCoordinate;
        const column = isVertical ? this.rowIndex : startValue + (owner.maxRowLevel ?? 0);
        const rowCoordinate = isVertical ? startValue + owner.maxLevel + 2 : this.rowIndex;
        const columnValue = dictionary.saveValue(currentCol.header, true, false);
        columnCoordinate = (currentCol.field === GRID_LEVEL_COL ? ExcelStrings.getExcelColumn(worksheetData.columnCount + 1) : ExcelStrings.getExcelColumn(column)) + rowCoordinate;
        rowStyle = isVertical && currentCol.rowSpan > 1 ? ' s="4"' : rowStyle;
        str = `<c r="${columnCoordinate}"${rowStyle} t="s"><v>${columnValue}</v></c>`;
        if (isVertical) {
          if (this.pivotGridRowHeadersMap.has(rowCoordinate)) {
            this.pivotGridRowHeadersMap.set(rowCoordinate, this.pivotGridRowHeadersMap.get(rowCoordinate) + str);
          } else {
            this.pivotGridRowHeadersMap.set(rowCoordinate, str);
          }
        } else {
          this.sheetData += str;
        }
        if (i !== maxLevel) {
          this.mergeCellsCounter++;
          this.mergeCellStr += ` <mergeCell ref="${columnCoordinate}:`;
          if (currentCol.headerType === ExportHeaderType.ColumnHeader) {
            const col = isVertical ? maxLevel : startValue + (owner.maxRowLevel ?? 0);
            const row = isVertical ? rowCoordinate : owner.maxLevel + 1;
            columnCoordinate = ExcelStrings.getExcelColumn(col) + row;
          } else {
            for (let k = 1; k < spanLength; k++) {
              const col = isVertical ? column : column + k;
              const row = isVertical ? rowCoordinate + k : this.rowIndex;
              columnCoordinate = ExcelStrings.getExcelColumn(col) + row;
              str = `<c r="${columnCoordinate}"${rowStyle} />`;
              isVertical ? this.pivotGridRowHeadersMap.set(row, str) : this.sheetData += str;
            }
          }
          this.mergeCellStr += `${columnCoordinate}" />`;
        }
      }
      startValue += spanLength;
    }
  }
};
var StyleFile = class {
  writeElement(folder) {
    folder["styles.xml"] = strToU8(ExcelStrings.getStyles());
  }
};
var WorkbookFile = class {
  writeElement(folder, worksheetData) {
    folder["workbook.xml"] = strToU8(ExcelStrings.getWorkbook(worksheetData.options.worksheetName));
  }
};
var ContentTypesFile = class {
  writeElement(folder, worksheetData) {
    const hasSharedStrings = !worksheetData.isEmpty || worksheetData.options.alwaysExportHeaders;
    folder["[Content_Types].xml"] = strToU8(ExcelStrings.getContentTypesXML(hasSharedStrings, worksheetData.options.exportAsTable));
  }
};
var SharedStringsFile = class {
  writeElement(folder, worksheetData) {
    const dict = worksheetData.dataDictionary;
    const sortedValues = dict.getKeys();
    const sharedStrings = new Array(sortedValues.length);
    for (const value of sortedValues) {
      sharedStrings[dict.getSanitizedValue(value)] = "<si><t>" + value + "</t></si>";
    }
    folder["sharedStrings.xml"] = strToU8(ExcelStrings.getSharedStringXML(dict.stringsCount, sortedValues.length, sharedStrings.join("")));
  }
};
var TablesFile = class {
  writeElement(folder, worksheetData) {
    const columnCount = worksheetData.columnCount;
    const lastColumn = ExcelStrings.getExcelColumn(columnCount - 1) + worksheetData.rowCount;
    const autoFilterDimension = "A1:" + lastColumn;
    const tableDimension = worksheetData.isEmpty ? "A1:" + ExcelStrings.getExcelColumn(columnCount - 1) + (worksheetData.rowCount + 1) : autoFilterDimension;
    const hasUserSetIndex = worksheetData.owner.columns.some((c) => c.exportIndex !== void 0);
    const values = hasUserSetIndex ? worksheetData.rootKeys : worksheetData.owner.columns.filter((c) => !c.skip).sort((a, b) => a.startIndex - b.startIndex).sort((a, b) => a.pinnedIndex - b.pinnedIndex).map((c) => c.header);
    let sortString = "";
    let tableColumns = '<tableColumns count="' + columnCount + '">';
    for (let i = 0; i < columnCount; i++) {
      const value = values[i];
      tableColumns += '<tableColumn id="' + (i + 1) + '" name="' + value + '"/>';
    }
    tableColumns += "</tableColumns>";
    if (worksheetData.sort) {
      const sortingExpression = worksheetData.sort;
      const sc = ExcelStrings.getExcelColumn(values.indexOf(sortingExpression.fieldName));
      const dir = sortingExpression.dir - 1;
      sortString = `<sortState ref="A2:${lastColumn}"><sortCondition descending="${dir}" ref="${sc}1:${sc}15"/></sortState>`;
    }
    folder["table1.xml"] = strToU8(ExcelStrings.getTablesXML(autoFilterDimension, tableDimension, tableColumns, sortString));
  }
};
var WorksheetRelsFile = class {
  writeElement(folder) {
    folder["sheet1.xml.rels"] = strToU8(ExcelStrings.getWorksheetRels());
  }
};

// lib/services/excel/excel-folders.mjs
var RootExcelFolder = class {
  get folderName() {
    return "";
  }
  childFiles() {
    return [ExcelFileTypes.ContentTypesFile];
  }
  childFolders() {
    return [
      ExcelFolderTypes.RootRelsExcelFolder,
      ExcelFolderTypes.DocPropsExcelFolder,
      ExcelFolderTypes.XLExcelFolder
    ];
  }
};
var RootRelsExcelFolder = class {
  get folderName() {
    return "_rels";
  }
  childFiles() {
    return [ExcelFileTypes.RootRelsFile];
  }
  childFolders() {
    return [];
  }
};
var DocPropsExcelFolder = class {
  get folderName() {
    return "docProps";
  }
  childFiles() {
    return [
      ExcelFileTypes.AppFile,
      ExcelFileTypes.CoreFile
    ];
  }
  childFolders() {
    return [];
  }
};
var XLExcelFolder = class {
  get folderName() {
    return "xl";
  }
  childFiles(data) {
    const retVal = [
      ExcelFileTypes.StyleFile,
      ExcelFileTypes.WorkbookFile
    ];
    if (!data.isEmpty || data.options.alwaysExportHeaders) {
      retVal.push(ExcelFileTypes.SharedStringsFile);
    }
    return retVal;
  }
  childFolders(data) {
    const retVal = [
      ExcelFolderTypes.XLRelsExcelFolder,
      ExcelFolderTypes.ThemeExcelFolder,
      ExcelFolderTypes.WorksheetsExcelFolder
    ];
    if ((!data.isEmpty || data.options.alwaysExportHeaders) && data.options.exportAsTable) {
      retVal.push(ExcelFolderTypes.TablesExcelFolder);
    }
    return retVal;
  }
};
var XLRelsExcelFolder = class {
  get folderName() {
    return "_rels";
  }
  childFiles() {
    return [ExcelFileTypes.WorkbookRelsFile];
  }
  childFolders() {
    return [];
  }
};
var ThemeExcelFolder = class {
  get folderName() {
    return "theme";
  }
  childFiles() {
    return [ExcelFileTypes.ThemeFile];
  }
  childFolders() {
    return [];
  }
};
var WorksheetsExcelFolder = class {
  get folderName() {
    return "worksheets";
  }
  childFiles() {
    return [ExcelFileTypes.WorksheetFile];
  }
  childFolders(data) {
    return data.isEmpty && !data.options.alwaysExportHeaders || !data.options.exportAsTable ? [] : [ExcelFolderTypes.WorksheetsRelsExcelFolder];
  }
};
var TablesExcelFolder = class {
  get folderName() {
    return "tables";
  }
  childFiles() {
    return [ExcelFileTypes.TablesFile];
  }
  childFolders() {
    return [];
  }
};
var WorksheetsRelsExcelFolder = class {
  get folderName() {
    return "_rels";
  }
  childFiles() {
    return [ExcelFileTypes.WorksheetRelsFile];
  }
  childFolders() {
    return [];
  }
};

// lib/services/excel/excel-elements-factory.mjs
var ExcelElementsFactory = class {
  static getExcelFolder(type) {
    switch (type) {
      case ExcelFolderTypes.RootExcelFolder:
        return new RootExcelFolder();
      case ExcelFolderTypes.RootRelsExcelFolder:
        return new RootRelsExcelFolder();
      case ExcelFolderTypes.DocPropsExcelFolder:
        return new DocPropsExcelFolder();
      case ExcelFolderTypes.XLExcelFolder:
        return new XLExcelFolder();
      case ExcelFolderTypes.XLRelsExcelFolder:
        return new XLRelsExcelFolder();
      case ExcelFolderTypes.ThemeExcelFolder:
        return new ThemeExcelFolder();
      case ExcelFolderTypes.WorksheetsExcelFolder:
        return new WorksheetsExcelFolder();
      case ExcelFolderTypes.WorksheetsRelsExcelFolder:
        return new WorksheetsRelsExcelFolder();
      case ExcelFolderTypes.TablesExcelFolder:
        return new TablesExcelFolder();
      default:
        throw new Error("Unknown excel folder type!");
    }
  }
  static getExcelFile(type) {
    switch (type) {
      case ExcelFileTypes.RootRelsFile:
        return new RootRelsFile();
      case ExcelFileTypes.AppFile:
        return new AppFile();
      case ExcelFileTypes.CoreFile:
        return new CoreFile();
      case ExcelFileTypes.WorkbookRelsFile:
        return new WorkbookRelsFile();
      case ExcelFileTypes.ThemeFile:
        return new ThemeFile();
      case ExcelFileTypes.WorksheetFile:
        return new WorksheetFile();
      case ExcelFileTypes.StyleFile:
        return new StyleFile();
      case ExcelFileTypes.WorkbookFile:
        return new WorkbookFile();
      case ExcelFileTypes.ContentTypesFile:
        return new ContentTypesFile();
      case ExcelFileTypes.SharedStringsFile:
        return new SharedStringsFile();
      case ExcelFileTypes.WorksheetRelsFile:
        return new WorksheetRelsFile();
      case ExcelFileTypes.TablesFile:
        return new TablesFile();
      default:
        throw Error("Unknown excel file type!");
    }
  }
};

// lib/services/excel/worksheet-data-dictionary.mjs
var WorksheetDataDictionary = class _WorksheetDataDictionary {
  static {
    this.DEFAULT_FONT = "11pt Calibri";
  }
  static {
    this.TEXT_PADDING = 5;
  }
  constructor(columnCount, columnWidth, columnWidthsList) {
    this.hasNumberValues = false;
    this.hasDateValues = false;
    this._dictionary = {};
    this._widthsDictionary = {};
    this._counter = 0;
    this.dirtyKeyCollections();
    this._columnWidths = new Array(columnCount);
    if (columnWidth) {
      this._columnWidths.fill(columnWidth);
    } else {
      this._columnWidths = columnWidthsList;
    }
    this.stringsCount = 0;
  }
  get columnWidths() {
    return this._columnWidths;
  }
  saveValue(value, isHeader, shouldSanitizeValue = true) {
    let sanitizedValue = "";
    const isDate2 = value instanceof Date;
    const isSavedAsString = isHeader || typeof value !== "number" && value !== Number(value) && !Number.isFinite(value) && !isDate2;
    if (isSavedAsString) {
      sanitizedValue = shouldSanitizeValue ? ExportUtilities.sanitizeValue(value) : value;
      if (this._dictionary[sanitizedValue] === void 0) {
        this._dictionary[sanitizedValue] = this._counter++;
        this.dirtyKeyCollections();
      }
      this.stringsCount++;
    } else if (isDate2) {
      this.hasDateValues = true;
    } else {
      this.hasNumberValues = true;
    }
    return isSavedAsString ? this.getSanitizedValue(sanitizedValue) : -1;
  }
  getValue(value) {
    return this.getSanitizedValue(ExportUtilities.sanitizeValue(value));
  }
  getSanitizedValue(sanitizedValue) {
    return this._dictionary[sanitizedValue];
  }
  getKeys() {
    if (!this._keysAreValid) {
      this._keys = Object.keys(this._dictionary);
      this._keysAreValid = true;
    }
    return this._keys;
  }
  getTextWidth(value) {
    if (this._widthsDictionary[value] === void 0) {
      const context = this.getContext();
      const metrics = context.measureText(value);
      this._widthsDictionary[value] = metrics.width + _WorksheetDataDictionary.TEXT_PADDING;
    }
    return this._widthsDictionary[value];
  }
  getContext() {
    if (!this._context) {
      const canvas = document.createElement("canvas");
      this._context = canvas.getContext("2d");
      this._context.font = _WorksheetDataDictionary.DEFAULT_FONT;
    }
    return this._context;
  }
  dirtyKeyCollections() {
    this._keysAreValid = false;
  }
};

// lib/services/excel/worksheet-data.mjs
var WorksheetData = class {
  constructor(_data, options, sort, columnCount, rootKeys, indexOfLastPinnedColumn, columnWidths, owner, owners) {
    this._data = _data;
    this.options = options;
    this.sort = sort;
    this.columnCount = columnCount;
    this.rootKeys = rootKeys;
    this.indexOfLastPinnedColumn = indexOfLastPinnedColumn;
    this.columnWidths = columnWidths;
    this.owner = owner;
    this.owners = owners;
    this.initializeData();
  }
  get data() {
    return this._data;
  }
  get rowCount() {
    return this._rowCount;
  }
  get isEmpty() {
    return !this.rowCount || this.rowCount === this.owner.maxLevel + 1 || !this.columnCount || this.owner.columns.every((c) => c.skip);
  }
  get isSpecialData() {
    return this._isSpecialData;
  }
  get dataDictionary() {
    return this._dataDictionary;
  }
  get hasMultiColumnHeader() {
    return this._hasMultiColumnHeader;
  }
  get hasSummaries() {
    return this._hasSummaries;
  }
  get hasMultiRowHeader() {
    return this._hasMultiRowHeader;
  }
  get isHierarchical() {
    return this._isHierarchical;
  }
  get isTreeGrid() {
    return this._isTreeGrid;
  }
  get isPivotGrid() {
    return this._isPivotGrid;
  }
  get isGroupedGrid() {
    return this._data.some((d) => d.type === ExportRecordType.GroupedRecord);
  }
  get maxLevel() {
    return [...new Set(this._data.map((item) => item.level))].sort((a, b) => a > b ? -1 : 1)[0];
  }
  get multiColumnHeaderRows() {
    return !this.options.ignoreMultiColumnHeaders ? Array.from(this.owners.values()).map((c) => c.maxLevel).reduce((a, b) => a + b) : 0;
  }
  initializeData() {
    this._dataDictionary = new WorksheetDataDictionary(this.columnCount, this.options.columnWidth, this.columnWidths);
    this._hasMultiColumnHeader = Array.from(this.owners.values()).some((o) => o.columns.some((col) => !col.skip && col.headerType === ExportHeaderType.MultiColumnHeader));
    this._hasMultiRowHeader = Array.from(this.owners.values()).some((o) => o.columns.some((col) => !col.skip && col.headerType === ExportHeaderType.MultiRowHeader));
    this._isHierarchical = this.data[0]?.type === ExportRecordType.HierarchicalGridRecord || !(typeof Array.from(this.owners.keys())[0] === "string");
    this._hasSummaries = this._data.filter((d) => d.type === ExportRecordType.SummaryRecord).length > 0;
    this._isTreeGrid = this._data.filter((d) => d.type === ExportRecordType.TreeGridRecord).length > 0;
    this._isPivotGrid = this.data[0]?.type === ExportRecordType.PivotGridRecord;
    const exportMultiColumnHeaders = this._hasMultiColumnHeader && !this.options.ignoreMultiColumnHeaders;
    if (this._isHierarchical || exportMultiColumnHeaders || this._isPivotGrid) {
      this.options.exportAsTable = false;
    }
    if (!this._data || this._data.length === 0) {
      if (!this._isHierarchical) {
        this._rowCount = this.owner.maxLevel + 1;
      }
      return;
    }
    this._isSpecialData = ExportUtilities.isSpecialData(this._data[0].data);
    this._rowCount = this._data.length + this.multiColumnHeaderRows + 1;
  }
};

// lib/services/excel/excel-exporter.mjs
import { zip } from "fflate";
import { EventEmitter as EventEmitter3, Injectable as Injectable4 } from "@angular/core";
import * as i05 from "@angular/core";
var EXCEL_MAX_ROWS = 1048576;
var EXCEL_MAX_COLS = 16384;
var IgxExcelExporterService = class _IgxExcelExporterService extends IgxBaseExporter {
  constructor() {
    super(...arguments);
    this.exportEnded = new EventEmitter3();
  }
  static async populateZipFileConfig(fileStructure, folder, worksheetData) {
    for (const childFolder of folder.childFolders(worksheetData)) {
      const folderInstance = ExcelElementsFactory.getExcelFolder(childFolder);
      const childStructure = fileStructure[folderInstance.folderName] = {};
      await _IgxExcelExporterService.populateZipFileConfig(childStructure, folderInstance, worksheetData);
    }
    for (const childFile of folder.childFiles(worksheetData)) {
      const fileInstance = ExcelElementsFactory.getExcelFile(childFile);
      if (fileInstance instanceof WorksheetFile) {
        await fileInstance.writeElementAsync(fileStructure, worksheetData);
      } else {
        fileInstance.writeElement(fileStructure, worksheetData);
      }
    }
  }
  exportDataImplementation(data, options, done) {
    const firstDataElement = data[0];
    const isHierarchicalGrid = firstDataElement?.type === ExportRecordType.HierarchicalGridRecord;
    const isPivotGrid = firstDataElement?.type === ExportRecordType.PivotGridRecord;
    let rootKeys;
    let columnCount;
    let columnWidths;
    let indexOfLastPinnedColumn;
    let defaultOwner;
    const columnsExceedLimit = typeof firstDataElement !== "undefined" ? isHierarchicalGrid ? data.some((d) => Object.keys(d.data).length > EXCEL_MAX_COLS) : Object.keys(firstDataElement.data).length > EXCEL_MAX_COLS : false;
    if (data.length > EXCEL_MAX_ROWS || columnsExceedLimit) {
      throw Error("The Excel file can contain up to 1,048,576 rows and 16,384 columns.");
    }
    if (typeof firstDataElement !== "undefined") {
      let maxLevel = 0;
      data.forEach((r) => {
        maxLevel = Math.max(maxLevel, r.level);
      });
      if (maxLevel > 7) {
        throw Error("Can create an outline of up to eight levels!");
      }
      if (isHierarchicalGrid) {
        columnCount = data.map((a) => this._ownersMap.get(a.owner).columns.filter((c) => !c.skip).length + a.level).sort((a, b) => b - a)[0];
        rootKeys = this._ownersMap.get(firstDataElement.owner).columns.filter((c) => !c.skip).map((c) => c.field);
        defaultOwner = this._ownersMap.get(firstDataElement.owner);
      } else {
        defaultOwner = this._ownersMap.get(DEFAULT_OWNER);
        const columns = defaultOwner.columns.filter((col) => col.field !== GRID_LEVEL_COL && !col.skip && col.headerType === ExportHeaderType.ColumnHeader);
        columnWidths = defaultOwner.columnWidths;
        indexOfLastPinnedColumn = defaultOwner.indexOfLastPinnedColumn;
        columnCount = isPivotGrid ? columns.length + this.pivotGridFilterFieldsCount : columns.length;
        rootKeys = columns.map((c) => c.field);
      }
    } else {
      const ownersKeys = Array.from(this._ownersMap.keys());
      defaultOwner = this._ownersMap.get(ownersKeys[0]);
      columnWidths = defaultOwner.columnWidths;
      columnCount = defaultOwner.columns.filter((col) => col.field !== GRID_LEVEL_COL && !col.skip && col.headerType === ExportHeaderType.ColumnHeader).length;
    }
    const worksheetData = new WorksheetData(data, options, this._sort, columnCount, rootKeys, indexOfLastPinnedColumn, columnWidths, defaultOwner, this._ownersMap);
    const rootFolder = ExcelElementsFactory.getExcelFolder(ExcelFolderTypes.RootExcelFolder);
    const fileData = {};
    _IgxExcelExporterService.populateZipFileConfig(fileData, rootFolder, worksheetData).then(() => {
      zip(fileData, (_, result) => {
        this.saveFile(result, options.fileName);
        this.exportEnded.emit({ xlsx: fileData });
        done();
      });
    });
  }
  saveFile(data, fileName) {
    const blob = new Blob([data], {
      type: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
    });
    ExportUtilities.saveBlobToFile(blob, fileName);
  }
  static {
    this.ɵfac = i05.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i05, type: _IgxExcelExporterService, deps: null, target: i05.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i05.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i05, type: _IgxExcelExporterService, providedIn: "root" });
  }
};
i05.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i05, type: IgxExcelExporterService, decorators: [{
  type: Injectable4,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/services/excel/excel-exporter-options.mjs
var IgxExcelExporterOptions = class extends IgxExporterOptionsBase {
  constructor(fileName) {
    super(fileName, ".xlsx");
    this.ignorePinning = false;
    this.exportAsTable = true;
  }
  /**
   * Gets the width of the columns in the exported excel file.
   * ```typescript
   * let width = this.exportOptions.columnWidth;
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  get columnWidth() {
    return this._columnWidth;
  }
  /**
   * Sets the width of the columns in the exported excel file. If left unspecified,
   * the width of the column or the default width of the excel columns will be used.
   * ```typescript
   * this.exportOptions.columnWidth = 55;
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  set columnWidth(value) {
    if (value < 0) {
      throw Error("Invalid value for column width!");
    }
    this._columnWidth = value;
  }
  /**
   * Gets the height of the rows in the exported excel file.
   * ```typescript
   * let height = this.exportOptions.rowHeight;
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  get rowHeight() {
    return this._rowHeight;
  }
  /**
   * Sets the height of the rows in the exported excel file. If left unspecified or 0,
   * the default height of the excel rows will be used.
   * ```typescript
   * this.exportOptions.rowHeight = 25;
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  set rowHeight(value) {
    if (value < 0) {
      throw Error("Invalid value for row height!");
    }
    this._rowHeight = value;
  }
  /**
   * Gets the name of the worksheet in the exported excel file.
   * ```typescript
   * let worksheetName = this.exportOptions.worksheetName;
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  get worksheetName() {
    if (this._worksheetName === void 0 || this._worksheetName === null) {
      return "Sheet1";
    }
    return this._worksheetName;
  }
  /**
   * Sets the name of the worksheet in the exported excel file.
   * ```typescript
   * this.exportOptions.worksheetName = "Worksheet";
   * ```
   *
   * @memberof IgxExcelExporterOptions
   */
  set worksheetName(value) {
    this._worksheetName = value;
  }
};

// lib/services/animation/angular-animation-player.mjs
import { EventEmitter as EventEmitter4 } from "@angular/core";
var IgxAngularAnimationPlayer = class {
  get position() {
    return this._innerPlayer.getPosition();
  }
  set position(value) {
    this.internalPlayer.setPosition(value);
  }
  constructor(internalPlayer) {
    this.internalPlayer = internalPlayer;
    this.animationStart = new EventEmitter4();
    this.animationEnd = new EventEmitter4();
    this.internalPlayer.onDone(() => this.onDone());
    const innerRenderer = this.internalPlayer._renderer;
    this._innerPlayer = innerRenderer.engine.players[innerRenderer.engine.players.length - 1];
  }
  init() {
    this.internalPlayer.init();
  }
  play() {
    this.animationStart.emit({ owner: this });
    this.internalPlayer.play();
  }
  finish() {
    this.internalPlayer.finish();
  }
  reset() {
    this.internalPlayer.reset();
    this.internalPlayer._started = false;
  }
  destroy() {
    this.internalPlayer.destroy();
  }
  hasStarted() {
    return this.internalPlayer.hasStarted();
  }
  onDone() {
    this.animationEnd.emit({ owner: this });
  }
};

// lib/services/animation/angular-animation-service.mjs
import { Injectable as Injectable5 } from "@angular/core";
import * as i06 from "@angular/core";
import * as i1 from "@angular/animations";
var IgxAngularAnimationService = class _IgxAngularAnimationService {
  constructor(builder) {
    this.builder = builder;
  }
  buildAnimation(animationMetaData, element) {
    if (!animationMetaData) {
      return null;
    }
    const animationBuilder = this.builder.build(animationMetaData);
    const player = new IgxAngularAnimationPlayer(animationBuilder.create(element));
    return player;
  }
  static {
    this.ɵfac = i06.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i06, type: _IgxAngularAnimationService, deps: [{ token: i1.AnimationBuilder }], target: i06.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i06.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i06, type: _IgxAngularAnimationService, providedIn: "root" });
  }
};
i06.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i06, type: IgxAngularAnimationService, decorators: [{
  type: Injectable5,
  args: [{ providedIn: "root" }]
}], ctorParameters: () => [{ type: i1.AnimationBuilder }] });

// lib/services/overlay/utilities.mjs
var HorizontalAlignment;
(function(HorizontalAlignment2) {
  HorizontalAlignment2[HorizontalAlignment2["Left"] = -1] = "Left";
  HorizontalAlignment2[HorizontalAlignment2["Center"] = -0.5] = "Center";
  HorizontalAlignment2[HorizontalAlignment2["Right"] = 0] = "Right";
})(HorizontalAlignment || (HorizontalAlignment = {}));
var VerticalAlignment;
(function(VerticalAlignment2) {
  VerticalAlignment2[VerticalAlignment2["Top"] = -1] = "Top";
  VerticalAlignment2[VerticalAlignment2["Middle"] = -0.5] = "Middle";
  VerticalAlignment2[VerticalAlignment2["Bottom"] = 0] = "Bottom";
})(VerticalAlignment || (VerticalAlignment = {}));
var RelativePositionStrategy;
(function(RelativePositionStrategy2) {
  RelativePositionStrategy2["Connected"] = "connected";
  RelativePositionStrategy2["Auto"] = "auto";
  RelativePositionStrategy2["Elastic"] = "elastic";
})(RelativePositionStrategy || (RelativePositionStrategy = {}));
var RelativePosition;
(function(RelativePosition2) {
  RelativePosition2["Above"] = "above";
  RelativePosition2["Below"] = "below";
  RelativePosition2["Before"] = "before";
  RelativePosition2["After"] = "after";
  RelativePosition2["Default"] = "default";
})(RelativePosition || (RelativePosition = {}));
var AbsolutePosition;
(function(AbsolutePosition2) {
  AbsolutePosition2["Bottom"] = "bottom";
  AbsolutePosition2["Top"] = "top";
  AbsolutePosition2["Center"] = "center";
})(AbsolutePosition || (AbsolutePosition = {}));
var Point = class {
  constructor(x, y) {
    this.x = x;
    this.y = y;
  }
};
var Util = class _Util {
  /**
   * Calculates the rectangle of target for provided overlay settings. Defaults to 0,0,0,0,0,0 rectangle
   * if no target is provided
   *
   * @param settings Overlay settings for which to calculate target rectangle
   */
  static getTargetRect(target) {
    let targetRect = {
      bottom: 0,
      height: 0,
      left: 0,
      right: 0,
      top: 0,
      width: 0
    };
    if (target instanceof HTMLElement) {
      targetRect = target.getBoundingClientRect();
    } else if (target instanceof Point) {
      const targetPoint = target;
      targetRect = {
        bottom: targetPoint.y,
        height: 0,
        left: targetPoint.x,
        right: targetPoint.x,
        top: targetPoint.y,
        width: 0
      };
    }
    return targetRect;
  }
  static getViewportRect(document2) {
    const width = document2.documentElement.clientWidth;
    const height = document2.documentElement.clientHeight;
    const scrollPosition = _Util.getViewportScrollPosition(document2);
    return {
      top: scrollPosition.y,
      left: scrollPosition.x,
      right: scrollPosition.x + width,
      bottom: scrollPosition.y + height,
      width,
      height
    };
  }
  static getViewportScrollPosition(document2) {
    const documentElement = document2.documentElement;
    const documentRect = documentElement.getBoundingClientRect();
    const horizontalScrollPosition = -documentRect.left || document2.body.scrollLeft || window.scrollX || documentElement.scrollLeft || 0;
    const verticalScrollPosition = -documentRect.top || document2.body.scrollTop || window.scrollY || documentElement.scrollTop || 0;
    return new Point(horizontalScrollPosition, verticalScrollPosition);
  }
  static cloneInstance(object) {
    const clonedObj = Object.assign(Object.create(Object.getPrototypeOf(object)), object);
    clonedObj.settings = cloneValue(clonedObj.settings);
    return clonedObj;
  }
};

// lib/services/overlay/position/connected-positioning-strategy.mjs
import { scaleInVerTop, scaleOutVerTop } from "igniteui-angular/animations";
var ConnectedPositioningStrategy = class {
  constructor(settings) {
    this._defaultSettings = {
      horizontalDirection: HorizontalAlignment.Right,
      verticalDirection: VerticalAlignment.Bottom,
      horizontalStartPoint: HorizontalAlignment.Left,
      verticalStartPoint: VerticalAlignment.Bottom,
      openAnimation: scaleInVerTop,
      closeAnimation: scaleOutVerTop,
      minSize: { width: 0, height: 0 }
    };
    this.settings = Object.assign({}, this._defaultSettings, settings);
  }
  /**
   * Position the element based on the PositionStrategy implementing this interface.
   *
   * @param contentElement The HTML element to be positioned
   * @param size Size of the element
   * @param document reference to the Document object
   * @param initialCall should be true if this is the initial call to the method
   * @param target attaching target for the component to show
   * ```typescript
   * settings.positionStrategy.position(content, size, document, true);
   * ```
   */
  position(contentElement, size, document2, initialCall, target) {
    const targetElement = target || this.settings.target;
    const rects = this.calculateElementRectangles(contentElement, targetElement);
    this.setStyle(contentElement, rects.targetRect, rects.elementRect, {});
  }
  /**
   * Creates clone of this position strategy
   * @returns clone of this position strategy
   */
  clone() {
    return Util.cloneInstance(this);
  }
  /**
   * Obtains the DomRect objects for the required elements - target and element to position
   *
   * @returns target and element DomRect objects
   */
  calculateElementRectangles(contentElement, target) {
    return {
      targetRect: Util.getTargetRect(target),
      elementRect: contentElement.getBoundingClientRect()
    };
  }
  /**
   * Sets element's style which effectively positions provided element according
   * to provided position settings
   *
   * @param element Element to position
   * @param targetRect Bounding rectangle of strategy target
   * @param elementRect Bounding rectangle of the element
   */
  setStyle(element, targetRect, elementRect, connectedFit) {
    const horizontalOffset = connectedFit.horizontalOffset ? connectedFit.horizontalOffset : 0;
    const verticalOffset = connectedFit.verticalOffset ? connectedFit.verticalOffset : 0;
    const startPoint = {
      x: targetRect.right + targetRect.width * this.settings.horizontalStartPoint + horizontalOffset,
      y: targetRect.bottom + targetRect.height * this.settings.verticalStartPoint + verticalOffset
    };
    const wrapperRect = element.parentElement.getBoundingClientRect();
    element.style.right = "";
    element.style.left = "";
    element.style.bottom = "";
    element.style.top = "";
    switch (this.settings.horizontalDirection) {
      case HorizontalAlignment.Left:
        element.style.right = `${Math.round(wrapperRect.right - startPoint.x)}px`;
        break;
      case HorizontalAlignment.Center:
        element.style.left = `${Math.round(startPoint.x - wrapperRect.left - elementRect.width / 2)}px`;
        break;
      case HorizontalAlignment.Right:
        element.style.left = `${Math.round(startPoint.x - wrapperRect.left)}px`;
        break;
    }
    switch (this.settings.verticalDirection) {
      case VerticalAlignment.Top:
        element.style.bottom = `${Math.round(wrapperRect.bottom - startPoint.y)}px`;
        break;
      case VerticalAlignment.Middle:
        element.style.top = `${Math.round(startPoint.y - wrapperRect.top - elementRect.height / 2)}px`;
        break;
      case VerticalAlignment.Bottom:
        element.style.top = `${Math.round(startPoint.y - wrapperRect.top)}px`;
        break;
    }
  }
};

// lib/services/overlay/position/base-fit-position-strategy.mjs
var BaseFitPositionStrategy = class extends ConnectedPositioningStrategy {
  /**
   * Position the element based on the PositionStrategy implementing this interface.
   *
   * @param contentElement The HTML element to be positioned
   * @param size Size of the element
   * @param document reference to the Document object
   * @param initialCall should be true if this is the initial call to the method
   * @param target attaching target for the component to show
   * ```typescript
   * settings.positionStrategy.position(content, size, document, true);
   * ```
   */
  position(contentElement, size, document2, initialCall, target) {
    const targetElement = target || this.settings.target;
    const rects = super.calculateElementRectangles(contentElement, targetElement);
    const connectedFit = {};
    if (initialCall) {
      connectedFit.targetRect = rects.targetRect;
      connectedFit.contentElementRect = rects.elementRect;
      this._initialSettings = this._initialSettings || Object.assign({}, this.settings);
      this.settings = Object.assign({}, this._initialSettings);
      connectedFit.viewPortRect = Util.getViewportRect(document2);
      this.updateViewPortFit(connectedFit);
      if (this.shouldFitInViewPort(connectedFit)) {
        this.fitInViewport(contentElement, connectedFit);
      }
    }
    this.setStyle(contentElement, rects.targetRect, rects.elementRect, connectedFit);
  }
  /**
   * Checks if element can fit in viewport and updates provided connectedFit
   * with the result
   *
   * @param connectedFit connectedFit to update
   */
  updateViewPortFit(connectedFit) {
    connectedFit.left = this.calculateLeft(connectedFit.targetRect, connectedFit.contentElementRect, this.settings.horizontalStartPoint, this.settings.horizontalDirection, connectedFit.horizontalOffset ? connectedFit.horizontalOffset : 0);
    connectedFit.right = connectedFit.left + connectedFit.contentElementRect.width;
    connectedFit.fitHorizontal = {
      back: Math.round(connectedFit.left),
      forward: Math.round(connectedFit.viewPortRect.width - connectedFit.right)
    };
    connectedFit.top = this.calculateTop(connectedFit.targetRect, connectedFit.contentElementRect, this.settings.verticalStartPoint, this.settings.verticalDirection, connectedFit.verticalOffset ? connectedFit.verticalOffset : 0);
    connectedFit.bottom = connectedFit.top + connectedFit.contentElementRect.height;
    connectedFit.fitVertical = {
      back: Math.round(connectedFit.top),
      forward: Math.round(connectedFit.viewPortRect.height - connectedFit.bottom)
    };
  }
  /**
   * Calculates the position of the left border of the element if it gets positioned
   * with provided start point and direction
   *
   * @param targetRect Rectangle of the target where element is attached
   * @param elementRect Rectangle of the element
   * @param startPoint Start point of the target
   * @param direction Direction in which to show the element
   */
  calculateLeft(targetRect, elementRect, startPoint, direction, offset) {
    return targetRect.right + targetRect.width * startPoint + elementRect.width * direction + offset;
  }
  /**
   * Calculates the position of the top border of the element if it gets positioned
   * with provided position settings related to the target
   *
   * @param targetRect Rectangle of the target where element is attached
   * @param elementRect Rectangle of the element
   * @param startPoint Start point of the target
   * @param direction Direction in which to show the element
   */
  calculateTop(targetRect, elementRect, startPoint, direction, offset) {
    return targetRect.bottom + targetRect.height * startPoint + elementRect.height * direction + offset;
  }
  /**
   * Returns whether the element should fit in viewport
   *
   * @param connectedFit connectedFit object containing all necessary parameters
   */
  shouldFitInViewPort(connectedFit) {
    return connectedFit.fitHorizontal.back < 0 || connectedFit.fitHorizontal.forward < 0 || connectedFit.fitVertical.back < 0 || connectedFit.fitVertical.forward < 0;
  }
};

// lib/services/overlay/position/auto-position-strategy.mjs
import { AnimationUtil } from "igniteui-angular/animations";
var AutoPositionStrategy = class extends BaseFitPositionStrategy {
  /**
   * Fits the element into viewport according to the position settings
   *
   * @param element element to fit in viewport
   * @param connectedFit connectedFit object containing all necessary parameters
   */
  fitInViewport(element, connectedFit) {
    const transformString = [];
    if (connectedFit.fitHorizontal.back < 0 || connectedFit.fitHorizontal.forward < 0) {
      if (this.canFlipHorizontal(connectedFit)) {
        this.flipHorizontal();
        this.flipAnimation(FlipDirection.Horizontal);
      } else {
        const horizontalPush = this.horizontalPush(connectedFit);
        transformString.push(`translateX(${horizontalPush}px)`);
      }
    }
    if (connectedFit.fitVertical.back < 0 || connectedFit.fitVertical.forward < 0) {
      if (this.canFlipVertical(connectedFit)) {
        this.flipVertical();
        this.flipAnimation(FlipDirection.Vertical);
      } else {
        const verticalPush = this.verticalPush(connectedFit);
        transformString.push(`translateY(${verticalPush}px)`);
      }
    }
    element.style.transform = transformString.join(" ").trim();
  }
  /**
   * Checks if element can be flipped without get off the viewport
   *
   * @param connectedFit connectedFit object containing all necessary parameters
   * @returns true if element can be flipped and stain in viewport
   */
  canFlipHorizontal(connectedFit) {
    const flippedStartPoint = -1 * (this.settings.horizontalStartPoint + 1);
    const flippedDirection = -1 * (this.settings.horizontalDirection + 1);
    const leftBorder = this.calculateLeft(connectedFit.targetRect, connectedFit.contentElementRect, flippedStartPoint, flippedDirection, 0);
    const rightBorder = leftBorder + connectedFit.contentElementRect.width;
    return 0 < leftBorder && rightBorder < connectedFit.viewPortRect.width;
  }
  /**
   * Checks if element can be flipped without get off the viewport
   *
   * @param connectedFit connectedFit object containing all necessary parameters
   * @returns true if element can be flipped and stain in viewport
   */
  canFlipVertical(connectedFit) {
    const flippedStartPoint = -1 * (this.settings.verticalStartPoint + 1);
    const flippedDirection = -1 * (this.settings.verticalDirection + 1);
    const topBorder = this.calculateTop(connectedFit.targetRect, connectedFit.contentElementRect, flippedStartPoint, flippedDirection, 0);
    const bottomBorder = topBorder + connectedFit.contentElementRect.height;
    return 0 < topBorder && bottomBorder < connectedFit.viewPortRect.height;
  }
  /**
   * Flips direction and start point of the position settings
   */
  flipHorizontal() {
    switch (this.settings.horizontalDirection) {
      case HorizontalAlignment.Left:
        this.settings.horizontalDirection = HorizontalAlignment.Right;
        break;
      case HorizontalAlignment.Right:
        this.settings.horizontalDirection = HorizontalAlignment.Left;
        break;
    }
    switch (this.settings.horizontalStartPoint) {
      case HorizontalAlignment.Left:
        this.settings.horizontalStartPoint = HorizontalAlignment.Right;
        break;
      case HorizontalAlignment.Right:
        this.settings.horizontalStartPoint = HorizontalAlignment.Left;
        break;
    }
  }
  /**
   * Flips direction and start point of the position settings
   */
  flipVertical() {
    switch (this.settings.verticalDirection) {
      case VerticalAlignment.Top:
        this.settings.verticalDirection = VerticalAlignment.Bottom;
        break;
      case VerticalAlignment.Bottom:
        this.settings.verticalDirection = VerticalAlignment.Top;
        break;
    }
    switch (this.settings.verticalStartPoint) {
      case VerticalAlignment.Top:
        this.settings.verticalStartPoint = VerticalAlignment.Bottom;
        break;
      case VerticalAlignment.Bottom:
        this.settings.verticalStartPoint = VerticalAlignment.Top;
        break;
    }
  }
  /**
   * Calculates necessary horizontal push according to provided connectedFit
   *
   * @param connectedFit connectedFit object containing all necessary parameters
   * @returns amount of necessary translation which will push the element into viewport
   */
  horizontalPush(connectedFit) {
    const leftExtend = connectedFit.left;
    const rightExtend = connectedFit.right - connectedFit.viewPortRect.width;
    if (leftExtend < 0) {
      return Math.abs(leftExtend);
    } else if (rightExtend > 0) {
      return -Math.min(rightExtend, leftExtend);
    } else {
      return 0;
    }
  }
  /**
   * Calculates necessary vertical push according to provided connectedFit
   *
   * @param connectedFit connectedFit object containing all necessary parameters
   * @returns amount of necessary translation which will push the element into viewport
   */
  verticalPush(connectedFit) {
    const topExtend = connectedFit.top;
    const bottomExtend = connectedFit.bottom - connectedFit.viewPortRect.height;
    if (topExtend < 0) {
      return Math.abs(topExtend);
    } else if (bottomExtend > 0) {
      return -Math.min(bottomExtend, topExtend);
    } else {
      return 0;
    }
  }
  /**
   * Changes open and close animation with reverse animation if one exists
   *
   * @param flipDirection direction for which to change the animations
   */
  flipAnimation(flipDirection) {
    if (this.settings.openAnimation) {
      this.settings.openAnimation = this.updateAnimation(this.settings.openAnimation, flipDirection);
    }
    if (this.settings.closeAnimation) {
      this.settings.closeAnimation = this.updateAnimation(this.settings.closeAnimation, flipDirection);
    }
  }
  /**
   * Tries to find the reverse animation according to provided direction
   *
   * @param animation animation to update
   * @param direction required animation direction
   * @returns reverse animation in given direction if one exists
   */
  updateAnimation(animation, direction) {
    switch (direction) {
      case FlipDirection.Horizontal:
        if (AnimationUtil.instance().isHorizontalAnimation(animation)) {
          return AnimationUtil.instance().reverseAnimationResolver(animation);
        }
        break;
      case FlipDirection.Vertical:
        if (AnimationUtil.instance().isVerticalAnimation(animation)) {
          return AnimationUtil.instance().reverseAnimationResolver(animation);
        }
        break;
    }
    return animation;
  }
};
var FlipDirection;
(function(FlipDirection2) {
  FlipDirection2[FlipDirection2["Horizontal"] = 0] = "Horizontal";
  FlipDirection2[FlipDirection2["Vertical"] = 1] = "Vertical";
})(FlipDirection || (FlipDirection = {}));

// lib/services/overlay/position/global-position-strategy.mjs
import { fadeIn, fadeOut } from "igniteui-angular/animations";
var GlobalPositionStrategy = class {
  constructor(settings) {
    this._defaultSettings = {
      horizontalDirection: HorizontalAlignment.Center,
      verticalDirection: VerticalAlignment.Middle,
      horizontalStartPoint: HorizontalAlignment.Center,
      verticalStartPoint: VerticalAlignment.Middle,
      openAnimation: fadeIn,
      closeAnimation: fadeOut,
      minSize: { width: 0, height: 0 }
    };
    this.settings = Object.assign({}, this._defaultSettings, settings);
  }
  /**
   * Position the element based on the PositionStrategy implementing this interface.
   *
   * @param contentElement The HTML element to be positioned
   * @param size Size of the element
   * @param document reference to the Document object
   * @param initialCall should be true if this is the initial call to the method
   * @param target attaching target for the component to show
   * ```typescript
   * settings.positionStrategy.position(content, size, document, true);
   * ```
   */
  position(contentElement) {
    contentElement.classList.add("igx-overlay__content--relative");
    contentElement.parentElement.classList.add("igx-overlay__wrapper--flex");
    this.setPosition(contentElement);
  }
  /**
   * Clone the strategy instance.
   * ```typescript
   * settings.positionStrategy.clone();
   * ```
   */
  clone() {
    return Util.cloneInstance(this);
  }
  setPosition(contentElement) {
    switch (this.settings.horizontalDirection) {
      case HorizontalAlignment.Left:
        contentElement.parentElement.style.justifyContent = "flex-start";
        break;
      case HorizontalAlignment.Center:
        contentElement.parentElement.style.justifyContent = "center";
        break;
      case HorizontalAlignment.Right:
        contentElement.parentElement.style.justifyContent = "flex-end";
        break;
      default:
        break;
    }
    switch (this.settings.verticalDirection) {
      case VerticalAlignment.Top:
        contentElement.parentElement.style.alignItems = "flex-start";
        break;
      case VerticalAlignment.Middle:
        contentElement.parentElement.style.alignItems = "center";
        break;
      case VerticalAlignment.Bottom:
        contentElement.parentElement.style.alignItems = "flex-end";
        break;
      default:
        break;
    }
  }
};

// lib/services/overlay/position/container-position-strategy.mjs
var ContainerPositionStrategy = class extends GlobalPositionStrategy {
  constructor(settings) {
    super(settings);
  }
  /**
   * Position the element based on the PositionStrategy implementing this interface.
   */
  position(contentElement) {
    contentElement.classList.add("igx-overlay__content--relative");
    contentElement.parentElement.classList.add("igx-overlay__wrapper--flex-container");
    this.setPosition(contentElement);
  }
};

// lib/services/overlay/position/elastic-position-strategy.mjs
var ElasticPositionStrategy = class extends BaseFitPositionStrategy {
  /**
   * Fits the element into viewport according to the position settings
   *
   * @param element element to fit in viewport
   * @param connectedFit connectedFit object containing all necessary parameters
   */
  fitInViewport(element, connectedFit) {
    element.classList.add("igx-overlay__content--elastic");
    const transformString = [];
    if (connectedFit.fitHorizontal.back < 0 || connectedFit.fitHorizontal.forward < 0) {
      const maxReduction = Math.max(0, connectedFit.contentElementRect.width - this.settings.minSize.width);
      const leftExtend = Math.max(0, -connectedFit.fitHorizontal.back);
      const rightExtend = Math.max(0, -connectedFit.fitHorizontal.forward);
      const reduction = Math.min(maxReduction, leftExtend + rightExtend);
      element.style.width = `${connectedFit.contentElementRect.width - reduction}px`;
      if (this.settings.horizontalDirection === HorizontalAlignment.Center) {
        const translation = leftExtend * reduction / (leftExtend + rightExtend);
        if (translation > 0) {
          transformString.push(`translateX(${translation}px)`);
        }
      }
    }
    if (connectedFit.fitVertical.back < 0 || connectedFit.fitVertical.forward < 0) {
      const maxReduction = Math.max(0, connectedFit.contentElementRect.height - this.settings.minSize.height);
      const topExtend = Math.max(0, -connectedFit.fitVertical.back);
      const bottomExtend = Math.max(0, -connectedFit.fitVertical.forward);
      const reduction = Math.min(maxReduction, topExtend + bottomExtend);
      element.style.height = `${connectedFit.contentElementRect.height - reduction}px`;
      if (this.settings.verticalDirection === VerticalAlignment.Middle) {
        const translation = topExtend * reduction / (topExtend + bottomExtend);
        if (translation > 0) {
          transformString.push(`translateY(${translation}px)`);
        }
      }
    }
    element.style.transform = transformString.join(" ").trim();
  }
};

// lib/services/overlay/scroll/scroll-strategy.mjs
var ScrollStrategy = class {
  constructor() {
  }
};

// lib/services/overlay/scroll/NoOpScrollStrategy.mjs
var NoOpScrollStrategy = class extends ScrollStrategy {
  constructor() {
    super();
  }
  /**
   * Initializes the strategy. Should be called once
   */
  initialize() {
  }
  /**
   * Detaches the strategy
   * ```typescript
   * settings.scrollStrategy.detach();
   * ```
   */
  attach() {
  }
  /**
   * Detaches the strategy
   * ```typescript
   * settings.scrollStrategy.detach();
   * ```
   */
  detach() {
  }
};

// lib/services/overlay/overlay.mjs
import { DOCUMENT } from "@angular/common";
import { ElementRef, EventEmitter as EventEmitter5, Inject as Inject2, Injectable as Injectable6, ViewContainerRef } from "@angular/core";
import { fromEvent, Subject } from "rxjs";
import { filter, takeUntil } from "rxjs/operators";
import { fadeIn as fadeIn2, fadeOut as fadeOut2, scaleInHorLeft, scaleInHorRight, scaleInVerBottom, scaleInVerTop as scaleInVerTop2, scaleOutHorLeft, scaleOutHorRight, scaleOutVerBottom, scaleOutVerTop as scaleOutVerTop2, slideInBottom, slideInTop, slideOutBottom, slideOutTop } from "igniteui-angular/animations";
import * as i07 from "@angular/core";
var IgxOverlayService = class _IgxOverlayService {
  constructor(_factoryResolver, _appRef, _injector, document2, _zone, platformUtil, animationService) {
    this._factoryResolver = _factoryResolver;
    this._appRef = _appRef;
    this._injector = _injector;
    this.document = document2;
    this._zone = _zone;
    this.platformUtil = platformUtil;
    this.animationService = animationService;
    this.opening = new EventEmitter5();
    this.opened = new EventEmitter5();
    this.closing = new EventEmitter5();
    this.closed = new EventEmitter5();
    this.contentAppending = new EventEmitter5();
    this.contentAppended = new EventEmitter5();
    this.animationStarting = new EventEmitter5();
    this._componentId = 0;
    this._overlayInfos = [];
    this.destroy$ = new Subject();
    this._cursorStyleIsSet = false;
    this._defaultSettings = {
      excludeFromOutsideClick: [],
      positionStrategy: new GlobalPositionStrategy(),
      scrollStrategy: new NoOpScrollStrategy(),
      modal: true,
      closeOnOutsideClick: true,
      closeOnEscape: false
    };
    this.repositionAll = () => {
      for (let i = this._overlayInfos.length; i--; ) {
        this.reposition(this._overlayInfos[i].id);
      }
    };
    this.documentClicked = (ev) => {
      for (let i = this._overlayInfos.length; i--; ) {
        const info = this._overlayInfos[i];
        if (info.settings.modal) {
          return;
        }
        if (info.settings.closeOnOutsideClick) {
          const target = ev.composed ? ev.composedPath()[0] : ev.target;
          const overlayElement = info.elementRef.nativeElement;
          const excludeElements = info.settings.excludeFromOutsideClick ? [...info.settings.excludeFromOutsideClick, overlayElement] : [overlayElement];
          const isInsideClick = excludeElements.some((e) => e.contains(target));
          if (isInsideClick) {
            return;
          } else if (!info.closeAnimationPlayer?.hasStarted()) {
            this._hide(info.id, ev);
          }
        }
      }
    };
    this._document = this.document;
  }
  /**
   * Creates overlay settings with global or container position strategy and preset position settings
   *
   * @param position Preset position settings. Default position is 'center'
   * @param outlet The outlet container to attach the overlay to
   * @returns Non-modal overlay settings based on Global or Container position strategy and the provided position.
   */
  static createAbsoluteOverlaySettings(position, outlet) {
    const positionSettings = this.createAbsolutePositionSettings(position);
    const strategy = outlet ? new ContainerPositionStrategy(positionSettings) : new GlobalPositionStrategy(positionSettings);
    const overlaySettings = {
      positionStrategy: strategy,
      scrollStrategy: new NoOpScrollStrategy(),
      modal: false,
      closeOnOutsideClick: true,
      outlet
    };
    return overlaySettings;
  }
  /**
   * Creates overlay settings with auto, connected or elastic position strategy and preset position settings
   *
   * @param target Attaching target for the component to show
   * @param strategy The relative position strategy to be applied to the overlay settings. Default is Auto positioning strategy.
   * @param position Preset position settings. By default the element is positioned below the target, left aligned.
   * @returns Non-modal overlay settings based on the provided target, strategy and position.
   */
  static createRelativeOverlaySettings(target, position, strategy) {
    const positionSettings = this.createRelativePositionSettings(position);
    const overlaySettings = {
      target,
      positionStrategy: this.createPositionStrategy(strategy, positionSettings),
      scrollStrategy: new NoOpScrollStrategy(),
      modal: false,
      closeOnOutsideClick: true
    };
    return overlaySettings;
  }
  static createAbsolutePositionSettings(position) {
    let positionSettings;
    switch (position) {
      case AbsolutePosition.Bottom:
        positionSettings = {
          horizontalDirection: HorizontalAlignment.Center,
          verticalDirection: VerticalAlignment.Bottom,
          openAnimation: slideInBottom,
          closeAnimation: slideOutBottom
        };
        break;
      case AbsolutePosition.Top:
        positionSettings = {
          horizontalDirection: HorizontalAlignment.Center,
          verticalDirection: VerticalAlignment.Top,
          openAnimation: slideInTop,
          closeAnimation: slideOutTop
        };
        break;
      case AbsolutePosition.Center:
      default:
        positionSettings = {
          horizontalDirection: HorizontalAlignment.Center,
          verticalDirection: VerticalAlignment.Middle,
          openAnimation: fadeIn2,
          closeAnimation: fadeOut2
        };
    }
    return positionSettings;
  }
  static createRelativePositionSettings(position) {
    let positionSettings;
    switch (position) {
      case RelativePosition.Above:
        positionSettings = {
          horizontalStartPoint: HorizontalAlignment.Center,
          verticalStartPoint: VerticalAlignment.Top,
          horizontalDirection: HorizontalAlignment.Center,
          verticalDirection: VerticalAlignment.Top,
          openAnimation: scaleInVerBottom,
          closeAnimation: scaleOutVerBottom
        };
        break;
      case RelativePosition.Below:
        positionSettings = {
          horizontalStartPoint: HorizontalAlignment.Center,
          verticalStartPoint: VerticalAlignment.Bottom,
          horizontalDirection: HorizontalAlignment.Center,
          verticalDirection: VerticalAlignment.Bottom,
          openAnimation: scaleInVerTop2,
          closeAnimation: scaleOutVerTop2
        };
        break;
      case RelativePosition.After:
        positionSettings = {
          horizontalStartPoint: HorizontalAlignment.Right,
          verticalStartPoint: VerticalAlignment.Middle,
          horizontalDirection: HorizontalAlignment.Right,
          verticalDirection: VerticalAlignment.Middle,
          openAnimation: scaleInHorLeft,
          closeAnimation: scaleOutHorLeft
        };
        break;
      case RelativePosition.Before:
        positionSettings = {
          horizontalStartPoint: HorizontalAlignment.Left,
          verticalStartPoint: VerticalAlignment.Middle,
          horizontalDirection: HorizontalAlignment.Left,
          verticalDirection: VerticalAlignment.Middle,
          openAnimation: scaleInHorRight,
          closeAnimation: scaleOutHorRight
        };
        break;
      case RelativePosition.Default:
      default:
        positionSettings = {
          horizontalStartPoint: HorizontalAlignment.Left,
          verticalStartPoint: VerticalAlignment.Bottom,
          horizontalDirection: HorizontalAlignment.Right,
          verticalDirection: VerticalAlignment.Bottom,
          openAnimation: scaleInVerTop2,
          closeAnimation: scaleOutVerTop2
        };
        break;
    }
    return positionSettings;
  }
  static createPositionStrategy(strategy, positionSettings) {
    switch (strategy) {
      case RelativePositionStrategy.Connected:
        return new ConnectedPositioningStrategy(positionSettings);
      case RelativePositionStrategy.Elastic:
        return new ElasticPositionStrategy(positionSettings);
      case RelativePositionStrategy.Auto:
      default:
        return new AutoPositionStrategy(positionSettings);
    }
  }
  attach(componentOrElement, viewContainerRefOrSettings, moduleRefOrSettings) {
    const info = this.getOverlayInfo(componentOrElement, this.getUserViewContainerOrModuleRef(viewContainerRefOrSettings, moduleRefOrSettings));
    if (!info) {
      console.warn("Overlay was not able to attach provided component!");
      return null;
    }
    info.id = (this._componentId++).toString();
    info.visible = false;
    const settings = Object.assign({}, this._defaultSettings, this.getUserOverlaySettings(viewContainerRefOrSettings, moduleRefOrSettings));
    const eventArgs = { id: info.id, elementRef: info.elementRef, componentRef: info.componentRef, settings };
    this.contentAppending.emit(eventArgs);
    info.settings = eventArgs.settings;
    this._overlayInfos.push(info);
    info.hook = this.placeElementHook(info.elementRef.nativeElement);
    const elementRect = info.elementRef.nativeElement.getBoundingClientRect();
    info.initialSize = { width: elementRect.width, height: elementRect.height };
    this.moveElementToOverlay(info);
    this.contentAppended.emit({ id: info.id, componentRef: info.componentRef });
    info.settings.scrollStrategy.initialize(this._document, this, info.id);
    info.settings.scrollStrategy.attach();
    this.addOutsideClickListener(info);
    this.addResizeHandler();
    this.addCloseOnEscapeListener(info);
    this.buildAnimationPlayers(info);
    return info.id;
  }
  /**
   * Remove overlay with the provided id.
   *
   * @param id Id of the overlay to remove
   * ```typescript
   * this.overlay.detach(id);
   * ```
   */
  detach(id) {
    const info = this.getOverlayById(id);
    if (!info) {
      console.warn("igxOverlay.detach was called with wrong id: ", id);
      return;
    }
    info.detached = true;
    this.finishAnimations(info);
    info.settings.scrollStrategy.detach();
    this.removeOutsideClickListener(info);
    this.removeResizeHandler();
    this.cleanUp(info);
  }
  /**
   * Remove all the overlays.
   * ```typescript
   * this.overlay.detachAll();
   * ```
   */
  detachAll() {
    for (let i = this._overlayInfos.length; i--; ) {
      this.detach(this._overlayInfos[i].id);
    }
  }
  /**
   * Shows the overlay for provided id.
   *
   * @param id Id to show overlay for
   * @param settings Display settings for the overlay, such as positioning and scroll/close behavior.
   */
  show(id, settings) {
    const info = this.getOverlayById(id);
    if (!info) {
      console.warn("igxOverlay.show was called with wrong id: ", id);
      return;
    }
    const eventArgs = { id, componentRef: info.componentRef, cancel: false };
    this.opening.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    if (settings) {
    }
    this.updateSize(info);
    info.settings.positionStrategy.position(info.elementRef.nativeElement.parentElement, { width: info.initialSize.width, height: info.initialSize.height }, this._document, true, info.settings.target);
    this.addModalClasses(info);
    if (info.settings.positionStrategy.settings.openAnimation) {
      this.playOpenAnimation(info);
    } else {
      info.wrapperElement.style.visibility = "";
      info.visible = true;
      this.opened.emit({ id: info.id, componentRef: info.componentRef });
    }
  }
  /**
   * Hides the component with the ID provided as a parameter.
   * ```typescript
   * this.overlay.hide(id);
   * ```
   */
  hide(id, event) {
    this._hide(id, event);
  }
  /**
   * Hides all the components and the overlay.
   * ```typescript
   * this.overlay.hideAll();
   * ```
   */
  hideAll() {
    for (let i = this._overlayInfos.length; i--; ) {
      this.hide(this._overlayInfos[i].id);
    }
  }
  /**
   * Repositions the component with ID provided as a parameter.
   *
   * @param id Id to reposition overlay for
   * ```typescript
   * this.overlay.reposition(id);
   * ```
   */
  reposition(id) {
    const overlayInfo = this.getOverlayById(id);
    if (!overlayInfo || !overlayInfo.settings) {
      console.warn("Wrong id provided in overlay.reposition method. Id: ", id);
      return;
    }
    if (!overlayInfo.visible) {
      return;
    }
    const contentElement = overlayInfo.elementRef.nativeElement.parentElement;
    const contentElementRect = contentElement.getBoundingClientRect();
    overlayInfo.settings.positionStrategy.position(contentElement, {
      width: contentElementRect.width,
      height: contentElementRect.height
    }, this._document, false, overlayInfo.settings.target);
  }
  /**
   * Offsets the content along the corresponding axis by the provided amount
   *
   * @param id Id to offset overlay for
   * @param deltaX Amount of offset in horizontal direction
   * @param deltaY Amount of offset in vertical direction
   * ```typescript
   * this.overlay.setOffset(id, deltaX, deltaY);
   * ```
   */
  setOffset(id, deltaX, deltaY) {
    const info = this.getOverlayById(id);
    if (!info) {
      return;
    }
    info.transformX += deltaX;
    info.transformY += deltaY;
    const transformX = info.transformX;
    const transformY = info.transformY;
    const translate = `translate(${transformX}px, ${transformY}px)`;
    info.elementRef.nativeElement.parentElement.style.transform = translate;
  }
  /** @hidden */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /** @hidden @internal */
  getOverlayById(id) {
    if (!id) {
      return null;
    }
    const info = this._overlayInfos.find((e) => e.id === id);
    return info;
  }
  _hide(id, event) {
    const info = this.getOverlayById(id);
    if (!info) {
      console.warn("igxOverlay.hide was called with wrong id: ", id);
      return;
    }
    const eventArgs = { id, componentRef: info.componentRef, cancel: false, event };
    this.closing.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.removeModalClasses(info);
    if (info.settings.positionStrategy.settings.closeAnimation) {
      this.playCloseAnimation(info, event);
    } else {
      this.closeDone(info);
    }
  }
  getUserOverlaySettings(viewContainerRefOrSettings, moduleRefOrSettings) {
    let result;
    if (viewContainerRefOrSettings && !(viewContainerRefOrSettings instanceof ViewContainerRef)) {
      result = viewContainerRefOrSettings;
      return result;
    }
    if (moduleRefOrSettings && !("injector" in moduleRefOrSettings && "componentFactoryResolver" in moduleRefOrSettings)) {
      result = moduleRefOrSettings;
    }
    return result;
  }
  getUserViewContainerOrModuleRef(viewContainerRefOrSettings, moduleRefOrSettings) {
    let result;
    if (viewContainerRefOrSettings instanceof ViewContainerRef) {
      result = viewContainerRefOrSettings;
    }
    if (moduleRefOrSettings && "injector" in moduleRefOrSettings && "componentFactoryResolver" in moduleRefOrSettings) {
      result = moduleRefOrSettings;
    }
    return result;
  }
  getOverlayInfo(component, viewContainerRef) {
    const info = { ngZone: this._zone, transformX: 0, transformY: 0 };
    if (component instanceof ElementRef) {
      info.elementRef = component;
    } else {
      let dynamicComponent;
      if (viewContainerRef instanceof ViewContainerRef) {
        dynamicComponent = viewContainerRef.createComponent(component);
      } else {
        let dynamicFactory;
        const factoryResolver = viewContainerRef ? viewContainerRef.componentFactoryResolver : this._factoryResolver;
        try {
          dynamicFactory = factoryResolver.resolveComponentFactory(component);
        } catch (error) {
          console.error(error);
          return null;
        }
        const injector = viewContainerRef ? viewContainerRef.injector : this._injector;
        dynamicComponent = dynamicFactory.create(injector);
        this._appRef.attachView(dynamicComponent.hostView);
      }
      if (dynamicComponent.onDestroy) {
        dynamicComponent.onDestroy(() => {
          if (!info.detached && this._overlayInfos.indexOf(info) !== -1) {
            this.detach(info.id);
          }
        });
      }
      const element = dynamicComponent.location.nativeElement;
      info.elementRef = { nativeElement: element };
      info.componentRef = dynamicComponent;
    }
    return info;
  }
  placeElementHook(element) {
    if (!element.parentElement) {
      return null;
    }
    const hook = this._document.createElement("div");
    hook.style.display = "none";
    element.parentElement.insertBefore(hook, element);
    return hook;
  }
  moveElementToOverlay(info) {
    info.wrapperElement = this.getWrapperElement();
    const contentElement = this.getContentElement(info.wrapperElement, info.settings.modal);
    this.getOverlayElement(info).appendChild(info.wrapperElement);
    contentElement.appendChild(info.elementRef.nativeElement);
  }
  getWrapperElement() {
    const wrapper = this._document.createElement("div");
    wrapper.classList.add("igx-overlay__wrapper");
    return wrapper;
  }
  getContentElement(wrapperElement, modal) {
    const content = this._document.createElement("div");
    if (modal) {
      content.classList.add("igx-overlay__content--modal");
      content.addEventListener("click", (ev) => {
        ev.stopPropagation();
      });
    } else {
      content.classList.add("igx-overlay__content");
    }
    content.addEventListener("scroll", (ev) => {
      ev.stopPropagation();
    });
    wrapperElement.style.visibility = "hidden";
    wrapperElement.appendChild(content);
    return content;
  }
  getOverlayElement(info) {
    if (info.settings.outlet) {
      return info.settings.outlet.nativeElement || info.settings.outlet;
    }
    if (!this._overlayElement) {
      this._overlayElement = this._document.createElement("div");
      this._overlayElement.classList.add("igx-overlay");
      this._document.body.appendChild(this._overlayElement);
    }
    return this._overlayElement;
  }
  updateSize(info) {
    if (info.componentRef) {
      info.componentRef.changeDetectorRef.detectChanges();
      info.initialSize = info.elementRef.nativeElement.getBoundingClientRect();
    }
    if (info.initialSize.width !== 0) {
      info.elementRef.nativeElement.parentElement.style.width = info.initialSize.width + "px";
    }
  }
  closeDone(info) {
    info.visible = false;
    if (info.wrapperElement) {
      info.wrapperElement.style.visibility = "hidden";
    }
    if (!info.closeAnimationDetaching) {
      this.closed.emit({ id: info.id, componentRef: info.componentRef, event: info.event });
    }
    delete info.event;
  }
  cleanUp(info) {
    const child = info.elementRef.nativeElement;
    const outlet = this.getOverlayElement(info);
    if (outlet.contains(child)) {
      outlet.removeChild(child.parentNode.parentNode);
    }
    if (info.componentRef) {
      this._appRef.detachView(info.componentRef.hostView);
      info.componentRef.destroy();
      delete info.componentRef;
    }
    if (info.hook) {
      info.hook.parentElement.insertBefore(info.elementRef.nativeElement, info.hook);
      info.hook.parentElement.removeChild(info.hook);
      delete info.hook;
    }
    const index = this._overlayInfos.indexOf(info);
    this._overlayInfos.splice(index, 1);
    if (this._overlayInfos.length === 0) {
      if (this._overlayElement && this._overlayElement.parentElement) {
        this._overlayElement.parentElement.removeChild(this._overlayElement);
        this._overlayElement = null;
      }
      this.removeCloseOnEscapeListener();
    }
    delete info.elementRef;
    delete info.settings;
    delete info.initialSize;
    info.openAnimationDetaching = true;
    info.openAnimationPlayer?.destroy();
    delete info.openAnimationPlayer;
    info.closeAnimationDetaching = true;
    info.closeAnimationPlayer?.destroy();
    delete info.closeAnimationPlayer;
    delete info.ngZone;
    delete info.wrapperElement;
    info = null;
  }
  playOpenAnimation(info) {
    if (info.openAnimationPlayer?.hasStarted()) {
      return;
    }
    if (info.closeAnimationPlayer?.hasStarted()) {
      const position = info.closeAnimationPlayer.position;
      info.closeAnimationPlayer.reset();
      info.openAnimationPlayer.init();
      info.openAnimationPlayer.position = 1 - position;
    }
    this.animationStarting.emit({ id: info.id, animationPlayer: info.openAnimationPlayer, animationType: "open" });
    info.wrapperElement.style.visibility = "";
    info.visible = true;
    info.openAnimationPlayer.play();
  }
  playCloseAnimation(info, event) {
    if (info.closeAnimationPlayer?.hasStarted()) {
      return;
    }
    if (info.openAnimationPlayer?.hasStarted()) {
      const position = info.openAnimationPlayer.position;
      info.openAnimationPlayer.reset();
      info.closeAnimationPlayer.init();
      info.closeAnimationPlayer.position = 1 - position;
    }
    this.animationStarting.emit({ id: info.id, animationPlayer: info.closeAnimationPlayer, animationType: "close" });
    info.event = event;
    info.closeAnimationPlayer.play();
  }
  //  TODO: check if applyAnimationParams will work with complex animations
  applyAnimationParams(wrapperElement, animationOptions) {
    if (!animationOptions) {
      wrapperElement.style.transitionDuration = "0ms";
      return;
    }
    if (!animationOptions.options || !animationOptions.options.params) {
      return;
    }
    const params = animationOptions.options.params;
    if (params.duration) {
      wrapperElement.style.transitionDuration = params.duration;
    }
    if (params.easing) {
      wrapperElement.style.transitionTimingFunction = params.easing;
    }
  }
  addOutsideClickListener(info) {
    if (info.settings.closeOnOutsideClick) {
      if (info.settings.modal) {
        fromEvent(info.elementRef.nativeElement.parentElement.parentElement, "click").pipe(takeUntil(this.destroy$)).subscribe((e) => this._hide(info.id, e));
      } else if (
        //  if all overlays minus closing overlays equals one add the handler
        this._overlayInfos.filter((x) => x.settings.closeOnOutsideClick && !x.settings.modal).length - this._overlayInfos.filter((x) => x.settings.closeOnOutsideClick && !x.settings.modal && x.closeAnimationPlayer?.hasStarted()).length === 1
      ) {
        if (this.platformUtil.isIOS && !this._cursorStyleIsSet) {
          this._cursorOriginalValue = this._document.body.style.cursor;
          this._document.body.style.cursor = "pointer";
          this._cursorStyleIsSet = true;
        }
        this._document.addEventListener("click", this.documentClicked, true);
      }
    }
  }
  removeOutsideClickListener(info) {
    if (info.settings.modal === false) {
      let shouldRemoveClickEventListener = true;
      this._overlayInfos.forEach((o) => {
        if (o.settings.modal === false && o.id !== info.id) {
          shouldRemoveClickEventListener = false;
        }
      });
      if (shouldRemoveClickEventListener) {
        if (this._cursorStyleIsSet) {
          this._document.body.style.cursor = this._cursorOriginalValue;
          this._cursorOriginalValue = "";
          this._cursorStyleIsSet = false;
        }
        this._document.removeEventListener("click", this.documentClicked, true);
      }
    }
  }
  addResizeHandler() {
    const closingOverlaysCount = this._overlayInfos.filter((o) => o.closeAnimationPlayer?.hasStarted()).length;
    if (this._overlayInfos.length - closingOverlaysCount === 1) {
      this._document.defaultView.addEventListener("resize", this.repositionAll);
    }
  }
  removeResizeHandler() {
    const closingOverlaysCount = this._overlayInfos.filter((o) => o.closeAnimationPlayer?.hasStarted()).length;
    if (this._overlayInfos.length - closingOverlaysCount === 1) {
      this._document.defaultView.removeEventListener("resize", this.repositionAll);
    }
  }
  addCloseOnEscapeListener(info) {
    if (info.settings.closeOnEscape && !this._keyPressEventListener) {
      this._keyPressEventListener = fromEvent(this._document, "keydown").pipe(filter((ev) => ev.key === "Escape" || ev.key === "Esc")).subscribe((ev) => {
        const visibleOverlays = this._overlayInfos.filter((o) => o.visible);
        if (visibleOverlays.length < 1) {
          return;
        }
        const targetOverlayInfo = visibleOverlays[visibleOverlays.length - 1];
        if (targetOverlayInfo.visible && targetOverlayInfo.settings.closeOnEscape) {
          this.hide(targetOverlayInfo.id, ev);
        }
      });
    }
  }
  removeCloseOnEscapeListener() {
    if (this._keyPressEventListener) {
      this._keyPressEventListener.unsubscribe();
      this._keyPressEventListener = null;
    }
  }
  addModalClasses(info) {
    if (info.settings.modal) {
      const wrapperElement = info.elementRef.nativeElement.parentElement.parentElement;
      wrapperElement.classList.remove("igx-overlay__wrapper");
      this.applyAnimationParams(wrapperElement, info.settings.positionStrategy.settings.openAnimation);
      requestAnimationFrame(() => {
        wrapperElement.classList.add("igx-overlay__wrapper--modal");
      });
    }
  }
  removeModalClasses(info) {
    if (info.settings.modal) {
      const wrapperElement = info.elementRef.nativeElement.parentElement.parentElement;
      this.applyAnimationParams(wrapperElement, info.settings.positionStrategy.settings.closeAnimation);
      wrapperElement.classList.remove("igx-overlay__wrapper--modal");
      wrapperElement.classList.add("igx-overlay__wrapper");
    }
  }
  buildAnimationPlayers(info) {
    if (info.settings.positionStrategy.settings.openAnimation) {
      info.openAnimationPlayer = this.animationService.buildAnimation(info.settings.positionStrategy.settings.openAnimation, info.elementRef.nativeElement);
      info.openAnimationPlayer.animationEnd.pipe(takeUntil(this.destroy$)).subscribe(() => this.openAnimationDone(info));
    }
    if (info.settings.positionStrategy.settings.closeAnimation) {
      info.closeAnimationPlayer = this.animationService.buildAnimation(info.settings.positionStrategy.settings.closeAnimation, info.elementRef.nativeElement);
      info.closeAnimationPlayer.animationEnd.pipe(takeUntil(this.destroy$)).subscribe(() => this.closeAnimationDone(info));
    }
  }
  openAnimationDone(info) {
    if (!info.openAnimationDetaching) {
      this.opened.emit({ id: info.id, componentRef: info.componentRef });
    }
    if (info.openAnimationPlayer) {
      info.openAnimationPlayer.reset();
    }
    if (info.closeAnimationPlayer?.hasStarted()) {
      info.closeAnimationPlayer.reset();
    }
  }
  closeAnimationDone(info) {
    if (info.closeAnimationPlayer) {
      info.closeAnimationPlayer.reset();
    }
    if (info.openAnimationPlayer?.hasStarted()) {
      info.openAnimationPlayer.reset();
    }
    this.closeDone(info);
  }
  finishAnimations(info) {
    if (info.openAnimationPlayer?.hasStarted()) {
      info.openAnimationPlayer.finish();
    }
    if (info.closeAnimationPlayer?.hasStarted()) {
      info.closeAnimationPlayer.finish();
    }
  }
  static {
    this.ɵfac = i07.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i07, type: _IgxOverlayService, deps: [{ token: i07.ComponentFactoryResolver }, { token: i07.ApplicationRef }, { token: i07.Injector }, { token: DOCUMENT }, { token: i07.NgZone }, { token: PlatformUtil }, { token: IgxAngularAnimationService }], target: i07.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i07.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i07, type: _IgxOverlayService, providedIn: "root" });
  }
};
i07.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i07, type: IgxOverlayService, decorators: [{
  type: Injectable6,
  args: [{ providedIn: "root" }]
}], ctorParameters: () => [{ type: i07.ComponentFactoryResolver }, { type: i07.ApplicationRef }, { type: i07.Injector }, { type: void 0, decorators: [{
  type: Inject2,
  args: [DOCUMENT]
}] }, { type: i07.NgZone }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject2,
  args: [IgxAngularAnimationService]
}] }] });

// lib/services/overlay/scroll/absolute-scroll-strategy.mjs
var AbsoluteScrollStrategy = class extends ScrollStrategy {
  constructor(scrollContainer) {
    super();
    this._initialized = false;
    this.onScroll = (e) => {
      const overlayInfo = this._overlayService.getOverlayById(this._id);
      if (!overlayInfo) {
        return;
      }
      if (!overlayInfo.elementRef.nativeElement.contains(e.target)) {
        this._overlayService.reposition(this._id);
      }
    };
    this._scrollContainer = scrollContainer;
  }
  /**
   * Initializes the strategy. Should be called once
   *
   * @param document reference to Document object.
   * @param overlayService IgxOverlay service to use in this strategy.
   * @param id Unique id for this strategy.
   * ```typescript
   * settings.scrollStrategy.initialize(document, overlay, id);
   * ```
   */
  initialize(document2, overlayService, id) {
    if (this._initialized) {
      return;
    }
    this._overlayService = overlayService;
    this._id = id;
    this._document = document2;
    this._zone = overlayService.getOverlayById(id).ngZone;
    this._initialized = true;
  }
  /**
   * Attaches the strategy
   * ```typescript
   * settings.scrollStrategy.attach();
   * ```
   */
  attach() {
    if (this._zone) {
      this._zone.runOutsideAngular(() => {
        this.addScrollEventListener();
      });
    } else {
      this.addScrollEventListener();
    }
  }
  /**
   * Detaches the strategy
   * ```typescript
   * settings.scrollStrategy.detach();
   * ```
   */
  detach() {
    if (this._scrollContainer) {
      this._scrollContainer.removeEventListener("scroll", this.onScroll, true);
    } else {
      this._document?.removeEventListener("scroll", this.onScroll, true);
    }
    this._initialized = false;
  }
  addScrollEventListener() {
    if (this._scrollContainer) {
      this._scrollContainer.addEventListener("scroll", this.onScroll, true);
    } else {
      this._document.addEventListener("scroll", this.onScroll, true);
    }
  }
};

// lib/services/overlay/scroll/block-scroll-strategy.mjs
var BlockScrollStrategy = class extends ScrollStrategy {
  constructor() {
    super();
    this._initialized = false;
    this.onScroll = (ev) => {
      ev.preventDefault();
      if (!this._sourceElement || this._sourceElement !== ev.target) {
        this._sourceElement = ev.target;
        this._initialScrollTop = this._sourceElement.scrollTop;
        this._initialScrollLeft = this._sourceElement.scrollLeft;
      }
      this._sourceElement.scrollTop = this._initialScrollTop;
      this._sourceElement.scrollLeft = this._initialScrollLeft;
    };
  }
  /**
   * Initializes the strategy. Should be called once
   *
   */
  initialize(document2) {
    if (this._initialized) {
      return;
    }
    this._document = document2;
    this._initialized = true;
  }
  /**
   * Attaches the strategy
   * ```typescript
   * settings.scrollStrategy.attach();
   * ```
   */
  attach() {
    this._document.addEventListener("scroll", this.onScroll, true);
  }
  /**
   * Detaches the strategy
   * ```typescript
   * settings.scrollStrategy.detach();
   * ```
   */
  detach() {
    this._document.removeEventListener("scroll", this.onScroll, true);
    this._sourceElement = null;
    this._initialScrollTop = 0;
    this._initialScrollLeft = 0;
    this._initialized = false;
  }
};

// lib/services/overlay/scroll/close-scroll-strategy.mjs
var CloseScrollStrategy = class extends ScrollStrategy {
  constructor(scrollContainer) {
    super();
    this._initialized = false;
    this.onScroll = (ev) => {
      if (!this._sourceElement) {
        this._sourceElement = ev.target;
        this.initialScrollTop = this._sourceElement.scrollTop;
        this.initialScrollLeft = this._sourceElement.scrollLeft;
      }
      if (this._overlayInfo.elementRef.nativeElement.contains(this._sourceElement)) {
        return;
      }
      if (Math.abs(this._sourceElement.scrollTop - this.initialScrollTop) > this._threshold || Math.abs(this._sourceElement.scrollLeft - this.initialScrollLeft) > this._threshold) {
        this._overlayService.hide(this._id);
      }
    };
    this._scrollContainer = scrollContainer;
    this._threshold = 10;
  }
  /**
   * Initializes the strategy. Should be called once
   *
   * @param document reference to Document object.
   * @param overlayService IgxOverlay service to use in this strategy.
   * @param id Unique id for this strategy.
   * ```typescript
   * settings.scrollStrategy.initialize(document, overlay, id);
   * ```
   */
  initialize(document2, overlayService, id) {
    if (this._initialized) {
      return;
    }
    this._overlayService = overlayService;
    this._id = id;
    this._document = document2;
    this._initialized = true;
    this._overlayInfo = overlayService.getOverlayById(id);
  }
  /**
   * Attaches the strategy
   * ```typescript
   * settings.scrollStrategy.attach();
   * ```
   */
  attach() {
    if (this._scrollContainer) {
      this._scrollContainer.addEventListener("scroll", this.onScroll);
      this._sourceElement = this._scrollContainer;
    } else {
      this._document.addEventListener("scroll", this.onScroll, true);
    }
  }
  /**
   * Detaches the strategy
   * ```typescript
   * settings.scrollStrategy.detach();
   * ```
   */
  detach() {
    if (this._scrollContainer) {
      this._scrollContainer.removeEventListener("scroll", this.onScroll);
    } else {
      this._document.removeEventListener("scroll", this.onScroll, true);
    }
    this._sourceElement = null;
    this._initialized = false;
  }
};

// lib/services/transaction/base-transaction.mjs
import { EventEmitter as EventEmitter6 } from "@angular/core";
var IgxBaseTransactionService = class {
  constructor() {
    this.onStateUpdate = new EventEmitter6();
    this._isPending = false;
    this._pendingTransactions = [];
    this._pendingStates = /* @__PURE__ */ new Map();
    this._cloneStrategy = new DefaultDataCloneStrategy();
  }
  /**
   * Gets/Sets the data clone strategy used to clone data
   */
  get cloneStrategy() {
    return this._cloneStrategy;
  }
  set cloneStrategy(strategy) {
    if (strategy) {
      this._cloneStrategy = strategy;
    }
  }
  /**
   * @returns if there are any transactions in the Redo stack
   */
  get canRedo() {
    return false;
  }
  /**
   * @returns if there are any transactions in the Undo stack
   */
  get canUndo() {
    return false;
  }
  /**
   * Returns whether transaction is enabled for this service
   */
  get enabled() {
    return this._isPending;
  }
  /**
   * Adds provided  transaction with recordRef if any
   *
   * @param transaction Transaction to be added
   * @param recordRef Reference to the value of the record in the data source related to the changed item
   */
  add(transaction, recordRef) {
    if (this._isPending) {
      this.updateState(this._pendingStates, transaction, recordRef);
      this._pendingTransactions.push(transaction);
    }
  }
  /**
   * Returns all recorded transactions in chronological order
   *
   * @param id Optional record id to get transactions for
   * @returns All transaction in the service or for the specified record
   */
  getTransactionLog(_id) {
    return [];
  }
  /**
   * Remove the last transaction if any
   */
  undo() {
  }
  /**
   * Applies the last undone transaction if any
   */
  redo() {
  }
  /**
   * Returns aggregated changes from all transactions
   *
   * @param mergeChanges If set to true will merge each state's value over relate recordRef
   * and will record resulting value in the related transaction
   * @returns Collection of aggregated transactions for each changed record
   */
  getAggregatedChanges(mergeChanges) {
    const result = [];
    this._pendingStates.forEach((state, key) => {
      const value = mergeChanges ? this.getAggregatedValue(key, mergeChanges) : state.value;
      result.push({ id: key, newValue: value, type: state.type });
    });
    return result;
  }
  /**
   * Returns the state of the record with provided id
   *
   * @param id The id of the record
   * @param pending Should get pending state
   * @returns State of the record if any
   */
  getState(id) {
    return this._pendingStates.get(id);
  }
  /**
   * Returns value of the required id including all uncommitted changes
   *
   * @param id The id of the record to return value for
   * @param mergeChanges If set to true will merge state's value over relate recordRef
   * and will return merged value
   * @returns Value with changes or **null**
   */
  getAggregatedValue(id, mergeChanges) {
    const state = this._pendingStates.get(id);
    if (!state) {
      return null;
    }
    if (mergeChanges && state.recordRef) {
      return this.updateValue(state);
    }
    return state.value;
  }
  /**
   * Applies all transactions over the provided data
   *
   * @param data Data source to update
   * @param id Optional record id to commit transactions for
   */
  commit(_data, _id) {
  }
  /**
   * Clears all transactions
   *
   * @param id Optional record id to clear transactions for
   */
  clear(_id) {
    this._pendingStates.clear();
    this._pendingTransactions = [];
  }
  /**
   * Starts pending transactions. All transactions passed after call to startPending
   * will not be added to transaction log
   */
  startPending() {
    this._isPending = true;
  }
  /**
   * Clears all pending transactions and aggregated pending state. If commit is set to true
   * commits pending states as single transaction
   *
   * @param commit Should commit the pending states
   */
  endPending(_commit) {
    this._isPending = false;
    this._pendingStates.clear();
    this._pendingTransactions = [];
  }
  /**
   * Updates the provided states collection according to passed transaction and recordRef
   *
   * @param states States collection to apply the update to
   * @param transaction Transaction to apply to the current state
   * @param recordRef Reference to the value of the record in data source, if any, where transaction should be applied
   */
  updateState(states, transaction, recordRef) {
    let state = states.get(transaction.id);
    if (state) {
      if (isObject(state.value)) {
        mergeObjects(state.value, transaction.newValue);
      } else {
        state.value = transaction.newValue;
      }
    } else {
      state = { value: this.cloneStrategy.clone(transaction.newValue), recordRef, type: transaction.type };
      states.set(transaction.id, state);
    }
    this.cleanState(transaction.id, states);
  }
  /**
   * Updates the recordRef of the provided state with all the changes in the state. Accepts primitive and object value types
   *
   * @param state State to update value for
   * @returns updated value including all the changes in provided state
   */
  updateValue(state) {
    return this.mergeValues(state.recordRef, state.value);
  }
  /**
   * Merges second values in first value and the result in empty object. If values are primitive type
   * returns second value if exists, or first value.
   *
   * @param first Value to merge into
   * @param second Value to merge
   */
  mergeValues(first19, second) {
    if (isObject(first19) || isObject(second)) {
      return mergeObjects(this.cloneStrategy.clone(first19), second);
    } else {
      return second ? second : first19;
    }
  }
  /**
   * Compares the state with recordRef and clears all duplicated values. If any state ends as
   * empty object removes it from states.
   *
   * @param state State to clean
   */
  cleanState(id, states) {
    const state = states.get(id);
    if (state && state.value && state.recordRef) {
      if (isObject(state.recordRef)) {
        for (const key of Object.keys(state.value)) {
          if (JSON.stringify(state.recordRef[key]) === JSON.stringify(state.value[key])) {
            delete state.value[key];
          }
        }
        if (state.type !== TransactionType.DELETE && Object.keys(state.value).length === 0) {
          states.delete(id);
        }
      } else {
        if (state.recordRef === state.value) {
          states.delete(id);
        }
      }
    }
  }
};

// lib/services/transaction/igx-transaction.mjs
var IgxTransactionService = class extends IgxBaseTransactionService {
  constructor() {
    super(...arguments);
    this._transactions = [];
    this._redoStack = [];
    this._undoStack = [];
    this._states = /* @__PURE__ */ new Map();
  }
  /**
   * @returns if there are any transactions in the Undo stack
   */
  get canUndo() {
    return this._undoStack.length > 0;
  }
  /**
   * @returns if there are any transactions in the Redo stack
   */
  get canRedo() {
    return this._redoStack.length > 0;
  }
  /**
   * Adds provided  transaction with recordRef if any
   *
   * @param transaction Transaction to be added
   * @param recordRef Reference to the value of the record in the data source related to the changed item
   */
  add(transaction, recordRef) {
    const states = this._isPending ? this._pendingStates : this._states;
    this.verifyAddedTransaction(states, transaction, recordRef);
    this.addTransaction(transaction, states, recordRef);
  }
  /**
   * Returns all recorded transactions in chronological order
   *
   * @param id Optional record id to get transactions for
   * @returns All transaction in the service or for the specified record
   */
  getTransactionLog(id) {
    if (id !== void 0) {
      return this._transactions.filter((t) => t.id === id);
    }
    return [...this._transactions];
  }
  /**
   * Returns aggregated changes from all transactions
   *
   * @param mergeChanges If set to true will merge each state's value over relate recordRef
   * and will record resulting value in the related transaction
   * @returns Collection of aggregated transactions for each changed record
   */
  getAggregatedChanges(mergeChanges) {
    const result = [];
    this._states.forEach((state, key) => {
      const value = mergeChanges ? this.mergeValues(state.recordRef, state.value) : state.value;
      result.push({ id: key, newValue: value, type: state.type });
    });
    return result;
  }
  /**
   * Returns the state of the record with provided id
   *
   * @param id The id of the record
   * @param pending Should get pending state
   * @returns State of the record if any
   */
  getState(id, pending = false) {
    return pending ? this._pendingStates.get(id) : this._states.get(id);
  }
  /**
   * Returns whether transaction is enabled for this service
   */
  get enabled() {
    return true;
  }
  /**
   * Returns value of the required id including all uncommitted changes
   *
   * @param id The id of the record to return value for
   * @param mergeChanges If set to true will merge state's value over relate recordRef
   * and will return merged value
   * @returns Value with changes or **null**
   */
  getAggregatedValue(id, mergeChanges) {
    const state = this._states.get(id);
    const pendingState = super.getState(id);
    if (!state && !pendingState) {
      return null;
    }
    const pendingChange = super.getAggregatedValue(id, false);
    const change = state && state.value;
    let aggregatedValue = this.mergeValues(change, pendingChange);
    if (mergeChanges) {
      const originalValue = state ? state.recordRef : pendingState.recordRef;
      aggregatedValue = this.mergeValues(originalValue, aggregatedValue);
    }
    return aggregatedValue;
  }
  /**
   * Clears all pending transactions and aggregated pending state. If commit is set to true
   * commits pending states as single transaction
   *
   * @param commit Should commit the pending states
   */
  endPending(commit) {
    this._isPending = false;
    if (commit) {
      const actions = [];
      for (const transaction of this._pendingTransactions) {
        const pendingState = this._pendingStates.get(transaction.id);
        this._transactions.push(transaction);
        this.updateState(this._states, transaction, pendingState.recordRef);
        actions.push({ transaction, recordRef: pendingState.recordRef });
      }
      this._undoStack.push(actions);
      this._redoStack = [];
      this.onStateUpdate.emit({ origin: TransactionEventOrigin.END, actions });
    }
    super.endPending(commit);
  }
  /**
   * Applies all transactions over the provided data
   *
   * @param data Data source to update
   * @param id Optional record id to commit transactions for
   */
  commit(data, id) {
    if (id !== void 0) {
      const state = this.getState(id);
      if (state) {
        this.updateRecord(data, state);
      }
    } else {
      this._states.forEach((s) => {
        this.updateRecord(data, s);
      });
    }
    this.clear(id);
  }
  /**
   * Clears all transactions
   *
   * @param id Optional record id to clear transactions for
   */
  clear(id) {
    if (id !== void 0) {
      this._transactions = this._transactions.filter((t) => t.id !== id);
      this._states.delete(id);
      this._undoStack = this._undoStack.map((a) => a.filter((t) => t.transaction.id !== id)).filter((a) => a.length > 0);
    } else {
      this._transactions = [];
      this._states.clear();
      this._undoStack = [];
    }
    this._redoStack = [];
    this.onStateUpdate.emit({ origin: TransactionEventOrigin.CLEAR, actions: [] });
  }
  /**
   * Remove the last transaction if any
   */
  undo() {
    if (this._undoStack.length <= 0) {
      return;
    }
    const lastActions = this._undoStack.pop();
    this._transactions.splice(this._transactions.length - lastActions.length);
    this._redoStack.push(lastActions);
    this._states.clear();
    for (const currentActions of this._undoStack) {
      for (const transaction of currentActions) {
        this.updateState(this._states, transaction.transaction, transaction.recordRef);
      }
    }
    this.onStateUpdate.emit({ origin: TransactionEventOrigin.UNDO, actions: lastActions });
  }
  /**
   * Applies the last undone transaction if any
   */
  redo() {
    if (this._redoStack.length > 0) {
      const actions = this._redoStack.pop();
      for (const action of actions) {
        this.updateState(this._states, action.transaction, action.recordRef);
        this._transactions.push(action.transaction);
      }
      this._undoStack.push(actions);
      this.onStateUpdate.emit({ origin: TransactionEventOrigin.REDO, actions });
    }
  }
  addTransaction(transaction, states, recordRef) {
    this.updateState(states, transaction, recordRef);
    const transactions = this._isPending ? this._pendingTransactions : this._transactions;
    transactions.push(transaction);
    if (!this._isPending) {
      const actions = [{ transaction, recordRef }];
      this._undoStack.push(actions);
      this._redoStack = [];
      this.onStateUpdate.emit({ origin: TransactionEventOrigin.ADD, actions });
    }
  }
  /**
   * Verifies if the passed transaction is correct. If not throws an exception.
   *
   * @param transaction Transaction to be verified
   */
  verifyAddedTransaction(states, transaction, recordRef) {
    const state = states.get(transaction.id);
    switch (transaction.type) {
      case TransactionType.ADD:
        if (state) {
          throw new Error(`Cannot add this transaction. Transaction with id: ${transaction.id} has been already added.`);
        }
        break;
      case TransactionType.DELETE:
      case TransactionType.UPDATE:
        if (state && state.type === TransactionType.DELETE) {
          throw new Error(`Cannot add this transaction. Transaction with id: ${transaction.id} has been already deleted.`);
        }
        if (!state && !recordRef && !this._isPending) {
          throw new Error(`Cannot add this transaction. This is first transaction of type ${transaction.type} for id ${transaction.id}. For first transaction of this type recordRef is mandatory.`);
        }
        break;
    }
  }
  /**
   * Updates the provided states collection according to passed transaction and recordRef
   *
   * @param states States collection to apply the update to
   * @param transaction Transaction to apply to the current state
   * @param recordRef Reference to the value of the record in data source, if any, where transaction should be applied
   */
  updateState(states, transaction, recordRef) {
    let state = states.get(transaction.id);
    if (state) {
      switch (transaction.type) {
        case TransactionType.DELETE:
          if (state.type === TransactionType.ADD) {
            states.delete(transaction.id);
          } else if (state.type === TransactionType.UPDATE) {
            state.value = transaction.newValue;
            state.type = TransactionType.DELETE;
          }
          break;
        case TransactionType.UPDATE:
          if (isObject(state.value)) {
            if (state.type === TransactionType.ADD) {
              state.value = this.mergeValues(state.value, transaction.newValue);
            }
            if (state.type === TransactionType.UPDATE) {
              mergeObjects(state.value, transaction.newValue);
            }
          } else {
            state.value = transaction.newValue;
          }
      }
    } else {
      state = { value: this.cloneStrategy.clone(transaction.newValue), recordRef, type: transaction.type };
      states.set(transaction.id, state);
    }
    this.cleanState(transaction.id, states);
  }
  /**
   * Updates state related record in the provided data
   *
   * @param data Data source to update
   * @param state State to update data from
   */
  updateRecord(data, state) {
    const index = data.findIndex((i) => JSON.stringify(i) === JSON.stringify(state.recordRef || {}));
    switch (state.type) {
      case TransactionType.ADD:
        data.push(state.value);
        break;
      case TransactionType.DELETE:
        if (0 <= index && index < data.length) {
          data.splice(index, 1);
        }
        break;
      case TransactionType.UPDATE:
        if (0 <= index && index < data.length) {
          data[index] = this.updateValue(state);
        }
        break;
    }
  }
};

// lib/services/transaction/igx-hierarchical-transaction.mjs
var IgxHierarchicalTransactionService = class extends IgxTransactionService {
  getAggregatedChanges(mergeChanges) {
    const result = [];
    this._states.forEach((state, key) => {
      const value = mergeChanges ? this.mergeValues(state.recordRef, state.value) : this.cloneStrategy.clone(state.value);
      this.clearArraysFromObject(value);
      result.push({ id: key, path: state.path, newValue: value, type: state.type });
    });
    return result;
  }
  commit(data, primaryKeyOrId, childDataKey, id) {
    if (childDataKey !== void 0) {
      let transactions = this.getAggregatedChanges(true);
      if (id !== void 0) {
        transactions = transactions.filter((t) => t.id === id);
      }
      DataUtil.mergeHierarchicalTransactions(data, transactions, childDataKey, primaryKeyOrId, this.cloneStrategy, true);
      this.clear(id);
    } else {
      super.commit(data, primaryKeyOrId);
    }
  }
  updateState(states, transaction, recordRef) {
    super.updateState(states, transaction, recordRef);
    if (!transaction.path) {
      return;
    }
    const currentState = states.get(transaction.id);
    if (currentState) {
      currentState.path = transaction.path;
    }
    if (transaction.type === TransactionType.DELETE) {
      states.forEach((v, k) => {
        if (v.path && v.path.indexOf(transaction.id) !== -1) {
          switch (v.type) {
            case TransactionType.ADD:
              states.delete(k);
              break;
            case TransactionType.UPDATE:
              states.get(k).type = TransactionType.DELETE;
              states.get(k).value = null;
          }
        }
      });
    }
  }
  //  TODO: remove this method. Force cloning to strip child arrays when needed instead
  clearArraysFromObject(obj) {
    if (obj) {
      for (const prop of Object.keys(obj)) {
        if (Array.isArray(obj[prop])) {
          delete obj[prop];
        }
      }
    }
  }
};

// lib/services/transaction/transaction-factory.service.mjs
import { Injectable as Injectable7 } from "@angular/core";
import * as i08 from "@angular/core";
var IgxFlatTransactionFactory = class _IgxFlatTransactionFactory {
  /**
   * Creates a new Transaction service instance depending on the specified type.
   *
   * @param type The type of the transaction
   * @returns a new instance of TransactionService<Transaction, State>
   */
  create(type) {
    switch (type) {
      case "Base":
        return new IgxTransactionService();
      default:
        return new IgxBaseTransactionService();
    }
  }
  static {
    this.ɵfac = i08.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: _IgxFlatTransactionFactory, deps: [], target: i08.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i08.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: _IgxFlatTransactionFactory, providedIn: "root" });
  }
};
i08.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: IgxFlatTransactionFactory, decorators: [{
  type: Injectable7,
  args: [{
    providedIn: "root"
  }]
}] });
var IgxHierarchicalTransactionFactory = class _IgxHierarchicalTransactionFactory extends IgxFlatTransactionFactory {
  /**
   * Creates a new HierarchialTransaction service instance depending on the specified type.
   *
   * @param type The type of the transaction
   * @returns a new instance of HierarchialTransaction<HierarchialTransaction, HierarchialState>
   */
  create(type) {
    switch (type) {
      case "Base":
        return new IgxHierarchicalTransactionService();
      default:
        return new IgxBaseTransactionService();
    }
  }
  static {
    this.ɵfac = i08.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: _IgxHierarchicalTransactionFactory, deps: null, target: i08.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i08.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: _IgxHierarchicalTransactionFactory, providedIn: "root" });
  }
};
i08.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i08, type: IgxHierarchicalTransactionFactory, decorators: [{
  type: Injectable7,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/directives/text-highlight/text-highlight.service.mjs
import { EventEmitter as EventEmitter7, Injectable as Injectable8 } from "@angular/core";
import * as i09 from "@angular/core";
var IgxTextHighlightService = class _IgxTextHighlightService {
  constructor() {
    this.highlightGroupsMap = /* @__PURE__ */ new Map();
    this.onActiveElementChanged = new EventEmitter7();
  }
  /**
   * Activates the highlight at a given index.
   * (if such index exists)
   */
  setActiveHighlight(groupName, highlight) {
    this.highlightGroupsMap.set(groupName, highlight);
    this.onActiveElementChanged.emit(groupName);
  }
  /**
   * Clears any existing highlight.
   */
  clearActiveHighlight(groupName) {
    this.highlightGroupsMap.set(groupName, {
      index: -1
    });
    this.onActiveElementChanged.emit(groupName);
  }
  /**
   * Destroys a highlight group.
   */
  destroyGroup(groupName) {
    this.highlightGroupsMap.delete(groupName);
  }
  static {
    this.ɵfac = i09.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i09, type: _IgxTextHighlightService, deps: [], target: i09.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i09.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i09, type: _IgxTextHighlightService, providedIn: "root" });
  }
};
i09.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i09, type: IgxTextHighlightService, decorators: [{
  type: Injectable8,
  args: [{
    providedIn: "root"
  }]
}], ctorParameters: () => [] });

// lib/drop-down/drop-down.common.mjs
import { InjectionToken } from "@angular/core";
var Navigate;
(function(Navigate2) {
  Navigate2[Navigate2["Up"] = -1] = "Up";
  Navigate2[Navigate2["Down"] = 1] = "Down";
})(Navigate || (Navigate = {}));
var DropDownActionKey = /* @__PURE__ */ mkenum({
  ESCAPE: "escape",
  ENTER: "enter",
  SPACE: "space"
});
var IGX_DROPDOWN_BASE = /* @__PURE__ */ new InjectionToken("IgxDropDownBaseToken");

// lib/core/density.mjs
import { InjectionToken as InjectionToken2, Input as Input2, Output, EventEmitter as EventEmitter8, Directive as Directive2, Optional, Inject as Inject3 } from "@angular/core";
import * as i010 from "@angular/core";
var DisplayDensity = mkenum({
  comfortable: "comfortable",
  cosy: "cosy",
  compact: "compact"
});
var DisplayDensityToken = new InjectionToken2("DisplayDensity");
var DisplayDensityBase = class _DisplayDensityBase {
  /**
   * Returns the theme of the component.
   * The default theme is `comfortable`.
   * Available options are `comfortable`, `cosy`, `compact`.
   * ```typescript
   * let componentTheme = this.component.displayDensity;
   * ```
   *
   * @deprecated since version 16.1.0.
   * Please use the `--ig-size` CSS custom property.
   * @see {@link [Update Guide](https://www.infragistics.com/products/ignite-ui-angular/angular/components/general/update-guide#from-160x-to-161x)}
   */
  get displayDensity() {
    return this._displayDensity ?? this.displayDensityOptions?.displayDensity ?? DisplayDensity.comfortable;
  }
  /**
   * Sets the theme of the component.
   */
  set displayDensity(val) {
    const currentDisplayDensity = this._displayDensity;
    this._displayDensity = val;
    if (currentDisplayDensity !== this._displayDensity) {
      const densityChangedArgs = {
        oldDensity: currentDisplayDensity,
        newDensity: this._displayDensity
      };
      this.densityChanged.emit(densityChangedArgs);
    }
  }
  constructor(displayDensityOptions, _host) {
    this.displayDensityOptions = displayDensityOptions;
    this._host = _host;
    this.densityChanged = new EventEmitter8();
    this.oldDisplayDensityOptions = {
      displayDensity: DisplayDensity.comfortable
    };
    Object.assign(this.oldDisplayDensityOptions, displayDensityOptions);
  }
  /**
   * @hidden
   */
  ngOnInit() {
    const el = this._host?.nativeElement;
    if (el instanceof Element) {
      const size = globalThis.document?.defaultView.getComputedStyle(el).getPropertyValue("--ig-size").trim();
      switch (size) {
        case "1":
          this._displayDensity = DisplayDensity.compact;
          break;
        case "2":
          this._displayDensity = DisplayDensity.cosy;
          break;
        case "3":
          this._displayDensity = DisplayDensity.comfortable;
          break;
      }
    }
    this.initialDensity = this._displayDensity;
  }
  /** @hidden @internal **/
  ngDoCheck() {
    if (!this._displayDensity && this.displayDensityOptions && this.oldDisplayDensityOptions.displayDensity !== this.displayDensityOptions.displayDensity) {
      const densityChangedArgs = {
        oldDensity: this.oldDisplayDensityOptions.displayDensity,
        newDensity: this.displayDensityOptions.displayDensity
      };
      this.densityChanged.emit(densityChangedArgs);
      this.oldDisplayDensityOptions = Object.assign(this.oldDisplayDensityOptions, this.displayDensityOptions);
    }
  }
  /**
   * Given a style class of a component/element returns the modified version of it based
   * on the current display density.
   */
  getComponentDensityClass(baseStyleClass) {
    switch (this._displayDensity || this.oldDisplayDensityOptions.displayDensity) {
      case DisplayDensity.cosy:
        return `${baseStyleClass}--${DisplayDensity.cosy}`;
      case DisplayDensity.compact:
        return `${baseStyleClass}--${DisplayDensity.compact}`;
      default:
        return baseStyleClass;
    }
  }
  /**
   * Sets the `--component-size` CSS variable based on the value of Display Density
   */
  getComponentSizeStyles() {
    switch (this._displayDensity || this.oldDisplayDensityOptions.displayDensity) {
      case DisplayDensity.compact:
        return "var(--ig-size, var(--ig-size-small))";
      case DisplayDensity.cosy:
        return "var(--ig-size, var(--ig-size-medium))";
      case DisplayDensity.comfortable:
      default:
        return "var(--ig-size, var(--ig-size-large))";
    }
  }
  static {
    this.ɵfac = i010.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i010, type: _DisplayDensityBase, deps: [{ token: DisplayDensityToken, optional: true }, { token: i010.ElementRef }], target: i010.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i010.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _DisplayDensityBase, isStandalone: true, selector: "[igxDisplayDensityBase]", inputs: { displayDensity: "displayDensity" }, outputs: { densityChanged: "densityChanged" }, ngImport: i010 });
  }
};
i010.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i010, type: DisplayDensityBase, decorators: [{
  type: Directive2,
  args: [{
    selector: "[igxDisplayDensityBase]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Optional
}, {
  type: Inject3,
  args: [DisplayDensityToken]
}] }, { type: i010.ElementRef }], propDecorators: { densityChanged: [{
  type: Output
}], displayDensity: [{
  type: Input2
}] } });

// lib/drop-down/drop-down.base.mjs
import { Input as Input3, HostBinding, Output as Output2, EventEmitter as EventEmitter9, Optional as Optional2, Inject as Inject4, Directive as Directive3 } from "@angular/core";
import * as i011 from "@angular/core";
var NEXT_ID = 0;
var IgxDropDownBaseDirective = class _IgxDropDownBaseDirective extends DisplayDensityBase {
  /**
   * Gets/Sets the drop down's id
   *
   * ```typescript
   * // get
   * let myDropDownCurrentId = this.dropdown.id;
   * ```
   * ```html
   * <!--set-->
   * <igx-drop-down [id]='newDropDownId'></igx-drop-down>
   * ```
   */
  get id() {
    return this._id;
  }
  set id(value) {
    this._id = value;
  }
  /**
   * Get all non-header items
   *
   * ```typescript
   * let myDropDownItems = this.dropdown.items;
   * ```
   */
  get items() {
    const items = [];
    if (this.children !== void 0) {
      for (const child of this.children.toArray()) {
        if (!child.isHeader) {
          items.push(child);
        }
      }
    }
    return items;
  }
  /**
   * Get all header items
   *
   * ```typescript
   * let myDropDownHeaderItems = this.dropdown.headers;
   * ```
   */
  get headers() {
    const headers = [];
    if (this.children !== void 0) {
      for (const child of this.children.toArray()) {
        if (child.isHeader) {
          headers.push(child);
        }
      }
    }
    return headers;
  }
  /**
   * Get dropdown html element
   *
   * ```typescript
   * let myDropDownElement = this.dropdown.element;
   * ```
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * @hidden @internal
   * Get dropdown's html element of its scroll container
   */
  get scrollContainer() {
    return this.element;
  }
  constructor(elementRef, cdr, _displayDensityOptions) {
    super(_displayDensityOptions, elementRef);
    this.elementRef = elementRef;
    this.cdr = cdr;
    this._displayDensityOptions = _displayDensityOptions;
    this.selectionChanging = new EventEmitter9();
    this.maxHeight = null;
    this.cssClass = true;
    this._focusedItem = null;
    this._id = `igx-drop-down-${NEXT_ID++}`;
  }
  /** Keydown Handler */
  onItemActionKey(key, event) {
    switch (key) {
      case DropDownActionKey.ENTER:
      case DropDownActionKey.SPACE:
        this.selectItem(this.focusedItem, event);
        break;
      case DropDownActionKey.ESCAPE:
    }
  }
  /**
   * Emits selectionChanging with the target item & event
   *
   * @hidden @internal
   * @param newSelection the item selected
   * @param event the event that triggered the call
   */
  selectItem(newSelection, event) {
    this.selectionChanging.emit({
      newSelection,
      oldSelection: null,
      cancel: false
    });
  }
  /**
   * @hidden @internal
   */
  get focusedItem() {
    return this._focusedItem;
  }
  /**
   * @hidden @internal
   */
  set focusedItem(item) {
    this._focusedItem = item;
  }
  /**
   * Navigates to the item on the specified index
   *
   * @param newIndex number - the index of the item in the `items` collection
   */
  navigateItem(newIndex) {
    if (newIndex !== -1) {
      const oldItem = this._focusedItem;
      const newItem = this.items[newIndex];
      if (oldItem) {
        oldItem.focused = false;
      }
      this.focusedItem = newItem;
      this.scrollToHiddenItem(newItem);
      this.focusedItem.focused = true;
    }
  }
  /**
   * @hidden @internal
   */
  navigateFirst() {
    this.navigate(Navigate.Down, -1);
  }
  /**
   * @hidden @internal
   */
  navigateLast() {
    this.navigate(Navigate.Up, this.items.length);
  }
  /**
   * @hidden @internal
   */
  navigateNext() {
    this.navigate(Navigate.Down);
  }
  /**
   * @hidden @internal
   */
  navigatePrev() {
    this.navigate(Navigate.Up);
  }
  scrollToHiddenItem(newItem) {
    const elementRect = newItem.element.nativeElement.getBoundingClientRect();
    const parentRect = this.scrollContainer.getBoundingClientRect();
    if (parentRect.top > elementRect.top) {
      this.scrollContainer.scrollTop -= parentRect.top - elementRect.top;
    }
    if (parentRect.bottom < elementRect.bottom) {
      this.scrollContainer.scrollTop += elementRect.bottom - parentRect.bottom;
    }
  }
  navigate(direction, currentIndex) {
    let index = -1;
    if (this._focusedItem) {
      index = currentIndex ? currentIndex : this.focusedItem.itemIndex;
    }
    const newIndex = this.getNearestSiblingFocusableItemIndex(index, direction);
    this.navigateItem(newIndex);
  }
  getNearestSiblingFocusableItemIndex(startIndex, direction) {
    let index = startIndex;
    const items = this.items;
    while (items[index + direction] && items[index + direction].disabled) {
      index += direction;
    }
    index += direction;
    if (index >= 0 && index < items.length) {
      return index;
    } else {
      return -1;
    }
  }
  static {
    this.ɵfac = i011.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i011, type: _IgxDropDownBaseDirective, deps: [{ token: i011.ElementRef }, { token: i011.ChangeDetectorRef }, { token: DisplayDensityToken, optional: true }], target: i011.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i011.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDropDownBaseDirective, inputs: { width: "width", height: "height", id: "id", maxHeight: "maxHeight" }, outputs: { selectionChanging: "selectionChanging" }, host: { properties: { "style.maxHeight": "this.maxHeight", "class.igx-drop-down": "this.cssClass" } }, usesInheritance: true, ngImport: i011 });
  }
};
i011.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i011, type: IgxDropDownBaseDirective, decorators: [{
  type: Directive3
}], ctorParameters: () => [{ type: i011.ElementRef }, { type: i011.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Optional2
}, {
  type: Inject4,
  args: [DisplayDensityToken]
}] }], propDecorators: { selectionChanging: [{
  type: Output2
}], width: [{
  type: Input3
}], height: [{
  type: Input3
}], id: [{
  type: Input3
}], maxHeight: [{
  type: Input3
}, {
  type: HostBinding,
  args: ["style.maxHeight"]
}], cssClass: [{
  type: HostBinding,
  args: ["class.igx-drop-down"]
}] } });

// lib/drop-down/drop-down-navigation.directive.mjs
import { Directive as Directive4, Optional as Optional3, Self, Input as Input4, HostListener as HostListener2, Inject as Inject5 } from "@angular/core";
import * as i012 from "@angular/core";
var IgxDropDownItemNavigationDirective = class _IgxDropDownItemNavigationDirective {
  constructor(dropdown) {
    this.dropdown = dropdown;
    this._target = null;
  }
  /**
   * Gets the target of the navigation directive;
   *
   * ```typescript
   * // Get
   * export class MyComponent {
   *  ...
   *  @ContentChild(IgxDropDownNavigationDirective)
   *  navDirective: IgxDropDownNavigationDirective = null
   *  ...
   *  const navTarget: IgxDropDownBaseDirective = navDirective.navTarget
   * }
   * ```
   */
  get target() {
    return this._target;
  }
  /**
   * Sets the target of the navigation directive;
   * If no valid target is passed, it falls back to the drop down context
   *
   * ```html
   * <!-- Set -->
   * <input [igxDropDownItemNavigation]="dropdown" />
   * ...
   * <igx-drop-down #dropdown>
   * ...
   * </igx-drop-down>
   * ```
   */
  set target(target) {
    this._target = target ? target : this.dropdown;
  }
  /**
   * Captures keydown events and calls the appropriate handlers on the target component
   */
  handleKeyDown(event) {
    if (event) {
      const key = event.key.toLowerCase();
      if (!this.target.collapsed) {
        const navKeys = [
          "esc",
          "escape",
          "enter",
          "space",
          "spacebar",
          " ",
          "arrowup",
          "up",
          "arrowdown",
          "down",
          "home",
          "end"
        ];
        if (navKeys.indexOf(key) === -1) {
          return;
        }
        event.preventDefault();
        event.stopPropagation();
      } else {
        return;
      }
      switch (key) {
        case "esc":
        case "escape":
          this.target.onItemActionKey(DropDownActionKey.ESCAPE, event);
          break;
        case "enter":
          this.target.onItemActionKey(DropDownActionKey.ENTER, event);
          break;
        case "space":
        case "spacebar":
        case " ":
          this.target.onItemActionKey(DropDownActionKey.SPACE, event);
          break;
        case "arrowup":
        case "up":
          this.onArrowUpKeyDown();
          break;
        case "arrowdown":
        case "down":
          this.onArrowDownKeyDown();
          break;
        case "home":
          this.onHomeKeyDown();
          break;
        case "end":
          this.onEndKeyDown();
          break;
        default:
          return;
      }
    }
  }
  /**
   * Navigates to previous item
   */
  onArrowDownKeyDown() {
    this.target.navigateNext();
  }
  /**
   * Navigates to previous item
   */
  onArrowUpKeyDown() {
    this.target.navigatePrev();
  }
  /**
   * Navigates to target's last item
   */
  onEndKeyDown() {
    this.target.navigateLast();
  }
  /**
   * Navigates to target's first item
   */
  onHomeKeyDown() {
    this.target.navigateFirst();
  }
  static {
    this.ɵfac = i012.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i012, type: _IgxDropDownItemNavigationDirective, deps: [{ token: IGX_DROPDOWN_BASE, optional: true, self: true }], target: i012.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i012.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDropDownItemNavigationDirective, isStandalone: true, selector: "[igxDropDownItemNavigation]", inputs: { target: ["igxDropDownItemNavigation", "target"] }, host: { listeners: { "keydown": "handleKeyDown($event)" } }, ngImport: i012 });
  }
};
i012.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i012, type: IgxDropDownItemNavigationDirective, decorators: [{
  type: Directive4,
  args: [{
    selector: "[igxDropDownItemNavigation]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxDropDownBaseDirective, decorators: [{
  type: Self
}, {
  type: Optional3
}, {
  type: Inject5,
  args: [IGX_DROPDOWN_BASE]
}] }], propDecorators: { target: [{
  type: Input4,
  args: ["igxDropDownItemNavigation"]
}], handleKeyDown: [{
  type: HostListener2,
  args: ["keydown", ["$event"]]
}] } });

// lib/directives/hint/hint.directive.mjs
import { Directive as Directive5, HostBinding as HostBinding2, Input as Input5 } from "@angular/core";
import * as i013 from "@angular/core";
var IgxHintPosition;
(function(IgxHintPosition2) {
  IgxHintPosition2[IgxHintPosition2["START"] = 0] = "START";
  IgxHintPosition2[IgxHintPosition2["END"] = 1] = "END";
})(IgxHintPosition || (IgxHintPosition = {}));
var IgxHintDirective = class _IgxHintDirective {
  constructor() {
    this.isPositionStart = false;
    this.isPositionEnd = false;
    this._position = IgxHintPosition.START;
  }
  /**
   * Sets the position of the hint.
   * ```html
   * <igx-input-group>
   *  <input igxInput type="text"/>
   *  <igx-hint #hint [position]="'start'">IgxHint displayed at the start</igx-hint>
   * </igx-input-group>
   * ```
   *
   * @memberof IgxHintDirective
   */
  set position(value) {
    const position = IgxHintPosition[value.toUpperCase()];
    if (position !== void 0) {
      this._position = position;
      this._applyPosition(this._position);
    }
  }
  /**
   * Gets the position of the hint.
   * ```typescript
   * @ViewChild('hint', {read: IgxHintDirective})
   * public igxHint: IgxHintDirective;
   * let hintPosition =  this.igxHint.position;
   * ```
   *
   * @memberof IgxHintDirective
   */
  get position() {
    return this._position.toString();
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this._applyPosition(this._position);
  }
  _applyPosition(position) {
    this.isPositionStart = this.isPositionEnd = false;
    switch (position) {
      case IgxHintPosition.START:
        this.isPositionStart = true;
        break;
      case IgxHintPosition.END:
        this.isPositionEnd = true;
        break;
      default:
        break;
    }
  }
  static {
    this.ɵfac = i013.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i013, type: _IgxHintDirective, deps: [], target: i013.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i013.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHintDirective, isStandalone: true, selector: "igx-hint,[igxHint]", inputs: { position: "position" }, host: { properties: { "class.igx-input-group__hint-item--start": "this.isPositionStart", "class.igx-input-group__hint-item--end": "this.isPositionEnd" } }, ngImport: i013 });
  }
};
i013.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i013, type: IgxHintDirective, decorators: [{
  type: Directive5,
  args: [{
    selector: "igx-hint,[igxHint]",
    standalone: true
  }]
}], propDecorators: { isPositionStart: [{
  type: HostBinding2,
  args: ["class.igx-input-group__hint-item--start"]
}], isPositionEnd: [{
  type: HostBinding2,
  args: ["class.igx-input-group__hint-item--end"]
}], position: [{
  type: Input5,
  args: ["position"]
}] } });

// lib/input-group/input-group.common.mjs
var IgxInputGroupBase = class {
};

// lib/directives/input/input.directive.mjs
import { Directive as Directive6, HostBinding as HostBinding3, HostListener as HostListener3, Inject as Inject6, Input as Input6, Optional as Optional4, Self as Self2, booleanAttribute } from "@angular/core";
import { NgControl, NgModel } from "@angular/forms";
import * as i014 from "@angular/core";
import * as i2 from "@angular/forms";
var nativeValidationAttributes = [
  "required",
  "pattern",
  "minlength",
  "maxlength",
  "min",
  "max",
  "step"
];
var IgxInputState;
(function(IgxInputState2) {
  IgxInputState2[IgxInputState2["INITIAL"] = 0] = "INITIAL";
  IgxInputState2[IgxInputState2["VALID"] = 1] = "VALID";
  IgxInputState2[IgxInputState2["INVALID"] = 2] = "INVALID";
})(IgxInputState || (IgxInputState = {}));
var IgxInputDirective = class _IgxInputDirective {
  constructor(inputGroup, ngModel, formControl, element, cdr, renderer) {
    this.inputGroup = inputGroup;
    this.ngModel = ngModel;
    this.formControl = formControl;
    this.element = element;
    this.cdr = cdr;
    this.renderer = renderer;
    this.isInput = false;
    this.isTextArea = false;
    this._valid = IgxInputState.INITIAL;
    this._disabled = false;
  }
  get ngControl() {
    return this.ngModel ? this.ngModel : this.formControl;
  }
  /**
   * Sets the `value` property.
   *
   * @example
   * ```html
   * <input-group>
   *  <input igxInput #igxInput [value]="'IgxInput Value'">
   * </input-group>
   * ```
   */
  set value(value) {
    this.nativeElement.value = value ?? "";
    this.updateValidityState();
  }
  /**
   * Gets the `value` property.
   *
   * @example
   * ```typescript
   * @ViewChild('igxInput', {read: IgxInputDirective})
   *  public igxInput: IgxInputDirective;
   * let inputValue = this.igxInput.value;
   * ```
   */
  get value() {
    return this.nativeElement.value;
  }
  /**
   * Sets the `disabled` property.
   *
   * @example
   * ```html
   * <input-group>
   *  <input igxInput #igxInput [disabled]="true">
   * </input-group>
   * ```
   */
  set disabled(value) {
    this._disabled = this.inputGroup.disabled = value;
    if (this.focused && this._disabled) {
      this.inputGroup.isFocused = false;
    }
  }
  /**
   * Gets the `disabled` property
   *
   * @example
   * ```typescript
   * @ViewChild('igxInput', {read: IgxInputDirective})
   *  public igxInput: IgxInputDirective;
   * let isDisabled = this.igxInput.disabled;
   * ```
   */
  get disabled() {
    return this._disabled;
  }
  /**
   * Sets the `required` property.
   *
   * @example
   * ```html
   * <input-group>
   *  <input igxInput #igxInput required>
   * </input-group>
   * ```
   */
  set required(value) {
    this.nativeElement.required = this.inputGroup.isRequired = value;
  }
  /**
   * Gets whether the igxInput is required.
   *
   * @example
   * ```typescript
   * let isRequired = this.igxInput.required;
   * ```
   */
  get required() {
    let validation;
    if (this.ngControl && (this.ngControl.control.validator || this.ngControl.control.asyncValidator)) {
      validation = this.ngControl.control.validator({});
    }
    return validation && validation.required || this.nativeElement.hasAttribute("required");
  }
  /**
   * @hidden
   * @internal
   */
  onFocus() {
    this.inputGroup.isFocused = true;
  }
  /**
   * @param event The event to invoke the handler
   *
   * @hidden
   * @internal
   */
  onBlur() {
    this.inputGroup.isFocused = false;
    this.updateValidityState();
  }
  /** @hidden @internal */
  onInput() {
    this.checkNativeValidity();
  }
  /** @hidden @internal */
  change(event) {
    if (this.type === "file") {
      const fileList = event.target.files;
      const fileArray = [];
      if (fileList) {
        for (const file of Array.from(fileList)) {
          fileArray.push(file);
        }
      }
      this._fileNames = (fileArray || []).map((f) => f.name).join(", ");
      if (this.required && fileList?.length > 0) {
        this._valid = IgxInputState.INITIAL;
      }
    }
  }
  /** @hidden @internal */
  get fileNames() {
    return this._fileNames;
  }
  /** @hidden @internal */
  clear() {
    this.ngControl?.control?.setValue("");
    this.nativeElement.value = null;
    this._fileNames = "";
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.inputGroup.hasPlaceholder = this.nativeElement.hasAttribute("placeholder");
    if (this.ngControl && this.ngControl.disabled !== null) {
      this.disabled = this.ngControl.disabled;
    }
    this.inputGroup.disabled = this.inputGroup.disabled || this.nativeElement.hasAttribute("disabled");
    this.inputGroup.isRequired = this.nativeElement.hasAttribute("required");
    if (!this.ngControl) {
      this._valid = IgxInputState.INITIAL;
    }
    if (this.required && !this.inputGroup.isRequired) {
      this.inputGroup.isRequired = this.required;
    }
    this.renderer.setAttribute(this.nativeElement, "aria-required", this.required.toString());
    const elTag = this.nativeElement.tagName.toLowerCase();
    if (elTag === "textarea") {
      this.isTextArea = true;
    } else {
      this.isInput = true;
    }
    if (this.ngControl) {
      this._statusChanges$ = this.ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
      this._valueChanges$ = this.ngControl.valueChanges.subscribe(this.onValueChanged.bind(this));
    }
    this.cdr.detectChanges();
  }
  /** @hidden @internal */
  ngOnDestroy() {
    if (this._statusChanges$) {
      this._statusChanges$.unsubscribe();
    }
    if (this._valueChanges$) {
      this._valueChanges$.unsubscribe();
    }
  }
  /**
   * Sets a focus on the igxInput.
   *
   * @example
   * ```typescript
   * this.igxInput.focus();
   * ```
   */
  focus() {
    this.nativeElement.focus();
  }
  /**
   * Gets the `nativeElement` of the igxInput.
   *
   * @example
   * ```typescript
   * let igxInputNativeElement = this.igxInput.nativeElement;
   * ```
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /** @hidden @internal */
  onStatusChanged() {
    if (this.disabled !== this.ngControl.disabled) {
      this.disabled = this.ngControl.disabled;
    }
    this.updateValidityState();
  }
  /** @hidden @internal */
  onValueChanged() {
    if (this._fileNames && !this.value) {
      this._fileNames = "";
    }
  }
  /**
   * @hidden
   * @internal
   */
  updateValidityState() {
    if (this.ngControl) {
      if (!this.disabled && this.isTouchedOrDirty) {
        if (this.hasValidators) {
          const error = this.ngControl.control.validator({});
          this.inputGroup.isRequired = error && error.required;
          if (this.focused) {
            this._valid = this.ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
          } else {
            this._valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
          }
        } else {
          this.inputGroup.isRequired = false;
          this._valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
        }
      } else {
        this._valid = IgxInputState.INITIAL;
      }
      this.renderer.setAttribute(this.nativeElement, "aria-required", this.required.toString());
      const ariaInvalid = this.valid === IgxInputState.INVALID;
      this.renderer.setAttribute(this.nativeElement, "aria-invalid", ariaInvalid.toString());
    } else {
      this.checkNativeValidity();
    }
  }
  get isTouchedOrDirty() {
    return this.ngControl.control.touched || this.ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this.ngControl.control.validator || !!this.ngControl.control.asyncValidator;
  }
  /**
   * Gets whether the igxInput has a placeholder.
   *
   * @example
   * ```typescript
   * let hasPlaceholder = this.igxInput.hasPlaceholder;
   * ```
   */
  get hasPlaceholder() {
    return this.nativeElement.hasAttribute("placeholder");
  }
  /**
   * Gets the placeholder element of the igxInput.
   *
   * @example
   * ```typescript
   * let igxInputPlaceholder = this.igxInput.placeholder;
   * ```
   */
  get placeholder() {
    return this.nativeElement.placeholder;
  }
  /**
   * @returns An indicator of whether the input has validator attributes or not
   *
   * @hidden
   * @internal
   */
  _hasValidators() {
    for (const nativeValidationAttribute of nativeValidationAttributes) {
      if (this.nativeElement.hasAttribute(nativeValidationAttribute)) {
        return true;
      }
    }
    return false;
  }
  /**
   * Gets whether the igxInput is focused.
   *
   * @example
   * ```typescript
   * let isFocused = this.igxInput.focused;
   * ```
   */
  get focused() {
    return this.inputGroup.isFocused;
  }
  /**
   * Gets the state of the igxInput.
   *
   * @example
   * ```typescript
   * let igxInputState = this.igxInput.valid;
   * ```
   */
  get valid() {
    return this._valid;
  }
  /**
   * Sets the state of the igxInput.
   *
   * @example
   * ```typescript
   * this.igxInput.valid = IgxInputState.INVALID;
   * ```
   */
  set valid(value) {
    this._valid = value;
  }
  /**
   * Gets whether the igxInput is valid.
   *
   * @example
   * ```typescript
   * let valid = this.igxInput.isValid;
   * ```
   */
  get isValid() {
    return this.valid !== IgxInputState.INVALID;
  }
  /**
   * A function to assign a native validity property of an input.
   * This should be used when there's no ngControl
   *
   * @hidden
   * @internal
   */
  checkNativeValidity() {
    if (!this.disabled && this._hasValidators()) {
      this._valid = this.nativeElement.checkValidity() ? this.focused ? IgxInputState.VALID : IgxInputState.INITIAL : IgxInputState.INVALID;
    }
  }
  /**
   * Returns the input type.
   *
   * @hidden
   * @internal
   */
  get type() {
    return this.nativeElement.type;
  }
  static {
    this.ɵfac = i014.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i014, type: _IgxInputDirective, deps: [{ token: IgxInputGroupBase }, { token: NgModel, optional: true, self: true }, { token: NgControl, optional: true, self: true }, { token: i014.ElementRef }, { token: i014.ChangeDetectorRef }, { token: i014.Renderer2 }], target: i014.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i014.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxInputDirective, isStandalone: true, selector: "[igxInput]", inputs: { value: "value", disabled: ["disabled", "disabled", booleanAttribute], required: ["required", "required", booleanAttribute] }, host: { listeners: { "focus": "onFocus()", "blur": "onBlur()", "input": "onInput()", "change": "change($event)" }, properties: { "class.igx-input-group__input": "this.isInput", "class.igx-input-group__textarea": "this.isTextArea", "disabled": "this.disabled" } }, exportAs: ["igxInput"], ngImport: i014 });
  }
};
i014.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i014, type: IgxInputDirective, decorators: [{
  type: Directive6,
  args: [{
    selector: "[igxInput]",
    exportAs: "igxInput",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxInputGroupBase }, { type: i2.NgModel, decorators: [{
  type: Optional4
}, {
  type: Self2
}, {
  type: Inject6,
  args: [NgModel]
}] }, { type: i2.NgControl, decorators: [{
  type: Optional4
}, {
  type: Self2
}, {
  type: Inject6,
  args: [NgControl]
}] }, { type: i014.ElementRef }, { type: i014.ChangeDetectorRef }, { type: i014.Renderer2 }], propDecorators: { isInput: [{
  type: HostBinding3,
  args: ["class.igx-input-group__input"]
}], isTextArea: [{
  type: HostBinding3,
  args: ["class.igx-input-group__textarea"]
}], value: [{
  type: Input6
}], disabled: [{
  type: Input6,
  args: [{ transform: booleanAttribute }]
}, {
  type: HostBinding3,
  args: ["disabled"]
}], required: [{
  type: Input6,
  args: [{ transform: booleanAttribute }]
}], onFocus: [{
  type: HostListener3,
  args: ["focus"]
}], onBlur: [{
  type: HostListener3,
  args: ["blur"]
}], onInput: [{
  type: HostListener3,
  args: ["input"]
}], change: [{
  type: HostListener3,
  args: ["change", ["$event"]]
}] } });

// lib/directives/label/label.directive.mjs
import { Directive as Directive7, HostBinding as HostBinding4, Input as Input7 } from "@angular/core";
import * as i015 from "@angular/core";
var NEXT_ID2 = 0;
var IgxLabelDirective = class _IgxLabelDirective {
  constructor() {
    this.defaultClass = true;
    this.id = `igx-label-${NEXT_ID2++}`;
  }
  static {
    this.ɵfac = i015.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i015, type: _IgxLabelDirective, deps: [], target: i015.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i015.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxLabelDirective, isStandalone: true, selector: "[igxLabel]", inputs: { id: "id" }, host: { properties: { "class.igx-input-group__label": "this.defaultClass", "attr.id": "this.id" } }, ngImport: i015 });
  }
};
i015.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i015, type: IgxLabelDirective, decorators: [{
  type: Directive7,
  args: [{
    selector: "[igxLabel]",
    standalone: true
  }]
}], propDecorators: { defaultClass: [{
  type: HostBinding4,
  args: ["class.igx-input-group__label"]
}], id: [{
  type: HostBinding4,
  args: ["attr.id"]
}, {
  type: Input7
}] } });

// lib/directives/prefix/prefix.directive.mjs
import { Directive as Directive8 } from "@angular/core";
import * as i016 from "@angular/core";
var IgxPrefixDirective = class _IgxPrefixDirective {
  static {
    this.ɵfac = i016.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i016, type: _IgxPrefixDirective, deps: [], target: i016.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i016.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPrefixDirective, isStandalone: true, selector: "igx-prefix,[igxPrefix],[igxStart]", ngImport: i016 });
  }
};
i016.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i016, type: IgxPrefixDirective, decorators: [{
  type: Directive8,
  args: [{
    selector: "igx-prefix,[igxPrefix],[igxStart]",
    standalone: true
  }]
}] });

// lib/directives/suffix/suffix.directive.mjs
import { Directive as Directive9 } from "@angular/core";
import * as i017 from "@angular/core";
var IgxSuffixDirective = class _IgxSuffixDirective {
  static {
    this.ɵfac = i017.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i017, type: _IgxSuffixDirective, deps: [], target: i017.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i017.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSuffixDirective, isStandalone: true, selector: "igx-suffix,[igxSuffix],[igxEnd]", ngImport: i017 });
  }
};
i017.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i017, type: IgxSuffixDirective, decorators: [{
  type: Directive9,
  args: [{
    selector: "igx-suffix,[igxSuffix],[igxEnd]",
    standalone: true
  }]
}] });

// lib/core/i18n/input-resources.mjs
var InputResourceStringsEN = {
  igx_input_upload_button: "Upload File",
  igx_input_file_placeholder: "No file chosen"
};

// lib/directives/button/button-base.mjs
import { Directive as Directive10, EventEmitter as EventEmitter10, HostBinding as HostBinding5, HostListener as HostListener4, Inject as Inject7, Input as Input8, Optional as Optional5, Output as Output3, booleanAttribute as booleanAttribute2 } from "@angular/core";
import * as i018 from "@angular/core";
var IgxBaseButtonType = /* @__PURE__ */ mkenum({
  Flat: "flat",
  Contained: "contained",
  Outlined: "outlined"
});
var IgxButtonBaseDirective = class _IgxButtonBaseDirective extends DisplayDensityBase {
  /**
   * @hidden
   * @internal
   */
  onClick(ev) {
    this.buttonClick.emit(ev);
    this.focused = false;
  }
  /**
   * @hidden
   * @internal
   */
  onBlur() {
    this.focused = false;
  }
  /**
   * @hidden
   * @internal
   */
  get disabledAttribute() {
    return this.disabled || null;
  }
  constructor(element, _displayDensityOptions) {
    super(_displayDensityOptions, element);
    this.element = element;
    this._displayDensityOptions = _displayDensityOptions;
    this.buttonClick = new EventEmitter10();
    this.role = "button";
    this.focused = false;
    this.disabled = false;
  }
  /**
   * @hidden
   * @internal
   */
  updateOnKeyUp(event) {
    if (event.key === "Tab") {
      this.focused = true;
    }
  }
  /**
   * Returns the underlying DOM element.
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  static {
    this.ɵfac = i018.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i018, type: _IgxButtonBaseDirective, deps: [{ token: i018.ElementRef }, { token: DisplayDensityToken, optional: true }], target: i018.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i018.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxButtonBaseDirective, inputs: { disabled: ["disabled", "disabled", booleanAttribute2] }, outputs: { buttonClick: "buttonClick" }, host: { listeners: { "click": "onClick($event)", "blur": "onBlur()", "keyup": "updateOnKeyUp($event)" }, properties: { "attr.role": "this.role", "class.igx-button--focused": "this.focused", "class.igx-button--disabled": "this.disabled", "attr.disabled": "this.disabledAttribute" } }, usesInheritance: true, ngImport: i018 });
  }
};
i018.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i018, type: IgxButtonBaseDirective, decorators: [{
  type: Directive10
}], ctorParameters: () => [{ type: i018.ElementRef }, { type: void 0, decorators: [{
  type: Optional5
}, {
  type: Inject7,
  args: [DisplayDensityToken]
}] }], propDecorators: { buttonClick: [{
  type: Output3
}], role: [{
  type: HostBinding5,
  args: ["attr.role"]
}], onClick: [{
  type: HostListener4,
  args: ["click", ["$event"]]
}], onBlur: [{
  type: HostListener4,
  args: ["blur"]
}], focused: [{
  type: HostBinding5,
  args: ["class.igx-button--focused"]
}], disabled: [{
  type: Input8,
  args: [{ transform: booleanAttribute2 }]
}, {
  type: HostBinding5,
  args: ["class.igx-button--disabled"]
}], disabledAttribute: [{
  type: HostBinding5,
  args: ["attr.disabled"]
}], updateOnKeyUp: [{
  type: HostListener4,
  args: ["keyup", ["$event"]]
}] } });

// lib/directives/button/button.directive.mjs
import { Directive as Directive11, EventEmitter as EventEmitter11, HostBinding as HostBinding6, Input as Input9, Output as Output4, Optional as Optional6, Inject as Inject8, booleanAttribute as booleanAttribute3 } from "@angular/core";
import * as i019 from "@angular/core";
var IgxButtonType = /* @__PURE__ */ mkenum({
  ...IgxBaseButtonType,
  FAB: "fab"
});
var IgxButtonDirective = class _IgxButtonDirective extends IgxButtonBaseDirective {
  /**
   * Gets or sets whether the button is selected.
   * Mainly used in the IgxButtonGroup component and it will have no effect if set separately.
   *
   * @example
   * ```html
   * <button type="button" igxButton="flat" [selected]="button.selected"></button>
   * ```
   */
  set selected(value) {
    if (this._selected !== value) {
      this._selected = value;
      this._renderer.setAttribute(this.nativeElement, "data-selected", value.toString());
    }
  }
  get selected() {
    return this._selected;
  }
  constructor(element, _displayDensityOptions, _renderer) {
    super(element, _displayDensityOptions);
    this.element = element;
    this._displayDensityOptions = _displayDensityOptions;
    this._renderer = _renderer;
    this.buttonSelected = new EventEmitter11();
    this._cssClass = "igx-button";
    this._selected = false;
  }
  ngAfterContentInit() {
    this.nativeElement.addEventListener("click", () => {
      this.buttonSelected.emit({
        button: this
      });
    });
  }
  /**
   * Sets the type of the button.
   *
   * @example
   * ```html
   * <button type="button" igxButton="outlined"></button>
   * ```
   */
  set type(type) {
    const t = type ? type : IgxButtonType.Flat;
    if (this._type !== t) {
      this._type = t;
    }
  }
  /**
   * Sets the `aria-label` attribute.
   *
   * @example
   *  ```html
   * <button type="button" igxButton="flat" igxLabel="Label"></button>
   * ```
   */
  set label(value) {
    this._label = value || this._label;
    this._renderer.setAttribute(this.nativeElement, "aria-label", this._label);
  }
  /**
   * @hidden
   * @internal
   */
  get flat() {
    return this._type === IgxButtonType.Flat;
  }
  /**
   * @hidden
   * @internal
   */
  get contained() {
    return this._type === IgxButtonType.Contained;
  }
  /**
   * @hidden
   * @internal
   */
  get outlined() {
    return this._type === IgxButtonType.Outlined;
  }
  /**
   * @hidden
   * @internal
   */
  get fab() {
    return this._type === IgxButtonType.FAB;
  }
  /**
   * @hidden
   * @internal
   */
  get componentSize() {
    return this.getComponentSizeStyles();
  }
  /**
   * @hidden
   * @internal
   */
  select() {
    this.selected = true;
  }
  /**
   * @hidden
   * @internal
   */
  deselect() {
    this.selected = false;
    this.focused = false;
  }
  static {
    this.ɵfac = i019.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i019, type: _IgxButtonDirective, deps: [{ token: i019.ElementRef }, { token: DisplayDensityToken, optional: true }, { token: i019.Renderer2 }], target: i019.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i019.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxButtonDirective, isStandalone: true, selector: "[igxButton]", inputs: { selected: ["selected", "selected", booleanAttribute3], type: ["igxButton", "type"], label: ["igxLabel", "label"] }, outputs: { buttonSelected: "buttonSelected" }, host: { properties: { "class.igx-button": "this._cssClass", "class.igx-button--flat": "this.flat", "class.igx-button--contained": "this.contained", "class.igx-button--outlined": "this.outlined", "class.igx-button--fab": "this.fab", "style.--component-size": "this.componentSize" } }, usesInheritance: true, ngImport: i019 });
  }
};
i019.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i019, type: IgxButtonDirective, decorators: [{
  type: Directive11,
  args: [{
    selector: "[igxButton]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i019.ElementRef }, { type: void 0, decorators: [{
  type: Optional6
}, {
  type: Inject8,
  args: [DisplayDensityToken]
}] }, { type: i019.Renderer2 }], propDecorators: { buttonSelected: [{
  type: Output4
}], _cssClass: [{
  type: HostBinding6,
  args: ["class.igx-button"]
}], selected: [{
  type: Input9,
  args: [{ transform: booleanAttribute3 }]
}], type: [{
  type: Input9,
  args: ["igxButton"]
}], label: [{
  type: Input9,
  args: ["igxLabel"]
}], flat: [{
  type: HostBinding6,
  args: ["class.igx-button--flat"]
}], contained: [{
  type: HostBinding6,
  args: ["class.igx-button--contained"]
}], outlined: [{
  type: HostBinding6,
  args: ["class.igx-button--outlined"]
}], fab: [{
  type: HostBinding6,
  args: ["class.igx-button--fab"]
}], componentSize: [{
  type: HostBinding6,
  args: ["style.--component-size"]
}] } });

// lib/input-group/inputGroupType.mjs
import { InjectionToken as InjectionToken3 } from "@angular/core";
var IgxInputGroupEnum = /* @__PURE__ */ mkenum({
  Line: "line",
  Box: "box",
  Border: "border",
  Search: "search"
});
var IGX_INPUT_GROUP_TYPE = /* @__PURE__ */ new InjectionToken3("InputGroupType");

// lib/icon/icon.service.mjs
import { Injectable as Injectable9, SecurityContext, Inject as Inject9, Optional as Optional7 } from "@angular/core";
import { DOCUMENT as DOCUMENT2 } from "@angular/common";
import { Subject as Subject2 } from "rxjs";
import * as i020 from "@angular/core";
import * as i12 from "@angular/platform-browser";
import * as i22 from "@angular/common/http";
var IgxIconService = class _IgxIconService {
  constructor(_sanitizer, _httpClient, _platformUtil, _document) {
    this._sanitizer = _sanitizer;
    this._httpClient = _httpClient;
    this._platformUtil = _platformUtil;
    this._document = _document;
    this._family = "material-icons";
    this._familyAliases = /* @__PURE__ */ new Map();
    this._cachedSvgIcons = /* @__PURE__ */ new Map();
    this._iconLoaded = new Subject2();
    this.iconLoaded = this._iconLoaded.asObservable();
    if (this._platformUtil?.isBrowser) {
      this._domParser = new DOMParser();
    }
  }
  /**
   *  Returns the default font-family.
   * ```typescript
   *   const defaultFamily = this.iconService.defaultFamily;
   * ```
   */
  get defaultFamily() {
    return this._family;
  }
  /**
   *  Sets the default font-family.
   * ```typescript
   *   this.iconService.defaultFamily = 'svg-flags';
   * ```
   */
  set defaultFamily(className) {
    this._family = className;
  }
  /**
   *  Registers a custom class to be applied to IgxIconComponent for a given font-family.
   * ```typescript
   *   this.iconService.registerFamilyAlias('material', 'material-icons');
   * ```
   */
  registerFamilyAlias(alias, className = alias) {
    this._familyAliases.set(alias, className);
    return this;
  }
  /**
   *  Returns the custom class, if any, associated to a given font-family.
   * ```typescript
   *   const familyClass = this.iconService.familyClassName('material');
   * ```
   */
  familyClassName(alias) {
    return this._familyAliases.get(alias) || alias;
  }
  /**
   *  Adds an SVG image to the cache. SVG source is an url.
   * ```typescript
   *   this.iconService.addSvgIcon('aruba', '/assets/svg/country_flags/aruba.svg', 'svg-flags');
   * ```
   */
  addSvgIcon(name, url, family = this._family, stripMeta = false) {
    if (name && url) {
      const safeUrl = this._sanitizer.bypassSecurityTrustResourceUrl(url);
      if (!safeUrl) {
        throw new Error(`The provided URL could not be processed as trusted resource URL by Angular's DomSanitizer: "${url}".`);
      }
      const sanitizedUrl = this._sanitizer.sanitize(SecurityContext.RESOURCE_URL, safeUrl);
      if (!sanitizedUrl) {
        throw new Error(`The URL provided was not trusted as a resource URL: "${url}".`);
      }
      if (!this.isSvgIconCached(name, family)) {
        this.fetchSvg(url).subscribe((res) => {
          this.cacheSvgIcon(name, res, family, stripMeta);
          this._iconLoaded.next({ name, value: res, family });
        });
      }
    } else {
      throw new Error("You should provide at least `name` and `url` to register an svg icon.");
    }
  }
  /**
   *  Adds an SVG image to the cache. SVG source is its text.
   * ```typescript
   *   this.iconService.addSvgIconFromText('simple', '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
   *   <path d="M74 74h54v54H74" /></svg>', 'svg-flags');
   * ```
   */
  addSvgIconFromText(name, iconText, family = "", stripMeta = false) {
    if (name && iconText) {
      if (this.isSvgIconCached(name, family)) {
        return;
      }
      this.cacheSvgIcon(name, iconText, family, stripMeta);
    } else {
      throw new Error("You should provide at least `name` and `iconText` to register an svg icon.");
    }
  }
  /**
   *  Returns whether a given SVG image is present in the cache.
   * ```typescript
   *   const isSvgCached = this.iconService.isSvgIconCached('aruba', 'svg-flags');
   * ```
   */
  isSvgIconCached(name, family = "") {
    const familyClassName = this.familyClassName(family);
    if (this._cachedSvgIcons.has(familyClassName)) {
      const familyRegistry = this._cachedSvgIcons.get(familyClassName);
      return familyRegistry.has(name);
    }
    return false;
  }
  /**
   *  Returns the cached SVG image as string.
   * ```typescript
   *   const svgIcon = this.iconService.getSvgIcon('aruba', 'svg-flags');
   * ```
   */
  getSvgIcon(name, family = "") {
    const familyClassName = this.familyClassName(family);
    return this._cachedSvgIcons.get(familyClassName)?.get(name);
  }
  /**
   * @hidden
   */
  fetchSvg(url) {
    const req = this._httpClient.get(url, { responseType: "text" });
    return req;
  }
  /**
   * @hidden
   */
  cacheSvgIcon(name, value, family = this._family, stripMeta) {
    family = family ? family : this._family;
    if (this._platformUtil?.isBrowser && name && value) {
      const doc = this._domParser.parseFromString(value, "image/svg+xml");
      const svg = doc.querySelector("svg");
      if (!this._cachedSvgIcons.has(family)) {
        this._cachedSvgIcons.set(family, /* @__PURE__ */ new Map());
      }
      if (svg) {
        svg.setAttribute("fit", "");
        svg.setAttribute("preserveAspectRatio", "xMidYMid meet");
        if (stripMeta) {
          const title = svg.querySelector("title");
          const desc = svg.querySelector("desc");
          if (title) {
            svg.removeChild(title);
          }
          if (desc) {
            svg.removeChild(desc);
          }
        }
        const safeSvg = this._sanitizer.bypassSecurityTrustHtml(svg.outerHTML);
        this._cachedSvgIcons.get(family).set(name, safeSvg);
      }
    }
  }
  static {
    this.ɵfac = i020.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i020, type: _IgxIconService, deps: [{ token: i12.DomSanitizer, optional: true }, { token: i22.HttpClient, optional: true }, { token: PlatformUtil, optional: true }, { token: DOCUMENT2, optional: true }], target: i020.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i020.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i020, type: _IgxIconService, providedIn: "root" });
  }
};
i020.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i020, type: IgxIconService, decorators: [{
  type: Injectable9,
  args: [{
    providedIn: "root"
  }]
}], ctorParameters: () => [{ type: i12.DomSanitizer, decorators: [{
  type: Optional7
}] }, { type: i22.HttpClient, decorators: [{
  type: Optional7
}] }, { type: PlatformUtil, decorators: [{
  type: Optional7
}] }, { type: void 0, decorators: [{
  type: Optional7
}, {
  type: Inject9,
  args: [DOCUMENT2]
}] }] });

// lib/icon/icon.component.mjs
import { Component, HostBinding as HostBinding7, Input as Input10, TemplateRef, ViewChild, booleanAttribute as booleanAttribute4 } from "@angular/core";
import { first as first2, takeUntil as takeUntil2 } from "rxjs/operators";
import { Subject as Subject3 } from "rxjs";
import { NgTemplateOutlet } from "@angular/common";
import * as i021 from "@angular/core";
var IgxIconComponent = class _IgxIconComponent {
  constructor(el, iconService, ref) {
    this.el = el;
    this.iconService = iconService;
    this.ref = ref;
    this.cssClass = "igx-icon";
    this.ariaHidden = true;
    this.active = true;
    this.destroy$ = new Subject3();
    this.family = this.iconService.defaultFamily;
    this.iconService.registerFamilyAlias("material", "material-icons");
    this.iconService.iconLoaded.pipe(first2((e) => e.name === this.name && e.family === this.family), takeUntil2(this.destroy$)).subscribe(() => this.ref.detectChanges());
  }
  /**
   * @hidden
   * @internal
   */
  ngOnInit() {
    this.updateIconClass();
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  /**
   *  An accessor that returns the value of the family property.
   *
   * @example
   * ```typescript
   *  @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let iconFamily = this.icon.getFamily;
   * }
   * ```
   */
  get getFamily() {
    return this.family;
  }
  /**
   *  An accessor that returns the value of the active property.
   *
   * @example
   * ```typescript
   * @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let iconActive = this.icon.getActive;
   * }
   * ```
   */
  get getActive() {
    return this.active;
  }
  /**
   *  An accessor that returns inactive property.
   *
   * @example
   * ```typescript
   * @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let iconActive = this.icon.getInactive;
   * }
   * ```
   */
  get getInactive() {
    return !this.active;
  }
  /**
   * An accessor that returns the value of the iconName property.
   *
   * @example
   * ```typescript
   * @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let name = this.icon.getName;
   * }
   * ```
   */
  get getName() {
    return this.name;
  }
  /**
   *  An accessor that returns the underlying SVG image as SafeHtml.
   *
   * @example
   * ```typescript
   * @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let svg: SafeHtml = this.icon.getSvg;
   * }
   * ```
   */
  get getSvg() {
    if (this.iconService.isSvgIconCached(this.name, this.family)) {
      return this.iconService.getSvgIcon(this.name, this.family);
    }
    return null;
  }
  /**
   *   An accessor that returns a TemplateRef to explicit, svg or no ligature.
   *
   * @example
   * ```typescript
   * @ViewChild("MyIcon")
   * public icon: IgxIconComponent;
   * ngAfterViewInit() {
   *    let iconTemplate = this.icon.template;
   * }
   * ```
   */
  get template() {
    if (this.name) {
      if (this.iconService.isSvgIconCached(this.name, this.family)) {
        return this.svgImage;
      }
      return this.noLigature;
    }
    return this.explicitLigature;
  }
  /**
   * @hidden
   * @internal
   */
  updateIconClass() {
    const className = this.iconService.familyClassName(this.family);
    this.el.nativeElement.classList.add(className);
    if (this.name && !this.iconService.isSvgIconCached(this.name, this.family)) {
      this.el.nativeElement.classList.add(this.name);
    }
  }
  static {
    this.ɵfac = i021.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i021, type: _IgxIconComponent, deps: [{ token: i021.ElementRef }, { token: IgxIconService }, { token: i021.ChangeDetectorRef }], target: i021.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i021.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxIconComponent, isStandalone: true, selector: "igx-icon", inputs: { family: "family", active: ["active", "active", booleanAttribute4], name: "name" }, host: { properties: { "class.igx-icon": "this.cssClass", "attr.aria-hidden": "this.ariaHidden", "class.igx-icon--inactive": "this.getInactive" } }, viewQueries: [{ propertyName: "noLigature", first: true, predicate: ["noLigature"], descendants: true, read: TemplateRef, static: true }, { propertyName: "explicitLigature", first: true, predicate: ["explicitLigature"], descendants: true, read: TemplateRef, static: true }, { propertyName: "svgImage", first: true, predicate: ["svgImage"], descendants: true, read: TemplateRef, static: true }], ngImport: i021, template: '<ng-template #noLigature></ng-template>\n\n<ng-template #explicitLigature>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #svgImage>\n    <div [innerHTML]="getSvg"></div>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template"></ng-container>\n', dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i021.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i021, type: IgxIconComponent, decorators: [{
  type: Component,
  args: [{ selector: "igx-icon", standalone: true, imports: [NgTemplateOutlet], template: '<ng-template #noLigature></ng-template>\n\n<ng-template #explicitLigature>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #svgImage>\n    <div [innerHTML]="getSvg"></div>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template"></ng-container>\n' }]
}], ctorParameters: () => [{ type: i021.ElementRef }, { type: IgxIconService }, { type: i021.ChangeDetectorRef }], propDecorators: { cssClass: [{
  type: HostBinding7,
  args: ["class.igx-icon"]
}], ariaHidden: [{
  type: HostBinding7,
  args: ["attr.aria-hidden"]
}], family: [{
  type: Input10,
  args: ["family"]
}], active: [{
  type: Input10,
  args: [{ alias: "active", transform: booleanAttribute4 }]
}], name: [{
  type: Input10,
  args: ["name"]
}], noLigature: [{
  type: ViewChild,
  args: ["noLigature", { read: TemplateRef, static: true }]
}], explicitLigature: [{
  type: ViewChild,
  args: ["explicitLigature", { read: TemplateRef, static: true }]
}], svgImage: [{
  type: ViewChild,
  args: ["svgImage", { read: TemplateRef, static: true }]
}], getInactive: [{
  type: HostBinding7,
  args: ["class.igx-icon--inactive"]
}] } });

// lib/core/i18n/resources.mjs
var igxI18N = class {
  constructor() {
    this._currentResourceStrings = {};
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  /**
   * Changes the resource strings for all components in the application
   * ```
   * @param resourceStrings to be applied
   */
  changei18n(resourceStrings) {
    for (const key of Object.keys(resourceStrings)) {
      this._currentResourceStrings[key] = resourceStrings[key];
    }
  }
  getCurrentResourceStrings(en) {
    for (const key of Object.keys(en)) {
      if (!this._currentResourceStrings[key]) {
        this._currentResourceStrings[key] = en[key];
      }
    }
    return this._currentResourceStrings;
  }
};
function getCurrentResourceStrings(en) {
  return igxI18N.instance().getCurrentResourceStrings(en);
}
function changei18n(resourceStrings) {
  igxI18N.instance().changei18n(resourceStrings);
}

// lib/input-group/input-group.component.mjs
import { DOCUMENT as DOCUMENT3, NgIf, NgTemplateOutlet as NgTemplateOutlet2, NgClass, NgSwitch, NgSwitchCase, NgSwitchDefault } from "@angular/common";
import { Component as Component2, ContentChild, ContentChildren, HostBinding as HostBinding8, HostListener as HostListener5, Inject as Inject10, Input as Input11, Optional as Optional8, booleanAttribute as booleanAttribute5 } from "@angular/core";
import { Subject as Subject4 } from "rxjs";
import * as i022 from "@angular/core";
var IgxInputGroupTheme = /* @__PURE__ */ mkenum({
  Material: "material",
  Fluent: "fluent",
  Bootstrap: "bootstrap",
  IndigoDesign: "indigo-design"
});
var IgxInputGroupComponent = class _IgxInputGroupComponent extends DisplayDensityBase {
  /**
   * Sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * Returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /** @hidden */
  get validClass() {
    return this.input.valid === IgxInputState.VALID;
  }
  /** @hidden */
  get invalidClass() {
    return this.input.valid === IgxInputState.INVALID;
  }
  /** @hidden */
  get isFilled() {
    return this._filled || this.input && this.input.value;
  }
  /** @hidden @internal */
  get componentSize() {
    return this.getComponentSizeStyles();
  }
  /** @hidden */
  get textAreaClass() {
    return this.input.isTextArea;
  }
  /**
   * Sets how the input will be styled.
   * Allowed values of type IgxInputGroupType.
   * ```html
   * <igx-input-group [type]="'search'">
   * ```
   */
  set type(value) {
    this._type = value;
  }
  /**
   * Returns the type of the `IgxInputGroupComponent`. How the input is styled.
   * The default is `line`.
   * ```typescript
   * @ViewChild("MyInputGroup")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let inputType = this.inputGroup.type;
   * }
   * ```
   */
  get type() {
    return this._type || this._inputGroupType || "line";
  }
  /**
   * Sets the theme of the input.
   * Allowed values of type IgxInputGroupTheme.
   * ```typescript
   * @ViewChild("MyInputGroup")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit() {
   *  let inputTheme = 'fluent';
   * }
   */
  set theme(value) {
    this._theme = value;
  }
  /**
   * Returns the theme of the input.
   * The returned value is of type IgxInputGroupType.
   * ```typescript
   * @ViewChild("MyInputGroup")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit() {
   *  let inputTheme = this.inputGroup.theme;
   * }
   */
  get theme() {
    return this._theme;
  }
  constructor(element, _displayDensityOptions, _inputGroupType, document2, platform, cdr) {
    super(_displayDensityOptions, element);
    this.element = element;
    this._inputGroupType = _inputGroupType;
    this.document = document2;
    this.platform = platform;
    this.cdr = cdr;
    this.defaultClass = true;
    this.hasPlaceholder = false;
    this.isRequired = false;
    this.isFocused = false;
    this.disabled = false;
    this.suppressInputAutofocus = false;
    this.hasWarning = false;
    this._type = null;
    this._filled = false;
    this._theme$ = new Subject4();
    this._resourceStrings = getCurrentResourceStrings(InputResourceStringsEN);
    this._subscription = this._theme$.asObservable().subscribe((value) => {
      this._theme = value;
      this.cdr.detectChanges();
    });
  }
  /** @hidden */
  onClick(event) {
    if (!this.isFocused && event.target !== this.input.nativeElement && !this.suppressInputAutofocus) {
      this.input.focus();
    }
  }
  /** @hidden */
  onPointerDown(event) {
    if (this.isFocused && event.target !== this.input.nativeElement) {
      event.preventDefault();
    }
  }
  /** @hidden @internal */
  hintClickHandler(event) {
    event.stopPropagation();
  }
  /**
   * Returns whether the `IgxInputGroupComponent` has hints.
   * ```typescript
   * @ViewChild("MyInputGroup")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let inputHints = this.inputGroup.hasHints;
   * }
   * ```
   */
  get hasHints() {
    return this.hints.length > 0;
  }
  /** @hidden @internal */
  get hasPrefixes() {
    return this._prefixes.length > 0 || this.isFileType;
  }
  /** @hidden @internal */
  set prefixes(items) {
    this._prefixes = items;
  }
  /** @hidden @internal */
  get hasSuffixes() {
    return this._suffixes.length > 0 || this.isFileType && this.isFilled;
  }
  /** @hidden @internal */
  set suffixes(items) {
    this._suffixes = items;
  }
  /**
   * Returns whether the `IgxInputGroupComponent` has border.
   * ```typescript
   * @ViewChild("MyInputGroup")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let inputBorder = this.inputGroup.hasBorder;
   * }
   * ```
   */
  get hasBorder() {
    return (this.type === "line" || this.type === "box") && this._theme === "material";
  }
  /**
   * Returns whether the `IgxInputGroupComponent` type is line.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeLine = this.inputGroup.isTypeLine;
   * }
   * ```
   */
  get isTypeLine() {
    return this.type === "line" && this._theme === "material";
  }
  /**
   * Returns whether the `IgxInputGroupComponent` type is box.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeBox = this.inputGroup.isTypeBox;
   * }
   * ```
   */
  get isTypeBox() {
    return this.type === "box" && this._theme === "material";
  }
  /** @hidden @internal */
  uploadButtonHandler() {
    this.input.nativeElement.click();
  }
  /** @hidden @internal */
  clearValueHandler() {
    this.input.clear();
  }
  /** @hidden @internal */
  get isFileType() {
    return this.input.type === "file";
  }
  /** @hidden @internal */
  get fileNames() {
    return this.input.fileNames || this._resourceStrings.igx_input_file_placeholder;
  }
  /**
   * Returns whether the `IgxInputGroupComponent` type is border.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeBorder = this.inputGroup.isTypeBorder;
   * }
   * ```
   */
  get isTypeBorder() {
    return this.type === "border" && this._theme === "material";
  }
  /**
   * Returns true if the `IgxInputGroupComponent` theme is Fluent.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeFluent = this.inputGroup.isTypeFluent;
   * }
   * ```
   */
  get isTypeFluent() {
    return this._theme === "fluent";
  }
  /**
   * Returns true if the `IgxInputGroupComponent` theme is Bootstrap.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeBootstrap = this.inputGroup.isTypeBootstrap;
   * }
   * ```
   */
  get isTypeBootstrap() {
    return this._theme === "bootstrap";
  }
  /**
   * Returns true if the `IgxInputGroupComponent` theme is Indigo.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeIndigo = this.inputGroup.isTypeIndigo;
   * }
   * ```
   */
  get isTypeIndigo() {
    return this._theme === "indigo-design";
  }
  /**
   * Returns whether the `IgxInputGroupComponent` type is search.
   * ```typescript
   * @ViewChild("MyInputGroup1")
   * public inputGroup: IgxInputGroupComponent;
   * ngAfterViewInit(){
   *    let isTypeSearch = this.inputGroup.isTypeSearch;
   * }
   * ```
   */
  get isTypeSearch() {
    return this.type === "search";
  }
  /** @hidden */
  get filled() {
    return this._filled;
  }
  /** @hidden */
  set filled(val) {
    this._filled = val;
  }
  /** @hidden @internal */
  ngAfterViewChecked() {
    if (!this._theme) {
      const cssProp = this.document.defaultView.getComputedStyle(this.element.nativeElement).getPropertyValue("--theme").trim();
      if (cssProp !== "") {
        Promise.resolve().then(() => {
          this._theme$.next(cssProp);
          this.cdr.markForCheck();
        });
      }
    }
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this._subscription.unsubscribe();
  }
  static {
    this.ɵfac = i022.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i022, type: _IgxInputGroupComponent, deps: [{ token: i022.ElementRef }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: DOCUMENT3 }, { token: PlatformUtil }, { token: i022.ChangeDetectorRef }], target: i022.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i022.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxInputGroupComponent, isStandalone: true, selector: "igx-input-group", inputs: { resourceStrings: "resourceStrings", suppressInputAutofocus: ["suppressInputAutofocus", "suppressInputAutofocus", booleanAttribute5], type: "type", theme: "theme" }, host: { listeners: { "click": "onClick($event)", "pointerdown": "onPointerDown($event)" }, properties: { "class.igx-input-group": "this.defaultClass", "class.igx-input-group--placeholder": "this.hasPlaceholder", "class.igx-input-group--required": "this.isRequired", "class.igx-input-group--focused": "this.isFocused", "class.igx-input-group--disabled": "this.disabled", "class.igx-input-group--warning": "this.hasWarning", "class.igx-input-group--valid": "this.validClass", "class.igx-input-group--invalid": "this.invalidClass", "class.igx-input-group--filled": "this.isFilled", "style.--component-size": "this.componentSize", "class.igx-input-group--textarea-group": "this.textAreaClass", "class.igx-input-group--prefixed": "this.hasPrefixes", "class.igx-input-group--suffixed": "this.hasSuffixes", "class.igx-input-group--box": "this.isTypeBox", "class.igx-input-group--file": "this.isFileType", "class.igx-input-group--border": "this.isTypeBorder", "class.igx-input-group--fluent": "this.isTypeFluent", "class.igx-input-group--bootstrap": "this.isTypeBootstrap", "class.igx-input-group--indigo": "this.isTypeIndigo", "class.igx-input-group--search": "this.isTypeSearch" } }, providers: [{ provide: IgxInputGroupBase, useExisting: _IgxInputGroupComponent }], queries: [{ propertyName: "input", first: true, predicate: IgxInputDirective, descendants: true, read: IgxInputDirective, static: true }, { propertyName: "hints", predicate: IgxHintDirective, read: IgxHintDirective }, { propertyName: "_prefixes", predicate: IgxPrefixDirective, descendants: true, read: IgxPrefixDirective }, { propertyName: "_suffixes", predicate: IgxSuffixDirective, descendants: true, read: IgxSuffixDirective }], usesInheritance: true, ngImport: i022, template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet2, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: NgSwitchDefault, selector: "[ngSwitchDefault]" }] });
  }
};
i022.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i022, type: IgxInputGroupComponent, decorators: [{
  type: Component2,
  args: [{ selector: "igx-input-group", providers: [{ provide: IgxInputGroupBase, useExisting: IgxInputGroupComponent }], standalone: true, imports: [NgIf, NgTemplateOutlet2, IgxPrefixDirective, IgxButtonDirective, NgClass, IgxSuffixDirective, IgxIconComponent, NgSwitch, NgSwitchCase, NgSwitchDefault], template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i022.ElementRef }, { type: void 0, decorators: [{
  type: Optional8
}, {
  type: Inject10,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional8
}, {
  type: Inject10,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: void 0, decorators: [{
  type: Inject10,
  args: [DOCUMENT3]
}] }, { type: PlatformUtil }, { type: i022.ChangeDetectorRef }], propDecorators: { resourceStrings: [{
  type: Input11
}], defaultClass: [{
  type: HostBinding8,
  args: ["class.igx-input-group"]
}], hasPlaceholder: [{
  type: HostBinding8,
  args: ["class.igx-input-group--placeholder"]
}], isRequired: [{
  type: HostBinding8,
  args: ["class.igx-input-group--required"]
}], isFocused: [{
  type: HostBinding8,
  args: ["class.igx-input-group--focused"]
}], disabled: [{
  type: HostBinding8,
  args: ["class.igx-input-group--disabled"]
}], suppressInputAutofocus: [{
  type: Input11,
  args: [{ transform: booleanAttribute5 }]
}], hasWarning: [{
  type: HostBinding8,
  args: ["class.igx-input-group--warning"]
}], hints: [{
  type: ContentChildren,
  args: [IgxHintDirective, { read: IgxHintDirective }]
}], _prefixes: [{
  type: ContentChildren,
  args: [IgxPrefixDirective, { read: IgxPrefixDirective, descendants: true }]
}], _suffixes: [{
  type: ContentChildren,
  args: [IgxSuffixDirective, { read: IgxSuffixDirective, descendants: true }]
}], input: [{
  type: ContentChild,
  args: [IgxInputDirective, { read: IgxInputDirective, static: true }]
}], validClass: [{
  type: HostBinding8,
  args: ["class.igx-input-group--valid"]
}], invalidClass: [{
  type: HostBinding8,
  args: ["class.igx-input-group--invalid"]
}], isFilled: [{
  type: HostBinding8,
  args: ["class.igx-input-group--filled"]
}], componentSize: [{
  type: HostBinding8,
  args: ["style.--component-size"]
}], textAreaClass: [{
  type: HostBinding8,
  args: ["class.igx-input-group--textarea-group"]
}], type: [{
  type: Input11,
  args: ["type"]
}], theme: [{
  type: Input11
}], onClick: [{
  type: HostListener5,
  args: ["click", ["$event"]]
}], onPointerDown: [{
  type: HostListener5,
  args: ["pointerdown", ["$event"]]
}], hasPrefixes: [{
  type: HostBinding8,
  args: ["class.igx-input-group--prefixed"]
}], hasSuffixes: [{
  type: HostBinding8,
  args: ["class.igx-input-group--suffixed"]
}], isTypeBox: [{
  type: HostBinding8,
  args: ["class.igx-input-group--box"]
}], isFileType: [{
  type: HostBinding8,
  args: ["class.igx-input-group--file"]
}], isTypeBorder: [{
  type: HostBinding8,
  args: ["class.igx-input-group--border"]
}], isTypeFluent: [{
  type: HostBinding8,
  args: ["class.igx-input-group--fluent"]
}], isTypeBootstrap: [{
  type: HostBinding8,
  args: ["class.igx-input-group--bootstrap"]
}], isTypeIndigo: [{
  type: HostBinding8,
  args: ["class.igx-input-group--indigo"]
}], isTypeSearch: [{
  type: HostBinding8,
  args: ["class.igx-input-group--search"]
}] } });

// lib/input-group/public_api.mjs
var IGX_INPUT_GROUP_DIRECTIVES = [
  IgxInputGroupComponent,
  IgxInputDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/directives/autocomplete/autocomplete.directive.mjs
import { Directive as Directive12, EventEmitter as EventEmitter12, HostBinding as HostBinding9, HostListener as HostListener6, Inject as Inject11, Input as Input12, Optional as Optional9, Output as Output5, Self as Self3, booleanAttribute as booleanAttribute6 } from "@angular/core";
import { NgModel as NgModel3, FormControlName } from "@angular/forms";
import { Subject as Subject5 } from "rxjs";
import { takeUntil as takeUntil3 } from "rxjs/operators";
import * as i023 from "@angular/core";
import * as i23 from "@angular/forms";
var IgxAutocompleteDirective = class _IgxAutocompleteDirective extends IgxDropDownItemNavigationDirective {
  /**
   * Sets the target of the autocomplete directive
   *
   * ```html
   * <!-- Set -->
   * <input [igxAutocomplete]="dropdown" />
   * ...
   * <igx-drop-down #dropdown>
   * ...
   * </igx-drop-down>
   * ```
   */
  get target() {
    return this._target;
  }
  set target(v) {
    this._target = v;
  }
  /** @hidden @internal */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  /** @hidden @internal */
  get parentElement() {
    return this.group ? this.group.element.nativeElement : this.nativeElement;
  }
  get settings() {
    const settings = Object.assign({}, this.defaultSettings, this.autocompleteSettings);
    const target = settings.target || settings.positionStrategy.settings.target;
    if (!target) {
      const positionStrategyClone = settings.positionStrategy.clone();
      settings.target = this.parentElement;
      settings.positionStrategy = positionStrategyClone;
    }
    return settings;
  }
  /** @hidden  @internal */
  get ariaExpanded() {
    return !this.collapsed;
  }
  /** @hidden  @internal */
  get hasPopUp() {
    return "listbox";
  }
  /** @hidden  @internal */
  get ariaOwns() {
    return this.target.listId;
  }
  /** @hidden  @internal */
  get ariaActiveDescendant() {
    return !this.target.collapsed && this.target.focusedItem ? this.target.focusedItem.id : null;
  }
  /** @hidden  @internal */
  get ariaAutocomplete() {
    return "list";
  }
  get model() {
    return this.ngModel || this.formControl;
  }
  constructor(ngModel, formControl, group, elementRef, cdr) {
    super(null);
    this.ngModel = ngModel;
    this.formControl = formControl;
    this.group = group;
    this.elementRef = elementRef;
    this.cdr = cdr;
    this.autofill = "off";
    this.role = "combobox";
    this.disabled = false;
    this.selectionChanging = new EventEmitter12();
    this._shouldBeOpen = false;
    this.destroy$ = new Subject5();
  }
  /** @hidden  @internal */
  onInput() {
    this.open();
  }
  /** @hidden @internal */
  onCompositionStart() {
    if (!this._composing) {
      this._composing = true;
    }
  }
  /** @hidden @internal */
  onCompositionEnd() {
    this._composing = false;
  }
  /** @hidden  @internal */
  onArrowDown(event) {
    event.preventDefault();
    this.open();
  }
  /** @hidden  @internal */
  onTab() {
    this.close();
  }
  /** @hidden  @internal */
  handleKeyDown(event) {
    if (!this.collapsed && !this._composing) {
      switch (event.key.toLowerCase()) {
        case "space":
        case "spacebar":
        case " ":
        case "home":
        case "end":
          return;
        default:
          super.handleKeyDown(event);
      }
    }
  }
  /** @hidden  @internal */
  onArrowDownKeyDown() {
    super.onArrowDownKeyDown();
  }
  /** @hidden  @internal */
  onArrowUpKeyDown() {
    super.onArrowUpKeyDown();
  }
  /** @hidden  @internal */
  onEndKeyDown() {
    super.onEndKeyDown();
  }
  /** @hidden  @internal */
  onHomeKeyDown() {
    super.onHomeKeyDown();
  }
  /**
   * Closes autocomplete drop down
   */
  close() {
    this._shouldBeOpen = false;
    if (this.collapsed) {
      return;
    }
    this.target.close();
  }
  /**
   * Opens autocomplete drop down
   */
  open() {
    this._shouldBeOpen = true;
    if (this.disabled || !this.collapsed || this.target.children.length === 0) {
      return;
    }
    this.target.width = this.target.width || this.parentElement.clientWidth + "px";
    this.target.open(this.settings);
    this.highlightFirstItem();
  }
  /** @hidden @internal */
  ngOnInit() {
    const targetElement = this.parentElement;
    this.defaultSettings = {
      target: targetElement,
      modal: false,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new AutoPositionStrategy(),
      excludeFromOutsideClick: [targetElement]
    };
  }
  /** @hidden */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  ngAfterViewInit() {
    this.target.children.changes.pipe(takeUntil3(this.destroy$)).subscribe(() => {
      if (this.target.children.length) {
        if (!this.collapsed) {
          this.highlightFirstItem();
        } else if (this._shouldBeOpen) {
          this.open();
        }
      } else {
        this.target.close();
      }
    });
    this.target.selectionChanging.pipe(takeUntil3(this.destroy$)).subscribe(this.select.bind(this));
  }
  get collapsed() {
    return this.target ? this.target.collapsed : true;
  }
  select(value) {
    if (!value.newSelection) {
      return;
    }
    value.cancel = true;
    const newValue = value.newSelection.value;
    const args = { value: newValue, cancel: false };
    this.selectionChanging.emit(args);
    if (args.cancel) {
      return;
    }
    this.close();
    if (this.model) {
      this.model.control.setValue(newValue);
    } else {
      this.nativeElement.value = newValue;
    }
  }
  highlightFirstItem() {
    if (this.target.focusedItem) {
      this.target.focusedItem.focused = false;
      this.target.focusedItem = null;
    }
    this.target.navigateFirst();
    this.cdr.detectChanges();
  }
  static {
    this.ɵfac = i023.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i023, type: _IgxAutocompleteDirective, deps: [{ token: NgModel3, optional: true, self: true }, { token: FormControlName, optional: true, self: true }, { token: IgxInputGroupComponent, optional: true }, { token: i023.ElementRef }, { token: i023.ChangeDetectorRef }], target: i023.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i023.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxAutocompleteDirective, isStandalone: true, selector: "[igxAutocomplete]", inputs: { target: ["igxAutocomplete", "target"], autocompleteSettings: ["igxAutocompleteSettings", "autocompleteSettings"], disabled: ["igxAutocompleteDisabled", "disabled", booleanAttribute6] }, outputs: { selectionChanging: "selectionChanging" }, host: { listeners: { "input": "onInput()", "compositionstart": "onCompositionStart()", "compositionend": "onCompositionEnd()", "keydown.ArrowDown": "onArrowDown($event)", "keydown.Alt.ArrowDown": "onArrowDown($event)", "keydown.ArrowUp": "onArrowDown($event)", "keydown.Alt.ArrowUp": "onArrowDown($event)", "keydown.Tab": "onTab()", "keydown.Shift.Tab": "onTab()" }, properties: { "attr.autocomplete": "this.autofill", "attr.role": "this.role", "attr.aria-expanded": "this.ariaExpanded", "attr.aria-haspopup": "this.hasPopUp", "attr.aria-owns": "this.ariaOwns", "attr.aria-activedescendant": "this.ariaActiveDescendant", "attr.aria-autocomplete": "this.ariaAutocomplete" } }, exportAs: ["igxAutocomplete"], usesInheritance: true, ngImport: i023 });
  }
};
i023.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i023, type: IgxAutocompleteDirective, decorators: [{
  type: Directive12,
  args: [{
    selector: "[igxAutocomplete]",
    exportAs: "igxAutocomplete",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i23.NgModel, decorators: [{
  type: Self3
}, {
  type: Optional9
}, {
  type: Inject11,
  args: [NgModel3]
}] }, { type: i23.FormControlName, decorators: [{
  type: Self3
}, {
  type: Optional9
}, {
  type: Inject11,
  args: [FormControlName]
}] }, { type: IgxInputGroupComponent, decorators: [{
  type: Optional9
}] }, { type: i023.ElementRef }, { type: i023.ChangeDetectorRef }], propDecorators: { target: [{
  type: Input12,
  args: ["igxAutocomplete"]
}], autocompleteSettings: [{
  type: Input12,
  args: ["igxAutocompleteSettings"]
}], autofill: [{
  type: HostBinding9,
  args: ["attr.autocomplete"]
}], role: [{
  type: HostBinding9,
  args: ["attr.role"]
}], disabled: [{
  type: Input12,
  args: [{ alias: "igxAutocompleteDisabled", transform: booleanAttribute6 }]
}], selectionChanging: [{
  type: Output5
}], ariaExpanded: [{
  type: HostBinding9,
  args: ["attr.aria-expanded"]
}], hasPopUp: [{
  type: HostBinding9,
  args: ["attr.aria-haspopup"]
}], ariaOwns: [{
  type: HostBinding9,
  args: ["attr.aria-owns"]
}], ariaActiveDescendant: [{
  type: HostBinding9,
  args: ["attr.aria-activedescendant"]
}], ariaAutocomplete: [{
  type: HostBinding9,
  args: ["attr.aria-autocomplete"]
}], onInput: [{
  type: HostListener6,
  args: ["input"]
}], onCompositionStart: [{
  type: HostListener6,
  args: ["compositionstart"]
}], onCompositionEnd: [{
  type: HostListener6,
  args: ["compositionend"]
}], onArrowDown: [{
  type: HostListener6,
  args: ["keydown.ArrowDown", ["$event"]]
}, {
  type: HostListener6,
  args: ["keydown.Alt.ArrowDown", ["$event"]]
}, {
  type: HostListener6,
  args: ["keydown.ArrowUp", ["$event"]]
}, {
  type: HostListener6,
  args: ["keydown.Alt.ArrowUp", ["$event"]]
}], onTab: [{
  type: HostListener6,
  args: ["keydown.Tab"]
}, {
  type: HostListener6,
  args: ["keydown.Shift.Tab"]
}] } });

// lib/directives/divider/divider.directive.mjs
import { Directive as Directive13, HostBinding as HostBinding10, Input as Input13, booleanAttribute as booleanAttribute7 } from "@angular/core";
import * as i024 from "@angular/core";
var IgxDividerType = /* @__PURE__ */ mkenum({
  SOLID: "solid",
  DASHED: "dashed"
});
var NEXT_ID3 = 0;
var IgxDividerDirective = class _IgxDividerDirective {
  constructor() {
    this.id = `igx-divider-${NEXT_ID3++}`;
    this.role = "separator";
    this.type = IgxDividerType.SOLID;
    this.middle = false;
    this.vertical = false;
    this._inset = "0";
  }
  get isDashed() {
    return this.type === IgxDividerType.DASHED;
  }
  /**
   * Sets the inset of the divider from the side(s).
   * If the divider attribute `middle` is set to `true`,
   * it will inset the divider on both sides.
   * ```typescript
   * this.divider.inset = '32px';
   * ```
   */
  set inset(value) {
    this._inset = value;
  }
  /**
   * Gets the current divider inset in terms of
   * inset-inline-start representation as applied to the divider.
   * ```typescript
   * const inset = this.divider.inset;
   * ```
   */
  get inset() {
    return this._inset;
  }
  /**
   * A getter that returns `true` if the type of the divider is `default`;
   * ```typescript
   * const isDefault = this.divider.isDefault;
   * ```
   */
  get isSolid() {
    return this.type === IgxDividerType.SOLID;
  }
  static {
    this.ɵfac = i024.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i024, type: _IgxDividerDirective, deps: [], target: i024.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i024.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDividerDirective, isStandalone: true, selector: "igx-divider", inputs: { id: "id", role: "role", type: "type", middle: ["middle", "middle", booleanAttribute7], vertical: ["vertical", "vertical", booleanAttribute7], _inset: ["inset", "_inset"] }, host: { properties: { "attr.id": "this.id", "attr.role": "this.role", "class.igx-divider": "this.type", "class.igx-divider--dashed": "this.isDashed", "class.igx-divider--inset": "this.middle", "class.igx-divider--vertical": "this.vertical", "style.--inset": "this.inset" } }, ngImport: i024 });
  }
};
i024.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i024, type: IgxDividerDirective, decorators: [{
  type: Directive13,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-divider",
    standalone: true
  }]
}], propDecorators: { id: [{
  type: HostBinding10,
  args: ["attr.id"]
}, {
  type: Input13
}], role: [{
  type: HostBinding10,
  args: ["attr.role"]
}, {
  type: Input13
}], type: [{
  type: HostBinding10,
  args: ["class.igx-divider"]
}, {
  type: Input13
}], isDashed: [{
  type: HostBinding10,
  args: ["class.igx-divider--dashed"]
}], middle: [{
  type: HostBinding10,
  args: ["class.igx-divider--inset"]
}, {
  type: Input13,
  args: [{ transform: booleanAttribute7 }]
}], vertical: [{
  type: HostBinding10,
  args: ["class.igx-divider--vertical"]
}, {
  type: Input13,
  args: [{ transform: booleanAttribute7 }]
}], inset: [{
  type: HostBinding10,
  args: ["style.--inset"]
}], _inset: [{
  type: Input13,
  args: ["inset"]
}] } });

// lib/directives/drag-drop/drag-drop.strategy.mjs
var IgxDefaultDropStrategy = class {
  dropAction(_drag, _drop, _atIndex) {
  }
};
var IgxAppendDropStrategy = class {
  constructor(_renderer) {
    this._renderer = _renderer;
  }
  dropAction(drag, drop, _atIndex) {
    const dragElement = drag.element.nativeElement;
    const dropAreaElement = drop.element.nativeElement;
    this._renderer.removeChild(dragElement.parentNode, dragElement);
    this._renderer.appendChild(dropAreaElement, dragElement);
  }
};
var IgxPrependDropStrategy = class {
  constructor(_renderer) {
    this._renderer = _renderer;
  }
  dropAction(drag, drop, _atIndex) {
    const dragElement = drag.element.nativeElement;
    const dropAreaElement = drop.element.nativeElement;
    this._renderer.removeChild(dragElement.parentNode, dragElement);
    if (dropAreaElement.children.length) {
      this._renderer.insertBefore(dropAreaElement, dragElement, dropAreaElement.children[0]);
    } else {
      this._renderer.appendChild(dropAreaElement, dragElement);
    }
  }
};
var IgxInsertDropStrategy = class {
  constructor(_renderer) {
    this._renderer = _renderer;
  }
  dropAction(drag, drop, atIndex) {
    if (drag.element.nativeElement.parentElement === drop.element.nativeElement && atIndex === -1) {
      return;
    }
    const dragElement = drag.element.nativeElement;
    const dropAreaElement = drop.element.nativeElement;
    this._renderer.removeChild(dragElement.parentNode, dragElement);
    if (atIndex !== -1 && dropAreaElement.children.length > atIndex) {
      this._renderer.insertBefore(dropAreaElement, dragElement, dropAreaElement.children[atIndex]);
    } else {
      this._renderer.appendChild(dropAreaElement, dragElement);
    }
  }
};

// lib/directives/drag-drop/drag-drop.directive.mjs
import { Directive as Directive14, EventEmitter as EventEmitter13, HostBinding as HostBinding11, HostListener as HostListener7, Input as Input14, Output as Output6, ContentChildren as ContentChildren2, RendererStyleFlags2, booleanAttribute as booleanAttribute8 } from "@angular/core";
import { animationFrameScheduler, fromEvent as fromEvent2, interval, Subject as Subject6 } from "rxjs";
import { takeUntil as takeUntil4, throttle } from "rxjs/operators";
import * as i025 from "@angular/core";
var DragScrollDirection;
(function(DragScrollDirection3) {
  DragScrollDirection3[DragScrollDirection3["UP"] = 0] = "UP";
  DragScrollDirection3[DragScrollDirection3["DOWN"] = 1] = "DOWN";
  DragScrollDirection3[DragScrollDirection3["LEFT"] = 2] = "LEFT";
  DragScrollDirection3[DragScrollDirection3["RIGHT"] = 3] = "RIGHT";
})(DragScrollDirection || (DragScrollDirection = {}));
var DragDirection;
(function(DragDirection2) {
  DragDirection2[DragDirection2["VERTICAL"] = 0] = "VERTICAL";
  DragDirection2[DragDirection2["HORIZONTAL"] = 1] = "HORIZONTAL";
  DragDirection2[DragDirection2["BOTH"] = 2] = "BOTH";
})(DragDirection || (DragDirection = {}));
var IgxDragLocation = class {
  constructor(_pageX, _pageY) {
    this._pageX = _pageX;
    this._pageY = _pageY;
    this.pageX = parseFloat(_pageX);
    this.pageY = parseFloat(_pageY);
  }
};
var IgxDragHandleDirective = class _IgxDragHandleDirective {
  constructor(element) {
    this.element = element;
    this.baseClass = true;
    this.parentDragElement = null;
  }
  static {
    this.ɵfac = i025.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: _IgxDragHandleDirective, deps: [{ token: i025.ElementRef }], target: i025.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i025.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDragHandleDirective, isStandalone: true, selector: "[igxDragHandle]", host: { properties: { "class.igx-drag__handle": "this.baseClass" } }, ngImport: i025 });
  }
};
i025.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: IgxDragHandleDirective, decorators: [{
  type: Directive14,
  args: [{
    selector: "[igxDragHandle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i025.ElementRef }], propDecorators: { baseClass: [{
  type: HostBinding11,
  args: ["class.igx-drag__handle"]
}] } });
var IgxDragIgnoreDirective = class _IgxDragIgnoreDirective {
  constructor(element) {
    this.element = element;
    this.baseClass = true;
  }
  static {
    this.ɵfac = i025.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: _IgxDragIgnoreDirective, deps: [{ token: i025.ElementRef }], target: i025.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i025.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDragIgnoreDirective, isStandalone: true, selector: "[igxDragIgnore]", host: { properties: { "class.igx-drag__ignore": "this.baseClass" } }, ngImport: i025 });
  }
};
i025.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: IgxDragIgnoreDirective, decorators: [{
  type: Directive14,
  args: [{
    selector: "[igxDragIgnore]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i025.ElementRef }], propDecorators: { baseClass: [{
  type: HostBinding11,
  args: ["class.igx-drag__ignore"]
}] } });
var IgxDragDirective = class _IgxDragDirective {
  /**
   * - Save data inside the `igxDrag` directive. This can be set when instancing `igxDrag` on an element.
   * ```html
   * <div [igxDrag]="{ source: myElement }"></div>
   * ```
   *
   * @memberof IgxDragDirective
   */
  set data(value) {
    this._data = value;
  }
  get data() {
    return this._data;
  }
  /**
   * Gets the current location of the element relative to the page.
   */
  get location() {
    return new IgxDragLocation(this.pageX, this.pageY);
  }
  /**
   * Gets the original location of the element before dragging started.
   */
  get originLocation() {
    return new IgxDragLocation(this.baseOriginLeft, this.baseOriginTop);
  }
  /**
   * @hidden
   */
  get pointerEventsEnabled() {
    return typeof PointerEvent !== "undefined";
  }
  /**
   * @hidden
   */
  get touchEventsEnabled() {
    return "ontouchstart" in window;
  }
  /**
   * @hidden
   */
  get pageX() {
    if (this.ghost && this.ghostElement) {
      return this.ghostLeft;
    }
    return this.baseLeft + this.windowScrollLeft;
  }
  /**
   * @hidden
   */
  get pageY() {
    if (this.ghost && this.ghostElement) {
      return this.ghostTop;
    }
    return this.baseTop + this.windowScrollTop;
  }
  get baseLeft() {
    return this.element.nativeElement.getBoundingClientRect().left;
  }
  get baseTop() {
    return this.element.nativeElement.getBoundingClientRect().top;
  }
  get baseOriginLeft() {
    return this.baseLeft - this.getTransformX(this.element.nativeElement);
  }
  get baseOriginTop() {
    return this.baseTop - this.getTransformY(this.element.nativeElement);
  }
  set ghostLeft(pageX) {
    if (this.ghostElement) {
      const ghostMarginLeft = parseInt(document.defaultView.getComputedStyle(this.ghostElement)["margin-left"], 10);
      this.ghostElement.style.left = pageX - ghostMarginLeft - this._ghostHostX + "px";
    }
  }
  get ghostLeft() {
    if (this.ghostElement) {
      return parseInt(this.ghostElement.style.left, 10) + this._ghostHostX;
    }
  }
  set ghostTop(pageY) {
    if (this.ghostElement) {
      const ghostMarginTop = parseInt(document.defaultView.getComputedStyle(this.ghostElement)["margin-top"], 10);
      this.ghostElement.style.top = pageY - ghostMarginTop - this._ghostHostY + "px";
    }
  }
  get ghostTop() {
    if (this.ghostElement) {
      return parseInt(this.ghostElement.style.top, 10) + this._ghostHostY;
    }
  }
  get windowScrollTop() {
    return document.documentElement.scrollTop || window.scrollY;
  }
  get windowScrollLeft() {
    return document.documentElement.scrollLeft || window.scrollX;
  }
  get windowScrollHeight() {
    return document.documentElement.scrollHeight;
  }
  get windowScrollWidth() {
    return document.documentElement.scrollWidth;
  }
  /**
   * Sets the offset of the dragged element relative to the mouse in pixels.
   * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
   * ```html
   * <div #hostDiv></div>
   * <div igxDrag [ghostOffsetX]="0">
   *         <span>Drag Me!</span>
   * </div>
   * ```
   *
   * @memberof IgxDragDirective
   */
  set ghostOffsetX(value) {
    this._offsetX = parseInt(value, 10);
  }
  get ghostOffsetX() {
    return this._offsetX !== void 0 ? this._offsetX : this._defaultOffsetX;
  }
  /**
   * Sets the offset of the dragged element relative to the mouse in pixels.
   * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
   * ```html
   * <div #hostDiv></div>
   * <div igxDrag [ghostOffsetY]="0">
   *         <span>Drag Me!</span>
   * </div>
   * ```
   *
   * @memberof IgxDragDirective
   */
  set ghostOffsetY(value) {
    this._offsetY = parseInt(value, 10);
  }
  get ghostOffsetY() {
    return this._offsetY !== void 0 ? this._offsetY : this._defaultOffsetY;
  }
  constructor(cdr, element, viewContainer, zone, renderer, platformUtil) {
    this.cdr = cdr;
    this.element = element;
    this.viewContainer = viewContainer;
    this.zone = zone;
    this.renderer = renderer;
    this.platformUtil = platformUtil;
    this.dragTolerance = 5;
    this.dragDirection = DragDirection.BOTH;
    this.ghost = true;
    this.ghostClass = "";
    this.ghostStyle = {};
    this.scrollContainer = null;
    this.dragStart = new EventEmitter13();
    this.dragMove = new EventEmitter13();
    this.dragEnd = new EventEmitter13();
    this.dragClick = new EventEmitter13();
    this.ghostCreate = new EventEmitter13();
    this.ghostDestroy = new EventEmitter13();
    this.transitioned = new EventEmitter13();
    this.baseClass = true;
    this.selectDisabled = false;
    this.defaultReturnDuration = "0.5s";
    this.animInProgress = false;
    this.ghostContext = null;
    this._startX = 0;
    this._startY = 0;
    this._lastX = 0;
    this._lastY = 0;
    this._dragStarted = false;
    this._ghostHostX = 0;
    this._ghostHostY = 0;
    this._pointerDownId = null;
    this._clicked = false;
    this._lastDropArea = null;
    this._destroy = new Subject6();
    this._removeOnDestroy = true;
    this._scrollContainer = null;
    this._originalScrollContainerWidth = 0;
    this._originalScrollContainerHeight = 0;
    this._scrollContainerStep = 5;
    this._scrollContainerStepMs = 10;
    this._scrollContainerThreshold = 25;
    this._containerScrollIntervalId = null;
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    if (!this.dragHandles || !this.dragHandles.length) {
      this.selectDisabled = true;
    }
    this.zone.runOutsideAngular(() => {
      if (!this.platformUtil.isBrowser) {
        return;
      }
      const targetElements = this.dragHandles && this.dragHandles.length ? this.dragHandles.filter((item) => item.parentDragElement === null).map((item) => {
        item.parentDragElement = this.element.nativeElement;
        return item.element.nativeElement;
      }) : [this.element.nativeElement];
      targetElements.forEach((element) => {
        if (this.pointerEventsEnabled) {
          fromEvent2(element, "pointerdown").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerDown(res));
          fromEvent2(element, "pointermove").pipe(throttle(() => interval(0, animationFrameScheduler)), takeUntil4(this._destroy)).subscribe((res) => this.onPointerMove(res));
          fromEvent2(element, "pointerup").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerUp(res));
          if (!this.ghost) {
            fromEvent2(element, "lostpointercapture").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerLost(res));
          }
        } else if (this.touchEventsEnabled) {
          fromEvent2(element, "touchstart").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerDown(res));
        } else {
          fromEvent2(element, "mousedown").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerDown(res));
        }
      });
      if (!this.pointerEventsEnabled && this.touchEventsEnabled) {
        fromEvent2(document.defaultView, "touchmove").pipe(throttle(() => interval(0, animationFrameScheduler)), takeUntil4(this._destroy)).subscribe((res) => this.onPointerMove(res));
        fromEvent2(document.defaultView, "touchend").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerUp(res));
      } else if (!this.pointerEventsEnabled) {
        fromEvent2(document.defaultView, "mousemove").pipe(throttle(() => interval(0, animationFrameScheduler)), takeUntil4(this._destroy)).subscribe((res) => this.onPointerMove(res));
        fromEvent2(document.defaultView, "mouseup").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onPointerUp(res));
      }
      this.element.nativeElement.addEventListener("transitionend", (args) => {
        this.onTransitionEnd(args);
      });
    });
    this.element.nativeElement.style.transitionDuration = "0.0s";
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._destroy.next(true);
    this._destroy.complete();
    if (this.ghost && this.ghostElement && this._removeOnDestroy) {
      this.ghostElement.parentNode.removeChild(this.ghostElement);
      this.ghostElement = null;
      if (this._dynamicGhostRef) {
        this._dynamicGhostRef.destroy();
        this._dynamicGhostRef = null;
      }
    }
    if (this._containerScrollIntervalId) {
      clearInterval(this._containerScrollIntervalId);
      this._containerScrollIntervalId = null;
    }
  }
  /**
   * Sets desired location of the base element or ghost element if rended relative to the document.
   *
   * @param newLocation New location that should be applied. It is advised to get new location using getBoundingClientRects() + scroll.
   */
  setLocation(newLocation) {
    if (this.ghost && this.ghostElement) {
      this.ghostLeft = newLocation.pageX + this.windowScrollLeft;
      this.ghostTop = newLocation.pageY + this.windowScrollTop;
    } else if (!this.ghost) {
      const deltaX = newLocation.pageX - this.pageX;
      const deltaY = newLocation.pageY - this.pageY;
      const transformX = this.getTransformX(this.element.nativeElement);
      const transformY = this.getTransformY(this.element.nativeElement);
      this.setTransformXY(transformX + deltaX, transformY + deltaY);
    }
    this._startX = this.baseLeft;
    this._startY = this.baseTop;
  }
  /**
   * Animates the base or ghost element depending on the `ghost` input to its initial location.
   * If `ghost` is true but there is not ghost rendered, it will be created and animated.
   * If the base element has changed its DOM position its initial location will be changed accordingly.
   *
   * @param customAnimArgs Custom transition properties that will be applied when performing the transition.
   * @param startLocation Start location from where the transition should start.
   */
  transitionToOrigin(customAnimArgs, startLocation) {
    if (!!startLocation && startLocation.pageX === this.baseOriginLeft && startLocation.pageY === this.baseOriginLeft || !startLocation && this.ghost && !this.ghostElement) {
      return;
    }
    if (!!startLocation && startLocation.pageX !== this.pageX && startLocation.pageY !== this.pageY) {
      if (this.ghost && !this.ghostElement) {
        this._startX = startLocation.pageX;
        this._startY = startLocation.pageY;
        this._ghostStartX = this._startX;
        this._ghostStartY = this._startY;
        this.createGhost(this._startX, this._startY);
      }
      this.setLocation(startLocation);
    }
    this.animInProgress = true;
    setTimeout(() => {
      if (this.ghost) {
        this.ghostElement.style.transitionProperty = "top, left";
        this.ghostElement.style.transitionDuration = customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + "s" : this.defaultReturnDuration;
        this.ghostElement.style.transitionTimingFunction = customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : "";
        this.ghostElement.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + "s" : "";
        this.setLocation(new IgxDragLocation(this.baseLeft, this.baseTop));
      } else if (!this.ghost) {
        this.element.nativeElement.style.transitionProperty = "transform";
        this.element.nativeElement.style.transitionDuration = customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + "s" : this.defaultReturnDuration;
        this.element.nativeElement.style.transitionTimingFunction = customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : "";
        this.element.nativeElement.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + "s" : "";
        this._startX = this.baseLeft;
        this._startY = this.baseTop;
        this.setTransformXY(0, 0);
      }
    }, 0);
  }
  /**
   * Animates the base or ghost element to a specific target location or other element using transition.
   * If `ghost` is true but there is not ghost rendered, it will be created and animated.
   * It is recommended to use 'getBoundingClientRects() + pageScroll' when determining desired location.
   *
   * @param target Target that the base or ghost will transition to. It can be either location in the page or another HTML element.
   * @param customAnimArgs Custom transition properties that will be applied when performing the transition.
   * @param startLocation Start location from where the transition should start.
   */
  transitionTo(target, customAnimArgs, startLocation) {
    if (!!startLocation && this.ghost && !this.ghostElement) {
      this._startX = startLocation.pageX;
      this._startY = startLocation.pageY;
      this._ghostStartX = this._startX;
      this._ghostStartY = this._startY;
    } else if (!!startLocation && (!this.ghost || this.ghostElement)) {
      this.setLocation(startLocation);
    } else if (this.ghost && !this.ghostElement) {
      this._startX = this.baseLeft;
      this._startY = this.baseTop;
      this._ghostStartX = this._startX + this.windowScrollLeft;
      this._ghostStartY = this._startY + this.windowScrollTop;
    }
    if (this.ghost && !this.ghostElement) {
      this.createGhost(this._startX, this._startY);
    }
    this.animInProgress = true;
    setTimeout(() => {
      const movedElem = this.ghost ? this.ghostElement : this.element.nativeElement;
      movedElem.style.transitionProperty = this.ghost && this.ghostElement ? "left, top" : "transform";
      movedElem.style.transitionDuration = customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + "s" : this.defaultReturnDuration;
      movedElem.style.transitionTimingFunction = customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : "";
      movedElem.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + "s" : "";
      if (target instanceof IgxDragLocation) {
        this.setLocation(new IgxDragLocation(target.pageX, target.pageY));
      } else {
        const targetRects = target.nativeElement.getBoundingClientRect();
        this.setLocation(new IgxDragLocation(targetRects.left - this.windowScrollLeft, targetRects.top - this.windowScrollTop));
      }
    }, 0);
  }
  /**
   * @hidden
   * Method bound to the PointerDown event of the base element igxDrag is initialized.
   * @param event PointerDown event captured
   */
  onPointerDown(event) {
    const ignoredElement = this.dragIgnoredElems.find((elem) => elem.element.nativeElement === event.target);
    if (ignoredElement) {
      return;
    }
    const handleFound = this.dragHandles.find((handle) => handle.element.nativeElement === event.target);
    const targetElement = handleFound ? handleFound.element.nativeElement : event.target || this.element.nativeElement;
    if (this.pointerEventsEnabled && targetElement.isConnected) {
      this._pointerDownId = event.pointerId;
      targetElement.setPointerCapture(this._pointerDownId);
    } else if (targetElement.isConnected) {
      targetElement.focus();
      event.preventDefault();
    } else {
      return;
    }
    this._clicked = true;
    if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
      this._startX = event.pageX;
      this._startY = event.pageY;
    } else if (this.touchEventsEnabled) {
      this._startX = event.touches[0].pageX;
      this._startY = event.touches[0].pageY;
    }
    this._defaultOffsetX = this.baseLeft - this._startX + this.windowScrollLeft;
    this._defaultOffsetY = this.baseTop - this._startY + this.windowScrollTop;
    this._ghostStartX = this._startX + this.ghostOffsetX;
    this._ghostStartY = this._startY + this.ghostOffsetY;
    this._lastX = this._startX;
    this._lastY = this._startY;
  }
  /**
   * @hidden
   * Perform drag move logic when dragging and dispatching events if there is igxDrop under the pointer.
   * This method is bound at first at the base element.
   * If dragging starts and after the ghostElement is rendered the pointerId is reassigned it. Then this method is bound to it.
   * @param event PointerMove event captured
   */
  onPointerMove(event) {
    if (this._clicked) {
      let pageX;
      let pageY;
      if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
        pageX = event.pageX;
        pageY = event.pageY;
      } else if (this.touchEventsEnabled) {
        pageX = event.touches[0].pageX;
        pageY = event.touches[0].pageY;
        event.preventDefault();
      }
      const totalMovedX = pageX - this._startX;
      const totalMovedY = pageY - this._startY;
      if (!this._dragStarted && (Math.abs(totalMovedX) > this.dragTolerance || Math.abs(totalMovedY) > this.dragTolerance)) {
        const dragStartArgs = {
          originalEvent: event,
          owner: this,
          startX: pageX - totalMovedX,
          startY: pageY - totalMovedY,
          pageX,
          pageY,
          cancel: false
        };
        this.zone.run(() => {
          this.dragStart.emit(dragStartArgs);
        });
        if (!dragStartArgs.cancel) {
          this._dragStarted = true;
          if (this.ghost) {
            this.createGhost(pageX, pageY);
          } else if (this._offsetX !== void 0 || this._offsetY !== void 0) {
            const transformX = (this._offsetX !== void 0 ? this._offsetX - this._defaultOffsetX : 0) + this.getTransformX(this.element.nativeElement);
            const transformY = (this._offsetY !== void 0 ? this._offsetY - this._defaultOffsetY : 0) + this.getTransformY(this.element.nativeElement);
            this.setTransformXY(transformX, transformY);
          }
        } else {
          return;
        }
      } else if (!this._dragStarted) {
        return;
      }
      const moveArgs = {
        originalEvent: event,
        owner: this,
        startX: this._startX,
        startY: this._startY,
        pageX: this._lastX,
        pageY: this._lastY,
        nextPageX: pageX,
        nextPageY: pageY,
        cancel: false
      };
      this.dragMove.emit(moveArgs);
      const setPageX = moveArgs.nextPageX;
      const setPageY = moveArgs.nextPageY;
      if (!moveArgs.cancel) {
        this.onScrollContainer();
        if (this.ghost) {
          const updatedTotalMovedX = this.dragDirection === DragDirection.VERTICAL ? 0 : setPageX - this._startX;
          const updatedTotalMovedY = this.dragDirection === DragDirection.HORIZONTAL ? 0 : setPageY - this._startY;
          this.ghostLeft = this._ghostStartX + updatedTotalMovedX;
          this.ghostTop = this._ghostStartY + updatedTotalMovedY;
        } else {
          const lastMovedX = this.dragDirection === DragDirection.VERTICAL ? 0 : setPageX - this._lastX;
          const lastMovedY = this.dragDirection === DragDirection.HORIZONTAL ? 0 : setPageY - this._lastY;
          const translateX = this.getTransformX(this.element.nativeElement) + lastMovedX;
          const translateY = this.getTransformY(this.element.nativeElement) + lastMovedY;
          this.setTransformXY(translateX, translateY);
        }
        this.dispatchDragEvents(pageX, pageY, event);
      }
      this._lastX = setPageX;
      this._lastY = setPageY;
    }
  }
  /**
   * @hidden
   * Perform drag end logic when releasing the ghostElement and dispatching drop event if igxDrop is under the pointer.
   * This method is bound at first at the base element.
   * If dragging starts and after the ghostElement is rendered the pointerId is reassigned to it. Then this method is bound to it.
   * @param event PointerUp event captured
   */
  onPointerUp(event) {
    if (!this._clicked) {
      return;
    }
    let pageX;
    let pageY;
    if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
      pageX = event.pageX;
      pageY = event.pageY;
    } else if (this.touchEventsEnabled) {
      pageX = event.touches[0].pageX;
      pageY = event.touches[0].pageY;
      event.preventDefault();
    }
    const eventArgs = {
      originalEvent: event,
      owner: this,
      startX: this._startX,
      startY: this._startY,
      pageX,
      pageY
    };
    this._pointerDownId = null;
    this._clicked = false;
    if (this._dragStarted) {
      if (this._lastDropArea && this._lastDropArea !== this.element.nativeElement) {
        this.dispatchDropEvent(event.pageX, event.pageY, event);
      }
      this.zone.run(() => {
        this.dragEnd.emit(eventArgs);
      });
      if (!this.animInProgress) {
        this.onTransitionEnd(null);
      }
    } else {
      this.zone.run(() => {
        this.dragClick.emit(eventArgs);
      });
    }
    if (this._containerScrollIntervalId) {
      clearInterval(this._containerScrollIntervalId);
      this._containerScrollIntervalId = null;
    }
  }
  /**
   * @hidden
   * Execute this method whe the pointer capture has been lost.
   * This means that during dragging the user has performed other action like right clicking and then clicking somewhere else.
   * This method will ensure that the drag state is being reset in this case as if the user released the dragged element.
   * @param event Event captured
   */
  onPointerLost(event) {
    if (!this._clicked) {
      return;
    }
    if (this._pointerDownId && this.ghostElement && this._dynamicGhostRef && !this._dynamicGhostRef.destroyed) {
      let ghostReattached = false;
      if (this.ghostHost && !Array.from(this.ghostHost.children).includes(this.ghostElement)) {
        ghostReattached = true;
        this.ghostHost.appendChild(this.ghostElement);
      } else if (!this.ghostHost && !Array.from(document.body.children).includes(this.ghostElement)) {
        ghostReattached = true;
        document.body.appendChild(this.ghostElement);
      }
      if (ghostReattached) {
        this.ghostElement.setPointerCapture(this._pointerDownId);
        return;
      }
    }
    const eventArgs = {
      originalEvent: event,
      owner: this,
      startX: this._startX,
      startY: this._startY,
      pageX: event.pageX,
      pageY: event.pageY
    };
    this._pointerDownId = null;
    this._clicked = false;
    if (this._dragStarted) {
      this.zone.run(() => {
        this.dragEnd.emit(eventArgs);
      });
      if (!this.animInProgress) {
        this.onTransitionEnd(null);
      }
    }
  }
  /**
   * @hidden
   */
  onTransitionEnd(event) {
    if (!this._dragStarted && !this.animInProgress || this._clicked) {
      return;
    }
    if (this.ghost && this.ghostElement) {
      this._ghostStartX = this.baseLeft + this.windowScrollLeft;
      this._ghostStartY = this.baseTop + this.windowScrollTop;
      const ghostDestroyArgs = {
        owner: this,
        ghostElement: this.ghostElement,
        cancel: false
      };
      this.ghostDestroy.emit(ghostDestroyArgs);
      if (ghostDestroyArgs.cancel) {
        return;
      }
      this.ghostElement.remove();
      this.ghostElement = null;
      if (this._dynamicGhostRef) {
        this._dynamicGhostRef.destroy();
        this._dynamicGhostRef = null;
      }
    } else if (!this.ghost) {
      this.element.nativeElement.style.transitionProperty = "";
      this.element.nativeElement.style.transitionDuration = "0.0s";
      this.element.nativeElement.style.transitionTimingFunction = "";
      this.element.nativeElement.style.transitionDelay = "";
    }
    this.animInProgress = false;
    this._dragStarted = false;
    this.zone.run(() => {
      this.transitioned.emit({
        originalEvent: event,
        owner: this,
        startX: this._startX,
        startY: this._startY,
        pageX: this._startX,
        pageY: this._startY
      });
    });
  }
  /**
   * @hidden
   * Create ghost element - if a Node object is provided it creates a clone of that node,
   * otherwise it clones the host element.
   * Bind all needed events.
   * @param pageX Latest pointer position on the X axis relative to the page.
   * @param pageY Latest pointer position on the Y axis relative to the page.
   * @param node The Node object to be cloned.
   */
  createGhost(pageX, pageY, node = null) {
    if (!this.ghost) {
      return;
    }
    if (this.ghostTemplate) {
      this.zone.run(() => {
        this._dynamicGhostRef = this.viewContainer.createEmbeddedView(this.ghostTemplate, this.ghostContext);
      });
      if (this._dynamicGhostRef.rootNodes[0].style.display === "contents") {
        this._dynamicGhostRef.rootNodes[0].style.display = "block";
      }
      this.ghostElement = this._dynamicGhostRef.rootNodes[0];
    } else {
      this.ghostElement = node ? node.cloneNode(true) : this.element.nativeElement.cloneNode(true);
    }
    const totalMovedX = pageX - this._startX;
    const totalMovedY = pageY - this._startY;
    this._ghostHostX = this.getGhostHostBaseOffsetX();
    this._ghostHostY = this.getGhostHostBaseOffsetY();
    this.ghostElement.style.transitionDuration = "0.0s";
    this.ghostElement.style.position = "absolute";
    if (this.ghostClass) {
      this.ghostElement.classList.add(this.ghostClass);
    }
    if (this.ghostStyle) {
      Object.entries(this.ghostStyle).map(([name, value]) => {
        this.renderer.setStyle(this.ghostElement, name, value, RendererStyleFlags2.DashCase);
      });
    }
    const createEventArgs = {
      owner: this,
      ghostElement: this.ghostElement,
      cancel: false
    };
    this.ghostCreate.emit(createEventArgs);
    if (createEventArgs.cancel) {
      this.ghostElement = null;
      if (this.ghostTemplate && this._dynamicGhostRef) {
        this._dynamicGhostRef.destroy();
      }
      return;
    }
    if (this.ghostHost) {
      this.ghostHost.appendChild(this.ghostElement);
    } else {
      document.body.appendChild(this.ghostElement);
    }
    const ghostMarginLeft = parseInt(document.defaultView.getComputedStyle(this.ghostElement)["margin-left"], 10);
    const ghostMarginTop = parseInt(document.defaultView.getComputedStyle(this.ghostElement)["margin-top"], 10);
    this.ghostElement.style.left = this._ghostStartX - ghostMarginLeft + totalMovedX - this._ghostHostX + "px";
    this.ghostElement.style.top = this._ghostStartY - ghostMarginTop + totalMovedY - this._ghostHostY + "px";
    if (this.pointerEventsEnabled) {
      if (this._pointerDownId !== null) {
        this.ghostElement.setPointerCapture(this._pointerDownId);
      }
      this.ghostElement.addEventListener("pointermove", (args) => {
        this.onPointerMove(args);
      });
      this.ghostElement.addEventListener("pointerup", (args) => {
        this.onPointerUp(args);
      });
      this.ghostElement.addEventListener("lostpointercapture", (args) => {
        this.onPointerLost(args);
      });
    }
    this.ghostElement.addEventListener("transitionend", (args) => {
      this.onTransitionEnd(args);
    });
    this.cdr.detectChanges();
  }
  /**
   * @hidden
   * Dispatch custom igxDragEnter/igxDragLeave events based on current pointer position and if drop area is under.
   */
  dispatchDragEvents(pageX, pageY, originalEvent) {
    let topDropArea;
    const customEventArgs = {
      startX: this._startX,
      startY: this._startY,
      pageX,
      pageY,
      owner: this,
      originalEvent
    };
    const elementsFromPoint = this.getElementsAtPoint(pageX, pageY);
    let targetElements = [];
    for (const elFromPoint of elementsFromPoint) {
      if (elFromPoint?.shadowRoot) {
        targetElements = targetElements.concat(this.getFromShadowRoot(elFromPoint, pageX, pageY, elementsFromPoint));
      } else if (targetElements.indexOf(elFromPoint) === -1) {
        targetElements.push(elFromPoint);
      }
    }
    for (const element of targetElements) {
      if (element.getAttribute("droppable") === "true" && element !== this.ghostElement && element !== this.element.nativeElement) {
        topDropArea = element;
        break;
      }
    }
    if (topDropArea && (!this._lastDropArea || this._lastDropArea && this._lastDropArea !== topDropArea)) {
      if (this._lastDropArea) {
        this.dispatchEvent(this._lastDropArea, "igxDragLeave", customEventArgs);
      }
      this._lastDropArea = topDropArea;
      this.dispatchEvent(this._lastDropArea, "igxDragEnter", customEventArgs);
    } else if (!topDropArea && this._lastDropArea) {
      this.dispatchEvent(this._lastDropArea, "igxDragLeave", customEventArgs);
      this._lastDropArea = null;
      return;
    }
    if (topDropArea) {
      this.dispatchEvent(topDropArea, "igxDragOver", customEventArgs);
    }
  }
  /**
   * @hidden
   * Traverse shadow dom in depth.
   */
  getFromShadowRoot(elem, pageX, pageY, parentDomElems) {
    const elementsFromPoint = elem.shadowRoot.elementsFromPoint(pageX, pageY);
    const shadowElements = elementsFromPoint.filter((cur) => parentDomElems.indexOf(cur) === -1);
    let res = [];
    for (const elFromPoint of shadowElements) {
      if (!!elFromPoint?.shadowRoot && elFromPoint.shadowRoot !== elem.shadowRoot) {
        res = res.concat(this.getFromShadowRoot(elFromPoint, pageX, pageY, elementsFromPoint));
      }
      res.push(elFromPoint);
    }
    return res;
  }
  /**
   * @hidden
   * Dispatch custom igxDrop event based on current pointer position if there is last recorder drop area under the pointer.
   * Last recorder drop area is updated in @dispatchDragEvents method.
   */
  dispatchDropEvent(pageX, pageY, originalEvent) {
    const eventArgs = {
      startX: this._startX,
      startY: this._startY,
      pageX,
      pageY,
      owner: this,
      originalEvent
    };
    this.dispatchEvent(this._lastDropArea, "igxDrop", eventArgs);
    this.dispatchEvent(this._lastDropArea, "igxDragLeave", eventArgs);
    this._lastDropArea = null;
  }
  /**
   * @hidden
   */
  getElementsAtPoint(pageX, pageY) {
    const viewPortX = pageX - window.pageXOffset;
    const viewPortY = pageY - window.pageYOffset;
    if (document["msElementsFromPoint"]) {
      const elements = document["msElementsFromPoint"](viewPortX, viewPortY);
      return elements === null ? [] : elements;
    } else {
      return document.elementsFromPoint(viewPortX, viewPortY);
    }
  }
  /**
   * @hidden
   */
  dispatchEvent(target, eventName, eventArgs) {
    target.dispatchEvent(new CustomEvent(eventName, { detail: eventArgs }));
  }
  getTransformX(elem) {
    let posX = 0;
    if (elem.style.transform) {
      const matrix = elem.style.transform;
      const values = matrix ? matrix.match(/-?[\d\.]+/g) : void 0;
      posX = values ? Number(values[1]) : 0;
    }
    return posX;
  }
  getTransformY(elem) {
    let posY = 0;
    if (elem.style.transform) {
      const matrix = elem.style.transform;
      const values = matrix ? matrix.match(/-?[\d\.]+/g) : void 0;
      posY = values ? Number(values[2]) : 0;
    }
    return posY;
  }
  /** Method setting transformation to the base draggable element. */
  setTransformXY(x, y) {
    this.element.nativeElement.style.transform = "translate3d(" + x + "px, " + y + "px, 0px)";
  }
  /**
   * Since we are using absolute position to move the ghost, the ghost host might not have position: relative.
   * Combined with position static, this means that the absolute position in the browser is relative to the offsetParent.
   * The offsetParent is pretty much the closes parent that has position: relative, or if no such until it reaches the body.
   * That's why if this is the case, we need to know how much we should compensate for the ghostHost being offset from
   * its offsetParent.
   *
   * OffsetParent can be null in the case of position: fixed applied to the ghost host or display: none. In that case
   * just get the clientRects of the ghost host.
   */
  getGhostHostBaseOffsetX() {
    if (!this.ghostHost)
      return 0;
    const ghostPosition = document.defaultView.getComputedStyle(this.ghostHost).getPropertyValue("position");
    if (ghostPosition === "static" && this.ghostHost.offsetParent && this.ghostHost.offsetParent === document.body) {
      return 0;
    } else if (ghostPosition === "static" && this.ghostHost.offsetParent) {
      return this.ghostHost.offsetParent.getBoundingClientRect().left + this.windowScrollLeft;
    }
    return this.ghostHost.getBoundingClientRect().left + this.windowScrollLeft;
  }
  getGhostHostBaseOffsetY() {
    if (!this.ghostHost)
      return 0;
    const ghostPosition = document.defaultView.getComputedStyle(this.ghostHost).getPropertyValue("position");
    if (ghostPosition === "static" && this.ghostHost.offsetParent && this.ghostHost.offsetParent === document.body) {
      return 0;
    } else if (ghostPosition === "static" && this.ghostHost.offsetParent) {
      return this.ghostHost.offsetParent.getBoundingClientRect().top + this.windowScrollTop;
    }
    return this.ghostHost.getBoundingClientRect().top + this.windowScrollTop;
  }
  getContainerScrollDirection() {
    const containerBounds = this.scrollContainer ? this.scrollContainer.getBoundingClientRect() : null;
    const scrolledX = !this.scrollContainer ? this.windowScrollLeft > 0 : this.scrollContainer.scrollLeft > 0;
    const scrolledY = !this.scrollContainer ? this.windowScrollTop > 0 : this.scrollContainer.scrollTop > 0;
    const topBorder = (!this.scrollContainer ? 0 : containerBounds.top) + this.windowScrollTop + this._scrollContainerThreshold;
    const elementHeight = this.ghost && this.ghostElement ? this.ghostElement.offsetHeight : this.element.nativeElement.offsetHeight;
    const bottomBorder = (!this.scrollContainer ? window.innerHeight : containerBounds.bottom) + this.windowScrollTop - this._scrollContainerThreshold - elementHeight;
    const leftBorder = (!this.scrollContainer ? 0 : containerBounds.left) + this.windowScrollLeft + this._scrollContainerThreshold;
    const elementWidth = this.ghost && this.ghostElement ? this.ghostElement.offsetWidth : this.element.nativeElement.offsetWidth;
    const rightBorder = (!this.scrollContainer ? window.innerWidth : containerBounds.right) + this.windowScrollLeft - this._scrollContainerThreshold - elementWidth;
    if (this.pageY <= topBorder && scrolledY) {
      return DragScrollDirection.UP;
    } else if (this.pageY > bottomBorder) {
      return DragScrollDirection.DOWN;
    } else if (this.pageX < leftBorder && scrolledX) {
      return DragScrollDirection.LEFT;
    } else if (this.pageX > rightBorder) {
      return DragScrollDirection.RIGHT;
    }
    return null;
  }
  onScrollContainerStep(scrollDir) {
    animationFrameScheduler.schedule(() => {
      let xDir = scrollDir == DragScrollDirection.LEFT ? -1 : scrollDir == DragScrollDirection.RIGHT ? 1 : 0;
      let yDir = scrollDir == DragScrollDirection.UP ? -1 : scrollDir == DragScrollDirection.DOWN ? 1 : 0;
      if (!this.scrollContainer) {
        const maxScrollX = this._originalScrollContainerWidth - document.documentElement.clientWidth;
        const maxScrollY = this._originalScrollContainerHeight - document.documentElement.clientHeight;
        xDir = this.windowScrollLeft <= 0 && xDir < 0 || this.windowScrollLeft >= maxScrollX && xDir > 0 ? 0 : xDir;
        yDir = this.windowScrollTop <= 0 && yDir < 0 || this.windowScrollTop >= maxScrollY && yDir > 0 ? 0 : yDir;
      } else {
        const maxScrollX = this._originalScrollContainerWidth - this.scrollContainer.clientWidth;
        const maxScrollY = this._originalScrollContainerHeight - this.scrollContainer.clientHeight;
        xDir = this.scrollContainer.scrollLeft <= 0 && xDir < 0 || this.scrollContainer.scrollLeft >= maxScrollX && xDir > 0 ? 0 : xDir;
        yDir = this.scrollContainer.scrollTop <= 0 && yDir < 0 || this.scrollContainer.scrollTop >= maxScrollY && yDir > 0 ? 0 : yDir;
      }
      const scrollByX = xDir * this._scrollContainerStep;
      const scrollByY = yDir * this._scrollContainerStep;
      if (!this.scrollContainer) {
        window.scrollBy(scrollByX, scrollByY);
      } else {
        this.scrollContainer.scrollLeft += scrollByX;
        this.scrollContainer.scrollTop += scrollByY;
      }
      if (this.ghost && !this.scrollContainer) {
        this.ghostLeft += scrollByX;
        this.ghostTop += scrollByY;
      } else if (!this.ghost) {
        const translateX = this.getTransformX(this.element.nativeElement) + scrollByX;
        const translateY = this.getTransformY(this.element.nativeElement) + scrollByY;
        this.setTransformXY(translateX, translateY);
        if (!this.scrollContainer) {
          this._lastX += scrollByX;
          this._lastY += scrollByY;
        }
      }
    });
  }
  onScrollContainer() {
    const scrollDir = this.getContainerScrollDirection();
    if (scrollDir !== null && scrollDir !== void 0 && !this._containerScrollIntervalId) {
      this._originalScrollContainerWidth = this.scrollContainer ? this.scrollContainer.scrollWidth : this.windowScrollWidth;
      this._originalScrollContainerHeight = this.scrollContainer ? this.scrollContainer.scrollHeight : this.windowScrollHeight;
      this._containerScrollIntervalId = setInterval(() => this.onScrollContainerStep(scrollDir), this._scrollContainerStepMs);
    } else if ((scrollDir === null || scrollDir === void 0) && this._containerScrollIntervalId) {
      clearInterval(this._containerScrollIntervalId);
      this._containerScrollIntervalId = null;
    }
  }
  static {
    this.ɵfac = i025.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: _IgxDragDirective, deps: [{ token: i025.ChangeDetectorRef }, { token: i025.ElementRef }, { token: i025.ViewContainerRef }, { token: i025.NgZone }, { token: i025.Renderer2 }, { token: PlatformUtil }], target: i025.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i025.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDragDirective, isStandalone: true, selector: "[igxDrag]", inputs: { data: ["igxDrag", "data"], dragTolerance: "dragTolerance", dragDirection: "dragDirection", dragChannel: "dragChannel", ghost: ["ghost", "ghost", booleanAttribute8], ghostClass: "ghostClass", ghostStyle: "ghostStyle", ghostTemplate: "ghostTemplate", ghostHost: "ghostHost", scrollContainer: "scrollContainer", ghostOffsetX: "ghostOffsetX", ghostOffsetY: "ghostOffsetY" }, outputs: { dragStart: "dragStart", dragMove: "dragMove", dragEnd: "dragEnd", dragClick: "dragClick", ghostCreate: "ghostCreate", ghostDestroy: "ghostDestroy", transitioned: "transitioned" }, host: { properties: { "class.igx-drag": "this.baseClass", "class.igx-drag--select-disabled": "this.selectDisabled" } }, queries: [{ propertyName: "dragHandles", predicate: IgxDragHandleDirective, descendants: true }, { propertyName: "dragIgnoredElems", predicate: IgxDragIgnoreDirective, descendants: true }], exportAs: ["drag"], ngImport: i025 });
  }
};
i025.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: IgxDragDirective, decorators: [{
  type: Directive14,
  args: [{
    exportAs: "drag",
    selector: "[igxDrag]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i025.ChangeDetectorRef }, { type: i025.ElementRef }, { type: i025.ViewContainerRef }, { type: i025.NgZone }, { type: i025.Renderer2 }, { type: PlatformUtil }], propDecorators: { data: [{
  type: Input14,
  args: ["igxDrag"]
}], dragTolerance: [{
  type: Input14
}], dragDirection: [{
  type: Input14
}], dragChannel: [{
  type: Input14
}], ghost: [{
  type: Input14,
  args: [{ transform: booleanAttribute8 }]
}], ghostClass: [{
  type: Input14
}], ghostStyle: [{
  type: Input14
}], ghostTemplate: [{
  type: Input14
}], ghostHost: [{
  type: Input14
}], scrollContainer: [{
  type: Input14
}], dragStart: [{
  type: Output6
}], dragMove: [{
  type: Output6
}], dragEnd: [{
  type: Output6
}], dragClick: [{
  type: Output6
}], ghostCreate: [{
  type: Output6
}], ghostDestroy: [{
  type: Output6
}], transitioned: [{
  type: Output6
}], dragHandles: [{
  type: ContentChildren2,
  args: [IgxDragHandleDirective, { descendants: true }]
}], dragIgnoredElems: [{
  type: ContentChildren2,
  args: [IgxDragIgnoreDirective, { descendants: true }]
}], baseClass: [{
  type: HostBinding11,
  args: ["class.igx-drag"]
}], selectDisabled: [{
  type: HostBinding11,
  args: ["class.igx-drag--select-disabled"]
}], ghostOffsetX: [{
  type: Input14
}], ghostOffsetY: [{
  type: Input14
}] } });
var IgxDropDirective = class _IgxDropDirective {
  /**
   * - Save data inside the `igxDrop` directive. This can be set when instancing `igxDrop` on an element.
   * ```html
   * <div [igxDrop]="{ source: myElement }"></div>
   * ```
   *
   * @memberof IgxDropDirective
   */
  set data(v) {
    this._data = v;
  }
  get data() {
    return this._data;
  }
  /**
   * Sets a drop strategy type that will be executed when an `IgxDrag` element is released inside
   *  the current drop area. The provided strategies are:
   *  - IgxDefaultDropStrategy - This is the default base strategy and it doesn't perform any actions.
   *  - IgxAppendDropStrategy - Appends the dropped element to last position as a direct child to the `igxDrop`.
   *  - IgxPrependDropStrategy - Prepends the dropped element to first position as a direct child to the `igxDrop`.
   *  - IgxInsertDropStrategy - If the dropped element is released above a child element of the `igxDrop`, it will be inserted
   *      at that position. Otherwise the dropped element will be appended if released outside any child of the `igxDrop`.
   * ```html
   * <div igxDrag>
   *      <span>DragMe</span>
   * </div>
   * <div igxDrop [dropStrategy]="myDropStrategy">
   *         <span>Numbers drop area!</span>
   * </div>
   * ```
   * ```typescript
   * import { IgxAppendDropStrategy } from 'igniteui-angular';
   *
   * export class App {
   *      public myDropStrategy = IgxAppendDropStrategy;
   * }
   * ```
   *
   * @memberof IgxDropDirective
   */
  set dropStrategy(classRef) {
    this._dropStrategy = new classRef(this._renderer);
  }
  get dropStrategy() {
    return this._dropStrategy;
  }
  constructor(element, _renderer, _zone) {
    this.element = element;
    this._renderer = _renderer;
    this._zone = _zone;
    this.enter = new EventEmitter13();
    this.over = new EventEmitter13();
    this.leave = new EventEmitter13();
    this.dropped = new EventEmitter13();
    this.droppable = true;
    this.dragover = false;
    this._destroy = new Subject6();
    this._dropStrategy = new IgxDefaultDropStrategy();
  }
  /**
   * @hidden
   */
  onDragDrop(event) {
    if (!this.isDragLinked(event.detail.owner)) {
      return;
    }
    const elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
    const elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
    const offsetX = event.detail.pageX - elementPosX;
    const offsetY = event.detail.pageY - elementPosY;
    const args = {
      owner: this,
      originalEvent: event.detail.originalEvent,
      drag: event.detail.owner,
      dragData: event.detail.owner.data,
      startX: event.detail.startX,
      startY: event.detail.startY,
      pageX: event.detail.pageX,
      pageY: event.detail.pageY,
      offsetX,
      offsetY,
      cancel: false
    };
    this._zone.run(() => {
      this.dropped.emit(args);
    });
    if (this._dropStrategy && !args.cancel) {
      const elementsAtPoint = event.detail.owner.getElementsAtPoint(event.detail.pageX, event.detail.pageY);
      const insertIndex = this.getInsertIndexAt(event.detail.owner, elementsAtPoint);
      this._dropStrategy.dropAction(event.detail.owner, this, insertIndex);
    }
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this._zone.runOutsideAngular(() => {
      fromEvent2(this.element.nativeElement, "igxDragEnter").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onDragEnter(res));
      fromEvent2(this.element.nativeElement, "igxDragLeave").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onDragLeave(res));
      fromEvent2(this.element.nativeElement, "igxDragOver").pipe(takeUntil4(this._destroy)).subscribe((res) => this.onDragOver(res));
    });
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._destroy.next(true);
    this._destroy.complete();
  }
  /**
   * @hidden
   */
  onDragOver(event) {
    const elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
    const elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
    const offsetX = event.detail.pageX - elementPosX;
    const offsetY = event.detail.pageY - elementPosY;
    const eventArgs = {
      originalEvent: event.detail.originalEvent,
      owner: this,
      drag: event.detail.owner,
      dragData: event.detail.owner.data,
      startX: event.detail.startX,
      startY: event.detail.startY,
      pageX: event.detail.pageX,
      pageY: event.detail.pageY,
      offsetX,
      offsetY
    };
    this.over.emit(eventArgs);
  }
  /**
   * @hidden
   */
  onDragEnter(event) {
    if (!this.isDragLinked(event.detail.owner)) {
      return;
    }
    this.dragover = true;
    const elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
    const elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
    const offsetX = event.detail.pageX - elementPosX;
    const offsetY = event.detail.pageY - elementPosY;
    const eventArgs = {
      originalEvent: event.detail.originalEvent,
      owner: this,
      drag: event.detail.owner,
      dragData: event.detail.owner.data,
      startX: event.detail.startX,
      startY: event.detail.startY,
      pageX: event.detail.pageX,
      pageY: event.detail.pageY,
      offsetX,
      offsetY
    };
    this._zone.run(() => {
      this.enter.emit(eventArgs);
    });
  }
  /**
   * @hidden
   */
  onDragLeave(event) {
    if (!this.isDragLinked(event.detail.owner)) {
      return;
    }
    this.dragover = false;
    const elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
    const elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
    const offsetX = event.detail.pageX - elementPosX;
    const offsetY = event.detail.pageY - elementPosY;
    const eventArgs = {
      originalEvent: event.detail.originalEvent,
      owner: this,
      drag: event.detail.owner,
      dragData: event.detail.owner.data,
      startX: event.detail.startX,
      startY: event.detail.startY,
      pageX: event.detail.pageX,
      pageY: event.detail.pageY,
      offsetX,
      offsetY
    };
    this._zone.run(() => {
      this.leave.emit(eventArgs);
    });
  }
  getWindowScrollTop() {
    return window.scrollY ? window.scrollY : window.pageYOffset ? window.pageYOffset : 0;
  }
  getWindowScrollLeft() {
    return window.scrollX ? window.scrollX : window.pageXOffset ? window.pageXOffset : 0;
  }
  isDragLinked(drag) {
    const dragLinkArray = drag.dragChannel instanceof Array;
    const dropLinkArray = this.dropChannel instanceof Array;
    if (!dragLinkArray && !dropLinkArray) {
      return this.dropChannel === drag.dragChannel;
    } else if (!dragLinkArray && dropLinkArray) {
      const dropLinks = this.dropChannel;
      for (const link of dropLinks) {
        if (link === drag.dragChannel) {
          return true;
        }
      }
    } else if (dragLinkArray && !dropLinkArray) {
      const dragLinks = drag.dragChannel;
      for (const link of dragLinks) {
        if (link === this.dropChannel) {
          return true;
        }
      }
    } else {
      const dragLinks = drag.dragChannel;
      const dropLinks = this.dropChannel;
      for (const draglink of dragLinks) {
        for (const droplink of dropLinks) {
          if (draglink === droplink) {
            return true;
          }
        }
      }
    }
    return false;
  }
  getInsertIndexAt(draggedDir, elementsAtPoint) {
    let insertIndex = -1;
    const dropChildren = Array.prototype.slice.call(this.element.nativeElement.children);
    if (!dropChildren.length) {
      return insertIndex;
    }
    let i = 0;
    let childUnder = null;
    while (!childUnder && i < elementsAtPoint.length) {
      if (elementsAtPoint[i].parentElement === this.element.nativeElement) {
        childUnder = elementsAtPoint[i];
      }
      i++;
    }
    const draggedElemIndex = dropChildren.indexOf(draggedDir.element.nativeElement);
    insertIndex = dropChildren.indexOf(childUnder);
    if (draggedElemIndex !== -1 && draggedElemIndex < insertIndex) {
      insertIndex++;
    }
    return insertIndex;
  }
  static {
    this.ɵfac = i025.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: _IgxDropDirective, deps: [{ token: i025.ElementRef }, { token: i025.Renderer2 }, { token: i025.NgZone }], target: i025.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i025.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDropDirective, isStandalone: true, selector: "[igxDrop]", inputs: { data: ["igxDrop", "data"], dropChannel: "dropChannel", dropStrategy: "dropStrategy" }, outputs: { enter: "enter", over: "over", leave: "leave", dropped: "dropped" }, host: { listeners: { "igxDrop": "onDragDrop($event)" }, properties: { "attr.droppable": "this.droppable", "class.dragOver": "this.dragover" } }, exportAs: ["drop"], ngImport: i025 });
  }
};
i025.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i025, type: IgxDropDirective, decorators: [{
  type: Directive14,
  args: [{
    exportAs: "drop",
    selector: "[igxDrop]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i025.ElementRef }, { type: i025.Renderer2 }, { type: i025.NgZone }], propDecorators: { data: [{
  type: Input14,
  args: ["igxDrop"]
}], dropChannel: [{
  type: Input14
}], dropStrategy: [{
  type: Input14
}], enter: [{
  type: Output6
}], over: [{
  type: Output6
}], leave: [{
  type: Output6
}], dropped: [{
  type: Output6
}], droppable: [{
  type: HostBinding11,
  args: ["attr.droppable"]
}], dragover: [{
  type: HostBinding11,
  args: ["class.dragOver"]
}], onDragDrop: [{
  type: HostListener7,
  args: ["igxDrop", ["$event"]]
}] } });

// lib/directives/drag-drop/public_api.mjs
var IGX_DRAG_DROP_DIRECTIVES = [
  IgxDragDirective,
  IgxDropDirective,
  IgxDragHandleDirective,
  IgxDragIgnoreDirective
];

// lib/directives/filter/filter.directive.mjs
import { Directive as Directive15, EventEmitter as EventEmitter14, Input as Input15, Output as Output7, Pipe } from "@angular/core";
import * as i026 from "@angular/core";
var IgxFilterOptions = class {
  constructor() {
    this.inputValue = "";
  }
  // Function - get value to be tested from the item
  // item - single item of the list to be filtered
  // key - property name of item, which value should be tested
  // Default behavior - returns "key"- named property value of item if key is provided,
  // otherwise textContent of the item's html element
  get_value(item, key) {
    let result = "";
    if (key && item[key]) {
      result = item[key].toString();
    } else if (item.element) {
      if (item.element.nativeElement) {
        result = item.element.nativeElement.textContent.trim();
      } else if (item.element.textContent) {
        result = item.element.textContent.trim();
      }
    }
    return result;
  }
  // Function - formats the original text before matching process
  // Default behavior - returns text to lower case
  formatter(valueToTest) {
    return valueToTest.toLowerCase();
  }
  // Function - determines whether the item met the condition
  // valueToTest - text value that should be tested
  // inputValue - text value from input that condition is based on
  // Default behavior - "contains"
  matchFn(valueToTest, inputValue) {
    return valueToTest.indexOf(inputValue && inputValue.toLowerCase() || "") > -1;
  }
  // Function - executed after matching test for every matched item
  // Default behavior - shows the item
  metConditionFn(item) {
    if (item.hasOwnProperty("hidden")) {
      item.hidden = false;
    }
  }
  // Function - executed for every NOT matched item after matching test
  // Default behavior - hides the item
  overdueConditionFn(item) {
    if (item.hasOwnProperty("hidden")) {
      item.hidden = true;
    }
  }
};
var IgxFilterDirective = class _IgxFilterDirective {
  constructor() {
    this.filtering = new EventEmitter14(false);
    this.filtered = new EventEmitter14();
  }
  ngOnChanges(changes) {
    if (changes.filterOptions && changes.filterOptions.currentValue && changes.filterOptions.currentValue.inputValue !== void 0 && changes.filterOptions.previousValue && changes.filterOptions.currentValue.inputValue !== changes.filterOptions.previousValue.inputValue) {
      this.filter();
    }
  }
  filter() {
    if (!this.filterOptions.items) {
      return;
    }
    const args = { cancel: false, items: this.filterOptions.items };
    this.filtering.emit(args);
    if (args.cancel) {
      return;
    }
    const pipe2 = new IgxFilterPipe();
    const filtered = pipe2.transform(this.filterOptions.items, this.filterOptions);
    this.filtered.emit({ filteredItems: filtered });
  }
  static {
    this.ɵfac = i026.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i026, type: _IgxFilterDirective, deps: [], target: i026.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i026.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxFilterDirective, isStandalone: true, selector: "[igxFilter]", inputs: { filterOptions: ["igxFilter", "filterOptions"] }, outputs: { filtering: "filtering", filtered: "filtered" }, usesOnChanges: true, ngImport: i026 });
  }
};
i026.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i026, type: IgxFilterDirective, decorators: [{
  type: Directive15,
  args: [{
    selector: "[igxFilter]",
    standalone: true
  }]
}], ctorParameters: () => [], propDecorators: { filtering: [{
  type: Output7
}], filtered: [{
  type: Output7
}], filterOptions: [{
  type: Input15,
  args: ["igxFilter"]
}] } });
var IgxFilterPipe = class _IgxFilterPipe {
  findMatchByKey(item, options, key) {
    const match = options.matchFn(options.formatter(options.get_value(item, key)), options.inputValue);
    if (match) {
      if (options.metConditionFn) {
        options.metConditionFn(item);
      }
    } else {
      if (options.overdueConditionFn) {
        options.overdueConditionFn(item);
      }
    }
    return match;
  }
  transform(items, options) {
    let result = [];
    if (!items || !items.length || !options) {
      return;
    }
    if (options.items) {
      items = options.items;
    }
    result = items.filter((item) => {
      if (!Array.isArray(options.key)) {
        return this.findMatchByKey(item, options, options.key);
      } else {
        let isMatch = false;
        options.key.forEach((key) => {
          if (this.findMatchByKey(item, options, key)) {
            isMatch = true;
          }
        });
        return isMatch;
      }
    });
    return result;
  }
  static {
    this.ɵfac = i026.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i026, type: _IgxFilterPipe, deps: [], target: i026.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i026.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i026, type: _IgxFilterPipe, isStandalone: true, name: "igxFilter", pure: false });
  }
};
i026.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i026, type: IgxFilterPipe, decorators: [{
  type: Pipe,
  args: [{
    name: "igxFilter",
    pure: false,
    standalone: true
  }]
}] });

// lib/core/edit-provider.mjs
import { InjectionToken as InjectionToken4 } from "@angular/core";
var EDITOR_PROVIDER = new InjectionToken4("EditorProvider");

// lib/directives/focus/focus.directive.mjs
import { Directive as Directive16, Input as Input16, Optional as Optional10, Inject as Inject12, Self as Self4, booleanAttribute as booleanAttribute9 } from "@angular/core";
import { NG_VALUE_ACCESSOR } from "@angular/forms";
import * as i027 from "@angular/core";
var IgxFocusDirective = class _IgxFocusDirective {
  /**
   * Returns the state of the igxFocus.
   * ```typescript
   * @ViewChild('focusContainer', {read: IgxFocusDirective})
   * public igxFocus: IgxFocusDirective;
   * let isFocusOn = this.igxFocus.focused;
   * ```
   *
   * @memberof IgxFocusDirective
   */
  get focused() {
    return this.focusState;
  }
  /**
   * Sets the state of the igxFocus.
   * ```html
   * <igx-input-group >
   *  <input #focusContainer igxInput [igxFocus]="true"/>
   * </igx-input-group>
   * ```
   *
   * @memberof IgxFocusDirective
   */
  set focused(val) {
    this.focusState = val;
    this.trigger();
  }
  /**
   * Gets the native element of the igxFocus.
   * ```typescript
   * @ViewChild('focusContainer', {read: IgxFocusDirective})
   * public igxFocus: IgxFocusDirective;
   * let igxFocusNativeElement = this.igxFocus.nativeElement;
   * ```
   *
   * @memberof IgxFocusDirective
   */
  get nativeElement() {
    if (this.comp && this.comp[0] && this.comp[0].getEditElement) {
      return this.comp[0].getEditElement();
    }
    if (this.control && this.control[0] && this.control[0].getEditElement) {
      return this.control[0].getEditElement();
    }
    return this.element.nativeElement;
  }
  constructor(element, comp, control) {
    this.element = element;
    this.comp = comp;
    this.control = control;
    this.focusState = true;
  }
  /**
   * Triggers the igxFocus state.
   * ```typescript
   * @ViewChild('focusContainer', {read: IgxFocusDirective})
   * public igxFocus: IgxFocusDirective;
   * this.igxFocus.trigger();
   * ```
   *
   * @memberof IgxFocusDirective
   */
  trigger() {
    if (this.focusState) {
      requestAnimationFrame(() => this.nativeElement.focus({ preventScroll: true }));
    }
  }
  static {
    this.ɵfac = i027.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i027, type: _IgxFocusDirective, deps: [{ token: i027.ElementRef }, { token: NG_VALUE_ACCESSOR, optional: true, self: true }, { token: EDITOR_PROVIDER, optional: true, self: true }], target: i027.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i027.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxFocusDirective, isStandalone: true, selector: "[igxFocus]", inputs: { focused: ["igxFocus", "focused", booleanAttribute9] }, exportAs: ["igxFocus"], ngImport: i027 });
  }
};
i027.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i027, type: IgxFocusDirective, decorators: [{
  type: Directive16,
  args: [{
    exportAs: "igxFocus",
    selector: "[igxFocus]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i027.ElementRef }, { type: void 0, decorators: [{
  type: Inject12,
  args: [NG_VALUE_ACCESSOR]
}, {
  type: Self4
}, {
  type: Optional10
}] }, { type: void 0, decorators: [{
  type: Inject12,
  args: [EDITOR_PROVIDER]
}, {
  type: Self4
}, {
  type: Optional10
}] }], propDecorators: { focused: [{
  type: Input16,
  args: [{ alias: "igxFocus", transform: booleanAttribute9 }]
}] } });

// lib/directives/focus-trap/focus-trap.directive.mjs
import { Directive as Directive17, Input as Input17, booleanAttribute as booleanAttribute10 } from "@angular/core";
import { fromEvent as fromEvent3, Subject as Subject7 } from "rxjs";
import { takeUntil as takeUntil5 } from "rxjs/operators";
import * as i028 from "@angular/core";
var IgxFocusTrapDirective = class _IgxFocusTrapDirective {
  /** @hidden */
  get element() {
    return this.elementRef.nativeElement;
  }
  /** @hidden */
  constructor(elementRef, platformUtil) {
    this.elementRef = elementRef;
    this.platformUtil = platformUtil;
    this.destroy$ = new Subject7();
    this._focusTrap = true;
  }
  /**
   * Sets whether the Tab key focus is trapped within the element.
   *
   * @example
   * ```html
   * <div igxFocusTrap="true"></div>
   * ```
   */
  set focusTrap(focusTrap) {
    this._focusTrap = focusTrap;
  }
  /** @hidden */
  get focusTrap() {
    return this._focusTrap;
  }
  /** @hidden */
  ngAfterViewInit() {
    fromEvent3(this.element, "keydown").pipe(takeUntil5(this.destroy$)).subscribe((event) => {
      if (this._focusTrap && event.key === this.platformUtil.KEYMAP.TAB) {
        this.handleTab(event);
      }
    });
  }
  /** @hidden */
  ngOnDestroy() {
    this.destroy$.complete();
  }
  handleTab(event) {
    const elements = this.getFocusableElements(this.element);
    if (elements.length > 0) {
      const focusedElement = this.getFocusedElement();
      const focusedElementIndex = elements.findIndex((element) => element === focusedElement);
      const direction = event.shiftKey ? -1 : 1;
      let nextFocusableElementIndex = focusedElementIndex + direction;
      if (nextFocusableElementIndex < 0) {
        nextFocusableElementIndex = elements.length - 1;
      }
      if (nextFocusableElementIndex >= elements.length) {
        nextFocusableElementIndex = 0;
      }
      elements[nextFocusableElementIndex].focus();
    } else {
      this.element.focus();
    }
    event.preventDefault();
  }
  getFocusableElements(element) {
    return Array.from(element.querySelectorAll('a[href], button, input, textarea, select, details,[tabindex]:not([tabindex="-1"])')).filter((el) => !el.hasAttribute("disabled") && !el.getAttribute("aria-hidden"));
  }
  getFocusedElement() {
    let activeElement = typeof document !== "undefined" && document ? document.activeElement : null;
    while (activeElement && activeElement.shadowRoot) {
      const newActiveElement = activeElement.shadowRoot.activeElement;
      if (newActiveElement === activeElement) {
        break;
      } else {
        activeElement = newActiveElement;
      }
    }
    return activeElement;
  }
  static {
    this.ɵfac = i028.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i028, type: _IgxFocusTrapDirective, deps: [{ token: i028.ElementRef }, { token: PlatformUtil }], target: i028.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i028.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxFocusTrapDirective, isStandalone: true, selector: "[igxFocusTrap]", inputs: { focusTrap: ["igxFocusTrap", "focusTrap", booleanAttribute10] }, ngImport: i028 });
  }
};
i028.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i028, type: IgxFocusTrapDirective, decorators: [{
  type: Directive17,
  args: [{
    selector: "[igxFocusTrap]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i028.ElementRef }, { type: PlatformUtil }], propDecorators: { focusTrap: [{
  type: Input17,
  args: [{ alias: "igxFocusTrap", transform: booleanAttribute10 }]
}] } });

// lib/directives/scroll-inertia/scroll_inertia.directive.mjs
import { Directive as Directive18, Input as Input18 } from "@angular/core";
import * as i029 from "@angular/core";
var IgxScrollInertiaDirective = class _IgxScrollInertiaDirective {
  constructor(element, _zone) {
    this.element = element;
    this._zone = _zone;
    this.wheelStep = 50;
    this.inertiaStep = 1.5;
    this.smoothingStep = 1.5;
    this.smoothingDuration = 0.5;
    this.swipeToleranceX = 20;
    this.inertiaDeltaY = 3;
    this.inertiaDeltaX = 2;
    this.inertiaDuration = 0.5;
    this._savedSpeedsX = [];
    this.baseDeltaMultiplier = 1 / 120;
    this.firefoxDeltaMultiplier = 1 / 30;
  }
  ngOnInit() {
    this._zone.runOutsideAngular(() => {
      this.parentElement = this.element.nativeElement.parentElement || this.element.nativeElement.parentNode;
      if (!this.parentElement) {
        return;
      }
      const targetElem = this.parentElement;
      targetElem.addEventListener("wheel", this.onWheel.bind(this));
      targetElem.addEventListener("touchstart", this.onTouchStart.bind(this));
      targetElem.addEventListener("touchmove", this.onTouchMove.bind(this));
      targetElem.addEventListener("touchend", this.onTouchEnd.bind(this));
    });
  }
  ngOnDestroy() {
    this._zone.runOutsideAngular(() => {
      const targetElem = this.parentElement;
      if (!targetElem) {
        return;
      }
      targetElem.removeEventListener("wheel", this.onWheel);
      targetElem.removeEventListener("touchstart", this.onTouchStart);
      targetElem.removeEventListener("touchmove", this.onTouchMove);
      targetElem.removeEventListener("touchend", this.onTouchEnd);
    });
  }
  /**
   * @hidden
   * Function that is called when scrolling with the mouse wheel or using touchpad
   */
  onWheel(evt) {
    if (!this.IgxScrollInertiaScrollContainer) {
      return;
    }
    if (evt.ctrlKey) {
      return;
    }
    let scrollDeltaX;
    let scrollDeltaY;
    const scrollStep = this.wheelStep;
    const minWheelStep = 1 / this.wheelStep;
    const smoothing = this.smoothingDuration !== 0;
    this._startX = this.IgxScrollInertiaScrollContainer.scrollLeft;
    this._startY = this.IgxScrollInertiaScrollContainer.scrollTop;
    if (evt.wheelDeltaX) {
      scrollDeltaX = -evt.wheelDeltaX * this.baseDeltaMultiplier;
      if (-minWheelStep < scrollDeltaX && scrollDeltaX < minWheelStep) {
        scrollDeltaX = Math.sign(scrollDeltaX) * minWheelStep;
      }
    } else if (evt.deltaX) {
      const deltaScaledX = evt.deltaX * (evt.deltaMode === 0 ? this.firefoxDeltaMultiplier : 1);
      scrollDeltaX = this.calcAxisCoords(deltaScaledX, -1, 1);
    }
    if (evt.wheelDeltaY) {
      scrollDeltaY = -evt.wheelDeltaY * this.baseDeltaMultiplier;
      if (-minWheelStep < scrollDeltaY && scrollDeltaY < minWheelStep) {
        scrollDeltaY = Math.sign(scrollDeltaY) * minWheelStep;
      }
    } else if (evt.deltaY) {
      const deltaScaledY = evt.deltaY * (evt.deltaMode === 0 ? this.firefoxDeltaMultiplier : 1);
      scrollDeltaY = this.calcAxisCoords(deltaScaledY, -1, 1);
    }
    if (evt.composedPath && this.didChildScroll(evt, scrollDeltaX, scrollDeltaY)) {
      return;
    }
    if (scrollDeltaX && this.IgxScrollInertiaDirection === "horizontal") {
      const nextLeft = this._startX + scrollDeltaX * scrollStep;
      if (!smoothing) {
        this._scrollToX(nextLeft);
      } else {
        this._smoothWheelScroll(scrollDeltaX);
      }
      const maxScrollLeft = parseInt(this.IgxScrollInertiaScrollContainer.children[0].style.width, 10);
      if (0 < nextLeft && nextLeft < maxScrollLeft) {
        evt.preventDefault();
      }
    } else if (evt.shiftKey && scrollDeltaY && this.IgxScrollInertiaDirection === "horizontal") {
      if (!smoothing) {
        const step = this._startX + scrollDeltaY * scrollStep;
        this._scrollToX(step);
      } else {
        this._smoothWheelScroll(scrollDeltaY);
      }
    } else if (!evt.shiftKey && scrollDeltaY && this.IgxScrollInertiaDirection === "vertical") {
      const nextTop = this._startY + scrollDeltaY * scrollStep;
      if (!smoothing) {
        this._scrollToY(nextTop);
      } else {
        this._smoothWheelScroll(scrollDeltaY);
      }
      this.preventParentScroll(evt, true, nextTop);
    }
  }
  /**
   * @hidden
   * When there is still room to scroll up/down prevent the parent elements from scrolling too.
   */
  preventParentScroll(evt, preventDefault, nextTop = 0) {
    const curScrollTop = nextTop === 0 ? this.IgxScrollInertiaScrollContainer.scrollTop : nextTop;
    const maxScrollTop = this.IgxScrollInertiaScrollContainer.children[0].scrollHeight - this.IgxScrollInertiaScrollContainer.offsetHeight;
    if (0 < curScrollTop && curScrollTop < maxScrollTop) {
      if (preventDefault) {
        evt.preventDefault();
      }
      if (evt.stopPropagation) {
        evt.stopPropagation();
      }
    }
  }
  /**
   * @hidden
   * Checks if the wheel event would have scrolled an element under the display container
   * in DOM tree so that it can correctly be ignored until that element can no longer be scrolled.
   */
  didChildScroll(evt, scrollDeltaX, scrollDeltaY) {
    const path = evt.composedPath();
    let i = 0;
    while (i < path.length && path[i].localName !== "igx-display-container") {
      const e = path[i++];
      if (e.scrollHeight > e.clientHeight) {
        const overflowY = window.getComputedStyle(e)["overflow-y"];
        if (overflowY === "auto" || overflowY === "scroll") {
          if (scrollDeltaY > 0 && e.scrollHeight - Math.abs(Math.round(e.scrollTop)) !== e.clientHeight) {
            return true;
          }
          if (scrollDeltaY < 0 && e.scrollTop !== 0) {
            return true;
          }
        }
      }
      if (e.scrollWidth > e.clientWidth) {
        const overflowX = window.getComputedStyle(e)["overflow-x"];
        if (overflowX === "auto" || overflowX === "scroll") {
          if (scrollDeltaX > 0 && e.scrollWidth - Math.abs(Math.round(e.scrollLeft)) !== e.clientWidth) {
            return true;
          }
          if (scrollDeltaX < 0 && e.scrollLeft !== 0) {
            return true;
          }
        }
      }
    }
    return false;
  }
  /**
   * @hidden
   * Function that is called the first moment we start interacting with the content on a touch device
   */
  onTouchStart(event) {
    if (!this.IgxScrollInertiaScrollContainer) {
      return false;
    }
    cancelAnimationFrame(this._touchInertiaAnimID);
    const touch = event.touches[0];
    this._startX = this.IgxScrollInertiaScrollContainer.scrollLeft;
    this._startY = this.IgxScrollInertiaScrollContainer.scrollTop;
    this._touchStartX = touch.pageX;
    this._touchStartY = touch.pageY;
    this._lastTouchEnd = (/* @__PURE__ */ new Date()).getTime();
    this._lastTouchX = touch.pageX;
    this._lastTouchY = touch.pageY;
    this._savedSpeedsX = [];
    this._savedSpeedsY = [];
    this._totalMovedX = 0;
    this._offsetRecorded = false;
    this._offsetDirection = 0;
    if (this.IgxScrollInertiaDirection === "vertical") {
      this.preventParentScroll(event, false);
    }
  }
  /**
   * @hidden
   * Function that is called when we need to scroll the content based on touch interactions
   */
  onTouchMove(event) {
    if (!this.IgxScrollInertiaScrollContainer) {
      return;
    }
    const touch = event.touches[0];
    const destX = this._startX + (this._touchStartX - touch.pageX) * Math.sign(this.inertiaStep);
    const destY = this._startY + (this._touchStartY - touch.pageY) * Math.sign(this.inertiaStep);
    const timeFromLastTouch = (/* @__PURE__ */ new Date()).getTime() - this._lastTouchEnd;
    if (timeFromLastTouch !== 0 && timeFromLastTouch < 100) {
      const speedX = (this._lastTouchX - touch.pageX) / timeFromLastTouch;
      const speedY = (this._lastTouchY - touch.pageY) / timeFromLastTouch;
      if (this._savedSpeedsX.length < 5) {
        this._savedSpeedsX.push(speedX);
      } else {
        this._savedSpeedsX.shift();
        this._savedSpeedsX.push(speedX);
      }
      if (this._savedSpeedsY.length < 5) {
        this._savedSpeedsY.push(speedY);
      } else {
        this._savedSpeedsY.shift();
        this._savedSpeedsY.push(speedY);
      }
    }
    this._lastTouchEnd = (/* @__PURE__ */ new Date()).getTime();
    this._lastMovedX = this._lastTouchX - touch.pageX;
    this._lastMovedY = this._lastTouchY - touch.pageY;
    this._lastTouchX = touch.pageX;
    this._lastTouchY = touch.pageY;
    this._totalMovedX += this._lastMovedX;
    if (Math.abs(this._totalMovedX) < this.swipeToleranceX && !this._offsetRecorded) {
      this._scrollTo(this._startX, destY);
    } else {
      if (!this._offsetRecorded) {
        this._offsetDirection = Math.sign(destX - this._startX);
        this._offsetRecorded = true;
      }
      this._scrollTo(destX - this._offsetDirection * this.swipeToleranceX, destY);
    }
    if (this.IgxScrollInertiaDirection === "vertical") {
      this.preventParentScroll(event, true);
    }
  }
  onTouchEnd(event) {
    let speedX = 0;
    let speedY = 0;
    for (let i = 0; i < this._savedSpeedsX.length; i++) {
      speedX += this._savedSpeedsX[i];
      speedY += this._savedSpeedsY[i];
    }
    speedX = this._savedSpeedsX.length ? speedX / this._savedSpeedsX.length : 0;
    speedY = this._savedSpeedsX.length ? speedY / this._savedSpeedsY.length : 0;
    if ((Math.abs(speedX) > 0.1 || Math.abs(speedY) > 0.1) && (Math.abs(this._lastMovedX) > 2 || Math.abs(this._lastMovedY) > 2)) {
      this._inertiaInit(speedX, speedY);
    }
    if (this.IgxScrollInertiaDirection === "vertical") {
      this.preventParentScroll(event, false);
    }
  }
  _smoothWheelScroll(delta) {
    this._nextY = this.IgxScrollInertiaScrollContainer.scrollTop;
    this._nextX = this.IgxScrollInertiaScrollContainer.scrollLeft;
    let x = -1;
    let wheelInertialAnimation = null;
    const inertiaWheelStep = () => {
      if (x > 1) {
        cancelAnimationFrame(wheelInertialAnimation);
        return;
      }
      const nextScroll = (-3 * x * x + 3) * delta * 2 * this.smoothingStep;
      if (this.IgxScrollInertiaDirection === "vertical") {
        this._nextY += nextScroll;
        this._scrollToY(this._nextY);
      } else {
        this._nextX += nextScroll;
        this._scrollToX(this._nextX);
      }
      x += 0.08 * (1 / this.smoothingDuration);
      wheelInertialAnimation = requestAnimationFrame(inertiaWheelStep);
    };
    wheelInertialAnimation = requestAnimationFrame(inertiaWheelStep);
  }
  _inertiaInit(speedX, speedY) {
    const stepModifer = this.inertiaStep;
    const inertiaDuration = this.inertiaDuration;
    let x = 0;
    this._nextX = this.IgxScrollInertiaScrollContainer.scrollLeft;
    this._nextY = this.IgxScrollInertiaScrollContainer.scrollTop;
    const inertiaStep = () => {
      if (x > 6) {
        cancelAnimationFrame(this._touchInertiaAnimID);
        return;
      }
      if (Math.abs(speedX) > Math.abs(speedY)) {
        x += 0.05 / (1 * inertiaDuration);
      } else {
        x += 0.05 / (1 * inertiaDuration);
      }
      if (x <= 1) {
        if (Math.abs(speedY) <= Math.abs(speedX) * this.inertiaDeltaY) {
          this._nextX += 1 * speedX * 15 * stepModifer;
        }
        if (Math.abs(speedY) >= Math.abs(speedX) * this.inertiaDeltaX) {
          this._nextY += 1 * speedY * 15 * stepModifer;
        }
      } else {
        if (Math.abs(speedY) <= Math.abs(speedX) * this.inertiaDeltaY) {
          this._nextX += Math.abs(2 / (x + 0.55) - 0.3) * speedX * 15 * stepModifer;
        }
        if (Math.abs(speedY) >= Math.abs(speedX) * this.inertiaDeltaX) {
          this._nextY += Math.abs(2 / (x + 0.55) - 0.3) * speedY * 15 * stepModifer;
        }
      }
      this._scrollTo(this._nextX, this._nextY);
      this._touchInertiaAnimID = requestAnimationFrame(inertiaStep);
    };
    this._touchInertiaAnimID = requestAnimationFrame(inertiaStep);
  }
  calcAxisCoords(target, min, max) {
    if (target === void 0 || target < min) {
      target = min;
    } else if (target > max) {
      target = max;
    }
    return target;
  }
  _scrollTo(destX, destY) {
    const scrolledX = this._scrollToX(destX);
    const scrolledY = this._scrollToY(destY);
    return { x: scrolledX, y: scrolledY };
  }
  _scrollToX(dest) {
    this.IgxScrollInertiaScrollContainer.scrollLeft = dest;
  }
  _scrollToY(dest) {
    this.IgxScrollInertiaScrollContainer.scrollTop = dest;
  }
  static {
    this.ɵfac = i029.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i029, type: _IgxScrollInertiaDirective, deps: [{ token: i029.ElementRef }, { token: i029.NgZone }], target: i029.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i029.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxScrollInertiaDirective, isStandalone: true, selector: "[igxScrollInertia]", inputs: { IgxScrollInertiaDirection: "IgxScrollInertiaDirection", IgxScrollInertiaScrollContainer: "IgxScrollInertiaScrollContainer", wheelStep: "wheelStep", inertiaStep: "inertiaStep", smoothingStep: "smoothingStep", smoothingDuration: "smoothingDuration", swipeToleranceX: "swipeToleranceX", inertiaDeltaY: "inertiaDeltaY", inertiaDeltaX: "inertiaDeltaX", inertiaDuration: "inertiaDuration" }, ngImport: i029 });
  }
};
i029.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i029, type: IgxScrollInertiaDirective, decorators: [{
  type: Directive18,
  args: [{
    selector: "[igxScrollInertia]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i029.ElementRef }, { type: i029.NgZone }], propDecorators: { IgxScrollInertiaDirection: [{
  type: Input18
}], IgxScrollInertiaScrollContainer: [{
  type: Input18
}], wheelStep: [{
  type: Input18
}], inertiaStep: [{
  type: Input18
}], smoothingStep: [{
  type: Input18
}], smoothingDuration: [{
  type: Input18
}], swipeToleranceX: [{
  type: Input18
}], inertiaDeltaY: [{
  type: Input18
}], inertiaDeltaX: [{
  type: Input18
}], inertiaDuration: [{
  type: Input18
}] } });

// lib/directives/for-of/display.container.mjs
import { Component as Component3, HostBinding as HostBinding12, ViewChild as ViewChild2, ViewContainerRef as ViewContainerRef3 } from "@angular/core";
import * as i030 from "@angular/core";
var DisplayContainerComponent = class _DisplayContainerComponent {
  constructor(cdr, _viewContainer) {
    this.cdr = cdr;
    this._viewContainer = _viewContainer;
    this.cssClass = "igx-display-container";
    this.notVirtual = true;
  }
  static {
    this.ɵfac = i030.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i030, type: _DisplayContainerComponent, deps: [{ token: i030.ChangeDetectorRef }, { token: i030.ViewContainerRef }], target: i030.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i030.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _DisplayContainerComponent, isStandalone: true, selector: "igx-display-container", host: { properties: { "class": "this.cssClass", "class.igx-display-container--inactive": "this.notVirtual" } }, viewQueries: [{ propertyName: "_vcr", first: true, predicate: ["display_container"], descendants: true, read: ViewContainerRef3, static: true }, { propertyName: "_scrollInertia", first: true, predicate: ["display_container"], descendants: true, read: IgxScrollInertiaDirective, static: true }], ngImport: i030, template: `
        <ng-template
            #display_container
            igxScrollInertia
            [IgxScrollInertiaScrollContainer]="scrollContainer"
            [IgxScrollInertiaDirection]="scrollDirection">
        </ng-template>
    `, isInline: true, dependencies: [{ kind: "directive", type: IgxScrollInertiaDirective, selector: "[igxScrollInertia]", inputs: ["IgxScrollInertiaDirection", "IgxScrollInertiaScrollContainer", "wheelStep", "inertiaStep", "smoothingStep", "smoothingDuration", "swipeToleranceX", "inertiaDeltaY", "inertiaDeltaX", "inertiaDuration"] }] });
  }
};
i030.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i030, type: DisplayContainerComponent, decorators: [{
  type: Component3,
  args: [{
    selector: "igx-display-container",
    template: `
        <ng-template
            #display_container
            igxScrollInertia
            [IgxScrollInertiaScrollContainer]="scrollContainer"
            [IgxScrollInertiaDirection]="scrollDirection">
        </ng-template>
    `,
    standalone: true,
    imports: [IgxScrollInertiaDirective]
  }]
}], ctorParameters: () => [{ type: i030.ChangeDetectorRef }, { type: i030.ViewContainerRef }], propDecorators: { _vcr: [{
  type: ViewChild2,
  args: ["display_container", { read: ViewContainerRef3, static: true }]
}], _scrollInertia: [{
  type: ViewChild2,
  args: ["display_container", { read: IgxScrollInertiaDirective, static: true }]
}], cssClass: [{
  type: HostBinding12,
  args: ["class"]
}], notVirtual: [{
  type: HostBinding12,
  args: ["class.igx-display-container--inactive"]
}] } });

// lib/directives/for-of/base.helper.component.mjs
import { HostListener as HostListener8, Directive as Directive19, Inject as Inject13 } from "@angular/core";
import { DOCUMENT as DOCUMENT4 } from "@angular/common";
import { Subject as Subject8 } from "rxjs";
import { takeUntil as takeUntil6, throttleTime } from "rxjs/operators";
import * as i031 from "@angular/core";
var VirtualHelperBaseDirective = class _VirtualHelperBaseDirective {
  constructor(elementRef, cdr, _zone, document2, platformUtil) {
    this.elementRef = elementRef;
    this.cdr = cdr;
    this._zone = _zone;
    this.document = document2;
    this.platformUtil = platformUtil;
    this.scrollAmount = 0;
    this._size = 0;
    this.destroy$ = new Subject8();
    this._afterViewInit = false;
    this._detached = false;
    this._scrollNativeSize = this.calculateScrollNativeSize();
  }
  onScroll(event) {
    this.scrollAmount = event.target.scrollTop || event.target.scrollLeft;
  }
  ngAfterViewInit() {
    this._afterViewInit = true;
    if (!this.platformUtil.isBrowser) {
      return;
    }
    const delayTime = 0;
    this._zone.runOutsideAngular(() => {
      resizeObservable(this.nativeElement).pipe(throttleTime(delayTime), takeUntil6(this.destroy$)).subscribe((event) => this.handleMutations(event));
    });
  }
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  ngOnDestroy() {
    this.destroyed = true;
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  calculateScrollNativeSize() {
    const div = this.document.createElement("div");
    const style2 = div.style;
    style2.width = "100px";
    style2.height = "100px";
    style2.position = "absolute";
    style2.top = "-10000px";
    style2.top = "-10000px";
    style2.overflow = "scroll";
    this.document.body.appendChild(div);
    const scrollWidth = div.offsetWidth - div.clientWidth;
    this.document.body.removeChild(div);
    return scrollWidth ? scrollWidth + 1 : 1;
  }
  set size(value) {
    if (this.destroyed) {
      return;
    }
    this._size = value;
    if (this._afterViewInit) {
      this.cdr.detectChanges();
    }
  }
  get size() {
    return this._size;
  }
  get scrollNativeSize() {
    return this._scrollNativeSize;
  }
  get isAttachedToDom() {
    return this.document.body.contains(this.nativeElement);
  }
  handleMutations(event) {
    const hasSize = !(event[0].contentRect.height === 0 && event[0].contentRect.width === 0);
    if (!hasSize && !this.isAttachedToDom) {
      this._detached = true;
    } else if (this._detached && hasSize && this.isAttachedToDom) {
      this.restoreScroll();
    }
  }
  restoreScroll() {
  }
  static {
    this.ɵfac = i031.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i031, type: _VirtualHelperBaseDirective, deps: [{ token: i031.ElementRef }, { token: i031.ChangeDetectorRef }, { token: i031.NgZone }, { token: DOCUMENT4 }, { token: PlatformUtil }], target: i031.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i031.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _VirtualHelperBaseDirective, isStandalone: true, selector: "[igxVirtualHelperBase]", host: { listeners: { "scroll": "onScroll($event)" } }, ngImport: i031 });
  }
};
i031.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i031, type: VirtualHelperBaseDirective, decorators: [{
  type: Directive19,
  args: [{
    selector: "[igxVirtualHelperBase]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i031.ElementRef }, { type: i031.ChangeDetectorRef }, { type: i031.NgZone }, { type: void 0, decorators: [{
  type: Inject13,
  args: [DOCUMENT4]
}] }, { type: PlatformUtil }], propDecorators: { onScroll: [{
  type: HostListener8,
  args: ["scroll", ["$event"]]
}] } });

// lib/directives/for-of/horizontal.virtual.helper.component.mjs
import { Component as Component4, HostBinding as HostBinding13, Input as Input19, ViewChild as ViewChild3, ViewContainerRef as ViewContainerRef5, Inject as Inject14 } from "@angular/core";
import { DOCUMENT as DOCUMENT5 } from "@angular/common";
import * as i032 from "@angular/core";
var HVirtualHelperComponent = class _HVirtualHelperComponent extends VirtualHelperBaseDirective {
  constructor(elementRef, cdr, zone, document2, platformUtil) {
    super(elementRef, cdr, zone, document2, platformUtil);
    this.cssClasses = "igx-vhelper--horizontal";
  }
  restoreScroll() {
    this.nativeElement.scrollLeft = this.scrollAmount;
  }
  static {
    this.ɵfac = i032.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i032, type: _HVirtualHelperComponent, deps: [{ token: i032.ElementRef }, { token: i032.ChangeDetectorRef }, { token: i032.NgZone }, { token: DOCUMENT5 }, { token: PlatformUtil }], target: i032.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i032.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _HVirtualHelperComponent, isStandalone: true, selector: "igx-horizontal-virtual-helper", inputs: { width: "width" }, host: { properties: { "class": "this.cssClasses" } }, viewQueries: [{ propertyName: "_vcr", first: true, predicate: ["horizontal_container"], descendants: true, read: ViewContainerRef5, static: true }], usesInheritance: true, ngImport: i032, template: '<div #horizontal_container class="igx-vhelper__placeholder-content" [style.width.px]="size"></div>', isInline: true });
  }
};
i032.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i032, type: HVirtualHelperComponent, decorators: [{
  type: Component4,
  args: [{
    selector: "igx-horizontal-virtual-helper",
    template: '<div #horizontal_container class="igx-vhelper__placeholder-content" [style.width.px]="size"></div>',
    standalone: true
  }]
}], ctorParameters: () => [{ type: i032.ElementRef }, { type: i032.ChangeDetectorRef }, { type: i032.NgZone }, { type: void 0, decorators: [{
  type: Inject14,
  args: [DOCUMENT5]
}] }, { type: PlatformUtil }], propDecorators: { _vcr: [{
  type: ViewChild3,
  args: ["horizontal_container", { read: ViewContainerRef5, static: true }]
}], width: [{
  type: Input19
}], cssClasses: [{
  type: HostBinding13,
  args: ["class"]
}] } });

// lib/directives/for-of/virtual.helper.component.mjs
import { Component as Component5, HostBinding as HostBinding14, Input as Input20, ViewChild as ViewChild4, ViewContainerRef as ViewContainerRef6, Inject as Inject15 } from "@angular/core";
import { DOCUMENT as DOCUMENT6 } from "@angular/common";
import * as i033 from "@angular/core";
var VirtualHelperComponent = class _VirtualHelperComponent extends VirtualHelperBaseDirective {
  constructor(elementRef, cdr, zone, document2, platformUtil) {
    super(elementRef, cdr, zone, document2, platformUtil);
    this.cssClasses = "igx-vhelper--vertical";
  }
  ngOnInit() {
    this.scrollWidth = this.scrollNativeSize;
  }
  restoreScroll() {
    this.nativeElement.scrollTop = this.scrollAmount;
  }
  static {
    this.ɵfac = i033.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i033, type: _VirtualHelperComponent, deps: [{ token: i033.ElementRef }, { token: i033.ChangeDetectorRef }, { token: i033.NgZone }, { token: DOCUMENT6 }, { token: PlatformUtil }], target: i033.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i033.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _VirtualHelperComponent, isStandalone: true, selector: "igx-virtual-helper", inputs: { itemsLength: "itemsLength" }, host: { properties: { "scrollTop": "this.scrollTop", "style.width.px": "this.scrollWidth", "class": "this.cssClasses" } }, viewQueries: [{ propertyName: "_vcr", first: true, predicate: ["container"], descendants: true, read: ViewContainerRef6, static: true }], usesInheritance: true, ngImport: i033, template: '<div #container class="igx-vhelper__placeholder-content" [style.height.px]="size"></div>', isInline: true });
  }
};
i033.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i033, type: VirtualHelperComponent, decorators: [{
  type: Component5,
  args: [{
    selector: "igx-virtual-helper",
    template: '<div #container class="igx-vhelper__placeholder-content" [style.height.px]="size"></div>',
    standalone: true
  }]
}], ctorParameters: () => [{ type: i033.ElementRef }, { type: i033.ChangeDetectorRef }, { type: i033.NgZone }, { type: void 0, decorators: [{
  type: Inject15,
  args: [DOCUMENT6]
}] }, { type: PlatformUtil }], propDecorators: { scrollTop: [{
  type: HostBinding14,
  args: ["scrollTop"]
}], scrollWidth: [{
  type: HostBinding14,
  args: ["style.width.px"]
}], _vcr: [{
  type: ViewChild4,
  args: ["container", { read: ViewContainerRef6, static: true }]
}], itemsLength: [{
  type: Input20
}], cssClasses: [{
  type: HostBinding14,
  args: ["class"]
}] } });

// lib/directives/for-of/for_of.sync.service.mjs
import { Injectable as Injectable10 } from "@angular/core";
import * as i034 from "@angular/core";
var IgxForOfSyncService = class _IgxForOfSyncService {
  constructor() {
    this._master = /* @__PURE__ */ new Map();
  }
  /**
   * @hidden
   */
  isMaster(directive) {
    return this._master.get(directive.igxForScrollOrientation) === directive;
  }
  /**
   * @hidden
   */
  setMaster(directive, forced = false) {
    const orientation = directive.igxForScrollOrientation;
    if (orientation && (forced || !this._master.has(orientation))) {
      this._master.set(orientation, directive);
    }
  }
  /**
   * @hidden
   */
  resetMaster() {
    this._master.clear();
  }
  /**
   * @hidden
   */
  sizesCache(dir) {
    return this._master.get(dir).sizesCache;
  }
  /**
   * @hidden
   */
  chunkSize(dir) {
    return this._master.get(dir).state.chunkSize;
  }
  static {
    this.ɵfac = i034.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: _IgxForOfSyncService, deps: [], target: i034.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i034.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: _IgxForOfSyncService, providedIn: "root" });
  }
};
i034.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: IgxForOfSyncService, decorators: [{
  type: Injectable10,
  args: [{
    providedIn: "root"
  }]
}] });
var IgxForOfScrollSyncService = class _IgxForOfScrollSyncService {
  constructor() {
    this._masterScroll = /* @__PURE__ */ new Map();
  }
  setScrollMaster(dir, scroll) {
    this._masterScroll.set(dir, scroll);
  }
  getScrollMaster(dir) {
    return this._masterScroll.get(dir);
  }
  static {
    this.ɵfac = i034.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: _IgxForOfScrollSyncService, deps: [], target: i034.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i034.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: _IgxForOfScrollSyncService, providedIn: "root" });
  }
};
i034.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i034, type: IgxForOfScrollSyncService, decorators: [{
  type: Injectable10,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/directives/for-of/for_of.directive.mjs
import { DOCUMENT as DOCUMENT7 } from "@angular/common";
import { Directive as Directive20, EventEmitter as EventEmitter15, Input as Input21, Output as Output8, Inject as Inject16, booleanAttribute as booleanAttribute11 } from "@angular/core";
import { Subject as Subject9 } from "rxjs";
import { takeUntil as takeUntil7, filter as filter2, throttleTime as throttleTime2, first as first3 } from "rxjs/operators";
import * as i035 from "@angular/core";
var MAX_PERF_SCROLL_DIFF = 4;
var IgxForOfContext = class {
  constructor($implicit, igxForOf, index, count) {
    this.$implicit = $implicit;
    this.igxForOf = igxForOf;
    this.index = index;
    this.count = count;
  }
  /**
   * A function that returns whether the element is the first or not
   */
  get first() {
    return this.index === 0;
  }
  /**
   * A function that returns whether the element is the last or not
   */
  get last() {
    return this.index === this.count - 1;
  }
  /**
   * A function that returns whether the element is even or not
   */
  get even() {
    return this.index % 2 === 0;
  }
  /**
   * A function that returns whether the element is odd or not
   */
  get odd() {
    return !this.even;
  }
};
var IgxForOfToken = class {
};
var IgxForOfDirective = class _IgxForOfDirective extends IgxForOfToken {
  /**
   * The total count of the virtual data items, when using remote service.
   * Similar to the property totalItemCount, but this will allow setting the data count into the template.
   * ```html
   * <ng-template igxFor let-item [igxForOf]="data | async" [igxForTotalItemCount]="count | async"
   *  [igxForContainerSize]="'500px'" [igxForItemSize]="'50px'"></ng-template>
   * ```
   */
  get igxForTotalItemCount() {
    return this.totalItemCount;
  }
  set igxForTotalItemCount(value) {
    this.totalItemCount = value;
  }
  /**
   * The total count of the virtual data items, when using remote service.
   * ```typescript
   * this.parentVirtDir.totalItemCount = data.Count;
   * ```
   */
  get totalItemCount() {
    return this._totalItemCount;
  }
  set totalItemCount(val) {
    if (this._totalItemCount !== val) {
      this._totalItemCount = val;
      const newSize = this.initSizesCache(this.igxForOf);
      const sizeDiff = this.scrollComponent.size - newSize;
      this.scrollComponent.size = newSize;
      const lastChunkExceeded = this.state.startIndex + this.state.chunkSize > val;
      if (lastChunkExceeded) {
        this.state.startIndex = val - this.state.chunkSize;
      }
      this._adjustScrollPositionAfterSizeChange(sizeDiff);
    }
  }
  get displayContainer() {
    return this.dc?.instance?._viewContainer?.element?.nativeElement;
  }
  get virtualHelper() {
    return this.scrollComponent.nativeElement;
  }
  /**
   * @hidden
   */
  get isRemote() {
    return this.totalItemCount !== null;
  }
  /**
   *
   * Gets/Sets the scroll position.
   * ```typescript
   * const position = directive.scrollPosition;
   * directive.scrollPosition = value;
   * ```
   */
  get scrollPosition() {
    return this.scrollComponent.scrollAmount;
  }
  set scrollPosition(val) {
    if (val === this.scrollComponent.scrollAmount) {
      return;
    }
    if (this.igxForScrollOrientation === "horizontal" && this.scrollComponent) {
      this.scrollComponent.nativeElement.scrollLeft = this.isRTL ? -val : val;
    } else if (this.scrollComponent) {
      this.scrollComponent.nativeElement.scrollTop = val;
    }
  }
  /**
   * @hidden
   */
  get isRTL() {
    const dir = window.getComputedStyle(this.dc.instance._viewContainer.element.nativeElement).getPropertyValue("direction");
    return dir === "rtl";
  }
  get sizesCache() {
    return this._sizesCache;
  }
  set sizesCache(value) {
    this._sizesCache = value;
  }
  get _isScrolledToBottom() {
    if (!this.getScroll()) {
      return true;
    }
    const scrollHeight = this.getScroll().scrollHeight;
    return Math.round(this.getScroll().scrollTop + this.igxForContainerSize) === scrollHeight;
  }
  get _isAtBottomIndex() {
    return this.igxForOf && this.state.startIndex + this.state.chunkSize > this.igxForOf.length;
  }
  constructor(_viewContainer, _template, _differs, cdr, _zone, syncScrollService, platformUtil, document2) {
    super();
    this._viewContainer = _viewContainer;
    this._template = _template;
    this._differs = _differs;
    this.cdr = cdr;
    this._zone = _zone;
    this.syncScrollService = syncScrollService;
    this.platformUtil = platformUtil;
    this.document = document2;
    this.igxForScrollOrientation = "vertical";
    this.chunkLoad = new EventEmitter15();
    this.scrollbarVisibilityChanged = new EventEmitter15();
    this.contentSizeChange = new EventEmitter15();
    this.dataChanged = new EventEmitter15();
    this.beforeViewDestroyed = new EventEmitter15();
    this.chunkPreload = new EventEmitter15();
    this.state = {
      startIndex: 0,
      chunkSize: 0
    };
    this._sizesCache = [];
    this._differ = null;
    this.individualSizeCache = [];
    this._virtScrollPosition = 0;
    this._bScrollInternal = false;
    this._embeddedViews = [];
    this.contentResizeNotify = new Subject9();
    this._virtSize = 0;
    this.destroy$ = new Subject9();
    this._totalItemCount = null;
    this._virtRatio = 1;
  }
  verticalScrollHandler(event) {
    this.onScroll(event);
  }
  isScrollable() {
    return this.scrollComponent.size > parseInt(this.igxForContainerSize, 10);
  }
  /**
   * @hidden
   */
  ngOnInit() {
    const vc = this.igxForScrollContainer ? this.igxForScrollContainer._viewContainer : this._viewContainer;
    this.igxForSizePropName = this.igxForSizePropName || "width";
    this.dc = this._viewContainer.createComponent(DisplayContainerComponent, { index: 0 });
    this.dc.instance.scrollDirection = this.igxForScrollOrientation;
    if (this.igxForOf && this.igxForOf.length) {
      this.scrollComponent = this.syncScrollService.getScrollMaster(this.igxForScrollOrientation);
      this.state.chunkSize = this._calculateChunkSize();
      this.dc.instance.notVirtual = !(this.igxForContainerSize && this.state.chunkSize < this.igxForOf.length);
      if (this.scrollComponent && !this.scrollComponent.destroyed) {
        this.state.startIndex = Math.min(this.getIndexAt(this.scrollPosition, this.sizesCache), this.igxForOf.length - this.state.chunkSize);
      }
      for (let i = this.state.startIndex; i < this.state.startIndex + this.state.chunkSize && this.igxForOf[i] !== void 0; i++) {
        const input = this.igxForOf[i];
        const embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxForOfContext(input, this.igxForOf, this.getContextIndex(input), this.igxForOf.length));
        this._embeddedViews.push(embeddedView);
      }
    }
    this._maxSize = this._calcMaxBrowserSize();
    if (this.igxForScrollOrientation === "vertical") {
      this.dc.instance._viewContainer.element.nativeElement.style.top = "0px";
      this.scrollComponent = this.syncScrollService.getScrollMaster(this.igxForScrollOrientation);
      if (!this.scrollComponent || this.scrollComponent.destroyed) {
        this.scrollComponent = vc.createComponent(VirtualHelperComponent).instance;
      }
      this.scrollComponent.size = this.igxForOf ? this._calcSize() : 0;
      this.syncScrollService.setScrollMaster(this.igxForScrollOrientation, this.scrollComponent);
      this._zone.runOutsideAngular(() => {
        this.verticalScrollHandler = this.verticalScrollHandler.bind(this);
        this.scrollComponent.nativeElement.addEventListener("scroll", this.verticalScrollHandler);
        this.dc.instance.scrollContainer = this.scrollComponent.nativeElement;
      });
      const destructor = takeUntil7(this.destroy$);
      this.contentResizeNotify.pipe(filter2(() => this.igxForContainerSize && this.igxForOf && this.igxForOf.length > 0), throttleTime2(40, void 0, { leading: false, trailing: true }), destructor).subscribe(() => this._zone.runTask(() => this.updateSizes()));
    }
    if (this.igxForScrollOrientation === "horizontal") {
      this.func = (evt) => this.onHScroll(evt);
      this.scrollComponent = this.syncScrollService.getScrollMaster(this.igxForScrollOrientation);
      if (!this.scrollComponent) {
        this.scrollComponent = vc.createComponent(HVirtualHelperComponent).instance;
        this.scrollComponent.size = this.igxForOf ? this._calcSize() : 0;
        this.syncScrollService.setScrollMaster(this.igxForScrollOrientation, this.scrollComponent);
        this._zone.runOutsideAngular(() => {
          this.scrollComponent.nativeElement.addEventListener("scroll", this.func);
          this.dc.instance.scrollContainer = this.scrollComponent.nativeElement;
        });
      } else {
        this._zone.runOutsideAngular(() => {
          this.scrollComponent.nativeElement.addEventListener("scroll", this.func);
          this.dc.instance.scrollContainer = this.scrollComponent.nativeElement;
        });
      }
      this._updateScrollOffset();
    }
  }
  ngAfterViewInit() {
    if (this.igxForScrollOrientation === "vertical") {
      this._zone.runOutsideAngular(() => {
        this.contentObserver = new (getResizeObserver())(() => this.contentResizeNotify.next());
        this.contentObserver.observe(this.dc.instance._viewContainer.element.nativeElement);
      });
    }
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.removeScrollEventListeners();
    this.destroy$.next(true);
    this.destroy$.complete();
    if (this.contentObserver) {
      this.contentObserver.disconnect();
    }
  }
  /**
   * @hidden @internal
   * Asserts the correct type of the context for the template that `igxForOf` will render.
   *
   * The presence of this method is a signal to the Ivy template type-check compiler that the
   * `IgxForOf` structural directive renders its template with a specific context type.
   */
  static ngTemplateContextGuard(dir, ctx) {
    return true;
  }
  /**
   * @hidden
   */
  ngOnChanges(changes) {
    const forOf = "igxForOf";
    if (forOf in changes) {
      const value = changes[forOf].currentValue;
      if (!this._differ && value) {
        try {
          this._differ = this._differs.find(value).create(this.igxForTrackBy);
        } catch (e) {
          throw new Error(`Cannot find a differ supporting object "${value}" of type "${getTypeNameForDebugging(value)}".
                     NgFor only supports binding to Iterables such as Arrays.`);
        }
      }
    }
    const defaultItemSize = "igxForItemSize";
    if (defaultItemSize in changes && !changes[defaultItemSize].firstChange && this.igxForOf) {
      this.initSizesCache(this.igxForOf);
      this._applyChanges();
    }
    const containerSize = "igxForContainerSize";
    if (containerSize in changes && !changes[containerSize].firstChange && this.igxForOf) {
      const prevSize = parseInt(changes[containerSize].previousValue, 10);
      const newSize = parseInt(changes[containerSize].currentValue, 10);
      this._recalcOnContainerChange({ prevSize, newSize });
    }
  }
  /**
   * @hidden
   */
  ngDoCheck() {
    if (this._differ) {
      const changes = this._differ.diff(this.igxForOf);
      if (changes) {
        if (!this.igxForOf) {
          this.igxForOf = [];
        }
        this._updateSizeCache();
        this._zone.run(() => {
          this._applyChanges();
          this.cdr.markForCheck();
          this._updateScrollOffset();
          this.dataChanged.emit();
        });
      }
    }
  }
  /**
   * Shifts the scroll thumb position.
   * ```typescript
   * this.parentVirtDir.addScroll(5);
   * ```
   *
   * @param addTop negative value to scroll up and positive to scroll down;
   */
  addScrollTop(add) {
    return this.addScroll(add);
  }
  /**
   * Shifts the scroll thumb position.
   * ```typescript
   * this.parentVirtDir.addScroll(5);
   * ```
   *
   * @param add negative value to scroll previous and positive to scroll next;
   */
  addScroll(add) {
    if (add === 0) {
      return false;
    }
    const originalVirtScrollTop = this._virtScrollPosition;
    const containerSize = parseInt(this.igxForContainerSize, 10);
    const maxVirtScrollTop = this._virtSize - containerSize;
    this._bScrollInternal = true;
    this._virtScrollPosition += add;
    this._virtScrollPosition = this._virtScrollPosition > 0 ? this._virtScrollPosition < maxVirtScrollTop ? this._virtScrollPosition : maxVirtScrollTop : 0;
    this.scrollPosition += add / this._virtRatio;
    if (Math.abs(add / this._virtRatio) < 1) {
      const scrollOffset = this.fixedUpdateAllElements(this._virtScrollPosition);
      this.dc.instance._viewContainer.element.nativeElement.style.top = -scrollOffset + "px";
    }
    const maxRealScrollTop = this.scrollComponent.nativeElement.scrollHeight - containerSize;
    if (this._virtScrollPosition > 0 && this.scrollPosition === 0 || this._virtScrollPosition < maxVirtScrollTop && this.scrollPosition === maxRealScrollTop) {
      this.scrollPosition = this._virtScrollPosition / this._virtRatio;
    } else if (this._virtScrollPosition === 0 && this.scrollPosition > 0) {
      this.scrollPosition = 0;
    } else if (this._virtScrollPosition === maxVirtScrollTop && this.scrollPosition < maxRealScrollTop) {
      this.scrollPosition = maxRealScrollTop;
    }
    return this._virtScrollPosition !== originalVirtScrollTop;
  }
  /**
   * Scrolls to the specified index.
   * ```typescript
   * this.parentVirtDir.scrollTo(5);
   * ```
   *
   * @param index
   */
  scrollTo(index) {
    if (index < 0 || index > (this.isRemote ? this.totalItemCount : this.igxForOf.length) - 1) {
      return;
    }
    const containerSize = parseInt(this.igxForContainerSize, 10);
    const isPrevItem = index < this.state.startIndex || this.scrollPosition > this.sizesCache[index];
    let nextScroll = isPrevItem ? this.sizesCache[index] : this.sizesCache[index + 1] - containerSize;
    if (nextScroll < 0) {
      return;
    }
    const maxVirtScrollTop = this._virtSize - containerSize;
    if (nextScroll > maxVirtScrollTop) {
      nextScroll = maxVirtScrollTop;
    }
    this._bScrollInternal = true;
    this._virtScrollPosition = nextScroll;
    this.scrollPosition = this._virtScrollPosition / this._virtRatio;
    this._adjustToIndex = !isPrevItem ? index : null;
  }
  /**
   * Scrolls by one item into the appropriate next direction.
   * For "horizontal" orientation that will be the right column and for "vertical" that is the lower row.
   * ```typescript
   * this.parentVirtDir.scrollNext();
   * ```
   */
  scrollNext() {
    const scr = Math.abs(Math.ceil(this.scrollPosition));
    const endIndex = this.getIndexAt(scr + parseInt(this.igxForContainerSize, 10), this.sizesCache);
    this.scrollTo(endIndex);
  }
  /**
   * Scrolls by one item into the appropriate previous direction.
   * For "horizontal" orientation that will be the left column and for "vertical" that is the upper row.
   * ```typescript
   * this.parentVirtDir.scrollPrev();
   * ```
   */
  scrollPrev() {
    this.scrollTo(this.state.startIndex - 1);
  }
  /**
   * Scrolls by one page into the appropriate next direction.
   * For "horizontal" orientation that will be one view to the right and for "vertical" that is one view to the bottom.
   * ```typescript
   * this.parentVirtDir.scrollNextPage();
   * ```
   */
  scrollNextPage() {
    this.addScroll(parseInt(this.igxForContainerSize, 10));
  }
  /**
   * Scrolls by one page into the appropriate previous direction.
   * For "horizontal" orientation that will be one view to the left and for "vertical" that is one view to the top.
   * ```typescript
   * this.parentVirtDir.scrollPrevPage();
   * ```
   */
  scrollPrevPage() {
    const containerSize = parseInt(this.igxForContainerSize, 10);
    this.addScroll(-containerSize);
  }
  /**
   * @hidden
   */
  getColumnScrollLeft(colIndex) {
    return this.sizesCache[colIndex];
  }
  /**
   * Returns the total number of items that are fully visible.
   * ```typescript
   * this.parentVirtDir.getItemCountInView();
   * ```
   */
  getItemCountInView() {
    let startIndex = this.getIndexAt(this.scrollPosition, this.sizesCache);
    if (this.scrollPosition - this.sizesCache[startIndex] > 0) {
      startIndex++;
    }
    const endIndex = this.getIndexAt(this.scrollPosition + parseInt(this.igxForContainerSize, 10), this.sizesCache);
    return endIndex - startIndex;
  }
  /**
   * Returns a reference to the scrollbar DOM element.
   * This is either a vertical or horizontal scrollbar depending on the specified igxForScrollOrientation.
   * ```typescript
   * dir.getScroll();
   * ```
   */
  getScroll() {
    return this.scrollComponent?.nativeElement;
  }
  /**
   * Returns the size of the element at the specified index.
   * ```typescript
   * this.parentVirtDir.getSizeAt(1);
   * ```
   */
  getSizeAt(index) {
    return this.sizesCache[index + 1] - this.sizesCache[index];
  }
  /**
   * @hidden
   * Function that is called to get the native scrollbar size that the browsers renders.
   */
  getScrollNativeSize() {
    return this.scrollComponent ? this.scrollComponent.scrollNativeSize : 0;
  }
  /**
   * Returns the scroll offset of the element at the specified index.
   * ```typescript
   * this.parentVirtDir.getScrollForIndex(1);
   * ```
   */
  getScrollForIndex(index, bottom) {
    const containerSize = parseInt(this.igxForContainerSize, 10);
    const scroll = bottom ? Math.max(0, this.sizesCache[index + 1] - containerSize) : this.sizesCache[index];
    return scroll;
  }
  /**
   * Returns the index of the element at the specified offset.
   * ```typescript
   * this.parentVirtDir.getIndexAtScroll(100);
   * ```
   */
  getIndexAtScroll(scrollOffset) {
    return this.getIndexAt(scrollOffset, this.sizesCache);
  }
  /**
   * Returns whether the target index is outside the view.
   * ```typescript
   * this.parentVirtDir.isIndexOutsideView(10);
   * ```
   */
  isIndexOutsideView(index) {
    const targetNode = index >= this.state.startIndex && index <= this.state.startIndex + this.state.chunkSize ? this._embeddedViews.map((view) => view.rootNodes.find((node) => node.nodeType === Node.ELEMENT_NODE) || view.rootNodes[0].nextElementSibling)[index - this.state.startIndex] : null;
    const rowHeight = this.getSizeAt(index);
    const containerSize = parseInt(this.igxForContainerSize, 10);
    const containerOffset = -(this.scrollPosition - this.sizesCache[this.state.startIndex]);
    const endTopOffset = targetNode ? targetNode.offsetTop + rowHeight + containerOffset : containerSize + rowHeight;
    return !targetNode || targetNode.offsetTop < Math.abs(containerOffset) || containerSize && endTopOffset - containerSize > 5;
  }
  /**
   * @hidden
   * Function that recalculates and updates cache sizes.
   */
  recalcUpdateSizes() {
    const dimension = this.igxForScrollOrientation === "horizontal" ? this.igxForSizePropName : "height";
    const diffs = [];
    let totalDiff = 0;
    const l = this._embeddedViews.length;
    const rNodes = this._embeddedViews.map((view) => view.rootNodes.find((node) => node.nodeType === Node.ELEMENT_NODE) || view.rootNodes[0].nextElementSibling);
    for (let i = 0; i < l; i++) {
      const rNode = rNodes[i];
      if (rNode) {
        const height = window.getComputedStyle(rNode).getPropertyValue("height");
        const h = parseFloat(height) || parseInt(this.igxForItemSize, 10);
        const index = this.state.startIndex + i;
        if (!this.isRemote && !this.igxForOf[index]) {
          continue;
        }
        const margin = this.getMargin(rNode, dimension);
        const oldVal = this.individualSizeCache[index];
        const newVal = (dimension === "height" ? h : rNode.clientWidth) + margin;
        this.individualSizeCache[index] = newVal;
        const currDiff = newVal - oldVal;
        diffs.push(currDiff);
        totalDiff += currDiff;
        this.sizesCache[index + 1] += totalDiff;
      }
    }
    if (Math.abs(totalDiff) > 0) {
      for (let j = this.state.startIndex + this.state.chunkSize + 1; j < this.sizesCache.length; j++) {
        this.sizesCache[j] += totalDiff;
      }
      const reducer = (acc, val) => acc + val;
      const hSum = this.individualSizeCache.reduce(reducer);
      if (hSum > this._maxSize) {
        this._virtRatio = hSum / this._maxSize;
      }
      this.scrollComponent.size = Math.min(this.scrollComponent.size + totalDiff, this._maxSize);
      this._virtSize = hSum;
      if (!this.scrollComponent.destroyed) {
        this.scrollComponent.cdr.detectChanges();
      }
      const scrToBottom = this._isScrolledToBottom && !this.dc.instance.notVirtual;
      if (scrToBottom && !this._isAtBottomIndex) {
        const containerSize = parseInt(this.igxForContainerSize, 10);
        const maxVirtScrollTop = this._virtSize - containerSize;
        this._bScrollInternal = true;
        this._virtScrollPosition = maxVirtScrollTop;
        this.scrollPosition = maxVirtScrollTop;
        return;
      }
      if (this._adjustToIndex) {
        const updatesToIndex = this._adjustToIndex - this.state.startIndex + 1;
        const sumDiffs = diffs.slice(0, updatesToIndex).reduce(reducer);
        if (sumDiffs !== 0) {
          this.addScroll(sumDiffs);
        }
        this._adjustToIndex = null;
      }
    }
  }
  /**
   * @hidden
   * Reset scroll position.
   * Needed in case scrollbar is hidden/detached but we still need to reset it.
   */
  resetScrollPosition() {
    this.scrollPosition = 0;
    this.scrollComponent.scrollAmount = 0;
  }
  /**
   * @hidden
   */
  removeScrollEventListeners() {
    if (this.igxForScrollOrientation === "horizontal") {
      this._zone.runOutsideAngular(() => this.scrollComponent?.nativeElement?.removeEventListener("scroll", this.func));
    } else {
      this._zone.runOutsideAngular(() => this.scrollComponent?.nativeElement?.removeEventListener("scroll", this.verticalScrollHandler));
    }
  }
  /**
   * @hidden
   * Function that is called when scrolling vertically
   */
  onScroll(event) {
    if (!parseInt(this.scrollComponent.nativeElement.style.height, 10)) {
      return;
    }
    if (!this._bScrollInternal) {
      this._calcVirtualScrollPosition(event.target.scrollTop);
    } else {
      this._bScrollInternal = false;
    }
    const prevStartIndex = this.state.startIndex;
    const scrollOffset = this.fixedUpdateAllElements(this._virtScrollPosition);
    this.dc.instance._viewContainer.element.nativeElement.style.top = -scrollOffset + "px";
    this._zone.onStable.pipe(first3()).subscribe(this.recalcUpdateSizes.bind(this));
    this.dc.changeDetectorRef.detectChanges();
    if (prevStartIndex !== this.state.startIndex) {
      this.chunkLoad.emit(this.state);
    }
  }
  updateSizes() {
    if (!this.scrollComponent.nativeElement.isConnected)
      return;
    const scrollable = this.isScrollable();
    this.recalcUpdateSizes();
    this._applyChanges();
    this._updateScrollOffset();
    if (scrollable !== this.isScrollable()) {
      this.scrollbarVisibilityChanged.emit();
    } else {
      this.contentSizeChange.emit();
    }
  }
  /**
   * @hidden
   */
  fixedUpdateAllElements(inScrollTop) {
    const count = this.isRemote ? this.totalItemCount : this.igxForOf.length;
    let newStart = this.getIndexAt(inScrollTop, this.sizesCache);
    if (newStart + this.state.chunkSize > count) {
      newStart = count - this.state.chunkSize;
    }
    const prevStart = this.state.startIndex;
    const diff = newStart - this.state.startIndex;
    this.state.startIndex = newStart;
    if (diff) {
      this.chunkPreload.emit(this.state);
      if (!this.isRemote) {
        if (diff && Math.abs(diff) <= MAX_PERF_SCROLL_DIFF) {
          if (diff > 0) {
            this.moveApplyScrollNext(prevStart);
          } else {
            this.moveApplyScrollPrev(prevStart);
          }
        } else {
          this.fixedApplyScroll();
        }
      }
    }
    return inScrollTop - this.sizesCache[this.state.startIndex];
  }
  /**
   * @hidden
   * The function applies an optimized state change for scrolling down/right employing context change with view rearrangement
   */
  moveApplyScrollNext(prevIndex) {
    const start = prevIndex + this.state.chunkSize;
    const end = start + this.state.startIndex - prevIndex;
    const container = this.dc.instance._vcr;
    for (let i = start; i < end && this.igxForOf[i] !== void 0; i++) {
      const embView = this._embeddedViews.shift();
      if (!embView.destroyed) {
        this.scrollFocus(embView.rootNodes.find((node) => node.nodeType === Node.ELEMENT_NODE) || embView.rootNodes[0].nextElementSibling);
        const view = container.detach(0);
        this.updateTemplateContext(embView.context, i);
        container.insert(view);
        this._embeddedViews.push(embView);
      }
    }
  }
  /**
   * @hidden
   * The function applies an optimized state change for scrolling up/left employing context change with view rearrangement
   */
  moveApplyScrollPrev(prevIndex) {
    const container = this.dc.instance._vcr;
    for (let i = prevIndex - 1; i >= this.state.startIndex && this.igxForOf[i] !== void 0; i--) {
      const embView = this._embeddedViews.pop();
      if (!embView.destroyed) {
        this.scrollFocus(embView.rootNodes.find((node) => node.nodeType === Node.ELEMENT_NODE) || embView.rootNodes[0].nextElementSibling);
        const view = container.detach(container.length - 1);
        this.updateTemplateContext(embView.context, i);
        container.insert(view, 0);
        this._embeddedViews.unshift(embView);
      }
    }
  }
  /**
   * @hidden
   */
  getContextIndex(input) {
    return this.isRemote ? this.state.startIndex + this.igxForOf.indexOf(input) : this.igxForOf.indexOf(input);
  }
  /**
   * @hidden
   * Function which updates the passed context of an embedded view with the provided index
   * from the view container.
   * Often, called while handling a scroll event.
   */
  updateTemplateContext(context, index = 0) {
    context.$implicit = this.igxForOf[index];
    context.index = this.getContextIndex(this.igxForOf[index]);
    context.count = this.igxForOf.length;
  }
  /**
   * @hidden
   * The function applies an optimized state change through context change for each view
   */
  fixedApplyScroll() {
    let j = 0;
    const endIndex = this.state.startIndex + this.state.chunkSize;
    for (let i = this.state.startIndex; i < endIndex && this.igxForOf[i] !== void 0; i++) {
      const embView = this._embeddedViews[j++];
      this.updateTemplateContext(embView.context, i);
    }
  }
  /**
   * @hidden
   * @internal
   *
   * Clears focus inside the virtualized container on small scroll swaps.
   */
  scrollFocus(node) {
    if (!node) {
      return;
    }
    const document2 = node.getRootNode();
    const activeElement = document2.activeElement;
    if (node && node.contains(activeElement)) {
      activeElement.blur();
    }
  }
  /**
   * @hidden
   * Function that is called when scrolling horizontally
   */
  onHScroll(event) {
    const firstScrollChild = this.scrollComponent.nativeElement.children.item(0);
    if (!parseInt(firstScrollChild.style.width, 10)) {
      return;
    }
    if (!this._bScrollInternal) {
      this._calcVirtualScrollPosition(event.target.scrollLeft);
    } else {
      this._bScrollInternal = false;
    }
    const prevStartIndex = this.state.startIndex;
    const scrLeft = event.target.scrollLeft;
    const scrollOffset = this.fixedUpdateAllElements(Math.abs(this._virtScrollPosition));
    if (scrLeft < 0) {
      this.dc.instance._viewContainer.element.nativeElement.style.left = scrollOffset + "px";
    } else {
      this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + "px";
    }
    this._zone.onStable.pipe(first3()).subscribe(this.recalcUpdateSizes.bind(this));
    this.dc.changeDetectorRef.detectChanges();
    if (prevStartIndex !== this.state.startIndex) {
      this.chunkLoad.emit(this.state);
    }
  }
  /**
   * Gets the function used to track changes in the items collection.
   * By default the object references are compared. However this can be optimized if you have unique identifier
   * value that can be used for the comparison instead of the object ref or if you have some other property values
   * in the item object that should be tracked for changes.
   * This option is similar to ngForTrackBy.
   * ```typescript
   * const trackFunc = this.parentVirtDir.igxForTrackBy;
   * ```
   */
  get igxForTrackBy() {
    return this._trackByFn;
  }
  /**
   * Sets the function used to track changes in the items collection.
   * This function can be set in scenarios where you want to optimize or
   * customize the tracking of changes for the items in the collection.
   * The igxForTrackBy function takes the index and the current item as arguments and needs to return the unique identifier for this item.
   * ```typescript
   * this.parentVirtDir.igxForTrackBy = (index, item) => {
   *      return item.id + item.width;
   * };
   * ```
   */
  set igxForTrackBy(fn) {
    this._trackByFn = fn;
  }
  /**
   * @hidden
   */
  _applyChanges() {
    const prevChunkSize = this.state.chunkSize;
    this.applyChunkSizeChange();
    this._recalcScrollBarSize();
    if (this.igxForOf && this.igxForOf.length && this.dc) {
      const embeddedViewCopy = Object.assign([], this._embeddedViews);
      let startIndex = this.state.startIndex;
      let endIndex = this.state.chunkSize + this.state.startIndex;
      if (this.isRemote) {
        startIndex = 0;
        endIndex = this.igxForOf.length;
      }
      for (let i = startIndex; i < endIndex && this.igxForOf[i] !== void 0; i++) {
        const embView = embeddedViewCopy.shift();
        this.updateTemplateContext(embView.context, i);
      }
      if (prevChunkSize !== this.state.chunkSize) {
        this.chunkLoad.emit(this.state);
      }
    }
  }
  /**
   * @hidden
   */
  _calcMaxBrowserSize() {
    if (!this.platformUtil.isBrowser) {
      return 0;
    }
    const div = this.document.createElement("div");
    const style2 = div.style;
    style2.position = "absolute";
    const dir = this.igxForScrollOrientation === "horizontal" ? "left" : "top";
    style2[dir] = "9999999999999999px";
    this.document.body.appendChild(div);
    const size = Math.abs(div.getBoundingClientRect()[dir]);
    this.document.body.removeChild(div);
    return size;
  }
  /**
   * @hidden
   * Recalculates the chunkSize based on current startIndex and returns the new size.
   * This should be called after this.state.startIndex is updated, not before.
   */
  _calculateChunkSize() {
    let chunkSize = 0;
    if (this.igxForContainerSize !== null && this.igxForContainerSize !== void 0) {
      if (!this.sizesCache || this.sizesCache.length === 0) {
        this.initSizesCache(this.igxForOf);
      }
      chunkSize = this._calcMaxChunkSize();
      if (this.igxForOf && chunkSize > this.igxForOf.length) {
        chunkSize = this.igxForOf.length;
      }
    } else {
      if (this.igxForOf) {
        chunkSize = this.igxForOf.length;
      }
    }
    return chunkSize;
  }
  /**
   * @hidden
   */
  getElement(viewref, nodeName) {
    const elem = viewref.element.nativeElement.parentNode.getElementsByTagName(nodeName);
    return elem.length > 0 ? elem[0] : null;
  }
  /**
   * @hidden
   */
  initSizesCache(items) {
    let totalSize = 0;
    let size = 0;
    const dimension = this.igxForSizePropName || "height";
    let i = 0;
    this.sizesCache = [];
    this.individualSizeCache = [];
    this.sizesCache.push(0);
    const count = this.isRemote ? this.totalItemCount : items.length;
    for (i; i < count; i++) {
      size = this._getItemSize(items[i], dimension);
      this.individualSizeCache.push(size);
      totalSize += size;
      this.sizesCache.push(totalSize);
    }
    return totalSize;
  }
  _updateSizeCache() {
    if (this.igxForScrollOrientation === "horizontal") {
      this.initSizesCache(this.igxForOf);
      return;
    }
    const oldHeight = this.individualSizeCache.length > 0 ? this.individualSizeCache.reduce((acc, val) => acc + val) : 0;
    const newHeight = this.initSizesCache(this.igxForOf);
    const diff = oldHeight - newHeight;
    this._adjustScrollPositionAfterSizeChange(diff);
  }
  /**
   * @hidden
   */
  _calcMaxChunkSize() {
    let i = 0;
    let length = 0;
    let maxLength = 0;
    const arr = [];
    let sum = 0;
    const availableSize = parseInt(this.igxForContainerSize, 10);
    if (!availableSize) {
      return 0;
    }
    const dimension = this.igxForScrollOrientation === "horizontal" ? this.igxForSizePropName : "height";
    const reducer = (accumulator, currentItem) => accumulator + this._getItemSize(currentItem, dimension);
    for (i; i < this.igxForOf.length; i++) {
      let item = this.igxForOf[i];
      if (dimension === "height") {
        item = { value: this.igxForOf[i], height: this.individualSizeCache[i] };
      }
      const size = dimension === "height" ? this.individualSizeCache[i] : this._getItemSize(item, dimension);
      sum = arr.reduce(reducer, size);
      if (sum < availableSize) {
        arr.push(item);
        length = arr.length;
        if (i === this.igxForOf.length - 1) {
          let curItem = dimension === "height" ? arr[0].value : arr[0];
          let prevIndex = this.igxForOf.indexOf(curItem) - 1;
          while (prevIndex >= 0 && sum <= availableSize) {
            curItem = dimension === "height" ? arr[0].value : arr[0];
            prevIndex = this.igxForOf.indexOf(curItem) - 1;
            const prevItem = this.igxForOf[prevIndex];
            const prevSize = dimension === "height" ? this.individualSizeCache[prevIndex] : parseInt(prevItem[dimension], 10);
            sum = arr.reduce(reducer, prevSize);
            arr.unshift(prevItem);
            length = arr.length;
          }
        }
      } else {
        arr.push(item);
        length = arr.length + 1;
        arr.shift();
      }
      if (length > maxLength) {
        maxLength = length;
      }
    }
    return maxLength;
  }
  /**
   * @hidden
   */
  getIndexAt(left, set) {
    let start = 0;
    let end = set.length - 1;
    if (left === 0) {
      return 0;
    }
    while (start <= end) {
      const midIdx = Math.floor((start + end) / 2);
      const midLeft = set[midIdx];
      const cmp = left - midLeft;
      if (cmp > 0) {
        start = midIdx + 1;
      } else if (cmp < 0) {
        end = midIdx - 1;
      } else {
        return midIdx;
      }
    }
    return end;
  }
  _recalcScrollBarSize(containerSizeInfo = null) {
    const count = this.isRemote ? this.totalItemCount : this.igxForOf ? this.igxForOf.length : 0;
    this.dc.instance.notVirtual = !(this.igxForContainerSize && this.dc && this.state.chunkSize < count);
    const scrollable = containerSizeInfo ? this.scrollComponent.size > containerSizeInfo.prevSize : this.isScrollable();
    if (this.igxForScrollOrientation === "horizontal") {
      const totalWidth = parseInt(this.igxForContainerSize, 10) > 0 ? this._calcSize() : 0;
      if (totalWidth <= parseInt(this.igxForContainerSize, 10)) {
        this.resetScrollPosition();
      }
      this.scrollComponent.nativeElement.style.width = this.igxForContainerSize + "px";
      this.scrollComponent.size = totalWidth;
    }
    if (this.igxForScrollOrientation === "vertical") {
      const totalHeight = this._calcSize();
      if (totalHeight <= parseInt(this.igxForContainerSize, 10)) {
        this.resetScrollPosition();
      }
      this.scrollComponent.nativeElement.style.height = parseInt(this.igxForContainerSize, 10) + "px";
      this.scrollComponent.size = totalHeight;
    }
    if (scrollable !== this.isScrollable()) {
      this.scrollbarVisibilityChanged.emit();
    }
  }
  _calcSize() {
    let size;
    if (this.individualSizeCache && this.individualSizeCache.length > 0) {
      size = this.individualSizeCache.reduce((acc, val) => acc + val, 0);
    } else {
      size = this.initSizesCache(this.igxForOf);
    }
    this._virtSize = size;
    if (size > this._maxSize) {
      this._virtRatio = size / this._maxSize;
      size = this._maxSize;
    }
    return size;
  }
  _recalcOnContainerChange(containerSizeInfo = null) {
    const prevChunkSize = this.state.chunkSize;
    this.applyChunkSizeChange();
    this._recalcScrollBarSize(containerSizeInfo);
    if (prevChunkSize !== this.state.chunkSize) {
      this.chunkLoad.emit(this.state);
    }
  }
  /**
   * @hidden
   * Removes an element from the embedded views and updates chunkSize.
   */
  removeLastElem() {
    const oldElem = this._embeddedViews.pop();
    this.beforeViewDestroyed.emit(oldElem);
    this.dc.instance._vcr.detach(this.dc.instance._vcr.length - 1);
    oldElem.destroy();
    this.state.chunkSize--;
  }
  /**
   * @hidden
   * If there exists an element that we can create embedded view for creates it, appends it and updates chunkSize
   */
  addLastElem() {
    let elemIndex = this.state.startIndex + this.state.chunkSize;
    if (!this.isRemote && !this.igxForOf) {
      return;
    }
    if (elemIndex >= this.igxForOf.length) {
      elemIndex = this.igxForOf.length - this.state.chunkSize;
    }
    const input = this.igxForOf[elemIndex];
    const embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxForOfContext(input, this.igxForOf, this.getContextIndex(input), this.igxForOf.length));
    this._embeddedViews.push(embeddedView);
    this.state.chunkSize++;
    this._zone.run(() => this.cdr.markForCheck());
  }
  /**
   * Recalculates chunkSize and adds/removes elements if need due to the change.
   * this.state.chunkSize is updated in @addLastElem() or @removeLastElem()
   */
  applyChunkSizeChange() {
    const chunkSize = this.isRemote ? this.igxForOf ? this.igxForOf.length : 0 : this._calculateChunkSize();
    if (chunkSize > this.state.chunkSize) {
      const diff = chunkSize - this.state.chunkSize;
      for (let i = 0; i < diff; i++) {
        this.addLastElem();
      }
    } else if (chunkSize < this.state.chunkSize) {
      const diff = this.state.chunkSize - chunkSize;
      for (let i = 0; i < diff; i++) {
        this.removeLastElem();
      }
    }
  }
  _calcVirtualScrollPosition(scrollPosition) {
    const containerSize = parseInt(this.igxForContainerSize, 10);
    const maxRealScrollPosition = this.scrollComponent.size - containerSize;
    const realPercentScrolled = maxRealScrollPosition !== 0 ? scrollPosition / maxRealScrollPosition : 0;
    const maxVirtScroll = this._virtSize - containerSize;
    this._virtScrollPosition = realPercentScrolled * maxVirtScroll;
  }
  _getItemSize(item, dimension) {
    const dim = item ? item[dimension] : null;
    return typeof dim === "number" ? dim : parseInt(this.igxForItemSize, 10) || 0;
  }
  _updateScrollOffset() {
    let scrollOffset = 0;
    let currentScroll = this.scrollPosition;
    if (this._virtRatio !== 1) {
      this._calcVirtualScrollPosition(this.scrollPosition);
      currentScroll = this._virtScrollPosition;
    }
    const scroll = this.scrollComponent.nativeElement;
    scrollOffset = scroll && this.scrollComponent.size ? currentScroll - this.sizesCache[this.state.startIndex] : 0;
    const dir = this.igxForScrollOrientation === "horizontal" ? "left" : "top";
    this.dc.instance._viewContainer.element.nativeElement.style[dir] = -scrollOffset + "px";
  }
  _adjustScrollPositionAfterSizeChange(sizeDiff) {
    if (Math.abs(sizeDiff) > 0 && this.scrollPosition > 0) {
      this.recalcUpdateSizes();
      const offset = this.igxForScrollOrientation === "horizontal" ? parseInt(this.dc.instance._viewContainer.element.nativeElement.style.left, 10) : parseInt(this.dc.instance._viewContainer.element.nativeElement.style.top, 10);
      const newSize = this.sizesCache[this.state.startIndex] - offset;
      this.scrollPosition = newSize;
      if (this.scrollPosition !== newSize) {
        this.scrollComponent.scrollAmount = newSize;
      }
    }
  }
  getMargin(node, dimension) {
    const styles = window.getComputedStyle(node);
    if (dimension === "height") {
      return parseFloat(styles["marginTop"]) + parseFloat(styles["marginBottom"]) || 0;
    }
    return parseFloat(styles["marginLeft"]) + parseFloat(styles["marginRight"]) || 0;
  }
  static {
    this.ɵfac = i035.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i035, type: _IgxForOfDirective, deps: [{ token: i035.ViewContainerRef }, { token: i035.TemplateRef }, { token: i035.IterableDiffers }, { token: i035.ChangeDetectorRef }, { token: i035.NgZone }, { token: IgxForOfScrollSyncService }, { token: PlatformUtil }, { token: DOCUMENT7 }], target: i035.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i035.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxForOfDirective, isStandalone: true, selector: "[igxFor][igxForOf]", inputs: { igxForOf: "igxForOf", igxForSizePropName: "igxForSizePropName", igxForScrollOrientation: "igxForScrollOrientation", igxForScrollContainer: "igxForScrollContainer", igxForContainerSize: "igxForContainerSize", igxForItemSize: "igxForItemSize", igxForTotalItemCount: "igxForTotalItemCount", igxForTrackBy: "igxForTrackBy" }, outputs: { chunkLoad: "chunkLoad", scrollbarVisibilityChanged: "scrollbarVisibilityChanged", contentSizeChange: "contentSizeChange", dataChanged: "dataChanged", beforeViewDestroyed: "beforeViewDestroyed", chunkPreload: "chunkPreload" }, providers: [
      IgxForOfScrollSyncService,
      { provide: IgxForOfToken, useExisting: _IgxForOfDirective }
    ], usesInheritance: true, usesOnChanges: true, ngImport: i035 });
  }
};
i035.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i035, type: IgxForOfDirective, decorators: [{
  type: Directive20,
  args: [{
    selector: "[igxFor][igxForOf]",
    providers: [
      IgxForOfScrollSyncService,
      { provide: IgxForOfToken, useExisting: IgxForOfDirective }
    ],
    standalone: true
  }]
}], ctorParameters: () => [{ type: i035.ViewContainerRef }, { type: i035.TemplateRef }, { type: i035.IterableDiffers }, { type: i035.ChangeDetectorRef }, { type: i035.NgZone }, { type: IgxForOfScrollSyncService }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject16,
  args: [DOCUMENT7]
}] }], propDecorators: { igxForOf: [{
  type: Input21
}], igxForSizePropName: [{
  type: Input21
}], igxForScrollOrientation: [{
  type: Input21
}], igxForScrollContainer: [{
  type: Input21
}], igxForContainerSize: [{
  type: Input21
}], igxForItemSize: [{
  type: Input21
}], chunkLoad: [{
  type: Output8
}], scrollbarVisibilityChanged: [{
  type: Output8
}], contentSizeChange: [{
  type: Output8
}], dataChanged: [{
  type: Output8
}], beforeViewDestroyed: [{
  type: Output8
}], chunkPreload: [{
  type: Output8
}], igxForTotalItemCount: [{
  type: Input21
}], igxForTrackBy: [{
  type: Input21
}] } });
var getTypeNameForDebugging = (type) => type.name || typeof type;
var IgxGridForOfContext = class extends IgxForOfContext {
  constructor($implicit, igxGridForOf, index, count) {
    super($implicit, igxGridForOf, index, count);
    this.igxGridForOf = igxGridForOf;
  }
};
var IgxGridForOfDirective = class _IgxGridForOfDirective extends IgxForOfDirective {
  set igxGridForOf(value) {
    this.igxForOf = value;
  }
  get igxGridForOf() {
    return this.igxForOf;
  }
  /**
   * @hidden
   * @internal
   */
  get sizesCache() {
    if (this.igxForScrollOrientation === "horizontal") {
      if (this.igxGridForOfUniqueSizeCache || this.syncService.isMaster(this)) {
        return this._sizesCache;
      }
      return this.syncService.sizesCache(this.igxForScrollOrientation);
    } else {
      return this._sizesCache;
    }
  }
  /**
   * @hidden
   * @internal
   */
  set sizesCache(value) {
    this._sizesCache = value;
  }
  get itemsDimension() {
    return this.igxForSizePropName || "height";
  }
  recalcUpdateSizes() {
    if (this.igxGridForOfVariableSizes && this.igxForScrollOrientation === "vertical") {
      super.recalcUpdateSizes();
    }
  }
  constructor(_viewContainer, _template, _differs, cdr, _zone, _platformUtil, _document, syncScrollService, syncService) {
    super(_viewContainer, _template, _differs, cdr, _zone, syncScrollService, _platformUtil, _document);
    this.syncService = syncService;
    this.igxGridForOfUniqueSizeCache = false;
    this.igxGridForOfVariableSizes = true;
    this.dataChanging = new EventEmitter15();
  }
  /**
   * @hidden @internal
   * Asserts the correct type of the context for the template that `IgxGridForOfDirective` will render.
   *
   * The presence of this method is a signal to the Ivy template type-check compiler that the
   * `IgxGridForOfDirective` structural directive renders its template with a specific context type.
   */
  static ngTemplateContextGuard(dir, ctx) {
    return true;
  }
  ngOnInit() {
    this.syncService.setMaster(this);
    super.ngOnInit();
    this.removeScrollEventListeners();
  }
  ngOnChanges(changes) {
    const forOf = "igxGridForOf";
    this.syncService.setMaster(this);
    if (forOf in changes) {
      const value = changes[forOf].currentValue;
      if (!this._differ && value) {
        try {
          this._differ = this._differs.find(value).create(this.igxForTrackBy);
        } catch (e) {
          throw new Error(`Cannot find a differ supporting object "${value}" of type "${getTypeNameForDebugging(value)}".
                     NgFor only supports binding to Iterables such as Arrays.`);
        }
      }
      if (this.igxForScrollOrientation === "horizontal") {
        this.syncService.setMaster(this, true);
      }
    }
    const defaultItemSize = "igxForItemSize";
    if (defaultItemSize in changes && !changes[defaultItemSize].firstChange && this.igxForScrollOrientation === "vertical" && this.igxForOf) {
      this.initSizesCache(this.igxForOf);
    }
    const containerSize = "igxForContainerSize";
    if (containerSize in changes && !changes[containerSize].firstChange && this.igxForOf) {
      const prevSize = parseInt(changes[containerSize].previousValue, 10);
      const newSize = parseInt(changes[containerSize].currentValue, 10);
      this._recalcOnContainerChange({ prevSize, newSize });
    }
  }
  /**
   * @hidden
   * @internal
   */
  assumeMaster() {
    this._sizesCache = this.syncService.sizesCache(this.igxForScrollOrientation);
    this.syncService.setMaster(this, true);
  }
  ngDoCheck() {
    if (this._differ) {
      const changes = this._differ.diff(this.igxForOf);
      if (changes) {
        const args = {
          containerSize: this.igxForContainerSize
        };
        this.dataChanging.emit(args);
        if (!this.igxForOf) {
          this.igxForOf = [];
        }
        if (!this.igxForOf.length && this.igxForScrollOrientation === "vertical") {
          this.syncService.resetMaster();
        }
        this.syncService.setMaster(this);
        this.igxForContainerSize = args.containerSize;
        const sizeDiff = this._updateSizeCache(changes);
        this._applyChanges();
        if (sizeDiff) {
          this._adjustScrollPositionAfterSizeChange(sizeDiff);
        }
        this._updateScrollOffset();
        this.dataChanged.emit();
      }
    }
  }
  onScroll(event) {
    if (!parseInt(this.scrollComponent.nativeElement.style.height, 10)) {
      return;
    }
    if (!this._bScrollInternal) {
      this._calcVirtualScrollPosition(event.target.scrollTop);
    } else {
      this._bScrollInternal = false;
    }
    const scrollOffset = this.fixedUpdateAllElements(this._virtScrollPosition);
    this.dc.instance._viewContainer.element.nativeElement.style.top = -scrollOffset + "px";
    this._zone.onStable.pipe(first3()).subscribe(this.recalcUpdateSizes.bind(this));
    this.cdr.markForCheck();
  }
  onHScroll(scrollAmount) {
    const firstScrollChild = this.scrollComponent.nativeElement.children.item(0);
    if (!this.scrollComponent || !parseInt(firstScrollChild.style.width, 10)) {
      return;
    }
    const scrollOffset = this.fixedUpdateAllElements(Math.abs(scrollAmount));
    if (scrollAmount < 0) {
      this.dc.instance._viewContainer.element.nativeElement.style.left = scrollOffset + "px";
    } else {
      this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + "px";
    }
  }
  getItemSize(item) {
    let size = 0;
    const dimension = this.igxForSizePropName || "height";
    if (this.igxForScrollOrientation === "vertical") {
      size = this._getItemSize(item, dimension);
      if (item && item.summaries) {
        size = item.max;
      } else if (item && item.groups && item.height) {
        size = item.height;
      }
    } else {
      size = parseInt(item[dimension], 10) || 0;
    }
    return size;
  }
  initSizesCache(items) {
    if (!this.syncService.isMaster(this) && this.igxForScrollOrientation === "horizontal") {
      const masterSizesCache = this.syncService.sizesCache(this.igxForScrollOrientation);
      return masterSizesCache[masterSizesCache.length - 1];
    }
    let totalSize = 0;
    let size = 0;
    let i = 0;
    this.sizesCache = [];
    this.individualSizeCache = [];
    this.sizesCache.push(0);
    const count = this.isRemote ? this.totalItemCount : items.length;
    for (i; i < count; i++) {
      size = this.getItemSize(items[i]);
      this.individualSizeCache.push(size);
      totalSize += size;
      this.sizesCache.push(totalSize);
    }
    return totalSize;
  }
  _updateSizeCache(changes = null) {
    const oldSize = this.individualSizeCache.length > 0 ? this.individualSizeCache.reduce((acc, val) => acc + val) : 0;
    let newSize = oldSize;
    if (changes && !this.isRemote) {
      newSize = this.handleCacheChanges(changes);
    } else {
      return;
    }
    const diff = oldSize - newSize;
    return diff;
  }
  handleCacheChanges(changes) {
    const identityChanges = [];
    const newHeightCache = [];
    const newSizesCache = [];
    newSizesCache.push(0);
    let newHeight = 0;
    let numRemovedItems = 0;
    changes.forEachRemovedItem(() => numRemovedItems++);
    changes.forEachIdentityChange((item) => {
      if (item.currentIndex !== item.previousIndex) {
        identityChanges[item.currentIndex] = item;
      }
    });
    changes.forEachItem((item) => {
      if (item.previousIndex !== null && (numRemovedItems < 2 || !identityChanges.length || identityChanges[item.currentIndex]) && this.igxForScrollOrientation !== "horizontal") {
        newHeightCache[item.currentIndex] = this.individualSizeCache[item.previousIndex];
      } else {
        newHeightCache[item.currentIndex] = this.getItemSize(item.item);
      }
      newSizesCache[item.currentIndex + 1] = newSizesCache[item.currentIndex] + newHeightCache[item.currentIndex];
      newHeight += newHeightCache[item.currentIndex];
    });
    this.individualSizeCache = newHeightCache;
    this.sizesCache = newSizesCache;
    return newHeight;
  }
  addLastElem() {
    let elemIndex = this.state.startIndex + this.state.chunkSize;
    if (!this.isRemote && !this.igxForOf) {
      return;
    }
    if (elemIndex >= this.igxForOf.length) {
      elemIndex = this.igxForOf.length - this.state.chunkSize;
    }
    const input = this.igxForOf[elemIndex];
    const embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxGridForOfContext(input, this.igxForOf, this.getContextIndex(input), this.igxForOf.length));
    this._embeddedViews.push(embeddedView);
    this.state.chunkSize++;
  }
  _updateViews(prevChunkSize) {
    if (this.igxForOf && this.igxForOf.length && this.dc) {
      const embeddedViewCopy = Object.assign([], this._embeddedViews);
      let startIndex;
      let endIndex;
      if (this.isRemote) {
        startIndex = 0;
        endIndex = this.igxForOf.length;
      } else {
        startIndex = this.getIndexAt(this.scrollPosition, this.sizesCache);
        if (startIndex + this.state.chunkSize > this.igxForOf.length) {
          startIndex = this.igxForOf.length - this.state.chunkSize;
        }
        this.state.startIndex = startIndex;
        endIndex = this.state.chunkSize + this.state.startIndex;
      }
      for (let i = startIndex; i < endIndex && this.igxForOf[i] !== void 0; i++) {
        const embView = embeddedViewCopy.shift();
        this.updateTemplateContext(embView.context, i);
      }
      if (prevChunkSize !== this.state.chunkSize) {
        this.chunkLoad.emit(this.state);
      }
    }
  }
  _applyChanges() {
    const prevChunkSize = this.state.chunkSize;
    this.applyChunkSizeChange();
    this._recalcScrollBarSize();
    this._updateViews(prevChunkSize);
  }
  /**
   * @hidden
   */
  _calcMaxChunkSize() {
    if (this.igxForScrollOrientation === "horizontal") {
      if (this.syncService.isMaster(this)) {
        return super._calcMaxChunkSize();
      }
      return this.syncService.chunkSize(this.igxForScrollOrientation);
    } else {
      return super._calcMaxChunkSize();
    }
  }
  static {
    this.ɵfac = i035.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i035, type: _IgxGridForOfDirective, deps: [{ token: i035.ViewContainerRef }, { token: i035.TemplateRef }, { token: i035.IterableDiffers }, { token: i035.ChangeDetectorRef }, { token: i035.NgZone }, { token: PlatformUtil }, { token: DOCUMENT7 }, { token: IgxForOfScrollSyncService }, { token: IgxForOfSyncService }], target: i035.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i035.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridForOfDirective, isStandalone: true, selector: "[igxGridFor][igxGridForOf]", inputs: { igxGridForOf: "igxGridForOf", igxGridForOfUniqueSizeCache: ["igxGridForOfUniqueSizeCache", "igxGridForOfUniqueSizeCache", booleanAttribute11], igxGridForOfVariableSizes: ["igxGridForOfVariableSizes", "igxGridForOfVariableSizes", booleanAttribute11] }, outputs: { dataChanging: "dataChanging" }, usesInheritance: true, usesOnChanges: true, ngImport: i035 });
  }
};
i035.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i035, type: IgxGridForOfDirective, decorators: [{
  type: Directive20,
  args: [{
    selector: "[igxGridFor][igxGridForOf]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i035.ViewContainerRef }, { type: i035.TemplateRef }, { type: i035.IterableDiffers }, { type: i035.ChangeDetectorRef }, { type: i035.NgZone }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject16,
  args: [DOCUMENT7]
}] }, { type: IgxForOfScrollSyncService }, { type: IgxForOfSyncService }], propDecorators: { igxGridForOf: [{
  type: Input21
}], igxGridForOfUniqueSizeCache: [{
  type: Input21,
  args: [{ transform: booleanAttribute11 }]
}], igxGridForOfVariableSizes: [{
  type: Input21,
  args: [{ transform: booleanAttribute11 }]
}], dataChanging: [{
  type: Output8
}] } });

// lib/directives/button/icon-button.directive.mjs
import { Directive as Directive21, HostBinding as HostBinding15, Input as Input22 } from "@angular/core";
import * as i036 from "@angular/core";
var IgxIconButtonDirective = class _IgxIconButtonDirective extends IgxButtonBaseDirective {
  constructor() {
    super(...arguments);
    this._cssClass = "igx-icon-button";
  }
  /**
   * Sets the type of the icon button.
   *
   * @example
   * ```html
   * <button type="button" igxIconButton="flat"></button>
   * ```
   */
  set type(type) {
    const t = type ? type : IgxBaseButtonType.Contained;
    if (this._type !== t) {
      this._type = t;
    }
  }
  /**
   * @hidden
   * @internal
   */
  get flat() {
    return this._type === IgxBaseButtonType.Flat;
  }
  /**
   * @hidden
   * @internal
   */
  get contained() {
    return this._type === IgxBaseButtonType.Contained;
  }
  /**
   * @hidden
   * @internal
   */
  get outlined() {
    return this._type === IgxBaseButtonType.Outlined;
  }
  static {
    this.ɵfac = i036.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i036, type: _IgxIconButtonDirective, deps: null, target: i036.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i036.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxIconButtonDirective, isStandalone: true, selector: "[igxIconButton]", inputs: { type: ["igxIconButton", "type"] }, host: { properties: { "class.igx-icon-button": "this._cssClass", "class.igx-icon-button--flat": "this.flat", "class.igx-icon-button--contained": "this.contained", "class.igx-icon-button--outlined": "this.outlined" } }, usesInheritance: true, ngImport: i036 });
  }
};
i036.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i036, type: IgxIconButtonDirective, decorators: [{
  type: Directive21,
  args: [{
    selector: "[igxIconButton]",
    standalone: true
  }]
}], propDecorators: { _cssClass: [{
  type: HostBinding15,
  args: ["class.igx-icon-button"]
}], type: [{
  type: Input22,
  args: ["igxIconButton"]
}], flat: [{
  type: HostBinding15,
  args: ["class.igx-icon-button--flat"]
}], contained: [{
  type: HostBinding15,
  args: ["class.igx-icon-button--contained"]
}], outlined: [{
  type: HostBinding15,
  args: ["class.igx-icon-button--outlined"]
}] } });

// lib/directives/layout/layout.directive.mjs
import { Directive as Directive22, HostBinding as HostBinding16, Input as Input23, booleanAttribute as booleanAttribute12 } from "@angular/core";
import * as i037 from "@angular/core";
var IgxLayoutDirective = class _IgxLayoutDirective {
  constructor() {
    this.dir = "row";
    this.reverse = false;
    this.wrap = "nowrap";
    this.justify = "flex-start";
    this.itemAlign = "stretch";
    this.display = "flex";
  }
  /**
   * @hidden
   */
  get flexwrap() {
    return this.wrap;
  }
  /**
   * @hidden
   */
  get justifycontent() {
    return this.justify;
  }
  /**
   * @hidden
   */
  get align() {
    return this.itemAlign;
  }
  /**
   * @hidden
   */
  get direction() {
    if (this.reverse) {
      return this.dir === "row" ? "row-reverse" : "column-reverse";
    }
    return this.dir === "row" ? "row" : "column";
  }
  static {
    this.ɵfac = i037.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i037, type: _IgxLayoutDirective, deps: [], target: i037.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i037.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxLayoutDirective, isStandalone: true, selector: "[igxLayout]", inputs: { dir: ["igxLayoutDir", "dir"], reverse: ["igxLayoutReverse", "reverse", booleanAttribute12], wrap: ["igxLayoutWrap", "wrap"], justify: ["igxLayoutJustify", "justify"], itemAlign: ["igxLayoutItemAlign", "itemAlign"] }, host: { properties: { "style.display": "this.display", "style.flex-wrap": "this.flexwrap", "style.justify-content": "this.justifycontent", "style.align-items": "this.align", "style.flex-direction": "this.direction" } }, ngImport: i037 });
  }
};
i037.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i037, type: IgxLayoutDirective, decorators: [{
  type: Directive22,
  args: [{
    selector: "[igxLayout]",
    standalone: true
  }]
}], propDecorators: { dir: [{
  type: Input23,
  args: ["igxLayoutDir"]
}], reverse: [{
  type: Input23,
  args: [{ alias: "igxLayoutReverse", transform: booleanAttribute12 }]
}], wrap: [{
  type: Input23,
  args: ["igxLayoutWrap"]
}], justify: [{
  type: Input23,
  args: ["igxLayoutJustify"]
}], itemAlign: [{
  type: Input23,
  args: ["igxLayoutItemAlign"]
}], display: [{
  type: HostBinding16,
  args: ["style.display"]
}], flexwrap: [{
  type: HostBinding16,
  args: ["style.flex-wrap"]
}], justifycontent: [{
  type: HostBinding16,
  args: ["style.justify-content"]
}], align: [{
  type: HostBinding16,
  args: ["style.align-items"]
}], direction: [{
  type: HostBinding16,
  args: ["style.flex-direction"]
}] } });
var IgxFlexDirective = class _IgxFlexDirective {
  constructor() {
    this.grow = 1;
    this.shrink = 1;
    this.flex = "";
    this.order = 0;
    this.basis = "auto";
  }
  /**
   * @hidden
   */
  get style() {
    if (this.flex) {
      return `${this.flex}`;
    }
    return `${this.grow} ${this.shrink} ${this.basis}`;
  }
  /**
   * @hidden
   */
  get itemorder() {
    return this.order || 0;
  }
  static {
    this.ɵfac = i037.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i037, type: _IgxFlexDirective, deps: [], target: i037.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i037.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxFlexDirective, isStandalone: true, selector: "[igxFlex]", inputs: { grow: ["igxFlexGrow", "grow"], shrink: ["igxFlexShrink", "shrink"], flex: ["igxFlex", "flex"], order: ["igxFlexOrder", "order"], basis: ["igxFlexBasis", "basis"] }, host: { properties: { "style.flex": "this.style", "style.order": "this.itemorder" } }, ngImport: i037 });
  }
};
i037.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i037, type: IgxFlexDirective, decorators: [{
  type: Directive22,
  args: [{
    selector: "[igxFlex]",
    standalone: true
  }]
}], propDecorators: { grow: [{
  type: Input23,
  args: ["igxFlexGrow"]
}], shrink: [{
  type: Input23,
  args: ["igxFlexShrink"]
}], flex: [{
  type: Input23,
  args: ["igxFlex"]
}], order: [{
  type: Input23,
  args: ["igxFlexOrder"]
}], basis: [{
  type: Input23,
  args: ["igxFlexBasis"]
}], style: [{
  type: HostBinding16,
  args: ["style.flex"]
}], itemorder: [{
  type: HostBinding16,
  args: ["style.order"]
}] } });

// lib/directives/mask/mask-parsing.service.mjs
import { Injectable as Injectable11 } from "@angular/core";
import * as i038 from "@angular/core";
var FLAGS = new Set("aACL09#&?");
var REGEX = /* @__PURE__ */ new Map([
  ["C", /(?!^$)/u],
  // Non-empty
  ["&", /[^\p{Separator}]/u],
  // Non-whitespace
  ["a", /[\p{Letter}\d\p{Separator}]/u],
  // Alphanumeric & whitespace
  ["A", /[\p{Letter}\d]/u],
  // Alphanumeric
  ["?", /[\p{Letter}\p{Separator}]/u],
  // Alpha & whitespace
  ["L", /\p{Letter}/u],
  // Alpha
  ["0", /\d/],
  // Numeric
  ["9", /[\d\p{Separator}]/u],
  // Numeric & whitespace
  ["#", /[\d\-+]/]
  // Numeric and sign
]);
var replaceCharAt = (string, idx, char) => `${string.substring(0, idx)}${char}${string.substring(idx + 1)}`;
function parseMask(format) {
  const literals = /* @__PURE__ */ new Map();
  let mask = format;
  for (let i = 0, j = 0; i < format.length; i++, j++) {
    const [current, next] = [format.charAt(i), format.charAt(i + 1)];
    if (current === "\\" && FLAGS.has(next)) {
      mask = replaceCharAt(mask, j, "");
      literals.set(j, next);
      i++;
    } else {
      if (!FLAGS.has(current)) {
        literals.set(j, current);
      }
    }
  }
  return { literals, mask };
}
var MaskParsingService = class _MaskParsingService {
  applyMask(inputVal, maskOptions, pos = 0) {
    let outputVal = "";
    let value = "";
    const { literals, mask } = parseMask(maskOptions.format);
    const literalKeys = Array.from(literals.keys());
    const nonLiteralIndices = this.getNonLiteralIndices(mask, literalKeys);
    const literalValues = Array.from(literals.values());
    if (inputVal != null) {
      value = inputVal.toString();
    }
    for (const _maskSym of mask) {
      outputVal += maskOptions.promptChar;
    }
    literals.forEach((val, key) => {
      outputVal = replaceCharAt(outputVal, key, val);
    });
    if (!value) {
      return outputVal;
    }
    const nonLiteralValues = this.getNonLiteralValues(value, literalValues);
    for (let i = 0; i < nonLiteralValues.length; i++) {
      const char = nonLiteralValues[i];
      const isCharValid = this.validateCharOnPosition(char, nonLiteralIndices[i], mask);
      if (!isCharValid && char !== maskOptions.promptChar) {
        nonLiteralValues[i] = maskOptions.promptChar;
      }
    }
    if (nonLiteralValues.length > nonLiteralIndices.length) {
      nonLiteralValues.splice(nonLiteralIndices.length);
    }
    for (const nonLiteralValue of nonLiteralValues) {
      const char = nonLiteralValue;
      outputVal = replaceCharAt(outputVal, nonLiteralIndices[pos++], char);
    }
    return outputVal;
  }
  parseValueFromMask(maskedValue, maskOptions) {
    let outputVal = "";
    const literalValues = Array.from(parseMask(maskOptions.format).literals.values());
    for (const val of maskedValue) {
      if (literalValues.indexOf(val) === -1) {
        if (val !== maskOptions.promptChar) {
          outputVal += val;
        }
      }
    }
    return outputVal;
  }
  replaceInMask(maskedValue, value, maskOptions, start, end) {
    const { literals, mask } = parseMask(maskOptions.format);
    const literalsPositions = Array.from(literals.keys());
    value = this.replaceIMENumbers(value);
    const chars = Array.from(value);
    let cursor = start;
    end = Math.min(end, maskedValue.length);
    for (let i = start; i < end || chars.length && i < maskedValue.length; i++) {
      if (literalsPositions.indexOf(i) !== -1) {
        if (chars[0] === maskedValue[i] || value.length < 1) {
          cursor = i + 1;
          chars.shift();
        }
        continue;
      }
      if (chars[0] && !this.validateCharOnPosition(chars[0], i, mask) && chars[0] !== maskOptions.promptChar) {
        break;
      }
      let char = maskOptions.promptChar;
      if (chars.length) {
        cursor = i + 1;
        char = chars.shift();
      }
      if (value.length < 1) {
        cursor++;
      }
      maskedValue = replaceCharAt(maskedValue, i, char);
    }
    return { value: maskedValue, end: cursor };
  }
  /** Validates only non literal positions. */
  validateCharOnPosition(inputChar, position, mask) {
    const regex = REGEX.get(mask.charAt(position));
    return regex ? regex.test(inputChar) : false;
  }
  getNonLiteralIndices(mask, literalKeys) {
    const nonLiteralsIndices = [];
    for (let i = 0; i < mask.length; i++) {
      if (literalKeys.indexOf(i) === -1) {
        nonLiteralsIndices.push(i);
      }
    }
    return nonLiteralsIndices;
  }
  getNonLiteralValues(value, literalValues) {
    const nonLiteralValues = [];
    for (const val of value) {
      if (literalValues.indexOf(val) === -1) {
        nonLiteralValues.push(val);
      }
    }
    return nonLiteralValues;
  }
  replaceIMENumbers(value) {
    return value.replace(/[０１２３４５６７８９]/g, (num) => ({
      "１": "1",
      "２": "2",
      "３": "3",
      "４": "4",
      "５": "5",
      "６": "6",
      "７": "7",
      "８": "8",
      "９": "9",
      "０": "0"
    })[num]);
  }
  static {
    this.ɵfac = i038.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i038, type: _MaskParsingService, deps: [], target: i038.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i038.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i038, type: _MaskParsingService, providedIn: "root" });
  }
};
i038.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i038, type: MaskParsingService, decorators: [{
  type: Injectable11,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/directives/mask/mask.directive.mjs
import { Directive as Directive23, EventEmitter as EventEmitter16, HostListener as HostListener9, Output as Output9, Input as Input24, booleanAttribute as booleanAttribute13 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR2 } from "@angular/forms";
import { noop } from "rxjs";
import * as i039 from "@angular/core";
var IgxMaskDirective = class _IgxMaskDirective {
  /**
   * Sets the input mask.
   * ```html
   * <input [igxMask] = "'00/00/0000'">
   * ```
   */
  get mask() {
    return this._mask || this.defaultMask;
  }
  set mask(val) {
    if (val !== this._mask) {
      const cleanInputValue = this.maskParser.parseValueFromMask(this.inputValue, this.maskOptions);
      this.setPlaceholder(val);
      this._mask = val;
      this.updateInputValue(cleanInputValue);
    }
  }
  /** @hidden */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  /** @hidden @internal; */
  get inputValue() {
    return this.nativeElement.value;
  }
  /** @hidden @internal */
  set inputValue(val) {
    this.nativeElement.value = val;
  }
  /** @hidden */
  get maskOptions() {
    const format = this.mask || this.defaultMask;
    const promptChar = this.promptChar && this.promptChar.substring(0, 1);
    return { format, promptChar };
  }
  /** @hidden */
  get selectionStart() {
    return this.nativeElement.selectionStart === this.nativeElement.selectionEnd && this._hasDropAction ? this.nativeElement.selectionEnd - this._droppedData.length : this.nativeElement.selectionStart;
  }
  /** @hidden */
  get selectionEnd() {
    return this.nativeElement.selectionEnd;
  }
  /** @hidden */
  get start() {
    return this._start;
  }
  /** @hidden */
  get end() {
    return this._end;
  }
  constructor(elementRef, maskParser, renderer, platform) {
    this.elementRef = elementRef;
    this.maskParser = maskParser;
    this.renderer = renderer;
    this.platform = platform;
    this.promptChar = "_";
    this.valueChanged = new EventEmitter16();
    this._focused = false;
    this._end = 0;
    this._start = 0;
    this._oldText = "";
    this._dataValue = "";
    this.defaultMask = "CCCCCCCCCC";
    this._onTouchedCallback = noop;
    this._onChangeCallback = noop;
  }
  /** @hidden */
  onKeyDown(event) {
    const key = event.key;
    if (!key) {
      return;
    }
    if (event.ctrlKey && (key === this.platform.KEYMAP.Z || key === this.platform.KEYMAP.Y)) {
      event.preventDefault();
    }
    this._key = key;
    this._start = this.selectionStart;
    this._end = this.selectionEnd;
  }
  /** @hidden @internal */
  onCompositionStart() {
    if (!this._composing) {
      this._compositionStartIndex = this._start;
      this._composing = true;
    }
  }
  /** @hidden @internal */
  onCompositionEnd() {
    this._start = this._compositionStartIndex;
    const end = this.selectionEnd;
    const valueToParse = this.inputValue.substring(this._start, end);
    this.updateInput(valueToParse);
    this._end = this.selectionEnd;
    this._compositionValue = this.inputValue;
  }
  /** @hidden @internal */
  onInputChanged(event) {
    if (this._composing) {
      if (this.inputValue.length < this._oldText.length) {
        this._key = this.platform.KEYMAP.BACKSPACE;
      }
      return;
    }
    if (event.inputType === "deleteContentBackward" && this._key !== this.platform.KEYMAP.BACKSPACE) {
      const isInputComplete = this._compositionStartIndex === 0 && this._end === this.mask.length;
      let numberOfMaskLiterals = 0;
      const literalPos = parseMask(this.maskOptions.format).literals.keys();
      for (const index of literalPos) {
        if (index >= this._compositionStartIndex && index <= this._end) {
          numberOfMaskLiterals++;
        }
      }
      this.inputValue = isInputComplete ? this.inputValue.substring(0, this.selectionEnd - numberOfMaskLiterals) + this.inputValue.substring(this.selectionEnd) : this._compositionValue?.substring(0, this._compositionStartIndex) || this.inputValue;
      if (this._compositionValue) {
        this._start = this.selectionStart;
        this._end = this.selectionEnd;
        this.nativeElement.selectionStart = isInputComplete ? this._start - numberOfMaskLiterals : this._compositionStartIndex;
        this.nativeElement.selectionEnd = this._end - numberOfMaskLiterals;
        this.nativeElement.selectionEnd = this._end;
        this._start = this.selectionStart;
        this._end = this.selectionEnd;
      }
    }
    if (this._hasDropAction) {
      this._start = this.selectionStart;
    }
    let valueToParse = "";
    switch (this._key) {
      case this.platform.KEYMAP.DELETE:
        this._end = this._start === this._end ? ++this._end : this._end;
        break;
      case this.platform.KEYMAP.BACKSPACE:
        this._start = this.selectionStart;
        break;
      default:
        valueToParse = this.inputValue.substring(this._start, this.selectionEnd);
        break;
    }
    this.updateInput(valueToParse);
  }
  /** @hidden */
  onPaste() {
    this._oldText = this.inputValue;
    this._start = this.selectionStart;
  }
  /** @hidden */
  onFocus() {
    if (this.nativeElement.readOnly) {
      return;
    }
    this._focused = true;
    this.showMask(this.inputValue);
  }
  /** @hidden */
  onBlur(value) {
    this._focused = false;
    this.showDisplayValue(value);
    this._onTouchedCallback();
  }
  /** @hidden */
  onDragEnter() {
    if (!this._focused && !this._dataValue) {
      this.showMask(this._dataValue);
    }
  }
  /** @hidden */
  onDragLeave() {
    if (!this._focused) {
      this.showDisplayValue(this.inputValue);
    }
  }
  /** @hidden */
  onDrop(event) {
    this._hasDropAction = true;
    this._droppedData = event.dataTransfer.getData("text");
  }
  /** @hidden */
  ngOnInit() {
    this.setPlaceholder(this.maskOptions.format);
  }
  /**
   * TODO: Remove after date/time picker integration refactor
   *
   * @hidden
   */
  ngAfterViewChecked() {
    if (this._composing) {
      return;
    }
    this._oldText = this.inputValue;
  }
  /** @hidden */
  writeValue(value) {
    if (this.promptChar && this.promptChar.length > 1) {
      this.maskOptions.promptChar = this.promptChar.substring(0, 1);
    }
    this.inputValue = value ? this.maskParser.applyMask(value, this.maskOptions) : "";
    if (this.displayValuePipe) {
      this.inputValue = this.displayValuePipe.transform(this.inputValue);
    }
    this._dataValue = this.includeLiterals ? this.inputValue : value;
    this.valueChanged.emit({ rawValue: value, formattedValue: this.inputValue });
  }
  /** @hidden */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden */
  showMask(value) {
    if (this.focusedValuePipe) {
      this.inputValue = this.focusedValuePipe.transform(value);
    } else {
      this.inputValue = this.maskParser.applyMask(value, this.maskOptions);
    }
    this._oldText = this.inputValue;
  }
  /** @hidden */
  setSelectionRange(start, end = start) {
    this.nativeElement.setSelectionRange(start, end);
  }
  /** @hidden */
  afterInput() {
    this._oldText = this.inputValue;
    this._hasDropAction = false;
    this._start = 0;
    this._end = 0;
    this._key = null;
    this._composing = false;
  }
  /** @hidden */
  setPlaceholder(value) {
    const placeholder = this.nativeElement.placeholder;
    if (!placeholder || placeholder === this.mask) {
      this.renderer.setAttribute(this.nativeElement, "placeholder", parseMask(value ?? "").mask || this.defaultMask);
    }
  }
  updateInputValue(value) {
    if (this._focused) {
      this.showMask(value);
    } else if (!this.displayValuePipe) {
      this.inputValue = this.inputValue ? this.maskParser.applyMask(value, this.maskOptions) : "";
    }
  }
  updateInput(valueToParse) {
    const replacedData = this.maskParser.replaceInMask(this._oldText, valueToParse, this.maskOptions, this._start, this._end);
    this.inputValue = replacedData.value;
    if (this._key === this.platform.KEYMAP.BACKSPACE) {
      replacedData.end = this._start;
    }
    this.setSelectionRange(replacedData.end);
    const rawVal = this.maskParser.parseValueFromMask(this.inputValue, this.maskOptions);
    this._dataValue = this.includeLiterals ? this.inputValue : rawVal;
    this._onChangeCallback(this._dataValue);
    this.valueChanged.emit({ rawValue: rawVal, formattedValue: this.inputValue });
    this.afterInput();
  }
  showDisplayValue(value) {
    if (this.displayValuePipe) {
      this.inputValue = this.displayValuePipe.transform(value);
    } else if (value === this.maskParser.applyMask(null, this.maskOptions)) {
      this.inputValue = "";
    }
  }
  static {
    this.ɵfac = i039.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i039, type: _IgxMaskDirective, deps: [{ token: i039.ElementRef }, { token: MaskParsingService }, { token: i039.Renderer2 }, { token: PlatformUtil }], target: i039.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i039.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxMaskDirective, isStandalone: true, selector: "[igxMask]", inputs: { mask: ["igxMask", "mask"], promptChar: "promptChar", includeLiterals: ["includeLiterals", "includeLiterals", booleanAttribute13], displayValuePipe: "displayValuePipe", focusedValuePipe: "focusedValuePipe" }, outputs: { valueChanged: "valueChanged" }, host: { listeners: { "keydown": "onKeyDown($event)", "compositionstart": "onCompositionStart()", "compositionend": "onCompositionEnd()", "input": "onInputChanged($event)", "paste": "onPaste()", "focus": "onFocus()", "blur": "onBlur($event.target.value)", "dragenter": "onDragEnter()", "dragleave": "onDragLeave()", "drop": "onDrop($event)" } }, providers: [{ provide: NG_VALUE_ACCESSOR2, useExisting: _IgxMaskDirective, multi: true }], exportAs: ["igxMask"], ngImport: i039 });
  }
};
i039.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i039, type: IgxMaskDirective, decorators: [{
  type: Directive23,
  args: [{
    providers: [{ provide: NG_VALUE_ACCESSOR2, useExisting: IgxMaskDirective, multi: true }],
    selector: "[igxMask]",
    exportAs: "igxMask",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i039.ElementRef }, { type: MaskParsingService }, { type: i039.Renderer2 }, { type: PlatformUtil }], propDecorators: { mask: [{
  type: Input24,
  args: ["igxMask"]
}], promptChar: [{
  type: Input24
}], includeLiterals: [{
  type: Input24,
  args: [{ transform: booleanAttribute13 }]
}], displayValuePipe: [{
  type: Input24
}], focusedValuePipe: [{
  type: Input24
}], valueChanged: [{
  type: Output9
}], onKeyDown: [{
  type: HostListener9,
  args: ["keydown", ["$event"]]
}], onCompositionStart: [{
  type: HostListener9,
  args: ["compositionstart"]
}], onCompositionEnd: [{
  type: HostListener9,
  args: ["compositionend"]
}], onInputChanged: [{
  type: HostListener9,
  args: ["input", ["$event"]]
}], onPaste: [{
  type: HostListener9,
  args: ["paste"]
}], onFocus: [{
  type: HostListener9,
  args: ["focus"]
}], onBlur: [{
  type: HostListener9,
  args: ["blur", ["$event.target.value"]]
}], onDragEnter: [{
  type: HostListener9,
  args: ["dragenter"]
}], onDragLeave: [{
  type: HostListener9,
  args: ["dragleave"]
}], onDrop: [{
  type: HostListener9,
  args: ["drop", ["$event"]]
}] } });

// lib/directives/ripple/ripple.directive.mjs
import { Directive as Directive24, HostListener as HostListener10, Input as Input25, booleanAttribute as booleanAttribute14 } from "@angular/core";
import { style, animate } from "@angular/animations";
import * as i040 from "@angular/core";
import * as i13 from "@angular/animations";
var IgxRippleDirective = class _IgxRippleDirective {
  /**
   * Enables/disables the ripple to be centered.
   * ```html
   * <button type="button" #rippleContainer igxButton igxRipple [igxRippleCentered]="true"></button>
   * ```
   *
   * @memberof IgxRippleDirective
   */
  set centered(value) {
    this._centered = value || this.centered;
  }
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  constructor(builder, elementRef, renderer, zone) {
    this.builder = builder;
    this.elementRef = elementRef;
    this.renderer = renderer;
    this.zone = zone;
    this.rippleTarget = "";
    this.rippleDuration = 600;
    this.rippleDisabled = false;
    this.rippleElementClass = "igx-ripple__inner";
    this.rippleHostClass = "igx-ripple";
    this._centered = false;
    this.animationQueue = [];
  }
  /**
   * @hidden
   */
  onMouseDown(event) {
    this.zone.runOutsideAngular(() => this._ripple(event));
  }
  setStyles(rippleElement, styleParams) {
    this.renderer.addClass(rippleElement, this.rippleElementClass);
    this.renderer.setStyle(rippleElement, "width", `${styleParams.radius}px`);
    this.renderer.setStyle(rippleElement, "height", `${styleParams.radius}px`);
    this.renderer.setStyle(rippleElement, "top", `${styleParams.top}px`);
    this.renderer.setStyle(rippleElement, "left", `${styleParams.left}px`);
    if (this.rippleColor) {
      this.renderer.setStyle(rippleElement, "background", this.rippleColor);
    }
  }
  _ripple(event) {
    if (this.rippleDisabled) {
      return;
    }
    const target = this.rippleTarget ? this.nativeElement.querySelector(this.rippleTarget) || this.nativeElement : this.nativeElement;
    const rectBounds = target.getBoundingClientRect();
    const radius = Math.max(rectBounds.width, rectBounds.height);
    let left = Math.round(event.clientX - rectBounds.left - radius / 2);
    let top = Math.round(event.clientY - rectBounds.top - radius / 2);
    if (this._centered) {
      left = top = 0;
    }
    const dimensions = {
      radius,
      top,
      left
    };
    const rippleElement = this.renderer.createElement("span");
    this.setStyles(rippleElement, dimensions);
    this.renderer.addClass(target, this.rippleHostClass);
    this.renderer.appendChild(target, rippleElement);
    const animation = this.builder.build([
      style({ opacity: 0.5, transform: "scale(.3)" }),
      animate(this.rippleDuration, style({ opacity: 0, transform: "scale(2)" }))
    ]).create(rippleElement);
    this.animationQueue.push(animation);
    animation.onDone(() => {
      this.animationQueue.splice(this.animationQueue.indexOf(animation), 1);
      target.removeChild(rippleElement);
      if (this.animationQueue.length < 1) {
        this.renderer.removeClass(target, this.rippleHostClass);
      }
    });
    animation.play();
  }
  static {
    this.ɵfac = i040.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i040, type: _IgxRippleDirective, deps: [{ token: i13.AnimationBuilder }, { token: i040.ElementRef }, { token: i040.Renderer2 }, { token: i040.NgZone }], target: i040.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i040.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxRippleDirective, isStandalone: true, selector: "[igxRipple]", inputs: { rippleTarget: ["igxRippleTarget", "rippleTarget"], rippleColor: ["igxRipple", "rippleColor"], rippleDuration: ["igxRippleDuration", "rippleDuration"], centered: ["igxRippleCentered", "centered", booleanAttribute14], rippleDisabled: ["igxRippleDisabled", "rippleDisabled", booleanAttribute14] }, host: { listeners: { "mousedown": "onMouseDown($event)" } }, ngImport: i040 });
  }
};
i040.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i040, type: IgxRippleDirective, decorators: [{
  type: Directive24,
  args: [{
    selector: "[igxRipple]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i13.AnimationBuilder }, { type: i040.ElementRef }, { type: i040.Renderer2 }, { type: i040.NgZone }], propDecorators: { rippleTarget: [{
  type: Input25,
  args: ["igxRippleTarget"]
}], rippleColor: [{
  type: Input25,
  args: ["igxRipple"]
}], rippleDuration: [{
  type: Input25,
  args: ["igxRippleDuration"]
}], centered: [{
  type: Input25,
  args: [{ alias: "igxRippleCentered", transform: booleanAttribute14 }]
}], rippleDisabled: [{
  type: Input25,
  args: [{ alias: "igxRippleDisabled", transform: booleanAttribute14 }]
}], onMouseDown: [{
  type: HostListener10,
  args: ["mousedown", ["$event"]]
}] } });

// lib/checkbox/checkbox.component.mjs
import { Component as Component6, EventEmitter as EventEmitter17, HostListener as HostListener11, HostBinding as HostBinding17, Input as Input26, Output as Output10, ViewChild as ViewChild5, Optional as Optional11, Self as Self5, booleanAttribute as booleanAttribute15 } from "@angular/core";
import { Validators } from "@angular/forms";
import { noop as noop2, Subject as Subject10 } from "rxjs";
import { takeUntil as takeUntil8 } from "rxjs/operators";
import * as i041 from "@angular/core";
import * as i14 from "@angular/forms";
var LabelPosition = /* @__PURE__ */ mkenum({
  BEFORE: "before",
  AFTER: "after"
});
var nextId = 0;
var IgxCheckboxComponent = class _IgxCheckboxComponent {
  /**
   * Returns reference to the `nativeElement` of the igx-checkbox/igx-switch.
   *
   * @example
   * ```typescript
   * let nativeElement = this.component.nativeElement;
   * ```
   */
  get nativeElement() {
    return this.nativeInput.nativeElement;
  }
  /**
   * Sets/gets whether the checkbox is required.
   * If not set, `required` will have value `false`.
   *
   * @example
   * ```html
   * <igx-checkbox required></igx-checkbox>
   * ```
   * ```typescript
   * let isRequired = this.checkbox.required;
   * ```
   */
  get required() {
    return this._required || this.nativeElement.hasAttribute("required");
  }
  set required(value) {
    this._required = value;
  }
  /**
   * Sets/gets whether the checkbox is checked.
   * Default value is `false`.
   *
   * @example
   * ```html
   * <igx-checkbox [checked]="true"></igx-checkbox>
   * ```
   * ```typescript
   * let isChecked =  this.checkbox.checked;
   * ```
   */
  get checked() {
    return this._checked;
  }
  set checked(value) {
    if (this._checked !== value) {
      this._checked = value;
      this._onChangeCallback(this._checked);
    }
  }
  constructor(cdr, renderer, ngControl) {
    this.cdr = cdr;
    this.renderer = renderer;
    this.ngControl = ngControl;
    this.change = new EventEmitter17();
    this.destroy$ = new Subject10();
    this.id = `igx-checkbox-${nextId++}`;
    this.labelId = `${this.id}-label`;
    this.tabindex = null;
    this.labelPosition = LabelPosition.AFTER;
    this.disableRipple = false;
    this.ariaLabelledBy = this.labelId;
    this.ariaLabel = null;
    this.cssClass = "igx-checkbox";
    this.focused = false;
    this.indeterminate = false;
    this.disabled = false;
    this.invalid = false;
    this.readonly = false;
    this.disableTransitions = false;
    this.inputId = `${this.id}-input`;
    this._onChangeCallback = noop2;
    this._onTouchedCallback = noop2;
    this._checked = false;
    this._required = false;
    if (this.ngControl !== null) {
      this.ngControl.valueAccessor = this;
    }
  }
  /**
   * @hidden
   * @internal
  */
  ngAfterViewInit() {
    if (this.ngControl) {
      this.ngControl.statusChanges.pipe(takeUntil8(this.destroy$)).subscribe(this.updateValidityState.bind(this));
      if (this.ngControl.control.validator || this.ngControl.control.asyncValidator) {
        this._required = this.ngControl?.control?.hasValidator(Validators.required);
        this.cdr.detectChanges();
      }
    }
  }
  /** @hidden @internal */
  onKeyUp(event) {
    event.stopPropagation();
    this.focused = true;
  }
  /** @hidden @internal */
  _onCheckboxClick(event) {
    if (this.disabled || this.readonly) {
      event.preventDefault();
      return;
    }
    this.nativeInput.nativeElement.focus();
    this.indeterminate = false;
    this.checked = !this.checked;
    this.updateValidityState();
    this.change.emit({ checked: this.checked, value: this.value, owner: this });
  }
  /**
   * @hidden
   * @internal
   */
  get ariaChecked() {
    if (this.indeterminate) {
      return "mixed";
    } else {
      return this.checked;
    }
  }
  /** @hidden @internal */
  _onCheckboxChange(event) {
    event.stopPropagation();
  }
  /** @hidden @internal */
  onBlur() {
    this.focused = false;
    this._onTouchedCallback();
    this.updateValidityState();
  }
  /** @hidden @internal */
  writeValue(value) {
    this._checked = value;
  }
  /** @hidden @internal */
  get labelClass() {
    switch (this.labelPosition) {
      case LabelPosition.BEFORE:
        return `${this.cssClass}__label--before`;
      case LabelPosition.AFTER:
      default:
        return `${this.cssClass}__label`;
    }
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  /** @hidden @internal */
  getEditElement() {
    return this.nativeInput.nativeElement;
  }
  /**
   * @hidden
   * @internal
   */
  updateValidityState() {
    if (this.ngControl) {
      if (!this.disabled && !this.readonly && (this.ngControl.control.touched || this.ngControl.control.dirty)) {
        this.invalid = this.ngControl.invalid;
      } else {
        this.invalid = false;
      }
    } else {
      this.checkNativeValidity();
    }
  }
  /**
   * A function to assign a native validity property of a checkbox.
   * This should be used when there's no ngControl
   *
   * @hidden
   * @internal
   */
  checkNativeValidity() {
    if (!this.disabled && this._required && !this.checked && !this.readonly) {
      this.invalid = true;
    } else {
      this.invalid = false;
    }
  }
  static {
    this.ɵfac = i041.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i041, type: _IgxCheckboxComponent, deps: [{ token: i041.ChangeDetectorRef }, { token: i041.Renderer2 }, { token: i14.NgControl, optional: true, self: true }], target: i041.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i041.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCheckboxComponent, isStandalone: true, selector: "igx-checkbox", inputs: { id: "id", labelId: "labelId", value: "value", name: "name", tabindex: "tabindex", labelPosition: "labelPosition", disableRipple: ["disableRipple", "disableRipple", booleanAttribute15], required: ["required", "required", booleanAttribute15], ariaLabelledBy: ["aria-labelledby", "ariaLabelledBy"], ariaLabel: ["aria-label", "ariaLabel"], indeterminate: ["indeterminate", "indeterminate", booleanAttribute15], checked: ["checked", "checked", booleanAttribute15], disabled: ["disabled", "disabled", booleanAttribute15], invalid: ["invalid", "invalid", booleanAttribute15], readonly: ["readonly", "readonly", booleanAttribute15], disableTransitions: ["disableTransitions", "disableTransitions", booleanAttribute15] }, outputs: { change: "change" }, host: { listeners: { "keyup": "onKeyUp($event)", "click": "_onCheckboxClick($event)", "blur": "onBlur()" }, properties: { "attr.id": "this.id", "class.igx-checkbox": "this.cssClass", "class.igx-checkbox--focused": "this.focused", "class.igx-checkbox--indeterminate": "this.indeterminate", "class.igx-checkbox--checked": "this.checked", "class.igx-checkbox--disabled": "this.disabled", "class.igx-checkbox--invalid": "this.invalid", "class.igx-checkbox--plain": "this.disableTransitions" } }, providers: [{
      provide: EDITOR_PROVIDER,
      useExisting: _IgxCheckboxComponent,
      multi: true
    }], viewQueries: [{ propertyName: "nativeInput", first: true, predicate: ["checkbox"], descendants: true, static: true }, { propertyName: "nativeLabel", first: true, predicate: ["label"], descendants: true, static: true }, { propertyName: "placeholderLabel", first: true, predicate: ["placeholderLabel"], descendants: true, static: true }], ngImport: i041, template: '<input #checkbox class="igx-checkbox__input"\n    type="checkbox"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [indeterminate]="indeterminate"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="ariaChecked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (change)="_onCheckboxChange($event)"\n    (blur)="onBlur()" />\n\n<div\n    igxRipple\n    igxRippleTarget=".igx-checkbox__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300"\n    class="igx-checkbox__composite-wrapper"\n>\n    <span #label class="igx-checkbox__composite">\n        <svg class="igx-checkbox__composite-mark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">\n            <path d="M4.1,12.7 9,17.6 20.3,6.3" />\n        </svg>\n    </span>\n\n    <div class="igx-checkbox__ripple"></div>\n</div>\n\n<span #placeholderLabel\n    [class]="labelClass"\n    [id]="labelId">\n    <ng-content></ng-content>\n</span>\n', dependencies: [{ kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }] });
  }
};
i041.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i041, type: IgxCheckboxComponent, decorators: [{
  type: Component6,
  args: [{ selector: "igx-checkbox", providers: [{
    provide: EDITOR_PROVIDER,
    useExisting: IgxCheckboxComponent,
    multi: true
  }], preserveWhitespaces: false, standalone: true, imports: [IgxRippleDirective], template: '<input #checkbox class="igx-checkbox__input"\n    type="checkbox"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [indeterminate]="indeterminate"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="ariaChecked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (change)="_onCheckboxChange($event)"\n    (blur)="onBlur()" />\n\n<div\n    igxRipple\n    igxRippleTarget=".igx-checkbox__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300"\n    class="igx-checkbox__composite-wrapper"\n>\n    <span #label class="igx-checkbox__composite">\n        <svg class="igx-checkbox__composite-mark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">\n            <path d="M4.1,12.7 9,17.6 20.3,6.3" />\n        </svg>\n    </span>\n\n    <div class="igx-checkbox__ripple"></div>\n</div>\n\n<span #placeholderLabel\n    [class]="labelClass"\n    [id]="labelId">\n    <ng-content></ng-content>\n</span>\n' }]
}], ctorParameters: () => [{ type: i041.ChangeDetectorRef }, { type: i041.Renderer2 }, { type: i14.NgControl, decorators: [{
  type: Optional11
}, {
  type: Self5
}] }], propDecorators: { change: [{
  type: Output10
}], nativeInput: [{
  type: ViewChild5,
  args: ["checkbox", { static: true }]
}], nativeLabel: [{
  type: ViewChild5,
  args: ["label", { static: true }]
}], placeholderLabel: [{
  type: ViewChild5,
  args: ["placeholderLabel", { static: true }]
}], id: [{
  type: HostBinding17,
  args: ["attr.id"]
}, {
  type: Input26
}], labelId: [{
  type: Input26
}], value: [{
  type: Input26
}], name: [{
  type: Input26
}], tabindex: [{
  type: Input26
}], labelPosition: [{
  type: Input26
}], disableRipple: [{
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], required: [{
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], ariaLabelledBy: [{
  type: Input26,
  args: ["aria-labelledby"]
}], ariaLabel: [{
  type: Input26,
  args: ["aria-label"]
}], cssClass: [{
  type: HostBinding17,
  args: ["class.igx-checkbox"]
}], focused: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--focused"]
}], indeterminate: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--indeterminate"]
}, {
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], checked: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--checked"]
}, {
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], disabled: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--disabled"]
}, {
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], invalid: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--invalid"]
}, {
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], readonly: [{
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], disableTransitions: [{
  type: HostBinding17,
  args: ["class.igx-checkbox--plain"]
}, {
  type: Input26,
  args: [{ transform: booleanAttribute15 }]
}], onKeyUp: [{
  type: HostListener11,
  args: ["keyup", ["$event"]]
}], _onCheckboxClick: [{
  type: HostListener11,
  args: ["click", ["$event"]]
}], onBlur: [{
  type: HostListener11,
  args: ["blur"]
}] } });

// lib/radio/radio.component.mjs
import { Component as Component7, EventEmitter as EventEmitter18, HostBinding as HostBinding18, HostListener as HostListener12, Input as Input27, booleanAttribute as booleanAttribute16 } from "@angular/core";
import * as i042 from "@angular/core";
var IgxRadioComponent = class _IgxRadioComponent extends IgxCheckboxComponent {
  constructor() {
    super(...arguments);
    this.blurRadio = new EventEmitter18();
    this.cssClass = "igx-radio";
    this.disabled = false;
    this.invalid = false;
    this.focused = false;
  }
  /**
   * Sets/gets  the `checked` attribute.
   * Default value is `false`.
   * ```html
   * <igx-radio [checked]="true"></igx-radio>
   * ```
   * ```typescript
   * let isChecked =  this.radio.checked;
   * ```
   *
   * @memberof IgxRadioComponent
   */
  set checked(value) {
    this._checked = value;
  }
  get checked() {
    return this._checked;
  }
  /**
   * @hidden
   * @internal
   */
  _changed(event) {
    if (event instanceof Event) {
      event.preventDefault();
    }
  }
  /**
   * @hidden
   */
  _onCheckboxClick() {
    this.select();
  }
  /**
   * Selects the current radio button.
   * ```typescript
   * this.radio.select();
   * ```
   *
   * @memberof IgxRadioComponent
   */
  select() {
    if (!this.checked) {
      this.checked = true;
      this.change.emit({ value: this.value, owner: this, checked: this.checked });
      this._onChangeCallback(this.value);
    }
  }
  /**
   * Deselects the current radio button.
   * ```typescript
   * this.radio.deselect();
   * ```
   *
   * @memberof IgxRadioComponent
   */
  deselect() {
    this.checked = false;
    this.focused = false;
    this.cdr.markForCheck();
  }
  /**
   * Checks whether the provided value is consistent to the current radio button.
   * If it is, the checked attribute will have value `true`;
   * ```typescript
   * this.radio.writeValue('radioButtonValue');
   * ```
   */
  writeValue(value) {
    this.value = this.value ?? value;
    if (value === this.value) {
      if (!this.checked) {
        this.checked = true;
      }
    } else {
      this.deselect();
    }
  }
  /**
   * @hidden
   */
  onBlur() {
    super.onBlur();
    this.blurRadio.emit();
  }
  static {
    this.ɵfac = i042.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i042, type: _IgxRadioComponent, deps: null, target: i042.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i042.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxRadioComponent, isStandalone: true, selector: "igx-radio", inputs: { checked: ["checked", "checked", booleanAttribute16], disabled: ["disabled", "disabled", booleanAttribute16], invalid: ["invalid", "invalid", booleanAttribute16] }, host: { listeners: { "change": "_changed($event)", "click": "_onCheckboxClick()", "blur": "onBlur()" }, properties: { "class.igx-radio": "this.cssClass", "class.igx-radio--checked": "this.checked", "class.igx-radio--disabled": "this.disabled", "class.igx-radio--invalid": "this.invalid", "class.igx-radio--focused": "this.focused" } }, providers: [{
      provide: EDITOR_PROVIDER,
      useExisting: _IgxRadioComponent,
      multi: true
    }], usesInheritance: true, ngImport: i042, template: '<input #checkbox class="igx-radio__input" type="radio"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="checked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (blur)="onBlur()" />\n\n<span #label class="igx-radio__composite" igxRipple\n    igxRippleTarget=".igx-radio__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300">\n    <div class="igx-radio__ripple"></div>\n</span>\n\n<span #placeholderLabel\n    [id]="labelId"\n    [class]="labelClass">\n    <ng-content></ng-content>\n</span>\n', dependencies: [{ kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }] });
  }
};
i042.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i042, type: IgxRadioComponent, decorators: [{
  type: Component7,
  args: [{ selector: "igx-radio", providers: [{
    provide: EDITOR_PROVIDER,
    useExisting: IgxRadioComponent,
    multi: true
  }], standalone: true, imports: [IgxRippleDirective], template: '<input #checkbox class="igx-radio__input" type="radio"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="checked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (blur)="onBlur()" />\n\n<span #label class="igx-radio__composite" igxRipple\n    igxRippleTarget=".igx-radio__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300">\n    <div class="igx-radio__ripple"></div>\n</span>\n\n<span #placeholderLabel\n    [id]="labelId"\n    [class]="labelClass">\n    <ng-content></ng-content>\n</span>\n' }]
}], propDecorators: { cssClass: [{
  type: HostBinding18,
  args: ["class.igx-radio"]
}], checked: [{
  type: HostBinding18,
  args: ["class.igx-radio--checked"]
}, {
  type: Input27,
  args: [{ transform: booleanAttribute16 }]
}], disabled: [{
  type: HostBinding18,
  args: ["class.igx-radio--disabled"]
}, {
  type: Input27,
  args: [{ transform: booleanAttribute16 }]
}], invalid: [{
  type: HostBinding18,
  args: ["class.igx-radio--invalid"]
}, {
  type: Input27,
  args: [{ transform: booleanAttribute16 }]
}], focused: [{
  type: HostBinding18,
  args: ["class.igx-radio--focused"]
}], _changed: [{
  type: HostListener12,
  args: ["change", ["$event"]]
}], _onCheckboxClick: [{
  type: HostListener12,
  args: ["click"]
}], onBlur: [{
  type: HostListener12,
  args: ["blur"]
}] } });

// lib/services/direction/directionality.mjs
import { Injectable as Injectable12, Inject as Inject17, InjectionToken as InjectionToken5, inject } from "@angular/core";
import { DOCUMENT as DOCUMENT8 } from "@angular/common";
import * as i043 from "@angular/core";
function DIR_DOCUMENT_FACTORY() {
  return inject(DOCUMENT8);
}
var DIR_DOCUMENT = /* @__PURE__ */ new InjectionToken5("dir-doc", {
  providedIn: "root",
  factory: DIR_DOCUMENT_FACTORY
});
var IgxDirectionality = class _IgxDirectionality {
  get value() {
    return this._dir;
  }
  get document() {
    return this._document;
  }
  get rtl() {
    return this._dir === "rtl";
  }
  constructor(document2) {
    this._document = document2;
    const bodyDir = this._document.body ? this._document.body.dir : null;
    const htmlDir = this._document.documentElement ? this._document.documentElement.dir : null;
    const extractedDir = bodyDir || htmlDir;
    this._dir = extractedDir === "ltr" || extractedDir === "rtl" ? extractedDir : "ltr";
  }
  static {
    this.ɵfac = i043.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i043, type: _IgxDirectionality, deps: [{ token: DIR_DOCUMENT }], target: i043.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i043.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i043, type: _IgxDirectionality, providedIn: "root" });
  }
};
i043.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i043, type: IgxDirectionality, decorators: [{
  type: Injectable12,
  args: [{
    providedIn: "root"
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject17,
  args: [DIR_DOCUMENT]
}] }] });

// lib/directives/radio/radio-group.directive.mjs
import { ContentChildren as ContentChildren3, Directive as Directive25, EventEmitter as EventEmitter19, HostBinding as HostBinding19, HostListener as HostListener13, Input as Input28, Optional as Optional12, Output as Output11, Self as Self6, booleanAttribute as booleanAttribute17 } from "@angular/core";
import { Validators as Validators2 } from "@angular/forms";
import { fromEvent as fromEvent4, noop as noop3, Subject as Subject11 } from "rxjs";
import { startWith, takeUntil as takeUntil9 } from "rxjs/operators";
import * as i044 from "@angular/core";
import * as i15 from "@angular/forms";
var RadioGroupAlignment = mkenum({
  horizontal: "horizontal",
  vertical: "vertical"
});
var nextId2 = 0;
var IgxRadioGroupDirective = class _IgxRadioGroupDirective {
  /**
   * Sets/gets the `value` attribute.
   *
   * @example
   * ```html
   * <igx-radio-group [value] = "'radioButtonValue'"></igx-radio-group>
   * ```
   */
  get value() {
    return this._value;
  }
  set value(newValue) {
    if (this._value !== newValue) {
      this._value = newValue;
      this._selectRadioButton();
    }
  }
  /**
   * Sets/gets the `name` attribute of the radio group component. All child radio buttons inherits this name.
   *
   * @example
   * ```html
   * <igx-radio-group name = "Radio1"></igx-radio-group>
   *  ```
   */
  get name() {
    return this._name;
  }
  set name(newValue) {
    if (this._name !== newValue) {
      this._name = newValue;
      this._setRadioButtonNames();
    }
  }
  /**
   * Sets/gets whether the radio group is required.
   *
   * @remarks
   * If not set, `required` will have value `false`.
   *
   * @example
   * ```html
   * <igx-radio-group [required] = "true"></igx-radio-group>
   * ```
   */
  get required() {
    return this._required;
  }
  set required(value) {
    this._required = value;
    this._setRadioButtonsRequired();
  }
  /**
   * Sets/gets the selected child radio button.
   *
   * @example
   * ```typescript
   * let selectedButton = this.radioGroup.selected;
   * this.radioGroup.selected = selectedButton;
   * ```
   */
  get selected() {
    return this._selected;
  }
  set selected(selected) {
    if (this._selected !== selected) {
      this._selected = selected;
      this.value = selected ? selected.value : null;
    }
  }
  /**
   * Sets/gets whether the radio group is invalid.
   *
   * @remarks
   * If not set, `invalid` will have value `false`.
   *
   * @example
   * ```html
   * <igx-radio-group [invalid] = "true"></igx-radio-group>
   * ```
   */
  get invalid() {
    return this._invalid;
  }
  set invalid(value) {
    this._invalid = value;
    this._setRadioButtonsInvalid();
  }
  handleClick(event) {
    event.stopPropagation();
    if (this.selected) {
      this.selected.nativeElement.focus();
    }
  }
  handleKeyDown(event) {
    const { key } = event;
    const buttons = this.radioButtons.filter((radio) => !radio.disabled);
    const checked = buttons.find((radio) => radio.checked);
    if (["ArrowUp", "ArrowDown", "ArrowLeft", "ArrowRight"].includes(key)) {
      let index = checked ? buttons.indexOf(checked) : -1;
      const ltr = this._directionality.value === "ltr";
      switch (key) {
        case "ArrowUp":
          index += -1;
          break;
        case "ArrowLeft":
          index += ltr ? -1 : 1;
          break;
        case "ArrowRight":
          index += ltr ? 1 : -1;
          break;
        default:
          index += 1;
      }
      if (index < 0)
        index = buttons.length - 1;
      if (index > buttons.length - 1)
        index = 0;
      buttons.forEach((radio) => {
        radio.deselect();
        radio.nativeElement.blur();
      });
      buttons[index].focused = true;
      buttons[index].nativeElement.focus();
      buttons[index].select();
      event.preventDefault();
    }
    if (event.key === "Tab") {
      buttons.forEach((radio) => {
        if (radio !== checked) {
          event.stopPropagation();
        }
      });
    }
  }
  /**
   * Returns the alignment of the `igx-radio-group`.
   * ```typescript
   * @ViewChild("MyRadioGroup")
   * public radioGroup: IgxRadioGroupDirective;
   * ngAfterViewInit(){
   *    let radioAlignment = this.radioGroup.alignment;
   * }
   * ```
   */
  get alignment() {
    return this.vertical ? RadioGroupAlignment.vertical : RadioGroupAlignment.horizontal;
  }
  /**
   * Allows you to set the radio group alignment.
   * Available options are `RadioGroupAlignment.horizontal` (default) and `RadioGroupAlignment.vertical`.
   * ```typescript
   * public alignment = RadioGroupAlignment.vertical;
   * //..
   * ```
   * ```html
   * <igx-radio-group [alignment]="alignment"></igx-radio-group>
   * ```
   */
  set alignment(value) {
    this.vertical = value === RadioGroupAlignment.vertical;
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterContentInit() {
    this._isInitialized = true;
    this.radioButtons.changes.pipe(startWith(0), takeUntil9(this.destroy$)).subscribe(() => {
      this.queryChange$.next();
      setTimeout(() => this._initRadioButtons());
    });
    if (this.ngControl) {
      this.radioButtons.forEach((button) => {
        if (this.ngControl.disabled) {
          button.disabled = this.ngControl.disabled;
        }
      });
    }
  }
  /**
   * @hidden
   * @internal
  */
  ngAfterViewInit() {
    if (this.ngControl) {
      this.ngControl.statusChanges.pipe(takeUntil9(this.destroy$)).subscribe(() => {
        this.invalid = false;
      });
      if (this.ngControl.control.validator || this.ngControl.control.asyncValidator) {
        this._required = this.ngControl?.control?.hasValidator(Validators2.required);
      }
    }
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        button.blurRadio.pipe(takeUntil9(this.destroy$)).subscribe(() => {
          this.updateValidityOnBlur();
        });
        fromEvent4(button.nativeElement, "keyup").pipe(takeUntil9(this.destroy$)).subscribe((event) => {
          this.updateOnKeyUp(event);
        });
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  updateValidityOnBlur() {
    this.radioButtons.forEach((button) => {
      button.focused = false;
      if (button.invalid) {
        this.invalid = true;
      }
    });
  }
  /**
   * @hidden
   * @internal
   */
  updateOnKeyUp(event) {
    const checked = this.radioButtons.find((x) => x.checked);
    if (event.key === "Tab") {
      this.radioButtons.forEach((radio) => {
        if (radio === checked) {
          checked.focused = true;
        }
      });
    }
  }
  ngDoCheck() {
    this._updateTabIndex();
  }
  _updateTabIndex() {
    if (this.radioButtons) {
      const checked = this.radioButtons.find((x) => x.checked);
      if (checked) {
        this.radioButtons.forEach((button) => {
          checked.nativeElement.tabIndex = 0;
          if (button !== checked) {
            button.nativeElement.tabIndex = -1;
            button.focused = false;
          }
        });
      }
    }
  }
  /**
   * Sets the "checked" property value on the radio input element.
   *
   * @remarks
   * Checks whether the provided value is consistent to the current radio button.
   * If it is, the checked attribute will have value `true` and selected property will contain the selected `IgxRadioComponent`.
   *
   * @example
   * ```typescript
   * this.radioGroup.writeValue('radioButtonValue');
   * ```
   */
  writeValue(value) {
    this.value = value;
  }
  /**
   * Registers a function called when the control value changes.
   *
   * @hidden
   * @internal
   */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /**
   * Registers a function called when the control is touched.
   *
   * @hidden
   * @internal
   */
  registerOnTouched(fn) {
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        button.registerOnTouched(fn);
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  constructor(ngControl, _directionality, cdr) {
    this.ngControl = ngControl;
    this._directionality = _directionality;
    this.cdr = cdr;
    this.change = new EventEmitter19();
    this.cssClass = "igx-radio-group";
    this.vertical = false;
    this._onChangeCallback = noop3;
    this._name = `igx-radio-group-${nextId2++}`;
    this._value = null;
    this._selected = null;
    this._isInitialized = false;
    this._required = false;
    this._invalid = false;
    this.destroy$ = new Subject11();
    this.queryChange$ = new Subject11();
    if (this.ngControl !== null) {
      this.ngControl.valueAccessor = this;
    }
  }
  /**
   * @hidden
   * @internal
   */
  _initRadioButtons() {
    if (this.radioButtons) {
      const props = { name: this._name, required: this._required };
      this.radioButtons.forEach((button) => {
        Object.assign(button, props);
        if (button.value === this._value) {
          button.checked = true;
          this._selected = button;
          this.cdr.markForCheck();
        }
        button.change.pipe(takeUntil9(button.destroy$), takeUntil9(this.destroy$), takeUntil9(this.queryChange$)).subscribe((ev) => this._selectedRadioButtonChanged(ev));
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  _selectedRadioButtonChanged(args) {
    this.radioButtons.forEach((button) => {
      button.checked = button.id === args.owner.id;
      if (button.checked && button.ngControl) {
        this.invalid = button.ngControl.invalid;
      } else if (button.checked) {
        this.invalid = false;
      }
    });
    this._selected = args.owner;
    this._value = args.value;
    if (this._isInitialized) {
      this.change.emit(args);
      this._onChangeCallback(this.value);
    }
  }
  /**
   * @hidden
   * @internal
   */
  _setRadioButtonNames() {
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        button.name = this._name;
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  _selectRadioButton() {
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        if (this._value === null) {
          if (button.checked) {
            button.checked = false;
          }
        } else {
          if (this._value === button.value) {
            if (this._selected !== button) {
              this._selected = button;
            }
            if (!button.checked) {
              button.checked = true;
            }
          } else {
            if (button.checked) {
              button.checked = false;
            }
          }
        }
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  _setRadioButtonsRequired() {
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        button.required = this._required;
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  _setRadioButtonsInvalid() {
    if (this.radioButtons) {
      this.radioButtons.forEach((button) => {
        button.invalid = this._invalid;
      });
    }
  }
  static {
    this.ɵfac = i044.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i044, type: _IgxRadioGroupDirective, deps: [{ token: i15.NgControl, optional: true, self: true }, { token: IgxDirectionality }, { token: i044.ChangeDetectorRef }], target: i044.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i044.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxRadioGroupDirective, isStandalone: true, selector: "igx-radio-group, [igxRadioGroup]", inputs: { value: "value", name: "name", required: ["required", "required", booleanAttribute17], selected: "selected", invalid: ["invalid", "invalid", booleanAttribute17], alignment: "alignment" }, outputs: { change: "change" }, host: { listeners: { "click": "handleClick($event)", "keydown": "handleKeyDown($event)" }, properties: { "class.igx-radio-group": "this.cssClass", "class.igx-radio-group--vertical": "this.vertical" } }, queries: [{ propertyName: "radioButtons", predicate: IgxRadioComponent, descendants: true }], exportAs: ["igxRadioGroup"], ngImport: i044 });
  }
};
i044.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i044, type: IgxRadioGroupDirective, decorators: [{
  type: Directive25,
  args: [{
    exportAs: "igxRadioGroup",
    selector: "igx-radio-group, [igxRadioGroup]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i15.NgControl, decorators: [{
  type: Optional12
}, {
  type: Self6
}] }, { type: IgxDirectionality }, { type: i044.ChangeDetectorRef }], propDecorators: { radioButtons: [{
  type: ContentChildren3,
  args: [IgxRadioComponent, { descendants: true }]
}], value: [{
  type: Input28
}], name: [{
  type: Input28
}], required: [{
  type: Input28,
  args: [{ transform: booleanAttribute17 }]
}], selected: [{
  type: Input28
}], invalid: [{
  type: Input28,
  args: [{ transform: booleanAttribute17 }]
}], change: [{
  type: Output11
}], cssClass: [{
  type: HostBinding19,
  args: ["class.igx-radio-group"]
}], vertical: [{
  type: HostBinding19,
  args: ["class.igx-radio-group--vertical"]
}], handleClick: [{
  type: HostListener13,
  args: ["click", ["$event"]]
}], handleKeyDown: [{
  type: HostListener13,
  args: ["keydown", ["$event"]]
}], alignment: [{
  type: Input28
}] } });

// lib/directives/radio/public_api.mjs
var IGX_RADIO_GROUP_DIRECTIVES = [
  IgxRadioGroupDirective,
  IgxRadioComponent
];

// lib/directives/text-highlight/text-highlight.directive.mjs
import { Directive as Directive26, Input as Input29 } from "@angular/core";
import { takeUntil as takeUntil10 } from "rxjs/operators";
import { Subject as Subject12 } from "rxjs";
import * as i045 from "@angular/core";
var IgxTextHighlightDirective = class _IgxTextHighlightDirective {
  /**
   * The underlying value of the element that will be highlighted.
   *
   * ```typescript
   * // get
   * const elementValue = this.textHighlight.value;
   * ```
   *
   * ```html
   * <!--set-->
   * <div
   *   igxTextHighlight
   *   [value]="newValue">
   * </div>
   * ```
   */
  get value() {
    return this._value;
  }
  set value(value) {
    if (value === void 0 || value === null) {
      this._value = "";
    } else {
      this._value = value;
    }
  }
  /**
   * @hidden
   */
  get lastSearchInfo() {
    return this._lastSearchInfo;
  }
  constructor(element, service, renderer) {
    this.element = element;
    this.service = service;
    this.renderer = renderer;
    this.groupName = "";
    this.destroy$ = new Subject12();
    this._value = "";
    this._div = null;
    this._observer = null;
    this._nodeWasRemoved = false;
    this._forceEvaluation = false;
    this._activeElementIndex = -1;
    this._defaultCssClass = "igx-highlight";
    this._defaultActiveCssClass = "igx-highlight--active";
    this.service.onActiveElementChanged.pipe(takeUntil10(this.destroy$)).subscribe((groupName) => {
      if (this.groupName === groupName) {
        if (this._activeElementIndex !== -1) {
          this.deactivate();
        }
        this.activateIfNecessary();
      }
    });
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.clearHighlight();
    if (this._observer !== null) {
      this._observer.disconnect();
    }
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden
   */
  ngOnChanges(changes) {
    if (changes.value && !changes.value.firstChange) {
      this._valueChanged = true;
    } else if (changes.row !== void 0 && !changes.row.firstChange || changes.column !== void 0 && !changes.column.firstChange || changes.page !== void 0 && !changes.page.firstChange) {
      if (this._activeElementIndex !== -1) {
        this.deactivate();
      }
      this.activateIfNecessary();
    }
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    this.parentElement = this.renderer.parentNode(this.element.nativeElement);
    if (this.service.highlightGroupsMap.has(this.groupName) === false) {
      this.service.highlightGroupsMap.set(this.groupName, {
        index: -1
      });
    }
    this._lastSearchInfo = {
      searchText: "",
      content: this.value,
      matchCount: 0,
      caseSensitive: false,
      exactMatch: false
    };
    this._container = this.parentElement.firstElementChild;
  }
  /**
   * @hidden
   */
  ngAfterViewChecked() {
    if (this._valueChanged) {
      this.highlight(this._lastSearchInfo.searchText, this._lastSearchInfo.caseSensitive, this._lastSearchInfo.exactMatch);
      this.activateIfNecessary();
      this._valueChanged = false;
    }
  }
  /**
   * Clears the existing highlight and highlights the searched text.
   * Returns how many times the element contains the searched text.
   */
  highlight(text, caseSensitive2, exactMatch) {
    const caseSensitiveResolved = caseSensitive2 ? true : false;
    const exactMatchResolved = exactMatch ? true : false;
    if (this.searchNeedsEvaluation(text, caseSensitiveResolved, exactMatchResolved)) {
      this._lastSearchInfo.searchText = text;
      this._lastSearchInfo.caseSensitive = caseSensitiveResolved;
      this._lastSearchInfo.exactMatch = exactMatchResolved;
      this._lastSearchInfo.content = this.value;
      if (text === "" || text === void 0 || text === null) {
        this.clearHighlight();
      } else {
        this.clearChildElements(true);
        this._lastSearchInfo.matchCount = this.getHighlightedText(text, caseSensitive2, exactMatch);
      }
    } else if (this._nodeWasRemoved) {
      this._lastSearchInfo.searchText = text;
      this._lastSearchInfo.caseSensitive = caseSensitiveResolved;
      this._lastSearchInfo.exactMatch = exactMatchResolved;
    }
    return this._lastSearchInfo.matchCount;
  }
  /**
   * Clears any existing highlight.
   */
  clearHighlight() {
    this.clearChildElements(false);
    this._lastSearchInfo.searchText = "";
    this._lastSearchInfo.matchCount = 0;
  }
  /**
   * Activates the highlight if it is on the currently active row and column.
   */
  activateIfNecessary() {
    const group = this.service.highlightGroupsMap.get(this.groupName);
    if (group.index >= 0 && group.column === this.column && group.row === this.row && compareMaps(this.metadata, group.metadata)) {
      this.activate(group.index);
    }
  }
  /**
   * Attaches a MutationObserver to the parentElement and watches for when the container element is removed/readded to the DOM.
   * Should be used only when necessary as using many observers may lead to performance degradation.
   */
  observe() {
    if (this._observer === null) {
      const callback = (mutationList) => {
        mutationList.forEach((mutation) => {
          const removedNodes = Array.from(mutation.removedNodes);
          removedNodes.forEach((n) => {
            if (n === this._container) {
              this._nodeWasRemoved = true;
              this.clearChildElements(false);
            }
          });
          const addedNodes = Array.from(mutation.addedNodes);
          addedNodes.forEach((n) => {
            if (n === this.parentElement.firstElementChild && this._nodeWasRemoved) {
              this._container = this.parentElement.firstElementChild;
              this._nodeWasRemoved = false;
              this._forceEvaluation = true;
              this.highlight(this._lastSearchInfo.searchText, this._lastSearchInfo.caseSensitive, this._lastSearchInfo.exactMatch);
              this._forceEvaluation = false;
              this.activateIfNecessary();
              this._observer.disconnect();
              this._observer = null;
            }
          });
        });
      };
      this._observer = new MutationObserver(callback);
      this._observer.observe(this.parentElement, { childList: true });
    }
  }
  activate(index) {
    this.deactivate();
    if (this._div !== null) {
      const spans = this._div.querySelectorAll("span");
      this._activeElementIndex = index;
      if (spans.length <= index) {
        return;
      }
      const elementToActivate = spans[index];
      this.renderer.addClass(elementToActivate, this._defaultActiveCssClass);
      this.renderer.addClass(elementToActivate, this.activeCssClass);
    }
  }
  deactivate() {
    if (this._activeElementIndex === -1) {
      return;
    }
    const spans = this._div.querySelectorAll("span");
    if (spans.length <= this._activeElementIndex) {
      this._activeElementIndex = -1;
      return;
    }
    const elementToDeactivate = spans[this._activeElementIndex];
    this.renderer.removeClass(elementToDeactivate, this._defaultActiveCssClass);
    this.renderer.removeClass(elementToDeactivate, this.activeCssClass);
    this._activeElementIndex = -1;
  }
  clearChildElements(originalContentHidden) {
    this.renderer.setProperty(this.element.nativeElement, "hidden", originalContentHidden);
    if (this._div !== null) {
      this.renderer.removeChild(this.parentElement, this._div);
      this._div = null;
      this._activeElementIndex = -1;
    }
  }
  getHighlightedText(searchText, caseSensitive2, exactMatch) {
    this.appendDiv();
    const stringValue = String(this.value);
    const contentStringResolved = !caseSensitive2 ? stringValue.toLowerCase() : stringValue;
    const searchTextResolved = !caseSensitive2 ? searchText.toLowerCase() : searchText;
    let matchCount = 0;
    if (exactMatch) {
      if (contentStringResolved === searchTextResolved) {
        this.appendSpan(`<span class="${this._defaultCssClass} ${this.cssClass ? this.cssClass : ""}">${stringValue}</span>`);
        matchCount++;
      } else {
        this.appendText(stringValue);
      }
    } else {
      let foundIndex = contentStringResolved.indexOf(searchTextResolved, 0);
      let previousMatchEnd = 0;
      while (foundIndex !== -1) {
        const start = foundIndex;
        const end = foundIndex + searchTextResolved.length;
        this.appendText(stringValue.substring(previousMatchEnd, start));
        this.appendSpan(`<span class="${this._defaultCssClass} ${this.cssClass ? this.cssClass : ""}">${stringValue.substring(start, end)}</span>`);
        previousMatchEnd = end;
        matchCount++;
        foundIndex = contentStringResolved.indexOf(searchTextResolved, end);
      }
      this.appendText(stringValue.substring(previousMatchEnd, stringValue.length));
    }
    return matchCount;
  }
  appendText(text) {
    const textElement = this.renderer.createText(text);
    this.renderer.appendChild(this._div, textElement);
  }
  appendSpan(outerHTML) {
    const span = this.renderer.createElement("span");
    this.renderer.appendChild(this._div, span);
    this.renderer.setProperty(span, "outerHTML", outerHTML);
  }
  appendDiv() {
    this._div = this.renderer.createElement("div");
    if (this.containerClass) {
      this.renderer.addClass(this._div, this.containerClass);
    }
    this.renderer.appendChild(this.parentElement, this._div);
  }
  searchNeedsEvaluation(text, caseSensitive2, exactMatch) {
    const searchedText = this._lastSearchInfo.searchText;
    return !this._nodeWasRemoved && (searchedText === null || searchedText !== text || this._lastSearchInfo.content !== this.value || this._lastSearchInfo.caseSensitive !== caseSensitive2 || this._lastSearchInfo.exactMatch !== exactMatch || this._forceEvaluation);
  }
  static {
    this.ɵfac = i045.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i045, type: _IgxTextHighlightDirective, deps: [{ token: i045.ElementRef }, { token: IgxTextHighlightService }, { token: i045.Renderer2 }], target: i045.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i045.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTextHighlightDirective, isStandalone: true, selector: "[igxTextHighlight]", inputs: { cssClass: "cssClass", activeCssClass: "activeCssClass", containerClass: "containerClass", groupName: "groupName", value: "value", row: "row", column: "column", metadata: "metadata" }, usesOnChanges: true, ngImport: i045 });
  }
};
i045.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i045, type: IgxTextHighlightDirective, decorators: [{
  type: Directive26,
  args: [{
    selector: "[igxTextHighlight]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i045.ElementRef }, { type: IgxTextHighlightService }, { type: i045.Renderer2 }], propDecorators: { cssClass: [{
  type: Input29,
  args: ["cssClass"]
}], activeCssClass: [{
  type: Input29,
  args: ["activeCssClass"]
}], containerClass: [{
  type: Input29,
  args: ["containerClass"]
}], groupName: [{
  type: Input29,
  args: ["groupName"]
}], value: [{
  type: Input29,
  args: ["value"]
}], row: [{
  type: Input29,
  args: ["row"]
}], column: [{
  type: Input29,
  args: ["column"]
}], metadata: [{
  type: Input29
}] } });

// lib/directives/text-selection/text-selection.directive.mjs
import { Directive as Directive27, HostListener as HostListener14, Input as Input30, booleanAttribute as booleanAttribute18 } from "@angular/core";
import * as i046 from "@angular/core";
var IgxTextSelectionDirective = class _IgxTextSelectionDirective {
  /**
   * Returns the nativeElement of the element where the directive was applied.
   *
   * ```html
   * <input
   *   type="text"
   *   id="firstName"
   *   igxTextSelection>
   * </input>
   * ```
   *
   * ```typescript
   * @ViewChild('firstName',
   *  {read: IgxTextSelectionDirective})
   * public inputElement: IgxTextSelectionDirective;
   *
   * public getNativeElement() {
   *  return this.inputElement.nativeElement;
   * }
   * ```
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  constructor(element) {
    this.element = element;
    this.selected = true;
  }
  /**
   * @hidden
   */
  onFocus() {
    this.trigger();
  }
  /**
   * Triggers the selection of the element if it is marked as selectable.
   *
   * ```html
   * <input
   *   type="text"
   *   id="firstName"
   *   igxTextSelection>
   * </input>
   * ```
   *
   * ```typescript
   * @ViewChild('firstName',
   *  {read: IgxTextSelectionDirective})
   * public inputElement: IgxTextSelectionDirective;
   *
   * public triggerElementSelection() {
   *  this.inputElement.trigger();
   * }
   * ```
   */
  trigger() {
    if (this.selected && this.nativeElement.value.length) {
      requestAnimationFrame(() => this.nativeElement.select());
    }
  }
  static {
    this.ɵfac = i046.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i046, type: _IgxTextSelectionDirective, deps: [{ token: i046.ElementRef }], target: i046.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i046.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTextSelectionDirective, isStandalone: true, selector: "[igxTextSelection]", inputs: { selected: ["igxTextSelection", "selected", booleanAttribute18] }, host: { listeners: { "focus": "onFocus()" } }, exportAs: ["igxTextSelection"], ngImport: i046 });
  }
};
i046.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i046, type: IgxTextSelectionDirective, decorators: [{
  type: Directive27,
  args: [{
    exportAs: "igxTextSelection",
    selector: "[igxTextSelection]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i046.ElementRef }], propDecorators: { selected: [{
  type: Input30,
  args: [{ alias: "igxTextSelection", transform: booleanAttribute18 }]
}], onFocus: [{
  type: HostListener14,
  args: ["focus"]
}] } });

// lib/directives/template-outlet/template_outlet.directive.mjs
import { Directive as Directive28, Input as Input31, Output as Output12, EventEmitter as EventEmitter20 } from "@angular/core";
import * as i047 from "@angular/core";
var IgxTemplateOutletDirective = class _IgxTemplateOutletDirective {
  constructor(_viewContainerRef, _zone, cdr) {
    this._viewContainerRef = _viewContainerRef;
    this._zone = _zone;
    this.cdr = cdr;
    this.viewCreated = new EventEmitter20();
    this.viewMoved = new EventEmitter20();
    this.cachedViewLoaded = new EventEmitter20();
    this.beforeViewDetach = new EventEmitter20();
    this._embeddedViewsMap = /* @__PURE__ */ new Map();
  }
  ngOnChanges(changes) {
    const actionType = this._getActionType(changes);
    switch (actionType) {
      case TemplateOutletAction.CreateView:
        this._recreateView();
        break;
      case TemplateOutletAction.MoveView:
        this._moveView();
        break;
      case TemplateOutletAction.UseCachedView:
        this._useCachedView();
        break;
      case TemplateOutletAction.UpdateViewContext:
        this._updateExistingContext(this.igxTemplateOutletContext);
        break;
    }
  }
  cleanCache() {
    this._embeddedViewsMap.forEach((collection) => {
      collection.forEach((item) => {
        if (!item.destroyed) {
          item.destroy();
        }
      });
      collection.clear();
    });
    this._embeddedViewsMap.clear();
  }
  cleanView(tmplID) {
    const embViewCollection = this._embeddedViewsMap.get(tmplID.type);
    const embView = embViewCollection?.get(tmplID.id);
    if (embView) {
      embView.destroy();
      this._embeddedViewsMap.get(tmplID.type).delete(tmplID.id);
    }
  }
  _recreateView() {
    const prevIndex = this._viewRef ? this._viewContainerRef.indexOf(this._viewRef) : -1;
    if (prevIndex !== -1) {
      this.beforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
      this._viewContainerRef.detach(prevIndex);
    }
    if (this.igxTemplateOutlet) {
      this._viewRef = this._viewContainerRef.createEmbeddedView(this.igxTemplateOutlet, this.igxTemplateOutletContext);
      this.viewCreated.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
      const tmplId = this.igxTemplateOutletContext["templateID"];
      if (tmplId) {
        const resCollection = this._embeddedViewsMap.get(this.igxTemplateOutletContext["templateID"].type);
        const res = resCollection?.get(this.igxTemplateOutletContext["templateID"].id);
        if (!res) {
          this._embeddedViewsMap.set(this.igxTemplateOutletContext["templateID"].type, /* @__PURE__ */ new Map([[this.igxTemplateOutletContext["templateID"].id, this._viewRef]]));
        }
      }
    }
  }
  _moveView() {
    const view = this.igxTemplateOutletContext["moveView"];
    const owner = this.igxTemplateOutletContext["owner"];
    if (view !== this._viewRef) {
      if (owner._viewContainerRef.indexOf(view) !== -1) {
        this.beforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
        owner._viewContainerRef.detach(owner._viewContainerRef.indexOf(view));
      }
      if (this._viewRef && this._viewContainerRef.indexOf(this._viewRef) !== -1) {
        this.beforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
        this._viewContainerRef.detach(this._viewContainerRef.indexOf(this._viewRef));
      }
      this._viewRef = view;
      this._viewContainerRef.insert(view, 0);
      this._updateExistingContext(this.igxTemplateOutletContext);
      this.viewMoved.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
    } else {
      this._updateExistingContext(this.igxTemplateOutletContext);
    }
  }
  _useCachedView() {
    const tmplID = this.igxTemplateOutletContext["templateID"];
    const cachedView = tmplID ? this._embeddedViewsMap.get(tmplID.type)?.get(tmplID.id) : null;
    if (this._viewContainerRef.length > 0) {
      this.beforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
      this._viewContainerRef.detach(this._viewContainerRef.indexOf(this._viewRef));
    }
    this._viewRef = cachedView;
    const oldContext = this._cloneContext(cachedView.context);
    this._viewContainerRef.insert(this._viewRef, 0);
    this._updateExistingContext(this.igxTemplateOutletContext);
    this.cachedViewLoaded.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext, oldContext });
  }
  _shouldRecreateView(changes) {
    const ctxChange = changes["igxTemplateOutletContext"];
    return !!changes["igxTemplateOutlet"] || ctxChange && this._hasContextShapeChanged(ctxChange);
  }
  _hasContextShapeChanged(ctxChange) {
    const prevCtxKeys = Object.keys(ctxChange.previousValue || {});
    const currCtxKeys = Object.keys(ctxChange.currentValue || {});
    if (prevCtxKeys.length === currCtxKeys.length) {
      for (const propName of currCtxKeys) {
        if (prevCtxKeys.indexOf(propName) === -1) {
          return true;
        }
      }
      return false;
    } else {
      return true;
    }
  }
  _updateExistingContext(ctx) {
    for (const propName of Object.keys(ctx)) {
      this._viewRef.context[propName] = this.igxTemplateOutletContext[propName];
    }
  }
  _cloneContext(ctx) {
    const clone = {};
    for (const propName of Object.keys(ctx)) {
      clone[propName] = ctx[propName];
    }
    return clone;
  }
  _getActionType(changes) {
    const movedView = this.igxTemplateOutletContext["moveView"];
    const tmplID = this.igxTemplateOutletContext["templateID"];
    const cachedView = tmplID ? this._embeddedViewsMap.get(tmplID.type)?.get(tmplID.id) : null;
    const shouldRecreate = this._shouldRecreateView(changes);
    if (movedView) {
      return TemplateOutletAction.MoveView;
    } else if (shouldRecreate && cachedView) {
      return TemplateOutletAction.UseCachedView;
    } else if (!this._viewRef || shouldRecreate) {
      return TemplateOutletAction.CreateView;
    } else if (this.igxTemplateOutletContext) {
      return TemplateOutletAction.UpdateViewContext;
    }
  }
  static {
    this.ɵfac = i047.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i047, type: _IgxTemplateOutletDirective, deps: [{ token: i047.ViewContainerRef }, { token: i047.NgZone }, { token: i047.ChangeDetectorRef }], target: i047.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i047.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTemplateOutletDirective, isStandalone: true, selector: "[igxTemplateOutlet]", inputs: { igxTemplateOutletContext: "igxTemplateOutletContext", igxTemplateOutlet: "igxTemplateOutlet" }, outputs: { viewCreated: "viewCreated", viewMoved: "viewMoved", cachedViewLoaded: "cachedViewLoaded", beforeViewDetach: "beforeViewDetach" }, usesOnChanges: true, ngImport: i047 });
  }
};
i047.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i047, type: IgxTemplateOutletDirective, decorators: [{
  type: Directive28,
  args: [{
    selector: "[igxTemplateOutlet]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i047.ViewContainerRef }, { type: i047.NgZone }, { type: i047.ChangeDetectorRef }], propDecorators: { igxTemplateOutletContext: [{
  type: Input31
}], igxTemplateOutlet: [{
  type: Input31
}], viewCreated: [{
  type: Output12
}], viewMoved: [{
  type: Output12
}], cachedViewLoaded: [{
  type: Output12
}], beforeViewDetach: [{
  type: Output12
}] } });
var TemplateOutletAction;
(function(TemplateOutletAction2) {
  TemplateOutletAction2[TemplateOutletAction2["CreateView"] = 0] = "CreateView";
  TemplateOutletAction2[TemplateOutletAction2["MoveView"] = 1] = "MoveView";
  TemplateOutletAction2[TemplateOutletAction2["UseCachedView"] = 2] = "UseCachedView";
  TemplateOutletAction2[TemplateOutletAction2["UpdateViewContext"] = 3] = "UpdateViewContext";
})(TemplateOutletAction || (TemplateOutletAction = {}));

// lib/directives/toggle/toggle.directive.mjs
import { Directive as Directive29, EventEmitter as EventEmitter21, HostBinding as HostBinding20, HostListener as HostListener15, Inject as Inject18, Input as Input32, Optional as Optional13, Output as Output13 } from "@angular/core";
import { filter as filter3, first as first4, takeUntil as takeUntil11 } from "rxjs/operators";
import { Subject as Subject13 } from "rxjs";
import * as i048 from "@angular/core";
var IgxToggleDirective = class _IgxToggleDirective {
  /**
   * @hidden
   */
  get collapsed() {
    return this._collapsed;
  }
  /**
   * @hidden
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * @hidden
   */
  get hiddenClass() {
    return this.collapsed;
  }
  get hiddenWebkitClass() {
    const isSafari = this.platform?.isSafari;
    const browserVersion = this.platform?.browserVersion;
    return this.collapsed && isSafari && !!browserVersion && browserVersion < 17.5;
  }
  /**
   * @hidden
   */
  get defaultClass() {
    return !this.collapsed;
  }
  /**
   * @hidden
   */
  constructor(elementRef, cdr, overlayService, navigationService, platform) {
    this.elementRef = elementRef;
    this.cdr = cdr;
    this.overlayService = overlayService;
    this.navigationService = navigationService;
    this.platform = platform;
    this.opened = new EventEmitter21();
    this.opening = new EventEmitter21();
    this.closed = new EventEmitter21();
    this.closing = new EventEmitter21();
    this.appended = new EventEmitter21();
    this._collapsed = true;
    this.destroy$ = new Subject13();
    this._overlaySubFilter = [
      filter3((x) => x.id === this._overlayId),
      takeUntil11(this.destroy$)
    ];
    this.overlayClosed = (e) => {
      this._collapsed = true;
      this.cdr.detectChanges();
      this.unsubscribe();
      this.overlayService.detach(this.overlayId);
      const args = { owner: this, id: this._overlayId, event: e.event };
      delete this._overlayId;
      this.closed.emit(args);
      this.cdr.markForCheck();
    };
  }
  /**
   * Opens the toggle.
   *
   * ```typescript
   * this.myToggle.open();
   * ```
   */
  open(overlaySettings) {
    const info = this.overlayService.getOverlayById(this._overlayId);
    const openAnimationStarted = info?.openAnimationPlayer?.hasStarted() ?? false;
    const closeAnimationStarted = info?.closeAnimationPlayer?.hasStarted() ?? false;
    if (openAnimationStarted || !(this._collapsed || closeAnimationStarted)) {
      return;
    }
    const target = overlaySettings && overlaySettings.target;
    if (target && target instanceof Element) {
      const styles = window.getComputedStyle(target);
      const componentSize = styles.getPropertyValue("--component-size");
      const globalSize = styles.getPropertyValue("--ig-size");
      const size = componentSize || globalSize || "3";
      this.elementRef.nativeElement.style.setProperty("--ig-size", size);
    }
    this._collapsed = false;
    this.cdr.detectChanges();
    if (!info) {
      this.unsubscribe();
      this.subscribe();
      this._overlayId = this.overlayService.attach(this.elementRef, overlaySettings);
    }
    const args = { cancel: false, owner: this, id: this._overlayId };
    this.opening.emit(args);
    if (args.cancel) {
      this.unsubscribe();
      this.overlayService.detach(this._overlayId);
      this._collapsed = true;
      delete this._overlayId;
      this.cdr.detectChanges();
      return;
    }
    this.overlayService.show(this._overlayId, overlaySettings);
  }
  /**
   * Closes the toggle.
   *
   * ```typescript
   * this.myToggle.close();
   * ```
   */
  close(event) {
    const info = this.overlayService.getOverlayById(this._overlayId);
    const closeAnimationStarted = info?.closeAnimationPlayer?.hasStarted() || false;
    if (this._collapsed || closeAnimationStarted) {
      return;
    }
    this.overlayService.hide(this._overlayId, event);
  }
  /**
   * Opens or closes the toggle, depending on its current state.
   *
   * ```typescript
   * this.myToggle.toggle();
   * ```
   */
  toggle(overlaySettings) {
    if (this.collapsed || this.isClosing) {
      this.open(overlaySettings);
    } else {
      this.close();
    }
  }
  /** @hidden @internal */
  get isClosing() {
    const info = this.overlayService.getOverlayById(this._overlayId);
    return info ? info.closeAnimationPlayer?.hasStarted() : false;
  }
  /**
   * Returns the id of the overlay the content is rendered in.
   * ```typescript
   * this.myToggle.overlayId;
   * ```
   */
  get overlayId() {
    return this._overlayId;
  }
  /**
   * Repositions the toggle.
   * ```typescript
   * this.myToggle.reposition();
   * ```
   */
  reposition() {
    this.overlayService.reposition(this._overlayId);
  }
  /**
   * Offsets the content along the corresponding axis by the provided amount
   */
  setOffset(deltaX, deltaY) {
    this.overlayService.setOffset(this._overlayId, deltaX, deltaY);
  }
  /**
   * @hidden
   */
  ngOnInit() {
    if (this.navigationService && this.id) {
      this.navigationService.add(this.id, this);
    }
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    if (this.navigationService && this.id) {
      this.navigationService.remove(this.id);
    }
    if (this._overlayId) {
      this.overlayService.detach(this._overlayId);
    }
    this.unsubscribe();
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  subscribe() {
    this._overlayContentAppendedSub = this.overlayService.contentAppended.pipe(first4(), takeUntil11(this.destroy$)).subscribe(() => {
      const args = { owner: this, id: this._overlayId };
      this.appended.emit(args);
    });
    this._overlayOpenedSub = this.overlayService.opened.pipe(...this._overlaySubFilter).subscribe(() => {
      const args = { owner: this, id: this._overlayId };
      this.opened.emit(args);
    });
    this._overlayClosingSub = this.overlayService.closing.pipe(...this._overlaySubFilter).subscribe((e) => {
      const args = { cancel: false, event: e.event, owner: this, id: this._overlayId };
      this.closing.emit(args);
      e.cancel = args.cancel;
      if (!e.cancel) {
        this.clearSubscription(this._overlayClosingSub);
      }
    });
    this._overlayClosedSub = this.overlayService.closed.pipe(...this._overlaySubFilter).subscribe(this.overlayClosed);
  }
  unsubscribe() {
    this.clearSubscription(this._overlayOpenedSub);
    this.clearSubscription(this._overlayClosingSub);
    this.clearSubscription(this._overlayClosedSub);
    this.clearSubscription(this._overlayContentAppendedSub);
  }
  clearSubscription(subscription) {
    if (subscription && !subscription.closed) {
      subscription.unsubscribe();
    }
  }
  static {
    this.ɵfac = i048.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: _IgxToggleDirective, deps: [{ token: i048.ElementRef }, { token: i048.ChangeDetectorRef }, { token: IgxOverlayService }, { token: IgxNavigationService, optional: true }, { token: PlatformUtil, optional: true }], target: i048.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i048.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxToggleDirective, isStandalone: true, selector: "[igxToggle]", inputs: { id: "id" }, outputs: { opened: "opened", opening: "opening", closed: "closed", closing: "closing", appended: "appended" }, host: { properties: { "class.igx-toggle--hidden": "this.hiddenClass", "attr.aria-hidden": "this.hiddenClass", "class.igx-toggle--hidden-webkit": "this.hiddenWebkitClass", "class.igx-toggle": "this.defaultClass" } }, exportAs: ["toggle"], ngImport: i048 });
  }
};
i048.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: IgxToggleDirective, decorators: [{
  type: Directive29,
  args: [{
    exportAs: "toggle",
    selector: "[igxToggle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i048.ElementRef }, { type: i048.ChangeDetectorRef }, { type: IgxOverlayService, decorators: [{
  type: Inject18,
  args: [IgxOverlayService]
}] }, { type: IgxNavigationService, decorators: [{
  type: Optional13
}] }, { type: PlatformUtil, decorators: [{
  type: Optional13
}] }], propDecorators: { opened: [{
  type: Output13
}], opening: [{
  type: Output13
}], closed: [{
  type: Output13
}], closing: [{
  type: Output13
}], appended: [{
  type: Output13
}], id: [{
  type: Input32
}], hiddenClass: [{
  type: HostBinding20,
  args: ["class.igx-toggle--hidden"]
}, {
  type: HostBinding20,
  args: ["attr.aria-hidden"]
}], hiddenWebkitClass: [{
  type: HostBinding20,
  args: ["class.igx-toggle--hidden-webkit"]
}], defaultClass: [{
  type: HostBinding20,
  args: ["class.igx-toggle"]
}] } });
var IgxToggleActionDirective = class _IgxToggleActionDirective {
  /**
   * @hidden
   */
  set target(target) {
    if (target !== null && target !== "") {
      this._target = target;
    }
  }
  /**
   * @hidden
   */
  get target() {
    if (typeof this._target === "string") {
      return this.navigationService.get(this._target);
    }
    return this._target;
  }
  constructor(element, navigationService) {
    this.element = element;
    this.navigationService = navigationService;
  }
  /**
   * @hidden
   */
  onClick() {
    if (this.outlet) {
      this._overlayDefaults.outlet = this.outlet;
    }
    const clonedSettings = Object.assign({}, this._overlayDefaults, this.overlaySettings);
    this.updateOverlaySettings(clonedSettings);
    this.target.toggle(clonedSettings);
  }
  /**
   * @hidden
   */
  ngOnInit() {
    const targetElement = this.element.nativeElement;
    this._overlayDefaults = {
      target: targetElement,
      positionStrategy: new ConnectedPositioningStrategy(),
      scrollStrategy: new AbsoluteScrollStrategy(),
      closeOnOutsideClick: true,
      modal: false,
      excludeFromOutsideClick: [targetElement]
    };
  }
  /**
   * Updates provided overlay settings
   *
   * @param settings settings to update
   * @returns returns updated copy of provided overlay settings
   */
  updateOverlaySettings(settings) {
    if (settings && settings.positionStrategy) {
      const positionStrategyClone = settings.positionStrategy.clone();
      settings.target = this.element.nativeElement;
      settings.positionStrategy = positionStrategyClone;
    }
    return settings;
  }
  static {
    this.ɵfac = i048.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: _IgxToggleActionDirective, deps: [{ token: i048.ElementRef }, { token: IgxNavigationService, optional: true }], target: i048.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i048.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxToggleActionDirective, isStandalone: true, selector: "[igxToggleAction]", inputs: { overlaySettings: "overlaySettings", outlet: ["igxToggleOutlet", "outlet"], target: ["igxToggleAction", "target"] }, host: { listeners: { "click": "onClick()" } }, exportAs: ["toggle-action"], ngImport: i048 });
  }
};
i048.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: IgxToggleActionDirective, decorators: [{
  type: Directive29,
  args: [{
    exportAs: "toggle-action",
    selector: "[igxToggleAction]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i048.ElementRef }, { type: IgxNavigationService, decorators: [{
  type: Optional13
}] }], propDecorators: { overlaySettings: [{
  type: Input32
}], outlet: [{
  type: Input32,
  args: ["igxToggleOutlet"]
}], target: [{
  type: Input32,
  args: ["igxToggleAction"]
}], onClick: [{
  type: HostListener15,
  args: ["click"]
}] } });
var IgxOverlayOutletDirective = class _IgxOverlayOutletDirective {
  constructor(element) {
    this.element = element;
  }
  /** @hidden */
  get nativeElement() {
    return this.element.nativeElement;
  }
  static {
    this.ɵfac = i048.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: _IgxOverlayOutletDirective, deps: [{ token: i048.ElementRef }], target: i048.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i048.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxOverlayOutletDirective, isStandalone: true, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"], ngImport: i048 });
  }
};
i048.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i048, type: IgxOverlayOutletDirective, decorators: [{
  type: Directive29,
  args: [{
    exportAs: "overlay-outlet",
    selector: "[igxOverlayOutlet]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i048.ElementRef }] });

// lib/directives/tooltip/tooltip.directive.mjs
import { Directive as Directive30, Input as Input33, Optional as Optional14, HostBinding as HostBinding21, Inject as Inject19 } from "@angular/core";
import * as i049 from "@angular/core";
var NEXT_ID4 = 0;
var IgxTooltipDirective = class _IgxTooltipDirective extends IgxToggleDirective {
  /**
   * @hidden
   */
  get hiddenClass() {
    return this.collapsed;
  }
  /**
   * @hidden
   */
  get defaultClass() {
    return !this.collapsed;
  }
  /**
   * Get the role attribute of the tooltip.
   *
   * ```typescript
   * let tooltipRole = this.tooltip.role;
   * ```
   */
  get role() {
    return "tooltip";
  }
  /** @hidden */
  constructor(elementRef, cdr, overlayService, navigationService) {
    super(elementRef, cdr, overlayService, navigationService);
    this.id = `igx-tooltip-${NEXT_ID4++}`;
    this.toBeHidden = false;
    this.toBeShown = false;
  }
  /**
   * If there is open animation in progress this method will finish is.
   * If there is no open animation in progress this method will open the toggle with no animation.
   *
   * @param overlaySettings setting to use for opening the toggle
   */
  forceOpen(overlaySettings) {
    const info = this.overlayService.getOverlayById(this._overlayId);
    const hasOpenAnimation = info ? info.openAnimationPlayer : false;
    if (hasOpenAnimation) {
      info.openAnimationPlayer.finish();
      info.openAnimationPlayer.reset();
      info.openAnimationPlayer = null;
    } else if (this.collapsed) {
      const animation = overlaySettings.positionStrategy.settings.openAnimation;
      overlaySettings.positionStrategy.settings.openAnimation = null;
      this.open(overlaySettings);
      overlaySettings.positionStrategy.settings.openAnimation = animation;
    }
  }
  /**
   * If there is close animation in progress this method will finish is.
   * If there is no close animation in progress this method will close the toggle with no animation.
   *
   * @param overlaySettings settings to use for closing the toggle
   */
  forceClose(overlaySettings) {
    const info = this.overlayService.getOverlayById(this._overlayId);
    const hasCloseAnimation = info ? info.closeAnimationPlayer : false;
    if (hasCloseAnimation) {
      info.closeAnimationPlayer.finish();
      info.closeAnimationPlayer.reset();
      info.closeAnimationPlayer = null;
    } else if (!this.collapsed) {
      const animation = overlaySettings.positionStrategy.settings.closeAnimation;
      overlaySettings.positionStrategy.settings.closeAnimation = null;
      this.close();
      overlaySettings.positionStrategy.settings.closeAnimation = animation;
    }
  }
  static {
    this.ɵfac = i049.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i049, type: _IgxTooltipDirective, deps: [{ token: i049.ElementRef }, { token: i049.ChangeDetectorRef }, { token: IgxOverlayService }, { token: IgxNavigationService, optional: true }], target: i049.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i049.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTooltipDirective, isStandalone: true, selector: "[igxTooltip]", inputs: { context: "context", id: "id" }, host: { properties: { "class.igx-tooltip--hidden": "this.hiddenClass", "class.igx-tooltip--desktop": "this.defaultClass", "attr.id": "this.id", "attr.role": "this.role" } }, exportAs: ["tooltip"], usesInheritance: true, ngImport: i049 });
  }
};
i049.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i049, type: IgxTooltipDirective, decorators: [{
  type: Directive30,
  args: [{
    exportAs: "tooltip",
    selector: "[igxTooltip]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i049.ElementRef }, { type: i049.ChangeDetectorRef }, { type: IgxOverlayService, decorators: [{
  type: Inject19,
  args: [IgxOverlayService]
}] }, { type: IgxNavigationService, decorators: [{
  type: Optional14
}] }], propDecorators: { hiddenClass: [{
  type: HostBinding21,
  args: ["class.igx-tooltip--hidden"]
}], defaultClass: [{
  type: HostBinding21,
  args: ["class.igx-tooltip--desktop"]
}], context: [{
  type: Input33,
  args: ["context"]
}], id: [{
  type: HostBinding21,
  args: ["attr.id"]
}, {
  type: Input33
}], role: [{
  type: HostBinding21,
  args: ["attr.role"]
}] } });

// lib/directives/tooltip/tooltip.component.mjs
import { Component as Component8, ViewChild as ViewChild6 } from "@angular/core";
import * as i050 from "@angular/core";
var IgxTooltipComponent = class _IgxTooltipComponent {
  static {
    this.ɵfac = i050.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i050, type: _IgxTooltipComponent, deps: [], target: i050.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i050.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTooltipComponent, isStandalone: true, selector: "igx-tooltip", viewQueries: [{ propertyName: "tooltip", first: true, predicate: IgxTooltipDirective, descendants: true, static: true }], ngImport: i050, template: "<span igxTooltip>{{content}}</span>", dependencies: [{ kind: "directive", type: IgxTooltipDirective, selector: "[igxTooltip]", inputs: ["context", "id"], exportAs: ["tooltip"] }] });
  }
};
i050.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i050, type: IgxTooltipComponent, decorators: [{
  type: Component8,
  args: [{ selector: "igx-tooltip", standalone: true, imports: [IgxTooltipDirective], template: "<span igxTooltip>{{content}}</span>" }]
}], propDecorators: { tooltip: [{
  type: ViewChild6,
  args: [IgxTooltipDirective, { static: true }]
}] } });

// lib/directives/tooltip/tooltip-target.directive.mjs
import { useAnimation } from "@angular/animations";
import { Directive as Directive31, Output as Output14, Optional as Optional15, HostListener as HostListener16, Input as Input34, EventEmitter as EventEmitter22, booleanAttribute as booleanAttribute19 } from "@angular/core";
import { Subject as Subject14 } from "rxjs";
import { takeUntil as takeUntil12 } from "rxjs/operators";
import { fadeOut as fadeOut3, scaleInCenter } from "igniteui-angular/animations";
import * as i051 from "@angular/core";
var IgxTooltipTargetDirective = class _IgxTooltipTargetDirective extends IgxToggleActionDirective {
  /**
   * @hidden
   */
  set target(target) {
    if (target !== null && target !== "") {
      this._target = target;
    }
  }
  /**
   * @hidden
   */
  get target() {
    if (typeof this._target === "string") {
      return this._navigationService.get(this._target);
    }
    return this._target;
  }
  /**
  * @hidden
  */
  set tooltip(content) {
    if (!this.target && (typeof content === "string" || content instanceof String)) {
      const tooltipComponent = this._viewContainerRef.createComponent(IgxTooltipComponent);
      tooltipComponent.instance.content = content;
      this._target = tooltipComponent.instance.tooltip;
    }
  }
  /**
   * Gets the respective native element of the directive.
   *
   * ```typescript
   * let tooltipTargetElement = this.tooltipTarget.nativeElement;
   * ```
   */
  get nativeElement() {
    return this._element.nativeElement;
  }
  /**
   * Indicates if the tooltip that is is associated with this target is currently hidden.
   *
   * ```typescript
   * let tooltipHiddenValue = this.tooltipTarget.tooltipHidden;
   * ```
   */
  get tooltipHidden() {
    return !this.target || this.target.collapsed;
  }
  constructor(_element, _navigationService, _viewContainerRef) {
    super(_element, _navigationService);
    this._element = _element;
    this._navigationService = _navigationService;
    this._viewContainerRef = _viewContainerRef;
    this.showDelay = 500;
    this.hideDelay = 500;
    this.tooltipDisabled = false;
    this.tooltipShow = new EventEmitter22();
    this.tooltipHide = new EventEmitter22();
    this.destroy$ = new Subject14();
  }
  /**
   * @hidden
   */
  onClick() {
    if (!this.target.collapsed) {
      this.target.forceClose(this.mergedOverlaySettings);
    }
  }
  /**
   * @hidden
   */
  onMouseEnter() {
    if (this.tooltipDisabled) {
      return;
    }
    this.checkOutletAndOutsideClick();
    const shouldReturn = this.preMouseEnterCheck();
    if (shouldReturn) {
      return;
    }
    const showingArgs = { target: this, tooltip: this.target, cancel: false };
    this.tooltipShow.emit(showingArgs);
    if (showingArgs.cancel) {
      return;
    }
    this.target.toBeShown = true;
    this.target.timeoutId = setTimeout(() => {
      this.target.open(this.mergedOverlaySettings);
      this.target.toBeShown = false;
    }, this.showDelay);
  }
  /**
   * @hidden
   */
  onMouseLeave() {
    if (this.tooltipDisabled) {
      return;
    }
    this.checkOutletAndOutsideClick();
    const shouldReturn = this.preMouseLeaveCheck();
    if (shouldReturn || this.target.collapsed) {
      return;
    }
    this.target.toBeHidden = true;
    this.target.timeoutId = setTimeout(() => {
      this.target.close();
      this.target.toBeHidden = false;
    }, this.hideDelay);
  }
  /**
   * @hidden
   */
  onTouchStart() {
    if (this.tooltipDisabled) {
      return;
    }
    this.showTooltip();
  }
  /**
   * @hidden
   */
  onDocumentTouchStart(event) {
    if (this.tooltipDisabled) {
      return;
    }
    if (this.nativeElement !== event.target && !this.nativeElement.contains(event.target)) {
      this.hideTooltip();
    }
  }
  /**
   * @hidden
   */
  ngOnInit() {
    super.ngOnInit();
    const positionSettings = {
      horizontalDirection: HorizontalAlignment.Center,
      horizontalStartPoint: HorizontalAlignment.Center,
      openAnimation: useAnimation(scaleInCenter, { params: { duration: "150ms" } }),
      closeAnimation: useAnimation(fadeOut3, { params: { duration: "75ms" } })
    };
    this._overlayDefaults.positionStrategy = new AutoPositionStrategy(positionSettings);
    this._overlayDefaults.closeOnOutsideClick = false;
    this._overlayDefaults.closeOnEscape = true;
    this.target.closing.pipe(takeUntil12(this.destroy$)).subscribe((event) => {
      const hidingArgs = { target: this, tooltip: this.target, cancel: false };
      this.tooltipHide.emit(hidingArgs);
      if (hidingArgs.cancel) {
        event.cancel = true;
      }
    });
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  /**
   * Shows the tooltip by respecting the 'showDelay' property.
   *
   * ```typescript
   * this.tooltipTarget.showTooltip();
   * ```
   */
  showTooltip() {
    clearTimeout(this.target.timeoutId);
    if (!this.target.collapsed) {
      this.target.forceClose(this.mergedOverlaySettings);
      this.target.toBeHidden = false;
    }
    const showingArgs = { target: this, tooltip: this.target, cancel: false };
    this.tooltipShow.emit(showingArgs);
    if (showingArgs.cancel) {
      return;
    }
    this.target.toBeShown = true;
    this.target.timeoutId = setTimeout(() => {
      this.target.open(this.mergedOverlaySettings);
      this.target.toBeShown = false;
    }, this.showDelay);
  }
  /**
   * Hides the tooltip by respecting the 'hideDelay' property.
   *
   * ```typescript
   * this.tooltipTarget.hideTooltip();
   * ```
   */
  hideTooltip() {
    if (this.target.collapsed && this.target.toBeShown) {
      clearTimeout(this.target.timeoutId);
    }
    if (this.target.collapsed || this.target.toBeHidden) {
      return;
    }
    this.target.toBeHidden = true;
    this.target.timeoutId = setTimeout(() => {
      this.target.close();
      this.target.toBeHidden = false;
    }, this.hideDelay);
  }
  checkOutletAndOutsideClick() {
    if (this.outlet) {
      this._overlayDefaults.outlet = this.outlet;
    }
  }
  get mergedOverlaySettings() {
    return Object.assign({}, this._overlayDefaults, this.overlaySettings);
  }
  // Return true if the execution in onMouseEnter should be terminated after this method
  preMouseEnterCheck() {
    if (this.target.toBeShown) {
      clearTimeout(this.target.timeoutId);
      this.target.toBeShown = false;
    }
    if (!this.target.collapsed || this.target.toBeHidden) {
      clearTimeout(this.target.timeoutId);
      this.target.forceClose(this.mergedOverlaySettings);
      this.target.toBeHidden = false;
    }
    return false;
  }
  // Return true if the execution in onMouseLeave should be terminated after this method
  preMouseLeaveCheck() {
    clearTimeout(this.target.timeoutId);
    if (this.target.toBeShown) {
      this.target.toBeShown = false;
      this.target.toBeHidden = false;
      return true;
    }
    return false;
  }
  static {
    this.ɵfac = i051.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i051, type: _IgxTooltipTargetDirective, deps: [{ token: i051.ElementRef }, { token: IgxNavigationService, optional: true }, { token: i051.ViewContainerRef }], target: i051.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i051.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTooltipTargetDirective, isStandalone: true, selector: "[igxTooltipTarget]", inputs: { showDelay: "showDelay", hideDelay: "hideDelay", tooltipDisabled: ["tooltipDisabled", "tooltipDisabled", booleanAttribute19], target: ["igxTooltipTarget", "target"], tooltip: "tooltip" }, outputs: { tooltipShow: "tooltipShow", tooltipHide: "tooltipHide" }, host: { listeners: { "click": "onClick()", "mouseenter": "onMouseEnter()", "mouseleave": "onMouseLeave()", "touchstart": "onTouchStart()", "document:touchstart": "onDocumentTouchStart($event)" } }, exportAs: ["tooltipTarget"], usesInheritance: true, ngImport: i051 });
  }
};
i051.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i051, type: IgxTooltipTargetDirective, decorators: [{
  type: Directive31,
  args: [{
    exportAs: "tooltipTarget",
    selector: "[igxTooltipTarget]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i051.ElementRef }, { type: IgxNavigationService, decorators: [{
  type: Optional15
}] }, { type: i051.ViewContainerRef }], propDecorators: { showDelay: [{
  type: Input34,
  args: ["showDelay"]
}], hideDelay: [{
  type: Input34,
  args: ["hideDelay"]
}], tooltipDisabled: [{
  type: Input34,
  args: [{ alias: "tooltipDisabled", transform: booleanAttribute19 }]
}], target: [{
  type: Input34,
  args: ["igxTooltipTarget"]
}], tooltip: [{
  type: Input34
}], tooltipShow: [{
  type: Output14
}], tooltipHide: [{
  type: Output14
}], onClick: [{
  type: HostListener16,
  args: ["click"]
}], onMouseEnter: [{
  type: HostListener16,
  args: ["mouseenter"]
}], onMouseLeave: [{
  type: HostListener16,
  args: ["mouseleave"]
}], onTouchStart: [{
  type: HostListener16,
  args: ["touchstart"]
}], onDocumentTouchStart: [{
  type: HostListener16,
  args: ["document:touchstart", ["$event"]]
}] } });

// lib/directives/tooltip/public_api.mjs
var IGX_TOOLTIP_DIRECTIVES = [
  IgxTooltipDirective,
  IgxTooltipTargetDirective
];

// lib/directives/date-time-editor/date-time-editor.common.mjs
var DatePart;
(function(DatePart2) {
  DatePart2["Date"] = "date";
  DatePart2["Month"] = "month";
  DatePart2["Year"] = "year";
  DatePart2["Hours"] = "hours";
  DatePart2["Minutes"] = "minutes";
  DatePart2["Seconds"] = "seconds";
  DatePart2["AmPm"] = "ampm";
  DatePart2["Literal"] = "literal";
})(DatePart || (DatePart = {}));

// lib/date-common/util/date-time.util.mjs
import { formatDate as formatDate2, FormatWidth as FormatWidth2, getLocaleDateFormat as getLocaleDateFormat2 } from "@angular/common";
var DATE_CHARS = ["h", "H", "m", "s", "S", "t", "T"];
var TIME_CHARS = ["d", "D", "M", "y", "Y"];
var DateTimeUtil = class _DateTimeUtil {
  static {
    this.DEFAULT_INPUT_FORMAT = "MM/dd/yyyy";
  }
  static {
    this.DEFAULT_TIME_INPUT_FORMAT = "hh:mm tt";
  }
  static {
    this.SEPARATOR = "literal";
  }
  static {
    this.DEFAULT_LOCALE = "en";
  }
  /**
   * Parse a Date value from masked string input based on determined date parts
   *
   * @param inputData masked value to parse
   * @param dateTimeParts Date parts array for the mask
   */
  static parseValueFromMask(inputData, dateTimeParts, promptChar) {
    const parts = {};
    dateTimeParts.forEach((dp) => {
      let value = parseInt(_DateTimeUtil.getCleanVal(inputData, dp, promptChar), 10);
      if (!value) {
        value = dp.type === DatePart.Date || dp.type === DatePart.Month ? 1 : 0;
      }
      parts[dp.type] = value;
    });
    parts[DatePart.Month] -= 1;
    if (parts[DatePart.Month] < 0 || 11 < parts[DatePart.Month]) {
      return null;
    }
    if (parts[DatePart.Year] < 50) {
      parts[DatePart.Year] += 2e3;
    }
    if (parts[DatePart.Date] > _DateTimeUtil.daysInMonth(parts[DatePart.Year], parts[DatePart.Month])) {
      return null;
    }
    if (parts[DatePart.Hours] > 23 || parts[DatePart.Minutes] > 59 || parts[DatePart.Seconds] > 59) {
      return null;
    }
    const amPm = dateTimeParts.find((p) => p.type === DatePart.AmPm);
    if (amPm) {
      parts[DatePart.Hours] %= 12;
    }
    if (amPm && _DateTimeUtil.getCleanVal(inputData, amPm, promptChar).toLowerCase() === "pm") {
      parts[DatePart.Hours] += 12;
    }
    return new Date(parts[DatePart.Year] || 2e3, parts[DatePart.Month] || 0, parts[DatePart.Date] || 1, parts[DatePart.Hours] || 0, parts[DatePart.Minutes] || 0, parts[DatePart.Seconds] || 0);
  }
  /** Parse the mask into date/time and literal parts */
  static parseDateTimeFormat(mask, locale) {
    const format = mask || _DateTimeUtil.getDefaultInputFormat(locale);
    const dateTimeParts = [];
    const formatArray = Array.from(format);
    let currentPart = null;
    let position = 0;
    for (let i = 0; i < formatArray.length; i++, position++) {
      const type = _DateTimeUtil.determineDatePart(formatArray[i]);
      if (currentPart) {
        if (currentPart.type === type) {
          currentPart.format += formatArray[i];
          if (i < formatArray.length - 1) {
            continue;
          }
        }
        _DateTimeUtil.addCurrentPart(currentPart, dateTimeParts);
        position = currentPart.end;
      }
      currentPart = {
        start: position,
        end: position + formatArray[i].length,
        type,
        format: formatArray[i]
      };
    }
    if (!dateTimeParts.filter((p) => p.format.includes(currentPart.format)).length) {
      _DateTimeUtil.addCurrentPart(currentPart, dateTimeParts);
    }
    const yearPart = dateTimeParts.filter((p) => p.type === DatePart.Year)[0];
    if (yearPart && yearPart.format !== "yy") {
      yearPart.end += 4 - yearPart.format.length;
      yearPart.format = "yyyy";
    }
    return dateTimeParts;
  }
  static getPartValue(value, datePartInfo, partLength) {
    let maskedValue;
    const datePart = datePartInfo.type;
    switch (datePart) {
      case DatePart.Date:
        maskedValue = value.getDate();
        break;
      case DatePart.Month:
        maskedValue = value.getMonth() + 1;
        break;
      case DatePart.Year:
        if (partLength === 2) {
          maskedValue = this.prependValue(parseInt(value.getFullYear().toString().slice(-2), 10), partLength, "0");
        } else {
          maskedValue = value.getFullYear();
        }
        break;
      case DatePart.Hours:
        if (datePartInfo.format.indexOf("h") !== -1) {
          maskedValue = this.prependValue(this.toTwelveHourFormat(value.getHours().toString()), partLength, "0");
        } else {
          maskedValue = value.getHours();
        }
        break;
      case DatePart.Minutes:
        maskedValue = value.getMinutes();
        break;
      case DatePart.Seconds:
        maskedValue = value.getSeconds();
        break;
      case DatePart.AmPm:
        maskedValue = value.getHours() >= 12 ? "PM" : "AM";
        break;
    }
    if (datePartInfo.type !== DatePart.AmPm) {
      return this.prependValue(maskedValue, partLength, "0");
    }
    return maskedValue;
  }
  /** Builds a date-time editor's default input format based on provided locale settings. */
  static getDefaultInputFormat(locale) {
    locale = locale || _DateTimeUtil.DEFAULT_LOCALE;
    if (!Intl || !Intl.DateTimeFormat || !Intl.DateTimeFormat.prototype.formatToParts) {
      return _DateTimeUtil.DEFAULT_INPUT_FORMAT;
    }
    const parts = _DateTimeUtil.getDefaultLocaleMask(locale);
    parts.forEach((p) => {
      if (p.type !== DatePart.Year && p.type !== _DateTimeUtil.SEPARATOR) {
        p.formatType = "2-digit";
      }
    });
    return _DateTimeUtil.getMask(parts);
  }
  /** Tries to format a date using Angular's DatePipe. Fallbacks to `Intl` if no locale settings have been loaded. */
  static formatDate(value, format, locale, timezone) {
    let formattedDate;
    try {
      formattedDate = formatDate2(value, format, locale, timezone);
    } catch {
      _DateTimeUtil.logMissingLocaleSettings(locale);
      const formatter = new Intl.DateTimeFormat(locale);
      formattedDate = formatter.format(value);
    }
    return formattedDate;
  }
  /**
   * Returns the date format based on a provided locale.
   * Supports Angular's DatePipe format options such as `shortDate`, `longDate`.
   */
  static getLocaleDateFormat(locale, displayFormat) {
    const formatKeys = Object.keys(FormatWidth2);
    const targetKey = formatKeys.find((k) => k.toLowerCase() === displayFormat?.toLowerCase().replace("date", ""));
    if (!targetKey) {
      return displayFormat;
    }
    let format;
    try {
      format = getLocaleDateFormat2(locale, FormatWidth2[targetKey]);
    } catch {
      _DateTimeUtil.logMissingLocaleSettings(locale);
      format = _DateTimeUtil.getDefaultInputFormat(locale);
    }
    return format;
  }
  /** Determines if a given character is `d/M/y` or `h/m/s`. */
  static isDateOrTimeChar(char) {
    return DATE_CHARS.indexOf(char) !== -1 || TIME_CHARS.indexOf(char) !== -1;
  }
  /** Spins the date portion in a date-time editor. */
  static spinDate(delta, newDate, spinLoop) {
    const maxDate = _DateTimeUtil.daysInMonth(newDate.getFullYear(), newDate.getMonth());
    let date = newDate.getDate() + delta;
    if (date > maxDate) {
      date = spinLoop ? date % maxDate : maxDate;
    } else if (date < 1) {
      date = spinLoop ? maxDate + date % maxDate : 1;
    }
    newDate.setDate(date);
  }
  /** Spins the month portion in a date-time editor. */
  static spinMonth(delta, newDate, spinLoop) {
    const maxDate = _DateTimeUtil.daysInMonth(newDate.getFullYear(), newDate.getMonth() + delta);
    if (newDate.getDate() > maxDate) {
      newDate.setDate(maxDate);
    }
    const maxMonth = 11;
    const minMonth = 0;
    let month = newDate.getMonth() + delta;
    if (month > maxMonth) {
      month = spinLoop ? month % maxMonth - 1 : maxMonth;
    } else if (month < minMonth) {
      month = spinLoop ? maxMonth + month % maxMonth + 1 : minMonth;
    }
    newDate.setMonth(month);
  }
  /** Spins the year portion in a date-time editor. */
  static spinYear(delta, newDate) {
    const maxDate = _DateTimeUtil.daysInMonth(newDate.getFullYear() + delta, newDate.getMonth());
    if (newDate.getDate() > maxDate) {
      newDate.setDate(maxDate);
    }
    newDate.setFullYear(newDate.getFullYear() + delta);
  }
  /** Spins the hours portion in a date-time editor. */
  static spinHours(delta, newDate, spinLoop) {
    const maxHour = 23;
    const minHour = 0;
    let hours = newDate.getHours() + delta;
    if (hours > maxHour) {
      hours = spinLoop ? hours % maxHour - 1 : maxHour;
    } else if (hours < minHour) {
      hours = spinLoop ? maxHour + hours % maxHour + 1 : minHour;
    }
    newDate.setHours(hours);
  }
  /** Spins the minutes portion in a date-time editor. */
  static spinMinutes(delta, newDate, spinLoop) {
    const maxMinutes = 59;
    const minMinutes = 0;
    let minutes = newDate.getMinutes() + delta;
    if (minutes > maxMinutes) {
      minutes = spinLoop ? minutes % maxMinutes - 1 : maxMinutes;
    } else if (minutes < minMinutes) {
      minutes = spinLoop ? maxMinutes + minutes % maxMinutes + 1 : minMinutes;
    }
    newDate.setMinutes(minutes);
  }
  /** Spins the seconds portion in a date-time editor. */
  static spinSeconds(delta, newDate, spinLoop) {
    const maxSeconds = 59;
    const minSeconds = 0;
    let seconds = newDate.getSeconds() + delta;
    if (seconds > maxSeconds) {
      seconds = spinLoop ? seconds % maxSeconds - 1 : maxSeconds;
    } else if (seconds < minSeconds) {
      seconds = spinLoop ? maxSeconds + seconds % maxSeconds + 1 : minSeconds;
    }
    newDate.setSeconds(seconds);
  }
  /** Spins the AM/PM portion in a date-time editor. */
  static spinAmPm(newDate, currentDate, amPmFromMask) {
    switch (amPmFromMask) {
      case "AM":
        newDate = new Date(newDate.setHours(newDate.getHours() + 12));
        break;
      case "PM":
        newDate = new Date(newDate.setHours(newDate.getHours() - 12));
        break;
    }
    if (newDate.getDate() !== currentDate.getDate()) {
      return currentDate;
    }
    return newDate;
  }
  /**
   * Determines whether the provided value is greater than the provided max value.
   *
   * @param includeTime set to false if you want to exclude time portion of the two dates
   * @param includeDate set to false if you want to exclude the date portion of the two dates
   * @returns true if provided value is greater than provided maxValue
   */
  static greaterThanMaxValue(value, maxValue, includeTime = true, includeDate = true) {
    if (includeTime && includeDate) {
      return value.getTime() > maxValue.getTime();
    }
    const _value = new Date(value.getTime());
    const _maxValue = new Date(maxValue.getTime());
    if (!includeTime) {
      _value.setHours(0, 0, 0, 0);
      _maxValue.setHours(0, 0, 0, 0);
    }
    if (!includeDate) {
      _value.setFullYear(0, 0, 0);
      _maxValue.setFullYear(0, 0, 0);
    }
    return _value.getTime() > _maxValue.getTime();
  }
  /**
   * Determines whether the provided value is less than the provided min value.
   *
   * @param includeTime set to false if you want to exclude time portion of the two dates
   * @param includeDate set to false if you want to exclude the date portion of the two dates
   * @returns true if provided value is less than provided minValue
   */
  static lessThanMinValue(value, minValue, includeTime = true, includeDate = true) {
    if (includeTime && includeDate) {
      return value.getTime() < minValue.getTime();
    }
    const _value = new Date(value.getTime());
    const _minValue = new Date(minValue.getTime());
    if (!includeTime) {
      _value.setHours(0, 0, 0, 0);
      _minValue.setHours(0, 0, 0, 0);
    }
    if (!includeDate) {
      _value.setFullYear(0, 0, 0);
      _minValue.setFullYear(0, 0, 0);
    }
    return _value.getTime() < _minValue.getTime();
  }
  /**
   * Validates a value within a given min and max value range.
   *
   * @param value The value to validate
   * @param minValue The lowest possible value that `value` can take
   * @param maxValue The largest possible value that `value` can take
   */
  static validateMinMax(value, minValue, maxValue, includeTime = true, includeDate = true) {
    if (!value) {
      return null;
    }
    const errors = {};
    const min = _DateTimeUtil.isValidDate(minValue) ? minValue : _DateTimeUtil.parseIsoDate(minValue);
    const max = _DateTimeUtil.isValidDate(maxValue) ? maxValue : _DateTimeUtil.parseIsoDate(maxValue);
    if (min && value && _DateTimeUtil.lessThanMinValue(value, min, includeTime, includeDate)) {
      Object.assign(errors, { minValue: true });
    }
    if (max && value && _DateTimeUtil.greaterThanMaxValue(value, max, includeTime, includeDate)) {
      Object.assign(errors, { maxValue: true });
    }
    return errors;
  }
  /** Parse an ISO string to a Date */
  static parseIsoDate(value) {
    let regex = /^\d{4}/g;
    const timeLiteral = "T";
    if (regex.test(value)) {
      return /* @__PURE__ */ new Date(value + `${value.indexOf(timeLiteral) === -1 ? "T00:00:00" : ""}`);
    }
    regex = /^\d{2}/g;
    if (regex.test(value)) {
      const dateNow = (/* @__PURE__ */ new Date()).toISOString();
      let [datePart, _timePart] = dateNow.split(timeLiteral);
      return /* @__PURE__ */ new Date(`${datePart}T${value}`);
    }
    return null;
  }
  /**
   * Returns whether the input is valid date
   *
   * @param value input to check
   * @returns true if provided input is a valid date
   */
  static isValidDate(value) {
    if (isDate(value)) {
      return !isNaN(value.getTime());
    }
    return false;
  }
  static addCurrentPart(currentPart, dateTimeParts) {
    _DateTimeUtil.ensureLeadingZero(currentPart);
    currentPart.end = currentPart.start + currentPart.format.length;
    dateTimeParts.push(currentPart);
  }
  static daysInMonth(fullYear, month) {
    return new Date(fullYear, month + 1, 0).getDate();
  }
  static trimEmptyPlaceholders(value, promptChar) {
    const result = value.replace(new RegExp(promptChar || "_", "g"), "");
    return result;
  }
  static getMask(dateStruct) {
    const mask = [];
    for (const part of dateStruct) {
      switch (part.formatType) {
        case "numeric": {
          if (part.type === "day") {
            mask.push("d");
          } else if (part.type === "month") {
            mask.push("M");
          } else {
            mask.push("yyyy");
          }
          break;
        }
        case "2-digit": {
          if (part.type === "day") {
            mask.push("dd");
          } else if (part.type === "month") {
            mask.push("MM");
          } else {
            mask.push("yy");
          }
        }
      }
      if (part.type === _DateTimeUtil.SEPARATOR) {
        mask.push(part.value);
      }
    }
    return mask.join("");
  }
  static logMissingLocaleSettings(locale) {
    console.warn(`Missing locale data for the locale ${locale}. Please refer to https://angular.io/guide/i18n#i18n-pipes`);
    console.warn("Using default browser locale settings.");
  }
  static prependValue(value, partLength, prependChar) {
    return (prependChar + value.toString()).slice(-partLength);
  }
  static toTwelveHourFormat(value, promptChar = "_") {
    let hour = parseInt(value.replace(new RegExp(promptChar, "g"), "0"), 10);
    if (hour > 12) {
      hour -= 12;
    } else if (hour === 0) {
      hour = 12;
    }
    return hour;
  }
  static ensureLeadingZero(part) {
    switch (part.type) {
      case DatePart.Date:
      case DatePart.Month:
      case DatePart.Hours:
      case DatePart.Minutes:
      case DatePart.Seconds:
        if (part.format.length === 1) {
          part.format = part.format.repeat(2);
        }
        break;
    }
  }
  static getCleanVal(inputData, datePart, promptChar) {
    return _DateTimeUtil.trimEmptyPlaceholders(inputData.substring(datePart.start, datePart.end), promptChar);
  }
  static determineDatePart(char) {
    switch (char) {
      case "d":
      case "D":
        return DatePart.Date;
      case "M":
        return DatePart.Month;
      case "y":
      case "Y":
        return DatePart.Year;
      case "h":
      case "H":
        return DatePart.Hours;
      case "m":
        return DatePart.Minutes;
      case "s":
      case "S":
        return DatePart.Seconds;
      case "t":
      case "T":
        return DatePart.AmPm;
      default:
        return DatePart.Literal;
    }
  }
  static getDefaultLocaleMask(locale) {
    const dateStruct = [];
    const formatter = new Intl.DateTimeFormat(locale);
    const formatToParts2 = formatter.formatToParts(/* @__PURE__ */ new Date());
    for (const part of formatToParts2) {
      if (part.type === _DateTimeUtil.SEPARATOR) {
        dateStruct.push({
          type: _DateTimeUtil.SEPARATOR,
          value: part.value
        });
      } else {
        dateStruct.push({
          type: part.type
        });
      }
    }
    const formatterOptions = formatter.resolvedOptions();
    for (const part of dateStruct) {
      switch (part.type) {
        case "day": {
          part.formatType = formatterOptions.day;
          break;
        }
        case "month": {
          part.formatType = formatterOptions.month;
          break;
        }
        case "year": {
          part.formatType = formatterOptions.year;
          break;
        }
      }
    }
    _DateTimeUtil.fillDatePartsPositions(dateStruct);
    return dateStruct;
  }
  static fillDatePartsPositions(dateArray) {
    let currentPos = 0;
    for (const part of dateArray) {
      if (part.type === "day" || part.type === "month") {
        part.position = [currentPos, currentPos + 2];
        currentPos += 2;
      } else if (part.type === "year") {
        switch (part.formatType) {
          case "numeric": {
            part.position = [currentPos, currentPos + 4];
            currentPos += 4;
            break;
          }
          case "2-digit": {
            part.position = [currentPos, currentPos + 2];
            currentPos += 2;
            break;
          }
        }
      } else if (part.type === _DateTimeUtil.SEPARATOR) {
        part.position = [currentPos, currentPos + 1];
        currentPos++;
      }
    }
  }
};

// lib/directives/date-time-editor/date-time-editor.directive.mjs
import { Directive as Directive32, Input as Input35, Output as Output15, EventEmitter as EventEmitter23, Inject as Inject20, LOCALE_ID, HostListener as HostListener17, booleanAttribute as booleanAttribute20 } from "@angular/core";
import { NG_VALIDATORS, NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR3 } from "@angular/forms";
import { DOCUMENT as DOCUMENT9 } from "@angular/common";
import { noop as noop4 } from "rxjs";
import * as i052 from "@angular/core";
var IgxDateTimeEditorDirective = class _IgxDateTimeEditorDirective extends IgxMaskDirective {
  /**
   * Minimum value required for the editor to remain valid.
   *
   * @remarks
   * If a `string` value is passed, it must be in the defined input format.
   *
   * @example
   * ```html
   * <input igxDateTimeEditor [minValue]="minDate">
   * ```
   */
  get minValue() {
    return this._minValue;
  }
  set minValue(value) {
    this._minValue = value;
    this._onValidatorChange();
  }
  /**
   * Maximum value required for the editor to remain valid.
   *
   * @remarks
   * If a `string` value is passed in, it must be in the defined input format.
   *
   * @example
   * ```html
   * <input igxDateTimeEditor [maxValue]="maxDate">
   * ```
   */
  get maxValue() {
    return this._maxValue;
  }
  set maxValue(value) {
    this._maxValue = value;
    this._onValidatorChange();
  }
  /**
   * Expected user input format (and placeholder).
   *
   * @example
   * ```html
   * <input [igxDateTimeEditor]="'dd/MM/yyyy'">
   * ```
   */
  set inputFormat(value) {
    if (value) {
      this.setMask(value);
      this._inputFormat = value;
    }
  }
  get inputFormat() {
    return this._inputFormat || this._defaultInputFormat;
  }
  /**
   * Editor value.
   *
   * @example
   * ```html
   * <input igxDateTimeEditor [value]="date">
   * ```
   */
  set value(value) {
    this._value = value;
    this.setDateValue(value);
    this.onChangeCallback(value);
    this.updateMask();
  }
  get value() {
    return this._value;
  }
  get datePartDeltas() {
    return Object.assign({}, this._datePartDeltas, this.spinDelta);
  }
  get emptyMask() {
    return this.maskParser.applyMask(null, this.maskOptions);
  }
  get targetDatePart() {
    if (this.document.activeElement === this.nativeElement || this.document.activeElement?.shadowRoot?.activeElement === this.nativeElement) {
      return this._inputDateParts.find((p) => p.start <= this.selectionStart && this.selectionStart <= p.end && p.type !== DatePart.Literal)?.type;
    } else {
      if (this._inputDateParts.some((p) => p.type === DatePart.Date)) {
        return DatePart.Date;
      } else if (this._inputDateParts.some((p) => p.type === DatePart.Hours)) {
        return DatePart.Hours;
      }
    }
  }
  get hasDateParts() {
    return this._inputDateParts.some((p) => p.type === DatePart.Date || p.type === DatePart.Month || p.type === DatePart.Year);
  }
  get hasTimeParts() {
    return this._inputDateParts.some((p) => p.type === DatePart.Hours || p.type === DatePart.Minutes || p.type === DatePart.Seconds);
  }
  get dateValue() {
    return this._dateValue;
  }
  constructor(renderer, elementRef, maskParser, platform, _document, _locale) {
    super(elementRef, maskParser, renderer, platform);
    this._document = _document;
    this._locale = _locale;
    this.spinLoop = true;
    this.valueChange = new EventEmitter23();
    this.validationFailed = new EventEmitter23();
    this._datePartDeltas = {
      date: 1,
      month: 1,
      year: 1,
      hours: 1,
      minutes: 1,
      seconds: 1
    };
    this.onChangeCallback = noop4;
    this._onValidatorChange = noop4;
    this.document = this._document;
    this.locale = this.locale || this._locale;
  }
  onWheel(event) {
    if (!this._focused) {
      return;
    }
    event.preventDefault();
    event.stopPropagation();
    if (event.deltaY > 0) {
      this.decrement();
    } else {
      this.increment();
    }
  }
  ngOnInit() {
    this.updateDefaultFormat();
    this.setMask(this.inputFormat);
    this.updateMask();
  }
  /** @hidden @internal */
  ngOnChanges(changes) {
    if (changes["locale"] && !changes["locale"].firstChange) {
      this.updateDefaultFormat();
      if (!this._inputFormat) {
        this.setMask(this.inputFormat);
        this.updateMask();
      }
    }
    if (changes["inputFormat"] && !changes["inputFormat"].firstChange) {
      this.updateMask();
    }
  }
  /** Clear the input element value. */
  clear() {
    this._onClear = true;
    this.updateValue(null);
    this.setSelectionRange(0, this.inputValue.length);
    this._onClear = false;
  }
  /**
   * Increment specified DatePart.
   *
   * @param datePart The optional DatePart to increment. Defaults to Date or Hours (when Date is absent from the inputFormat - ex:'HH:mm').
   * @param delta The optional delta to increment by. Overrides `spinDelta`.
   */
  increment(datePart, delta) {
    const targetPart = datePart || this.targetDatePart;
    if (!targetPart) {
      return;
    }
    const newValue = this.trySpinValue(targetPart, delta);
    this.updateValue(newValue);
  }
  /**
   * Decrement specified DatePart.
   *
   * @param datePart The optional DatePart to decrement. Defaults to Date or Hours (when Date is absent from the inputFormat - ex:'HH:mm').
   * @param delta The optional delta to decrement by. Overrides `spinDelta`.
   */
  decrement(datePart, delta) {
    const targetPart = datePart || this.targetDatePart;
    if (!targetPart) {
      return;
    }
    const newValue = this.trySpinValue(targetPart, delta, true);
    this.updateValue(newValue);
  }
  /** @hidden @internal */
  writeValue(value) {
    this._value = value;
    this.setDateValue(value);
    this.updateMask();
  }
  /** @hidden @internal */
  validate(control) {
    if (!control.value) {
      return null;
    }
    if (isDate(control.value) && !DateTimeUtil.isValidDate(control.value)) {
      return { value: true };
    }
    let errors = {};
    const value = DateTimeUtil.isValidDate(control.value) ? control.value : DateTimeUtil.parseIsoDate(control.value);
    const minValueDate = DateTimeUtil.isValidDate(this.minValue) ? this.minValue : this.parseDate(this.minValue);
    const maxValueDate = DateTimeUtil.isValidDate(this.maxValue) ? this.maxValue : this.parseDate(this.maxValue);
    if (minValueDate || maxValueDate) {
      errors = DateTimeUtil.validateMinMax(value, minValueDate, maxValueDate, this.hasTimeParts, this.hasDateParts);
    }
    return Object.keys(errors).length > 0 ? errors : null;
  }
  /** @hidden @internal */
  registerOnValidatorChange(fn) {
    this._onValidatorChange = fn;
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this.onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  setDisabledState(_isDisabled) {
  }
  /** @hidden @internal */
  onCompositionEnd() {
    super.onCompositionEnd();
    this.updateValue(this.parseDate(this.inputValue));
    this.updateMask();
  }
  /** @hidden @internal */
  onInputChanged(event) {
    super.onInputChanged(event);
    if (this._composing) {
      return;
    }
    if (this.inputIsComplete()) {
      const parsedDate = this.parseDate(this.inputValue);
      if (DateTimeUtil.isValidDate(parsedDate)) {
        this.updateValue(parsedDate);
      } else {
        const oldValue = this.value && new Date(this.dateValue.getTime());
        const args = { oldValue, newValue: parsedDate, userInput: this.inputValue };
        this.validationFailed.emit(args);
        if (DateTimeUtil.isValidDate(args.newValue)) {
          this.updateValue(args.newValue);
        } else {
          this.updateValue(null);
        }
      }
    } else {
      this.updateValue(null);
    }
  }
  /** @hidden @internal */
  onKeyDown(event) {
    if (this.nativeElement.readOnly) {
      return;
    }
    super.onKeyDown(event);
    const key = event.key;
    if (event.altKey) {
      return;
    }
    if (key === this.platform.KEYMAP.ARROW_DOWN || key === this.platform.KEYMAP.ARROW_UP) {
      this.spin(event);
      return;
    }
    if (event.ctrlKey && key === this.platform.KEYMAP.SEMICOLON) {
      this.updateValue(/* @__PURE__ */ new Date());
    }
    this.moveCursor(event);
  }
  /** @hidden @internal */
  onFocus() {
    if (this.nativeElement.readOnly) {
      return;
    }
    this._focused = true;
    this._onTouchedCallback();
    this.updateMask();
    super.onFocus();
    this.nativeElement.select();
  }
  /** @hidden @internal */
  onBlur(value) {
    this._focused = false;
    if (!this.inputIsComplete() && this.inputValue !== this.emptyMask) {
      this.updateValue(this.parseDate(this.inputValue));
    } else {
      this.updateMask();
    }
    if (this.displayValuePipe) {
      return;
    }
    super.onBlur(value);
  }
  // the date editor sets its own inputFormat as its placeholder if none is provided
  /** @hidden */
  setPlaceholder(_value) {
  }
  updateDefaultFormat() {
    this._defaultInputFormat = DateTimeUtil.getDefaultInputFormat(this.locale);
  }
  updateMask() {
    if (this._focused) {
      const cursor = this.selectionEnd;
      this.inputValue = this.getMaskedValue();
      this.setSelectionRange(cursor);
    } else {
      if (!this.dateValue || !DateTimeUtil.isValidDate(this.dateValue)) {
        this.inputValue = "";
        return;
      }
      if (this.displayValuePipe) {
        this.inputValue = this.displayValuePipe.transform(this.value);
        return;
      }
      const format = this.displayFormat || this.inputFormat;
      if (format) {
        this.inputValue = DateTimeUtil.formatDate(this.dateValue, format.replace("tt", "aa"), this.locale);
      } else {
        this.inputValue = this.dateValue.toLocaleString();
      }
    }
  }
  setMask(inputFormat) {
    const oldFormat = this._inputDateParts?.map((p) => p.format).join("");
    this._inputDateParts = DateTimeUtil.parseDateTimeFormat(inputFormat);
    inputFormat = this._inputDateParts.map((p) => p.format).join("");
    const mask = (inputFormat || DateTimeUtil.DEFAULT_INPUT_FORMAT).replace(new RegExp(/(?=[^t])[\w]/, "g"), "0");
    this.mask = mask.indexOf("tt") !== -1 ? mask.replace(new RegExp("tt", "g"), "LL") : mask;
    const placeholder = this.nativeElement.placeholder;
    if (!placeholder || oldFormat === placeholder) {
      this.renderer.setAttribute(this.nativeElement, "placeholder", inputFormat);
    }
  }
  parseDate(val) {
    if (!val) {
      return null;
    }
    return DateTimeUtil.parseValueFromMask(val, this._inputDateParts, this.promptChar);
  }
  getMaskedValue() {
    let mask = this.emptyMask;
    if (DateTimeUtil.isValidDate(this.value) || DateTimeUtil.parseIsoDate(this.value)) {
      for (const part of this._inputDateParts) {
        if (part.type === DatePart.Literal) {
          continue;
        }
        const targetValue = this.getPartValue(part, part.format.length);
        mask = this.maskParser.replaceInMask(mask, targetValue, this.maskOptions, part.start, part.end).value;
      }
      return mask;
    }
    if (!this.inputIsComplete() || !this._onClear) {
      return this.inputValue;
    }
    return mask;
  }
  valueInRange(value) {
    if (!value) {
      return false;
    }
    let errors = {};
    const minValueDate = DateTimeUtil.isValidDate(this.minValue) ? this.minValue : this.parseDate(this.minValue);
    const maxValueDate = DateTimeUtil.isValidDate(this.maxValue) ? this.maxValue : this.parseDate(this.maxValue);
    if (minValueDate || maxValueDate) {
      errors = DateTimeUtil.validateMinMax(value, this.minValue, this.maxValue, this.hasTimeParts, this.hasDateParts);
    }
    return Object.keys(errors).length === 0;
  }
  spinValue(datePart, delta) {
    if (!this.dateValue || !DateTimeUtil.isValidDate(this.dateValue)) {
      return null;
    }
    const newDate = new Date(this.dateValue.getTime());
    switch (datePart) {
      case DatePart.Date:
        DateTimeUtil.spinDate(delta, newDate, this.spinLoop);
        break;
      case DatePart.Month:
        DateTimeUtil.spinMonth(delta, newDate, this.spinLoop);
        break;
      case DatePart.Year:
        DateTimeUtil.spinYear(delta, newDate);
        break;
      case DatePart.Hours:
        DateTimeUtil.spinHours(delta, newDate, this.spinLoop);
        break;
      case DatePart.Minutes:
        DateTimeUtil.spinMinutes(delta, newDate, this.spinLoop);
        break;
      case DatePart.Seconds:
        DateTimeUtil.spinSeconds(delta, newDate, this.spinLoop);
        break;
      case DatePart.AmPm:
        const formatPart = this._inputDateParts.find((dp) => dp.type === DatePart.AmPm);
        const amPmFromMask = this.inputValue.substring(formatPart.start, formatPart.end);
        return DateTimeUtil.spinAmPm(newDate, this.dateValue, amPmFromMask);
    }
    return newDate;
  }
  trySpinValue(datePart, delta, negative = false) {
    if (!delta) {
      delta = this.datePartDeltas[datePart] || 1;
    }
    const spinValue = negative ? -Math.abs(delta) : Math.abs(delta);
    return this.spinValue(datePart, spinValue) || /* @__PURE__ */ new Date();
  }
  setDateValue(value) {
    this._dateValue = DateTimeUtil.isValidDate(value) ? value : DateTimeUtil.parseIsoDate(value);
  }
  updateValue(newDate) {
    this._oldValue = this.dateValue;
    this.value = newDate;
    if (this.inputIsComplete() || this.inputValue === this.emptyMask) {
      this.valueChange.emit(this.dateValue);
    }
    if (this.dateValue && !this.valueInRange(this.dateValue)) {
      this.validationFailed.emit({ oldValue: this._oldValue, newValue: this.dateValue, userInput: this.inputValue });
    }
  }
  toTwelveHourFormat(value) {
    let hour = parseInt(value.replace(new RegExp(this.promptChar, "g"), "0"), 10);
    if (hour > 12) {
      hour -= 12;
    } else if (hour === 0) {
      hour = 12;
    }
    return hour;
  }
  getPartValue(datePartInfo, partLength) {
    let maskedValue;
    const datePart = datePartInfo.type;
    switch (datePart) {
      case DatePart.Date:
        maskedValue = this.dateValue.getDate();
        break;
      case DatePart.Month:
        maskedValue = this.dateValue.getMonth() + 1;
        break;
      case DatePart.Year:
        if (partLength === 2) {
          maskedValue = this.prependValue(parseInt(this.dateValue.getFullYear().toString().slice(-2), 10), partLength, "0");
        } else {
          maskedValue = this.dateValue.getFullYear();
        }
        break;
      case DatePart.Hours:
        if (datePartInfo.format.indexOf("h") !== -1) {
          maskedValue = this.prependValue(this.toTwelveHourFormat(this.dateValue.getHours().toString()), partLength, "0");
        } else {
          maskedValue = this.dateValue.getHours();
        }
        break;
      case DatePart.Minutes:
        maskedValue = this.dateValue.getMinutes();
        break;
      case DatePart.Seconds:
        maskedValue = this.dateValue.getSeconds();
        break;
      case DatePart.AmPm:
        maskedValue = this.dateValue.getHours() >= 12 ? "PM" : "AM";
        break;
    }
    if (datePartInfo.type !== DatePart.AmPm) {
      return this.prependValue(maskedValue, partLength, "0");
    }
    return maskedValue;
  }
  prependValue(value, partLength, prependChar) {
    return (prependChar + value.toString()).slice(-partLength);
  }
  spin(event) {
    event.preventDefault();
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_UP:
        this.increment();
        break;
      case this.platform.KEYMAP.ARROW_DOWN:
        this.decrement();
        break;
    }
  }
  inputIsComplete() {
    return this.inputValue.indexOf(this.promptChar) === -1;
  }
  moveCursor(event) {
    const value = event.target.value;
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_LEFT:
        if (event.ctrlKey) {
          event.preventDefault();
          this.setSelectionRange(this.getNewPosition(value));
        }
        break;
      case this.platform.KEYMAP.ARROW_RIGHT:
        if (event.ctrlKey) {
          event.preventDefault();
          this.setSelectionRange(this.getNewPosition(value, 1));
        }
        break;
    }
  }
  /**
   * Move the cursor in a specific direction until it reaches a date/time separator.
   * Then return its index.
   *
   * @param value The string it operates on.
   * @param direction 0 is left, 1 is right. Default is 0.
   */
  getNewPosition(value, direction = 0) {
    const literals = this._inputDateParts.filter((p) => p.type === DatePart.Literal);
    let cursorPos = this.selectionStart;
    if (!direction) {
      do {
        cursorPos = cursorPos > 0 ? --cursorPos : cursorPos;
      } while (!literals.some((l) => l.end === cursorPos) && cursorPos > 0);
      return cursorPos;
    } else {
      do {
        cursorPos++;
      } while (!literals.some((l) => l.start === cursorPos) && cursorPos < value.length);
      return cursorPos;
    }
  }
  static {
    this.ɵfac = i052.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i052, type: _IgxDateTimeEditorDirective, deps: [{ token: i052.Renderer2 }, { token: i052.ElementRef }, { token: MaskParsingService }, { token: PlatformUtil }, { token: DOCUMENT9 }, { token: LOCALE_ID }], target: i052.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i052.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDateTimeEditorDirective, isStandalone: true, selector: "[igxDateTimeEditor]", inputs: { locale: "locale", minValue: "minValue", maxValue: "maxValue", spinLoop: ["spinLoop", "spinLoop", booleanAttribute20], displayFormat: "displayFormat", inputFormat: ["igxDateTimeEditor", "inputFormat"], value: "value", spinDelta: "spinDelta" }, outputs: { valueChange: "valueChange", validationFailed: "validationFailed" }, host: { listeners: { "wheel": "onWheel($event)" } }, providers: [
      { provide: NG_VALUE_ACCESSOR3, useExisting: _IgxDateTimeEditorDirective, multi: true },
      { provide: NG_VALIDATORS, useExisting: _IgxDateTimeEditorDirective, multi: true }
    ], exportAs: ["igxDateTimeEditor"], usesInheritance: true, usesOnChanges: true, ngImport: i052 });
  }
};
i052.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i052, type: IgxDateTimeEditorDirective, decorators: [{
  type: Directive32,
  args: [{
    selector: "[igxDateTimeEditor]",
    exportAs: "igxDateTimeEditor",
    providers: [
      { provide: NG_VALUE_ACCESSOR3, useExisting: IgxDateTimeEditorDirective, multi: true },
      { provide: NG_VALIDATORS, useExisting: IgxDateTimeEditorDirective, multi: true }
    ],
    standalone: true
  }]
}], ctorParameters: () => [{ type: i052.Renderer2 }, { type: i052.ElementRef }, { type: MaskParsingService }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject20,
  args: [DOCUMENT9]
}] }, { type: void 0, decorators: [{
  type: Inject20,
  args: [LOCALE_ID]
}] }], propDecorators: { locale: [{
  type: Input35
}], minValue: [{
  type: Input35
}], maxValue: [{
  type: Input35
}], spinLoop: [{
  type: Input35,
  args: [{ transform: booleanAttribute20 }]
}], displayFormat: [{
  type: Input35
}], inputFormat: [{
  type: Input35,
  args: [`igxDateTimeEditor`]
}], value: [{
  type: Input35
}], spinDelta: [{
  type: Input35
}], valueChange: [{
  type: Output15
}], validationFailed: [{
  type: Output15
}], onWheel: [{
  type: HostListener17,
  args: ["wheel", ["$event"]]
}] } });

// lib/directives/form-control/form-control.directive.mjs
import { Directive as Directive33, forwardRef, HostListener as HostListener18 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR4 } from "@angular/forms";
import * as i053 from "@angular/core";
var IgcFormControlDirective = class _IgcFormControlDirective {
  constructor(elementRef, renderer) {
    this.elementRef = elementRef;
    this.renderer = renderer;
    this.onChange = () => {
    };
    this.onTouched = () => {
    };
  }
  /** @hidden @internal */
  onBlur() {
    this.onTouched();
  }
  /** @hidden @internal */
  listenForValueChange(value) {
    this.onChange(value);
  }
  /** @hidden @internal */
  writeValue(value) {
    if (value) {
      this.elementRef.nativeElement.value = value;
    }
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this.onChange = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this.onTouched = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.renderer.setProperty(this.elementRef.nativeElement, "disabled", isDisabled);
  }
  static {
    this.ɵfac = i053.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i053, type: _IgcFormControlDirective, deps: [{ token: i053.ElementRef }, { token: i053.Renderer2 }], target: i053.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i053.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgcFormControlDirective, isStandalone: true, selector: "igc-rating[ngModel],igc-rating[formControlName]", host: { listeners: { "blur": "onBlur()", "igcChange": "listenForValueChange($event.detail)" } }, providers: [
      {
        provide: NG_VALUE_ACCESSOR4,
        useExisting: forwardRef(() => _IgcFormControlDirective),
        multi: true
      }
    ], ngImport: i053 });
  }
};
i053.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i053, type: IgcFormControlDirective, decorators: [{
  type: Directive33,
  args: [{
    selector: "igc-rating[ngModel],igc-rating[formControlName]",
    providers: [
      {
        provide: NG_VALUE_ACCESSOR4,
        useExisting: forwardRef(() => IgcFormControlDirective),
        multi: true
      }
    ],
    standalone: true
  }]
}], ctorParameters: () => [{ type: i053.ElementRef }, { type: i053.Renderer2 }], propDecorators: { onBlur: [{
  type: HostListener18,
  args: ["blur"]
}], listenForValueChange: [{
  type: HostListener18,
  args: ["igcChange", ["$event.detail"]]
}] } });

// lib/data-operations/filtering-condition.mjs
var IgxFilteringOperand = class {
  static {
    this._instance = null;
  }
  constructor() {
    this.operations = [{
      name: "null",
      isUnary: true,
      iconName: "is-null",
      logic: (target) => target === null
    }, {
      name: "notNull",
      isUnary: true,
      iconName: "is-not-null",
      logic: (target) => target !== null
    }, {
      name: "in",
      isUnary: false,
      iconName: "is-in",
      hidden: true,
      logic: (target, searchVal) => this.findValueInSet(target, searchVal)
    }];
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  /**
   * Returns an array of names of the conditions which are visible in the UI
   */
  conditionList() {
    return this.operations.filter((f) => !f.hidden).map((element) => element.name);
  }
  /**
   * Returns an instance of the condition with the specified name.
   *
   * @param name The name of the condition.
   */
  condition(name) {
    return this.operations.find((element) => element.name === name);
  }
  /**
   * Adds a new condition to the filtering operations.
   *
   * @param operation The filtering operation.
   */
  append(operation) {
    this.operations.push(operation);
  }
  /**
   * @hidden
   */
  findValueInSet(target, searchVal) {
    return searchVal.has(target);
  }
};
var IgxBooleanFilteringOperand = class extends IgxFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "all",
      isUnary: true,
      iconName: "select-all",
      logic: (_target) => true
    }, {
      name: "true",
      isUnary: true,
      iconName: "is-true",
      logic: (target) => !!(target && target !== null && target !== void 0)
    }, {
      name: "false",
      isUnary: true,
      iconName: "is-false",
      logic: (target) => !target && target !== null && target !== void 0
    }, {
      name: "empty",
      isUnary: true,
      iconName: "is-empty",
      logic: (target) => target === null || target === void 0
    }, {
      name: "notEmpty",
      isUnary: true,
      iconName: "not-empty",
      logic: (target) => target !== null && target !== void 0
    }].concat(this.operations);
  }
};
var IgxBaseDateTimeFilteringOperand = class extends IgxFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "empty",
      isUnary: true,
      iconName: "is-empty",
      logic: (target) => target === null || target === void 0
    }, {
      name: "notEmpty",
      isUnary: true,
      iconName: "not-empty",
      logic: (target) => target !== null && target !== void 0
    }].concat(this.operations);
  }
  /**
   * Splits a Date object into parts
   *
   * @memberof IgxDateFilteringOperand
   */
  static getDateParts(date, dateFormat) {
    const res = {
      day: null,
      hours: null,
      milliseconds: null,
      minutes: null,
      month: null,
      seconds: null,
      year: null
    };
    if (!date || !dateFormat) {
      return res;
    }
    if (dateFormat.indexOf("y") >= 0) {
      res.year = date.getFullYear();
    }
    if (dateFormat.indexOf("M") >= 0) {
      res.month = date.getMonth();
    }
    if (dateFormat.indexOf("d") >= 0) {
      res.day = date.getDate();
    }
    if (dateFormat.indexOf("h") >= 0) {
      res.hours = date.getHours();
    }
    if (dateFormat.indexOf("m") >= 0) {
      res.minutes = date.getMinutes();
    }
    if (dateFormat.indexOf("s") >= 0) {
      res.seconds = date.getSeconds();
    }
    if (dateFormat.indexOf("f") >= 0) {
      res.milliseconds = date.getMilliseconds();
    }
    return res;
  }
  findValueInSet(target, searchVal) {
    if (!target) {
      return false;
    }
    return searchVal.has(target instanceof Date ? target.toISOString() : target);
  }
  validateInputData(target) {
    if (!(target instanceof Date)) {
      throw new Error("Could not perform filtering on 'date' column because the datasource object type is not 'Date'.");
    }
  }
};
var IgxDateFilteringOperand = class _IgxDateFilteringOperand extends IgxBaseDateTimeFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "equals",
      isUnary: false,
      iconName: "equals",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetp = _IgxDateFilteringOperand.getDateParts(target, "yMd");
        const searchp = _IgxDateFilteringOperand.getDateParts(searchVal, "yMd");
        return targetp.year === searchp.year && targetp.month === searchp.month && targetp.day === searchp.day;
      }
    }, {
      name: "doesNotEqual",
      isUnary: false,
      iconName: "not-equal",
      logic: (target, searchVal) => {
        if (!target) {
          return true;
        }
        this.validateInputData(target);
        const targetp = _IgxDateFilteringOperand.getDateParts(target, "yMd");
        const searchp = _IgxDateFilteringOperand.getDateParts(searchVal, "yMd");
        return targetp.year !== searchp.year || targetp.month !== searchp.month || targetp.day !== searchp.day;
      }
    }, {
      name: "before",
      isUnary: false,
      iconName: "is-before",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        return target < searchVal;
      }
    }, {
      name: "after",
      isUnary: false,
      iconName: "is-after",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        return target > searchVal;
      }
    }, {
      name: "today",
      isUnary: true,
      iconName: "today",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "yMd");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yMd");
        return d.year === now.year && d.month === now.month && d.day === now.day;
      }
    }, {
      name: "yesterday",
      isUnary: true,
      iconName: "yesterday",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const td = _IgxDateFilteringOperand.getDateParts(target, "yMd");
        const y = ((d) => new Date(d.setDate(d.getDate() - 1)))(/* @__PURE__ */ new Date());
        const yesterday = _IgxDateFilteringOperand.getDateParts(y, "yMd");
        return td.year === yesterday.year && td.month === yesterday.month && td.day === yesterday.day;
      }
    }, {
      name: "thisMonth",
      isUnary: true,
      iconName: "this-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "lastMonth",
      isUnary: true,
      iconName: "last-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        if (!now.month) {
          now.month = 11;
          now.year -= 1;
        } else {
          now.month--;
        }
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "nextMonth",
      isUnary: true,
      iconName: "next-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        if (now.month === 11) {
          now.month = 0;
          now.year += 1;
        } else {
          now.month++;
        }
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "thisYear",
      isUnary: true,
      iconName: "this-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year;
      }
    }, {
      name: "lastYear",
      isUnary: true,
      iconName: "last-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year - 1;
      }
    }, {
      name: "nextYear",
      isUnary: true,
      iconName: "next-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year + 1;
      }
    }].concat(this.operations);
  }
};
var IgxDateTimeFilteringOperand = class _IgxDateTimeFilteringOperand extends IgxBaseDateTimeFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "equals",
      isUnary: false,
      iconName: "equals",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetp = _IgxDateTimeFilteringOperand.getDateParts(target, "yMdhms");
        const searchp = _IgxDateTimeFilteringOperand.getDateParts(searchVal, "yMdhms");
        return targetp.year === searchp.year && targetp.month === searchp.month && targetp.day === searchp.day && targetp.hours === searchp.hours && targetp.minutes === searchp.minutes && targetp.seconds === searchp.seconds;
      }
    }, {
      name: "doesNotEqual",
      isUnary: false,
      iconName: "not-equal",
      logic: (target, searchVal) => {
        if (!target) {
          return true;
        }
        this.validateInputData(target);
        const targetp = _IgxDateTimeFilteringOperand.getDateParts(target, "yMdhms");
        const searchp = _IgxDateTimeFilteringOperand.getDateParts(searchVal, "yMdhms");
        return targetp.year !== searchp.year || targetp.month !== searchp.month || targetp.day !== searchp.day || targetp.hours !== searchp.hours || targetp.minutes !== searchp.minutes || targetp.seconds !== searchp.seconds;
      }
    }, {
      name: "before",
      isUnary: false,
      iconName: "is-before",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        return target < searchVal;
      }
    }, {
      name: "after",
      isUnary: false,
      iconName: "is-after",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        return target > searchVal;
      }
    }, {
      name: "today",
      isUnary: true,
      iconName: "today",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "yMd");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yMd");
        return d.year === now.year && d.month === now.month && d.day === now.day;
      }
    }, {
      name: "yesterday",
      isUnary: true,
      iconName: "yesterday",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const td = _IgxDateTimeFilteringOperand.getDateParts(target, "yMd");
        const y = ((d) => new Date(d.setDate(d.getDate() - 1)))(/* @__PURE__ */ new Date());
        const yesterday = _IgxDateTimeFilteringOperand.getDateParts(y, "yMd");
        return td.year === yesterday.year && td.month === yesterday.month && td.day === yesterday.day;
      }
    }, {
      name: "thisMonth",
      isUnary: true,
      iconName: "this-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "lastMonth",
      isUnary: true,
      iconName: "last-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        if (!now.month) {
          now.month = 11;
          now.year -= 1;
        } else {
          now.month--;
        }
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "nextMonth",
      isUnary: true,
      iconName: "next-month",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "yM");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "yM");
        if (now.month === 11) {
          now.month = 0;
          now.year += 1;
        } else {
          now.month++;
        }
        return d.year === now.year && d.month === now.month;
      }
    }, {
      name: "thisYear",
      isUnary: true,
      iconName: "this-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year;
      }
    }, {
      name: "lastYear",
      isUnary: true,
      iconName: "last-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year - 1;
      }
    }, {
      name: "nextYear",
      isUnary: true,
      iconName: "next-year",
      logic: (target) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const d = _IgxDateTimeFilteringOperand.getDateParts(target, "y");
        const now = _IgxDateTimeFilteringOperand.getDateParts(/* @__PURE__ */ new Date(), "y");
        return d.year === now.year + 1;
      }
    }].concat(this.operations);
  }
};
var IgxTimeFilteringOperand = class _IgxTimeFilteringOperand extends IgxBaseDateTimeFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "at",
      isUnary: false,
      iconName: "equals",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetp = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const searchp = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetp.hours === searchp.hours && targetp.minutes === searchp.minutes && targetp.seconds === searchp.seconds;
      }
    }, {
      name: "not_at",
      isUnary: false,
      iconName: "not-equal",
      logic: (target, searchVal) => {
        if (!target) {
          return true;
        }
        this.validateInputData(target);
        const targetp = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const searchp = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetp.hours !== searchp.hours || targetp.minutes !== searchp.minutes || targetp.seconds !== searchp.seconds;
      }
    }, {
      name: "before",
      isUnary: false,
      iconName: "is-before",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetn = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const search = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetn.hours < search.hours ? true : targetn.hours === search.hours && targetn.minutes < search.minutes ? true : targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds < search.seconds;
      }
    }, {
      name: "after",
      isUnary: false,
      iconName: "is-after",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetn = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const search = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetn.hours > search.hours ? true : targetn.hours === search.hours && targetn.minutes > search.minutes ? true : targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds > search.seconds;
      }
    }, {
      name: "at_before",
      isUnary: false,
      iconName: "is-before",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetn = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const search = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds === search.seconds || targetn.hours < search.hours ? true : targetn.hours === search.hours && targetn.minutes < search.minutes ? true : targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds < search.seconds;
      }
    }, {
      name: "at_after",
      isUnary: false,
      iconName: "is-after",
      logic: (target, searchVal) => {
        if (!target) {
          return false;
        }
        this.validateInputData(target);
        const targetn = _IgxTimeFilteringOperand.getDateParts(target, "hms");
        const search = _IgxTimeFilteringOperand.getDateParts(searchVal, "hms");
        return targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds === search.seconds || targetn.hours > search.hours ? true : targetn.hours === search.hours && targetn.minutes > search.minutes ? true : targetn.hours === search.hours && targetn.minutes === search.minutes && targetn.seconds > search.seconds;
      }
    }].concat(this.operations);
  }
  findValueInSet(target, searchVal) {
    if (!target) {
      return false;
    }
    return searchVal.has(target.toLocaleTimeString());
  }
};
var IgxNumberFilteringOperand = class extends IgxFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "equals",
      isUnary: false,
      iconName: "equals",
      logic: (target, searchVal) => target === searchVal
    }, {
      name: "doesNotEqual",
      isUnary: false,
      iconName: "not-equal",
      logic: (target, searchVal) => target !== searchVal
    }, {
      name: "greaterThan",
      isUnary: false,
      iconName: "greater-than",
      logic: (target, searchVal) => target > searchVal
    }, {
      name: "lessThan",
      isUnary: false,
      iconName: "less-than",
      logic: (target, searchVal) => target < searchVal
    }, {
      name: "greaterThanOrEqualTo",
      isUnary: false,
      iconName: "greater-than-or-equal",
      logic: (target, searchVal) => target >= searchVal
    }, {
      name: "lessThanOrEqualTo",
      isUnary: false,
      iconName: "less-than-or-equal",
      logic: (target, searchVal) => target <= searchVal
    }, {
      name: "empty",
      isUnary: true,
      iconName: "is-empty",
      logic: (target) => target === null || target === void 0 || isNaN(target)
    }, {
      name: "notEmpty",
      isUnary: true,
      iconName: "not-empty",
      logic: (target) => target !== null && target !== void 0 && !isNaN(target)
    }].concat(this.operations);
  }
};
var IgxStringFilteringOperand = class _IgxStringFilteringOperand extends IgxFilteringOperand {
  constructor() {
    super();
    this.operations = [{
      name: "contains",
      isUnary: false,
      iconName: "contains",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target.indexOf(search) !== -1;
      }
    }, {
      name: "doesNotContain",
      isUnary: false,
      iconName: "does-not-contain",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target.indexOf(search) === -1;
      }
    }, {
      name: "startsWith",
      isUnary: false,
      iconName: "starts-with",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target.startsWith(search);
      }
    }, {
      name: "endsWith",
      isUnary: false,
      iconName: "ends-with",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target.endsWith(search);
      }
    }, {
      name: "equals",
      isUnary: false,
      iconName: "equals",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target === search;
      }
    }, {
      name: "doesNotEqual",
      isUnary: false,
      iconName: "not-equal",
      logic: (target, searchVal, ignoreCase) => {
        const search = _IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
        target = _IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
        return target !== search;
      }
    }, {
      name: "empty",
      isUnary: true,
      iconName: "is-empty",
      logic: (target) => target === null || target === void 0 || target.length === 0
    }, {
      name: "notEmpty",
      isUnary: true,
      iconName: "not-empty",
      logic: (target) => target !== null && target !== void 0 && target.length > 0
    }].concat(this.operations);
  }
  /**
   * Applies case sensitivity on strings if provided
   *
   * @memberof IgxStringFilteringOperand
   */
  static applyIgnoreCase(a, ignoreCase) {
    a = a ?? "";
    return ignoreCase ? ("" + a).toLowerCase() : a;
  }
};

// lib/data-operations/groupby-record.interface.mjs
var GroupedRecords = class extends Array {
};

// lib/expansion-panel/expansion-panel.common.mjs
import { Directive as Directive34, InjectionToken as InjectionToken6 } from "@angular/core";
import * as i054 from "@angular/core";
var IGX_EXPANSION_PANEL_COMPONENT = /* @__PURE__ */ new InjectionToken6("IgxExpansionPanelToken");
var HeaderContentBaseDirective = class _HeaderContentBaseDirective {
  constructor(element) {
    this.element = element;
    this.getTooltipContent = (element2) => {
      if (element2.nativeElement.title) {
        return element2.nativeElement.title;
      }
      if (element2.nativeElement.textContent) {
        return element2.nativeElement.textContent.trim();
      }
      return null;
    };
  }
  static {
    this.ɵfac = i054.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i054, type: _HeaderContentBaseDirective, deps: [{ token: i054.ElementRef }], target: i054.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i054.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _HeaderContentBaseDirective, ngImport: i054 });
  }
};
i054.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i054, type: HeaderContentBaseDirective, decorators: [{
  type: Directive34
}], ctorParameters: () => [{ type: i054.ElementRef }] });

// lib/expansion-panel/expansion-panel-body.component.mjs
import { Component as Component9, HostBinding as HostBinding22, Input as Input36, Inject as Inject21 } from "@angular/core";
import * as i055 from "@angular/core";
var IgxExpansionPanelBodyComponent = class _IgxExpansionPanelBodyComponent {
  constructor(panel, element, cdr) {
    this.panel = panel;
    this.element = element;
    this.cdr = cdr;
    this.cssClass = `igx-expansion-panel__body`;
    this.role = "region";
    this._labelledBy = "";
    this._label = "";
  }
  /**
   * Gets the `aria-label` attribute of the panel body
   * Defaults to the panel id with '-region' in the end;
   * Get
   * ```typescript
   *  const currentLabel = this.panel.body.label;
   * ```
   */
  get label() {
    return this._label || this.panel.id + "-region";
  }
  /**
   * Sets the `aria-label` attribute of the panel body
   * ```typescript
   *  this.panel.body.label = 'my-custom-label';
   * ```
   * ```html
   *  <igx-expansion-panel-body [label]="'my-custom-label'"></igx-expansion-panel-body>
   * ```
   */
  set label(val) {
    this._label = val;
  }
  /**
   * Gets the `aria-labelledby` attribute of the panel body
   * Defaults to the panel header id;
   * Get
   * ```typescript
   *  const currentLabel = this.panel.body.labelledBy;
   * ```
   */
  get labelledBy() {
    return this._labelledBy;
  }
  /**
   * Sets the `aria-labelledby` attribute of the panel body
   * ```typescript
   *  this.panel.body.labelledBy = 'my-custom-id';
   * ```
   * ```html
   *  <igx-expansion-panel-body [labelledBy]="'my-custom-id'"></igx-expansion-panel-body>
   * ```
   */
  set labelledBy(val) {
    this._labelledBy = val;
  }
  static {
    this.ɵfac = i055.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i055, type: _IgxExpansionPanelBodyComponent, deps: [{ token: IGX_EXPANSION_PANEL_COMPONENT }, { token: i055.ElementRef }, { token: i055.ChangeDetectorRef }], target: i055.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i055.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelBodyComponent, isStandalone: true, selector: "igx-expansion-panel-body", inputs: { role: "role", label: "label", labelledBy: "labelledBy" }, host: { properties: { "class.igx-expansion-panel__body": "this.cssClass", "attr.role": "this.role", "attr.aria-label": "this.label", "attr.aria-labelledby": "this.labelledBy" } }, ngImport: i055, template: `<ng-content></ng-content>`, isInline: true });
  }
};
i055.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i055, type: IgxExpansionPanelBodyComponent, decorators: [{
  type: Component9,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-expansion-panel-body",
    template: `<ng-content></ng-content>`,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject21,
  args: [IGX_EXPANSION_PANEL_COMPONENT]
}] }, { type: i055.ElementRef }, { type: i055.ChangeDetectorRef }], propDecorators: { cssClass: [{
  type: HostBinding22,
  args: ["class.igx-expansion-panel__body"]
}], role: [{
  type: Input36
}, {
  type: HostBinding22,
  args: ["attr.role"]
}], label: [{
  type: Input36
}, {
  type: HostBinding22,
  args: ["attr.aria-label"]
}], labelledBy: [{
  type: Input36
}, {
  type: HostBinding22,
  args: ["attr.aria-labelledby"]
}] } });

// lib/expansion-panel/expansion-panel.directives.mjs
import { Directive as Directive35, HostBinding as HostBinding23 } from "@angular/core";
import * as i056 from "@angular/core";
var IgxExpansionPanelTitleDirective = class _IgxExpansionPanelTitleDirective extends HeaderContentBaseDirective {
  constructor() {
    super(...arguments);
    this.cssClass = `igx-expansion-panel__header-title`;
  }
  get title() {
    return this.getTooltipContent(this.element);
  }
  static {
    this.ɵfac = i056.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: _IgxExpansionPanelTitleDirective, deps: null, target: i056.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i056.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelTitleDirective, isStandalone: true, selector: "igx-expansion-panel-title", host: { properties: { "class.igx-expansion-panel__header-title": "this.cssClass", "attr.title": "this.title" } }, usesInheritance: true, ngImport: i056 });
  }
};
i056.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: IgxExpansionPanelTitleDirective, decorators: [{
  type: Directive35,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-expansion-panel-title",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding23,
  args: ["class.igx-expansion-panel__header-title"]
}], title: [{
  type: HostBinding23,
  args: ["attr.title"]
}] } });
var IgxExpansionPanelDescriptionDirective = class _IgxExpansionPanelDescriptionDirective extends HeaderContentBaseDirective {
  constructor() {
    super(...arguments);
    this.cssClass = `igx-expansion-panel__header-description`;
  }
  get title() {
    return this.getTooltipContent(this.element);
  }
  static {
    this.ɵfac = i056.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: _IgxExpansionPanelDescriptionDirective, deps: null, target: i056.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i056.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelDescriptionDirective, isStandalone: true, selector: "igx-expansion-panel-description", host: { properties: { "class.igx-expansion-panel__header-description": "this.cssClass", "attr.title": "this.title" } }, usesInheritance: true, ngImport: i056 });
  }
};
i056.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: IgxExpansionPanelDescriptionDirective, decorators: [{
  type: Directive35,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-expansion-panel-description",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding23,
  args: ["class.igx-expansion-panel__header-description"]
}], title: [{
  type: HostBinding23,
  args: ["attr.title"]
}] } });
var IgxExpansionPanelIconDirective = class _IgxExpansionPanelIconDirective {
  static {
    this.ɵfac = i056.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: _IgxExpansionPanelIconDirective, deps: [], target: i056.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i056.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelIconDirective, isStandalone: true, selector: "igx-expansion-panel-icon", ngImport: i056 });
  }
};
i056.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i056, type: IgxExpansionPanelIconDirective, decorators: [{
  type: Directive35,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-expansion-panel-icon",
    standalone: true
  }]
}] });

// lib/expansion-panel/expansion-panel-header.component.mjs
import { Component as Component10, ElementRef as ElementRef28, HostBinding as HostBinding24, HostListener as HostListener19, Input as Input37, Host, EventEmitter as EventEmitter24, Output as Output16, ContentChild as ContentChild2, Inject as Inject22, ViewChild as ViewChild7, booleanAttribute as booleanAttribute21 } from "@angular/core";
import { NgIf as NgIf2 } from "@angular/common";
import * as i057 from "@angular/core";
var ExpansionPanelHeaderIconPosition = /* @__PURE__ */ mkenum({
  LEFT: "left",
  NONE: "none",
  RIGHT: "right"
});
var IgxExpansionPanelHeaderComponent = class _IgxExpansionPanelHeaderComponent {
  /**
   * Returns a reference to the `igx-expansion-panel-icon` element;
   * If `iconPosition` is `NONE` - return null;
   */
  get iconRef() {
    const renderedTemplate = this.customIconRef ?? this.defaultIconRef;
    return this.iconPosition !== ExpansionPanelHeaderIconPosition.NONE ? renderedTemplate : null;
  }
  /**
   * @hidden
   */
  set iconTemplate(val) {
    this._iconTemplate = val;
  }
  /**
   * @hidden
   */
  get iconTemplate() {
    return this._iconTemplate;
  }
  /**
   * @hidden
   */
  get controls() {
    return this.panel.id;
  }
  /**
   * @hidden @internal
   */
  get innerElement() {
    return this.elementRef.nativeElement.children[0];
  }
  /**
   * @hidden
   */
  get isExpanded() {
    return !this.panel.collapsed;
  }
  /**
   * Gets/sets the whether the header is disabled
   * When disabled, the header will not handle user events and will stop their propagation
   *
   * ```typescript
   *  const isDisabled = this.panel.header.disabled;
   * ```
   * Set
   * ```typescript
   *  this.panel.header.disabled = true;
   * ```
   * ```html
   *  <igx-expansion-panel-header [disabled]="true">
   *     ...
   *  </igx-expansion-panel-header>
   * ```
   */
  get disabled() {
    return this._disabled;
  }
  set disabled(val) {
    this._disabled = val;
    if (val) {
      delete this.tabIndex;
    } else {
      this.tabIndex = 0;
    }
  }
  constructor(panel, cdr, elementRef) {
    this.panel = panel;
    this.cdr = cdr;
    this.elementRef = elementRef;
    this.lv = "3";
    this.role = "heading";
    this.iconPosition = ExpansionPanelHeaderIconPosition.LEFT;
    this.interaction = new EventEmitter24();
    this.cssClass = "igx-expansion-panel__header";
    this.id = "";
    this.tabIndex = 0;
    this._iconTemplate = false;
    this._disabled = false;
    this.id = `${this.panel.id}-header`;
  }
  /**
   * @hidden
   */
  onAction(evt) {
    if (this.disabled) {
      evt.stopPropagation();
      return;
    }
    const eventArgs = { event: evt, owner: this.panel, cancel: false };
    this.interaction.emit(eventArgs);
    if (eventArgs.cancel === true) {
      return;
    }
    this.panel.toggle(evt);
    evt.preventDefault();
  }
  /** @hidden @internal */
  openPanel(event) {
    if (event.altKey) {
      const eventArgs = { event, owner: this.panel, cancel: false };
      this.interaction.emit(eventArgs);
      if (eventArgs.cancel === true) {
        return;
      }
      this.panel.expand(event);
    }
  }
  /** @hidden @internal */
  closePanel(event) {
    if (event.altKey) {
      const eventArgs = { event, owner: this.panel, cancel: false };
      this.interaction.emit(eventArgs);
      if (eventArgs.cancel === true) {
        return;
      }
      this.panel.collapse(event);
    }
  }
  /**
   * @hidden
   */
  get iconPositionClass() {
    switch (this.iconPosition) {
      case ExpansionPanelHeaderIconPosition.LEFT:
        return `igx-expansion-panel__header-icon--start`;
      case ExpansionPanelHeaderIconPosition.RIGHT:
        return `igx-expansion-panel__header-icon--end`;
      case ExpansionPanelHeaderIconPosition.NONE:
        return `igx-expansion-panel__header-icon--none`;
      default:
        return "";
    }
  }
  static {
    this.ɵfac = i057.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i057, type: _IgxExpansionPanelHeaderComponent, deps: [{ token: IGX_EXPANSION_PANEL_COMPONENT, host: true }, { token: i057.ChangeDetectorRef }, { token: i057.ElementRef }], target: i057.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i057.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelHeaderComponent, isStandalone: true, selector: "igx-expansion-panel-header", inputs: { lv: "lv", role: "role", iconPosition: "iconPosition", disabled: ["disabled", "disabled", booleanAttribute21] }, outputs: { interaction: "interaction" }, host: { listeners: { "keydown.Enter": "onAction($event)", "keydown.Space": "onAction($event)", "keydown.Spacebar": "onAction($event)", "click": "onAction($event)", "keydown.Alt.ArrowDown": "openPanel($event)", "keydown.Alt.ArrowUp": "closePanel($event)" }, properties: { "attr.aria-level": "this.lv", "attr.role": "this.role", "class.igx-expansion-panel__header": "this.cssClass", "class.igx-expansion-panel__header--expanded": "this.isExpanded", "class.igx-expansion-panel--disabled": "this.disabled" } }, queries: [{ propertyName: "iconTemplate", first: true, predicate: IgxExpansionPanelIconDirective, descendants: true }, { propertyName: "customIconRef", first: true, predicate: IgxExpansionPanelIconDirective, descendants: true, read: ElementRef28 }], viewQueries: [{ propertyName: "defaultIconRef", first: true, predicate: IgxIconComponent, descendants: true, read: ElementRef28 }], ngImport: i057, template: `<div class="igx-expansion-panel__header-inner" [attr.tabindex]="tabIndex" role="button" [attr.id]="id"
[attr.aria-disabled]="disabled" [attr.aria-expanded]="isExpanded" [attr.aria-controls]="controls">
    <div class="igx-expansion-panel__title-wrapper">
        <ng-content select="igx-expansion-panel-title"></ng-content>
        <ng-content select="igx-expansion-panel-description"></ng-content>
    </div>
    <ng-content></ng-content>
    <div [class]="iconPositionClass">
        <ng-content *ngIf="iconTemplate" select="igx-expansion-panel-icon"></ng-content>
        <igx-icon *ngIf="!iconTemplate">
            {{panel.collapsed? 'expand_more':'expand_less'}}
        </igx-icon>
    </div>
</div>
`, dependencies: [{ kind: "directive", type: NgIf2, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i057.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i057, type: IgxExpansionPanelHeaderComponent, decorators: [{
  type: Component10,
  args: [{ selector: "igx-expansion-panel-header", standalone: true, imports: [NgIf2, IgxIconComponent], template: `<div class="igx-expansion-panel__header-inner" [attr.tabindex]="tabIndex" role="button" [attr.id]="id"
[attr.aria-disabled]="disabled" [attr.aria-expanded]="isExpanded" [attr.aria-controls]="controls">
    <div class="igx-expansion-panel__title-wrapper">
        <ng-content select="igx-expansion-panel-title"></ng-content>
        <ng-content select="igx-expansion-panel-description"></ng-content>
    </div>
    <ng-content></ng-content>
    <div [class]="iconPositionClass">
        <ng-content *ngIf="iconTemplate" select="igx-expansion-panel-icon"></ng-content>
        <igx-icon *ngIf="!iconTemplate">
            {{panel.collapsed? 'expand_more':'expand_less'}}
        </igx-icon>
    </div>
</div>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Host
}, {
  type: Inject22,
  args: [IGX_EXPANSION_PANEL_COMPONENT]
}] }, { type: i057.ChangeDetectorRef }, { type: i057.ElementRef }], propDecorators: { iconTemplate: [{
  type: ContentChild2,
  args: [IgxExpansionPanelIconDirective]
}], lv: [{
  type: HostBinding24,
  args: ["attr.aria-level"]
}, {
  type: Input37
}], role: [{
  type: HostBinding24,
  args: ["attr.role"]
}, {
  type: Input37
}], iconPosition: [{
  type: Input37
}], interaction: [{
  type: Output16
}], cssClass: [{
  type: HostBinding24,
  args: ["class.igx-expansion-panel__header"]
}], isExpanded: [{
  type: HostBinding24,
  args: ["class.igx-expansion-panel__header--expanded"]
}], disabled: [{
  type: Input37,
  args: [{ transform: booleanAttribute21 }]
}, {
  type: HostBinding24,
  args: ["class.igx-expansion-panel--disabled"]
}], customIconRef: [{
  type: ContentChild2,
  args: [IgxExpansionPanelIconDirective, { read: ElementRef28 }]
}], defaultIconRef: [{
  type: ViewChild7,
  args: [IgxIconComponent, { read: ElementRef28 }]
}], onAction: [{
  type: HostListener19,
  args: ["keydown.Enter", ["$event"]]
}, {
  type: HostListener19,
  args: ["keydown.Space", ["$event"]]
}, {
  type: HostListener19,
  args: ["keydown.Spacebar", ["$event"]]
}, {
  type: HostListener19,
  args: ["click", ["$event"]]
}], openPanel: [{
  type: HostListener19,
  args: ["keydown.Alt.ArrowDown", ["$event"]]
}], closePanel: [{
  type: HostListener19,
  args: ["keydown.Alt.ArrowUp", ["$event"]]
}] } });

// lib/expansion-panel/toggle-animation-component.mjs
import { Directive as Directive36, EventEmitter as EventEmitter25, Inject as Inject23 } from "@angular/core";
import { noop as noop5, Subject as Subject15 } from "rxjs";
import { takeUntil as takeUntil13 } from "rxjs/operators";
import { growVerIn, growVerOut } from "igniteui-angular/animations";
import * as i058 from "@angular/core";
var ANIMATION_TYPE;
(function(ANIMATION_TYPE2) {
  ANIMATION_TYPE2["OPEN"] = "open";
  ANIMATION_TYPE2["CLOSE"] = "close";
})(ANIMATION_TYPE || (ANIMATION_TYPE = {}));
var ToggleAnimationPlayer = class _ToggleAnimationPlayer {
  get animationSettings() {
    return this._animationSettings;
  }
  set animationSettings(value) {
    this._animationSettings = value;
  }
  constructor(animationService) {
    this.animationService = animationService;
    this.openAnimationDone = new EventEmitter25();
    this.closeAnimationDone = new EventEmitter25();
    this.openAnimationStart = new EventEmitter25();
    this.closeAnimationStart = new EventEmitter25();
    this.openAnimationPlayer = null;
    this.closeAnimationPlayer = null;
    this.destroy$ = new Subject15();
    this.players = /* @__PURE__ */ new Map();
    this._animationSettings = {
      openAnimation: growVerIn,
      closeAnimation: growVerOut
    };
    this.closeInterrupted = false;
    this.openInterrupted = false;
    this._defaultClosedCallback = noop5;
    this._defaultOpenedCallback = noop5;
    this.onClosedCallback = this._defaultClosedCallback;
    this.onOpenedCallback = this._defaultOpenedCallback;
  }
  /** @hidden @internal */
  playOpenAnimation(targetElement, onDone) {
    this.startPlayer(ANIMATION_TYPE.OPEN, targetElement, onDone || this._defaultOpenedCallback);
  }
  /** @hidden @internal */
  playCloseAnimation(targetElement, onDone) {
    this.startPlayer(ANIMATION_TYPE.CLOSE, targetElement, onDone || this._defaultClosedCallback);
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  startPlayer(type, targetElement, callback) {
    if (!targetElement) {
      return;
    }
    let target = this.getPlayer(type);
    if (!target) {
      target = this.initializePlayer(type, targetElement, callback);
    }
    if (!target || target.hasStarted()) {
      return;
    }
    const targetEmitter = type === ANIMATION_TYPE.OPEN ? this.openAnimationStart : this.closeAnimationStart;
    targetEmitter.emit();
    if (target) {
      target.play();
    }
  }
  initializePlayer(type, targetElement, callback) {
    const oppositeType = type === ANIMATION_TYPE.OPEN ? ANIMATION_TYPE.CLOSE : ANIMATION_TYPE.OPEN;
    const targetAnimationSettings = this.animationSettings || { closeAnimation: null, openAnimation: null };
    const animationSettings = type === ANIMATION_TYPE.OPEN ? targetAnimationSettings.openAnimation : targetAnimationSettings.closeAnimation;
    if (!animationSettings) {
      this.setCallback(type, callback);
      const targetEmitter = type === ANIMATION_TYPE.OPEN ? this.openAnimationStart : this.closeAnimationStart;
      targetEmitter.emit();
      this.onDoneHandler(type);
      return;
    }
    const opposite = this.getPlayer(oppositeType);
    let oppositePosition = 1;
    if (opposite) {
      oppositePosition = opposite.position;
      this.cleanUpPlayer(oppositeType);
    }
    if (type === ANIMATION_TYPE.OPEN) {
      this.openAnimationPlayer = this.animationService.buildAnimation(animationSettings, targetElement.nativeElement);
    } else if (type === ANIMATION_TYPE.CLOSE) {
      this.closeAnimationPlayer = this.animationService.buildAnimation(animationSettings, targetElement.nativeElement);
    }
    const target = this.getPlayer(type);
    target.init();
    this.getPlayer(type).position = 1 - oppositePosition;
    this.setCallback(type, callback);
    target.animationEnd.pipe(takeUntil13(this.destroy$)).subscribe(() => {
      this.onDoneHandler(type);
    });
    return target;
  }
  onDoneHandler(type) {
    const targetEmitter = type === ANIMATION_TYPE.OPEN ? this.openAnimationDone : this.closeAnimationDone;
    const targetCallback = type === ANIMATION_TYPE.OPEN ? this.onOpenedCallback : this.onClosedCallback;
    targetCallback();
    if (!(type === ANIMATION_TYPE.OPEN ? this.openInterrupted : this.closeInterrupted)) {
      targetEmitter.emit();
    }
    this.cleanUpPlayer(type);
  }
  setCallback(type, callback) {
    if (type === ANIMATION_TYPE.OPEN) {
      this.onOpenedCallback = callback;
      this.openInterrupted = false;
    } else if (type === ANIMATION_TYPE.CLOSE) {
      this.onClosedCallback = callback;
      this.closeInterrupted = false;
    }
  }
  cleanUpPlayer(target) {
    switch (target) {
      case ANIMATION_TYPE.CLOSE:
        if (this.closeAnimationPlayer != null) {
          this.closeAnimationPlayer.reset();
          this.closeAnimationPlayer.destroy();
          this.closeAnimationPlayer = null;
        }
        this.closeInterrupted = true;
        this.onClosedCallback = this._defaultClosedCallback;
        break;
      case ANIMATION_TYPE.OPEN:
        if (this.openAnimationPlayer != null) {
          this.openAnimationPlayer.reset();
          this.openAnimationPlayer.destroy();
          this.openAnimationPlayer = null;
        }
        this.openInterrupted = true;
        this.onOpenedCallback = this._defaultOpenedCallback;
        break;
      default:
        break;
    }
  }
  getPlayer(type) {
    switch (type) {
      case ANIMATION_TYPE.OPEN:
        return this.openAnimationPlayer;
      case ANIMATION_TYPE.CLOSE:
        return this.closeAnimationPlayer;
      default:
        return null;
    }
  }
  static {
    this.ɵfac = i058.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i058, type: _ToggleAnimationPlayer, deps: [{ token: IgxAngularAnimationService }], target: i058.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i058.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _ToggleAnimationPlayer, ngImport: i058 });
  }
};
i058.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i058, type: ToggleAnimationPlayer, decorators: [{
  type: Directive36
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject23,
  args: [IgxAngularAnimationService]
}] }] });

// lib/expansion-panel/expansion-panel.component.mjs
import { Component as Component11, ContentChild as ContentChild3, EventEmitter as EventEmitter26, HostBinding as HostBinding25, Inject as Inject24, Input as Input38, Output as Output17, booleanAttribute as booleanAttribute22 } from "@angular/core";
import { NgIf as NgIf3 } from "@angular/common";
import * as i059 from "@angular/core";
var NEXT_ID5 = 0;
var IgxExpansionPanelComponent = class _IgxExpansionPanelComponent extends ToggleAnimationPlayer {
  /**
   * Sets/gets the animation settings of the expansion panel component
   * Open and Close animation should be passed
   *
   * Get
   * ```typescript
   *  const currentAnimations = this.panel.animationSettings;
   * ```
   * Set
   * ```typescript
   *  import { slideInLeft, slideOutRight } from 'igniteui-angular';
   *  ...
   *  this.panel.animationsSettings = {
   *      openAnimation: slideInLeft,
   *      closeAnimation: slideOutRight
   * };
   * ```
   * or via template
   * ```typescript
   *  import { slideInLeft, slideOutRight } from 'igniteui-angular';
   *  ...
   *  myCustomAnimationObject = {
   *      openAnimation: slideInLeft,
   *      closeAnimation: slideOutRight
   * };
   * ```html
   *  <igx-expansion-panel [animationSettings]='myCustomAnimationObject'>
   *  ...
   *  </igx-expansion-panel>
   * ```
   */
  get animationSettings() {
    return this._animationSettings;
  }
  set animationSettings(value) {
    this._animationSettings = value;
  }
  /**
   * @hidden @internal
   */
  get panelExpanded() {
    return !this.collapsed;
  }
  /**
   * @hidden
   */
  get headerId() {
    return this.header ? `${this.id}-header` : "";
  }
  /**
   * @hidden @internal
   */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  constructor(animationService, cdr, elementRef) {
    super(animationService);
    this.cdr = cdr;
    this.elementRef = elementRef;
    this.id = `igx-expansion-panel-${NEXT_ID5++}`;
    this.cssClass = "igx-expansion-panel";
    this.opened = false;
    this.collapsed = true;
    this.collapsedChange = new EventEmitter26();
    this.contentCollapsing = new EventEmitter26();
    this.contentCollapsed = new EventEmitter26();
    this.contentExpanding = new EventEmitter26();
    this.contentExpanded = new EventEmitter26();
  }
  /** @hidden */
  ngAfterContentInit() {
    if (this.body && this.header) {
      Promise.resolve().then(() => {
        this.body.labelledBy = this.body.labelledBy || this.headerId;
        this.body.label = this.body.label || this.id + "-region";
      });
    }
  }
  /**
   * Collapses the panel
   *
   * ```html
   *  <igx-expansion-panel #myPanel>
   *      ...
   *  </igx-expansion-panel>
   *  <button type="button" igxButton (click)="myPanel.collapse($event)">Collpase Panel</button>
   * ```
   */
  collapse(evt) {
    if (this.collapsed || this.closeAnimationPlayer) {
      return;
    }
    const args = { event: evt, panel: this, owner: this, cancel: false };
    this.contentCollapsing.emit(args);
    if (args.cancel === true) {
      return;
    }
    this.opened = false;
    this.playCloseAnimation(this.body?.element, () => {
      this.contentCollapsed.emit({ event: evt, owner: this });
      this.collapsed = true;
      this.collapsedChange.emit(true);
      this.cdr.markForCheck();
    });
  }
  /**
   * Expands the panel
   *
   * ```html
   *  <igx-expansion-panel #myPanel>
   *      ...
   *  </igx-expansion-panel>
   *  <button type="button" igxButton (click)="myPanel.expand($event)">Expand Panel</button>
   * ```
   */
  expand(evt) {
    if (!this.collapsed) {
      return;
    }
    const args = { event: evt, panel: this, owner: this, cancel: false };
    this.contentExpanding.emit(args);
    if (args.cancel === true) {
      return;
    }
    this.collapsed = false;
    this.opened = true;
    this.collapsedChange.emit(false);
    this.cdr.detectChanges();
    this.playOpenAnimation(this.body?.element, () => {
      this.contentExpanded.emit({ event: evt, owner: this });
    });
  }
  /**
   * Toggles the panel
   *
   * ```html
   *  <igx-expansion-panel #myPanel>
   *      ...
   *  </igx-expansion-panel>
   *  <button type="button" igxButton (click)="myPanel.toggle($event)">Expand Panel</button>
   * ```
   */
  toggle(evt) {
    if (this.collapsed) {
      this.open(evt);
    } else {
      this.close(evt);
    }
  }
  open(evt) {
    this.expand(evt);
  }
  close(evt) {
    this.collapse(evt);
  }
  static {
    this.ɵfac = i059.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i059, type: _IgxExpansionPanelComponent, deps: [{ token: IgxAngularAnimationService }, { token: i059.ChangeDetectorRef }, { token: i059.ElementRef }], target: i059.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i059.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxExpansionPanelComponent, isStandalone: true, selector: "igx-expansion-panel", inputs: { animationSettings: "animationSettings", id: "id", collapsed: ["collapsed", "collapsed", booleanAttribute22] }, outputs: { collapsedChange: "collapsedChange", contentCollapsing: "contentCollapsing", contentCollapsed: "contentCollapsed", contentExpanding: "contentExpanding", contentExpanded: "contentExpanded" }, host: { properties: { "attr.id": "this.id", "class.igx-expansion-panel": "this.cssClass", "class.igx-expansion-panel--expanded": "this.opened", "attr.aria-expanded": "this.panelExpanded" } }, providers: [{ provide: IGX_EXPANSION_PANEL_COMPONENT, useExisting: _IgxExpansionPanelComponent }], queries: [{ propertyName: "body", first: true, predicate: IgxExpansionPanelBodyComponent, descendants: true, read: IgxExpansionPanelBodyComponent }, { propertyName: "header", first: true, predicate: IgxExpansionPanelHeaderComponent, descendants: true, read: IgxExpansionPanelHeaderComponent }], usesInheritance: true, ngImport: i059, template: '<ng-content select="igx-expansion-panel-header"></ng-content>\n<ng-content *ngIf="!collapsed" select="igx-expansion-panel-body"></ng-content>\n', dependencies: [{ kind: "directive", type: NgIf3, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i059.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i059, type: IgxExpansionPanelComponent, decorators: [{
  type: Component11,
  args: [{ selector: "igx-expansion-panel", providers: [{ provide: IGX_EXPANSION_PANEL_COMPONENT, useExisting: IgxExpansionPanelComponent }], standalone: true, imports: [NgIf3], template: '<ng-content select="igx-expansion-panel-header"></ng-content>\n<ng-content *ngIf="!collapsed" select="igx-expansion-panel-body"></ng-content>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject24,
  args: [IgxAngularAnimationService]
}] }, { type: i059.ChangeDetectorRef }, { type: i059.ElementRef }], propDecorators: { animationSettings: [{
  type: Input38
}], id: [{
  type: HostBinding25,
  args: ["attr.id"]
}, {
  type: Input38
}], cssClass: [{
  type: HostBinding25,
  args: ["class.igx-expansion-panel"]
}], opened: [{
  type: HostBinding25,
  args: ["class.igx-expansion-panel--expanded"]
}], panelExpanded: [{
  type: HostBinding25,
  args: ["attr.aria-expanded"]
}], collapsed: [{
  type: Input38,
  args: [{ transform: booleanAttribute22 }]
}], collapsedChange: [{
  type: Output17
}], contentCollapsing: [{
  type: Output17
}], contentCollapsed: [{
  type: Output17
}], contentExpanding: [{
  type: Output17
}], contentExpanded: [{
  type: Output17
}], body: [{
  type: ContentChild3,
  args: [IgxExpansionPanelBodyComponent, { read: IgxExpansionPanelBodyComponent }]
}], header: [{
  type: ContentChild3,
  args: [IgxExpansionPanelHeaderComponent, { read: IgxExpansionPanelHeaderComponent }]
}] } });

// lib/accordion/accordion.component.mjs
import { Component as Component12, ContentChildren as ContentChildren4, EventEmitter as EventEmitter27, HostBinding as HostBinding26, Input as Input39, Output as Output18, booleanAttribute as booleanAttribute23 } from "@angular/core";
import { fromEvent as fromEvent5, Subject as Subject16 } from "rxjs";
import { takeUntil as takeUntil14 } from "rxjs/operators";
import * as i060 from "@angular/core";
var NEXT_ID6 = 0;
var IgxAccordionComponent = class _IgxAccordionComponent {
  /**
   * Get/Set the animation settings that panels should use when expanding/collpasing.
   *
   * ```html
   * <igx-accordion [animationSettings]="customAnimationSettings"></igx-accordion>
   * ```
   *
   * ```typescript
   * const customAnimationSettings: ToggleAnimationSettings = {
   *      openAnimation: growVerIn,
   *      closeAnimation: growVerOut
   * };
   *
   * this.accordion.animationSettings = customAnimationSettings;
   * ```
   */
  get animationSettings() {
    return this._animationSettings;
  }
  set animationSettings(value) {
    this._animationSettings = value;
    this.updatePanelsAnimation();
  }
  /**
   * Get/Set how the accordion handles the expansion of the projected expansion panels.
   * If set to `true`, only a single panel can be expanded at a time, collapsing all others
   *
   * ```html
   * <igx-accordion [singleBranchExpand]="true">
   * ...
   * </igx-accordion>
   * ```
   *
   * ```typescript
   * this.accordion.singleBranchExpand = false;
   * ```
   */
  get singleBranchExpand() {
    return this._singleBranchExpand;
  }
  set singleBranchExpand(val) {
    this._singleBranchExpand = val;
    if (val) {
      this.collapseAllExceptLast();
    }
  }
  /**
   * Get all panels.
   *
   * ```typescript
   * const panels: IgxExpansionPanelComponent[] = this.accordion.panels;
   * ```
   */
  get panels() {
    return this._panels?.toArray();
  }
  constructor(cdr) {
    this.cdr = cdr;
    this.id = `igx-accordion-${NEXT_ID6++}`;
    this.cssClass = "igx-accordion";
    this.displayStyle = "block";
    this.panelExpanding = new EventEmitter27();
    this.panelExpanded = new EventEmitter27();
    this.panelCollapsing = new EventEmitter27();
    this.panelCollapsed = new EventEmitter27();
    this._destroy$ = new Subject16();
    this._unsubChildren$ = new Subject16();
    this._singleBranchExpand = false;
  }
  /** @hidden @internal **/
  ngAfterContentInit() {
    this.updatePanelsAnimation();
    if (this.singleBranchExpand) {
      this.collapseAllExceptLast();
    }
  }
  /** @hidden @internal **/
  ngAfterViewInit() {
    this._expandedPanels = new Set(this._panels.filter((panel) => !panel.collapsed));
    this._expandingPanels = /* @__PURE__ */ new Set();
    this._panels.changes.pipe(takeUntil14(this._destroy$)).subscribe(() => {
      this.subToChanges();
    });
    this.subToChanges();
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this._unsubChildren$.next();
    this._unsubChildren$.complete();
    this._destroy$.next();
    this._destroy$.complete();
  }
  /**
   * Expands all collapsed expansion panels.
   *
   * ```typescript
   * accordion.expandAll();
   * ```
   */
  expandAll() {
    if (this.singleBranchExpand) {
      for (let i = 0; i < this.panels.length - 1; i++) {
        this.panels[i].collapse();
      }
      this._panels.last.expand();
      return;
    }
    this.panels.forEach((panel) => panel.expand());
  }
  /**
   * Collapses all expanded expansion panels.
   *
   * ```typescript
   * accordion.collapseAll();
   * ```
   */
  collapseAll() {
    this.panels.forEach((panel) => panel.collapse());
  }
  collapseAllExceptLast() {
    const lastExpanded = this.panels?.filter((p) => !p.collapsed && !p.header.disabled).pop();
    this.panels?.forEach((p) => {
      if (p !== lastExpanded && !p.header.disabled) {
        p.collapsed = true;
      }
    });
    this.cdr.markForCheck();
  }
  handleKeydown(event, panel) {
    const key = event.key.toLowerCase();
    if (!ACCORDION_NAVIGATION_KEYS.has(key)) {
      return;
    }
    this._enabledPanels = this._panels.filter((p) => !p.header.disabled);
    event.preventDefault();
    this.handleNavigation(event, panel);
  }
  handleNavigation(event, panel) {
    switch (event.key.toLowerCase()) {
      case "home":
        this._enabledPanels[0].header.innerElement.focus();
        break;
      case "end":
        this._enabledPanels[this._enabledPanels.length - 1].header.innerElement.focus();
        break;
      case "arrowup":
      case "up":
        this.handleUpDownArrow(true, event, panel);
        break;
      case "arrowdown":
      case "down":
        this.handleUpDownArrow(false, event, panel);
        break;
    }
  }
  handleUpDownArrow(isUp, event, panel) {
    if (!event.altKey) {
      const focusedPanel = panel;
      const next = this.getNextPanel(focusedPanel, isUp ? -1 : 1);
      if (next === focusedPanel) {
        return;
      }
      next.header.innerElement.focus();
    }
    if (event.altKey && event.shiftKey) {
      if (isUp) {
        this._enabledPanels.forEach((p) => p.collapse());
      } else {
        if (this.singleBranchExpand) {
          for (let i = 0; i < this._enabledPanels.length - 1; i++) {
            this._enabledPanels[i].collapse();
          }
          this._enabledPanels[this._enabledPanels.length - 1].expand();
          return;
        }
        this._enabledPanels.forEach((p) => p.expand());
      }
    }
  }
  getNextPanel(panel, dir = 1) {
    const panelIndex = this._enabledPanels.indexOf(panel);
    return this._enabledPanels[panelIndex + dir] || panel;
  }
  subToChanges() {
    this._unsubChildren$.next();
    this._panels.forEach((panel) => {
      panel.contentExpanded.pipe(takeUntil14(this._unsubChildren$)).subscribe((args) => {
        this._expandedPanels.add(args.owner);
        this._expandingPanels.delete(args.owner);
        const evArgs = { ...args, owner: this, panel: args.owner };
        this.panelExpanded.emit(evArgs);
      });
      panel.contentExpanding.pipe(takeUntil14(this._unsubChildren$)).subscribe((args) => {
        if (args.cancel) {
          return;
        }
        const evArgs = { ...args, owner: this, panel: args.owner };
        this.panelExpanding.emit(evArgs);
        if (evArgs.cancel) {
          args.cancel = true;
          return;
        }
        if (this.singleBranchExpand) {
          this._expandedPanels.forEach((p) => {
            if (!p.header.disabled) {
              p.collapse();
            }
          });
          this._expandingPanels.forEach((p) => {
            if (!p.header.disabled) {
              if (!p.animationSettings.closeAnimation) {
                p.openAnimationPlayer?.reset();
              }
              if (!p.animationSettings.openAnimation) {
                p.closeAnimationPlayer?.reset();
              }
              p.collapse();
            }
          });
          this._expandingPanels.add(args.owner);
        }
      });
      panel.contentCollapsed.pipe(takeUntil14(this._unsubChildren$)).subscribe((args) => {
        this._expandedPanels.delete(args.owner);
        this._expandingPanels.delete(args.owner);
        const evArgs = { ...args, owner: this, panel: args.owner };
        this.panelCollapsed.emit(evArgs);
      });
      panel.contentCollapsing.pipe(takeUntil14(this._unsubChildren$)).subscribe((args) => {
        const evArgs = { ...args, owner: this, panel: args.owner };
        this.panelCollapsing.emit(evArgs);
        if (evArgs.cancel) {
          args.cancel = true;
        }
      });
      fromEvent5(panel.header.innerElement, "keydown").pipe(takeUntil14(this._unsubChildren$)).subscribe((e) => {
        this.handleKeydown(e, panel);
      });
    });
  }
  updatePanelsAnimation() {
    if (this.animationSettings !== void 0) {
      this.panels?.forEach((panel) => panel.animationSettings = this.animationSettings);
    }
  }
  static {
    this.ɵfac = i060.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i060, type: _IgxAccordionComponent, deps: [{ token: i060.ChangeDetectorRef }], target: i060.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i060.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxAccordionComponent, isStandalone: true, selector: "igx-accordion", inputs: { id: "id", animationSettings: "animationSettings", singleBranchExpand: ["singleBranchExpand", "singleBranchExpand", booleanAttribute23] }, outputs: { panelExpanding: "panelExpanding", panelExpanded: "panelExpanded", panelCollapsing: "panelCollapsing", panelCollapsed: "panelCollapsed" }, host: { properties: { "attr.id": "this.id", "class.igx-accordion": "this.cssClass", "style.display": "this.displayStyle" } }, queries: [{ propertyName: "_panels", predicate: IgxExpansionPanelComponent }], ngImport: i060, template: '<ng-content select="igx-expansion-panel"></ng-content>\n' });
  }
};
i060.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i060, type: IgxAccordionComponent, decorators: [{
  type: Component12,
  args: [{ selector: "igx-accordion", standalone: true, template: '<ng-content select="igx-expansion-panel"></ng-content>\n' }]
}], ctorParameters: () => [{ type: i060.ChangeDetectorRef }], propDecorators: { id: [{
  type: HostBinding26,
  args: ["attr.id"]
}, {
  type: Input39
}], cssClass: [{
  type: HostBinding26,
  args: ["class.igx-accordion"]
}], displayStyle: [{
  type: HostBinding26,
  args: ["style.display"]
}], animationSettings: [{
  type: Input39
}], singleBranchExpand: [{
  type: Input39,
  args: [{ transform: booleanAttribute23 }]
}], panelExpanding: [{
  type: Output18
}], panelExpanded: [{
  type: Output18
}], panelCollapsing: [{
  type: Output18
}], panelCollapsed: [{
  type: Output18
}], _panels: [{
  type: ContentChildren4,
  args: [IgxExpansionPanelComponent]
}] } });

// lib/expansion-panel/public_api.mjs
var IGX_EXPANSION_PANEL_DIRECTIVES = [
  IgxExpansionPanelComponent,
  IgxExpansionPanelHeaderComponent,
  IgxExpansionPanelBodyComponent,
  IgxExpansionPanelDescriptionDirective,
  IgxExpansionPanelTitleDirective,
  IgxExpansionPanelIconDirective
];

// lib/accordion/public_api.mjs
var IGX_ACCORDION_DIRECTIVES = [
  IgxAccordionComponent,
  IgxExpansionPanelComponent,
  IgxExpansionPanelHeaderComponent,
  IgxExpansionPanelBodyComponent,
  IgxExpansionPanelDescriptionDirective,
  IgxExpansionPanelTitleDirective,
  IgxExpansionPanelIconDirective
];

// lib/core/i18n/action-strip-resources.mjs
var ActionStripResourceStringsEN = {
  igx_action_strip_button_more_title: "More"
};

// lib/core/selection.mjs
import { Injectable as Injectable13 } from "@angular/core";
import * as i061 from "@angular/core";
var IgxSelectionAPIService = class _IgxSelectionAPIService {
  constructor() {
    this.selection = /* @__PURE__ */ new Map();
  }
  /**
   * Get current component selection.
   *
   * @param componentID ID of the component.
   */
  get(componentID) {
    return this.selection.get(componentID);
  }
  /**
   * Set new component selection.
   *
   * @param componentID ID of the component.
   * @param newSelection The new component selection to be set.
   */
  set(componentID, newSelection) {
    if (!componentID) {
      throw Error("Invalid value for component id!");
    }
    this.selection.set(componentID, newSelection);
  }
  /**
   * Clears selection for component.
   *
   * @param componentID ID of the component.
   */
  clear(componentID) {
    this.selection.set(componentID, this.get_empty());
  }
  /**
   * Removes selection for a component.
   * @param componentID
   */
  delete(componentID) {
    this.selection.delete(componentID);
  }
  /**
   * Get current component selection length.
   *
   * @param componentID ID of the component.
   */
  size(componentID) {
    const sel = this.get(componentID);
    return sel ? sel.size : 0;
  }
  /**
   * Creates new selection that consist of the new item added to the current component selection.
   * The returned collection is new Set,
   * therefore if you want to update component selection you need to call in addition the set_selection() method
   * or instead use the select_item() one.
   *
   * @param componentID ID of the component, which we add new item to.
   * @param itemID ID of the item to add to component selection.
   * @param sel Used internally only by the selection (add_items method) to accumulate selection for multiple items.
   *
   * @returns Selection after the new item is added.
   */
  add_item(componentID, itemID, sel) {
    if (!sel) {
      sel = new Set(this.get(componentID));
    }
    if (sel === void 0) {
      sel = this.get_empty();
    }
    sel.add(itemID);
    return sel;
  }
  /**
   * Creates new selection that consist of the new items added to the current component selection.
   * The returned collection is new Set,
   * therefore if you want to update component selection you need to call in addition the set_selection() method
   * or instead use the select_items() one.
   *
   * @param componentID ID of the component, which we add new items to.
   * @param itemIDs Array of IDs of the items to add to component selection.
   * @param clearSelection If true it will clear previous selection.
   *
   * @returns Selection after the new items are added.
   */
  add_items(componentID, itemIDs, clearSelection) {
    let selection;
    if (clearSelection) {
      selection = this.get_empty();
    } else if (itemIDs && itemIDs.length === 0) {
      selection = new Set(this.get(componentID));
    }
    itemIDs.forEach((item) => selection = this.add_item(componentID, item, selection));
    return selection;
  }
  /**
   * Add item to the current component selection.
   *
   * @param componentID ID of the component, which we add new item to.
   * @param itemID ID of the item to add to component selection.
   * @param sel Used internally only by the selection (select_items method) to accumulate selection for multiple items.
   */
  select_item(componentID, itemID, sel) {
    this.set(componentID, this.add_item(componentID, itemID, sel));
  }
  /**
   * Add items to the current component selection.
   *
   * @param componentID ID of the component, which we add new items to.
   * @param itemIDs Array of IDs of the items to add to component selection.
   * @param clearSelection If true it will clear previous selection.
   */
  select_items(componentID, itemID, clearSelection) {
    this.set(componentID, this.add_items(componentID, itemID, clearSelection));
  }
  /**
   * Creates new selection that consist of the new items excluded from the current component selection.
   * The returned collection is new Set,
   * therefore if you want to update component selection you need to call in addition the set_selection() method
   * or instead use the deselect_item() one.
   *
   * @param componentID ID of the component, which we remove items from.
   * @param itemID ID of the item to remove from component selection.
   * @param sel Used internally only by the selection (delete_items method) to accumulate deselected items.
   *
   * @returns Selection after the item is removed.
   */
  delete_item(componentID, itemID, sel) {
    if (!sel) {
      sel = new Set(this.get(componentID));
    }
    if (sel === void 0) {
      return;
    }
    sel.delete(itemID);
    return sel;
  }
  /**
   * Creates new selection that consist of the new items removed to the current component selection.
   * The returned collection is new Set,
   * therefore if you want to update component selection you need to call in addition the set_selection() method
   * or instead use the deselect_items() one.
   *
   * @param componentID ID of the component, which we remove items from.
   * @param itemID ID of the items to remove from component selection.
   *
   * @returns Selection after the items are removed.
   */
  delete_items(componentID, itemIDs) {
    let selection;
    itemIDs.forEach((deselectedItem) => selection = this.delete_item(componentID, deselectedItem, selection));
    return selection;
  }
  /**
   * Remove item from the current component selection.
   *
   * @param componentID ID of the component, which we remove item from.
   * @param itemID ID of the item to remove from component selection.
   * @param sel Used internally only by the selection (deselect_items method) to accumulate selection for multiple items.
   */
  deselect_item(componentID, itemID, sel) {
    this.set(componentID, this.delete_item(componentID, itemID, sel));
  }
  /**
   * Remove items to the current component selection.
   *
   * @param componentID ID of the component, which we add new items to.
   * @param itemIDs Array of IDs of the items to add to component selection.
   */
  deselect_items(componentID, itemID, _clearSelection) {
    this.set(componentID, this.delete_items(componentID, itemID));
  }
  /**
   * Check if the item is selected in the component selection.
   *
   * @param componentID ID of the component.
   * @param itemID ID of the item to search.
   *
   * @returns If item is selected.
   */
  is_item_selected(componentID, itemID) {
    const sel = this.get(componentID);
    if (!sel) {
      return false;
    }
    return sel.has(itemID);
  }
  /**
   * Get first element in the selection.
   * This is correct when we have only one item in the collection (for single selection purposes)
   * and the method returns that item.
   *
   * @param componentID ID of the component.
   *
   * @returns First element in the set.
   */
  first_item(componentID) {
    const sel = this.get(componentID);
    if (sel && sel.size > 0) {
      return sel.values().next().value;
    }
  }
  /**
   * Returns whether all items are selected.
   *
   * @param componentID ID of the component.
   * @param dataCount: number Number of items in the data.
   *
   * @returns If all items are selected.
   */
  are_all_selected(componentID, dataCount) {
    return dataCount > 0 && dataCount === this.size(componentID);
  }
  /**
   * Returns whether any of the items is selected.
   *
   * @param componentID ID of the component.
   * @param data Entire data array.
   *
   * @returns If there is any item selected.
   */
  are_none_selected(componentID) {
    return this.size(componentID) === 0;
  }
  /**
   * Get all primary key values from a data array. If there isn't a primary key defined that the entire data is returned instead.
   *
   * @param data Entire data array.
   * @param primaryKey Data primary key.
   *
   * @returns Array of identifiers, either primary key values or the entire data array.
   */
  get_all_ids(data, primaryKey) {
    return primaryKey !== void 0 && primaryKey !== null ? data.map((x) => x[primaryKey]) : data;
  }
  /**
   * Returns empty selection collection.
   *
   * @returns empty set.
   */
  get_empty() {
    return /* @__PURE__ */ new Set();
  }
  static {
    this.ɵfac = i061.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i061, type: _IgxSelectionAPIService, deps: [], target: i061.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i061.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i061, type: _IgxSelectionAPIService, providedIn: "root" });
  }
};
i061.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i061, type: IgxSelectionAPIService, decorators: [{
  type: Injectable13,
  args: [{
    providedIn: "root"
  }]
}] });

// lib/drop-down/drop-down-group.component.mjs
import { Component as Component13, Input as Input40, HostBinding as HostBinding27, booleanAttribute as booleanAttribute24 } from "@angular/core";
import * as i062 from "@angular/core";
var NEXT_ID7 = 0;
var IgxDropDownGroupComponent = class _IgxDropDownGroupComponent {
  constructor() {
    this.role = "group";
    this.groupClass = true;
    this.disabled = false;
    this._id = NEXT_ID7++;
  }
  /**
   * @hidden @internal
   */
  get labelId() {
    return `igx-item-group-label-${this._id}`;
  }
  get labelledBy() {
    return this.labelId;
  }
  static {
    this.ɵfac = i062.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i062, type: _IgxDropDownGroupComponent, deps: [], target: i062.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i062.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDropDownGroupComponent, isStandalone: true, selector: "igx-drop-down-item-group", inputs: { disabled: ["disabled", "disabled", booleanAttribute24], label: "label" }, host: { properties: { "attr.aria-labelledby": "this.labelledBy", "attr.role": "this.role", "class.igx-drop-down__group": "this.groupClass", "attr.aria-disabled": "this.disabled", "class.igx-drop-down__group--disabled": "this.disabled" } }, ngImport: i062, template: `
        <label id="{{labelId}}">{{ label }}</label>
        <ng-content select="igx-drop-down-item"></ng-content>
    `, isInline: true });
  }
};
i062.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i062, type: IgxDropDownGroupComponent, decorators: [{
  type: Component13,
  args: [{
    selector: "igx-drop-down-item-group",
    template: `
        <label id="{{labelId}}">{{ label }}</label>
        <ng-content select="igx-drop-down-item"></ng-content>
    `,
    standalone: true
  }]
}], propDecorators: { labelledBy: [{
  type: HostBinding27,
  args: [`attr.aria-labelledby`]
}], role: [{
  type: HostBinding27,
  args: ["attr.role"]
}], groupClass: [{
  type: HostBinding27,
  args: ["class.igx-drop-down__group"]
}], disabled: [{
  type: Input40,
  args: [{ transform: booleanAttribute24 }]
}, {
  type: HostBinding27,
  args: [`attr.aria-disabled`]
}, {
  type: HostBinding27,
  args: ["class.igx-drop-down__group--disabled"]
}], label: [{
  type: Input40
}] } });

// lib/drop-down/drop-down-item.base.mjs
import { Directive as Directive37, Input as Input41, HostBinding as HostBinding28, HostListener as HostListener20, Optional as Optional16, Inject as Inject25, Output as Output19, EventEmitter as EventEmitter28, booleanAttribute as booleanAttribute25 } from "@angular/core";
import * as i063 from "@angular/core";
var NEXT_ID8 = 0;
var IgxDropDownItemBaseDirective = class _IgxDropDownItemBaseDirective {
  get ariaLabel() {
    return this._label ? this._label : this.value ? this.value : this.id;
  }
  set ariaLabel(value) {
    this._label = value;
  }
  /**
   * @hidden @internal
   */
  get itemID() {
    return this;
  }
  /**
   * The data index of the dropdown item.
   *
   * ```typescript
   * // get the data index of the selected dropdown item
   * let selectedItemIndex = this.dropdown.selectedItem.index
   * ```
   */
  get index() {
    if (this._index === null) {
      return this.itemIndex;
    }
    return this._index;
  }
  set index(value) {
    this._index = value;
  }
  /**
   * @hidden @internal
   */
  get itemStyle() {
    return !this.isHeader;
  }
  /** @hidden @internal */
  get size() {
    return this.dropDown.getComponentSizeStyles();
  }
  /**
   * Sets/Gets if the item is the currently selected one in the dropdown
   *
   * ```typescript
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let isMyItemSelected = mySelectedItem.selected; // true
   * ```
   *
   * Two-way data binding
   * ```html
   * <igx-drop-down-item [(selected)]='model.isSelected'></igx-drop-down-item>
   * ```
   */
  get selected() {
    return this._selected;
  }
  set selected(value) {
    if (this.isHeader) {
      return;
    }
    this._selected = value;
    this.selectedChange.emit(this._selected);
  }
  /**
   * Sets/gets if the given item is focused
   * ```typescript
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let isMyItemFocused = mySelectedItem.focused;
   * ```
   */
  get focused() {
    return this.isSelectable && this._focused;
  }
  /**
   * ```html
   *  <igx-drop-down-item *ngFor="let item of items" focused={{!item.focused}}>
   *      <div>
   *          {{item.field}}
   *      </div>
   *  </igx-drop-down-item>
   * ```
   */
  set focused(value) {
    this._focused = value;
  }
  /**
   * Sets/gets if the given item is disabled
   *
   * ```typescript
   *  // get
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let myItemIsDisabled = mySelectedItem.disabled;
   * ```
   *
   * ```html
   *  <igx-drop-down-item *ngFor="let item of items" disabled={{!item.disabled}}>
   *      <div>
   *          {{item.field}}
   *      </div>
   *  </igx-drop-down-item>
   * ```
   * **NOTE:** Drop-down items inside of a disabled `IgxDropDownGroup` will always count as disabled
   */
  get disabled() {
    return this.group ? this.group.disabled || this._disabled : this._disabled;
  }
  set disabled(value) {
    this._disabled = value;
  }
  /**
   * Gets item index
   *
   * @hidden @internal
   */
  get itemIndex() {
    return this.dropDown.items.indexOf(this);
  }
  /**
   * Gets item element height
   *
   * @hidden @internal
   */
  get elementHeight() {
    return this.elementRef.nativeElement.clientHeight;
  }
  /**
   * Get item html element
   *
   * @hidden @internal
   */
  get element() {
    return this.elementRef;
  }
  get hasIndex() {
    return this._index !== null && this._index !== void 0;
  }
  constructor(dropDown, elementRef, group, selection) {
    this.dropDown = dropDown;
    this.elementRef = elementRef;
    this.group = group;
    this.selection = selection;
    this.id = `igx-drop-down-item-${NEXT_ID8++}`;
    this.selectedChange = new EventEmitter28();
    this.role = "option";
    this._focused = false;
    this._selected = false;
    this._index = null;
    this._disabled = false;
    this._label = null;
  }
  /**
   * @hidden
   * @internal
   */
  clicked(event) {
  }
  /**
   * @hidden
   * @internal
   */
  handleMousedown(event) {
    if (!this.dropDown.allowItemsFocus) {
      event.preventDefault();
    }
  }
  ngDoCheck() {
    if (this._selected) {
      const dropDownSelectedItem = this.dropDown.selectedItem;
      if (!dropDownSelectedItem) {
        this.dropDown.selectItem(this);
      } else if (this.hasIndex ? this._index !== dropDownSelectedItem.index || this.value !== dropDownSelectedItem.value : this !== dropDownSelectedItem) {
        this.dropDown.selectItem(this);
      }
    }
  }
  /** Returns true if the items is not a header or disabled  */
  get isSelectable() {
    return !(this.disabled || this.isHeader);
  }
  /** If `allowItemsFocus` is enabled, keep the browser focus on the active item */
  ensureItemFocus() {
    if (this.dropDown.allowItemsFocus) {
      const focusedItem = this.dropDown.items.find((item) => item.focused);
      if (!focusedItem) {
        return;
      }
      focusedItem.element.nativeElement.focus({ preventScroll: true });
    }
  }
  static {
    this.ɵfac = i063.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i063, type: _IgxDropDownItemBaseDirective, deps: [{ token: IGX_DROPDOWN_BASE }, { token: i063.ElementRef }, { token: IgxDropDownGroupComponent, optional: true }, { token: IgxSelectionAPIService, optional: true }], target: i063.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i063.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDropDownItemBaseDirective, isStandalone: true, selector: "[igxDropDownItemBase]", inputs: { id: "id", ariaLabel: "ariaLabel", index: "index", value: "value", selected: ["selected", "selected", booleanAttribute25], isHeader: ["isHeader", "isHeader", booleanAttribute25], disabled: ["disabled", "disabled", booleanAttribute25], role: "role" }, outputs: { selectedChange: "selectedChange" }, host: { listeners: { "click": "clicked($event)", "mousedown": "handleMousedown($event)" }, properties: { "attr.id": "this.id", "attr.aria-label": "this.ariaLabel", "class.igx-drop-down__item": "this.itemStyle", "style.--component-size": "this.size", "attr.aria-selected": "this.selected", "class.igx-drop-down__item--selected": "this.selected", "class.igx-drop-down__item--focused": "this.focused", "class.igx-drop-down__header": "this.isHeader", "attr.aria-disabled": "this.disabled", "class.igx-drop-down__item--disabled": "this.disabled", "attr.role": "this.role" } }, ngImport: i063 });
  }
};
i063.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i063, type: IgxDropDownItemBaseDirective, decorators: [{
  type: Directive37,
  args: [{
    selector: "[igxDropDownItemBase]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject25,
  args: [IGX_DROPDOWN_BASE]
}] }, { type: i063.ElementRef }, { type: IgxDropDownGroupComponent, decorators: [{
  type: Optional16
}] }, { type: IgxSelectionAPIService, decorators: [{
  type: Optional16
}, {
  type: Inject25,
  args: [IgxSelectionAPIService]
}] }], propDecorators: { id: [{
  type: HostBinding28,
  args: ["attr.id"]
}, {
  type: Input41
}], ariaLabel: [{
  type: HostBinding28,
  args: ["attr.aria-label"]
}, {
  type: Input41
}], index: [{
  type: Input41
}], value: [{
  type: Input41
}], itemStyle: [{
  type: HostBinding28,
  args: ["class.igx-drop-down__item"]
}], size: [{
  type: HostBinding28,
  args: ["style.--component-size"]
}], selected: [{
  type: Input41,
  args: [{ transform: booleanAttribute25 }]
}, {
  type: HostBinding28,
  args: ["attr.aria-selected"]
}, {
  type: HostBinding28,
  args: ["class.igx-drop-down__item--selected"]
}], selectedChange: [{
  type: Output19
}], focused: [{
  type: HostBinding28,
  args: ["class.igx-drop-down__item--focused"]
}], isHeader: [{
  type: Input41,
  args: [{ transform: booleanAttribute25 }]
}, {
  type: HostBinding28,
  args: ["class.igx-drop-down__header"]
}], disabled: [{
  type: Input41,
  args: [{ transform: booleanAttribute25 }]
}, {
  type: HostBinding28,
  args: ["attr.aria-disabled"]
}, {
  type: HostBinding28,
  args: ["class.igx-drop-down__item--disabled"]
}], role: [{
  type: Input41
}, {
  type: HostBinding28,
  args: ["attr.role"]
}], clicked: [{
  type: HostListener20,
  args: ["click", ["$event"]]
}], handleMousedown: [{
  type: HostListener20,
  args: ["mousedown", ["$event"]]
}] } });

// lib/drop-down/drop-down-item.component.mjs
import { Component as Component14, HostBinding as HostBinding29 } from "@angular/core";
import * as i064 from "@angular/core";
var IgxDropDownItemComponent = class _IgxDropDownItemComponent extends IgxDropDownItemBaseDirective {
  /**
   * Sets/gets if the given item is focused
   * ```typescript
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let isMyItemFocused = mySelectedItem.focused;
   * ```
   */
  get focused() {
    let focusedState = this._focused;
    if (this.hasIndex) {
      const focusedItem = this.selection.first_item(`${this.dropDown.id}-active`);
      const focusedIndex = focusedItem ? focusedItem.index : -1;
      focusedState = this._index === focusedIndex;
    }
    return this.isSelectable && focusedState;
  }
  /**
   * Sets/gets if the given item is focused
   * ```typescript
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let isMyItemFocused = mySelectedItem.focused;
   * ```
   */
  set focused(value) {
    this._focused = value;
  }
  /**
   * Sets/Gets if the item is the currently selected one in the dropdown
   *
   * ```typescript
   *  let mySelectedItem = this.dropdown.selectedItem;
   *  let isMyItemSelected = mySelectedItem.selected; // true
   * ```
   *
   * Two-way data binding
   * ```html
   * <igx-drop-down-item [(selected)]='model.isSelected'></igx-drop-down-item>
   * ```
   */
  get selected() {
    if (this.hasIndex) {
      const item = this.selection.first_item(`${this.dropDown.id}`);
      return item ? item.index === this._index && item.value === this.value : false;
    }
    return this._selected;
  }
  /**
   * Sets/Gets if the item is the currently selected one in the dropdown
   *
   */
  set selected(value) {
    if (this.isHeader) {
      return;
    }
    this._selected = value;
    this.selectedChange.emit(this._selected);
  }
  /**
   * @hidden @internal
   */
  get setTabIndex() {
    const shouldSetTabIndex = this.dropDown.allowItemsFocus && this.isSelectable;
    if (shouldSetTabIndex) {
      return 0;
    } else {
      return null;
    }
  }
  clicked(event) {
    if (!this.isSelectable) {
      this.ensureItemFocus();
      return;
    }
    if (this.selection) {
      this.dropDown.selectItem(this, event);
    }
  }
  static {
    this.ɵfac = i064.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i064, type: _IgxDropDownItemComponent, deps: null, target: i064.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i064.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDropDownItemComponent, isStandalone: true, selector: "igx-drop-down-item", host: { properties: { "attr.tabindex": "this.setTabIndex" } }, usesInheritance: true, ngImport: i064, template: '<span class="igx-drop-down__content">\n    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>\n    <span class="igx-drop-down__inner">\n        <ng-content></ng-content>\n    </span>\n    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>\n    <ng-content select="igx-divider"></ng-content>\n</span>\n' });
  }
};
i064.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i064, type: IgxDropDownItemComponent, decorators: [{
  type: Component14,
  args: [{ selector: "igx-drop-down-item", standalone: true, template: '<span class="igx-drop-down__content">\n    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>\n    <span class="igx-drop-down__inner">\n        <ng-content></ng-content>\n    </span>\n    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>\n    <ng-content select="igx-divider"></ng-content>\n</span>\n' }]
}], propDecorators: { setTabIndex: [{
  type: HostBinding29,
  args: ["attr.tabindex"]
}] } });

// lib/drop-down/drop-down.component.mjs
import { Component as Component15, ContentChildren as ContentChildren5, forwardRef as forwardRef2, Input as Input42, ViewChild as ViewChild8, ContentChild as ContentChild4, Output as Output20, EventEmitter as EventEmitter29, Optional as Optional17, Inject as Inject26, booleanAttribute as booleanAttribute26 } from "@angular/core";
import { Subject as Subject17 } from "rxjs";
import { take } from "rxjs/operators";
import { NgIf as NgIf4 } from "@angular/common";
import * as i065 from "@angular/core";
var IgxDropDownComponent = class _IgxDropDownComponent extends IgxDropDownBaseDirective {
  /**
   * @hidden @internal
   */
  get focusedItem() {
    if (this.virtDir) {
      return this._focusedItem && this._focusedItem.index !== -1 ? this.children.find((e) => e.index === this._focusedItem.index) || null : null;
    }
    return this._focusedItem;
  }
  set focusedItem(value) {
    if (!value) {
      this.selection.clear(`${this.id}-active`);
      this._focusedItem = null;
      return;
    }
    this._focusedItem = value;
    if (this.virtDir) {
      this._focusedItem = {
        value: value.value,
        index: value.index
      };
    }
    this.selection.set(`${this.id}-active`, /* @__PURE__ */ new Set([this._focusedItem]));
  }
  get id() {
    return this._id;
  }
  set id(value) {
    this.selection.set(value, this.selection.get(this.id));
    this.selection.clear(this.id);
    this.selection.set(value, this.selection.get(`${this.id}-active`));
    this.selection.clear(`${this.id}-active`);
    this._id = value;
  }
  /** Id of the internal listbox of the drop down */
  get listId() {
    return this.id + "-list";
  }
  /**
   * Get currently selected item
   *
   * ```typescript
   * let currentItem = this.dropdown.selectedItem;
   * ```
   */
  get selectedItem() {
    const selectedItem = this.selection.first_item(this.id);
    if (selectedItem) {
      return selectedItem;
    }
    return null;
  }
  /**
   * Gets if the dropdown is collapsed
   *
   * ```typescript
   * let isCollapsed = this.dropdown.collapsed;
   * ```
   */
  get collapsed() {
    return this.toggleDirective.collapsed;
  }
  /** @hidden @internal */
  get scrollContainer() {
    return this.scrollContainerRef.nativeElement;
  }
  get collectionLength() {
    if (this.virtDir) {
      return this.virtDir.totalItemCount || this.virtDir.igxForOf.length;
    }
  }
  constructor(elementRef, cdr, selection, _displayDensityOptions) {
    super(elementRef, cdr, _displayDensityOptions);
    this.selection = selection;
    this.opening = new EventEmitter29();
    this.opened = new EventEmitter29();
    this.closing = new EventEmitter29();
    this.closed = new EventEmitter29();
    this.allowItemsFocus = false;
    this.destroy$ = new Subject17();
  }
  /**
   * Opens the dropdown
   *
   * ```typescript
   * this.dropdown.open();
   * ```
   */
  open(overlaySettings) {
    this.toggleDirective.open(overlaySettings);
    this.updateScrollPosition();
  }
  /**
   * Closes the dropdown
   *
   * ```typescript
   * this.dropdown.close();
   * ```
   */
  close(event) {
    this.toggleDirective.close(event);
  }
  /**
   * Toggles the dropdown
   *
   * ```typescript
   * this.dropdown.toggle();
   * ```
   */
  toggle(overlaySettings) {
    if (this.collapsed || this.toggleDirective.isClosing) {
      this.open(overlaySettings);
    } else {
      this.close();
    }
  }
  /**
   * Select an item by index
   *
   * @param index of the item to select; If the drop down uses *igxFor, pass the index in data
   */
  setSelectedItem(index) {
    if (index < 0 || index >= this.items.length) {
      return;
    }
    let newSelection;
    if (this.virtDir) {
      newSelection = {
        value: this.virtDir.igxForOf[index],
        index
      };
    } else {
      newSelection = this.items[index];
    }
    this.selectItem(newSelection);
  }
  /**
   * Navigates to the item on the specified index
   * If the data in the drop-down is virtualized, pass the index of the item in the virtualized data.
   *
   * @param newIndex number
   */
  navigateItem(index) {
    if (this.virtDir) {
      if (index === -1 || index >= this.collectionLength) {
        return;
      }
      const direction = index > (this.focusedItem ? this.focusedItem.index : -1) ? Navigate.Down : Navigate.Up;
      const subRequired = this.isIndexOutOfBounds(index, direction);
      this.focusedItem = {
        value: this.virtDir.igxForOf[index],
        index
      };
      if (subRequired) {
        this.virtDir.scrollTo(index);
      }
      if (subRequired) {
        this.virtDir.chunkLoad.pipe(take(1)).subscribe(() => {
          this.skipHeader(direction);
        });
      } else {
        this.skipHeader(direction);
      }
    } else {
      super.navigateItem(index);
    }
    if (this.allowItemsFocus && this.focusedItem) {
      this.focusedItem.element.nativeElement.focus();
      this.cdr.markForCheck();
    }
  }
  /**
   * @hidden @internal
   */
  updateScrollPosition() {
    if (!this.virtDir) {
      return;
    }
    if (!this.selectedItem) {
      this.virtDir.scrollTo(0);
      return;
    }
    let targetScroll = this.virtDir.getScrollForIndex(this.selectedItem.index);
    const itemsInView = this.virtDir.igxForContainerSize / this.virtDir.igxForItemSize;
    targetScroll -= (itemsInView / 2 - 1) * this.virtDir.igxForItemSize;
    this.virtDir.getScroll().scrollTop = targetScroll;
  }
  /**
   * @hidden @internal
   */
  onToggleOpening(e) {
    const args = { owner: this, event: e.event, cancel: false };
    this.opening.emit(args);
    e.cancel = args.cancel;
    if (e.cancel) {
      return;
    }
    if (this.virtDir) {
      this.virtDir.scrollPosition = this._scrollPosition;
    }
  }
  /**
   * @hidden @internal
   */
  onToggleContentAppended(_event) {
    if (!this.virtDir && this.selectedItem) {
      this.scrollToItem(this.selectedItem);
    }
  }
  /**
   * @hidden @internal
   */
  onToggleOpened() {
    this.updateItemFocus();
    this.opened.emit({ owner: this });
  }
  /**
   * @hidden @internal
   */
  onToggleClosing(e) {
    const args = { owner: this, event: e.event, cancel: false };
    this.closing.emit(args);
    e.cancel = args.cancel;
    if (e.cancel) {
      return;
    }
    if (this.virtDir) {
      this._scrollPosition = this.virtDir.scrollPosition;
    }
  }
  /**
   * @hidden @internal
   */
  onToggleClosed() {
    this.focusItem(false);
    this.closed.emit({ owner: this });
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
    this.selection.delete(this.id);
    this.selection.delete(`${this.id}-active`);
  }
  /** @hidden @internal */
  calculateScrollPosition(item) {
    if (!item) {
      return 0;
    }
    const elementRect = item.element.nativeElement.getBoundingClientRect();
    const parentRect = this.scrollContainer.getBoundingClientRect();
    const scrollDelta = parentRect.top - elementRect.top;
    let scrollPosition = this.scrollContainer.scrollTop - scrollDelta;
    const dropDownHeight = this.scrollContainer.clientHeight;
    scrollPosition -= dropDownHeight / 2;
    scrollPosition += item.elementHeight / 2;
    return Math.floor(scrollPosition);
  }
  /**
   * @hidden @internal
   */
  ngOnChanges(changes) {
    if (changes.id) {
      this.toggleDirective.id = changes.id.currentValue;
    }
  }
  ngAfterViewInit() {
    if (this.virtDir) {
      this.virtDir.igxForItemSize = 28;
    }
  }
  /** Keydown Handler */
  onItemActionKey(key, event) {
    super.onItemActionKey(key, event);
    this.close(event);
  }
  /**
   * Virtual scroll implementation
   *
   * @hidden @internal
   */
  navigateFirst() {
    if (this.virtDir) {
      this.navigateItem(0);
    } else {
      super.navigateFirst();
    }
  }
  /**
   * @hidden @internal
   */
  navigateLast() {
    if (this.virtDir) {
      this.navigateItem(this.virtDir.totalItemCount ? this.virtDir.totalItemCount - 1 : this.virtDir.igxForOf.length - 1);
    } else {
      super.navigateLast();
    }
  }
  /**
   * @hidden @internal
   */
  navigateNext() {
    if (this.virtDir) {
      this.navigateItem(this._focusedItem ? this._focusedItem.index + 1 : 0);
    } else {
      super.navigateNext();
    }
  }
  /**
   * @hidden @internal
   */
  navigatePrev() {
    if (this.virtDir) {
      this.navigateItem(this._focusedItem ? this._focusedItem.index - 1 : 0);
    } else {
      super.navigatePrev();
    }
  }
  /**
   * Handles the `selectionChanging` emit and the drop down toggle when selection changes
   *
   * @hidden
   * @internal
   * @param newSelection
   * @param event
   */
  selectItem(newSelection, event) {
    const oldSelection = this.selectedItem;
    if (!newSelection) {
      newSelection = this.focusedItem;
    }
    if (newSelection === null) {
      return;
    }
    if (newSelection instanceof IgxDropDownItemBaseDirective && newSelection.isHeader) {
      return;
    }
    if (this.virtDir) {
      newSelection = {
        value: newSelection.value,
        index: newSelection.index
      };
    }
    const args = { oldSelection, newSelection, cancel: false, owner: this };
    this.selectionChanging.emit(args);
    if (!args.cancel) {
      if (this.isSelectionValid(args.newSelection)) {
        this.selection.set(this.id, /* @__PURE__ */ new Set([args.newSelection]));
        if (!this.virtDir) {
          if (oldSelection) {
            oldSelection.selected = false;
          }
          if (args.newSelection) {
            args.newSelection.selected = true;
          }
        }
        if (event) {
          this.toggleDirective.close(event);
        }
      } else {
        throw new Error("Please provide a valid drop-down item for the selection!");
      }
    }
  }
  /**
   * Clears the selection of the dropdown
   * ```typescript
   * this.dropdown.clearSelection();
   * ```
   */
  clearSelection() {
    const oldSelection = this.selectedItem;
    const newSelection = null;
    const args = { oldSelection, newSelection, cancel: false, owner: this };
    this.selectionChanging.emit(args);
    if (this.selectedItem && !args.cancel) {
      this.selectedItem.selected = false;
      this.selection.clear(this.id);
    }
  }
  /**
   * Checks whether the selection is valid
   * `null` - the selection should be emptied
   * Virtual? - the selection should at least have and `index` and `value` property
   * Non-virtual? - the selection should be a valid drop-down item and **not** be a header
   */
  isSelectionValid(selection) {
    return selection === null || this.virtDir && selection.hasOwnProperty("value") && selection.hasOwnProperty("index") || selection instanceof IgxDropDownItemComponent && !selection.isHeader;
  }
  scrollToItem(item) {
    this.scrollContainer.scrollTop = this.calculateScrollPosition(item);
  }
  focusItem(value) {
    if (value || this._focusedItem) {
      this._focusedItem.focused = value;
    }
  }
  updateItemFocus() {
    if (this.selectedItem) {
      this.focusedItem = this.selectedItem;
      this.focusItem(true);
    } else if (this.allowItemsFocus) {
      this.navigateFirst();
    }
  }
  skipHeader(direction) {
    if (!this.focusedItem) {
      return;
    }
    if (this.focusedItem.isHeader || this.focusedItem.disabled) {
      if (direction === Navigate.Up) {
        this.navigatePrev();
      } else {
        this.navigateNext();
      }
    }
  }
  isIndexOutOfBounds(index, direction) {
    const virtState = this.virtDir.state;
    const currentPosition = this.virtDir.getScroll().scrollTop;
    const itemPosition = this.virtDir.getScrollForIndex(index, direction === Navigate.Down);
    const indexOutOfChunk = index < virtState.startIndex || index > virtState.chunkSize + virtState.startIndex;
    const scrollNeeded = direction === Navigate.Down ? currentPosition < itemPosition : currentPosition > itemPosition;
    const subRequired = indexOutOfChunk || scrollNeeded;
    return subRequired;
  }
  static {
    this.ɵfac = i065.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i065, type: _IgxDropDownComponent, deps: [{ token: i065.ElementRef }, { token: i065.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: DisplayDensityToken, optional: true }], target: i065.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i065.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDropDownComponent, isStandalone: true, selector: "igx-drop-down", inputs: { allowItemsFocus: ["allowItemsFocus", "allowItemsFocus", booleanAttribute26], labelledBy: "labelledBy" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed" }, providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: _IgxDropDownComponent }], queries: [{ propertyName: "virtDir", first: true, predicate: IgxForOfToken, descendants: true }, { propertyName: "children", predicate: i065.forwardRef(() => IgxDropDownItemComponent), descendants: true }], viewQueries: [{ propertyName: "toggleDirective", first: true, predicate: IgxToggleDirective, descendants: true, static: true }, { propertyName: "scrollContainerRef", first: true, predicate: ["scrollContainer"], descendants: true, static: true }], usesInheritance: true, usesOnChanges: true, ngImport: i065, template: '<div class="igx-drop-down__list" [style.width]="width"\n    igxToggle\n    [style.--component-size]="getComponentSizeStyles()"\n    (appended)="onToggleContentAppended($event)"\n    (opening)="onToggleOpening($event)" (opened)="onToggleOpened()"\n    (closing)="onToggleClosing($event)" (closed)="onToggleClosed()">\n    <div class="igx-drop-down__list-scroll" #scrollContainer [attr.id]="listId" role="listbox" [attr.aria-labelledby]="labelledBy"\n    [style.height]="height"\n    [style.maxHeight]="maxHeight">\n        <ng-container *ngIf="!collapsed">\n            <ng-content></ng-content>\n        </ng-container>\n    </div>\n</div>\n', dependencies: [{ kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: NgIf4, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i065.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i065, type: IgxDropDownComponent, decorators: [{
  type: Component15,
  args: [{ selector: "igx-drop-down", providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: IgxDropDownComponent }], standalone: true, imports: [IgxToggleDirective, NgIf4], template: '<div class="igx-drop-down__list" [style.width]="width"\n    igxToggle\n    [style.--component-size]="getComponentSizeStyles()"\n    (appended)="onToggleContentAppended($event)"\n    (opening)="onToggleOpening($event)" (opened)="onToggleOpened()"\n    (closing)="onToggleClosing($event)" (closed)="onToggleClosed()">\n    <div class="igx-drop-down__list-scroll" #scrollContainer [attr.id]="listId" role="listbox" [attr.aria-labelledby]="labelledBy"\n    [style.height]="height"\n    [style.maxHeight]="maxHeight">\n        <ng-container *ngIf="!collapsed">\n            <ng-content></ng-content>\n        </ng-container>\n    </div>\n</div>\n' }]
}], ctorParameters: () => [{ type: i065.ElementRef }, { type: i065.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: void 0, decorators: [{
  type: Optional17
}, {
  type: Inject26,
  args: [DisplayDensityToken]
}] }], propDecorators: { children: [{
  type: ContentChildren5,
  args: [forwardRef2(() => IgxDropDownItemComponent), { descendants: true }]
}], opening: [{
  type: Output20
}], opened: [{
  type: Output20
}], closing: [{
  type: Output20
}], closed: [{
  type: Output20
}], allowItemsFocus: [{
  type: Input42,
  args: [{ transform: booleanAttribute26 }]
}], labelledBy: [{
  type: Input42
}], virtDir: [{
  type: ContentChild4,
  args: [IgxForOfToken]
}], toggleDirective: [{
  type: ViewChild8,
  args: [IgxToggleDirective, { static: true }]
}], scrollContainerRef: [{
  type: ViewChild8,
  args: ["scrollContainer", { static: true }]
}] } });

// lib/action-strip/grid-actions/grid-action-button.component.mjs
import { Component as Component16, Input as Input43, ViewChild as ViewChild9, Output as Output21, EventEmitter as EventEmitter30, booleanAttribute as booleanAttribute27 } from "@angular/core";
import { NgIf as NgIf5 } from "@angular/common";
import * as i066 from "@angular/core";
var IgxGridActionButtonComponent = class _IgxGridActionButtonComponent {
  constructor() {
    this.actionClick = new EventEmitter30();
    this.asMenuItem = false;
  }
  /** @hidden @internal */
  get containerClass() {
    return "igx-action-strip__menu-button " + (this.classNames || "");
  }
  /**
   * @hidden
   * @internal
   */
  handleClick(event) {
    this.actionClick.emit(event);
  }
  /**
   * @hidden @internal
   */
  preventEvent(event) {
    if (event) {
      event.stopPropagation();
      event.preventDefault();
    }
  }
  static {
    this.ɵfac = i066.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i066, type: _IgxGridActionButtonComponent, deps: [], target: i066.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i066.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridActionButtonComponent, isStandalone: true, selector: "igx-grid-action-button", inputs: { asMenuItem: ["asMenuItem", "asMenuItem", booleanAttribute27], iconName: "iconName", classNames: "classNames", iconSet: "iconSet", labelText: "labelText" }, outputs: { actionClick: "actionClick" }, viewQueries: [{ propertyName: "container", first: true, predicate: ["container"], descendants: true }, { propertyName: "templateRef", first: true, predicate: ["menuItemTemplate"], descendants: true }], ngImport: i066, template: '<ng-container *ngIf="!asMenuItem">\n    <button type="button" [title]="labelText" igxIconButton="flat" igxRipple (click)="handleClick($event)" (mousedown)="preventEvent($event)">\n        <igx-icon *ngIf="iconSet" [family]="iconSet" [name]="iconName">{{iconName}}</igx-icon>\n        <igx-icon *ngIf="!iconSet" >{{iconName}}</igx-icon>\n    </button>\n</ng-container>\n\n<ng-template #menuItemTemplate>\n    <ng-container *ngIf="asMenuItem">\n        <div #container [className]="containerClass">\n            <igx-icon *ngIf="iconSet" [family]="iconSet" [name]="iconName">{{iconName}}</igx-icon>\n            <igx-icon *ngIf="!iconSet" >{{iconName}}</igx-icon>\n            <label igxLabel>{{labelText}}</label>\n        </div>\n    </ng-container>\n</ng-template>\n', dependencies: [{ kind: "directive", type: NgIf5, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i066.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i066, type: IgxGridActionButtonComponent, decorators: [{
  type: Component16,
  args: [{ selector: "igx-grid-action-button", standalone: true, imports: [NgIf5, IgxButtonDirective, IgxRippleDirective, IgxIconComponent, IgxIconButtonDirective], template: '<ng-container *ngIf="!asMenuItem">\n    <button type="button" [title]="labelText" igxIconButton="flat" igxRipple (click)="handleClick($event)" (mousedown)="preventEvent($event)">\n        <igx-icon *ngIf="iconSet" [family]="iconSet" [name]="iconName">{{iconName}}</igx-icon>\n        <igx-icon *ngIf="!iconSet" >{{iconName}}</igx-icon>\n    </button>\n</ng-container>\n\n<ng-template #menuItemTemplate>\n    <ng-container *ngIf="asMenuItem">\n        <div #container [className]="containerClass">\n            <igx-icon *ngIf="iconSet" [family]="iconSet" [name]="iconName">{{iconName}}</igx-icon>\n            <igx-icon *ngIf="!iconSet" >{{iconName}}</igx-icon>\n            <label igxLabel>{{labelText}}</label>\n        </div>\n    </ng-container>\n</ng-template>\n' }]
}], propDecorators: { container: [{
  type: ViewChild9,
  args: ["container"]
}], actionClick: [{
  type: Output21
}], templateRef: [{
  type: ViewChild9,
  args: ["menuItemTemplate"]
}], asMenuItem: [{
  type: Input43,
  args: [{ transform: booleanAttribute27 }]
}], iconName: [{
  type: Input43
}], classNames: [{
  type: Input43
}], iconSet: [{
  type: Input43
}], labelText: [{
  type: Input43
}] } });

// lib/grids/common/crud.service.mjs
import { Injectable as Injectable14 } from "@angular/core";
import { first as first5 } from "rxjs/operators";
import { Subject as Subject18 } from "rxjs";
import { FormGroup } from "@angular/forms";
import * as i067 from "@angular/core";
var IgxEditRow = class {
  constructor(id, index, data, grid) {
    this.id = id;
    this.index = index;
    this.data = data;
    this.grid = grid;
    this.rowFormGroup = new FormGroup({});
    this.rowFormGroup = this.grid.validation.create(id, data);
  }
  createRowEditEventArgs(includeNewValue = true, event) {
    const args = {
      primaryKey: this.id,
      rowID: this.id,
      rowKey: this.id,
      rowData: this.data,
      oldValue: this.data,
      cancel: false,
      owner: this.grid,
      isAddRow: false,
      valid: this.rowFormGroup.valid,
      event
    };
    if (includeNewValue) {
      args.newValue = this.newData ?? this.data;
    }
    return args;
  }
  createRowDataEventArgs(event) {
    const args = {
      rowID: this.id,
      primaryKey: this.id,
      rowKey: this.id,
      rowData: this.newData ?? this.data,
      data: this.newData ?? this.data,
      oldValue: this.data,
      cancel: false,
      owner: this.grid,
      isAddRow: true,
      valid: this.rowFormGroup.valid,
      event
    };
    return args;
  }
  createRowEditDoneEventArgs(cachedRowData, event) {
    const updatedData = this.grid.transactions.enabled ? this.grid.transactions.getAggregatedValue(this.id, true) : this.grid.gridAPI.getRowData(this.id);
    const rowData = updatedData ?? this.grid.gridAPI.getRowData(this.id);
    const args = {
      primaryKey: this.id,
      rowID: this.id,
      rowKey: this.id,
      rowData,
      oldValue: cachedRowData,
      newValue: updatedData,
      owner: this.grid,
      isAddRow: false,
      valid: true,
      event
    };
    return args;
  }
  getClassName() {
    return this.constructor.name;
  }
};
var IgxAddRow = class extends IgxEditRow {
  constructor(id, index, data, recordRef, grid) {
    super(id, index, data, grid);
    this.recordRef = recordRef;
    this.isAddRow = true;
  }
  createRowEditEventArgs(includeNewValue = true, event) {
    const args = super.createRowEditEventArgs(includeNewValue, event);
    args.oldValue = null;
    args.isAddRow = true;
    args.rowData = this.newData ?? this.data;
    return args;
  }
  createRowEditDoneEventArgs(cachedRowData, event) {
    const args = super.createRowEditDoneEventArgs(null, event);
    args.isAddRow = true;
    return args;
  }
};
var IgxCell = class {
  constructor(id, rowIndex, column, value, _editValue, rowData, grid) {
    this.id = id;
    this.rowIndex = rowIndex;
    this.column = column;
    this.value = value;
    this._editValue = _editValue;
    this.rowData = rowData;
    this.grid = grid;
    this.grid.validation.create(id.rowID, rowData);
  }
  get editValue() {
    const formControl = this.grid.validation.getFormControl(this.id.rowID, this.column.field);
    if (formControl) {
      return formControl.value;
    }
  }
  set editValue(value) {
    const formControl = this.grid.validation.getFormControl(this.id.rowID, this.column.field);
    if (this.grid.validationTrigger === "change") {
      formControl.setValue(value);
      formControl.markAsTouched();
    } else {
      this.pendingValue = value;
    }
  }
  castToNumber(value) {
    if (this.column.dataType === "number" && !this.column.inlineEditorTemplate) {
      const v = parseFloat(value);
      return !isNaN(v) && isFinite(v) ? v : 0;
    }
    return value;
  }
  createCellEditEventArgs(includeNewValue = true, event) {
    const formControl = this.grid.validation.getFormControl(this.id.rowID, this.column.field);
    const args = {
      primaryKey: this.id.rowID,
      rowID: this.id.rowID,
      rowKey: this.id.rowID,
      cellID: this.id,
      rowData: this.rowData,
      oldValue: this.value,
      cancel: false,
      column: this.column,
      owner: this.grid,
      valid: formControl ? formControl.valid : true,
      event
    };
    if (includeNewValue) {
      args.newValue = this.castToNumber(this.editValue);
    }
    return args;
  }
  createCellEditDoneEventArgs(value, event) {
    const updatedData = this.grid.transactions.enabled ? this.grid.transactions.getAggregatedValue(this.id.rowID, true) : this.rowData;
    const rowData = updatedData === null ? this.grid.gridAPI.getRowData(this.id.rowID) : updatedData;
    const formControl = this.grid.validation.getFormControl(this.id.rowID, this.column.field);
    const args = {
      primaryKey: this.id.rowID,
      rowID: this.id.rowID,
      rowKey: this.id.rowID,
      cellID: this.id,
      // rowData - should be the updated/committed rowData - this effectively should be the newValue
      // the only case we use this.rowData directly, is when there is no rowEditing or transactions enabled
      rowData,
      oldValue: this.value,
      valid: formControl ? formControl.valid : true,
      newValue: value,
      column: this.column,
      owner: this.grid,
      event
    };
    return args;
  }
};
var IgxCellCrudState = class {
  constructor() {
    this.cell = null;
    this.row = null;
    this.isInCompositionMode = false;
  }
  createCell(cell) {
    return this.cell = new IgxCell(cell.cellID || cell.id, cell.row.index, cell.column, cell.value, cell.value, cell.row.data, cell.grid);
  }
  createRow(cell) {
    return this.row = new IgxEditRow(cell.id.rowID, cell.rowIndex, cell.rowData, cell.grid);
  }
  sameRow(rowID) {
    return this.row && this.row.id === rowID;
  }
  sameCell(cell) {
    return this.cell.id.rowID === cell.id.rowID && this.cell.id.columnID === cell.id.columnID;
  }
  get cellInEditMode() {
    return !!this.cell;
  }
  beginCellEdit(event) {
    const args = this.cell.createCellEditEventArgs(false, event);
    this.grid.cellEditEnter.emit(args);
    if (args.cancel) {
      this.endCellEdit();
    }
  }
  cellEdit(event) {
    const args = this.cell.createCellEditEventArgs(true, event);
    this.grid.cellEdit.emit(args);
    return args;
  }
  updateCell(exit, event) {
    if (!this.cell) {
      return;
    }
    const cellNode = this.grid.gridAPI.get_cell_by_index(this.cell.id.rowIndex, this.cell.column.field)?.nativeElement;
    let activeElement;
    if (cellNode) {
      const document2 = cellNode.getRootNode();
      activeElement = document2.activeElement;
      activeElement.blur();
    }
    const formControl = this.grid.validation.getFormControl(this.cell.id.rowID, this.cell.column.field);
    if (this.grid.validationTrigger === "blur" && this.cell.pendingValue !== void 0) {
      formControl.setValue(this.cell.pendingValue);
      formControl.markAsTouched();
    }
    if (this.grid.validationTrigger === "blur") {
      this.grid.tbody.nativeElement.focus({ preventScroll: true });
    }
    let doneArgs;
    if (this.cell.column.dataType === "date" && !isDate(this.cell.value)) {
      if (isEqual(DateTimeUtil.parseIsoDate(this.cell.value), this.cell.editValue)) {
        doneArgs = this.exitCellEdit(event);
        return doneArgs;
      }
    }
    if (isEqual(this.cell.value, this.cell.editValue)) {
      doneArgs = this.exitCellEdit(event);
      return doneArgs;
    }
    const args = this.cellEdit(event);
    if (args.cancel) {
      activeElement?.focus();
      return args;
    }
    this.grid.gridAPI.update_cell(this.cell);
    doneArgs = this.cellEditDone(event, false);
    if (exit) {
      doneArgs = this.exitCellEdit(event);
    }
    return { ...args, ...doneArgs };
  }
  cellEditDone(event, addRow2) {
    const newValue = this.cell.castToNumber(this.cell.editValue);
    const doneArgs = this.cell.createCellEditDoneEventArgs(newValue, event);
    this.grid.cellEditDone.emit(doneArgs);
    if (addRow2) {
      doneArgs.rowData = this.row.data;
    }
    return doneArgs;
  }
  /** Exit cell edit mode */
  exitCellEdit(event) {
    if (!this.cell) {
      return;
    }
    const newValue = this.cell.castToNumber(this.cell.editValue);
    const args = this.cell?.createCellEditDoneEventArgs(newValue, event);
    this.cell.value = newValue;
    this.grid.cellEditExit.emit(args);
    this.endCellEdit();
    return args;
  }
  /** Clears cell editing state */
  endCellEdit() {
    this.cell = null;
  }
  /** Returns whether the targeted cell is in edit mode */
  targetInEdit(rowIndex, columnIndex) {
    if (!this.cell) {
      return false;
    }
    const res = this.cell.column.index === columnIndex && this.cell.rowIndex === rowIndex;
    return res;
  }
};
var IgxRowCrudState = class extends IgxCellCrudState {
  constructor() {
    super(...arguments);
    this.closeRowEditingOverlay = new Subject18();
    this._rowEditingBlocked = false;
    this._rowEditingStarted = false;
  }
  get primaryKey() {
    return this.grid.primaryKey;
  }
  get rowInEditMode() {
    const editRowState = this.row;
    return editRowState !== null ? this.grid.rowList.find((e) => e.key === editRowState.id) : null;
  }
  get rowEditing() {
    return this.grid.rowEditable;
  }
  get nonEditable() {
    return this.grid.rowEditable && (this.grid.primaryKey === void 0 || this.grid.primaryKey === null);
  }
  get rowEditingBlocked() {
    return this._rowEditingBlocked;
  }
  set rowEditingBlocked(val) {
    this._rowEditingBlocked = val;
  }
  /** Enters row edit mode */
  beginRowEdit(event) {
    if (!this.row || !(this.row.getClassName() === IgxEditRow.name)) {
      if (!this.row) {
        this.createRow(this.cell);
      }
      if (!this._rowEditingStarted) {
        const rowArgs = this.row.createRowEditEventArgs(false, event);
        this.grid.rowEditEnter.emit(rowArgs);
        if (rowArgs.cancel) {
          this.endEditMode();
          return true;
        }
        this._rowEditingStarted = true;
      }
      this.row.transactionState = this.grid.transactions.getAggregatedValue(this.row.id, true);
      this.grid.transactions.startPending();
      this.grid.openRowOverlay(this.row.id);
    }
  }
  rowEdit(event) {
    const args = this.row.createRowEditEventArgs(true, event);
    this.grid.rowEdit.emit(args);
    return args;
  }
  updateRow(commit, event) {
    if (!this.grid.rowEditable || this.grid.rowEditingOverlay && this.grid.rowEditingOverlay.collapsed || !this.row) {
      return {};
    }
    let args;
    if (commit) {
      this.row.newData = this.grid.transactions.getAggregatedValue(this.row.id, true);
      this.updateRowEditData(this.row, this.row.newData);
      args = this.rowEdit(event);
      if (args.cancel) {
        return args;
      }
    }
    args = this.endRowTransaction(commit, event);
    return args;
  }
  /**
   * @hidden @internal
   */
  endRowTransaction(commit, event) {
    this.row.newData = this.grid.transactions.getAggregatedValue(this.row.id, true);
    let rowEditArgs = this.row.createRowEditEventArgs(true, event);
    let nonCancelableArgs;
    if (!commit) {
      this.grid.transactions.endPending(false);
      const isAddRow = this.row && this.row.getClassName() === IgxAddRow.name;
      const id = this.row ? this.row.id : this.cell.id.rowID;
      if (isAddRow) {
        this.grid.validation.clear(id);
      } else {
        this.grid.validation.update(id, rowEditArgs.oldValue);
      }
    } else if (this.row.getClassName() === IgxEditRow.name) {
      rowEditArgs = this.grid.gridAPI.update_row(this.row, this.row.newData, event);
      nonCancelableArgs = this.rowEditDone(rowEditArgs.oldValue, event);
    } else {
      const rowAddArgs = this.row.createRowDataEventArgs(event);
      this.grid.rowAdd.emit(rowAddArgs);
      if (rowAddArgs.cancel) {
        return rowAddArgs;
      }
      this.grid.transactions.endPending(false);
      const parentId = this.getParentRowId();
      this.grid.gridAPI.addRowToData(this.row.newData ?? this.row.data, parentId);
      this.grid.triggerPipes();
      nonCancelableArgs = this.rowEditDone(null, event);
    }
    nonCancelableArgs = this.exitRowEdit(rowEditArgs.oldValue, event);
    return { ...nonCancelableArgs, ...rowEditArgs };
  }
  rowEditDone(cachedRowData, event) {
    const doneArgs = this.row.createRowEditDoneEventArgs(cachedRowData, event);
    this.grid.rowEditDone.emit(doneArgs);
    return doneArgs;
  }
  /** Exit row edit mode */
  exitRowEdit(cachedRowData, event) {
    const nonCancelableArgs = this.row.createRowEditDoneEventArgs(cachedRowData, event);
    this.grid.rowEditExit.emit(nonCancelableArgs);
    this.grid.closeRowEditingOverlay();
    this.endRowEdit();
    return nonCancelableArgs;
  }
  /** Clears row editing state */
  endRowEdit() {
    this.row = null;
    this.rowEditingBlocked = false;
    this._rowEditingStarted = false;
  }
  /** Clears cell and row editing state and closes row editing template if it is open */
  endEditMode() {
    this.endCellEdit();
    if (this.grid.rowEditable) {
      this.endRowEdit();
      this.grid.closeRowEditingOverlay();
    }
  }
  updateRowEditData(row, value) {
    const grid = this.grid;
    const rowInEditMode = grid.gridAPI.crudService.row;
    row.newData = value ?? rowInEditMode.transactionState;
    if (rowInEditMode && row.id === rowInEditMode.id) {
      row.data = Object.assign(copyDescriptors(row.data), row.data, rowInEditMode.transactionState);
    } else if (this.grid.transactions.enabled) {
      const state = grid.transactions.getState(row.id);
      row.data = state ? Object.assign({}, row.data, state.value) : row.data;
    }
  }
  getParentRowId() {
    return null;
  }
};
var IgxRowAddCrudState = class extends IgxRowCrudState {
  constructor() {
    super(...arguments);
    this.addRowParent = null;
  }
  /**
   * @hidden @internal
   */
  createAddRow(parentRow, asChild) {
    this.createAddRowParent(parentRow, asChild);
    const newRec = this.grid.getEmptyRecordObjectFor(parentRow);
    const addRowIndex = this.addRowParent.index + 1;
    return this.row = new IgxAddRow(newRec.rowID, addRowIndex, newRec.data, newRec.recordRef, this.grid);
  }
  /**
   * @hidden @internal
   */
  createAddRowParent(row, newRowAsChild) {
    const rowIndex = row ? row.index : -1;
    const rowId = row ? row.key : rowIndex >= 0 ? this.grid.rowList.last.key : null;
    const isInPinnedArea = this.grid.isRecordPinnedByViewIndex(rowIndex);
    const pinIndex = this.grid.pinnedRecords.findIndex((x) => x[this.primaryKey] === rowId);
    const unpinIndex = this.grid.getUnpinnedIndexById(rowId);
    this.addRowParent = {
      rowID: rowId,
      rowKey: rowId,
      index: isInPinnedArea ? pinIndex : unpinIndex,
      asChild: newRowAsChild,
      isPinned: isInPinnedArea
    };
  }
  /**
   * @hidden @internal
   */
  endRowTransaction(commit, event) {
    const isAddRow = this.row && this.row.getClassName() === IgxAddRow.name;
    if (isAddRow) {
      this.grid.rowAdded.pipe(first5()).subscribe((addRowArgs) => {
        const rowData = addRowArgs.data;
        const pinnedIndex = this.grid.pinnedRecords.findIndex((x) => x[this.primaryKey] === rowData[this.primaryKey]);
        const viewIndex = pinnedIndex !== -1 ? pinnedIndex : this._findRecordIndexInView(rowData);
        const dataIndex = this.grid.filteredSortedData.findIndex((data) => data[this.primaryKey] === rowData[this.primaryKey]);
        const isInView = viewIndex !== -1 && !this.grid.navigation.shouldPerformVerticalScroll(viewIndex, 0);
        const showIndex = isInView ? -1 : dataIndex;
        this.grid.showSnackbarFor(showIndex);
      });
    }
    const args = super.endRowTransaction(commit, event);
    if (args.cancel) {
      return args;
    }
    if (isAddRow) {
      this.endAddRow();
      if (commit) {
        const rowAddedEventArgs = {
          data: args.rowData,
          rowData: args.rowData,
          owner: this.grid,
          primaryKey: args.rowData[this.grid.primaryKey],
          rowKey: args.rowData[this.grid.primaryKey]
        };
        this.grid.rowAddedNotifier.next(rowAddedEventArgs);
        this.grid.rowAdded.emit(rowAddedEventArgs);
      }
    }
    return args;
  }
  /**
   * @hidden @internal
   */
  endAddRow() {
    this.addRowParent = null;
    this.grid.triggerPipes();
  }
  /**
   * @hidden
   * @internal
   * TODO: consider changing modifier
   */
  _findRecordIndexInView(rec) {
    return this.grid.dataView.findIndex((data) => data[this.primaryKey] === rec[this.primaryKey]);
  }
  getParentRowId() {
    if (this.addRowParent.asChild) {
      return this.addRowParent.asChild ? this.addRowParent.rowID : void 0;
    } else if (this.addRowParent.rowID !== null && this.addRowParent.rowID !== void 0) {
      const spawnedForRecord = this.grid.gridAPI.get_rec_by_id(this.addRowParent.rowID);
      return spawnedForRecord?.parent?.rowID;
    }
  }
};
var IgxGridCRUDService = class _IgxGridCRUDService extends IgxRowAddCrudState {
  enterEditMode(cell, event) {
    if (this.isInCompositionMode) {
      return;
    }
    if (this.nonEditable) {
      console.warn("The grid must have a `primaryKey` specified when using `rowEditable`!");
      return;
    }
    if (this.cellInEditMode) {
      const canceled = this.endEdit(true, event);
      if (!canceled || !this.cell) {
        this.grid.tbody.nativeElement.focus();
      }
    } else {
      if (this.rowEditing) {
        if (this.row && !this.sameRow(cell?.cellID?.rowID)) {
          this.rowEditingBlocked = this.endEdit(true, event);
          if (this.rowEditingBlocked) {
            return true;
          }
          this.rowEditingBlocked = false;
          this.endRowEdit();
        }
        this.createCell(cell);
        const canceled = this.beginRowEdit(event);
        if (!canceled) {
          this.beginCellEdit(event);
        }
      } else {
        this.createCell(cell);
        this.beginCellEdit(event);
      }
    }
  }
  /**
   * Enters add row mode by creating temporary dummy so the user can fill in new row cells.
   *
   * @param parentRow Parent row after which the Add Row UI will be rendered.
   *                  If `null` will show it at the bottom after all rows (or top if there are not rows).
   * @param asChild Specifies if the new row should be added as a child to a tree row.
   * @param event Base event that triggered the add row mode.
   */
  enterAddRowMode(parentRow, asChild, event) {
    if (!this.rowEditing && (this.grid.primaryKey === void 0 || this.grid.primaryKey === null)) {
      console.warn("The grid must use row edit mode to perform row adding! Please set rowEditable to true.");
      return;
    }
    this.endEdit(true, event);
    if (parentRow != null && this.grid.expansionStates.get(parentRow.key)) {
      this.grid.collapseRow(parentRow.key);
    }
    this.createAddRow(parentRow, asChild);
    this.grid.transactions.startPending();
    if (this.addRowParent.isPinned) {
      this.grid._pinnedRecordIDs.splice(this.row.index, 0, this.row.id);
    }
    this.grid.triggerPipes();
    this.grid.notifyChanges(true);
    this.grid.navigateTo(this.row.index, -1);
    const indexAdjust = this.grid.isRowPinningToTop ? !this.addRowParent.isPinned ? this.grid.pinnedRows.length : 0 : !this.addRowParent.isPinned ? 0 : this.grid.unpinnedRecords.length;
    const dummyRow = this.grid.gridAPI.get_row_by_index(this.row.index + indexAdjust);
    dummyRow.triggerAddAnimation();
    dummyRow.cdr.detectChanges();
    dummyRow.addAnimationEnd.pipe(first5()).subscribe(() => {
      const cell = dummyRow.cells.find((c) => c.editable);
      if (cell) {
        this.grid.gridAPI.update_cell(this.cell);
        this.enterEditMode(cell, event);
        cell.activate();
      }
    });
  }
  /**
   * Finishes the row transactions on the current row and returns whether the grid editing was canceled.
   *
   * @remarks
   * If `commit === true`, passes them from the pending state to the data (or transaction service)
   * @example
   * ```html
   * <button type="button" igxButton (click)="grid.endEdit(true)">Commit Row</button>
   * ```
   * @param commit
   */
  // TODO: Implement the same representation of the method without evt emission.
  endEdit(commit = true, event) {
    if (!this.row && !this.cell) {
      return;
    }
    let args;
    if (commit) {
      args = this.updateCell(true, event);
      if (args && args.cancel) {
        return args.cancel;
      }
    } else {
      const cell = this.cell;
      this.exitCellEdit(event);
      if (!this.grid.rowEditable && cell) {
        const value = this.grid.transactions.getAggregatedValue(cell.id.rowID, true) || cell.rowData;
        this.grid.validation.update(cell.id.rowID, value);
      }
    }
    args = this.updateRow(commit, event);
    this.rowEditingBlocked = args.cancel;
    if (args.cancel) {
      return true;
    }
    const activeCell = this.grid.selectionService.activeElement;
    if (event && activeCell) {
      const rowIndex = activeCell.row;
      const visibleColIndex = activeCell.layout ? activeCell.layout.columnVisibleIndex : activeCell.column;
      this.grid.navigateTo(rowIndex, visibleColIndex);
    }
    return false;
  }
  static {
    this.ɵfac = i067.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i067, type: _IgxGridCRUDService, deps: null, target: i067.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i067.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i067, type: _IgxGridCRUDService });
  }
};
i067.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i067, type: IgxGridCRUDService, decorators: [{
  type: Injectable14
}] });

// lib/grids/common/grid.interface.mjs
import { InjectionToken as InjectionToken7 } from "@angular/core";
var IGX_GRID_BASE = /* @__PURE__ */ new InjectionToken7("IgxGridBaseToken");
var IGX_GRID_SERVICE_BASE = /* @__PURE__ */ new InjectionToken7("IgxGridServiceBaseToken");

// lib/grids/summaries/grid-summary.mjs
var clear = (el) => el === 0 || Boolean(el);
var first6 = (arr) => arr[0];
var last2 = (arr) => arr[arr.length - 1];
var IgxSummaryOperand = class _IgxSummaryOperand {
  /**
   * Counts all the records in the data source.
   * If filtering is applied, counts only the filtered records.
   * ```typescript
   * IgxSummaryOperand.count(dataSource);
   * ```
   *
   * @memberof IgxSummaryOperand
   */
  static count(data) {
    return data.length;
  }
  /**
   * Executes the static `count` method and returns `IgxSummaryResult[]`.
   * ```typescript
   * interface IgxSummaryResult {
   *   key: string;
   *   label: string;
   *   summaryResult: any;
   * }
   * ```
   * Can be overridden in the inherited classes to provide customization for the `summary`.
   * ```typescript
   * class CustomSummary extends IgxSummaryOperand {
   *   constructor() {
   *     super();
   *   }
   *   public operate(data: any[], allData: any[], fieldName: string, groupRecord: IGroupByRecord): IgxSummaryResult[] {
   *     const result = [];
   *     result.push({
   *       key: "test",
   *       label: "Test",
   *       summaryResult: IgxSummaryOperand.count(data)
   *     });
   *     return result;
   *   }
   * }
   * this.grid.getColumnByName('ColumnName').summaries = CustomSummary;
   * ```
   *
   * @memberof IgxSummaryOperand
   */
  operate(data = [], _allData = [], _fieldName, _groupRecord) {
    return [{
      key: "count",
      label: "Count",
      defaultFormatting: false,
      summaryResult: _IgxSummaryOperand.count(data)
    }];
  }
};
var IgxNumberSummaryOperand = class _IgxNumberSummaryOperand extends IgxSummaryOperand {
  /**
   * Returns the minimum numeric value in the provided data records.
   * If filtering is applied, returns the minimum value in the filtered data records.
   * ```typescript
   * IgxNumberSummaryOperand.min(data);
   * ```
   *
   * @memberof IgxNumberSummaryOperand
   */
  static min(data) {
    return data.length && data.filter(clear).length ? data.filter(clear).reduce((a, b) => Math.min(a, b)) : 0;
  }
  /**
   * Returns the maximum numeric value in the provided data records.
   * If filtering is applied, returns the maximum value in the filtered data records.
   * ```typescript
   * IgxNumberSummaryOperand.max(data);
   * ```
   *
   * @memberof IgxNumberSummaryOperand
   */
  static max(data) {
    return data.length && data.filter(clear).length ? data.filter(clear).reduce((a, b) => Math.max(a, b)) : 0;
  }
  /**
   * Returns the sum of the numeric values in the provided data records.
   * If filtering is applied, returns the sum of the numeric values in the data records.
   * ```typescript
   * IgxNumberSummaryOperand.sum(data);
   * ```
   *
   * @memberof IgxNumberSummaryOperand
   */
  static sum(data) {
    return data.length && data.filter(clear).length ? data.filter(clear).reduce((a, b) => +a + +b) : 0;
  }
  /**
   * Returns the average numeric value in the data provided data records.
   * If filtering is applied, returns the average numeric value in the filtered data records.
   * ```typescript
   * IgxSummaryOperand.average(data);
   * ```
   *
   * @memberof IgxNumberSummaryOperand
   */
  static average(data) {
    return data.length && data.filter(clear).length ? this.sum(data) / this.count(data) : 0;
  }
  /**
   * Executes the static methods and returns `IgxSummaryResult[]`.
   * ```typescript
   * interface IgxSummaryResult {
   *   key: string;
   *   label: string;
   *   summaryResult: any;
   * }
   * ```
   * Can be overridden in the inherited classes to provide customization for the `summary`.
   * ```typescript
   * class CustomNumberSummary extends IgxNumberSummaryOperand {
   *   constructor() {
   *     super();
   *   }
   *   public operate(data: any[], allData: any[], fieldName: string, groupRecord: IGroupByRecord): IgxSummaryResult[] {
   *     const result = super.operate(data, allData, fieldName, groupRecord);
   *     result.push({
   *       key: "avg",
   *       label: "Avg",
   *       summaryResult: IgxNumberSummaryOperand.average(data)
   *     });
   *     result.push({
   *       key: 'mdn',
   *       label: 'Median',
   *       summaryResult: this.findMedian(data)
   *     });
   *     return result;
   *   }
   * }
   * this.grid.getColumnByName('ColumnName').summaries = CustomNumberSummary;
   * ```
   *
   * @memberof IgxNumberSummaryOperand
   */
  operate(data = [], allData = [], fieldName, groupRecord) {
    const result = super.operate(data, allData, fieldName, groupRecord);
    result.push({
      key: "min",
      label: "Min",
      defaultFormatting: true,
      summaryResult: _IgxNumberSummaryOperand.min(data)
    });
    result.push({
      key: "max",
      label: "Max",
      defaultFormatting: true,
      summaryResult: _IgxNumberSummaryOperand.max(data)
    });
    result.push({
      key: "sum",
      label: "Sum",
      defaultFormatting: true,
      summaryResult: _IgxNumberSummaryOperand.sum(data)
    });
    result.push({
      key: "average",
      label: "Avg",
      defaultFormatting: true,
      summaryResult: _IgxNumberSummaryOperand.average(data)
    });
    return result;
  }
};
var IgxDateSummaryOperand = class _IgxDateSummaryOperand extends IgxSummaryOperand {
  /**
   * Returns the latest date value in the data records.
   * If filtering is applied, returns the latest date value in the filtered data records.
   * ```typescript
   * IgxDateSummaryOperand.latest(data);
   * ```
   *
   * @memberof IgxDateSummaryOperand
   */
  static latest(data) {
    return data.length && data.filter(clear).length ? first6(data.filter(clear).sort((a, b) => new Date(b).valueOf() - new Date(a).valueOf())) : void 0;
  }
  /**
   * Returns the earliest date value in the data records.
   * If filtering is applied, returns the latest date value in the filtered data records.
   * ```typescript
   * IgxDateSummaryOperand.earliest(data);
   * ```
   *
   * @memberof IgxDateSummaryOperand
   */
  static earliest(data) {
    return data.length && data.filter(clear).length ? last2(data.filter(clear).sort((a, b) => new Date(b).valueOf() - new Date(a).valueOf())) : void 0;
  }
  /**
   * Executes the static methods and returns `IgxSummaryResult[]`.
   * ```typescript
   * interface IgxSummaryResult {
   *   key: string;
   *   label: string;
   *   summaryResult: any;
   * }
   * ```
   * Can be overridden in the inherited classes to provide customization for the `summary`.
   * ```typescript
   * class CustomDateSummary extends IgxDateSummaryOperand {
   *   constructor() {
   *     super();
   *   }
   *   public operate(data: any[], allData: any[], fieldName: string, groupRecord: IGroupByRecord): IgxSummaryResult[] {
   *     const result = super.operate(data, allData, fieldName, groupRecord);
   *     result.push({
   *       key: "deadline",
   *       label: "Deadline Date",
   *       summaryResult: this.calculateDeadline(data);
   *     });
   *     return result;
   *   }
   * }
   * this.grid.getColumnByName('ColumnName').summaries = CustomDateSummary;
   * ```
   *
   * @memberof IgxDateSummaryOperand
   */
  operate(data = [], allData = [], fieldName, groupRecord) {
    const result = super.operate(data, allData, fieldName, groupRecord);
    result.push({
      key: "earliest",
      label: "Earliest",
      defaultFormatting: true,
      summaryResult: _IgxDateSummaryOperand.earliest(data)
    });
    result.push({
      key: "latest",
      label: "Latest",
      defaultFormatting: true,
      summaryResult: _IgxDateSummaryOperand.latest(data)
    });
    return result;
  }
};
var IgxTimeSummaryOperand = class _IgxTimeSummaryOperand extends IgxSummaryOperand {
  /**
   * Returns the latest time value in the data records. Compare only the time part of the date.
   * If filtering is applied, returns the latest time value in the filtered data records.
   * ```typescript
   * IgxTimeSummaryOperand.latestTime(data);
   * ```
   *
   * @memberof IgxTimeSummaryOperand
   */
  static latestTime(data) {
    return data.length && data.filter(clear).length ? first6(data.filter(clear).map((v) => new Date(v)).sort((a, b) => (/* @__PURE__ */ new Date()).setHours(b.getHours(), b.getMinutes(), b.getSeconds()) - (/* @__PURE__ */ new Date()).setHours(a.getHours(), a.getMinutes(), a.getSeconds()))) : void 0;
  }
  /**
   * Returns the earliest time value in the data records. Compare only the time part of the date.
   * If filtering is applied, returns the earliest time value in the filtered data records.
   * ```typescript
   * IgxTimeSummaryOperand.earliestTime(data);
   * ```
   *
   * @memberof IgxTimeSummaryOperand
   */
  static earliestTime(data) {
    return data.length && data.filter(clear).length ? last2(data.filter(clear).map((v) => new Date(v)).sort((a, b) => (/* @__PURE__ */ new Date()).setHours(b.getHours(), b.getMinutes(), b.getSeconds()) - (/* @__PURE__ */ new Date()).setHours(a.getHours(), a.getMinutes(), a.getSeconds()))) : void 0;
  }
  /**
   * @memberof IgxTimeSummaryOperand
   */
  operate(data = [], allData = [], fieldName, groupRecord) {
    const result = super.operate(data, allData, fieldName, groupRecord);
    result.push({
      key: "earliest",
      label: "Earliest",
      defaultFormatting: true,
      summaryResult: _IgxTimeSummaryOperand.earliestTime(data)
    });
    result.push({
      key: "latest",
      label: "Latest",
      defaultFormatting: true,
      summaryResult: _IgxTimeSummaryOperand.latestTime(data)
    });
    return result;
  }
};

// lib/grids/pivot-grid/pivot-grid-aggregate.mjs
var IgxPivotAggregate = class _IgxPivotAggregate {
  /**
   * Gets array with default aggregator function for base aggregation.
   * ```typescript
   * IgxPivotAggregate.aggregators();
   * ```
   *
   * @memberof IgxPivotAggregate
   */
  static aggregators() {
    return [{
      key: "COUNT",
      label: "Count",
      aggregator: _IgxPivotAggregate.count
    }];
  }
  /**
   * Counts all the records in the data source.
   * If filtering is applied, counts only the filtered records.
   * ```typescript
   * IgxSummaryOperand.count(dataSource);
   * ```
   *
   * @memberof IgxPivotAggregate
   */
  static count(members) {
    return members.length;
  }
};
var IgxPivotNumericAggregate = class _IgxPivotNumericAggregate extends IgxPivotAggregate {
  /**
   * Gets array with default aggregator function for numeric aggregation.
   * ```typescript
   * IgxPivotAggregate.aggregators();
   * ```
   *
   * @memberof IgxPivotAggregate
   */
  static aggregators() {
    let result = [];
    result = result.concat(super.aggregators());
    result.push({
      key: "MIN",
      label: "Minimum",
      aggregator: _IgxPivotNumericAggregate.min
    });
    result.push({
      key: "MAX",
      label: "Maximum",
      aggregator: _IgxPivotNumericAggregate.max
    });
    result.push({
      key: "SUM",
      label: "Sum",
      aggregator: _IgxPivotNumericAggregate.sum
    });
    result.push({
      key: "AVG",
      label: "Average",
      aggregator: _IgxPivotNumericAggregate.average
    });
    return result;
  }
  /**
   * Returns the minimum numeric value in the provided data records.
   * If filtering is applied, returns the minimum value in the filtered data records.
   * ```typescript
   * IgxPivotNumericAggregate.min(members, data);
   * ```
   *
   * @memberof IgxPivotNumericAggregate
   */
  static min(members) {
    return IgxNumberSummaryOperand.min(members);
  }
  /**
   * Returns the maximum numeric value in the provided data records.
   * If filtering is applied, returns the maximum value in the filtered data records.
   * ```typescript
   * IgxPivotNumericAggregate.max(data);
   * ```
   *
   * @memberof IgxPivotNumericAggregate
   */
  static max(members) {
    return IgxNumberSummaryOperand.max(members);
  }
  /**
   * Returns the sum of the numeric values in the provided data records.
   * If filtering is applied, returns the sum of the numeric values in the data records.
   * ```typescript
   * IgxPivotNumericAggregate.sum(data);
   * ```
   *
   * @memberof IgxPivotNumericAggregate
   */
  static sum(members) {
    return IgxNumberSummaryOperand.sum(members);
  }
  /**
   * Returns the average numeric value in the data provided data records.
   * If filtering is applied, returns the average numeric value in the filtered data records.
   * ```typescript
   * IgxPivotNumericAggregate.average(data);
   * ```
   *
   * @memberof IgxPivotNumericAggregate
   */
  static average(members) {
    return IgxNumberSummaryOperand.average(members);
  }
};
var IgxPivotDateAggregate = class _IgxPivotDateAggregate extends IgxPivotAggregate {
  /**
   * Gets array with default aggregator function for date aggregation.
   * ```typescript
   * IgxPivotDateAggregate.aggregators();
   * ```
   *
   * @memberof IgxPivotAggregate
   */
  static aggregators() {
    let result = [];
    result = result.concat(super.aggregators());
    result.push({
      key: "LATEST",
      label: "Latest Date",
      aggregator: _IgxPivotDateAggregate.latest
    });
    result.push({
      key: "EARLIEST",
      label: "Earliest Date",
      aggregator: _IgxPivotDateAggregate.earliest
    });
    return result;
  }
  /**
   * Returns the latest date value in the data records.
   * If filtering is applied, returns the latest date value in the filtered data records.
   * ```typescript
   * IgxPivotDateAggregate.latest(data);
   * ```
   *
   * @memberof IgxPivotDateAggregate
   */
  static latest(members) {
    return IgxDateSummaryOperand.latest(members);
  }
  /**
   * Returns the earliest date value in the data records.
   * If filtering is applied, returns the latest date value in the filtered data records.
   * ```typescript
   * IgxPivotDateAggregate.earliest(data);
   * ```
   *
   * @memberof IgxPivotDateAggregate
   */
  static earliest(members) {
    return IgxDateSummaryOperand.earliest(members);
  }
};
var IgxPivotTimeAggregate = class _IgxPivotTimeAggregate extends IgxPivotAggregate {
  /**
   * Gets array with default aggregator function for time aggregation.
   * ```typescript
   * IgxPivotTimeAggregate.aggregators();
   * ```
   *
   * @memberof IgxPivotAggregate
   */
  static aggregators() {
    let result = [];
    result = result.concat(super.aggregators());
    result.push({
      key: "LATEST",
      label: "Latest Time",
      aggregator: _IgxPivotTimeAggregate.latestTime
    });
    result.push({
      key: "EARLIEST",
      label: "Earliest Time",
      aggregator: _IgxPivotTimeAggregate.earliestTime
    });
    return result;
  }
  /**
   * Returns the latest time value in the data records. Compare only the time part of the date.
   * If filtering is applied, returns the latest time value in the filtered data records.
   * ```typescript
   * IgxPivotTimeAggregate.latestTime(data);
   * ```
   *
   * @memberof IgxPivotTimeAggregate
   */
  static latestTime(members) {
    return IgxTimeSummaryOperand.latestTime(members);
  }
  /**
   * Returns the earliest time value in the data records. Compare only the time part of the date.
   * If filtering is applied, returns the earliest time value in the filtered data records.
   * ```typescript
   * IgxPivotTimeAggregate.earliestTime(data);
   * ```
   *
   * @memberof IgxPivotTimeAggregate
   */
  static earliestTime(members) {
    return IgxTimeSummaryOperand.earliestTime(members);
  }
};

// lib/grids/pivot-grid/pivot-grid.interface.mjs
var DEFAULT_PIVOT_KEYS = {
  aggregations: "aggregations",
  records: "records",
  children: "children",
  level: "level",
  rowDimensionSeparator: "_",
  columnDimensionSeparator: "-"
};
var PivotDimensionType;
(function(PivotDimensionType2) {
  PivotDimensionType2[PivotDimensionType2["Row"] = 0] = "Row";
  PivotDimensionType2[PivotDimensionType2["Column"] = 1] = "Column";
  PivotDimensionType2[PivotDimensionType2["Filter"] = 2] = "Filter";
})(PivotDimensionType || (PivotDimensionType = {}));

// lib/grids/pivot-grid/pivot-util.mjs
var PivotUtil = class _PivotUtil {
  // go through all children and apply new dimension groups as child
  static processGroups(recs, dimension, pivotKeys, cloneStrategy) {
    for (const rec of recs) {
      if (rec.children && rec.children.size > 0) {
        rec.children.forEach((values) => {
          this.processGroups(values, dimension, pivotKeys, cloneStrategy);
        });
      }
      const hierarchyFields = _PivotUtil.getFieldsHierarchy(rec.records, [dimension], PivotDimensionType.Row, pivotKeys, cloneStrategy);
      const siblingData = _PivotUtil.processHierarchy(hierarchyFields, pivotKeys, 0);
      rec.children.set(dimension.memberName, siblingData);
    }
  }
  static flattenGroups(data, dimension, expansionStates, defaultExpand, parent, parentRec) {
    for (let i = 0; i < data.length; i++) {
      const rec = data[i];
      const field = dimension.memberName;
      if (!field) {
        continue;
      }
      let recordsData = rec.children.get(field);
      if (!recordsData && parent) {
        recordsData = rec.children.get(parent.memberName);
        if (recordsData) {
          dimension = parent;
        }
      }
      if (parentRec) {
        parentRec.dimensionValues.forEach((value, key) => {
          if (parent.memberName !== key) {
            rec.dimensionValues.set(key, value);
            const dim = parentRec.dimensions.find((x) => x.memberName === key);
            rec.dimensions.unshift(dim);
          }
        });
      }
      const expansionRowKey = _PivotUtil.getRecordKey(rec, dimension);
      const isExpanded = expansionStates.get(expansionRowKey) === void 0 ? defaultExpand : expansionStates.get(expansionRowKey);
      const shouldExpand = isExpanded || !dimension.childLevel || !rec.dimensionValues.get(dimension.memberName);
      if (shouldExpand && recordsData) {
        if (dimension.childLevel) {
          this.flattenGroups(recordsData, dimension.childLevel, expansionStates, defaultExpand, dimension, rec);
        } else {
          recordsData.forEach((x) => {
            rec.dimensionValues.forEach((value, key) => {
              if (dimension.memberName !== key) {
                x.dimensionValues.set(key, value);
                const dim = rec.dimensions.find((y) => y.memberName === key);
                x.dimensions.unshift(dim);
              }
            });
          });
        }
        data.splice(i + 1, 0, ...recordsData);
        i += recordsData.length;
      }
    }
  }
  static assignLevels(dims) {
    for (const dim of dims) {
      let currDim = dim;
      let lvl = 0;
      while (currDim.childLevel) {
        currDim.level = lvl;
        currDim = currDim.childLevel;
        lvl++;
      }
      currDim.level = lvl;
    }
  }
  static getFieldsHierarchy(data, dimensions, dimensionType, pivotKeys, cloneStrategy) {
    const hierarchy = /* @__PURE__ */ new Map();
    for (const rec of data) {
      const vals = dimensionType === PivotDimensionType.Column ? this.extractValuesForColumn(dimensions, rec, pivotKeys) : this.extractValuesForRow(dimensions, rec, pivotKeys, cloneStrategy);
      for (const [_key, val] of vals) {
        if (hierarchy.get(val.value) != null) {
          this.applyHierarchyChildren(hierarchy, val, rec, pivotKeys);
        } else {
          hierarchy.set(val.value, cloneStrategy.clone(val));
          this.applyHierarchyChildren(hierarchy, val, rec, pivotKeys);
        }
      }
    }
    return hierarchy;
  }
  static sort(data, expressions, sorting = new IgxSorting()) {
    data.forEach((rec) => {
      const children = rec.children;
      if (children) {
        children.forEach((x) => {
          this.sort(x, expressions, sorting);
        });
      }
    });
    return DataUtil.sort(data, expressions, sorting);
  }
  static extractValueFromDimension(dim, recData) {
    return dim.memberFunction ? dim.memberFunction.call(null, recData) : recData[dim.memberName];
  }
  static getDimensionDepth(dim) {
    let lvl = 0;
    while (dim.childLevel) {
      lvl++;
      dim = dim.childLevel;
    }
    return lvl;
  }
  static extractValuesForRow(dims, recData, pivotKeys, cloneStrategy) {
    const values = /* @__PURE__ */ new Map();
    for (const col of dims) {
      if (recData[pivotKeys.level] && recData[pivotKeys.level] > 0) {
        const childData = recData[pivotKeys.records];
        return this.getFieldsHierarchy(childData, [col], PivotDimensionType.Row, pivotKeys, cloneStrategy);
      }
      const value = this.extractValueFromDimension(col, recData);
      const objValue = {};
      objValue["value"] = value;
      objValue["dimension"] = col;
      if (col.childLevel) {
        const childValues = this.extractValuesForRow([col.childLevel], recData, pivotKeys, cloneStrategy);
        objValue[pivotKeys.children] = childValues;
      }
      values.set(value, objValue);
    }
    return values;
  }
  static extractValuesForColumn(dims, recData, pivotKeys, path = []) {
    const vals = /* @__PURE__ */ new Map();
    let lvlCollection = vals;
    const flattenedDims = this.flatten(dims);
    for (const col of flattenedDims) {
      const value = this.extractValueFromDimension(col, recData);
      path.push(value);
      const newValue = path.join(pivotKeys.columnDimensionSeparator);
      const newObj = { value: newValue, expandable: col.expandable, children: null, dimension: col };
      if (!newObj.children) {
        newObj.children = /* @__PURE__ */ new Map();
      }
      lvlCollection.set(newValue, newObj);
      lvlCollection = newObj.children;
    }
    return vals;
  }
  static flatten(arr, lvl = 0) {
    const newArr = arr.reduce((acc, item) => {
      if (item) {
        item.level = lvl;
        acc.push(item);
        if (item.childLevel) {
          item.expandable = true;
          acc = acc.concat(this.flatten([item.childLevel], lvl + 1));
        }
      }
      return acc;
    }, []);
    return newArr;
  }
  static applyAggregations(rec, hierarchies, values, pivotKeys) {
    if (hierarchies.size === 0) {
      const aggregationResult = this.aggregate(rec.records, values);
      this.applyAggregationRecordData(aggregationResult, void 0, rec, pivotKeys);
      return;
    }
    hierarchies.forEach((hierarchy) => {
      const children = hierarchy[pivotKeys.children];
      if (children && children.size > 0) {
        this.applyAggregations(rec, children, values, pivotKeys);
        const childRecords = this.collectRecords(children, pivotKeys);
        hierarchy[pivotKeys.aggregations] = this.aggregate(childRecords, values);
        this.applyAggregationRecordData(hierarchy[pivotKeys.aggregations], hierarchy.value, rec, pivotKeys);
      } else if (hierarchy[pivotKeys.records]) {
        hierarchy[pivotKeys.aggregations] = this.aggregate(hierarchy[pivotKeys.records], values);
        this.applyAggregationRecordData(hierarchy[pivotKeys.aggregations], hierarchy.value, rec, pivotKeys);
      }
    });
  }
  static applyAggregationRecordData(aggregationData, groupName, rec, pivotKeys) {
    const aggregationKeys = Object.keys(aggregationData);
    if (aggregationKeys.length > 1) {
      aggregationKeys.forEach((key) => {
        const aggregationKey = groupName ? groupName + pivotKeys.columnDimensionSeparator + key : key;
        rec.aggregationValues.set(aggregationKey, aggregationData[key]);
      });
    } else if (aggregationKeys.length === 1) {
      const aggregationKey = aggregationKeys[0];
      rec.aggregationValues.set(groupName || aggregationKey, aggregationData[aggregationKey]);
    }
  }
  static aggregate(records, values) {
    const result = {};
    for (const pivotValue of values) {
      const aggregator = _PivotUtil.getAggregatorForType(pivotValue.aggregate, pivotValue.dataType);
      if (!aggregator) {
        throw `No valid aggregator found for ${pivotValue.member}. Please set either a valid aggregatorName or aggregator`;
      }
      result[pivotValue.member] = aggregator(records.map((r) => r[pivotValue.member]), records);
    }
    return result;
  }
  static getAggregatorForType(aggregate, dataType) {
    let aggregator = aggregate.aggregator;
    if (aggregate.aggregatorName) {
      let aggregators = IgxPivotNumericAggregate.aggregators();
      if (!dataType || dataType === "date" || dataType === "dateTime") {
        aggregators = aggregators.concat(IgxPivotDateAggregate.aggregators());
      } else if (dataType === "time") {
        aggregators = aggregators.concat(IgxPivotTimeAggregate.aggregators());
      }
      aggregator = aggregators.find((x) => x.key === aggregate.aggregatorName)?.aggregator;
    }
    return aggregator;
  }
  static processHierarchy(hierarchies, pivotKeys, level = 0, rootData = false) {
    const flatData = [];
    hierarchies.forEach((h, key) => {
      const field = h.dimension.memberName;
      const rec = {
        dimensionValues: /* @__PURE__ */ new Map(),
        aggregationValues: /* @__PURE__ */ new Map(),
        children: /* @__PURE__ */ new Map(),
        dimensions: [h.dimension]
      };
      rec.dimensionValues.set(field, key);
      if (h[pivotKeys.records]) {
        rec.records = this.getDirectLeafs(h[pivotKeys.records]);
      }
      rec.level = level;
      flatData.push(rec);
      if (h[pivotKeys.children] && h[pivotKeys.children].size > 0) {
        const nestedData = this.processHierarchy(h[pivotKeys.children], pivotKeys, level + 1, rootData);
        rec.records = this.getDirectLeafs(nestedData);
        rec.children.set(field, nestedData);
      }
    });
    return flatData;
  }
  static getDirectLeafs(records) {
    let leafs = [];
    for (const rec of records) {
      if (rec.records) {
        const data = rec.records.filter((x) => !x.records && leafs.indexOf(x) === -1);
        leafs = leafs.concat(data);
      } else {
        leafs.push(rec);
      }
    }
    return leafs;
  }
  static getRecordKey(rec, currentDim) {
    const parentFields = [];
    const currentDimIndex = rec.dimensions.findIndex((x) => x.memberName === currentDim.memberName) + 1;
    const prevDims = rec.dimensions.slice(0, currentDimIndex);
    for (const prev of prevDims) {
      const prevValue = rec.dimensionValues.get(prev.memberName);
      parentFields.push(prevValue);
    }
    return parentFields.join("-");
  }
  static buildExpressionTree(config) {
    const allDimensions = (config?.rows || []).concat(config?.columns || []).concat(config?.filters || []).filter((x) => x !== null && x !== void 0);
    const enabledDimensions = allDimensions.filter((x) => x && x.enabled);
    const expressionsTree = new FilteringExpressionsTree(FilteringLogic.And);
    _PivotUtil.flatten(enabledDimensions).forEach((x) => {
      if (x.filter && x.filter.filteringOperands) {
        expressionsTree.filteringOperands.push(...x.filter.filteringOperands);
      }
    });
    return expressionsTree;
  }
  static collectRecords(children, pivotKeys) {
    let result = [];
    children.forEach((value) => result = result.concat(value[pivotKeys.records]));
    return result;
  }
  static applyHierarchyChildren(hierarchy, val, rec, pivotKeys) {
    const recordsKey = pivotKeys.records;
    const childKey = pivotKeys.children;
    const childCollection = val[childKey];
    const hierarchyValue = hierarchy.get(val.value);
    if (Array.isArray(hierarchyValue[childKey])) {
      hierarchyValue[childKey] = /* @__PURE__ */ new Map();
    }
    if (!childCollection || childCollection.size === 0) {
      const dim = hierarchyValue.dimension;
      const isValid = this.extractValueFromDimension(dim, rec) === val.value;
      if (isValid) {
        if (hierarchyValue[recordsKey]) {
          hierarchyValue[recordsKey].push(rec);
        } else {
          hierarchyValue[recordsKey] = [rec];
        }
      }
    } else {
      const hierarchyChild = hierarchyValue[childKey];
      for (const [_key, child] of childCollection) {
        let hierarchyChildValue = hierarchyChild.get(child.value);
        if (!hierarchyChildValue) {
          hierarchyChild.set(child.value, child);
          hierarchyChildValue = child;
        }
        if (hierarchyChildValue[recordsKey]) {
          const copy = Object.assign({}, rec);
          if (rec[recordsKey]) {
            const nestedValue = hierarchyChildValue.value;
            const dimension = hierarchyChildValue.dimension;
            const validRecs = rec[recordsKey].filter((x) => this.extractValueFromDimension(dimension, x) === nestedValue);
            copy[recordsKey] = validRecs;
          }
          hierarchyChildValue[recordsKey].push(copy);
        } else {
          hierarchyChildValue[recordsKey] = [rec];
        }
        if (child[childKey] && child[childKey].size > 0) {
          this.applyHierarchyChildren(hierarchyChild, child, rec, pivotKeys);
        }
      }
    }
  }
  static getAggregateList(val, grid) {
    if (!val.aggregateList) {
      let defaultAggr = this.getAggregatorsForValue(val, grid);
      const isDefault = defaultAggr.find((x) => x.key === val.aggregate.key);
      if (!isDefault && grid.data[0][val.member] !== void 0) {
        defaultAggr.unshift(val.aggregate);
      } else if (!isDefault) {
        defaultAggr = [val.aggregate];
      }
      val.aggregateList = defaultAggr;
    }
    return val.aggregateList;
  }
  static getAggregatorsForValue(value, grid) {
    const dataType = value.dataType || grid.resolveDataTypes(grid.data[0][value.member]);
    switch (dataType) {
      case GridColumnDataType.Number:
      case GridColumnDataType.Currency:
        return IgxPivotNumericAggregate.aggregators();
      case GridColumnDataType.Date:
      case GridColumnDataType.DateTime:
        return IgxPivotDateAggregate.aggregators();
      case GridColumnDataType.Time:
        return IgxPivotTimeAggregate.aggregators();
      default:
        return IgxPivotAggregate.aggregators();
    }
  }
};

// lib/grids/selection/selection.service.mjs
import { Injectable as Injectable15 } from "@angular/core";
import { Subject as Subject19 } from "rxjs";
import * as i068 from "@angular/core";
var IgxGridSelectionService = class _IgxGridSelectionService {
  /**
   * Returns the current selected ranges in the grid from both
   * keyboard and pointer interactions
   */
  get ranges() {
    this.addKeyboardRange();
    const ranges = Array.from(this._ranges).map((range2) => JSON.parse(range2));
    if (!ranges.length && this.activeElement && this.grid.isCellSelectable) {
      ranges.push(this.generateRange(this.activeElement));
    }
    return ranges;
  }
  get primaryButton() {
    return this.pointerState.primaryButton;
  }
  set primaryButton(value) {
    this.pointerState.primaryButton = value;
  }
  constructor(zone, platform) {
    this.zone = zone;
    this.platform = platform;
    this.dragMode = false;
    this.keyboardState = {};
    this.pointerState = {};
    this.columnsState = {};
    this.selection = /* @__PURE__ */ new Map();
    this.temp = /* @__PURE__ */ new Map();
    this.rowSelection = /* @__PURE__ */ new Set();
    this.indeterminateRows = /* @__PURE__ */ new Set();
    this.columnSelection = /* @__PURE__ */ new Set();
    this.selectedRowsChange = new Subject19();
    this.pointerEventInGridBody = false;
    this._ranges = /* @__PURE__ */ new Set();
    this.pointerOriginHandler = (event) => {
      this.pointerEventInGridBody = false;
      document.body.removeEventListener("pointerup", this.pointerOriginHandler);
      const targetTagName = event.target.tagName.toLowerCase();
      if (targetTagName !== "igx-grid-cell" && targetTagName !== "igx-tree-grid-cell") {
        this.pointerUp(this._lastSelectedNode, this.grid.rangeSelected, true);
      }
    };
    this.initPointerState();
    this.initKeyboardState();
    this.initColumnsState();
  }
  /**
   * Resets the keyboard state
   */
  initKeyboardState() {
    this.keyboardState.node = null;
    this.keyboardState.shift = false;
    this.keyboardState.range = null;
    this.keyboardState.active = false;
  }
  /**
   * Resets the pointer state
   */
  initPointerState() {
    this.pointerState.node = null;
    this.pointerState.ctrl = false;
    this.pointerState.shift = false;
    this.pointerState.range = null;
    this.pointerState.primaryButton = true;
  }
  /**
   * Resets the columns state
   */
  initColumnsState() {
    this.columnsState.field = null;
    this.columnsState.range = [];
  }
  /**
   * Adds a single node.
   * Single clicks | Ctrl + single clicks on cells is the usual case.
   */
  add(node, addToRange = true) {
    if (this.selection.has(node.row)) {
      this.selection.get(node.row).add(node.column);
    } else {
      this.selection.set(node.row, /* @__PURE__ */ new Set()).get(node.row).add(node.column);
    }
    if (addToRange) {
      this._ranges.add(JSON.stringify(this.generateRange(node)));
    }
  }
  /**
   * Adds the active keyboard range selection (if any) to the `ranges` meta.
   */
  addKeyboardRange() {
    if (this.keyboardState.range) {
      this._ranges.add(JSON.stringify(this.keyboardState.range));
    }
  }
  remove(node) {
    if (this.selection.has(node.row)) {
      this.selection.get(node.row).delete(node.column);
    }
    if (this.isActiveNode(node)) {
      this.activeElement = null;
    }
    this._ranges.delete(JSON.stringify(this.generateRange(node)));
  }
  isInMap(node) {
    return this.selection.has(node.row) && this.selection.get(node.row).has(node.column) || this.temp.has(node.row) && this.temp.get(node.row).has(node.column);
  }
  selected(node) {
    return this.isActiveNode(node) && this.grid.isCellSelectable || this.isInMap(node);
  }
  isActiveNode(node) {
    if (this.activeElement) {
      const isActive = this.activeElement.column === node.column && this.activeElement.row === node.row;
      if (this.grid.hasColumnLayouts) {
        const layout = this.activeElement.layout;
        return isActive && this.isActiveLayout(layout, node.layout);
      }
      return isActive;
    }
    return false;
  }
  isActiveLayout(current, target) {
    return current.columnVisibleIndex === target.columnVisibleIndex;
  }
  addRangeMeta(node, state) {
    this._ranges.add(JSON.stringify(this.generateRange(node, state)));
  }
  removeRangeMeta(node, state) {
    this._ranges.delete(JSON.stringify(this.generateRange(node, state)));
  }
  /**
   * Generates a new selection range from the given `node`.
   * If `state` is passed instead it will generate the range based on the passed `node`
   * and the start node of the `state`.
   */
  generateRange(node, state) {
    this._lastSelectedNode = node;
    if (!state) {
      return {
        rowStart: node.row,
        rowEnd: node.row,
        columnStart: node.column,
        columnEnd: node.column
      };
    }
    const { row, column } = state.node;
    const rowStart = Math.min(node.row, row);
    const rowEnd = Math.max(node.row, row);
    const columnStart = Math.min(node.column, column);
    const columnEnd = Math.max(node.column, column);
    return { rowStart, rowEnd, columnStart, columnEnd };
  }
  /**
   *
   */
  keyboardStateOnKeydown(node, shift, shiftTab) {
    this.keyboardState.active = true;
    this.initPointerState();
    this.keyboardState.shift = shift && !shiftTab;
    if (!this.grid.navigation.isDataRow(node.row)) {
      return;
    }
    if (this.keyboardState.shift && !this.keyboardState.node) {
      this.clear();
      this.keyboardState.node = Object.assign({}, node);
    }
  }
  keyboardStateOnFocus(node, emitter, dom) {
    const kbState = this.keyboardState;
    if (kbState.active) {
      if (this.platform.isChromium) {
        this._moveSelectionChrome(dom);
      }
      if (kbState.shift) {
        this.dragSelect(node, kbState);
        kbState.range = this.generateRange(node, kbState);
        emitter.emit(this.generateRange(node, kbState));
        return;
      }
      this.initKeyboardState();
      this.clear();
      this.add(node);
    }
  }
  pointerDown(node, shift, ctrl) {
    this.addKeyboardRange();
    this.initKeyboardState();
    this.pointerState.ctrl = ctrl;
    this.pointerState.shift = shift;
    this.pointerEventInGridBody = true;
    document.body.addEventListener("pointerup", this.pointerOriginHandler);
    if (!ctrl) {
      this.clear();
    }
    if (shift) {
      if (!this.pointerState.node) {
        this.pointerState.node = this.activeElement || node;
      }
      this.pointerDownShiftKey(node);
      this.clearTextSelection();
      return;
    }
    this.removeRangeMeta(node);
    this.pointerState.node = node;
  }
  pointerDownShiftKey(node) {
    this.clear();
    this.selectRange(node, this.pointerState);
  }
  mergeMap(target, source) {
    const iterator = source.entries();
    let pair = iterator.next();
    let key;
    let value;
    while (!pair.done) {
      [key, value] = pair.value;
      if (target.has(key)) {
        const newValue = target.get(key);
        value.forEach((record) => newValue.add(record));
        target.set(key, newValue);
      } else {
        target.set(key, value);
      }
      pair = iterator.next();
    }
  }
  pointerEnter(node, event) {
    this.dragMode = event.buttons === 1 && (event.button === -1 || event.button === 0) && this.pointerEventInGridBody;
    if (!this.dragMode) {
      return false;
    }
    this.clearTextSelection();
    if (!this.pointerState.node) {
      this.pointerState.node = node;
    }
    if (this.pointerState.ctrl) {
      this.selectRange(node, this.pointerState, this.temp);
    } else {
      this.dragSelect(node, this.pointerState);
    }
    return true;
  }
  pointerUp(node, emitter, firedOutsideGrid) {
    if (this.dragMode || firedOutsideGrid) {
      this.restoreTextSelection();
      this.addRangeMeta(node, this.pointerState);
      this.mergeMap(this.selection, this.temp);
      this.zone.runTask(() => emitter.emit(this.generateRange(node, this.pointerState)));
      this.temp.clear();
      this.dragMode = false;
      return true;
    }
    if (this.pointerState.shift) {
      this.clearTextSelection();
      this.restoreTextSelection();
      this.addRangeMeta(node, this.pointerState);
      emitter.emit(this.generateRange(node, this.pointerState));
      return true;
    }
    if (this.pointerEventInGridBody && this.isActiveNode(node)) {
      this.add(node);
    }
    return false;
  }
  selectRange(node, state, collection = this.selection) {
    if (collection === this.temp) {
      collection.clear();
    }
    const { rowStart, rowEnd, columnStart, columnEnd } = this.generateRange(node, state);
    for (let i = rowStart; i <= rowEnd; i++) {
      for (let j = columnStart; j <= columnEnd; j++) {
        if (collection.has(i)) {
          collection.get(i).add(j);
        } else {
          collection.set(i, /* @__PURE__ */ new Set()).get(i).add(j);
        }
      }
    }
  }
  dragSelect(node, state) {
    if (!this.pointerState.ctrl) {
      this.selection.clear();
    }
    this.selectRange(node, state);
  }
  clear(clearAcriveEl = false) {
    if (clearAcriveEl) {
      this.activeElement = null;
    }
    this.selection.clear();
    this.temp.clear();
    this._ranges.clear();
  }
  clearTextSelection() {
    const selection = window.getSelection();
    if (selection.rangeCount) {
      this._selectionRange = selection.getRangeAt(0);
      this._selectionRange.collapse(true);
      selection.removeAllRanges();
    }
  }
  restoreTextSelection() {
    const selection = window.getSelection();
    if (!selection.rangeCount) {
      selection.addRange(this._selectionRange || document.createRange());
    }
  }
  getSelectedRowsData() {
    if (this.grid.isPivot) {
      return this.grid.dataView.filter((r) => {
        const keys = r.dimensions.map((d) => PivotUtil.getRecordKey(r, d));
        return keys.some((k) => this.isPivotRowSelected(k));
      });
    }
    if (this.rowSelection.size && this.grid.totalItemCount || this.grid.pagingMode === GridPagingMode.Remote) {
      if (!this.grid.primaryKey) {
        return Array.from(this.rowSelection);
      }
      const selection = [];
      this.rowSelection.forEach((rID) => {
        const rData = this.grid.gridAPI.get_all_data(true).find((row) => this.getRecordKey(row) === rID);
        const partialRowData = {};
        partialRowData[this.grid.primaryKey] = rID;
        selection.push(rData ? rData : partialRowData);
      });
      return selection;
    }
    return this.rowSelection.size ? this.grid.gridAPI.get_all_data(true).filter((row) => this.rowSelection.has(this.getRecordKey(row))) : [];
  }
  /** Returns array of the selected row id's. */
  getSelectedRows() {
    return this.rowSelection.size ? Array.from(this.rowSelection.keys()) : [];
  }
  /** Returns array of the rows in indeterminate state. */
  getIndeterminateRows() {
    return this.indeterminateRows.size ? Array.from(this.indeterminateRows.keys()) : [];
  }
  /** Clears row selection, if filtering is applied clears only selected rows from filtered data. */
  clearRowSelection(event) {
    const selectedRows = this.getSelectedRowsData();
    const removedRec = this.isFilteringApplied() ? this.allData.filter((row) => this.isRowSelected(this.getRecordKey(row))) : selectedRows;
    const newSelection = this.isFilteringApplied() ? selectedRows.filter((x) => !removedRec.includes(x)) : [];
    this.emitRowSelectionEvent(newSelection, [], removedRec, event, selectedRows);
  }
  /** Select all rows, if filtering is applied select only from filtered data. */
  selectAllRows(event) {
    const addedRows = this.allData.filter((row) => !this.isRowSelected(this.getRecordKey(row)));
    const selectedRows = this.getSelectedRowsData();
    const newSelection = this.rowSelection.size ? selectedRows.concat(addedRows) : addedRows;
    this.indeterminateRows.clear();
    this.emitRowSelectionEvent(newSelection, addedRows, [], event, selectedRows);
  }
  /** Select the specified row and emit event. */
  selectRowById(rowID, clearPrevSelection, event) {
    if (!(this.grid.isRowSelectable || this.grid.isPivot) || this.isRowDeleted(rowID)) {
      return;
    }
    clearPrevSelection = !this.grid.isMultiRowSelectionEnabled || clearPrevSelection;
    if (this.grid.isPivot) {
      this.selectPivotRowById(rowID, clearPrevSelection, event);
      return;
    }
    const selectedRows = this.getSelectedRowsData();
    const newSelection = clearPrevSelection ? [this.getRowDataById(rowID)] : this.rowSelection.has(rowID) ? selectedRows : [...selectedRows, this.getRowDataById(rowID)];
    const removed = clearPrevSelection ? selectedRows : [];
    this.emitRowSelectionEvent(newSelection, [this.getRowDataById(rowID)], removed, event, selectedRows);
  }
  selectPivotRowById(rowID, clearPrevSelection, event) {
    const selectedRows = this.getSelectedRows();
    const newSelection = clearPrevSelection ? [rowID] : this.rowSelection.has(rowID) ? selectedRows : [...selectedRows, rowID];
    const added = this.getPivotRowsByIds([rowID]);
    const removed = this.getPivotRowsByIds(clearPrevSelection ? selectedRows : []);
    this.emitRowSelectionEventPivotGrid(selectedRows, newSelection, added, removed, event);
  }
  /** Deselect the specified row and emit event. */
  deselectRow(rowID, event) {
    if (!this.isRowSelected(rowID)) {
      return;
    }
    if (this.grid.isPivot) {
      this.deselectPivotRowByID(rowID, event);
      return;
    }
    const selectedRows = this.getSelectedRowsData();
    const newSelection = selectedRows.filter((r) => this.getRecordKey(r) !== rowID);
    if (this.rowSelection.size && this.rowSelection.has(rowID)) {
      this.emitRowSelectionEvent(newSelection, [], [this.getRowDataById(rowID)], event, selectedRows);
    }
  }
  deselectPivotRowByID(rowID, event) {
    if (this.rowSelection.size && this.rowSelection.has(rowID)) {
      const currSelection = this.getSelectedRows();
      const newSelection = currSelection.filter((r) => r !== rowID);
      const removed = this.getPivotRowsByIds([rowID]);
      this.emitRowSelectionEventPivotGrid(currSelection, newSelection, [], removed, event);
    }
  }
  emitRowSelectionEventPivotGrid(currSelection, newSelection, added, removed, event) {
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const currSelectedRows = this.getSelectedRowsData();
    const args = {
      owner: this.grid,
      oldSelection: currSelectedRows,
      newSelection: this.getPivotRowsByIds(newSelection),
      added,
      removed,
      event,
      cancel: false,
      allRowsSelected: this.areAllRowSelected(newSelection)
    };
    this.grid.rowSelectionChanging.emit(args);
    if (args.cancel) {
      this.clearHeaderCBState();
      return;
    }
    this.selectRowsWithNoEvent(newSelection, true);
  }
  /** Select the specified rows and emit event. */
  selectRows(keys, clearPrevSelection, event) {
    if (!this.grid.isMultiRowSelectionEnabled) {
      return;
    }
    let rowsToSelect = keys.filter((x) => !this.isRowDeleted(x) && !this.rowSelection.has(x));
    if (!rowsToSelect.length && !clearPrevSelection) {
      return;
    }
    const selectedRows = this.getSelectedRowsData();
    rowsToSelect = this.grid.primaryKey ? rowsToSelect.map((r) => this.getRowDataById(r)) : rowsToSelect;
    const newSelection = clearPrevSelection ? rowsToSelect : [...selectedRows, ...rowsToSelect];
    const keysAsSet = new Set(rowsToSelect);
    const removed = clearPrevSelection ? selectedRows.filter((x) => !keysAsSet.has(x)) : [];
    this.emitRowSelectionEvent(newSelection, rowsToSelect, removed, event, selectedRows);
  }
  deselectRows(keys, event) {
    if (!this.rowSelection.size) {
      return;
    }
    let rowsToDeselect = keys.filter((x) => this.rowSelection.has(x));
    if (!rowsToDeselect.length) {
      return;
    }
    const selectedRows = this.getSelectedRowsData();
    rowsToDeselect = this.grid.primaryKey ? rowsToDeselect.map((r) => this.getRowDataById(r)) : rowsToDeselect;
    const keysAsSet = new Set(rowsToDeselect);
    const newSelection = selectedRows.filter((r) => !keysAsSet.has(r));
    this.emitRowSelectionEvent(newSelection, [], rowsToDeselect, event, selectedRows);
  }
  /** Select specified rows. No event is emitted. */
  selectRowsWithNoEvent(rowIDs, clearPrevSelection) {
    if (clearPrevSelection) {
      this.rowSelection.clear();
    }
    rowIDs.forEach((rowID) => this.rowSelection.add(rowID));
    this.clearHeaderCBState();
    this.selectedRowsChange.next();
  }
  /** Deselect specified rows. No event is emitted. */
  deselectRowsWithNoEvent(rowIDs) {
    this.clearHeaderCBState();
    rowIDs.forEach((rowID) => this.rowSelection.delete(rowID));
    this.selectedRowsChange.next();
  }
  isRowSelected(rowID) {
    return this.rowSelection.size > 0 && this.rowSelection.has(rowID);
  }
  isPivotRowSelected(rowID) {
    let contains = false;
    this.rowSelection.forEach((x) => {
      const correctRowId = rowID.replace(x, "");
      if (rowID.includes(x) && (correctRowId === "" || correctRowId.startsWith("_"))) {
        contains = true;
        return;
      }
    });
    return this.rowSelection.size > 0 && contains;
  }
  isRowInIndeterminateState(rowID) {
    return this.indeterminateRows.size > 0 && this.indeterminateRows.has(rowID);
  }
  /** Select range from last selected row to the current specified row. */
  selectMultipleRows(rowID, rowData, event) {
    this.clearHeaderCBState();
    if (!this.rowSelection.size || this.isRowDeleted(rowID)) {
      this.selectRowById(rowID);
      return;
    }
    const gridData = this.allData;
    const lastRowID = this.getSelectedRows()[this.rowSelection.size - 1];
    const currIndex = gridData.indexOf(this.getRowDataById(lastRowID));
    const newIndex = gridData.indexOf(rowData);
    const rows = gridData.slice(Math.min(currIndex, newIndex), Math.max(currIndex, newIndex) + 1);
    const currSelection = this.getSelectedRowsData();
    const added = rows.filter((r) => !this.isRowSelected(this.getRecordKey(r)));
    const newSelection = currSelection.concat(added);
    this.emitRowSelectionEvent(newSelection, added, [], event, currSelection);
  }
  areAllRowSelected(newSelection) {
    if (!this.grid.data && !newSelection) {
      return false;
    }
    if (this.allRowsSelected !== void 0 && !newSelection) {
      return this.allRowsSelected;
    }
    const selectedData = newSelection ? newSelection : [...this.rowSelection];
    const allData = this.getRowIDs(this.allData);
    const unSelectedRows = allData.filter((row) => !selectedData.includes(row));
    return this.allRowsSelected = this.allData.length > 0 && unSelectedRows.length === 0;
  }
  hasSomeRowSelected() {
    const filteredData = this.isFilteringApplied() ? this.getRowIDs(this.grid.filteredData).some((rID) => this.isRowSelected(rID)) : true;
    return this.rowSelection.size > 0 && filteredData && !this.areAllRowSelected();
  }
  get filteredSelectedRowIds() {
    return this.isFilteringApplied() ? this.getRowIDs(this.allData).filter((rowID) => this.isRowSelected(rowID)) : this.getSelectedRows().filter((rowID) => !this.isRowDeleted(rowID));
  }
  emitRowSelectionEvent(newSelection, added, removed, event, currSelection) {
    currSelection = currSelection ?? this.getSelectedRowsData();
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const args = {
      owner: this.grid,
      oldSelection: currSelection,
      newSelection,
      added,
      removed,
      event,
      cancel: false,
      allRowsSelected: this.areAllRowSelected(newSelection.map((r) => this.getRecordKey(r)))
    };
    this.grid.rowSelectionChanging.emit(args);
    if (args.cancel) {
      this.clearHeaderCBState();
      return;
    }
    this.selectRowsWithNoEvent(args.newSelection.map((r) => this.getRecordKey(r)), true);
  }
  getPivotRowsByIds(ids) {
    return this.grid.dataView.filter((r) => {
      const keys = r.dimensions.map((d) => PivotUtil.getRecordKey(r, d));
      return new Set(ids.concat(keys)).size < ids.length + keys.length;
    });
  }
  getRowDataById(rowID) {
    if (!this.grid.primaryKey) {
      return rowID;
    }
    const rowIndex = this.getRowIDs(this.grid.gridAPI.get_all_data(true)).indexOf(rowID);
    return rowIndex < 0 ? rowID : this.grid.gridAPI.get_all_data(true)[rowIndex];
  }
  clearHeaderCBState() {
    this.allRowsSelected = void 0;
  }
  getRowIDs(data) {
    return this.grid.primaryKey && data.length ? data.map((rec) => rec[this.grid.primaryKey]) : data;
  }
  getRecordKey(record) {
    return this.grid.primaryKey ? record[this.grid.primaryKey] : record;
  }
  /** Clear rowSelection and update checkbox state */
  clearAllSelectedRows() {
    this.rowSelection.clear();
    this.indeterminateRows.clear();
    this.clearHeaderCBState();
    this.selectedRowsChange.next();
  }
  /** Returns all data in the grid, with applied filtering and sorting and without deleted rows. */
  get allData() {
    let allData;
    if (this.isFilteringApplied() || this.grid.sortingExpressions.length || this.grid.groupingExpressions?.length) {
      allData = this.grid.pinnedRecordsCount ? this.grid._filteredSortedUnpinnedData : this.grid.filteredSortedData;
    } else {
      allData = this.grid.gridAPI.get_all_data(true);
    }
    return allData.filter((rData) => !this.isRowDeleted(this.grid.gridAPI.get_row_id(rData)));
  }
  /** Returns array of the selected columns fields. */
  getSelectedColumns() {
    return this.columnSelection.size ? Array.from(this.columnSelection.keys()) : [];
  }
  isColumnSelected(field) {
    return this.columnSelection.size > 0 && this.columnSelection.has(field);
  }
  /** Select the specified column and emit event. */
  selectColumn(field, clearPrevSelection, selectColumnsRange, event) {
    const stateColumn = this.columnsState.field ? this.grid.getColumnByName(this.columnsState.field) : null;
    if (!event || !stateColumn || stateColumn.visibleIndex < 0 || !selectColumnsRange) {
      this.columnsState.field = field;
      this.columnsState.range = [];
      const newSelection = clearPrevSelection ? [field] : this.getSelectedColumns().indexOf(field) !== -1 ? this.getSelectedColumns() : [...this.getSelectedColumns(), field];
      const removed = clearPrevSelection ? this.getSelectedColumns().filter((colField) => colField !== field) : [];
      const added = this.isColumnSelected(field) ? [] : [field];
      this.emitColumnSelectionEvent(newSelection, added, removed, event);
    } else if (selectColumnsRange) {
      this.selectColumnsRange(field, event);
    }
  }
  /** Select specified columns. And emit event. */
  selectColumns(fields, clearPrevSelection, selectColumnsRange, event) {
    const columns = fields.map((f) => this.grid.getColumnByName(f)).sort((a, b) => a.visibleIndex - b.visibleIndex);
    const stateColumn = this.columnsState.field ? this.grid.getColumnByName(this.columnsState.field) : null;
    if (!stateColumn || stateColumn.visibleIndex < 0 || !selectColumnsRange) {
      this.columnsState.field = columns[0] ? columns[0].field : null;
      this.columnsState.range = [];
      const added = fields.filter((colField) => !this.isColumnSelected(colField));
      const removed = clearPrevSelection ? this.getSelectedColumns().filter((colField) => fields.indexOf(colField) === -1) : [];
      const newSelection = clearPrevSelection ? fields : this.getSelectedColumns().concat(added);
      this.emitColumnSelectionEvent(newSelection, added, removed, event);
    } else {
      const filedStart = stateColumn.visibleIndex > columns[columns.length - 1].visibleIndex ? columns[0].field : columns[columns.length - 1].field;
      this.selectColumnsRange(filedStart, event);
    }
  }
  /** Select range from last clicked column to the current specified column. */
  selectColumnsRange(field, event) {
    const currIndex = this.grid.getColumnByName(this.columnsState.field).visibleIndex;
    const newIndex = this.grid.columnToVisibleIndex(field);
    const columnsFields = this.grid.visibleColumns.filter((c) => !c.columnGroup).sort((a, b) => a.visibleIndex - b.visibleIndex).slice(Math.min(currIndex, newIndex), Math.max(currIndex, newIndex) + 1).filter((col) => col.selectable).map((col) => col.field);
    const removed = [];
    const oldAdded = [];
    const added = columnsFields.filter((colField) => !this.isColumnSelected(colField));
    this.columnsState.range.forEach((f) => {
      if (columnsFields.indexOf(f) === -1) {
        removed.push(f);
      } else {
        oldAdded.push(f);
      }
    });
    this.columnsState.range = columnsFields.filter((colField) => !this.isColumnSelected(colField) || oldAdded.indexOf(colField) > -1);
    const newSelection = this.getSelectedColumns().concat(added).filter((c) => removed.indexOf(c) === -1);
    this.emitColumnSelectionEvent(newSelection, added, removed, event);
  }
  /** Select specified columns. No event is emitted. */
  selectColumnsWithNoEvent(fields, clearPrevSelection) {
    if (clearPrevSelection) {
      this.columnSelection.clear();
    }
    fields.forEach((field) => {
      this.columnSelection.add(field);
    });
  }
  /** Deselect the specified column and emit event. */
  deselectColumn(field, event) {
    this.initColumnsState();
    const newSelection = this.getSelectedColumns().filter((c) => c !== field);
    this.emitColumnSelectionEvent(newSelection, [], [field], event);
  }
  /** Deselect specified columns. No event is emitted. */
  deselectColumnsWithNoEvent(fields) {
    fields.forEach((field) => this.columnSelection.delete(field));
  }
  /** Deselect specified columns. And emit event. */
  deselectColumns(fields, event) {
    const removed = this.getSelectedColumns().filter((colField) => fields.indexOf(colField) > -1);
    const newSelection = this.getSelectedColumns().filter((colField) => fields.indexOf(colField) === -1);
    this.emitColumnSelectionEvent(newSelection, [], removed, event);
  }
  emitColumnSelectionEvent(newSelection, added, removed, event) {
    const currSelection = this.getSelectedColumns();
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const args = {
      oldSelection: currSelection,
      newSelection,
      added,
      removed,
      event,
      cancel: false
    };
    this.grid.columnSelectionChanging.emit(args);
    if (args.cancel) {
      return;
    }
    this.selectColumnsWithNoEvent(args.newSelection, true);
  }
  /** Clear columnSelection */
  clearAllSelectedColumns() {
    this.columnSelection.clear();
  }
  areEqualCollections(first19, second) {
    return first19.length === second.length && new Set(first19.concat(second)).size === first19.length;
  }
  /**
   * (╯°□°）╯︵ ┻━┻
   * Chrome and Chromium don't care about the active
   * range after keyboard navigation, thus this.
   */
  _moveSelectionChrome(node) {
    const selection = window.getSelection();
    selection.removeAllRanges();
    const range2 = new Range();
    range2.selectNode(node);
    range2.collapse(true);
    selection.addRange(range2);
  }
  isFilteringApplied() {
    return !FilteringExpressionsTree.empty(this.grid.filteringExpressionsTree) || !FilteringExpressionsTree.empty(this.grid.advancedFilteringExpressionsTree);
  }
  isRowDeleted(rowID) {
    return this.grid.gridAPI.row_deleted_transaction(rowID);
  }
  static {
    this.ɵfac = i068.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i068, type: _IgxGridSelectionService, deps: [{ token: i068.NgZone }, { token: PlatformUtil }], target: i068.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i068.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i068, type: _IgxGridSelectionService });
  }
};
i068.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i068, type: IgxGridSelectionService, decorators: [{
  type: Injectable15
}], ctorParameters: () => [{ type: i068.NgZone }, { type: PlatformUtil }] });

// lib/grids/row.directive.mjs
import { booleanAttribute as booleanAttribute28, Directive as Directive38, EventEmitter as EventEmitter31, forwardRef as forwardRef4, HostBinding as HostBinding30, HostListener as HostListener21, Inject as Inject27, Input as Input44, Output as Output22, QueryList, ViewChild as ViewChild10, ViewChildren } from "@angular/core";
import { mergeWith as mergeWith2 } from "lodash-es";
import { Subject as Subject20 } from "rxjs";
import { takeUntil as takeUntil15 } from "rxjs/operators";
import * as i069 from "@angular/core";
var IgxRowDirective = class _IgxRowDirective {
  /**
   *  The data passed to the row component.
   *
   * ```typescript
   * // get the row data for the first selected row
   * let selectedRowData = this.grid.selectedRows[0].data;
   * ```
   */
  get data() {
    if (this.inEditMode) {
      return mergeWith2(this.grid.dataCloneStrategy.clone(this._data), this.grid.transactions.getAggregatedValue(this.key, false), (objValue, srcValue) => {
        if (Array.isArray(srcValue)) {
          return objValue = srcValue;
        }
      });
    }
    return this._data;
  }
  set data(v) {
    this._data = v;
  }
  /**
   * Sets whether the row is pinned.
   * Default value is `false`.
   * ```typescript
   * this.grid.selectedRows[0].pinned = true;
   * ```
   */
  set pinned(value) {
    if (value) {
      this.grid.pinRow(this.key);
    } else {
      this.grid.unpinRow(this.key);
    }
  }
  /**
   * Gets whether the row is pinned.
   * ```typescript
   * let isPinned = row.pinned;
   * ```
   */
  get pinned() {
    return this.grid.isRecordPinned(this.data);
  }
  /**
   * Gets the expanded state of the row.
   * ```typescript
   * let isExpanded = row.expanded;
   * ```
   */
  get expanded() {
    return this.grid.gridAPI.get_row_expansion_state(this.data);
  }
  /**
   * Expands/collapses the current row.
   *
   * ```typescript
   * this.grid.selectedRows[2].expanded = true;
   * ```
   */
  set expanded(val) {
    this.grid.gridAPI.set_row_expansion_state(this.key, val);
  }
  get addRowUI() {
    return !!this.grid.crudService.row && this.grid.crudService.row.getClassName() === IgxAddRow.name && this.grid.crudService.row.id === this.key;
  }
  get rowHeight() {
    let height = this.grid.rowHeight || 32;
    if (this.grid.hasColumnLayouts) {
      const maxRowSpan = this.grid.multiRowLayoutRowSize;
      height = height * maxRowSpan;
    }
    return this.addRowUI ? height : null;
  }
  get cellHeight() {
    return this.addRowUI && !this.inEditMode ? null : this.grid.rowHeight || 32;
  }
  get virtDirRow() {
    return this._virtDirRow ? this._virtDirRow.first : null;
  }
  /**
   * Gets the rendered cells in the row component.
   *
   * ```typescript
   * // get the cells of the third selected row
   * let selectedRowCells = this.grid.selectedRows[2].cells;
   * ```
   */
  get cells() {
    const res = new QueryList();
    if (!this._cells) {
      return res;
    }
    const cList = this._cells.filter((item) => item.nativeElement.parentElement !== null).sort((item1, item2) => item1.column.visibleIndex - item2.column.visibleIndex);
    res.reset(cList);
    return res;
  }
  get dataRowIndex() {
    return this.index;
  }
  /**
   * @hidden
   */
  get selected() {
    return this.selectionService.isRowSelected(this.key);
  }
  set selected(value) {
    if (value) {
      this.selectionService.selectRowsWithNoEvent([this.key]);
    } else {
      this.selectionService.deselectRowsWithNoEvent([this.key]);
    }
    this.grid.cdr.markForCheck();
  }
  /**
   * @hidden
   */
  get columns() {
    return this.grid.visibleColumns;
  }
  /**
   * @hidden
   * @internal
   */
  get viewIndex() {
    if (this.grid.groupingExpressions.length) {
      return this.grid.filteredSortedData.indexOf(this.data);
    }
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   * @hidden
   */
  get pinnedColumns() {
    return this.grid.pinnedColumns;
  }
  /**
   * @hidden
   */
  get isRoot() {
    return true;
  }
  /**
   * @hidden
   */
  get hasChildren() {
    return false;
  }
  /**
   * @hidden
   */
  get unpinnedColumns() {
    return this.grid.unpinnedColumns;
  }
  /**
   * @hidden
   */
  get showRowSelectors() {
    return this.grid.showRowSelectors;
  }
  /** @hidden */
  get dirty() {
    const row = this.grid.transactions.getState(this.key);
    if (row) {
      return row.type === TransactionType.ADD || row.type === TransactionType.UPDATE;
    }
    return false;
  }
  /**
   * @hidden
   */
  get rowDraggable() {
    return this.grid.rowDraggable;
  }
  /** @hidden */
  get added() {
    const row = this.grid.transactions.getState(this.key);
    if (row) {
      return row.type === TransactionType.ADD;
    }
    return false;
  }
  /** @hidden */
  get deleted() {
    return this.grid.gridAPI.row_deleted_transaction(this.key);
  }
  /**
   * @hidden
   */
  get dragging() {
    return this.grid.dragRowID === this.key;
  }
  // TODO: Refactor
  get inEditMode() {
    if (this.grid.rowEditable) {
      const editRowState = this.grid.crudService.row;
      return editRowState && editRowState.id === this.key || false;
    } else {
      return false;
    }
  }
  /**
   * Gets the ID of the row.
   * A row in the grid is identified either by:
   * - primaryKey data value,
   * - the whole data, if the primaryKey is omitted.
   *
   * ```typescript
   * let rowID = this.grid.selectedRows[2].key;
   * ```
   */
  get key() {
    const primaryKey = this.grid.primaryKey;
    if (this._data) {
      return primaryKey ? this._data[primaryKey] : this._data;
    } else {
      return void 0;
    }
  }
  /**
   * The native DOM element representing the row. Could be null in certain environments.
   *
   * ```typescript
   * // get the nativeElement of the second selected row
   * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
   * ```
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  constructor(grid, selectionService, element, cdr) {
    this.grid = grid;
    this.selectionService = selectionService;
    this.element = element;
    this.cdr = cdr;
    this.addAnimationEnd = new EventEmitter31();
    this.role = "row";
    this.disabled = false;
    this.focused = false;
    this.defaultCssClass = "igx-grid__tr";
    this.triggerAddAnimationClass = false;
    this.destroy$ = new Subject20();
  }
  /**
   * @hidden
   * @internal
   */
  onClick(event) {
    this.grid.rowClick.emit({
      row: this,
      event
    });
    if (this.grid.rowSelection === "none" || this.deleted || !this.grid.selectRowOnClick) {
      return;
    }
    if (event.shiftKey && this.grid.isMultiRowSelectionEnabled) {
      this.selectionService.selectMultipleRows(this.key, this.data, event);
      return;
    }
    const clearSelection = !(+event.ctrlKey ^ +event.metaKey);
    if (this.selected && !clearSelection) {
      this.selectionService.deselectRow(this.key, event);
    } else {
      this.selectionService.selectRowById(this.key, clearSelection, event);
    }
  }
  /**
   * @hidden
   * @internal
   */
  showActionStrip() {
    if (this.grid.actionStrip) {
      this.grid.actionStrip.show(this);
    }
  }
  /**
   * @hidden
   * @internal
   */
  hideActionStrip() {
    if (this.grid.actionStrip && this.grid.actionStrip.hideOnRowLeave) {
      this.grid.actionStrip.hide();
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterViewInit() {
    this._virtDirRow.changes.pipe(takeUntil15(this.destroy$)).subscribe(() => this.grid.resetHorizontalVirtualization());
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden
   */
  onRowSelectorClick(event) {
    event.stopPropagation();
    if (event.shiftKey && this.grid.isMultiRowSelectionEnabled) {
      this.selectionService.selectMultipleRows(this.key, this.data, event);
      return;
    }
    if (this.selected) {
      this.selectionService.deselectRow(this.key, event);
    } else {
      this.selectionService.selectRowById(this.key, false, event);
    }
  }
  /**
   * Updates the specified row object and the data source record with the passed value.
   *
   * ```typescript
   * // update the second selected row's value
   * let newValue = "Apple";
   * this.grid.selectedRows[1].update(newValue);
   * ```
   */
  update(value) {
    const crudService = this.grid.crudService;
    if (crudService.cellInEditMode && crudService.cell.id.key === this.key) {
      this.grid.transactions.endPending(false);
    }
    const row = new IgxEditRow(this.key, this.index, this.data, this.grid);
    this.grid.gridAPI.update_row(row, value);
    this.cdr.markForCheck();
  }
  /**
   * Removes the specified row from the grid's data source.
   * This method emits `rowDeleted` event.
   *
   * ```typescript
   * // delete the third selected row from the grid
   * this.grid.selectedRows[2].delete();
   * ```
   */
  delete() {
    this.grid.deleteRowById(this.key);
  }
  isCellActive(visibleColumnIndex) {
    const node = this.grid.navigation.activeNode;
    return node ? node.row === this.index && node.column === visibleColumnIndex : false;
  }
  /**
   * Pins the specified row.
   * This method emits `rowPinning`\`rowPinned` event.
   *
   * ```typescript
   * // pin the selected row from the grid
   * this.grid.selectedRows[0].pin();
   * ```
   */
  pin() {
    return this.grid.pinRow(this.key);
  }
  /**
   * Unpins the specified row.
   * This method emits `rowPinning`\`rowPinned` event.
   *
   * ```typescript
   * // unpin the selected row from the grid
   * this.grid.selectedRows[0].unpin();
   * ```
   */
  unpin() {
    return this.grid.unpinRow(this.key);
  }
  /**
   * @hidden
   */
  get rowCheckboxAriaLabel() {
    return this.grid.primaryKey ? this.selected ? "Deselect row with key " + this.key : "Select row with key " + this.key : this.selected ? "Deselect row" : "Select row";
  }
  /**
   * @hidden
   */
  ngDoCheck() {
    this.cdr.markForCheck();
  }
  /**
   * @hidden
   */
  shouldDisplayPinnedChip(visibleColumnIndex) {
    return this.pinned && this.disabled && visibleColumnIndex === 0;
  }
  /**
   * Spawns the add row UI for the specific row.
   *
   * @example
   * ```typescript
   * const row = this.grid1.getRowByIndex(1);
   * row.beginAddRow();
   * ```
   */
  beginAddRow() {
    this.grid.crudService.enterAddRowMode(this);
  }
  /**
   * @hidden
   */
  triggerAddAnimation() {
    this.triggerAddAnimationClass = true;
  }
  /**
   * @hidden
   */
  animationEndHandler() {
    this.triggerAddAnimationClass = false;
    this.addAnimationEnd.emit(this);
  }
  /**
   * @hidden
   */
  get resolveDragIndicatorClasses() {
    const defaultDragIndicatorCssClass = "igx-grid__drag-indicator";
    const dragIndicatorOff = this.grid.rowDragging && !this.dragging ? "igx-grid__drag-indicator--off" : "";
    return `${defaultDragIndicatorCssClass} ${dragIndicatorOff}`;
  }
  static {
    this.ɵfac = i069.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i069, type: _IgxRowDirective, deps: [{ token: IGX_GRID_BASE }, { token: IgxGridSelectionService }, { token: i069.ElementRef }, { token: i069.ChangeDetectorRef }], target: i069.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i069.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxRowDirective, isStandalone: true, selector: "[igxRowBaseComponent]", inputs: { data: "data", index: "index", disabled: ["disabled", "disabled", booleanAttribute28], gridID: "gridID", selected: "selected" }, outputs: { addAnimationEnd: "addAnimationEnd" }, host: { listeners: { "click": "onClick($event)", "mouseenter": "showActionStrip()", "mouseleave": "hideActionStrip()" }, properties: { "attr.role": "this.role", "attr.aria-disabled": "this.disabled", "class.igx-grid__tr--disabled": "this.disabled", "style.min-height.px": "this.rowHeight", "attr.data-rowIndex": "this.dataRowIndex", "attr.aria-selected": "this.selected" } }, viewQueries: [{ propertyName: "checkboxElement", first: true, predicate: i069.forwardRef(() => IgxCheckboxComponent), descendants: true, read: IgxCheckboxComponent }, { propertyName: "_virtDirRow", predicate: ["igxDirRef"], descendants: true, read: IgxGridForOfDirective }, { propertyName: "_cells", predicate: ["cell"], descendants: true }], ngImport: i069 });
  }
};
i069.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i069, type: IgxRowDirective, decorators: [{
  type: Directive38,
  args: [{
    selector: "[igxRowBaseComponent]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject27,
  args: [IGX_GRID_BASE]
}] }, { type: IgxGridSelectionService }, { type: i069.ElementRef }, { type: i069.ChangeDetectorRef }], propDecorators: { addAnimationEnd: [{
  type: Output22
}], role: [{
  type: HostBinding30,
  args: ["attr.role"]
}], data: [{
  type: Input44
}], index: [{
  type: Input44
}], disabled: [{
  type: Input44,
  args: [{ transform: booleanAttribute28 }]
}, {
  type: HostBinding30,
  args: ["attr.aria-disabled"]
}, {
  type: HostBinding30,
  args: ["class.igx-grid__tr--disabled"]
}], rowHeight: [{
  type: HostBinding30,
  args: ["style.min-height.px"]
}], gridID: [{
  type: Input44
}], _virtDirRow: [{
  type: ViewChildren,
  args: ["igxDirRef", { read: IgxGridForOfDirective }]
}], checkboxElement: [{
  type: ViewChild10,
  args: [forwardRef4(() => IgxCheckboxComponent), { read: IgxCheckboxComponent }]
}], _cells: [{
  type: ViewChildren,
  args: ["cell"]
}], dataRowIndex: [{
  type: HostBinding30,
  args: ["attr.data-rowIndex"]
}], selected: [{
  type: Input44
}, {
  type: HostBinding30,
  args: ["attr.aria-selected"]
}], onClick: [{
  type: HostListener21,
  args: ["click", ["$event"]]
}], showActionStrip: [{
  type: HostListener21,
  args: ["mouseenter"]
}], hideActionStrip: [{
  type: HostListener21,
  args: ["mouseleave"]
}] } });

// lib/action-strip/grid-actions/grid-actions-base.directive.mjs
import { Directive as Directive39, Input as Input45, ViewChildren as ViewChildren2, booleanAttribute as booleanAttribute29 } from "@angular/core";
import * as i070 from "@angular/core";
var IgxGridActionsBaseDirective = class _IgxGridActionsBaseDirective {
  /**
   * @hidden
   * @internal
   */
  get grid() {
    return this.strip.context.grid;
  }
  /**
   * Getter to be used in template
   *
   * @hidden
   * @internal
   */
  get isRowContext() {
    return this.isRow(this.strip.context) && !this.strip.context.inEditMode;
  }
  constructor(iconService, differs) {
    this.iconService = iconService;
    this.differs = differs;
    this.asMenuItems = false;
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterViewInit() {
    if (this.asMenuItems) {
      this.buttons.changes.subscribe(() => {
        this.strip.cdr.detectChanges();
      });
    }
  }
  /**
   * Check if the param is a row from a grid
   *
   * @hidden
   * @internal
   * @param context
   */
  isRow(context) {
    return context && context instanceof IgxRowDirective;
  }
  static {
    this.ɵfac = i070.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i070, type: _IgxGridActionsBaseDirective, deps: [{ token: IgxIconService }, { token: i070.IterableDiffers }], target: i070.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i070.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridActionsBaseDirective, isStandalone: true, selector: "[igxGridActionsBase]", inputs: { asMenuItems: ["asMenuItems", "asMenuItems", booleanAttribute29] }, viewQueries: [{ propertyName: "buttons", predicate: IgxGridActionButtonComponent, descendants: true }], ngImport: i070 });
  }
};
i070.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i070, type: IgxGridActionsBaseDirective, decorators: [{
  type: Directive39,
  args: [{
    selector: "[igxGridActionsBase]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxIconService }, { type: i070.IterableDiffers }], propDecorators: { buttons: [{
  type: ViewChildren2,
  args: [IgxGridActionButtonComponent]
}], asMenuItems: [{
  type: Input45,
  args: [{ transform: booleanAttribute29 }]
}] } });

// lib/action-strip/token.mjs
var IgxActionStripToken = class {
};

// lib/action-strip/action-strip.component.mjs
import { Component as Component17, Directive as Directive40, HostBinding as HostBinding31, Input as Input46, Optional as Optional18, Inject as Inject28, ContentChildren as ContentChildren6, ViewChild as ViewChild11, booleanAttribute as booleanAttribute30 } from "@angular/core";
import { NgIf as NgIf6, NgFor, NgTemplateOutlet as NgTemplateOutlet3 } from "@angular/common";
import * as i071 from "@angular/core";
var IgxActionStripMenuItemDirective = class _IgxActionStripMenuItemDirective {
  constructor(templateRef) {
    this.templateRef = templateRef;
  }
  static {
    this.ɵfac = i071.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i071, type: _IgxActionStripMenuItemDirective, deps: [{ token: i071.TemplateRef }], target: i071.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i071.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxActionStripMenuItemDirective, isStandalone: true, selector: "[igxActionStripMenuItem]", ngImport: i071 });
  }
};
i071.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i071, type: IgxActionStripMenuItemDirective, decorators: [{
  type: Directive40,
  args: [{
    selector: "[igxActionStripMenuItem]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i071.TemplateRef }] });
var IgxActionStripComponent = class _IgxActionStripComponent extends DisplayDensityBase {
  /**
   * Gets/Sets the resource strings.
   *
   * @remarks
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Hide or not the Action Strip based on if it is a menu.
   *
   * @hidden
   * @internal
   */
  get hideOnRowLeave() {
    if (this.menu.items.length === 0) {
      return true;
    } else if (this.menu.items.length > 0) {
      if (this.menu.collapsed) {
        return true;
      } else {
        return false;
      }
    }
  }
  constructor(_viewContainer, renderer, el, _displayDensityOptions, cdr) {
    super(_displayDensityOptions, el);
    this._viewContainer = _viewContainer;
    this.renderer = renderer;
    this.el = el;
    this._displayDensityOptions = _displayDensityOptions;
    this.cdr = cdr;
    this.hidden = false;
    this.menuOverlaySettings = { scrollStrategy: new CloseScrollStrategy() };
    this._hidden = false;
    this._resourceStrings = getCurrentResourceStrings(ActionStripResourceStringsEN);
    this.hostClass = "igx-action-strip";
  }
  /**
   * Menu Items list.
   *
   * @hidden
   * @internal
   */
  get menuItems() {
    const actions = [];
    this.actionButtons.forEach((button) => {
      if (button.asMenuItems) {
        const children = button.buttons;
        if (children) {
          children.toArray().forEach((x) => actions.push(x));
        }
      }
    });
    return [...this._menuItems.toArray(), ...actions];
  }
  /**
   * Getter for the 'display' property of the current `IgxActionStrip`
   */
  get display() {
    return this.hidden ? "none" : "flex";
  }
  get componentSize() {
    return this.getComponentSizeStyles();
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterContentInit() {
    this.actionButtons.forEach((button) => {
      button.strip = this;
    });
    this.actionButtons.changes.subscribe(() => {
      this.actionButtons.forEach((button) => {
        button.strip = this;
      });
    });
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterViewInit() {
    this.menu.selectionChanging.subscribe(($event) => {
      const newSelection = $event.newSelection.elementRef.nativeElement;
      let allButtons = [];
      this.actionButtons.forEach((actionButtons) => {
        if (actionButtons.asMenuItems) {
          allButtons = [...allButtons, ...actionButtons.buttons.toArray()];
        }
      });
      const button = allButtons.find((x) => newSelection.contains(x.container.nativeElement));
      if (button) {
        button.actionClick.emit();
      }
    });
  }
  /**
   * Showing the Action Strip and appending it the specified context element.
   *
   * @param context
   * @example
   * ```typescript
   * this.actionStrip.show(row);
   * ```
   */
  show(context) {
    this.hidden = false;
    if (!context) {
      return;
    }
    if (this.context !== context) {
      this.closeMenu();
    }
    this.context = context;
    if (this.context && this.context.element) {
      this.renderer.appendChild(context.element.nativeElement, this._viewContainer.element.nativeElement);
    }
    this.cdr.detectChanges();
  }
  /**
   * Hiding the Action Strip and removing it from its current context element.
   *
   * @example
   * ```typescript
   * this.actionStrip.hide();
   * ```
   */
  hide() {
    this.hidden = true;
    this.closeMenu();
    if (this.context && this.context.element) {
      this.renderer.removeChild(this.context.element.nativeElement, this._viewContainer.element.nativeElement);
    }
  }
  /**
   * Close the menu if opened
   *
   * @hidden
   * @internal
   */
  closeMenu() {
    if (this.menu && !this.menu.collapsed) {
      this.menu.close();
    }
  }
  static {
    this.ɵfac = i071.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i071, type: _IgxActionStripComponent, deps: [{ token: i071.ViewContainerRef }, { token: i071.Renderer2 }, { token: i071.ElementRef }, { token: DisplayDensityToken, optional: true }, { token: i071.ChangeDetectorRef }], target: i071.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i071.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxActionStripComponent, isStandalone: true, selector: "igx-action-strip", inputs: { context: "context", hidden: ["hidden", "hidden", booleanAttribute30], resourceStrings: "resourceStrings" }, host: { properties: { "style.display": "this.display", "class.igx-action-strip": "this.hostClass", "style.--component-size": "this.componentSize" } }, providers: [{ provide: IgxActionStripToken, useExisting: _IgxActionStripComponent }], queries: [{ propertyName: "_menuItems", predicate: IgxActionStripMenuItemDirective }, { propertyName: "actionButtons", predicate: IgxGridActionsBaseDirective }], viewQueries: [{ propertyName: "menu", first: true, predicate: ["dropdown"], descendants: true }], usesInheritance: true, ngImport: i071, template: '<div class="igx-action-strip__actions">\n    <ng-content #content></ng-content>\n    <ng-container *ngIf="menuItems.length > 0">\n        <button\n            type="button"\n            igxIconButton="flat"\n            igxRipple\n            [igxToggleAction]="dropdown"\n            [overlaySettings]="menuOverlaySettings"\n            (click)="$event.stopPropagation()"\n            [title]="resourceStrings.igx_action_strip_button_more_title"\n            [igxDropDownItemNavigation]="dropdown"\n        >\n            <igx-icon>more_vert</igx-icon>\n        </button>\n    </ng-container>\n    <igx-drop-down #dropdown [displayDensity]="displayDensity">\n        <igx-drop-down-item\n            *ngFor="let item of menuItems"\n            class="igx-action-strip__menu-item"\n        >\n            <div class="igx-drop-down__item-template">\n                <ng-container\n                    *ngTemplateOutlet="\n                        item.templateRef;\n                        context: { $implicit: item }\n                    "\n                ></ng-container>\n            </div>\n        </igx-drop-down-item>\n    </igx-drop-down>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf6, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgTemplateOutlet3, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: IgxToggleActionDirective, selector: "[igxToggleAction]", inputs: ["overlaySettings", "igxToggleOutlet", "igxToggleAction"], exportAs: ["toggle-action"] }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxDropDownComponent, selector: "igx-drop-down", inputs: ["allowItemsFocus", "labelledBy"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "component", type: IgxDropDownItemComponent, selector: "igx-drop-down-item" }] });
  }
};
i071.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i071, type: IgxActionStripComponent, decorators: [{
  type: Component17,
  args: [{ selector: "igx-action-strip", standalone: true, imports: [
    NgIf6,
    NgFor,
    NgTemplateOutlet3,
    IgxButtonDirective,
    IgxIconButtonDirective,
    IgxRippleDirective,
    IgxToggleActionDirective,
    IgxDropDownItemNavigationDirective,
    IgxIconComponent,
    IgxDropDownComponent,
    IgxDropDownItemComponent
  ], providers: [{ provide: IgxActionStripToken, useExisting: IgxActionStripComponent }], template: '<div class="igx-action-strip__actions">\n    <ng-content #content></ng-content>\n    <ng-container *ngIf="menuItems.length > 0">\n        <button\n            type="button"\n            igxIconButton="flat"\n            igxRipple\n            [igxToggleAction]="dropdown"\n            [overlaySettings]="menuOverlaySettings"\n            (click)="$event.stopPropagation()"\n            [title]="resourceStrings.igx_action_strip_button_more_title"\n            [igxDropDownItemNavigation]="dropdown"\n        >\n            <igx-icon>more_vert</igx-icon>\n        </button>\n    </ng-container>\n    <igx-drop-down #dropdown [displayDensity]="displayDensity">\n        <igx-drop-down-item\n            *ngFor="let item of menuItems"\n            class="igx-action-strip__menu-item"\n        >\n            <div class="igx-drop-down__item-template">\n                <ng-container\n                    *ngTemplateOutlet="\n                        item.templateRef;\n                        context: { $implicit: item }\n                    "\n                ></ng-container>\n            </div>\n        </igx-drop-down-item>\n    </igx-drop-down>\n</div>\n' }]
}], ctorParameters: () => [{ type: i071.ViewContainerRef }, { type: i071.Renderer2 }, { type: i071.ElementRef }, { type: void 0, decorators: [{
  type: Optional18
}, {
  type: Inject28,
  args: [DisplayDensityToken]
}] }, { type: i071.ChangeDetectorRef }], propDecorators: { context: [{
  type: Input46
}], _menuItems: [{
  type: ContentChildren6,
  args: [IgxActionStripMenuItemDirective]
}], actionButtons: [{
  type: ContentChildren6,
  args: [IgxGridActionsBaseDirective]
}], hidden: [{
  type: Input46,
  args: [{ transform: booleanAttribute30 }]
}], resourceStrings: [{
  type: Input46
}], menu: [{
  type: ViewChild11,
  args: ["dropdown"]
}], display: [{
  type: HostBinding31,
  args: ["style.display"]
}], hostClass: [{
  type: HostBinding31,
  args: ["class.igx-action-strip"]
}], componentSize: [{
  type: HostBinding31,
  args: ["style.--component-size"]
}] } });

// lib/action-strip/grid-actions/grid-editing-actions.component.mjs
import { Component as Component18, HostBinding as HostBinding32, Input as Input47, booleanAttribute as booleanAttribute31 } from "@angular/core";
import { addRow, addChild } from "@igniteui/material-icons-extended";
import { NgIf as NgIf7 } from "@angular/common";
import * as i072 from "@angular/core";
var IgxGridEditingActionsComponent = class _IgxGridEditingActionsComponent extends IgxGridActionsBaseDirective {
  constructor() {
    super(...arguments);
    this.cssClass = "igx-action-strip__editing-actions";
    this.editRow = true;
    this.deleteRow = true;
    this.addChild = false;
    this.isMessageShown = false;
    this._addRow = false;
    this.iconsRendered = false;
  }
  /**
   * An input to enable/disable action strip row adding button
   */
  set addRow(value) {
    this._addRow = value;
  }
  get addRow() {
    if (!this.iconsRendered) {
      this.registerIcons();
      this.iconsRendered = true;
    }
    return this._addRow;
  }
  /**
   * Getter if the row is disabled
   *
   * @hidden
   * @internal
   */
  get disabled() {
    if (!this.isRow(this.strip.context)) {
      return;
    }
    return this.strip.context.disabled;
  }
  /**
   * Getter if the row is root.
   *
   * @hidden
   * @internal
   */
  get isRootRow() {
    if (!this.isRow(this.strip.context)) {
      return false;
    }
    return this.strip.context.isRoot;
  }
  get hasChildren() {
    if (!this.isRow(this.strip.context)) {
      return false;
    }
    return this.strip.context.hasChildren;
  }
  /**
   * Enter row or cell edit mode depending the grid rowEditable option
   *
   * @example
   * ```typescript
   * this.gridEditingActions.startEdit();
   * ```
   */
  startEdit(event) {
    if (event) {
      event.stopPropagation();
    }
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const row = this.strip.context;
    const firstEditable = row.cells.filter((cell) => cell.editable)[0];
    const grid = row.grid;
    if (!grid.hasEditableColumns) {
      this.isMessageShown = showMessage("The grid should be editable in order to use IgxGridEditingActionsComponent", this.isMessageShown);
      return;
    }
    if (grid.rowList.filter((r) => r === row).length !== 0) {
      grid.gridAPI.crudService.enterEditMode(firstEditable, event);
      if (!grid.gridAPI.crudService.nonEditable) {
        firstEditable.activate(event);
      }
    }
    this.strip.hide();
  }
  /** @hidden @internal **/
  deleteRowHandler(event) {
    if (event) {
      event.stopPropagation();
    }
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const context = this.strip.context;
    const grid = context.grid;
    grid.deleteRow(context.key);
    this.strip.hide();
  }
  /** @hidden @internal **/
  addRowHandler(event, asChild) {
    if (event) {
      event.stopPropagation();
    }
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const context = this.strip.context;
    const grid = context.grid;
    if (!grid.rowEditable) {
      console.warn("The grid must use row edit mode to perform row adding! Please set rowEditable to true.");
      return;
    }
    grid.gridAPI.crudService.enterAddRowMode(context, asChild, event);
    this.strip.hide();
  }
  /**
   * @hidden
   * @internal
   */
  registerIcons() {
    this.iconService.addSvgIconFromText(addRow.name, addRow.value, "imx-icons", true);
    this.iconService.addSvgIconFromText(addChild.name, addChild.value, "imx-icons", true);
  }
  static {
    this.ɵfac = i072.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i072, type: _IgxGridEditingActionsComponent, deps: null, target: i072.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i072.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridEditingActionsComponent, isStandalone: true, selector: "igx-grid-editing-actions", inputs: { addRow: ["addRow", "addRow", booleanAttribute31], editRow: ["editRow", "editRow", booleanAttribute31], deleteRow: ["deleteRow", "deleteRow", booleanAttribute31], addChild: ["addChild", "addChild", booleanAttribute31] }, host: { properties: { "class.igx-action-strip__editing-actions": "this.cssClass" } }, providers: [{ provide: IgxGridActionsBaseDirective, useExisting: _IgxGridEditingActionsComponent }], usesInheritance: true, ngImport: i072, template: `
<ng-container *ngIf="isRowContext">
    <igx-grid-action-button *ngIf="!disabled && editRow" [asMenuItem]="asMenuItems" iconName="edit" [labelText]="grid.resourceStrings.igx_grid_actions_edit_label" (actionClick)="startEdit($event)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="addRow && isRootRow" [asMenuItem]="asMenuItems" iconName="add-row" iconSet="imx-icons" [labelText]="grid.resourceStrings.igx_grid_actions_add_label" (actionClick)="addRowHandler($event)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="addChild && hasChildren" [asMenuItem]="asMenuItems" iconName="add-child" iconSet="imx-icons" [labelText]="grid.resourceStrings.igx_grid_actions_add_child_label" (actionClick)="addRowHandler($event, true)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="!disabled && deleteRow" class="igx-action-strip__delete" classNames='igx-action-strip__menu-item--danger' [asMenuItem]="asMenuItems" iconName="delete" [labelText]="grid.resourceStrings.igx_grid_actions_delete_label" (actionClick)="deleteRowHandler($event)"></igx-grid-action-button>
</ng-container>

`, dependencies: [{ kind: "directive", type: NgIf7, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxGridActionButtonComponent, selector: "igx-grid-action-button", inputs: ["asMenuItem", "iconName", "classNames", "iconSet", "labelText"], outputs: ["actionClick"] }] });
  }
};
i072.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i072, type: IgxGridEditingActionsComponent, decorators: [{
  type: Component18,
  args: [{ selector: "igx-grid-editing-actions", providers: [{ provide: IgxGridActionsBaseDirective, useExisting: IgxGridEditingActionsComponent }], standalone: true, imports: [NgIf7, IgxGridActionButtonComponent], template: `
<ng-container *ngIf="isRowContext">
    <igx-grid-action-button *ngIf="!disabled && editRow" [asMenuItem]="asMenuItems" iconName="edit" [labelText]="grid.resourceStrings.igx_grid_actions_edit_label" (actionClick)="startEdit($event)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="addRow && isRootRow" [asMenuItem]="asMenuItems" iconName="add-row" iconSet="imx-icons" [labelText]="grid.resourceStrings.igx_grid_actions_add_label" (actionClick)="addRowHandler($event)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="addChild && hasChildren" [asMenuItem]="asMenuItems" iconName="add-child" iconSet="imx-icons" [labelText]="grid.resourceStrings.igx_grid_actions_add_child_label" (actionClick)="addRowHandler($event, true)"></igx-grid-action-button>
    <igx-grid-action-button *ngIf="!disabled && deleteRow" class="igx-action-strip__delete" classNames='igx-action-strip__menu-item--danger' [asMenuItem]="asMenuItems" iconName="delete" [labelText]="grid.resourceStrings.igx_grid_actions_delete_label" (actionClick)="deleteRowHandler($event)"></igx-grid-action-button>
</ng-container>

` }]
}], propDecorators: { cssClass: [{
  type: HostBinding32,
  args: ["class.igx-action-strip__editing-actions"]
}], addRow: [{
  type: Input47,
  args: [{ transform: booleanAttribute31 }]
}], editRow: [{
  type: Input47,
  args: [{ transform: booleanAttribute31 }]
}], deleteRow: [{
  type: Input47,
  args: [{ transform: booleanAttribute31 }]
}], addChild: [{
  type: Input47,
  args: [{ transform: booleanAttribute31 }]
}] } });

// lib/action-strip/grid-actions/grid-pinning-actions.component.mjs
import { Component as Component19, HostBinding as HostBinding33 } from "@angular/core";
import { pinLeft, unpinLeft, jumpDown, jumpUp } from "@igniteui/material-icons-extended";
import { NgIf as NgIf8 } from "@angular/common";
import * as i073 from "@angular/core";
var IgxGridPinningActionsComponent = class _IgxGridPinningActionsComponent extends IgxGridActionsBaseDirective {
  constructor() {
    super(...arguments);
    this.cssClass = "igx-action-strip__pinning-actions";
    this.iconsRendered = false;
  }
  /**
   * Getter to know if the row is pinned
   *
   * @hidden
   * @internal
   */
  get pinned() {
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const context = this.strip.context;
    if (context && !this.iconsRendered) {
      this.registerSVGIcons();
      this.iconsRendered = true;
    }
    return context && context.pinned;
  }
  /**
   * Getter to know if the row is in pinned and ghost
   *
   * @hidden
   * @internal
   */
  get inPinnedArea() {
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const context = this.strip.context;
    return this.pinned && !context.disabled;
  }
  /**
   * Getter to know if the row pinning is set to top or bottom
   *
   * @hidden
   * @internal
   */
  get pinnedTop() {
    if (!this.isRow(this.strip.context)) {
      return;
    }
    return this.strip.context.grid.isRowPinningToTop;
  }
  /**
   * Pin the row according to the context.
   *
   * @example
   * ```typescript
   * this.gridPinningActions.pin();
   * ```
   */
  pin(event) {
    if (event) {
      event.stopPropagation();
    }
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const row = this.strip.context;
    const grid = row.grid;
    grid.pinRow(row.key, grid.pinnedRecords.length);
    this.strip.hide();
  }
  /**
   * Unpin the row according to the context.
   *
   * @example
   * ```typescript
   * this.gridPinningActions.unpin();
   * ```
   */
  unpin(event) {
    if (event) {
      event.stopPropagation();
    }
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const row = this.strip.context;
    const grid = row.grid;
    grid.unpinRow(row.key);
    this.strip.hide();
  }
  scrollToRow(event) {
    if (event) {
      event.stopPropagation();
    }
    const context = this.strip.context;
    const grid = context.grid;
    grid.scrollTo(context.data, 0);
    this.strip.hide();
  }
  registerSVGIcons() {
    if (!this.isRow(this.strip.context)) {
      return;
    }
    const context = this.strip.context;
    const grid = context.grid;
    if (grid) {
      this.iconService.addSvgIconFromText(pinLeft.name, pinLeft.value, "imx-icons", true);
      this.iconService.addSvgIconFromText(unpinLeft.name, unpinLeft.value, "imx-icons", true);
      this.iconService.addSvgIconFromText(jumpDown.name, jumpDown.value, "imx-icons", true);
      this.iconService.addSvgIconFromText(jumpUp.name, jumpDown.value, "imx-icons", true);
    }
  }
  static {
    this.ɵfac = i073.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i073, type: _IgxGridPinningActionsComponent, deps: null, target: i073.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i073.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridPinningActionsComponent, isStandalone: true, selector: "igx-grid-pinning-actions", host: { properties: { "class.igx-action-strip__pinning-actions": "this.cssClass" } }, providers: [{ provide: IgxGridActionsBaseDirective, useExisting: _IgxGridPinningActionsComponent }], usesInheritance: true, ngImport: i073, template: '<ng-container *ngIf="isRowContext">\n    <igx-grid-action-button *ngIf="inPinnedArea && pinnedTop" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="jump-down" [labelText]="grid.resourceStrings.igx_grid_actions_jumpDown_label" (actionClick)="scrollToRow($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="inPinnedArea && !pinnedTop" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="jump-up" [labelText]="grid.resourceStrings.igx_grid_actions_jumpUp_label" (actionClick)="scrollToRow($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="!pinned" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="pin-left" [labelText]="grid.resourceStrings.igx_grid_actions_pin_label" (actionClick)="pin($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="pinned" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="unpin-left" [labelText]="grid.resourceStrings.igx_grid_actions_unpin_label" (actionClick)="unpin($event)"></igx-grid-action-button>\n</ng-container>', dependencies: [{ kind: "directive", type: NgIf8, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxGridActionButtonComponent, selector: "igx-grid-action-button", inputs: ["asMenuItem", "iconName", "classNames", "iconSet", "labelText"], outputs: ["actionClick"] }] });
  }
};
i073.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i073, type: IgxGridPinningActionsComponent, decorators: [{
  type: Component19,
  args: [{ selector: "igx-grid-pinning-actions", providers: [{ provide: IgxGridActionsBaseDirective, useExisting: IgxGridPinningActionsComponent }], standalone: true, imports: [NgIf8, IgxGridActionButtonComponent], template: '<ng-container *ngIf="isRowContext">\n    <igx-grid-action-button *ngIf="inPinnedArea && pinnedTop" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="jump-down" [labelText]="grid.resourceStrings.igx_grid_actions_jumpDown_label" (actionClick)="scrollToRow($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="inPinnedArea && !pinnedTop" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="jump-up" [labelText]="grid.resourceStrings.igx_grid_actions_jumpUp_label" (actionClick)="scrollToRow($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="!pinned" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="pin-left" [labelText]="grid.resourceStrings.igx_grid_actions_pin_label" (actionClick)="pin($event)"></igx-grid-action-button>\n    <igx-grid-action-button *ngIf="pinned" [asMenuItem]="asMenuItems" iconSet="imx-icons" iconName="unpin-left" [labelText]="grid.resourceStrings.igx_grid_actions_unpin_label" (actionClick)="unpin($event)"></igx-grid-action-button>\n</ng-container>' }]
}], propDecorators: { cssClass: [{
  type: HostBinding33,
  args: ["class.igx-action-strip__pinning-actions"]
}] } });

// lib/action-strip/public_api.mjs
var IGX_ACTION_STRIP_DIRECTIVES = [
  IgxActionStripComponent,
  IgxActionStripMenuItemDirective
];
var IGX_GRID_ACTION_STRIP_DIRECTIVES = [
  IgxActionStripComponent,
  IgxActionStripMenuItemDirective,
  IgxGridPinningActionsComponent,
  IgxGridEditingActionsComponent,
  IgxGridActionsBaseDirective,
  IgxGridActionButtonComponent
];

// lib/avatar/avatar.component.mjs
import { NgTemplateOutlet as NgTemplateOutlet4 } from "@angular/common";
import { Component as Component20, HostBinding as HostBinding34, Input as Input48, TemplateRef as TemplateRef4, ViewChild as ViewChild12 } from "@angular/core";
import * as i074 from "@angular/core";
var NEXT_ID9 = 0;
var IgxAvatarSize = /* @__PURE__ */ mkenum({
  SMALL: "small",
  MEDIUM: "medium",
  LARGE: "large"
});
var IgxAvatarType = /* @__PURE__ */ mkenum({
  INITIALS: "initials",
  IMAGE: "image",
  ICON: "icon",
  CUSTOM: "custom"
});
var IgxAvatarComponent = class _IgxAvatarComponent {
  /** @hidden @internal */
  get isRounded() {
    return this.shape === "rounded";
  }
  /** @hidden @internal */
  get isCircle() {
    return this.shape === "circle";
  }
  /**
   * Returns the size of the avatar.
   *
   * @example
   * ```typescript
   * let avatarSize = this.avatar.size;
   * ```
   */
  get size() {
    return this._size || IgxAvatarSize.SMALL;
  }
  /**
   * Sets the size  of the avatar.
   * By default, the size is `"small"`. It can be set to `"medium"` or `"large"`.
   *
   * @example
   * ```html
   * <igx-avatar size="large"></igx-avatar>
   * ```
   */
  set size(value) {
    switch (value) {
      case "small":
      case "medium":
      case "large":
        this._size = value;
        break;
      default:
        this._size = "small";
    }
  }
  /**
   * Returns the type of the avatar.
   *
   * @example
   * ```typescript
   * let avatarType = this.avatar.type;
   * ```
   */
  get type() {
    if (this.src) {
      return IgxAvatarType.IMAGE;
    }
    if (this.icon) {
      return IgxAvatarType.ICON;
    }
    if (this.initials) {
      return IgxAvatarType.INITIALS;
    }
    return IgxAvatarType.CUSTOM;
  }
  /** @hidden @internal */
  get _isImageType() {
    return this.type === IgxAvatarType.IMAGE;
  }
  /** @hidden @internal */
  get _isIconType() {
    return this.type === IgxAvatarType.ICON;
  }
  /** @hidden @internal */
  get _isInitialsType() {
    return this.type === IgxAvatarType.INITIALS;
  }
  get componentSize() {
    if (this._size) {
      return `var(--ig-size-${this._size})`;
    }
  }
  /**
   * Returns the template of the avatar.
   *
   * @hidden
   * @internal
   */
  get template() {
    switch (this.type) {
      case IgxAvatarType.IMAGE:
        return this.imageTemplate;
      case IgxAvatarType.INITIALS:
        return this.initialsTemplate;
      case IgxAvatarType.ICON:
        return this.iconTemplate;
      default:
        return this.defaultTemplate;
    }
  }
  constructor(elementRef) {
    this.elementRef = elementRef;
    this.ariaLabel = "avatar";
    this.role = "img";
    this.cssClass = "igx-avatar";
    this.id = `igx-avatar-${NEXT_ID9++}`;
    this.shape = "square";
  }
  /**
   * Returns the css url of the image.
   *
   * @hidden
   * @internal
   */
  getSrcUrl() {
    return `url(${this.src})`;
  }
  /** @hidden @internal */
  ngOnInit() {
    this.roleDescription = this.getRole();
  }
  /** @hidden @internal */
  getRole() {
    switch (this.type) {
      case IgxAvatarType.IMAGE:
        return "image avatar";
      case IgxAvatarType.ICON:
        return "icon avatar";
      case IgxAvatarType.INITIALS:
        return "initials avatar";
      default:
        return "custom avatar";
    }
  }
  static {
    this.ɵfac = i074.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i074, type: _IgxAvatarComponent, deps: [{ token: i074.ElementRef }], target: i074.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i074.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxAvatarComponent, isStandalone: true, selector: "igx-avatar", inputs: { id: "id", shape: "shape", color: "color", bgColor: "bgColor", initials: "initials", icon: "icon", src: "src", size: "size" }, host: { properties: { "attr.aria-label": "this.ariaLabel", "attr.role": "this.role", "class.igx-avatar": "this.cssClass", "attr.aria-roledescription": "this.roleDescription", "attr.id": "this.id", "class.igx-avatar--rounded": "this.isRounded", "class.igx-avatar--circle": "this.isCircle", "style.color": "this.color", "style.background": "this.bgColor", "class.igx-avatar--image": "this._isImageType", "class.igx-avatar--icon": "this._isIconType", "class.igx-avatar--initials": "this._isInitialsType", "style.--component-size": "this.componentSize" } }, viewQueries: [{ propertyName: "defaultTemplate", first: true, predicate: ["defaultTemplate"], descendants: true, read: TemplateRef4, static: true }, { propertyName: "imageTemplate", first: true, predicate: ["imageTemplate"], descendants: true, read: TemplateRef4, static: true }, { propertyName: "initialsTemplate", first: true, predicate: ["initialsTemplate"], descendants: true, read: TemplateRef4, static: true }, { propertyName: "iconTemplate", first: true, predicate: ["iconTemplate"], descendants: true, read: TemplateRef4, static: true }], ngImport: i074, template: '<ng-template #defaultTemplate>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #imageTemplate>\n    <div #image class="igx-avatar__image" [style.backgroundImage]="getSrcUrl()"></div>\n</ng-template>\n\n<ng-template #initialsTemplate>\n    <span>{{initials.substring(0, 2)}}</span>\n</ng-template>\n\n<ng-template #iconTemplate>\n     <igx-icon>{{icon}}</igx-icon>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template"></ng-container>\n', dependencies: [{ kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgTemplateOutlet4, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i074.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i074, type: IgxAvatarComponent, decorators: [{
  type: Component20,
  args: [{ selector: "igx-avatar", standalone: true, imports: [IgxIconComponent, NgTemplateOutlet4], template: '<ng-template #defaultTemplate>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #imageTemplate>\n    <div #image class="igx-avatar__image" [style.backgroundImage]="getSrcUrl()"></div>\n</ng-template>\n\n<ng-template #initialsTemplate>\n    <span>{{initials.substring(0, 2)}}</span>\n</ng-template>\n\n<ng-template #iconTemplate>\n     <igx-icon>{{icon}}</igx-icon>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template"></ng-container>\n' }]
}], ctorParameters: () => [{ type: i074.ElementRef }], propDecorators: { ariaLabel: [{
  type: HostBinding34,
  args: ["attr.aria-label"]
}], role: [{
  type: HostBinding34,
  args: ["attr.role"]
}], cssClass: [{
  type: HostBinding34,
  args: ["class.igx-avatar"]
}], roleDescription: [{
  type: HostBinding34,
  args: ["attr.aria-roledescription"]
}], id: [{
  type: HostBinding34,
  args: ["attr.id"]
}, {
  type: Input48
}], shape: [{
  type: Input48
}], isRounded: [{
  type: HostBinding34,
  args: ["class.igx-avatar--rounded"]
}], isCircle: [{
  type: HostBinding34,
  args: ["class.igx-avatar--circle"]
}], color: [{
  type: HostBinding34,
  args: ["style.color"]
}, {
  type: Input48
}], bgColor: [{
  type: HostBinding34,
  args: ["style.background"]
}, {
  type: Input48
}], initials: [{
  type: Input48
}], icon: [{
  type: Input48
}], src: [{
  type: Input48
}], defaultTemplate: [{
  type: ViewChild12,
  args: ["defaultTemplate", { read: TemplateRef4, static: true }]
}], imageTemplate: [{
  type: ViewChild12,
  args: ["imageTemplate", { read: TemplateRef4, static: true }]
}], initialsTemplate: [{
  type: ViewChild12,
  args: ["initialsTemplate", { read: TemplateRef4, static: true }]
}], iconTemplate: [{
  type: ViewChild12,
  args: ["iconTemplate", { read: TemplateRef4, static: true }]
}], size: [{
  type: Input48
}], _isImageType: [{
  type: HostBinding34,
  args: ["class.igx-avatar--image"]
}], _isIconType: [{
  type: HostBinding34,
  args: ["class.igx-avatar--icon"]
}], _isInitialsType: [{
  type: HostBinding34,
  args: ["class.igx-avatar--initials"]
}], componentSize: [{
  type: HostBinding34,
  args: ["style.--component-size"]
}] } });

// lib/badge/badge.component.mjs
import { NgIf as NgIf9 } from "@angular/common";
import { Component as Component21, HostBinding as HostBinding35, Input as Input49 } from "@angular/core";
import * as i075 from "@angular/core";
var NEXT_ID10 = 0;
var IgxBadgeType = /* @__PURE__ */ mkenum({
  PRIMARY: "primary",
  INFO: "info",
  SUCCESS: "success",
  WARNING: "warning",
  ERROR: "error"
});
var IgxBadgeComponent = class _IgxBadgeComponent {
  constructor() {
    this.id = `igx-badge-${NEXT_ID10++}`;
    this.type = IgxBadgeType.PRIMARY;
    this.value = "";
    this.role = "status";
    this.cssClass = "igx-badge";
    this.shape = "rounded";
    this.label = "badge";
  }
  /** @hidden @internal */
  get _squareShape() {
    return this.shape === "square";
  }
  /**
   * Defines a human-readable, accessor, author-localized description for
   * the `type` and the `icon` or `value` of the element.
   *
   * @hidden
   * @internal
   */
  get roleDescription() {
    if (this.icon) {
      return this.type + " type badge with icon type " + this.icon;
    } else if (this.value || this.value === 0) {
      return this.type + " badge type with value " + this.value;
    }
    return this.type + " badge type without value";
  }
  get infoClass() {
    return this.type === IgxBadgeType.INFO;
  }
  get successClass() {
    return this.type === IgxBadgeType.SUCCESS;
  }
  get warningClass() {
    return this.type === IgxBadgeType.WARNING;
  }
  get errorClass() {
    return this.type === IgxBadgeType.ERROR;
  }
  static {
    this.ɵfac = i075.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i075, type: _IgxBadgeComponent, deps: [], target: i075.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i075.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBadgeComponent, isStandalone: true, selector: "igx-badge", inputs: { id: "id", type: "type", value: "value", icon: "icon", iconSet: "iconSet", shape: "shape" }, host: { properties: { "attr.id": "this.id", "attr.role": "this.role", "class.igx-badge": "this.cssClass", "class.igx-badge--square": "this._squareShape", "attr.aria-label": "this.label", "attr.aria-roledescription": "this.roleDescription", "class.igx-badge--info": "this.infoClass", "class.igx-badge--success": "this.successClass", "class.igx-badge--warning": "this.warningClass", "class.igx-badge--error": "this.errorClass" } }, ngImport: i075, template: '<span *ngIf="value || value === 0 && !icon" class="igx-badge__value">{{value}}</span>\n<igx-icon *ngIf="icon && !iconSet">{{icon}}</igx-icon>\n<igx-icon *ngIf="icon && iconSet" [family]="iconSet" [name]="icon">{{icon}}</igx-icon>\n<ng-content></ng-content>\n', dependencies: [{ kind: "directive", type: NgIf9, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i075.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i075, type: IgxBadgeComponent, decorators: [{
  type: Component21,
  args: [{ selector: "igx-badge", standalone: true, imports: [NgIf9, IgxIconComponent], template: '<span *ngIf="value || value === 0 && !icon" class="igx-badge__value">{{value}}</span>\n<igx-icon *ngIf="icon && !iconSet">{{icon}}</igx-icon>\n<igx-icon *ngIf="icon && iconSet" [family]="iconSet" [name]="icon">{{icon}}</igx-icon>\n<ng-content></ng-content>\n' }]
}], propDecorators: { id: [{
  type: HostBinding35,
  args: ["attr.id"]
}, {
  type: Input49
}], type: [{
  type: Input49
}], value: [{
  type: Input49
}], icon: [{
  type: Input49
}], iconSet: [{
  type: Input49
}], role: [{
  type: HostBinding35,
  args: ["attr.role"]
}], cssClass: [{
  type: HostBinding35,
  args: ["class.igx-badge"]
}], shape: [{
  type: Input49
}], _squareShape: [{
  type: HostBinding35,
  args: ["class.igx-badge--square"]
}], label: [{
  type: HostBinding35,
  args: ["attr.aria-label"]
}], roleDescription: [{
  type: HostBinding35,
  args: ["attr.aria-roledescription"]
}], infoClass: [{
  type: HostBinding35,
  args: ["class.igx-badge--info"]
}], successClass: [{
  type: HostBinding35,
  args: ["class.igx-badge--success"]
}], warningClass: [{
  type: HostBinding35,
  args: ["class.igx-badge--warning"]
}], errorClass: [{
  type: HostBinding35,
  args: ["class.igx-badge--error"]
}] } });

// lib/banner/banner.directives.mjs
import { Directive as Directive41 } from "@angular/core";
import * as i076 from "@angular/core";
var IgxBannerActionsDirective = class _IgxBannerActionsDirective {
  static {
    this.ɵfac = i076.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i076, type: _IgxBannerActionsDirective, deps: [], target: i076.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i076.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBannerActionsDirective, isStandalone: true, selector: "igx-banner-actions", ngImport: i076 });
  }
};
i076.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i076, type: IgxBannerActionsDirective, decorators: [{
  type: Directive41,
  args: [{
    selector: "igx-banner-actions",
    standalone: true
  }]
}] });

// lib/core/i18n/banner-resources.mjs
var BannerResourceStringsEN = {
  igx_banner_button_dismiss: "Dismiss"
};

// lib/banner/banner.component.mjs
import { Component as Component22, ContentChild as ContentChild5, EventEmitter as EventEmitter32, HostBinding as HostBinding36, Input as Input50, Output as Output23, ViewChild as ViewChild13 } from "@angular/core";
import { NgIf as NgIf10 } from "@angular/common";
import * as i077 from "@angular/core";
var IgxBannerComponent = class _IgxBannerComponent {
  /** @hidden */
  get useDefaultTemplate() {
    return !this._bannerActionTemplate;
  }
  /**
   * Set the animation settings used by the banner open/close methods
   * ```typescript
   * import { slideInLeft, slideOutRight } from 'igniteui-angular';
   * ...
   * banner.animationSettings: ToggleAnimationSettings = { openAnimation: slideInLeft, closeAnimation: slideOutRight };
   * ```
   */
  set animationSettings(settings) {
    this._animationSettings = settings;
  }
  /**
   * Get the animation settings used by the banner open/close methods
   * ```typescript
   * let currentAnimations: ToggleAnimationSettings = banner.animationSettings
   * ```
   */
  get animationSettings() {
    return this._animationSettings ? this._animationSettings : this._expansionPanel.animationSettings;
  }
  /**
  * Gets/Sets the resource strings.
  *
  * @remarks
  * By default it uses EN resources.
  */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Gets whether banner is collapsed
   *
   * ```typescript
   * const isCollapsed: boolean = banner.collapsed;
   * ```
   */
  get collapsed() {
    return this._expansionPanel.collapsed;
  }
  /**
   * Returns the native element of the banner component
   * ```typescript
   *  const myBannerElement: HTMLElement = banner.element;
   * ```
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * @hidden
   */
  get displayStyle() {
    return this.collapsed ? "" : "block";
  }
  constructor(elementRef) {
    this.elementRef = elementRef;
    this.opened = new EventEmitter32();
    this.opening = new EventEmitter32();
    this.closed = new EventEmitter32();
    this.closing = new EventEmitter32();
    this.cssClass = "igx-banner-host";
    this._resourceStrings = getCurrentResourceStrings(BannerResourceStringsEN);
  }
  /**
   * Opens the banner
   *
   * ```typescript
   *  myBanner.open();
   * ```
   *
   * ```html
   * <igx-banner #banner>
   * ...
   * </igx-banner>
   * <button type="button" (click)="banner.open()">Open Banner</button>
   * ```
   */
  open(event) {
    this._bannerEvent = { banner: this, owner: this, event };
    const openingArgs = {
      banner: this,
      owner: this,
      event,
      cancel: false
    };
    this.opening.emit(openingArgs);
    if (openingArgs.cancel) {
      return;
    }
    this._expansionPanel.open(event);
  }
  /**
   * Closes the banner
   *
   * ```typescript
   *  myBanner.close();
   * ```
   *
   * ```html
   * <igx-banner #banner>
   * ...
   * </igx-banner>
   * <button type="button" (click)="banner.close()">Close Banner</button>
   * ```
   */
  close(event) {
    this._bannerEvent = { banner: this, owner: this, event };
    const closingArgs = {
      banner: this,
      owner: this,
      event,
      cancel: false
    };
    this.closing.emit(closingArgs);
    if (closingArgs.cancel) {
      return;
    }
    this._expansionPanel.close(event);
  }
  /**
   * Toggles the banner
   *
   * ```typescript
   *  myBanner.toggle();
   * ```
   *
   * ```html
   * <igx-banner #banner>
   * ...
   * </igx-banner>
   * <button type="button" (click)="banner.toggle()">Toggle Banner</button>
   * ```
   */
  toggle(event) {
    if (this.collapsed) {
      this.open(event);
    } else {
      this.close(event);
    }
  }
  /** @hidden */
  onExpansionPanelOpen() {
    this.opened.emit(this._bannerEvent);
  }
  /** @hidden */
  onExpansionPanelClose() {
    this.closed.emit(this._bannerEvent);
  }
  static {
    this.ɵfac = i077.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i077, type: _IgxBannerComponent, deps: [{ token: i077.ElementRef }], target: i077.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i077.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBannerComponent, isStandalone: true, selector: "igx-banner", inputs: { animationSettings: "animationSettings", resourceStrings: "resourceStrings" }, outputs: { opened: "opened", opening: "opening", closed: "closed", closing: "closing" }, host: { properties: { "class": "this.cssClass", "style.display": "this.displayStyle" } }, queries: [{ propertyName: "bannerIcon", first: true, predicate: IgxIconComponent, descendants: true }, { propertyName: "_bannerActionTemplate", first: true, predicate: IgxBannerActionsDirective, descendants: true }], viewQueries: [{ propertyName: "_expansionPanel", first: true, predicate: ["expansionPanel"], descendants: true, static: true }], ngImport: i077, template: '<igx-expansion-panel #expansionPanel [animationSettings]="animationSettings" (contentCollapsed)="onExpansionPanelClose()" (contentExpanded)="onExpansionPanelOpen()"\n    [collapsed]="collapsed" aria-live="polite" [attr.aria-hidden]="collapsed">\n    <igx-expansion-panel-body>\n        <div class="igx-banner">\n            <div class="igx-banner__message">\n                <div *ngIf="bannerIcon" class="igx-banner__illustration">\n                    <ng-content select="igx-icon"></ng-content>\n                </div>\n                <span class="igx-banner__text">\n                    <ng-content></ng-content>\n                </span>\n            </div>\n            <div class="igx-banner__actions">\n                <ng-container *ngIf="useDefaultTemplate">\n                    <button type="button" igxButton="flat" igxRipple (click)="close()">\n                        {{ resourceStrings.igx_banner_button_dismiss }}\n                    </button>\n                </ng-container>\n                <ng-container *ngIf="!useDefaultTemplate">\n                    <ng-content select="igx-banner-actions"></ng-content>\n                </ng-container>\n            </div>\n        </div>\n    </igx-expansion-panel-body>\n</igx-expansion-panel>\n', dependencies: [{ kind: "component", type: IgxExpansionPanelComponent, selector: "igx-expansion-panel", inputs: ["animationSettings", "id", "collapsed"], outputs: ["collapsedChange", "contentCollapsing", "contentCollapsed", "contentExpanding", "contentExpanded"] }, { kind: "component", type: IgxExpansionPanelBodyComponent, selector: "igx-expansion-panel-body", inputs: ["role", "label", "labelledBy"] }, { kind: "directive", type: NgIf10, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }] });
  }
};
i077.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i077, type: IgxBannerComponent, decorators: [{
  type: Component22,
  args: [{ selector: "igx-banner", standalone: true, imports: [IgxExpansionPanelComponent, IgxExpansionPanelBodyComponent, NgIf10, IgxButtonDirective, IgxRippleDirective], template: '<igx-expansion-panel #expansionPanel [animationSettings]="animationSettings" (contentCollapsed)="onExpansionPanelClose()" (contentExpanded)="onExpansionPanelOpen()"\n    [collapsed]="collapsed" aria-live="polite" [attr.aria-hidden]="collapsed">\n    <igx-expansion-panel-body>\n        <div class="igx-banner">\n            <div class="igx-banner__message">\n                <div *ngIf="bannerIcon" class="igx-banner__illustration">\n                    <ng-content select="igx-icon"></ng-content>\n                </div>\n                <span class="igx-banner__text">\n                    <ng-content></ng-content>\n                </span>\n            </div>\n            <div class="igx-banner__actions">\n                <ng-container *ngIf="useDefaultTemplate">\n                    <button type="button" igxButton="flat" igxRipple (click)="close()">\n                        {{ resourceStrings.igx_banner_button_dismiss }}\n                    </button>\n                </ng-container>\n                <ng-container *ngIf="!useDefaultTemplate">\n                    <ng-content select="igx-banner-actions"></ng-content>\n                </ng-container>\n            </div>\n        </div>\n    </igx-expansion-panel-body>\n</igx-expansion-panel>\n' }]
}], ctorParameters: () => [{ type: i077.ElementRef }], propDecorators: { bannerIcon: [{
  type: ContentChild5,
  args: [IgxIconComponent]
}], opened: [{
  type: Output23
}], opening: [{
  type: Output23
}], closed: [{
  type: Output23
}], closing: [{
  type: Output23
}], animationSettings: [{
  type: Input50
}], resourceStrings: [{
  type: Input50
}], cssClass: [{
  type: HostBinding36,
  args: ["class"]
}], displayStyle: [{
  type: HostBinding36,
  args: ["style.display"]
}], _expansionPanel: [{
  type: ViewChild13,
  args: ["expansionPanel", { static: true }]
}], _bannerActionTemplate: [{
  type: ContentChild5,
  args: [IgxBannerActionsDirective]
}] } });

// lib/banner/public_api.mjs
var IGX_BANNER_DIRECTIVES = [
  IgxBannerComponent,
  IgxBannerActionsDirective
];

// lib/buttonGroup/buttonGroup.component.mjs
import { NgFor as NgFor2, NgIf as NgIf11 } from "@angular/common";
import { Component as Component23, ContentChildren as ContentChildren7, EventEmitter as EventEmitter33, HostBinding as HostBinding37, Inject as Inject29, Input as Input51, Output as Output24, Optional as Optional19, ViewChildren as ViewChildren3, booleanAttribute as booleanAttribute32 } from "@angular/core";
import { Subject as Subject21 } from "rxjs";
import { takeUntil as takeUntil16 } from "rxjs/operators";
import * as i078 from "@angular/core";
var ButtonGroupAlignment = mkenum({
  horizontal: "horizontal",
  vertical: "vertical"
});
var NEXT_ID11 = 0;
var IgxButtonGroupComponent = class _IgxButtonGroupComponent extends DisplayDensityBase {
  /**
   * A collection containing all buttons inside the button group.
   */
  get buttons() {
    return [...this.viewButtons.toArray(), ...this.templateButtons.toArray()];
  }
  /**
   * Allows you to set a style using the `itemContentCssClass` input.
   * The value should be the CSS class name that will be applied to the button group.
   * ```typescript
   * public style1 = "styleClass";
   *  //..
   * ```
   *  ```html
   * <igx-buttongroup [itemContentCssClass]="style1" [selectionMode]="'multi'" [values]="alignOptions">
   * ```
   */
  set itemContentCssClass(value) {
    this._itemContentCssClass = value || this._itemContentCssClass;
  }
  /**
   * Returns the CSS class of the item content of the `IgxButtonGroup`.
   * ```typescript
   *  @ViewChild("MyChild")
   * public buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    let buttonSelect = this.buttonG.itemContentCssClass;
   * }
   * ```
   */
  get itemContentCssClass() {
    return this._itemContentCssClass;
  }
  /**
   * Enables selecting multiple buttons. By default, multi-selection is false.
   *
   * @deprecated in version 16.1.0. Use the `selectionMode` property instead.
   */
  get multiSelection() {
    if (this.selectionMode === "multi") {
      return true;
    } else {
      return false;
    }
  }
  set multiSelection(selectionMode) {
    if (selectionMode) {
      this.selectionMode = "multi";
    } else {
      this.selectionMode = "single";
    }
  }
  /**
   * Gets/Sets the selection mode to 'single', 'singleRequired' or 'multi' of the buttons. By default, the selection mode is 'single'.
   * ```html
   * <igx-buttongroup [selectionMode]="'multi'" [alignment]="alignment"></igx-buttongroup>
   * ```
   */
  get selectionMode() {
    return this._selectionMode;
  }
  set selectionMode(selectionMode) {
    if (this.viewButtons && selectionMode !== this._selectionMode) {
      this.buttons.forEach((b, i) => {
        this.deselectButton(i);
      });
      this._selectionMode = selectionMode;
    } else {
      this._selectionMode = selectionMode;
    }
  }
  /**
   * Disables the `igx-buttongroup` component. By default it's false.
   * ```html
   * <igx-buttongroup [disabled]="true" [selectionMode]="'multi'" [values]="fontOptions"></igx-buttongroup>
   * ```
   */
  get disabled() {
    return this._disabled;
  }
  set disabled(value) {
    if (this._disabled !== value) {
      this._disabled = value;
      if (this.viewButtons && this.templateButtons) {
        this.buttons.forEach((b) => b.disabled = this._disabled);
      }
    }
  }
  /**
   * Allows you to set the button group alignment.
   * Available options are `ButtonGroupAlignment.horizontal` (default) and `ButtonGroupAlignment.vertical`.
   * ```typescript
   * public alignment = ButtonGroupAlignment.vertical;
   * //..
   * ```
   * ```html
   * <igx-buttongroup [selectionMode]="'single'" [values]="cities" [alignment]="alignment"></igx-buttongroup>
   * ```
   */
  set alignment(value) {
    this._isVertical = value === ButtonGroupAlignment.vertical;
  }
  /**
   * Returns the alignment of the `igx-buttongroup`.
   * ```typescript
   * @ViewChild("MyChild")
   * public buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    let buttonAlignment = this.buttonG.alignment;
   * }
   * ```
   */
  get alignment() {
    return this._isVertical ? ButtonGroupAlignment.vertical : ButtonGroupAlignment.horizontal;
  }
  /**
   * Returns true if the `igx-buttongroup` alignment is vertical.
   * Note that in order for the accessor to work correctly the property should be set explicitly.
   * ```html
   * <igx-buttongroup #MyChild [alignment]="alignment" [values]="alignOptions">
   * ```
   * ```typescript
   * //...
   * @ViewChild("MyChild")
   * private buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    let orientation = this.buttonG.isVertical;
   * }
   * ```
   */
  get isVertical() {
    return this._isVertical;
  }
  constructor(_cdr, _renderer, _el, _displayDensityOptions) {
    super(_displayDensityOptions, _el);
    this._cdr = _cdr;
    this._renderer = _renderer;
    this._el = _el;
    this._displayDensityOptions = _displayDensityOptions;
    this.id = `igx-buttongroup-${NEXT_ID11++}`;
    this.zIndex = 0;
    this.selected = new EventEmitter33();
    this.deselected = new EventEmitter33();
    this.selectedIndexes = [];
    this.buttonClickNotifier$ = new Subject21();
    this.queryListNotifier$ = new Subject21();
    this._disabled = false;
    this._selectionMode = "single";
    this.observerConfig = {
      attributeFilter: ["data-selected"],
      childList: true,
      subtree: true
    };
  }
  /**
   * Gets the selected button/buttons.
   * ```typescript
   * @ViewChild("MyChild")
   * private buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    let selectedButton = this.buttonG.selectedButtons;
   * }
   * ```
   */
  get selectedButtons() {
    return this.buttons.filter((_, i) => this.selectedIndexes.indexOf(i) !== -1);
  }
  /**
   * Selects a button by its index.
   * ```typescript
   * @ViewChild("MyChild")
   * private buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    this.buttonG.selectButton(2);
   *    this.cdr.detectChanges();
   * }
   * ```
   *
   * @memberOf {@link IgxButtonGroupComponent}
   */
  selectButton(index) {
    if (index >= this.buttons.length || index < 0) {
      return;
    }
    const button = this.buttons[index];
    button.select();
  }
  /**
   * @hidden
   * @internal
   */
  updateSelected(index) {
    const button = this.buttons[index];
    if (this.selectedIndexes.indexOf(index) === -1) {
      this.selectedIndexes.push(index);
    }
    this._renderer.setAttribute(button.nativeElement, "aria-pressed", "true");
    this._renderer.addClass(button.nativeElement, "igx-button-group__item--selected");
    const indexInViewButtons = this.viewButtons.toArray().indexOf(button);
    if (indexInViewButtons !== -1) {
      this.values[indexInViewButtons].selected = true;
    }
    if (this.selectionMode !== "multi" && this.selectedIndexes.length > 1) {
      this.buttons.forEach((_, i) => {
        if (i !== index && this.selectedIndexes.indexOf(i) !== -1) {
          this.deselectButton(i);
          this.updateDeselected(i);
        }
      });
    }
  }
  updateDeselected(index) {
    const button = this.buttons[index];
    if (this.selectedIndexes.indexOf(index) !== -1) {
      this.selectedIndexes.splice(this.selectedIndexes.indexOf(index), 1);
    }
    this._renderer.setAttribute(button.nativeElement, "aria-pressed", "false");
    this._renderer.removeClass(button.nativeElement, "igx-button-group__item--selected");
    const indexInViewButtons = this.viewButtons.toArray().indexOf(button);
    if (indexInViewButtons !== -1) {
      this.values[indexInViewButtons].selected = false;
    }
  }
  /**
   * Deselects a button by its index.
   * ```typescript
   * @ViewChild("MyChild")
   * private buttonG: IgxButtonGroupComponent;
   * ngAfterViewInit(){
   *    this.buttonG.deselectButton(2);
   *    this.cdr.detectChanges();
   * }
   * ```
   *
   * @memberOf {@link IgxButtonGroupComponent}
   */
  deselectButton(index) {
    if (index >= this.buttons.length || index < 0) {
      return;
    }
    const button = this.buttons[index];
    button.deselect();
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    this.templateButtons.forEach((button) => {
      if (!button.initialDensity) {
        button.displayDensity = this.displayDensity;
      }
    });
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    const initButtons = () => {
      this.buttonClickNotifier$.next();
      this.selectedIndexes.splice(0, this.selectedIndexes.length);
      this.buttons.forEach((button, index) => {
        const buttonElement = button.nativeElement;
        this._renderer.addClass(buttonElement, "igx-button-group__item");
        if (this.disabled) {
          button.disabled = true;
        }
        if (button.selected) {
          this.updateSelected(index);
        }
        button.buttonClick.pipe(takeUntil16(this.buttonClickNotifier$)).subscribe((_) => this._clickHandler(index));
      });
    };
    this.mutationObserver = this.setMutationsObserver();
    this.viewButtons.changes.pipe(takeUntil16(this.queryListNotifier$)).subscribe(() => {
      this.mutationObserver.disconnect();
      initButtons();
      this.mutationObserver?.observe(this._el.nativeElement, this.observerConfig);
    });
    this.templateButtons.changes.pipe(takeUntil16(this.queryListNotifier$)).subscribe(() => {
      this.mutationObserver.disconnect();
      initButtons();
      this.mutationObserver?.observe(this._el.nativeElement, this.observerConfig);
    });
    initButtons();
    this._cdr.detectChanges();
    this.mutationObserver?.observe(this._el.nativeElement, this.observerConfig);
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.buttonClickNotifier$.next();
    this.buttonClickNotifier$.complete();
    this.queryListNotifier$.next();
    this.queryListNotifier$.complete();
    this.mutationObserver?.disconnect();
  }
  /**
   * @hidden
   */
  _clickHandler(index) {
    const button = this.buttons[index];
    const args = { owner: this, button, index };
    if (this.selectionMode !== "multi") {
      this.buttons.forEach((b, i) => {
        if (i !== index && this.selectedIndexes.indexOf(i) !== -1) {
          this.deselected.emit({ owner: this, button: b, index: i });
        }
      });
    }
    if (this.selectedIndexes.indexOf(index) === -1) {
      this.selectButton(index);
      this.selected.emit(args);
    } else {
      if (this.selectionMode !== "singleRequired") {
        this.deselectButton(index);
        this.deselected.emit(args);
      }
    }
  }
  setMutationsObserver() {
    if (typeof MutationObserver !== "undefined") {
      return new MutationObserver((records, observer) => {
        observer.disconnect();
        const updatedButtons = this.getUpdatedButtons(records);
        if (updatedButtons.length > 0) {
          updatedButtons.forEach((button) => {
            const index = this.buttons.map((b) => b.nativeElement).indexOf(button);
            const args = { owner: this, button: this.buttons[index], index };
            this.updateButtonSelectionState(index, args);
          });
        }
        observer.observe(this._el.nativeElement, this.observerConfig);
      });
    }
  }
  getUpdatedButtons(records) {
    const updated = [];
    records.filter((x) => x.type === "attributes").reduce((prev, curr) => {
      prev.push(curr.target);
      return prev;
    }, updated);
    return updated;
  }
  updateButtonSelectionState(index, args) {
    if (this.buttons[index].selected) {
      this.updateSelected(index);
      this.selected.emit(args);
    } else {
      this.updateDeselected(index);
      this.deselected.emit(args);
    }
  }
  static {
    this.ɵfac = i078.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i078, type: _IgxButtonGroupComponent, deps: [{ token: i078.ChangeDetectorRef }, { token: i078.Renderer2 }, { token: i078.ElementRef }, { token: DisplayDensityToken, optional: true }], target: i078.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i078.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxButtonGroupComponent, isStandalone: true, selector: "igx-buttongroup", inputs: { id: "id", itemContentCssClass: "itemContentCssClass", multiSelection: "multiSelection", selectionMode: "selectionMode", values: "values", disabled: ["disabled", "disabled", booleanAttribute32], alignment: "alignment" }, outputs: { selected: "selected", deselected: "deselected" }, host: { properties: { "attr.id": "this.id", "style.zIndex": "this.zIndex" } }, queries: [{ propertyName: "templateButtons", predicate: IgxButtonDirective }], viewQueries: [{ propertyName: "viewButtons", predicate: IgxButtonDirective, descendants: true }], usesInheritance: true, ngImport: i078, template: `<div class="igx-button-group" role="group" [class.igx-button-group--vertical]="isVertical">
    <button *ngFor="let button of values; let i = 'index'"
        type="button"
        igxButton="flat"
        [displayDensity]="displayDensity"
        [selected]="button.selected"
        [attr.data-togglable]="button.togglable"
        [disabled]="disabled || button.disabled"
        [igxLabel]="button.label"
        [igxRipple]="button.ripple"
    >
        <span class="igx-button-group__item-content {{ itemContentCssClass }}">
            <igx-icon *ngIf="button.icon">{{button.icon}}</igx-icon>
            <span class="igx-button-group__button-text" *ngIf="button.label">{{button.label}}</span>
        </span>
    </button>
    <ng-content></ng-content>
</div>
`, dependencies: [{ kind: "directive", type: NgFor2, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: NgIf11, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i078.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i078, type: IgxButtonGroupComponent, decorators: [{
  type: Component23,
  args: [{ selector: "igx-buttongroup", standalone: true, imports: [NgFor2, IgxButtonDirective, IgxRippleDirective, NgIf11, IgxIconComponent], template: `<div class="igx-button-group" role="group" [class.igx-button-group--vertical]="isVertical">
    <button *ngFor="let button of values; let i = 'index'"
        type="button"
        igxButton="flat"
        [displayDensity]="displayDensity"
        [selected]="button.selected"
        [attr.data-togglable]="button.togglable"
        [disabled]="disabled || button.disabled"
        [igxLabel]="button.label"
        [igxRipple]="button.ripple"
    >
        <span class="igx-button-group__item-content {{ itemContentCssClass }}">
            <igx-icon *ngIf="button.icon">{{button.icon}}</igx-icon>
            <span class="igx-button-group__button-text" *ngIf="button.label">{{button.label}}</span>
        </span>
    </button>
    <ng-content></ng-content>
</div>
` }]
}], ctorParameters: () => [{ type: i078.ChangeDetectorRef }, { type: i078.Renderer2 }, { type: i078.ElementRef }, { type: void 0, decorators: [{
  type: Optional19
}, {
  type: Inject29,
  args: [DisplayDensityToken]
}] }], propDecorators: { id: [{
  type: HostBinding37,
  args: ["attr.id"]
}, {
  type: Input51
}], zIndex: [{
  type: HostBinding37,
  args: ["style.zIndex"]
}], itemContentCssClass: [{
  type: Input51
}], multiSelection: [{
  type: Input51
}], selectionMode: [{
  type: Input51
}], values: [{
  type: Input51
}], disabled: [{
  type: Input51,
  args: [{ transform: booleanAttribute32 }]
}], alignment: [{
  type: Input51
}], selected: [{
  type: Output24
}], deselected: [{
  type: Output24
}], viewButtons: [{
  type: ViewChildren3,
  args: [IgxButtonDirective]
}], templateButtons: [{
  type: ContentChildren7,
  args: [IgxButtonDirective]
}] } });

// lib/buttonGroup/public_api.mjs
var IGX_BUTTON_GROUP_DIRECTIVES = [
  IgxButtonGroupComponent,
  IgxButtonDirective
];

// lib/calendar/common/model.mjs
var daysInWeek = 7;
var millisecondsInDay = 864e5;
function toCalendarDay(date) {
  return date instanceof Date ? CalendarDay.from(date) : date;
}
function checkRollover(original, modified) {
  return original.date !== modified.date ? modified.set({ date: 0 }) : modified;
}
var CalendarDay = class _CalendarDay {
  /** Constructs and returns the current day. */
  static get today() {
    return _CalendarDay.from(/* @__PURE__ */ new Date());
  }
  /** Constructs a new CalendarDay instance from a Date object. */
  static from(date) {
    return new _CalendarDay({
      year: date.getFullYear(),
      month: date.getMonth(),
      date: date.getDate()
    });
  }
  constructor(args) {
    this._date = new Date(args.year, args.month, args.date ?? 1);
  }
  /** Returns a copy of this instance. */
  clone() {
    return _CalendarDay.from(this._date);
  }
  /**
   * Returns a new instance with values replaced.
   */
  set(args) {
    return new _CalendarDay({
      year: args.year ?? this.year,
      month: args.month ?? this.month,
      date: args.date ?? this.date
    });
  }
  add(unit, value) {
    const result = this.clone();
    switch (unit) {
      case "year":
        result._date.setFullYear(result.year + value);
        return checkRollover(this, result);
      case "quarter":
        result._date.setMonth(result.month + 3 * value);
        return checkRollover(this, result);
      case "month":
        result._date.setMonth(result.month + value);
        return checkRollover(this, result);
      case "week":
        result._date.setDate(result.date + 7 * value);
        return result;
      case "day":
        result._date.setDate(result.date + value);
        return result;
      default:
        throw new Error("Invalid interval");
    }
  }
  /** Returns the day of the week (Sunday = 0). */
  get day() {
    return this._date.getDay();
  }
  /** Returns the full year. */
  get year() {
    return this._date.getFullYear();
  }
  /** Returns the month. */
  get month() {
    return this._date.getMonth();
  }
  /** Returns the date */
  get date() {
    return this._date.getDate();
  }
  /** Returns the timestamp since epoch in milliseconds. */
  get timestamp() {
    return this._date.getTime();
  }
  /** Returns the current week number. */
  get week() {
    const firstDay = new _CalendarDay({ year: this.year, month: 0 }).timestamp;
    const currentDay = (this.timestamp - firstDay + millisecondsInDay) / millisecondsInDay;
    return Math.ceil(currentDay / daysInWeek);
  }
  /** Returns the underlying native date instance. */
  get native() {
    return new Date(this._date);
  }
  /**
   * Whether the current date is a weekend day.
   *
   * @remarks
   * This is naive, since it does not account for locale specifics.
   */
  get weekend() {
    return this.day < 1 || this.day > 5;
  }
  equalTo(value) {
    return this.timestamp === toCalendarDay(value).timestamp;
  }
  greaterThan(value) {
    return this.timestamp > toCalendarDay(value).timestamp;
  }
  lessThan(value) {
    return this.timestamp < toCalendarDay(value).timestamp;
  }
  toString() {
    return `${this.native}`;
  }
};

// lib/calendar/calendar.directives.mjs
import { Directive as Directive42, EventEmitter as EventEmitter34, HostBinding as HostBinding38, HostListener as HostListener22, Input as Input52, InjectionToken as InjectionToken8, Output as Output25 } from "@angular/core";
import { fromEvent as fromEvent6, Subject as Subject22, interval as interval2 } from "rxjs";
import { takeUntil as takeUntil17, debounce, tap } from "rxjs/operators";
import * as i079 from "@angular/core";
var IGX_CALENDAR_VIEW_ITEM = new InjectionToken8("IgxCalendarViewItem");
var IgxCalendarViewBaseDirective = class _IgxCalendarViewBaseDirective {
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  constructor(elementRef) {
    this.elementRef = elementRef;
    this.showActive = false;
    this.itemSelection = new EventEmitter34();
  }
  onMouseDown(event) {
    event.preventDefault();
    this.itemSelection.emit(this.value);
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarViewBaseDirective, deps: [{ token: i079.ElementRef }], target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarViewBaseDirective, inputs: { value: "value", date: "date", showActive: "showActive" }, outputs: { itemSelection: "itemSelection" }, host: { listeners: { "mousedown": "onMouseDown($event)" } }, ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarViewBaseDirective, decorators: [{
  type: Directive42
}], ctorParameters: () => [{ type: i079.ElementRef }], propDecorators: { value: [{
  type: Input52
}], date: [{
  type: Input52
}], showActive: [{
  type: Input52
}], itemSelection: [{
  type: Output25
}], onMouseDown: [{
  type: HostListener22,
  args: ["mousedown", ["$event"]]
}] } });
var IgxCalendarYearDirective = class _IgxCalendarYearDirective extends IgxCalendarViewBaseDirective {
  get isCurrent() {
    return CalendarDay.today.year === this.value.getFullYear();
  }
  get isSelected() {
    return this.value.getFullYear() === this.date.getFullYear();
  }
  get isActive() {
    return this.isSelected && this.showActive;
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarYearDirective, deps: null, target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarYearDirective, isStandalone: true, selector: "[igxCalendarYear]", host: { properties: { "class.igx-years-view__year--current": "this.isCurrent", "class.igx-years-view__year--selected": "this.isSelected", "class.igx-years-view__year--active": "this.isActive" } }, providers: [
      { provide: IGX_CALENDAR_VIEW_ITEM, useExisting: _IgxCalendarYearDirective }
    ], exportAs: ["igxCalendarYear"], usesInheritance: true, ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarYearDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarYear]",
    providers: [
      { provide: IGX_CALENDAR_VIEW_ITEM, useExisting: IgxCalendarYearDirective }
    ],
    exportAs: "igxCalendarYear",
    standalone: true
  }]
}], propDecorators: { isCurrent: [{
  type: HostBinding38,
  args: ["class.igx-years-view__year--current"]
}], isSelected: [{
  type: HostBinding38,
  args: ["class.igx-years-view__year--selected"]
}], isActive: [{
  type: HostBinding38,
  args: ["class.igx-years-view__year--active"]
}] } });
var IgxCalendarMonthDirective = class _IgxCalendarMonthDirective extends IgxCalendarViewBaseDirective {
  get isCurrent() {
    const today = CalendarDay.today;
    const date = CalendarDay.from(this.value);
    return date.year === today.year && date.month === today.month;
  }
  get isSelected() {
    return this.value.getFullYear() === this.date.getFullYear() && this.value.getMonth() === this.date.getMonth();
  }
  get isActive() {
    return this.isSelected && this.showActive;
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarMonthDirective, deps: null, target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarMonthDirective, isStandalone: true, selector: "[igxCalendarMonth]", host: { properties: { "class.igx-months-view__month--current": "this.isCurrent", "class.igx-months-view__month--selected": "this.isSelected", "class.igx-months-view__month--active": "this.isActive" } }, providers: [
      { provide: IGX_CALENDAR_VIEW_ITEM, useExisting: _IgxCalendarMonthDirective }
    ], exportAs: ["igxCalendarMonth"], usesInheritance: true, ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarMonthDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarMonth]",
    providers: [
      { provide: IGX_CALENDAR_VIEW_ITEM, useExisting: IgxCalendarMonthDirective }
    ],
    exportAs: "igxCalendarMonth",
    standalone: true
  }]
}], propDecorators: { isCurrent: [{
  type: HostBinding38,
  args: ["class.igx-months-view__month--current"]
}], isSelected: [{
  type: HostBinding38,
  args: ["class.igx-months-view__month--selected"]
}], isActive: [{
  type: HostBinding38,
  args: ["class.igx-months-view__month--active"]
}] } });
var IgxCalendarHeaderTitleTemplateDirective = class _IgxCalendarHeaderTitleTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarHeaderTitleTemplateDirective, deps: [{ token: i079.TemplateRef }], target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarHeaderTitleTemplateDirective, isStandalone: true, selector: "[igxCalendarHeaderTitle]", ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarHeaderTitleTemplateDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarHeaderTitle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i079.TemplateRef }] });
var IgxCalendarHeaderTemplateDirective = class _IgxCalendarHeaderTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarHeaderTemplateDirective, deps: [{ token: i079.TemplateRef }], target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarHeaderTemplateDirective, isStandalone: true, selector: "[igxCalendarHeader]", ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarHeaderTemplateDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarHeader]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i079.TemplateRef }] });
var IgxCalendarSubheaderTemplateDirective = class _IgxCalendarSubheaderTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarSubheaderTemplateDirective, deps: [{ token: i079.TemplateRef }], target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarSubheaderTemplateDirective, isStandalone: true, selector: "[igxCalendarSubheader]", ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarSubheaderTemplateDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarSubheader]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i079.TemplateRef }] });
var IgxCalendarScrollPageDirective = class _IgxCalendarScrollPageDirective {
  constructor(element, zone, platform) {
    this.element = element;
    this.zone = zone;
    this.platform = platform;
    this.destroy$ = new Subject22();
  }
  /**
   * @hidden
   */
  onMouseDown(event) {
    event.preventDefault();
    this.startScroll();
  }
  /**
   * @hidden
   */
  onMouseUp(event) {
    this.stopScroll(event);
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    fromEvent6(this.element.nativeElement, "keyup").pipe(debounce(() => interval2(100)), takeUntil17(this.destroy$)).subscribe((event) => {
      this.stopScroll(event);
    });
    this.zone.runOutsideAngular(() => {
      fromEvent6(this.element.nativeElement, "keydown").pipe(tap((event) => {
        if (this.platform.isActivationKey(event)) {
          event.preventDefault();
          event.stopPropagation();
        }
      }), debounce(() => interval2(100)), takeUntil17(this.destroy$)).subscribe((event) => {
        if (this.platform.isActivationKey(event)) {
          this.zone.run(() => this.startScroll(true));
        }
      });
    });
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  static {
    this.ɵfac = i079.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: _IgxCalendarScrollPageDirective, deps: [{ token: i079.ElementRef }, { token: i079.NgZone }, { token: PlatformUtil }], target: i079.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i079.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarScrollPageDirective, isStandalone: true, selector: "[igxCalendarScrollPage]", inputs: { startScroll: "startScroll", stopScroll: "stopScroll" }, host: { listeners: { "mousedown": "onMouseDown($event)", "mouseup": "onMouseUp($event)" } }, ngImport: i079 });
  }
};
i079.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i079, type: IgxCalendarScrollPageDirective, decorators: [{
  type: Directive42,
  args: [{
    selector: "[igxCalendarScrollPage]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i079.ElementRef }, { type: i079.NgZone }, { type: PlatformUtil }], propDecorators: { startScroll: [{
  type: Input52
}], stopScroll: [{
  type: Input52
}], onMouseDown: [{
  type: HostListener22,
  args: ["mousedown", ["$event"]]
}], onMouseUp: [{
  type: HostListener22,
  args: ["mouseup", ["$event"]]
}] } });

// lib/calendar/calendar.mjs
var CalendarSelection = /* @__PURE__ */ mkenum({
  SINGLE: "single",
  MULTI: "multi",
  RANGE: "range"
});
var IgxCalendarView = /* @__PURE__ */ mkenum({
  Month: "month",
  Year: "year",
  Decade: "decade"
});
var MDAYS = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
var FEBRUARY = 1;
var range = (start = 0, stop, step = 1) => {
  const res = [];
  const cur = stop === void 0 ? 0 : start;
  const max = stop === void 0 ? start : stop;
  for (let i = cur; step < 0 ? i > max : i < max; i += step) {
    res.push(i);
  }
  return res;
};
var isLeap = (year) => year % 4 === 0 && (year % 100 !== 0 || year % 400 === 0);
var weekDay = (year, month, day) => new Date(year, month, day).getDay();
var monthRange = (year, month) => {
  if (month < 0 || month > 11) {
    throw new Error("Invalid month specified");
  }
  const day = weekDay(year, month, 1);
  let nDays = MDAYS[month];
  if (month === FEBRUARY && isLeap(year)) {
    nDays++;
  }
  return [day, nDays];
};
var WEEKDAYS;
(function(WEEKDAYS2) {
  WEEKDAYS2[WEEKDAYS2["SUNDAY"] = 0] = "SUNDAY";
  WEEKDAYS2[WEEKDAYS2["MONDAY"] = 1] = "MONDAY";
  WEEKDAYS2[WEEKDAYS2["TUESDAY"] = 2] = "TUESDAY";
  WEEKDAYS2[WEEKDAYS2["WEDNESDAY"] = 3] = "WEDNESDAY";
  WEEKDAYS2[WEEKDAYS2["THURSDAY"] = 4] = "THURSDAY";
  WEEKDAYS2[WEEKDAYS2["FRIDAY"] = 5] = "FRIDAY";
  WEEKDAYS2[WEEKDAYS2["SATURDAY"] = 6] = "SATURDAY";
})(WEEKDAYS || (WEEKDAYS = {}));
var Calendar = class {
  timedelta(date, interval9, units) {
    const ret = new Date(date);
    const checkRollover2 = () => {
      if (ret.getDate() !== date.getDate()) {
        ret.setDate(0);
      }
    };
    switch (interval9.toLowerCase()) {
      case "year":
        ret.setFullYear(ret.getFullYear() + units);
        checkRollover2();
        break;
      case "quarter":
        ret.setMonth(ret.getMonth() + 3 * units);
        checkRollover2();
        break;
      case "month":
        ret.setMonth(ret.getMonth() + units);
        checkRollover2();
        break;
      case "week":
        ret.setDate(ret.getDate() + 7 * units);
        break;
      case "day":
        ret.setDate(ret.getDate() + units);
        break;
      case "hour":
        ret.setTime(ret.getTime() + units * 36e5);
        break;
      case "minute":
        ret.setTime(ret.getTime() + units * 6e4);
        break;
      case "second":
        ret.setTime(ret.getTime() + units * 1e3);
        break;
      default:
        throw new Error("Invalid interval specifier");
    }
    return ret;
  }
};

// lib/calendar/common/types.mjs
var DateRangeType;
(function(DateRangeType3) {
  DateRangeType3[DateRangeType3["After"] = 0] = "After";
  DateRangeType3[DateRangeType3["Before"] = 1] = "Before";
  DateRangeType3[DateRangeType3["Between"] = 2] = "Between";
  DateRangeType3[DateRangeType3["Specific"] = 3] = "Specific";
  DateRangeType3[DateRangeType3["Weekdays"] = 4] = "Weekdays";
  DateRangeType3[DateRangeType3["Weekends"] = 5] = "Weekends";
})(DateRangeType || (DateRangeType = {}));

// lib/calendar/common/helpers.mjs
function areSameMonth(firstMonth, secondMonth) {
  const [a, b] = [toCalendarDay(firstMonth), toCalendarDay(secondMonth)];
  return a.year === b.year && a.month === b.month;
}
function isNextMonth(target, origin) {
  const [a, b] = [toCalendarDay(target), toCalendarDay(origin)];
  return a.year === b.year ? a.month > b.month : a.year > b.year;
}
function isPreviousMonth(target, origin) {
  const [a, b] = [toCalendarDay(target), toCalendarDay(origin)];
  return a.year === b.year ? a.month < b.month : a.year < b.year;
}
function getNextActiveDate(start, disabled = []) {
  while (isDateInRanges(start, disabled)) {
    start = start.add("day", 1);
  }
  return start;
}
function getPreviousActiveDate(start, disabled = []) {
  while (isDateInRanges(start, disabled)) {
    start = start.add("day", -1);
  }
  return start;
}
function getClosestActiveDate(start, delta, disabled = []) {
  const maxAttempts = 366;
  let date = start;
  let attempts = 0;
  while (attempts < maxAttempts) {
    date = start.add("day", delta * (attempts + 1));
    if (!isDateInRanges(date, disabled)) {
      return date;
    }
    attempts++;
  }
  return date;
}
function* calendarRange(options) {
  let low = toCalendarDay(options.start);
  const unit = options.unit ?? "day";
  const high = typeof options.end === "number" ? low.add(unit, options.end) : toCalendarDay(options.end);
  const reverse = high.lessThan(low);
  const step = reverse ? -1 : 1;
  while (!reverse ? low.lessThan(high) : low.greaterThan(high)) {
    yield low;
    low = low.add(unit, step);
  }
}
function* generateMonth(value, firstWeekDay) {
  const { year, month } = toCalendarDay(value);
  const start = new CalendarDay({ year, month });
  const offset = modulo(start.day - firstWeekDay, daysInWeek);
  yield* calendarRange({
    start: start.add("day", -offset),
    end: 42
  });
}
function getYearRange(current, range2) {
  const year = toCalendarDay(current).year;
  const start = Math.floor(year / range2) * range2;
  return { start, end: start + range2 - 1 };
}
function isDateInRanges(date, ranges) {
  const value = toCalendarDay(date);
  return ranges.some((range2) => {
    const days = (range2.dateRange ?? []).map((day) => toCalendarDay(day));
    switch (range2.type) {
      case DateRangeType.After:
        return value.greaterThan(first(days));
      case DateRangeType.Before:
        return value.lessThan(first(days));
      case DateRangeType.Between: {
        const min = Math.min(first(days).timestamp, last(days).timestamp);
        const max = Math.max(first(days).timestamp, last(days).timestamp);
        return value.timestamp >= min && value.timestamp <= max;
      }
      case DateRangeType.Specific:
        return days.some((day) => day.equalTo(value));
      case DateRangeType.Weekdays:
        return !value.weekend;
      case DateRangeType.Weekends:
        return value.weekend;
      default:
        return false;
    }
  });
}
function formatToParts(date, locale, options, parts) {
  const formatter = new Intl.DateTimeFormat(locale, options);
  const result = {
    date,
    full: formatter.format(date)
  };
  const getFormattedPart = (formattedParts, partType) => {
    const part = formattedParts.find(({ type }) => type === partType);
    const nextPart = formattedParts[formattedParts.indexOf(part) + 1];
    const value = part?.value || "";
    const literal = nextPart?.type === "literal" ? nextPart.value : "";
    return {
      value,
      literal,
      combined: value + literal
    };
  };
  if ("formatToParts" in formatter) {
    const formattedParts = formatter.formatToParts(date);
    parts.forEach((part) => result[part] = getFormattedPart(formattedParts, part));
  } else {
    parts.forEach((part) => result[part] = { value: "", literal: "", combined: "" });
  }
  return result;
}

// lib/core/dates/dateRange.mjs
var DateRangeType2;
(function(DateRangeType3) {
  DateRangeType3[DateRangeType3["After"] = 0] = "After";
  DateRangeType3[DateRangeType3["Before"] = 1] = "Before";
  DateRangeType3[DateRangeType3["Between"] = 2] = "Between";
  DateRangeType3[DateRangeType3["Specific"] = 3] = "Specific";
  DateRangeType3[DateRangeType3["Weekdays"] = 4] = "Weekdays";
  DateRangeType3[DateRangeType3["Weekends"] = 5] = "Weekends";
})(DateRangeType2 || (DateRangeType2 = {}));

// lib/calendar/common/calendar-view.directive.mjs
import { Output as Output26, EventEmitter as EventEmitter35, Input as Input53, HostListener as HostListener23, ViewChildren as ViewChildren4, booleanAttribute as booleanAttribute33, Directive as Directive43, HostBinding as HostBinding39, InjectionToken as InjectionToken9, Inject as Inject30 } from "@angular/core";
import { noop as noop6 } from "rxjs";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR5 } from "@angular/forms";
import * as i080 from "@angular/core";
var Direction;
(function(Direction3) {
  Direction3[Direction3["NEXT"] = 1] = "NEXT";
  Direction3[Direction3["PREV"] = -1] = "PREV";
})(Direction || (Direction = {}));
var DAY_INTERVAL_TOKEN = new InjectionToken9("DAY_INTERVAL");
var IgxCalendarViewDirective = class _IgxCalendarViewDirective {
  get activeDescendant() {
    if (this.tabIndex === -1)
      return;
    return this.date.getTime();
  }
  /**
   * Gets/sets the selected date of the view.
   * By default it's the current date.
   * ```typescript
   * let date = this.view.date;
   * ```
   *
   * @memberof IgxYearsViewComponent
   */
  set date(value) {
    if (!(value instanceof Date))
      return;
    this._date = value;
  }
  get date() {
    return this._date;
  }
  /**
   * Gets the `locale` of the view.
   * Default value is `"en"`.
   * ```typescript
   * let locale = this.view.locale;
   * ```
   *
   * @memberof IgxCalendarViewDirective
   */
  get locale() {
    return this._locale;
  }
  /**
   * Sets the `locale` of the view.
   * Expects a valid BCP 47 language tag.
   * Default value is `"en"`.
   *
   * @memberof IgxCalendarViewDirective
   */
  set locale(value) {
    this._locale = value;
    this.initFormatter();
  }
  constructor(dayInterval) {
    this.dayInterval = dayInterval;
    this.role = "grid";
    this.tabIndex = 0;
    this.showActive = false;
    this.selected = new EventEmitter35();
    this.pageChanged = new EventEmitter35();
    this.activeDateChanged = new EventEmitter35();
    this._locale = "en";
    this._date = /* @__PURE__ */ new Date();
    this._onTouchedCallback = noop6;
    this._onChangeCallback = noop6;
    this.initFormatter();
  }
  /**
   * @hidden
   */
  onKeydownArrowDown(event) {
    this.navigateTo(event, Direction.NEXT, 3);
  }
  /**
   * @hidden
   */
  onKeydownArrowUp(event) {
    this.navigateTo(event, Direction.PREV, 3);
  }
  /**
   * @hidden
   */
  onKeydownArrowRight(event) {
    this.navigateTo(event, Direction.NEXT, 1);
  }
  /**
   * @hidden
   */
  onKeydownArrowLeft(event) {
    this.navigateTo(event, Direction.PREV, 1);
  }
  /**
   * @hidden
   */
  onKeydownHome(event) {
    event.preventDefault();
    event.stopPropagation();
    this.date = this.range.at(0);
    this.activeDateChanged.emit(this.date);
  }
  /**
   * @hidden
   */
  onKeydownEnd(event) {
    event.preventDefault();
    event.stopPropagation();
    this.date = this.range.at(-1);
    this.activeDateChanged.emit(this.date);
  }
  /**
   * @hidden
   */
  onKeydownEnter(event) {
    event.stopPropagation();
    this.selected.emit(this.date);
    this._onChangeCallback(this.date);
  }
  /**
   * @hidden
   */
  handleFocus() {
    this.showActive = true;
  }
  /**
   * @hidden
   */
  handleBlur() {
    this.showActive = false;
  }
  /**
   * @hidden
   */
  selectDate(value) {
    this.date = value;
    this.selected.emit(this.date);
    this._onChangeCallback(this.date);
  }
  /**
   * @hidden
   */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /**
   * @hidden
   */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /**
   * @hidden
   */
  writeValue(value) {
    if (value) {
      this.date = value;
    }
  }
  /**
   * @hidden
   */
  navigateTo(event, direction, delta) {
    event.preventDefault();
    event.stopPropagation();
    const date = getNextActiveDate(CalendarDay.from(this.date).add(this.dayInterval, direction * delta), []);
    const outOfRange = !isDateInRanges(date, [
      {
        type: DateRangeType2.Between,
        dateRange: [this.range.at(0), this.range.at(-1)]
      }
    ]);
    if (outOfRange) {
      this.pageChanged.emit(date.native);
    }
    this.date = date.native;
    this.activeDateChanged.emit(this.date);
  }
  static {
    this.ɵfac = i080.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i080, type: _IgxCalendarViewDirective, deps: [{ token: DAY_INTERVAL_TOKEN }], target: i080.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i080.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCalendarViewDirective, isStandalone: true, inputs: { role: "role", tabIndex: "tabIndex", formatView: ["formatView", "formatView", booleanAttribute33], showActive: ["showActive", "showActive", booleanAttribute33], date: "date", locale: "locale" }, outputs: { selected: "selected", pageChanged: "pageChanged", activeDateChanged: "activeDateChanged" }, host: { listeners: { "keydown.arrowdown": "onKeydownArrowDown($event)", "keydown.arrowup": "onKeydownArrowUp($event)", "keydown.arrowright": "onKeydownArrowRight($event)", "keydown.arrowleft": "onKeydownArrowLeft($event)", "keydown.home": "onKeydownHome($event)", "keydown.end": "onKeydownEnd($event)", "keydown.enter": "onKeydownEnter($event)", "focus": "handleFocus()", "blur": "handleBlur()" }, properties: { "attr.role": "this.role", "attr.tabIndex": "this.tabIndex", "attr.aria-activeDescendant": "this.activeDescendant" } }, providers: [
      {
        provide: NG_VALUE_ACCESSOR5,
        useExisting: _IgxCalendarViewDirective,
        multi: true
      }
    ], viewQueries: [{ propertyName: "viewItems", predicate: IGX_CALENDAR_VIEW_ITEM, descendants: true, read: IGX_CALENDAR_VIEW_ITEM }], ngImport: i080 });
  }
};
i080.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i080, type: IgxCalendarViewDirective, decorators: [{
  type: Directive43,
  args: [{
    providers: [
      {
        provide: NG_VALUE_ACCESSOR5,
        useExisting: IgxCalendarViewDirective,
        multi: true
      }
    ],
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject30,
  args: [DAY_INTERVAL_TOKEN]
}] }], propDecorators: { role: [{
  type: HostBinding39,
  args: ["attr.role"]
}, {
  type: Input53
}], tabIndex: [{
  type: HostBinding39,
  args: ["attr.tabIndex"]
}, {
  type: Input53
}], activeDescendant: [{
  type: HostBinding39,
  args: ["attr.aria-activeDescendant"]
}], formatView: [{
  type: Input53,
  args: [{ transform: booleanAttribute33 }]
}], showActive: [{
  type: Input53,
  args: [{ transform: booleanAttribute33 }]
}], selected: [{
  type: Output26
}], pageChanged: [{
  type: Output26
}], activeDateChanged: [{
  type: Output26
}], viewItems: [{
  type: ViewChildren4,
  args: [IGX_CALENDAR_VIEW_ITEM, { read: IGX_CALENDAR_VIEW_ITEM }]
}], date: [{
  type: Input53
}], locale: [{
  type: Input53
}], onKeydownArrowDown: [{
  type: HostListener23,
  args: ["keydown.arrowdown", ["$event"]]
}], onKeydownArrowUp: [{
  type: HostListener23,
  args: ["keydown.arrowup", ["$event"]]
}], onKeydownArrowRight: [{
  type: HostListener23,
  args: ["keydown.arrowright", ["$event"]]
}], onKeydownArrowLeft: [{
  type: HostListener23,
  args: ["keydown.arrowleft", ["$event"]]
}], onKeydownHome: [{
  type: HostListener23,
  args: ["keydown.home", ["$event"]]
}], onKeydownEnd: [{
  type: HostListener23,
  args: ["keydown.end", ["$event"]]
}], onKeydownEnter: [{
  type: HostListener23,
  args: ["keydown.enter", ["$event"]]
}], handleFocus: [{
  type: HostListener23,
  args: ["focus"]
}], handleBlur: [{
  type: HostListener23,
  args: ["blur"]
}] } });

// lib/calendar/months-view/months-view.component.mjs
import { Component as Component24, Input as Input54, HostBinding as HostBinding40, booleanAttribute as booleanAttribute34, Inject as Inject31 } from "@angular/core";
import { NgFor as NgFor3, TitleCasePipe, DatePipe as DatePipe2 } from "@angular/common";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR6 } from "@angular/forms";
import * as i081 from "@angular/core";
var NEXT_ID12 = 0;
var IgxMonthsViewComponent = class _IgxMonthsViewComponent extends IgxCalendarViewDirective {
  #standalone;
  /**
   * @hidden @internal
   */
  get standalone() {
    return this.#standalone;
  }
  set standalone(value) {
    this.#standalone = value;
  }
  /**
   * Gets the month format option of the months view.
   * ```typescript
   * let monthFormat = this.monthsView.monthFormat.
   * ```
   */
  get monthFormat() {
    return this._monthFormat;
  }
  /**
   * Sets the month format option of the months view.
   * ```html
   * <igx-months-view> [monthFormat]="short'"</igx-months-view>
   * ```
   *
   * @memberof IgxMonthsViewComponent
   */
  set monthFormat(value) {
    this._monthFormat = value;
    this.initFormatter();
  }
  /**
   * Returns an array of date objects which are then used to
   * properly render the month names.
   *
   * Used in the template of the component
   *
   * @hidden @internal
   */
  get range() {
    const start = CalendarDay.from(this.date).set({ date: 1, month: 0 });
    const end = start.add(this.dayInterval, 12);
    return Array.from(calendarRange({ start, end, unit: this.dayInterval })).map((m) => m.native);
  }
  constructor(el, dayInterval) {
    super(dayInterval);
    this.el = el;
    this.#standalone = true;
    this.id = `igx-months-view-${NEXT_ID12++}`;
    this.viewClass = true;
    this.formatView = true;
    this._monthFormat = "short";
  }
  /**
   * Returns the locale representation of the month in the months view.
   *
   * @hidden
   */
  formattedMonth(value) {
    const rawFormatter = new Intl.DateTimeFormat(this.locale, {
      month: "long",
      year: "numeric"
    });
    if (this.formatView) {
      return {
        long: rawFormatter.format(value),
        formatted: this._formatter.format(value)
      };
    }
    return {
      long: rawFormatter.format(value),
      formatted: `${value.getMonth()}`
    };
  }
  /**
   * @hidden
   */
  monthTracker(_, item) {
    return `${item.getMonth()}}`;
  }
  /**
   * @hidden
   */
  initFormatter() {
    this._formatter = new Intl.DateTimeFormat(this._locale, {
      month: this.monthFormat
    });
  }
  static {
    this.ɵfac = i081.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i081, type: _IgxMonthsViewComponent, deps: [{ token: i081.ElementRef }, { token: DAY_INTERVAL_TOKEN }], target: i081.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i081.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxMonthsViewComponent, isStandalone: true, selector: "igx-months-view", inputs: { id: "id", standalone: "standalone", monthFormat: "monthFormat", formatView: ["formatView", "formatView", booleanAttribute34] }, host: { properties: { "attr.id": "this.id", "class.igx-months-view": "this.viewClass", "class.igx-months-view--standalone": "this.standalone" } }, providers: [
      {
        provide: NG_VALUE_ACCESSOR6,
        useExisting: _IgxMonthsViewComponent,
        multi: true
      },
      {
        provide: DAY_INTERVAL_TOKEN,
        useValue: "month"
      }
    ], usesInheritance: true, ngImport: i081, template: '<div class="igx-months-view__grid" role="row">\n    <span\n        igxCalendarMonth\n        #item="igxCalendarMonth"\n        *ngFor="let month of range; trackBy: monthTracker"\n        class="igx-months-view__month"\n        role="gridcell"\n        [attr.id]="month.getTime()"\n        [attr.aria-label]="formattedMonth(month).long"\n        [attr.aria-selected]="item.isSelected"\n        [value]="month"\n        [date]="date"\n        [showActive]="showActive"\n        (itemSelection)="selectDate($event)"\n    >\n        <span class="igx-months-view__month-inner" aria-hidden="true">\n            {{ formattedMonth(month).formatted | titlecase }}\n        </span>\n    </span>\n</div>\n', dependencies: [{ kind: "directive", type: NgFor3, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxCalendarMonthDirective, selector: "[igxCalendarMonth]", exportAs: ["igxCalendarMonth"] }, { kind: "pipe", type: TitleCasePipe, name: "titlecase" }] });
  }
};
i081.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i081, type: IgxMonthsViewComponent, decorators: [{
  type: Component24,
  args: [{ providers: [
    {
      provide: NG_VALUE_ACCESSOR6,
      useExisting: IgxMonthsViewComponent,
      multi: true
    },
    {
      provide: DAY_INTERVAL_TOKEN,
      useValue: "month"
    }
  ], selector: "igx-months-view", standalone: true, imports: [NgFor3, IgxCalendarMonthDirective, TitleCasePipe, DatePipe2], template: '<div class="igx-months-view__grid" role="row">\n    <span\n        igxCalendarMonth\n        #item="igxCalendarMonth"\n        *ngFor="let month of range; trackBy: monthTracker"\n        class="igx-months-view__month"\n        role="gridcell"\n        [attr.id]="month.getTime()"\n        [attr.aria-label]="formattedMonth(month).long"\n        [attr.aria-selected]="item.isSelected"\n        [value]="month"\n        [date]="date"\n        [showActive]="showActive"\n        (itemSelection)="selectDate($event)"\n    >\n        <span class="igx-months-view__month-inner" aria-hidden="true">\n            {{ formattedMonth(month).formatted | titlecase }}\n        </span>\n    </span>\n</div>\n' }]
}], ctorParameters: () => [{ type: i081.ElementRef }, { type: void 0, decorators: [{
  type: Inject31,
  args: [DAY_INTERVAL_TOKEN]
}] }], propDecorators: { id: [{
  type: HostBinding40,
  args: ["attr.id"]
}, {
  type: Input54
}], viewClass: [{
  type: HostBinding40,
  args: ["class.igx-months-view"]
}], standalone: [{
  type: Input54
}, {
  type: HostBinding40,
  args: ["class.igx-months-view--standalone"]
}], monthFormat: [{
  type: Input54
}], formatView: [{
  type: Input54,
  args: [{ transform: booleanAttribute34 }]
}] } });

// lib/calendar/years-view/years-view.component.mjs
import { Component as Component25, Input as Input55, HostBinding as HostBinding41, Inject as Inject32 } from "@angular/core";
import { NgFor as NgFor4 } from "@angular/common";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR7 } from "@angular/forms";
import * as i082 from "@angular/core";
var IgxYearsViewComponent = class _IgxYearsViewComponent extends IgxCalendarViewDirective {
  #standalone;
  /**
   * @hidden @internal
   */
  get standalone() {
    return this.#standalone;
  }
  set standalone(value) {
    this.#standalone = value;
  }
  /**
   * Gets the year format option of the years view.
   * ```typescript
   * let yearFormat = this.yearsView.yearFormat.
   * ```
   */
  get yearFormat() {
    return this._yearFormat;
  }
  /**
   * Sets the year format option of the years view.
   * ```html
   * <igx-years-view [yearFormat]="numeric"></igx-years-view>
   * ```
   *
   * @memberof IgxYearsViewComponent
   */
  set yearFormat(value) {
    this._yearFormat = value;
    this.initFormatter();
  }
  /**
   * Returns an array of date objects which are then used to properly
   * render the years.
   *
   * Used in the template of the component.
   *
   * @hidden @internal
   */
  get range() {
    const year = this.date.getFullYear();
    const start = new CalendarDay({
      year: Math.floor(year / this._yearsPerPage) * this._yearsPerPage,
      month: this.date.getMonth()
    });
    const end = start.add(this.dayInterval, this._yearsPerPage);
    return Array.from(calendarRange({ start, end, unit: this.dayInterval })).map((m) => m.native);
  }
  constructor(el, dayInterval) {
    super(dayInterval);
    this.el = el;
    this.#standalone = true;
    this.viewClass = true;
    this._yearFormat = "numeric";
    this._yearsPerPage = 15;
  }
  /**
   * Returns the locale representation of the year in the years view.
   *
   * @hidden
   */
  formattedYear(value) {
    const rawFormatter = new Intl.DateTimeFormat(this.locale, { year: "numeric" });
    if (this.formatView) {
      return {
        long: rawFormatter.format(value),
        formatted: this._formatter.format(value)
      };
    }
    return {
      long: rawFormatter.format(value),
      formatted: `${value.getFullYear()}`
    };
  }
  /**
   * @hidden
   */
  yearTracker(_, item) {
    return `${item.getFullYear()}}`;
  }
  /**
   * @hidden
   */
  initFormatter() {
    this._formatter = new Intl.DateTimeFormat(this._locale, {
      year: this.yearFormat
    });
  }
  static {
    this.ɵfac = i082.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i082, type: _IgxYearsViewComponent, deps: [{ token: i082.ElementRef }, { token: DAY_INTERVAL_TOKEN }], target: i082.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i082.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxYearsViewComponent, isStandalone: true, selector: "igx-years-view", inputs: { standalone: "standalone", yearFormat: "yearFormat" }, host: { properties: { "class.igx-years-view": "this.viewClass", "class.igx-years-view--standalone": "this.standalone" } }, providers: [
      {
        provide: NG_VALUE_ACCESSOR7,
        useExisting: _IgxYearsViewComponent,
        multi: true
      },
      {
        provide: DAY_INTERVAL_TOKEN,
        useValue: "year"
      }
    ], usesInheritance: true, ngImport: i082, template: '<div class="igx-years-view__grid" role="row">\n    <span\n        igxCalendarYear\n        #item="igxCalendarYear"\n        *ngFor="let year of range; trackBy: yearTracker"\n        class="igx-years-view__year"\n        role="gridcell"\n        [attr.id]="year.getTime()"\n        [attr.aria-label]="formattedYear(year).long"\n        [attr.aria-selected]="item.isSelected"\n        [attr.aria-current]="item.isCurrent"\n        [value]="year"\n        [date]="date"\n        [showActive]="showActive"\n        (itemSelection)="selectDate($event)"\n    >\n        <span class="igx-years-view__year-inner" aria-hidden="true">\n            {{ formattedYear(year).formatted }}\n        </span>\n    </span>\n</div>\n', dependencies: [{ kind: "directive", type: NgFor4, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxCalendarYearDirective, selector: "[igxCalendarYear]", exportAs: ["igxCalendarYear"] }] });
  }
};
i082.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i082, type: IgxYearsViewComponent, decorators: [{
  type: Component25,
  args: [{ providers: [
    {
      provide: NG_VALUE_ACCESSOR7,
      useExisting: IgxYearsViewComponent,
      multi: true
    },
    {
      provide: DAY_INTERVAL_TOKEN,
      useValue: "year"
    }
  ], selector: "igx-years-view", standalone: true, imports: [NgFor4, IgxCalendarYearDirective], template: '<div class="igx-years-view__grid" role="row">\n    <span\n        igxCalendarYear\n        #item="igxCalendarYear"\n        *ngFor="let year of range; trackBy: yearTracker"\n        class="igx-years-view__year"\n        role="gridcell"\n        [attr.id]="year.getTime()"\n        [attr.aria-label]="formattedYear(year).long"\n        [attr.aria-selected]="item.isSelected"\n        [attr.aria-current]="item.isCurrent"\n        [value]="year"\n        [date]="date"\n        [showActive]="showActive"\n        (itemSelection)="selectDate($event)"\n    >\n        <span class="igx-years-view__year-inner" aria-hidden="true">\n            {{ formattedYear(year).formatted }}\n        </span>\n    </span>\n</div>\n' }]
}], ctorParameters: () => [{ type: i082.ElementRef }, { type: void 0, decorators: [{
  type: Inject32,
  args: [DAY_INTERVAL_TOKEN]
}] }], propDecorators: { viewClass: [{
  type: HostBinding41,
  args: ["class.igx-years-view"]
}], standalone: [{
  type: Input55
}, {
  type: HostBinding41,
  args: ["class.igx-years-view--standalone"]
}], yearFormat: [{
  type: Input55
}] } });

// lib/calendar/days-view/day-item.component.mjs
import { Component as Component26, Input as Input56, Output as Output27, EventEmitter as EventEmitter36, HostBinding as HostBinding42, booleanAttribute as booleanAttribute35, ChangeDetectionStrategy } from "@angular/core";
import * as i083 from "@angular/core";
var IgxDayItemComponent = class _IgxDayItemComponent {
  /**
   * Returns boolean indicating if the day is selected
   *
   */
  get selected() {
    return this._selected;
  }
  /**
   * Selects the day
   */
  set selected(value) {
    this._selected = value;
  }
  get hideLeading() {
    return this.hideLeadingDays && this.isPreviousMonth;
  }
  get hideTrailing() {
    return this.hideTrailingDays && this.isNextMonth;
  }
  get isCurrentMonth() {
    return areSameMonth(this.date, this.viewDate);
  }
  get isPreviousMonth() {
    return isPreviousMonth(this.date, this.viewDate);
  }
  get isNextMonth() {
    return isNextMonth(this.date, this.viewDate);
  }
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  get isSelectedCSS() {
    const selectable = !this.isInactive || this.isWithinRange && this.selection === "range";
    return !this.isDisabled && selectable && this.selected;
  }
  get isInactive() {
    return !this.isCurrentMonth;
  }
  get isHidden() {
    return (this.hideLeading || this.hideTrailing) && this.isInactive;
  }
  get isToday() {
    return !this.isInactive && this.date.equalTo(CalendarDay.today);
  }
  get isWeekend() {
    return this.date.weekend;
  }
  get isDisabled() {
    if (!this.disabledDates) {
      return false;
    }
    return isDateInRanges(this.date, this.disabledDates);
  }
  get isFocusable() {
    return this.isCurrentMonth && !this.isHidden && !this.isDisabled;
  }
  onMouseEnter() {
    this.mouseEnter.emit();
  }
  onMouseLeave() {
    this.mouseLeave.emit();
  }
  onMouseDown(event) {
    event.preventDefault();
    this.mouseDown.emit();
  }
  get isWithinRangeCSS() {
    return !this.isSingleSelection && this.isWithinRange;
  }
  get isWithinPreviewRangeCSS() {
    return !this.isSingleSelection && this.isWithinPreviewRange;
  }
  get isSpecial() {
    if (!this.specialDates) {
      return false;
    }
    return !this.isInactive && isDateInRanges(this.date, this.specialDates);
  }
  get isDisabledCSS() {
    return this.isHidden || this.isDisabled;
  }
  get isSingleSelection() {
    return this.selection !== CalendarSelection.RANGE;
  }
  constructor(elementRef) {
    this.elementRef = elementRef;
    this.hideOutsideDays = false;
    this.isLastInRange = false;
    this.isFirstInRange = false;
    this.isWithinRange = false;
    this.isWithinPreviewRange = false;
    this.hideLeadingDays = false;
    this.hideTrailingDays = false;
    this.dateSelection = new EventEmitter36();
    this.mouseEnter = new EventEmitter36();
    this.mouseLeave = new EventEmitter36();
    this.mouseDown = new EventEmitter36();
    this.isActive = false;
    this._selected = false;
  }
  static {
    this.ɵfac = i083.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i083, type: _IgxDayItemComponent, deps: [{ token: i083.ElementRef }], target: i083.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i083.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDayItemComponent, isStandalone: true, selector: "igx-day-item", inputs: { date: "date", viewDate: "viewDate", selection: "selection", selected: "selected", disabledDates: "disabledDates", specialDates: "specialDates", hideOutsideDays: ["hideOutsideDays", "hideOutsideDays", booleanAttribute35], isLastInRange: ["isLastInRange", "isLastInRange", booleanAttribute35], isFirstInRange: ["isFirstInRange", "isFirstInRange", booleanAttribute35], isWithinRange: ["isWithinRange", "isWithinRange", booleanAttribute35], isWithinPreviewRange: ["isWithinPreviewRange", "isWithinPreviewRange", booleanAttribute35], hideLeadingDays: ["hideLeadingDays", "hideLeadingDays", booleanAttribute35], hideTrailingDays: ["hideTrailingDays", "hideTrailingDays", booleanAttribute35], isActive: ["isActive", "isActive", booleanAttribute35] }, outputs: { dateSelection: "dateSelection", mouseEnter: "mouseEnter", mouseLeave: "mouseLeave", mouseDown: "mouseDown" }, host: { properties: { "class.igx-days-view__date--last": "this.isLastInRange", "class.igx-days-view__date--first": "this.isFirstInRange", "class.igx-days-view__date--active": "this.isActive", "class.igx-days-view__date--selected": "this.isSelectedCSS", "class.igx-days-view__date--inactive": "this.isInactive", "class.igx-days-view__date--hidden": "this.isHidden", "class.igx-days-view__date--current": "this.isToday", "class.igx-days-view__date--weekend": "this.isWeekend", "class.igx-days-view__date--range": "this.isWithinRangeCSS", "class.igx-days-view__date--range-preview": "this.isWithinPreviewRangeCSS", "class.igx-days-view__date--special": "this.isSpecial", "class.igx-days-view__date--disabled": "this.isDisabledCSS", "class.igx-days-view__date--single": "this.isSingleSelection" } }, ngImport: i083, template: '<span\n    aria-hidden="true"\n    class="igx-days-view__date-inner"\n    (mouseenter)="onMouseEnter()"\n    (mouseleave)="onMouseLeave()"\n    (mousedown)="onMouseDown($event)"\n>\n    <ng-content></ng-content>\n</span>\n', changeDetection: i083.ChangeDetectionStrategy.OnPush });
  }
};
i083.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i083, type: IgxDayItemComponent, decorators: [{
  type: Component26,
  args: [{ selector: "igx-day-item", changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, template: '<span\n    aria-hidden="true"\n    class="igx-days-view__date-inner"\n    (mouseenter)="onMouseEnter()"\n    (mouseleave)="onMouseLeave()"\n    (mousedown)="onMouseDown($event)"\n>\n    <ng-content></ng-content>\n</span>\n' }]
}], ctorParameters: () => [{ type: i083.ElementRef }], propDecorators: { date: [{
  type: Input56
}], viewDate: [{
  type: Input56
}], selection: [{
  type: Input56
}], selected: [{
  type: Input56
}], disabledDates: [{
  type: Input56
}], specialDates: [{
  type: Input56
}], hideOutsideDays: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}], isLastInRange: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}, {
  type: HostBinding42,
  args: ["class.igx-days-view__date--last"]
}], isFirstInRange: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}, {
  type: HostBinding42,
  args: ["class.igx-days-view__date--first"]
}], isWithinRange: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}], isWithinPreviewRange: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}], hideLeadingDays: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}], hideTrailingDays: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}], dateSelection: [{
  type: Output27
}], mouseEnter: [{
  type: Output27
}], mouseLeave: [{
  type: Output27
}], mouseDown: [{
  type: Output27
}], isActive: [{
  type: Input56,
  args: [{ transform: booleanAttribute35 }]
}, {
  type: HostBinding42,
  args: ["class.igx-days-view__date--active"]
}], isSelectedCSS: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--selected"]
}], isInactive: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--inactive"]
}], isHidden: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--hidden"]
}], isToday: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--current"]
}], isWeekend: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--weekend"]
}], isWithinRangeCSS: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--range"]
}], isWithinPreviewRangeCSS: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--range-preview"]
}], isSpecial: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--special"]
}], isDisabledCSS: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--disabled"]
}], isSingleSelection: [{
  type: HostBinding42,
  args: ["class.igx-days-view__date--single"]
}] } });

// lib/core/i18n/calendar-resources.mjs
var CalendarResourceStringsEN = {
  igx_calendar_previous_month: "Previous Month",
  igx_calendar_next_month: "Next Month",
  igx_calendar_previous_year: "Previous Year",
  igx_calendar_next_year: "Next Year",
  igx_calendar_previous_years: "Previous {0} Years",
  igx_calendar_next_years: "Next {0} Years",
  igx_calendar_select_date: "Select Date",
  igx_calendar_select_month: "Select Month",
  igx_calendar_select_year: "Select Year",
  igx_calendar_range_start: "Range start",
  igx_calendar_range_end: "Range end",
  igx_calendar_range_label_start: "Start",
  igx_calendar_range_label_end: "End",
  igx_calendar_range_placeholder: "Select Range",
  igx_calendar_selected_month_is: "Selected month is ",
  igx_calendar_first_picker_of: "First picker of {0} starts from",
  igx_calendar_multi_selection: "Multi selection calendar with {0} date pickers",
  igx_calendar_range_selection: "Range selection calendar with {0} date pickers",
  igx_calendar_single_selection: "Calendar with {0} date pickers",
  igx_calendar_singular_multi_selection: "Multi selection calendar",
  igx_calendar_singular_range_selection: "Range selection calendar",
  igx_calendar_singular_single_selection: "Calendar"
};

// lib/calendar/calendar.services.mjs
import { Injectable as Injectable16 } from "@angular/core";
import * as i084 from "@angular/core";
import * as i16 from "@angular/platform-browser";
var KeyboardNavigationService = class _KeyboardNavigationService {
  constructor(eventManager, ngZone) {
    this.eventManager = eventManager;
    this.ngZone = ngZone;
    this.keyHandlers = /* @__PURE__ */ new Map();
    this.eventUnsubscribeFn = null;
  }
  attachKeyboardHandlers(elementRef, context) {
    this.detachKeyboardHandlers();
    this.ngZone.runOutsideAngular(() => {
      this.eventUnsubscribeFn = this.eventManager.addEventListener(elementRef.nativeElement, "keydown", (event) => {
        const handler = this.keyHandlers.get(event.key);
        if (handler) {
          this.ngZone.run(handler.bind(context, event));
        }
      });
    });
    return this;
  }
  detachKeyboardHandlers() {
    if (this.eventUnsubscribeFn) {
      this.eventUnsubscribeFn();
      this.eventUnsubscribeFn = null;
    }
    this.keyHandlers.clear();
  }
  set(key, handler) {
    this.keyHandlers.set(key, handler);
    return this;
  }
  unset(key) {
    this.keyHandlers.delete(key);
    return this;
  }
  static {
    this.ɵfac = i084.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i084, type: _KeyboardNavigationService, deps: [{ token: i16.EventManager }, { token: i084.NgZone }], target: i084.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i084.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i084, type: _KeyboardNavigationService });
  }
};
i084.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i084, type: KeyboardNavigationService, decorators: [{
  type: Injectable16
}], ctorParameters: () => [{ type: i16.EventManager }, { type: i084.NgZone }] });

// lib/calendar/calendar-base.mjs
import { Input as Input57, Output as Output28, EventEmitter as EventEmitter37, Directive as Directive44, Inject as Inject33, LOCALE_ID as LOCALE_ID2, HostListener as HostListener24, booleanAttribute as booleanAttribute36, ViewChildren as ViewChildren5 } from "@angular/core";
import { noop as noop7, Subject as Subject23 } from "rxjs";
import { getLocaleFirstDayOfWeek } from "@angular/common";
import * as i085 from "@angular/core";
var IgxCalendarBaseDirective = class _IgxCalendarBaseDirective {
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Gets the start day of the week.
   * Can return a numeric or an enum representation of the week day.
   * If not set, defaults to the first day of the week for the application locale.
   */
  get weekStart() {
    return this._weekStart;
  }
  /**
   * Sets the start day of the week.
   * Can be assigned to a numeric value or to `WEEKDAYS` enum value.
   */
  set weekStart(value) {
    this._weekStart = value;
  }
  /**
   * Gets the `locale` of the calendar.
   * If not set, defaults to application's locale.
   */
  get locale() {
    return this._locale;
  }
  /**
   * Sets the `locale` of the calendar.
   * Expects a valid BCP 47 language tag.
   */
  set locale(value) {
    this._locale = value;
    try {
      getLocaleFirstDayOfWeek(this._locale);
    } catch (e) {
      this._locale = this._localeId;
    }
    if (!this.weekStart) {
      this.weekStart = getLocaleFirstDayOfWeek(this._locale);
    }
    this.initFormatters();
  }
  /**
   * Gets the date format options of the views.
   */
  get formatOptions() {
    return this._formatOptions;
  }
  /**
   * Sets the date format options of the views.
   * Default is { day: 'numeric', month: 'short', weekday: 'short', year: 'numeric' }
   */
  set formatOptions(formatOptions) {
    this._formatOptions = { ...this._formatOptions, ...formatOptions };
    this.initFormatters();
  }
  /**
   * Gets whether the `day`, `month` and `year` should be rendered
   * according to the locale and formatOptions, if any.
   */
  get formatViews() {
    return this._formatViews;
  }
  /**
   * Sets whether the `day`, `month` and `year` should be rendered
   * according to the locale and formatOptions, if any.
   */
  set formatViews(formatViews) {
    this._formatViews = Object.assign(this._formatViews, formatViews);
  }
  /**
   * Gets the current active view.
   * ```typescript
   * this.activeView = calendar.activeView;
   * ```
   */
  get activeView() {
    return this._activeView;
  }
  /**
   * Sets the current active view.
   * ```html
   * <igx-calendar [activeView]="year" #calendar></igx-calendar>
   * ```
   * ```typescript
   * calendar.activeView = IgxCalendarView.YEAR;
   * ```
   */
  set activeView(val) {
    this._activeView = val;
    this.activeViewSubject.next(val);
  }
  /**
   * @hidden
   */
  get isDefaultView() {
    return this._activeView === IgxCalendarView.Month;
  }
  /**
   * @hidden
   */
  get isDecadeView() {
    return this._activeView === IgxCalendarView.Decade;
  }
  /**
   * @hidden
   */
  activeViewDecade(activeViewIdx = 0) {
    this.activeView = IgxCalendarView.Decade;
    this.activeViewIdx = activeViewIdx;
  }
  /**
   * @hidden
   */
  activeViewDecadeKB(event, activeViewIdx = 0) {
    event.stopPropagation();
    if (this.platform.isActivationKey(event)) {
      event.preventDefault();
      this.activeViewDecade(activeViewIdx);
    }
  }
  /**
   * @hidden
   */
  changeYear(date) {
    this.previousViewDate = this.viewDate;
    this.viewDate = CalendarDay.from(date).add("month", -this.activeViewIdx).native;
    this.activeView = IgxCalendarView.Month;
  }
  /**
   * Returns the locale representation of the year in the year view if enabled,
   * otherwise returns the default `Date.getFullYear()` value.
   *
   * @hidden
   */
  formattedYear(value) {
    if (Array.isArray(value)) {
      return;
    }
    if (this.formatViews.year) {
      return this.formatterYear.format(value);
    }
    return `${value.getFullYear()}`;
  }
  formattedYears(value) {
    const dates = value;
    return dates.map((date) => this.formattedYear(date)).join(" - ");
  }
  prevNavLabel(detail) {
    switch (this.activeView) {
      case "month":
        return `${this.resourceStrings.igx_calendar_previous_month}, ${detail}`;
      case "year":
        return this.resourceStrings.igx_calendar_previous_year.replace("{0}", "15");
      case "decade":
        return this.resourceStrings.igx_calendar_previous_years.replace("{0}", "15");
    }
  }
  nextNavLabel(detail) {
    switch (this.activeView) {
      case "month":
        return `${this.resourceStrings.igx_calendar_next_month}, ${detail}`;
      case "year":
        return this.resourceStrings.igx_calendar_next_year.replace("{0}", "15");
      case "decade":
        return this.resourceStrings.igx_calendar_next_years.replace("{0}", "15");
    }
  }
  getDecadeRange() {
    const range2 = getYearRange(this.viewDate, 15);
    const start = CalendarDay.from(this.viewDate).set({ date: 1, year: range2.start });
    const end = CalendarDay.from(this.viewDate).set({ date: 1, year: range2.end });
    return {
      start: this.formatterYear.format(start.native),
      end: this.formatterYear.format(end.native)
    };
  }
  /**
   *
   * Gets the selection type.
   * Default value is `"single"`.
   * Changing the type of selection resets the currently
   * selected values if any.
   */
  get selection() {
    return this._selection;
  }
  /**
   * Sets the selection.
   */
  set selection(value) {
    switch (value) {
      case CalendarSelection.SINGLE:
        this.selectedDates = null;
        break;
      case CalendarSelection.MULTI:
      case CalendarSelection.RANGE:
        this.selectedDates = [];
        break;
      default:
        throw new Error("Invalid selection value");
    }
    this._onChangeCallback(this.selectedDates);
    this.rangeStarted = false;
    this._selection = value;
  }
  /**
   * Gets the date that is presented. By default it is the current date.
   */
  get viewDate() {
    return this._viewDate;
  }
  /**
   * Sets the date that will be presented in the default view when the component renders.
   */
  set viewDate(value) {
    if (Array.isArray(value)) {
      return;
    }
    if (typeof value === "string") {
      value = DateTimeUtil.parseIsoDate(value);
    }
    const validDate = this.validateDate(value);
    if (this._viewDate) {
      this.initialSelection = validDate;
    }
    const date = this.getDateOnly(validDate).setDate(1);
    this._viewDate = new Date(date);
  }
  /**
   * Gets the disabled dates descriptors.
   */
  get disabledDates() {
    return this._disabledDates;
  }
  /**
   * Sets the disabled dates' descriptors.
   * ```typescript
   * @ViewChild("MyCalendar")
   * public calendar: IgxCalendarComponent;
   * ngOnInit(){
   *    this.calendar.disabledDates = [
   *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
   *     {type: DateRangeType.Weekends}];
   * }
   * ```
   */
  set disabledDates(value) {
    this._disabledDates = value;
  }
  /**
   * Checks whether a date is disabled.
   *
   * @hidden
   */
  isDateDisabled(date) {
    if (!this.disabledDates) {
      return false;
    }
    if (typeof date === "string") {
      date = DateTimeUtil.parseIsoDate(date);
    }
    return isDateInRanges(date, this.disabledDates);
  }
  /**
   * Gets the special dates descriptors.
   */
  get specialDates() {
    return this._specialDates;
  }
  /**
   * Sets the special dates' descriptors.
   * ```typescript
   * @ViewChild("MyCalendar")
   * public calendar: IgxCalendarComponent;
   * ngOnInit(){
   *    this.calendar.specialDates = [
   *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
   *     {type: DateRangeType.Weekends}];
   * }
   * ```
   */
  set specialDates(value) {
    this._specialDates = value;
  }
  /**
   * Gets the selected date(s).
   *
   * When selection is set to `single`, it returns
   * a single `Date` object.
   * Otherwise it is an array of `Date` objects.
   */
  get value() {
    if (this.selection === CalendarSelection.SINGLE) {
      return this.selectedDates?.at(0);
    }
    return this.selectedDates;
  }
  /**
   * Sets the selected date(s).
   *
   * When selection is set to `single`, it accepts
   * a single `Date` object.
   * Otherwise it is an array of `Date` objects.
   */
  set value(value) {
    if (typeof value === "string") {
      value = DateTimeUtil.parseIsoDate(value);
    }
    if (!value || Array.isArray(value) && value.length === 0) {
      this.initialSelection = /* @__PURE__ */ new Date();
      return;
    }
    if (!this.initialSelection) {
      this.viewDate = Array.isArray(value) ? new Date(Math.min(...value)) : value;
    }
    this.selectDate(value);
    this.initialSelection = value;
  }
  /**
   * @hidden
   */
  constructor(platform, _localeId, keyboardNavigation, cdr) {
    this.platform = platform;
    this._localeId = _localeId;
    this.keyboardNavigation = keyboardNavigation;
    this.cdr = cdr;
    this.activeViewIdx = 0;
    this._activeView = IgxCalendarView.Month;
    this.activeViewSubject = new Subject23();
    this.activeView$ = this.activeViewSubject.asObservable();
    this.hideOutsideDays = false;
    this.selected = new EventEmitter37();
    this.viewDateChanged = new EventEmitter37();
    this.activeViewChanged = new EventEmitter37();
    this.rangeStarted = false;
    this.pageScrollDirection = "none";
    this.scrollPage$ = new Subject23();
    this.stopPageScroll$ = new Subject23();
    this.startPageScroll$ = new Subject23();
    this.shiftKey = false;
    this._onTouchedCallback = noop7;
    this._onChangeCallback = noop7;
    this._disabledDates = [];
    this._specialDates = [];
    this._selection = CalendarSelection.SINGLE;
    this._resourceStrings = getCurrentResourceStrings(CalendarResourceStringsEN);
    this._formatOptions = {
      day: "numeric",
      month: "long",
      weekday: "narrow",
      year: "numeric"
    };
    this._formatViews = {
      day: false,
      month: true,
      year: false
    };
    this.locale = _localeId;
    this.viewDate = this.viewDate ? this.viewDate : /* @__PURE__ */ new Date();
    this.initFormatters();
  }
  /**
   * Multi/Range selection with shift key
   *
   * @hidden
   * @internal
   */
  onPointerdown(event) {
    this.shiftKey = event.button === 0 && event.shiftKey;
  }
  /**
   * @hidden
   */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /**
   * @hidden
   */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /**
   * @hidden
   */
  writeValue(value) {
    this.value = value;
  }
  /**
   * Selects date(s) (based on the selection type).
   */
  selectDate(value) {
    if (typeof value === "string") {
      value = DateTimeUtil.parseIsoDate(value);
    }
    if (value === null || value === void 0 || Array.isArray(value) && value.length === 0) {
      return;
    }
    switch (this.selection) {
      case CalendarSelection.SINGLE:
        if (isDate(value) && !this.isDateDisabled(value)) {
          this.selectSingle(value);
        }
        break;
      case CalendarSelection.MULTI:
        this.selectMultiple(value);
        break;
      case CalendarSelection.RANGE:
        this.selectRange(value, true);
        break;
    }
  }
  /**
   * Deselects date(s) (based on the selection type).
   */
  deselectDate(value) {
    if (!this.selectedDates || this.selectedDates.length === 0) {
      return;
    }
    if (typeof value === "string") {
      value = DateTimeUtil.parseIsoDate(value);
    }
    if (value === null || value === void 0) {
      this.selectedDates = this.selection === CalendarSelection.SINGLE ? null : [];
      this.rangeStarted = false;
      this._onChangeCallback(this.selectedDates);
      return;
    }
    switch (this.selection) {
      case CalendarSelection.SINGLE:
        this.deselectSingle(value);
        break;
      case CalendarSelection.MULTI:
        this.deselectMultiple(value);
        break;
      case CalendarSelection.RANGE:
        this.deselectRange(value);
        break;
    }
  }
  /**
   * Performs a single selection.
   *
   * @hidden
   */
  selectSingle(value) {
    if (!isEqual(this.selectedDates?.at(0), value)) {
      this.selectedDates = [this.getDateOnly(value)];
      this._onChangeCallback(this.selectedDates.at(0));
    }
  }
  /**
   * Performs a single deselection.
   *
   * @hidden
   */
  deselectSingle(value) {
    if (this.selectedDates !== null && this.getDateOnlyInMs(value) === this.getDateOnlyInMs(this.selectedDates.at(0))) {
      this.selectedDates = null;
      this._onChangeCallback(this.selectedDates);
    }
  }
  /**
   * Performs a multiple selection
   *
   * @hidden
   */
  selectMultiple(value) {
    if (Array.isArray(value)) {
      const newDates = value.map((v) => this.getDateOnly(v).getTime());
      const selDates = this.selectedDates.map((v) => this.getDateOnly(v).getTime());
      if (JSON.stringify(newDates) === JSON.stringify(selDates)) {
        return;
      }
      if (selDates.length === 0 || selDates.length > newDates.length) {
        this.selectedDates = newDates.map((v) => new Date(v));
      } else {
        this.selectedDates = Array.from(/* @__PURE__ */ new Set([...newDates, ...selDates])).map((v) => new Date(v));
      }
    } else {
      let newSelection = [];
      if (this.shiftKey && this.lastSelectedDate) {
        [this._startDate, this._endDate] = this.lastSelectedDate.getTime() < value.getTime() ? [this.lastSelectedDate, value] : [value, this.lastSelectedDate];
        const unselectedDates = [this._startDate, ...this.generateDateRange(this._startDate, this._endDate)].filter((date) => !this.isDateDisabled(date) && this.selectedDates.every((d) => d.getTime() !== date.getTime()));
        if (this.selectedDates.some((date) => date.getTime() === this.lastSelectedDate.getTime()) && unselectedDates.length) {
          newSelection = unselectedDates;
        } else {
          this.selectedDates = this.selectedDates.filter((date) => date.getTime() < this._startDate.getTime() || date.getTime() > this._endDate.getTime());
          this.selectedDates.push(value);
          this._deselectDate = true;
        }
        this._startDate = this._endDate = void 0;
      } else if (this.selectedDates.every((date) => date.getTime() !== value.getTime())) {
        newSelection.push(value);
      } else {
        this.selectedDates = this.selectedDates.filter((date) => date.getTime() !== value.getTime());
        this._deselectDate = true;
      }
      if (newSelection.length > 0) {
        this.selectedDates = this.selectedDates.concat(newSelection);
        this._deselectDate = false;
      }
      this.lastSelectedDate = value;
    }
    this.selectedDates = this.selectedDates.filter((d) => !this.isDateDisabled(d));
    this.selectedDates.sort((a, b) => a.valueOf() - b.valueOf());
    this._onChangeCallback(this.selectedDates);
  }
  /**
   * Performs a multiple deselection.
   *
   * @hidden
   */
  deselectMultiple(value) {
    value = value.filter((v) => v !== null);
    const selectedDatesCount = this.selectedDates.length;
    const datesInMsToDeselect = new Set(value.map((v) => this.getDateOnlyInMs(v)));
    for (let i = this.selectedDates.length - 1; i >= 0; i--) {
      if (datesInMsToDeselect.has(this.getDateOnlyInMs(this.selectedDates[i]))) {
        this.selectedDates.splice(i, 1);
      }
    }
    if (this.selectedDates.length !== selectedDatesCount) {
      this._onChangeCallback(this.selectedDates);
    }
  }
  /**
   * @hidden
   */
  selectRange(value, excludeDisabledDates = false) {
    if (Array.isArray(value)) {
      value.sort((a, b) => a.valueOf() - b.valueOf());
      this._startDate = this.getDateOnly(value[0]);
      this._endDate = this.getDateOnly(value[value.length - 1]);
    } else {
      if (this.shiftKey && this.lastSelectedDate) {
        if (this.lastSelectedDate.getTime() === value.getTime()) {
          this.selectedDates = this.selectedDates.length === 1 ? [] : [value];
          this.rangeStarted = !!this.selectedDates.length;
          this._onChangeCallback(this.selectedDates);
          return;
        }
        if (this.selectedDates.some((date) => date.getTime() === value.getTime())) {
          this.lastSelectedDate.getTime() < value.getTime() ? this._startDate = value : this._endDate = value;
        } else {
          if (this.lastSelectedDate.getTime() < value.getTime()) {
            this._startDate = this._startDate ?? this.lastSelectedDate;
            this._endDate = value;
          } else {
            this._startDate = value;
            this._endDate = this._endDate ?? this.lastSelectedDate;
          }
        }
        this.rangeStarted = false;
      } else if (!this.rangeStarted) {
        this.rangeStarted = true;
        this.selectedDates = [value];
        this._startDate = this._endDate = void 0;
      } else {
        this.rangeStarted = false;
        if (this.selectedDates?.at(0)?.getTime() === value.getTime()) {
          this.selectedDates = [];
          this._onChangeCallback(this.selectedDates);
          return;
        }
        [this._startDate, this._endDate] = this.lastSelectedDate.getTime() < value.getTime() ? [this.lastSelectedDate, value] : [value, this.lastSelectedDate];
      }
      this.lastSelectedDate = value;
    }
    if (this._startDate && this._endDate) {
      this.selectedDates = [this._startDate, ...this.generateDateRange(this._startDate, this._endDate)];
    }
    if (excludeDisabledDates) {
      this.selectedDates = this.selectedDates.filter((d) => !this.isDateDisabled(d));
    }
    this._onChangeCallback(this.selectedDates);
  }
  /**
   * Performs a range deselection.
   *
   * @hidden
   */
  deselectRange(value) {
    value = value.filter((v) => v !== null);
    if (value.length < 1) {
      return;
    }
    value.sort((a, b) => a.valueOf() - b.valueOf());
    const valueStart = this.getDateOnlyInMs(value[0]);
    const valueEnd = this.getDateOnlyInMs(value[value.length - 1]);
    this.selectedDates.sort((a, b) => a.valueOf() - b.valueOf());
    const selectedDatesStart = this.getDateOnlyInMs(this.selectedDates[0]);
    const selectedDatesEnd = this.getDateOnlyInMs(this.selectedDates[this.selectedDates.length - 1]);
    if (!(valueEnd < selectedDatesStart) && !(valueStart > selectedDatesEnd)) {
      this.selectedDates = [];
      this.rangeStarted = false;
      this._onChangeCallback(this.selectedDates);
    }
  }
  /**
   * @hidden
   */
  initFormatters() {
    this.formatterDay = new Intl.DateTimeFormat(this._locale, { day: this._formatOptions.day });
    this.formatterWeekday = new Intl.DateTimeFormat(this._locale, { weekday: this._formatOptions.weekday });
    this.formatterMonth = new Intl.DateTimeFormat(this._locale, { month: this._formatOptions.month });
    this.formatterYear = new Intl.DateTimeFormat(this._locale, { year: this._formatOptions.year });
    this.formatterMonthday = new Intl.DateTimeFormat(this._locale, { month: this._formatOptions.month, day: this._formatOptions.day });
    this.formatterRangeday = new Intl.DateTimeFormat(this._locale, { day: this._formatOptions.day, month: "short" });
  }
  /**
   * @hidden
   */
  getDateOnly(date) {
    const validDate = this.validateDate(date);
    return new Date(validDate.getFullYear(), validDate.getMonth(), validDate.getDate());
  }
  /**
   * @hidden
   */
  getDateOnlyInMs(date) {
    return this.getDateOnly(date).getTime();
  }
  /**
   * @hidden
   */
  generateDateRange(start, end) {
    const result = [];
    start = this.getDateOnly(start);
    end = this.getDateOnly(end);
    while (start.getTime() < end.getTime()) {
      start = CalendarDay.from(start).add("day", 1).native;
      result.push(start);
    }
    return result;
  }
  validateDate(value) {
    return DateTimeUtil.isValidDate(value) ? value : /* @__PURE__ */ new Date();
  }
  static {
    this.ɵfac = i085.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i085, type: _IgxCalendarBaseDirective, deps: [{ token: PlatformUtil }, { token: LOCALE_ID2 }, { token: KeyboardNavigationService }, { token: i085.ChangeDetectorRef }], target: i085.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i085.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCalendarBaseDirective, isStandalone: true, selector: "[igxCalendarBase]", inputs: { hideOutsideDays: ["hideOutsideDays", "hideOutsideDays", booleanAttribute36], resourceStrings: "resourceStrings", weekStart: "weekStart", locale: "locale", formatOptions: "formatOptions", formatViews: "formatViews", activeView: "activeView", selection: "selection", viewDate: "viewDate", disabledDates: "disabledDates", specialDates: "specialDates", value: "value" }, outputs: { selected: "selected", viewDateChanged: "viewDateChanged", activeViewChanged: "activeViewChanged" }, host: { listeners: { "pointerdown": "onPointerdown($event)" } }, providers: [KeyboardNavigationService], viewQueries: [{ propertyName: "yearsBtns", predicate: ["yearsBtn"], descendants: true }], ngImport: i085 });
  }
};
i085.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i085, type: IgxCalendarBaseDirective, decorators: [{
  type: Directive44,
  args: [{
    selector: "[igxCalendarBase]",
    standalone: true,
    providers: [KeyboardNavigationService]
  }]
}], ctorParameters: () => [{ type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject33,
  args: [LOCALE_ID2]
}] }, { type: KeyboardNavigationService }, { type: i085.ChangeDetectorRef }], propDecorators: { hideOutsideDays: [{
  type: Input57,
  args: [{ transform: booleanAttribute36 }]
}], selected: [{
  type: Output28
}], viewDateChanged: [{
  type: Output28
}], activeViewChanged: [{
  type: Output28
}], resourceStrings: [{
  type: Input57
}], weekStart: [{
  type: Input57
}], locale: [{
  type: Input57
}], formatOptions: [{
  type: Input57
}], formatViews: [{
  type: Input57
}], activeView: [{
  type: Input57
}], yearsBtns: [{
  type: ViewChildren5,
  args: ["yearsBtn"]
}], selection: [{
  type: Input57
}], viewDate: [{
  type: Input57
}], disabledDates: [{
  type: Input57
}], specialDates: [{
  type: Input57
}], value: [{
  type: Input57
}], onPointerdown: [{
  type: HostListener24,
  args: ["pointerdown", ["$event"]]
}] } });

// lib/calendar/days-view/days-view.component.mjs
import { Component as Component27, Output as Output29, EventEmitter as EventEmitter38, Input as Input58, HostListener as HostListener25, ViewChildren as ViewChildren6, HostBinding as HostBinding43, Inject as Inject34, LOCALE_ID as LOCALE_ID3, booleanAttribute as booleanAttribute37, ChangeDetectionStrategy as ChangeDetectionStrategy3 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR8 } from "@angular/forms";
import { NgIf as NgIf12, NgFor as NgFor5, TitleCasePipe as TitleCasePipe2 } from "@angular/common";
import * as i086 from "@angular/core";
var NEXT_ID13 = 0;
var IgxDaysViewComponent = class _IgxDaysViewComponent extends IgxCalendarBaseDirective {
  #standalone;
  get standalone() {
    return this.#standalone;
  }
  set standalone(value) {
    this.#standalone = value;
  }
  get activeDescendant() {
    if (this.tabIndex === -1)
      return;
    return this.activeDate.getTime();
  }
  /**
   * @hidden
   * @internal
   */
  set activeDate(value) {
    this._activeDate = value;
    this.changePreviewRange(value);
    this.activeDateChange.emit(this._activeDate);
  }
  get activeDate() {
    return this._activeDate ?? this.viewDate;
  }
  /**
   * @hidden
   * @internal
   */
  set previewRangeDate(value) {
    this._previewRangeDate = value;
    this.previewRangeDateChange.emit(value);
  }
  get previewRangeDate() {
    return this._previewRangeDate;
  }
  set hideLeadingDays(value) {
    this._hideLeadingDays = value;
    this.cdr.detectChanges();
  }
  get hideLeadingDays() {
    return this._hideLeadingDays ?? this.hideOutsideDays;
  }
  set hideTrailingDays(value) {
    this._hideTrailingDays = value;
    this.cdr.detectChanges();
  }
  get hideTrailingDays() {
    return this._hideTrailingDays ?? this.hideOutsideDays;
  }
  set showActiveDay(value) {
    this._showActiveDay = value;
  }
  get showActiveDay() {
    return this._showActiveDay;
  }
  /**
   * @hidden
   */
  constructor(platform, _localeId, el, cdr) {
    super(platform, _localeId);
    this.el = el;
    this.cdr = cdr;
    this.#standalone = true;
    this.id = `igx-days-view-${NEXT_ID13++}`;
    this.tabIndex = 0;
    this.role = "grid";
    this.viewClass = true;
    this.dateSelected = new EventEmitter38();
    this.pageChanged = new EventEmitter38();
    this.activeDateChange = new EventEmitter38();
    this.previewRangeDateChange = new EventEmitter38();
  }
  /**
   * @hidden
   */
  handleArrowKeydown(event, delta) {
    event.preventDefault();
    event.stopPropagation();
    const date = getClosestActiveDate(CalendarDay.from(this.activeDate), delta, this.disabledDates);
    if (!areSameMonth(this.activeDate, date.native)) {
      this.pageChanged.emit({
        monthAction: delta > 0 ? "next" : "prev",
        key: event.key,
        nextDate: date.native
      });
    }
    this.activeDate = date.native;
    this.viewDate = date.native;
    this.clearPreviewRange();
    this.changePreviewRange(date.native);
    this.cdr.detectChanges();
  }
  /**
   * @hidden
   */
  onArrowRight(event) {
    this.handleArrowKeydown(event, 1);
  }
  /**
   * @hidden
   */
  onArrowLeft(event) {
    this.handleArrowKeydown(event, -1);
  }
  /**
   * @hidden
   */
  onArrowUp(event) {
    this.handleArrowKeydown(event, -7);
  }
  /**
   * @hidden
   */
  onArrowDown(event) {
    this.handleArrowKeydown(event, 7);
  }
  /**
   * @hidden
   */
  onKeydownEnter(event) {
    event.stopPropagation();
    this.selectActiveDate();
  }
  /**
   * @hidden
   */
  onKeydownHome(event) {
    event.preventDefault();
    event.stopPropagation();
    const first19 = CalendarDay.from(this.activeDate);
    this.activeDate = getNextActiveDate(first19.set({ date: 1 }), this.disabledDates).native;
  }
  /**
   * @hidden
   */
  onKeydownEnd(event) {
    event.preventDefault();
    event.stopPropagation();
    const last3 = CalendarDay.from(this.activeDate);
    this.activeDate = getPreviousActiveDate(last3.set({ month: last3.month + 1, date: 0 }), this.disabledDates).native;
  }
  /**
   * @hidden
   */
  handleFocus() {
    this._showActiveDay = true;
    this.changePreviewRange(this.activeDate);
  }
  /**
   * @hidden
   */
  handleBlur() {
    this._showActiveDay = false;
    this.clearPreviewRange();
  }
  /**
   * @hidden
   */
  handleDateClick(item) {
    const date = item.date.native;
    if (item.isPreviousMonth) {
      this.pageChanged.emit({
        monthAction: "prev",
        key: "",
        nextDate: date
      });
    }
    if (item.isNextMonth) {
      this.pageChanged.emit({
        monthAction: "next",
        key: "",
        nextDate: date
      });
    }
    if (this.tabIndex !== -1) {
      this.el.nativeElement.focus();
    }
    this.activeDate = item.date.native;
    this.selectActiveDate();
  }
  selectActiveDate() {
    this.selectDate(this.activeDate);
    this.dateSelected.emit(this.activeDate);
    this.selected.emit(this.selectedDates);
    this.clearPreviewRange();
  }
  get calendarMonth() {
    return Array.from(generateMonth(this.viewDate, this.weekStart));
  }
  get monthWeeks() {
    return Array.from(intoChunks(this.calendarMonth, 7));
  }
  /**
   * Returns the week number by date
   *
   * @hidden
   */
  getWeekNumber(date) {
    return date.week;
  }
  /**
   * Returns the locale representation of the date in the days view.
   *
   * @hidden
   */
  formattedDate(value) {
    if (this.formatViews.day) {
      return this.formatterDay.format(value);
    }
    return `${value.getDate()}`;
  }
  /**
   * @hidden
   */
  get weekHeaderLabels() {
    const weekdays = [];
    const rawFormatter = new Intl.DateTimeFormat(this.locale, { weekday: "long" });
    for (const day of this.monthWeeks.at(0)) {
      weekdays.push({
        long: rawFormatter.format(day.native),
        formatted: this.formatterWeekday.format(day.native)
      });
    }
    return weekdays;
  }
  /**
   * @hidden
   */
  rowTracker(index, item) {
    return `${item[index].month}${item[index].date}`;
  }
  /**
   * @hidden
   */
  dateTracker(_, item) {
    return `${item.month}--${item.date}`;
  }
  /**
   * @hidden
   */
  isSelected(date) {
    const dates = this.value;
    const hasValue = this.value || Array.isArray(this.value) && this.value.length === 1;
    if (isDateInRanges(date, this.disabledDates)) {
      return false;
    }
    if (this.selection === CalendarSelection.SINGLE) {
      return !!this.value && date.equalTo(this.value);
    }
    if (!hasValue) {
      return false;
    }
    if (this.selection === CalendarSelection.MULTI && dates.length > 0) {
      return isDateInRanges(date, [
        {
          type: DateRangeType2.Specific,
          dateRange: dates
        }
      ]);
    }
    if (this.selection === CalendarSelection.RANGE && dates.length > 0) {
      return isDateInRanges(date, [
        {
          type: DateRangeType2.Between,
          dateRange: [dates.at(0), dates.at(-1)]
        }
      ]);
    }
  }
  /**
   * @hidden
   */
  isFirstInRange(date) {
    const dates = this.selectedDates;
    if (this.isSingleSelection || dates.length === 0) {
      return false;
    }
    let target = dates.at(0);
    if (this.previewRangeDate && this.previewRangeDate < target) {
      target = this.previewRangeDate;
    }
    return date.equalTo(target);
  }
  /**
   * @hidden
   */
  isLastInRange(date) {
    const dates = this.selectedDates;
    if (this.isSingleSelection || dates.length === 0) {
      return false;
    }
    let target = dates.at(-1);
    if (this.previewRangeDate && this.previewRangeDate > target) {
      target = this.previewRangeDate;
    }
    return date.equalTo(target);
  }
  /**
   * @hidden
   */
  isActiveDate(day) {
    return this._showActiveDay && day.equalTo(this.activeDate);
  }
  /**
   * @hidden
   */
  isWithinRange(date, checkForRange, min, max) {
    const dates = this.selectedDates;
    if (checkForRange && !(Array.isArray(dates) && dates.length > 1)) {
      return false;
    }
    min = min ? min : dates.at(0);
    max = max ? max : dates.at(-1);
    return isDateInRanges(date, [
      {
        type: DateRangeType2.Between,
        dateRange: [min, max]
      }
    ]);
  }
  isWithinPreviewRange(date) {
    if (this.selection !== "range")
      return false;
    const dates = this.selectedDates;
    if (!(dates.length > 0 && this.previewRangeDate)) {
      return false;
    }
    return isDateInRanges(date, [
      {
        type: DateRangeType2.Between,
        dateRange: [dates.at(0), this.previewRangeDate]
      }
    ]);
  }
  /**
   * @hidden
   */
  get isSingleSelection() {
    return this.selection !== CalendarSelection.RANGE;
  }
  /**
   * @hidden @internal
   */
  changePreviewRange(date) {
    const dates = this.value;
    if (this.selection === "range" && dates.length === 1) {
      const first19 = CalendarDay.from(dates.at(0));
      if (!first19.equalTo(date)) {
        this.setPreviewRangeDate(date);
      }
    }
  }
  /**
   * @hidden @internal
   */
  clearPreviewRange() {
    if (this.previewRangeDate) {
      this.setPreviewRangeDate(void 0);
    }
  }
  setPreviewRangeDate(value) {
    this.previewRangeDate = value;
  }
  static {
    this.ɵfac = i086.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i086, type: _IgxDaysViewComponent, deps: [{ token: PlatformUtil }, { token: LOCALE_ID3 }, { token: i086.ElementRef }, { token: i086.ChangeDetectorRef }], target: i086.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i086.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDaysViewComponent, isStandalone: true, selector: "igx-days-view", inputs: { id: "id", tabIndex: "tabIndex", role: "role", standalone: "standalone", showWeekNumbers: ["showWeekNumbers", "showWeekNumbers", booleanAttribute37], activeDate: "activeDate", previewRangeDate: "previewRangeDate", hideLeadingDays: ["hideLeadingDays", "hideLeadingDays", booleanAttribute37], hideTrailingDays: ["hideTrailingDays", "hideTrailingDays", booleanAttribute37], showActiveDay: ["showActiveDay", "showActiveDay", booleanAttribute37] }, outputs: { dateSelected: "dateSelected", pageChanged: "pageChanged", activeDateChange: "activeDateChange", previewRangeDateChange: "previewRangeDateChange" }, host: { listeners: { "keydown.arrowright": "onArrowRight($event)", "keydown.arrowleft": "onArrowLeft($event)", "keydown.arrowup": "onArrowUp($event)", "keydown.arrowdown": "onArrowDown($event)", "keydown.Space": "onKeydownEnter($event)", "keydown.enter": "onKeydownEnter($event)", "keydown.home": "onKeydownHome($event)", "keydown.end": "onKeydownEnd($event)", "focus": "handleFocus()", "blur": "handleBlur()" }, properties: { "attr.id": "this.id", "attr.tabIndex": "this.tabIndex", "attr.role": "this.role", "class.igx-days-view": "this.viewClass", "class.igx-days-view--standalone": "this.standalone", "attr.aria-activeDescendant": "this.activeDescendant" } }, providers: [
      {
        multi: true,
        provide: NG_VALUE_ACCESSOR8,
        useExisting: _IgxDaysViewComponent
      }
    ], viewQueries: [{ propertyName: "dates", predicate: IgxDayItemComponent, descendants: true, read: IgxDayItemComponent }], usesInheritance: true, ngImport: i086, template: `<div role="row" class="igx-days-view__row">
    <div
        role="columnheader"
        *ngIf="showWeekNumbers"
        class="igx-days-view__label igx-days-view__label--week-number"
    >
        <span>Wk</span>
    </div>
    <span
        role="columnheader"
        [attr.aria-label]="dayName.long"
        *ngFor="let dayName of weekHeaderLabels"
        class="igx-days-view__label"
    >
        <span class="igx-days-view__label-inner">
            {{ dayName.formatted | titlecase }}
        </span>
    </span>
</div>

<div
    *ngFor="
        let week of monthWeeks;
        last as isLast;
        index as i;
        trackBy: rowTracker
    "
    class="igx-days-view__row"
    role="row"
>
    <div
        *ngIf="showWeekNumbers"
        class="igx-days-view__date igx-days-view__date--week-number"
    >
        <span
            role="rowheader"
            class="igx-days-view__date-inner igx-days-view__date-inner--week-number"
        >
            {{ getWeekNumber(week[0]) }}
        </span>
    </div>

    <igx-day-item
        #item
        *ngFor="let day of week; trackBy: dateTracker"
        class="igx-days-view__date"
        role="gridcell"
        [attr.id]="item.isCurrentMonth && day.timestamp"
        [attr.aria-selected]="isSelected(day)"
        [attr.aria-disabled]="isDateDisabled(day.native)"
        [attr.aria-label]="
            isFirstInRange(day)
                ? day.native.toDateString() +
                  ', ' +
                  resourceStrings.igx_calendar_range_start
                : isLastInRange(day)
                  ? day.native.toDateString() +
                    ', ' +
                    resourceStrings.igx_calendar_range_end
                  : day.native.toDateString()
        "
        [date]="day"
        [viewDate]="viewDate"
        [selection]="selection"
        [selected]="isSelected(day)"
        [isActive]="isActiveDate(day)"
        [isLastInRange]="isLastInRange(day)"
        [isFirstInRange]="isFirstInRange(day)"
        [isWithinRange]="isWithinRange(day.native, true)"
        [isWithinPreviewRange]="isWithinPreviewRange(day.native)"
        [disabledDates]="disabledDates"
        [specialDates]="specialDates"
        [hideLeadingDays]="hideLeadingDays"
        [hideTrailingDays]="hideTrailingDays"
        [attr.tabindex]="-1"
        (mouseDown)="handleDateClick(item)"
        (mouseEnter)="changePreviewRange(day.native)"
        (mouseLeave)="clearPreviewRange()"
    >
        {{ formattedDate(day.native) }}
    </igx-day-item>
</div>
`, dependencies: [{ kind: "directive", type: NgIf12, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor5, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxDayItemComponent, selector: "igx-day-item", inputs: ["date", "viewDate", "selection", "selected", "disabledDates", "specialDates", "hideOutsideDays", "isLastInRange", "isFirstInRange", "isWithinRange", "isWithinPreviewRange", "hideLeadingDays", "hideTrailingDays", "isActive"], outputs: ["dateSelection", "mouseEnter", "mouseLeave", "mouseDown"] }, { kind: "pipe", type: TitleCasePipe2, name: "titlecase" }], changeDetection: i086.ChangeDetectionStrategy.OnPush });
  }
};
i086.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i086, type: IgxDaysViewComponent, decorators: [{
  type: Component27,
  args: [{ providers: [
    {
      multi: true,
      provide: NG_VALUE_ACCESSOR8,
      useExisting: IgxDaysViewComponent
    }
  ], selector: "igx-days-view", changeDetection: ChangeDetectionStrategy3.OnPush, standalone: true, imports: [NgIf12, NgFor5, IgxDayItemComponent, TitleCasePipe2], template: `<div role="row" class="igx-days-view__row">
    <div
        role="columnheader"
        *ngIf="showWeekNumbers"
        class="igx-days-view__label igx-days-view__label--week-number"
    >
        <span>Wk</span>
    </div>
    <span
        role="columnheader"
        [attr.aria-label]="dayName.long"
        *ngFor="let dayName of weekHeaderLabels"
        class="igx-days-view__label"
    >
        <span class="igx-days-view__label-inner">
            {{ dayName.formatted | titlecase }}
        </span>
    </span>
</div>

<div
    *ngFor="
        let week of monthWeeks;
        last as isLast;
        index as i;
        trackBy: rowTracker
    "
    class="igx-days-view__row"
    role="row"
>
    <div
        *ngIf="showWeekNumbers"
        class="igx-days-view__date igx-days-view__date--week-number"
    >
        <span
            role="rowheader"
            class="igx-days-view__date-inner igx-days-view__date-inner--week-number"
        >
            {{ getWeekNumber(week[0]) }}
        </span>
    </div>

    <igx-day-item
        #item
        *ngFor="let day of week; trackBy: dateTracker"
        class="igx-days-view__date"
        role="gridcell"
        [attr.id]="item.isCurrentMonth && day.timestamp"
        [attr.aria-selected]="isSelected(day)"
        [attr.aria-disabled]="isDateDisabled(day.native)"
        [attr.aria-label]="
            isFirstInRange(day)
                ? day.native.toDateString() +
                  ', ' +
                  resourceStrings.igx_calendar_range_start
                : isLastInRange(day)
                  ? day.native.toDateString() +
                    ', ' +
                    resourceStrings.igx_calendar_range_end
                  : day.native.toDateString()
        "
        [date]="day"
        [viewDate]="viewDate"
        [selection]="selection"
        [selected]="isSelected(day)"
        [isActive]="isActiveDate(day)"
        [isLastInRange]="isLastInRange(day)"
        [isFirstInRange]="isFirstInRange(day)"
        [isWithinRange]="isWithinRange(day.native, true)"
        [isWithinPreviewRange]="isWithinPreviewRange(day.native)"
        [disabledDates]="disabledDates"
        [specialDates]="specialDates"
        [hideLeadingDays]="hideLeadingDays"
        [hideTrailingDays]="hideTrailingDays"
        [attr.tabindex]="-1"
        (mouseDown)="handleDateClick(item)"
        (mouseEnter)="changePreviewRange(day.native)"
        (mouseLeave)="clearPreviewRange()"
    >
        {{ formattedDate(day.native) }}
    </igx-day-item>
</div>
` }]
}], ctorParameters: () => [{ type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject34,
  args: [LOCALE_ID3]
}] }, { type: i086.ElementRef }, { type: i086.ChangeDetectorRef }], propDecorators: { id: [{
  type: HostBinding43,
  args: ["attr.id"]
}, {
  type: Input58
}], tabIndex: [{
  type: HostBinding43,
  args: ["attr.tabIndex"]
}, {
  type: Input58
}], role: [{
  type: HostBinding43,
  args: ["attr.role"]
}, {
  type: Input58
}], viewClass: [{
  type: HostBinding43,
  args: ["class.igx-days-view"]
}], standalone: [{
  type: Input58
}, {
  type: HostBinding43,
  args: ["class.igx-days-view--standalone"]
}], activeDescendant: [{
  type: HostBinding43,
  args: ["attr.aria-activeDescendant"]
}], showWeekNumbers: [{
  type: Input58,
  args: [{ transform: booleanAttribute37 }]
}], activeDate: [{
  type: Input58
}], previewRangeDate: [{
  type: Input58
}], hideLeadingDays: [{
  type: Input58,
  args: [{ transform: booleanAttribute37 }]
}], hideTrailingDays: [{
  type: Input58,
  args: [{ transform: booleanAttribute37 }]
}], showActiveDay: [{
  type: Input58,
  args: [{ transform: booleanAttribute37 }]
}], dateSelected: [{
  type: Output29
}], pageChanged: [{
  type: Output29
}], activeDateChange: [{
  type: Output29
}], previewRangeDateChange: [{
  type: Output29
}], dates: [{
  type: ViewChildren6,
  args: [IgxDayItemComponent, { read: IgxDayItemComponent }]
}], onArrowRight: [{
  type: HostListener25,
  args: ["keydown.arrowright", ["$event"]]
}], onArrowLeft: [{
  type: HostListener25,
  args: ["keydown.arrowleft", ["$event"]]
}], onArrowUp: [{
  type: HostListener25,
  args: ["keydown.arrowup", ["$event"]]
}], onArrowDown: [{
  type: HostListener25,
  args: ["keydown.arrowdown", ["$event"]]
}], onKeydownEnter: [{
  type: HostListener25,
  args: ["keydown.Space", ["$event"]]
}, {
  type: HostListener25,
  args: ["keydown.enter", ["$event"]]
}], onKeydownHome: [{
  type: HostListener25,
  args: ["keydown.home", ["$event"]]
}], onKeydownEnd: [{
  type: HostListener25,
  args: ["keydown.end", ["$event"]]
}], handleFocus: [{
  type: HostListener25,
  args: ["focus"]
}], handleBlur: [{
  type: HostListener25,
  args: ["blur"]
}] } });

// lib/calendar/months-view.pipe.mjs
import { Pipe as Pipe2 } from "@angular/core";
import * as i087 from "@angular/core";
var IgxMonthViewSlotsCalendar = class _IgxMonthViewSlotsCalendar {
  transform(monthViews) {
    return new Array(monthViews);
  }
  static {
    this.ɵfac = i087.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i087, type: _IgxMonthViewSlotsCalendar, deps: [], target: i087.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i087.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i087, type: _IgxMonthViewSlotsCalendar, isStandalone: true, name: "IgxMonthViewSlots" });
  }
};
i087.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i087, type: IgxMonthViewSlotsCalendar, decorators: [{
  type: Pipe2,
  args: [{
    name: "IgxMonthViewSlots",
    standalone: true
  }]
}] });
var IgxGetViewDateCalendar = class _IgxGetViewDateCalendar {
  constructor() {
    this.calendar = new Calendar();
  }
  transform(index, viewDate, wholeDate = true) {
    const date = this.calendar.timedelta(viewDate, "month", index);
    return wholeDate ? date : date.getMonth();
  }
  static {
    this.ɵfac = i087.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i087, type: _IgxGetViewDateCalendar, deps: [], target: i087.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i087.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i087, type: _IgxGetViewDateCalendar, isStandalone: true, name: "IgxGetViewDate" });
  }
};
i087.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i087, type: IgxGetViewDateCalendar, decorators: [{
  type: Pipe2,
  args: [{
    name: "IgxGetViewDate",
    standalone: true
  }]
}], ctorParameters: () => [] });

// lib/calendar/calendar.component.mjs
import { Component as Component28, ContentChild as ContentChild6, forwardRef as forwardRef6, HostBinding as HostBinding44, Input as Input59, ViewChild as ViewChild14, ViewChildren as ViewChildren7, booleanAttribute as booleanAttribute38, HostListener as HostListener26 } from "@angular/core";
import { NgIf as NgIf13, NgTemplateOutlet as NgTemplateOutlet5, NgStyle, NgFor as NgFor6, DatePipe as DatePipe3 } from "@angular/common";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR9 } from "@angular/forms";
import { interval as interval3 } from "rxjs";
import { takeUntil as takeUntil18, debounce as debounce2, skipLast, switchMap } from "rxjs/operators";
import * as i088 from "@angular/core";
var NEXT_ID14 = 0;
var IgxCalendarComponent = class _IgxCalendarComponent extends IgxCalendarBaseDirective {
  constructor() {
    super(...arguments);
    this.id = `igx-calendar-${NEXT_ID14++}`;
    this.hasHeader = true;
    this.vertical = false;
    this.orientation = "horizontal";
    this.headerOrientation = "horizontal";
    this.showWeekNumbers = false;
    this.styleClass = true;
    this.activeDate = CalendarDay.today.native;
    this.isKeydownTrigger = false;
    this._monthsViewNumber = 1;
    this.startPrevPageScroll = (isKeydownTrigger = false) => {
      this.startPageScroll$.next();
      this.pageScrollDirection = "prev";
      this.previousPage(isKeydownTrigger);
    };
    this.startNextPageScroll = (isKeydownTrigger = false) => {
      this.startPageScroll$.next();
      this.pageScrollDirection = "next";
      this.nextPage(isKeydownTrigger);
    };
    this.stopPageScroll = (event) => {
      event.stopPropagation();
      this.stopPageScroll$.next(true);
      this.stopPageScroll$.complete();
      if (this.platform.isActivationKey(event)) {
        this.resetActiveDate(this.viewDate);
      }
      this.pageScrollDirection = "none";
    };
  }
  /**
   * Sets/gets the number of month views displayed.
   * Default value is `1`.
   *
   * @example
   * ```html
   * <igx-calendar [monthsViewNumber]="2"></igx-calendar>
   * ```
   */
  get monthsViewNumber() {
    return this._monthsViewNumber;
  }
  set monthsViewNumber(val) {
    if (val < 1) {
      return;
    }
    this._monthsViewNumber = val;
  }
  /**
   * The default css class applied to the component.
   *
   * @hidden
   * @internal
   */
  get styleVerticalClass() {
    return this.headerOrientation === "vertical";
  }
  /**
   * Denote if the year view is active.
   *
   * @hidden
   * @internal
   */
  get isYearView() {
    return this.activeView === IgxCalendarView.Year;
  }
  /**
   * Gets the header template.
   *
   * @example
   * ```typescript
   * let headerTitleTemplate = this.calendar.headerTitleTeamplate;
   * ```
   * @memberof IgxCalendarComponent
   */
  get headerTitleTemplate() {
    if (this.headerTitleTemplateDirective) {
      return this.headerTitleTemplateDirective.template;
    }
    return null;
  }
  /**
   * Sets the header template.
   *
   * @example
   * ```html
   * <igx-calendar headerTitleTemplateDirective="igxCalendarHeaderTitle"></igx-calendar>
   * ```
   * @memberof IgxCalendarComponent
   */
  set headerTitleTemplate(directive) {
    this.headerTitleTemplateDirective = directive;
  }
  /**
   * Gets the header template.
   *
   * @example
   * ```typescript
   * let headerTemplate =  this.calendar.headerTeamplate;
   * ```
   * @memberof IgxCalendarComponent
   */
  get headerTemplate() {
    if (this.headerTemplateDirective) {
      return this.headerTemplateDirective.template;
    }
    return null;
  }
  /**
   * Sets the header template.
   *
   * @example
   * ```html
   * <igx-calendar headerTemplateDirective="igxCalendarHeader"></igx-calendar>
   * ```
   * @memberof IgxCalendarComponent
   */
  set headerTemplate(directive) {
    this.headerTemplateDirective = directive;
  }
  /**
   * Gets the subheader template.
   *
   * @example
   * ```typescript
   * let subheaderTemplate = this.calendar.subheaderTemplate;
   * ```
   */
  get subheaderTemplate() {
    if (this.subheaderTemplateDirective) {
      return this.subheaderTemplateDirective.template;
    }
    return null;
  }
  /**
   * Sets the subheader template.
   *
   * @example
   * ```html
   * <igx-calendar subheaderTemplate="igxCalendarSubheader"></igx-calendar>
   * ```
   * @memberof IgxCalendarComponent
   */
  set subheaderTemplate(directive) {
    this.subheaderTemplateDirective = directive;
  }
  /**
   * Gets the context for the template marked with the `igxCalendarHeader` directive.
   *
   * @example
   * ```typescript
   * let headerContext =  this.calendar.headerContext;
   * ```
   */
  get headerContext() {
    return this.generateContext(this.headerDate);
  }
  /**
   * Gets the context for the template marked with either `igxCalendarSubHeaderMonth`
   * or `igxCalendarSubHeaderYear` directive.
   *
   * @example
   * ```typescript
   * let context =  this.calendar.context;
   * ```
   */
  get context() {
    const date = this.viewDate;
    return this.generateContext(date);
  }
  /**
   * Date displayed in header
   *
   * @hidden
   * @internal
   */
  get headerDate() {
    return this.selectedDates?.at(0) ?? /* @__PURE__ */ new Date();
  }
  onMouseDown(event) {
    event.stopPropagation();
    this.wrapper.nativeElement.focus();
  }
  /**
   * @hidden
   * @internal
   */
  set showActiveDay(value) {
    this._showActiveDay = value;
    this.cdr.detectChanges();
  }
  get showActiveDay() {
    return this._showActiveDay;
  }
  get activeDescendant() {
    if (this.activeView === "month") {
      return this.activeDate.getTime();
    }
    return this._activeDescendant ?? this.viewDate.getTime();
  }
  set activeDescendant(date) {
    this._activeDescendant = date.getTime();
  }
  ngAfterViewInit() {
    this.keyboardNavigation.attachKeyboardHandlers(this.wrapper, this).set("ArrowUp", this.onArrowUp).set("ArrowDown", this.onArrowDown).set("ArrowLeft", this.onArrowLeft).set("ArrowRight", this.onArrowRight).set("Enter", this.onEnter).set(" ", this.onEnter).set("Home", this.onHome).set("End", this.onEnd).set("PageUp", this.handlePageUp).set("PageDown", this.handlePageDown);
    this.wrapper.nativeElement.addEventListener("focus", (event) => this.onWrapperFocus(event));
    this.wrapper.nativeElement.addEventListener("blur", (event) => this.onWrapperBlur(event));
    this.startPageScroll$.pipe(takeUntil18(this.stopPageScroll$), switchMap(() => this.scrollPage$.pipe(skipLast(1), debounce2(() => interval3(300)), takeUntil18(this.stopPageScroll$)))).subscribe(() => {
      switch (this.pageScrollDirection) {
        case "prev":
          this.previousPage();
          break;
        case "next":
          this.nextPage();
          break;
        case "none":
        default:
          break;
      }
    });
    this.activeView$.subscribe((view) => {
      this.activeViewChanged.emit(view);
      this.viewDateChanged.emit({
        previousValue: this.previousViewDate,
        currentValue: this.viewDate
      });
    });
  }
  onWrapperFocus(event) {
    event.stopPropagation();
    this.showActiveDay = true;
    this.monthViews.forEach((view) => view.changePreviewRange(this.activeDate));
  }
  onWrapperBlur(event) {
    event.stopPropagation();
    this.showActiveDay = false;
    this.monthViews.forEach((view) => view.clearPreviewRange());
    this._onTouchedCallback();
  }
  handleArrowKeydown(event, delta) {
    event.preventDefault();
    event.stopPropagation();
    const date = getClosestActiveDate(CalendarDay.from(this.activeDate), delta, this.disabledDates);
    this.activeDate = date.native;
    const dates = this.viewDates;
    const isDateInView = dates.some((d) => d.date.equalTo(this.activeDate));
    this.monthViews.forEach((view) => view.clearPreviewRange());
    if (!isDateInView) {
      delta > 0 ? this.nextPage(true) : this.previousPage(true);
    }
  }
  handlePageUpDown(event, delta) {
    event.preventDefault();
    event.stopPropagation();
    const dir = delta > 0 ? "next" : "prev";
    if (this.activeView === IgxCalendarView.Month && event.shiftKey) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", delta).native;
      this.resetActiveDate(this.viewDate);
      this.cdr.detectChanges();
    } else {
      this.changePage(false, dir);
    }
  }
  handlePageUp(event) {
    this.handlePageUpDown(event, -1);
  }
  handlePageDown(event) {
    this.handlePageUpDown(event, 1);
  }
  onArrowUp(event) {
    if (this.activeView === IgxCalendarView.Month) {
      this.handleArrowKeydown(event, -7);
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownArrowUp(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownArrowUp(event);
    }
  }
  onArrowDown(event) {
    if (this.activeView === IgxCalendarView.Month) {
      this.handleArrowKeydown(event, 7);
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownArrowDown(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownArrowDown(event);
    }
  }
  onArrowLeft(event) {
    if (this.activeView === IgxCalendarView.Month) {
      this.handleArrowKeydown(event, -1);
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownArrowLeft(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownArrowLeft(event);
    }
  }
  onArrowRight(event) {
    if (this.activeView === IgxCalendarView.Month) {
      this.handleArrowKeydown(event, 1);
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownArrowRight(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownArrowRight(event);
    }
  }
  onEnter(event) {
    event.stopPropagation();
    if (this.activeView === IgxCalendarView.Month) {
      this.handleDateSelection(this.activeDate);
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownEnter(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownEnter(event);
    }
    this.monthViews.forEach((view) => view.clearPreviewRange());
  }
  onHome(event) {
    event.stopPropagation();
    if (this.activeView === IgxCalendarView.Month) {
      const dates = this.monthViews.toArray().flatMap((view) => view.dates.toArray()).filter((d) => d.isCurrentMonth && d.isFocusable);
      this.activeDate = dates.at(0).date.native;
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownHome(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownHome(event);
    }
  }
  onEnd(event) {
    event.stopPropagation();
    if (this.activeView === IgxCalendarView.Month) {
      const dates = this.monthViews.toArray().flatMap((view) => view.dates.toArray()).filter((d) => d.isCurrentMonth && d.isFocusable);
      this.activeDate = dates.at(-1).date.native;
      this.cdr.detectChanges();
    }
    if (this.activeView === IgxCalendarView.Year) {
      this.monthsView.onKeydownEnd(event);
    }
    if (this.activeView === IgxCalendarView.Decade) {
      this.dacadeView.onKeydownEnd(event);
    }
  }
  /**
   * Returns the locale representation of the month in the month view if enabled,
   * otherwise returns the default `Date.getMonth()` value.
   *
   * @hidden
   * @internal
   */
  formattedMonth(value) {
    if (this.formatViews.month) {
      return this.formatterMonth.format(value);
    }
    return `${value.getMonth()}`;
  }
  /**
   * Change to previous page
   *
   * @hidden
   * @internal
   */
  previousPage(isKeydownTrigger = false) {
    if (isKeydownTrigger && this.pageScrollDirection === "next") {
      return;
    }
    this.changePage(
      isKeydownTrigger,
      "prev"
      /* ScrollDirection.PREV */
    );
  }
  /**
   * Change to next page
   *
   * @hidden
   * @internal
   */
  nextPage(isKeydownTrigger = false) {
    if (isKeydownTrigger && this.pageScrollDirection === "prev") {
      return;
    }
    this.changePage(
      isKeydownTrigger,
      "next"
      /* ScrollDirection.NEXT */
    );
  }
  /**
   * Changes the current page
   *
   * @hidden
   * @internal
   */
  changePage(isKeydownTrigger = false, direction) {
    this.previousViewDate = this.viewDate;
    this.isKeydownTrigger = isKeydownTrigger;
    switch (this.activeView) {
      case "month":
        if (direction === "prev") {
          this.viewDate = CalendarDay.from(this.viewDate).add("month", -1).native;
        }
        if (direction === "next") {
          this.viewDate = CalendarDay.from(this.viewDate).add("month", 1).native;
        }
        this.viewDateChanged.emit({
          previousValue: this.previousViewDate,
          currentValue: this.viewDate
        });
        break;
      case "year":
        if (direction === "prev") {
          this.viewDate = CalendarDay.from(this.viewDate).add("year", -1).native;
        }
        if (direction === "next") {
          this.viewDate = CalendarDay.from(this.viewDate).add("year", 1).native;
        }
        break;
      case "decade":
        if (direction === "prev") {
          this.viewDate = CalendarDay.from(this.viewDate).add("year", -15).native;
        }
        if (direction === "next") {
          this.viewDate = CalendarDay.from(this.viewDate).add("year", 15).native;
        }
        break;
    }
    if (!this.isKeydownTrigger)
      this.resetActiveDate(this.viewDate);
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewDecade(event, date, activeViewIdx) {
    event.preventDefault();
    super.activeViewDecade(activeViewIdx);
    this.viewDate = date;
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewDecadeKB(date, event, activeViewIdx) {
    super.activeViewDecadeKB(event, activeViewIdx);
    if (this.platform.isActivationKey(event)) {
      this.viewDate = date;
      this.wrapper.nativeElement.focus();
    }
  }
  /**
   * @hidden
   * @internal
   */
  onYearsViewClick(event) {
    const path = event.composed ? event.composedPath() : [event.target];
    const years = this.dacadeView.viewItems.toArray();
    const validTarget = years.some((year) => path.includes(year.nativeElement));
    if (validTarget) {
      this.activeView = IgxCalendarView.Year;
    }
  }
  /**
   * @hidden
   * @internal
   */
  onYearsViewKeydown(event) {
    if (this.platform.isActivationKey(event)) {
      this.activeView = IgxCalendarView.Year;
    }
  }
  /**
   * @hidden
   * @internal
   */
  getFormattedDate() {
    const date = this.headerDate;
    const monthFormatter = new Intl.DateTimeFormat(this.locale, { month: "short", day: "numeric" });
    const dayFormatter = new Intl.DateTimeFormat(this.locale, { weekday: "short" });
    return {
      monthday: monthFormatter.format(date),
      weekday: dayFormatter.format(date)
    };
  }
  /**
   * @hidden
   * @internal
   */
  getFormattedRange() {
    const dates = this.selectedDates;
    return {
      start: this.formatterRangeday.format(dates.at(0)),
      end: this.formatterRangeday.format(dates.at(-1))
    };
  }
  /**
   * @hidden
   * @internal
   */
  get viewDates() {
    return this.monthViews.toArray().flatMap((view) => view.dates.toArray()).filter((d) => d.isCurrentMonth);
  }
  /**
   * Handles invoked on date selection
   *
   * @hidden
   * @internal
   */
  handleDateSelection(date) {
    const outOfRange = !this.viewDates.some((d) => {
      return d.date.equalTo(date);
    });
    if (outOfRange) {
      this.viewDate = date;
    }
    this.selectDate(date);
    this.monthViews.forEach((m) => {
      m.shiftKey = this.shiftKey;
      m.selectedDates = this.selectedDates;
      m.cdr.markForCheck();
    });
    if (this.selection !== "single") {
      this.selected.emit(this.selectedDates);
    } else {
      this.selected.emit(this.selectedDates.at(0));
    }
  }
  /**
   * @hidden
   * @intenal
   */
  changeMonth(date) {
    this.previousViewDate = this.viewDate;
    this.viewDate = CalendarDay.from(date).add("month", -this.activeViewIdx).native;
    this.activeView = IgxCalendarView.Month;
    this.resetActiveDate(date);
  }
  /**
   * @hidden
   * @intenal
   */
  changeYear(date) {
    this.previousViewDate = this.viewDate;
    this.viewDate = CalendarDay.from(date).add("month", -this.activeViewIdx).native;
    this.activeView = IgxCalendarView.Year;
  }
  /**
   * @hidden
   * @intenal
   */
  updateYear(date) {
    this.previousViewDate = this.viewDate;
    this.viewDate = CalendarDay.from(date).add("year", -this.activeViewIdx).native;
  }
  updateActiveDescendant(date) {
    this.activeDescendant = date;
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewYear(event, date, activeViewIdx) {
    event.preventDefault();
    this.activeView = IgxCalendarView.Year;
    this.activeViewIdx = activeViewIdx;
    this.viewDate = date;
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewYearKB(date, event, activeViewIdx) {
    event.stopPropagation();
    if (this.platform.isActivationKey(event)) {
      event.preventDefault();
      this.activeView = IgxCalendarView.Year;
      this.activeViewIdx = activeViewIdx;
      this.viewDate = date;
      this.wrapper.nativeElement.focus();
    }
  }
  /**
   * Deselects date(s) (based on the selection type).
   *
   * @example
   * ```typescript
   *  this.calendar.deselectDate(new Date(`2018-06-12`));
   * ````
   */
  deselectDate(value) {
    super.deselectDate(value);
    this.monthViews.forEach((m) => {
      m.selectedDates = this.selectedDates;
      m.rangeStarted = false;
      m.cdr.markForCheck();
    });
    this._onChangeCallback(this.selectedDates);
  }
  /**
   * Getter for the context object inside the calendar templates.
   *
   * @hidden
   * @internal
   */
  getContext(i) {
    const date = CalendarDay.from(this.viewDate).add("month", i).native;
    return this.generateContext(date, i);
  }
  /**
   * @hidden
   * @internal
   */
  // TODO: See if this can be incorporated in the DaysView directly
  resetActiveDate(date) {
    const target = CalendarDay.from(this.activeDate).set({
      month: date.getMonth(),
      year: date.getFullYear()
    });
    const outOfRange = !areSameMonth(date, target) || isDateInRanges(target, this.disabledDates);
    this.activeDate = outOfRange ? date : target.native;
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.keyboardNavigation.detachKeyboardHandlers();
    this.wrapper?.nativeElement.removeEventListener("focus", this.onWrapperFocus);
    this.wrapper?.nativeElement.removeEventListener("blur", this.onWrapperBlur);
  }
  /**
   * @hidden
   * @internal
   */
  getPrevMonth(date) {
    return CalendarDay.from(date).add("month", -1).native;
  }
  /**
   * @hidden
   * @internal
   */
  getNextMonth(date, viewIndex) {
    return CalendarDay.from(date).add("month", viewIndex).native;
  }
  /**
   * Helper method building and returning the context object inside the calendar templates.
   *
   * @hidden
   * @internal
   */
  generateContext(value, i) {
    const construct = (date, index) => ({
      index,
      date,
      ...formatToParts(date, this.locale, this.formatOptions, [
        "era",
        "year",
        "month",
        "day",
        "weekday"
      ])
    });
    const formatObject = Array.isArray(value) ? value.map((date, index) => construct(date, index)) : construct(value, i);
    return { $implicit: formatObject };
  }
  static {
    this.ɵfac = i088.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i088, type: _IgxCalendarComponent, deps: null, target: i088.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i088.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCalendarComponent, isStandalone: true, selector: "igx-calendar", inputs: { id: "id", hasHeader: ["hasHeader", "hasHeader", booleanAttribute38], vertical: ["vertical", "vertical", booleanAttribute38], orientation: "orientation", headerOrientation: "headerOrientation", monthsViewNumber: "monthsViewNumber", showWeekNumbers: ["showWeekNumbers", "showWeekNumbers", booleanAttribute38] }, host: { listeners: { "mousedown": "onMouseDown($event)" }, properties: { "attr.id": "this.id", "class.igx-calendar--vertical": "this.styleVerticalClass", "class.igx-calendar": "this.styleClass" } }, providers: [
      {
        multi: true,
        provide: NG_VALUE_ACCESSOR9,
        useExisting: _IgxCalendarComponent
      },
      {
        multi: false,
        provide: KeyboardNavigationService
      }
    ], queries: [{ propertyName: "headerTemplateDirective", first: true, predicate: i088.forwardRef(() => IgxCalendarHeaderTemplateDirective), descendants: true, read: IgxCalendarHeaderTemplateDirective, static: true }, { propertyName: "headerTitleTemplateDirective", first: true, predicate: i088.forwardRef(() => IgxCalendarHeaderTitleTemplateDirective), descendants: true, read: IgxCalendarHeaderTitleTemplateDirective, static: true }, { propertyName: "subheaderTemplateDirective", first: true, predicate: i088.forwardRef(() => IgxCalendarSubheaderTemplateDirective), descendants: true, read: IgxCalendarSubheaderTemplateDirective, static: true }], viewQueries: [{ propertyName: "wrapper", first: true, predicate: ["wrapper"], descendants: true }, { propertyName: "dacadeView", first: true, predicate: ["decade"], descendants: true, read: IgxYearsViewComponent }, { propertyName: "monthsView", first: true, predicate: ["months"], descendants: true, read: IgxMonthsViewComponent }, { propertyName: "daysView", first: true, predicate: ["days"], descendants: true, read: IgxDaysViewComponent }, { propertyName: "prevPageBtn", first: true, predicate: ["prevPageBtn"], descendants: true }, { propertyName: "nextPageBtn", first: true, predicate: ["nextPageBtn"], descendants: true }, { propertyName: "monthsBtns", predicate: ["monthsBtn"], descendants: true }, { propertyName: "monthViews", predicate: ["days"], descendants: true, read: IgxDaysViewComponent }], usesInheritance: true, ngImport: i088, template: `<ng-template let-result #defaultHeaderTitle>
    <ng-container *ngIf="selection === 'single'">
        <span>{{ resourceStrings.igx_calendar_select_date }}</span>
    </ng-container>
    <ng-container *ngIf="selection === 'range'">
        <span>{{ resourceStrings.igx_calendar_range_placeholder }}</span>
    </ng-container>
</ng-template>

<ng-template let-result #defaultHeaderDate>
    <ng-container *ngIf="selection === 'single'">
        <span>{{ getFormattedDate().weekday }},&nbsp;</span>
        <span>{{ getFormattedDate().monthday }}</span>
    </ng-container>
    <ng-container *ngIf="selection === 'range'">
        <span>{{ selectedDates.length === 0 ? 'Start' : getFormattedRange().start}}</span>
        <span>&nbsp;-&nbsp;</span>
        <span>{{ selectedDates.length <= 1 ? 'End' : getFormattedRange().end}}</span>
    </ng-container>
</ng-template>

<!-- Month -->
<ng-template #defaultMonth let-obj>
    <span
        #monthsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'LLLL') + ', ' + resourceStrings.igx_calendar_select_month"
        (keydown)="onActiveViewYearKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewYear($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedMonth(obj.date) }}
    </span>
</ng-template>

<!-- Year -->
<ng-template #defaultYear let-obj>
    <span *ngIf="activeView === 'year'" class="igx-calendar__aria-off-screen" aria-live="polite">{{ formattedYear(obj.date) }}</span>
    <span
        #yearsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'yyyy') + ', ' + resourceStrings.igx_calendar_select_year"
        (keydown)="onActiveViewDecadeKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewDecade($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedYear(obj.date) }}
    </span>
</ng-template>

<!-- Month Year -->
<ng-template #defaultMonthYear let-obj let-result>
    <span *ngIf="monthsViewNumber < 2 || obj.index < 1" class="igx-calendar__aria-off-screen" aria-live="polite">
            {{ monthsViewNumber > 1 ?
        (resourceStrings.igx_calendar_first_picker_of.replace('{0}', monthsViewNumber.toString()) + ' ' +
            (obj.date | date: 'LLLL yyyy')) :
        resourceStrings.igx_calendar_selected_month_is + (obj.date | date: 'LLLL yyyy')}}
    </span>
    <ng-container *ngTemplateOutlet="defaultMonth; context: {$implicit: obj}"></ng-container>
    <ng-container *ngTemplateOutlet="defaultYear; context: {$implicit: obj}"></ng-container>
</ng-template>

<!-- Decade -->
<ng-template #defaultDecade>
    <span>{{ getDecadeRange().start }} - {{ getDecadeRange().end }}</span>
</ng-template>

<!-- TODO: Make arrows templatable via external templates and based on theme -->
<!-- Previous arrow icon -->
<ng-template #prevArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_left</igx-icon>
</ng-template>

<!-- Next arrow icon -->
<ng-template #nextArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_right</igx-icon>
</ng-template>

<!-- Previous picker button -->
<ng-template #prevPageButton let-obj>
    <div
        #prevPageBtn
        tabindex="0"
        class="igx-calendar-picker__prev"
        role="button"
        [attr.aria-label]="prevNavLabel((getPrevMonth(viewDate) | date: 'LLLL'))"
        data-action="prev"
        igxCalendarScrollPage
        [startScroll]="startPrevPageScroll"
        [stopScroll]="stopPageScroll"
        (keydown)="$event.stopPropagation()"
    >
        <ng-container *ngTemplateOutlet="prevArrow"></ng-container>
    </div>
</ng-template>

<!-- Next picker button -->
<ng-template #nextPageButton let-obj>
    <div
        #nextPageBtn
        tabindex="0"
        class="igx-calendar-picker__next"
        role="button"
        [attr.aria-label]="nextNavLabel((getNextMonth(viewDate, monthsViewNumber) | date: 'LLLL'))"
        data-action="next"
        igxCalendarScrollPage
        [startScroll]="startNextPageScroll"
        [stopScroll]="stopPageScroll"
        (keydown)="$event.stopPropagation()"
    >
        <ng-container *ngTemplateOutlet="nextArrow"></ng-container>
    </div>
</ng-template>

<!-- PICKER IN DAYS -->
<ng-template #calendarDaysPicker let-i>
    <section class="igx-calendar-picker" [style.--calendar-row-start]="1 + (2 * i)">
        <div class="igx-calendar-picker__dates" [attr.data-month]="i | IgxGetViewDate:viewDate:false">
            <ng-container
                    *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultMonthYear; context: getContext(i)">
            </ng-container>
        </div>
        <div
            class="igx-calendar-picker__nav"
            *ngIf="this.orientation === 'horizontal' ? i === monthsViewNumber - 1 : i === 0"
        >
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN MONTHS -->
<ng-template #calendarYearPicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates">
            <ng-container
                *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultYear; context: getContext(0)">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN YEARS -->
<ng-template #calendarDecadePicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates" aria-live="polite">
            <ng-container
                    *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultDecade;">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>


<header
    aria-labelledby="igx-aria-calendar-title-month igx-aria-calendar-title-year"
    class="igx-calendar__header"
    *ngIf="selection === 'single' && hasHeader || selection === 'range' && hasHeader">
    <h5 id="igx-aria-calendar-title-year" class="igx-calendar__header-year">
        <ng-container *ngTemplateOutlet="headerTitleTemplate ?? defaultHeaderTitle; context: headerContext"></ng-container>
    </h5>
    <h2 id="igx-aria-calendar-title-month" class="igx-calendar__header-date">
        <ng-container *ngTemplateOutlet="headerTemplate ? headerTemplate : defaultHeaderDate; context: headerContext">
        </ng-container>
    </h2>
</header>


<div
    #wrapper
    [style.--calendar-months]="monthsViewNumber"
    [tabIndex]="0"
    class="igx-calendar__wrapper"
    [class.igx-calendar__wrapper--vertical]="orientation === 'vertical'"
    [attr.aria-activedescendant]="activeDescendant"
    [attr.aria-multiselectable]="selection !== 'single'"
    aria-labelledby="calendar-desc"
    role="grid"
    >
    <caption id="calendar-desc" tabindex="-1" class="igx-calendar__aria-off-screen">
        <ng-container *ngIf="selection === 'multi'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_multi_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_multi_selection}}
        </ng-container>
        <ng-container *ngIf="selection === 'range'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_range_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_range_selection}}
        </ng-container>
        <ng-container *ngIf="selection === 'single'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_single_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_single_selection}}
        </ng-container>
    </caption>
    <section
        class="igx-calendar__pickers"
        [class.igx-calendar__pickers--days]="isDefaultView"
        [class.igx-calendar__pickers--vertical]="orientation === 'vertical'"
    >
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngFor="let view of monthsViewNumber | IgxMonthViewSlots; index as i">
                <ng-container *ngTemplateOutlet="calendarDaysPicker; context: {$implicit: i}"></ng-container>
            </ng-container>
        </ng-container>

        <ng-container *ngIf="isYearView">
            <ng-container *ngTemplateOutlet="calendarYearPicker"></ng-container>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <ng-container *ngTemplateOutlet="calendarDecadePicker"></ng-container>
        </ng-container>
    </section>

    <section class="igx-calendar__body" [class.igx-calendar__body--vertical]="orientation === 'vertical'" role="presentation">
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngFor="let view of monthsViewNumber | IgxMonthViewSlots; index as i">
                <igx-days-view
                    #days
                    role="rowgroup"
                    [tabIndex]="-1"
                    [selection]="selection"
                    [locale]="locale"
                    [value]="value"
                    [(activeDate)]="activeDate"
                    [(previewRangeDate)]="previewRangeDate"
                    [viewDate]="i | IgxGetViewDate: viewDate"
                    [weekStart]="weekStart"
                    [formatOptions]="formatOptions"
                    [formatViews]="formatViews"
                    [disabledDates]="disabledDates"
                    [specialDates]="specialDates"
                    [style.--calendar-row-start]="(i + 1) * 2"
                    [hideLeadingDays]="hideOutsideDays || i !== 0"
                    [hideTrailingDays]="hideOutsideDays || i !== monthsViewNumber - 1"
                    [showWeekNumbers]="showWeekNumbers"
                    [showActiveDay]="showActiveDay"
                    [standalone]="false"
                    (swiperight)="previousPage()"
                    (swipeleft)="nextPage()"
                    (dateSelected)="handleDateSelection($event)"
                    (mousedown)="$event.preventDefault()">
                </igx-days-view>
            </ng-container>
        </ng-container>

        <ng-container *ngIf="isYearView">
            <igx-months-view
                #months
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.month"
                [monthFormat]="formatOptions.month"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (pageChanged)="updateYear($event)"
                (activeDateChanged)="updateActiveDescendant($event)"
                (selected)="changeMonth($event)"
                (mousedown)="$event.preventDefault()">
            </igx-months-view>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <igx-years-view
                #decade
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.year"
                [yearFormat]="formatOptions.year"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (pageChanged)="updateYear($event)"
                (activeDateChanged)="updateActiveDescendant($event)"
                (selected)="changeYear($event)"
                (mousedown)="$event.preventDefault()">
            </igx-years-view>
        </ng-container>
    </section>
</div>
`, dependencies: [{ kind: "directive", type: NgIf13, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet5, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxCalendarScrollPageDirective, selector: "[igxCalendarScrollPage]", inputs: ["startScroll", "stopScroll"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgFor6, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxDaysViewComponent, selector: "igx-days-view", inputs: ["id", "tabIndex", "role", "standalone", "showWeekNumbers", "activeDate", "previewRangeDate", "hideLeadingDays", "hideTrailingDays", "showActiveDay"], outputs: ["dateSelected", "pageChanged", "activeDateChange", "previewRangeDateChange"] }, { kind: "component", type: IgxMonthsViewComponent, selector: "igx-months-view", inputs: ["id", "standalone", "monthFormat", "formatView"] }, { kind: "component", type: IgxYearsViewComponent, selector: "igx-years-view", inputs: ["standalone", "yearFormat"] }, { kind: "pipe", type: DatePipe3, name: "date" }, { kind: "pipe", type: IgxMonthViewSlotsCalendar, name: "IgxMonthViewSlots" }, { kind: "pipe", type: IgxGetViewDateCalendar, name: "IgxGetViewDate" }] });
  }
};
i088.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i088, type: IgxCalendarComponent, decorators: [{
  type: Component28,
  args: [{ providers: [
    {
      multi: true,
      provide: NG_VALUE_ACCESSOR9,
      useExisting: IgxCalendarComponent
    },
    {
      multi: false,
      provide: KeyboardNavigationService
    }
  ], selector: "igx-calendar", standalone: true, imports: [NgIf13, NgTemplateOutlet5, IgxCalendarScrollPageDirective, NgStyle, IgxIconComponent, NgFor6, IgxDaysViewComponent, IgxMonthsViewComponent, IgxYearsViewComponent, DatePipe3, IgxMonthViewSlotsCalendar, IgxGetViewDateCalendar], template: `<ng-template let-result #defaultHeaderTitle>
    <ng-container *ngIf="selection === 'single'">
        <span>{{ resourceStrings.igx_calendar_select_date }}</span>
    </ng-container>
    <ng-container *ngIf="selection === 'range'">
        <span>{{ resourceStrings.igx_calendar_range_placeholder }}</span>
    </ng-container>
</ng-template>

<ng-template let-result #defaultHeaderDate>
    <ng-container *ngIf="selection === 'single'">
        <span>{{ getFormattedDate().weekday }},&nbsp;</span>
        <span>{{ getFormattedDate().monthday }}</span>
    </ng-container>
    <ng-container *ngIf="selection === 'range'">
        <span>{{ selectedDates.length === 0 ? 'Start' : getFormattedRange().start}}</span>
        <span>&nbsp;-&nbsp;</span>
        <span>{{ selectedDates.length <= 1 ? 'End' : getFormattedRange().end}}</span>
    </ng-container>
</ng-template>

<!-- Month -->
<ng-template #defaultMonth let-obj>
    <span
        #monthsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'LLLL') + ', ' + resourceStrings.igx_calendar_select_month"
        (keydown)="onActiveViewYearKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewYear($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedMonth(obj.date) }}
    </span>
</ng-template>

<!-- Year -->
<ng-template #defaultYear let-obj>
    <span *ngIf="activeView === 'year'" class="igx-calendar__aria-off-screen" aria-live="polite">{{ formattedYear(obj.date) }}</span>
    <span
        #yearsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'yyyy') + ', ' + resourceStrings.igx_calendar_select_year"
        (keydown)="onActiveViewDecadeKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewDecade($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedYear(obj.date) }}
    </span>
</ng-template>

<!-- Month Year -->
<ng-template #defaultMonthYear let-obj let-result>
    <span *ngIf="monthsViewNumber < 2 || obj.index < 1" class="igx-calendar__aria-off-screen" aria-live="polite">
            {{ monthsViewNumber > 1 ?
        (resourceStrings.igx_calendar_first_picker_of.replace('{0}', monthsViewNumber.toString()) + ' ' +
            (obj.date | date: 'LLLL yyyy')) :
        resourceStrings.igx_calendar_selected_month_is + (obj.date | date: 'LLLL yyyy')}}
    </span>
    <ng-container *ngTemplateOutlet="defaultMonth; context: {$implicit: obj}"></ng-container>
    <ng-container *ngTemplateOutlet="defaultYear; context: {$implicit: obj}"></ng-container>
</ng-template>

<!-- Decade -->
<ng-template #defaultDecade>
    <span>{{ getDecadeRange().start }} - {{ getDecadeRange().end }}</span>
</ng-template>

<!-- TODO: Make arrows templatable via external templates and based on theme -->
<!-- Previous arrow icon -->
<ng-template #prevArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_left</igx-icon>
</ng-template>

<!-- Next arrow icon -->
<ng-template #nextArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_right</igx-icon>
</ng-template>

<!-- Previous picker button -->
<ng-template #prevPageButton let-obj>
    <div
        #prevPageBtn
        tabindex="0"
        class="igx-calendar-picker__prev"
        role="button"
        [attr.aria-label]="prevNavLabel((getPrevMonth(viewDate) | date: 'LLLL'))"
        data-action="prev"
        igxCalendarScrollPage
        [startScroll]="startPrevPageScroll"
        [stopScroll]="stopPageScroll"
        (keydown)="$event.stopPropagation()"
    >
        <ng-container *ngTemplateOutlet="prevArrow"></ng-container>
    </div>
</ng-template>

<!-- Next picker button -->
<ng-template #nextPageButton let-obj>
    <div
        #nextPageBtn
        tabindex="0"
        class="igx-calendar-picker__next"
        role="button"
        [attr.aria-label]="nextNavLabel((getNextMonth(viewDate, monthsViewNumber) | date: 'LLLL'))"
        data-action="next"
        igxCalendarScrollPage
        [startScroll]="startNextPageScroll"
        [stopScroll]="stopPageScroll"
        (keydown)="$event.stopPropagation()"
    >
        <ng-container *ngTemplateOutlet="nextArrow"></ng-container>
    </div>
</ng-template>

<!-- PICKER IN DAYS -->
<ng-template #calendarDaysPicker let-i>
    <section class="igx-calendar-picker" [style.--calendar-row-start]="1 + (2 * i)">
        <div class="igx-calendar-picker__dates" [attr.data-month]="i | IgxGetViewDate:viewDate:false">
            <ng-container
                    *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultMonthYear; context: getContext(i)">
            </ng-container>
        </div>
        <div
            class="igx-calendar-picker__nav"
            *ngIf="this.orientation === 'horizontal' ? i === monthsViewNumber - 1 : i === 0"
        >
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN MONTHS -->
<ng-template #calendarYearPicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates">
            <ng-container
                *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultYear; context: getContext(0)">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN YEARS -->
<ng-template #calendarDecadePicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates" aria-live="polite">
            <ng-container
                    *ngTemplateOutlet="subheaderTemplate ? subheaderTemplate : defaultDecade;">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>


<header
    aria-labelledby="igx-aria-calendar-title-month igx-aria-calendar-title-year"
    class="igx-calendar__header"
    *ngIf="selection === 'single' && hasHeader || selection === 'range' && hasHeader">
    <h5 id="igx-aria-calendar-title-year" class="igx-calendar__header-year">
        <ng-container *ngTemplateOutlet="headerTitleTemplate ?? defaultHeaderTitle; context: headerContext"></ng-container>
    </h5>
    <h2 id="igx-aria-calendar-title-month" class="igx-calendar__header-date">
        <ng-container *ngTemplateOutlet="headerTemplate ? headerTemplate : defaultHeaderDate; context: headerContext">
        </ng-container>
    </h2>
</header>


<div
    #wrapper
    [style.--calendar-months]="monthsViewNumber"
    [tabIndex]="0"
    class="igx-calendar__wrapper"
    [class.igx-calendar__wrapper--vertical]="orientation === 'vertical'"
    [attr.aria-activedescendant]="activeDescendant"
    [attr.aria-multiselectable]="selection !== 'single'"
    aria-labelledby="calendar-desc"
    role="grid"
    >
    <caption id="calendar-desc" tabindex="-1" class="igx-calendar__aria-off-screen">
        <ng-container *ngIf="selection === 'multi'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_multi_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_multi_selection}}
        </ng-container>
        <ng-container *ngIf="selection === 'range'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_range_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_range_selection}}
        </ng-container>
        <ng-container *ngIf="selection === 'single'">
            {{ monthsViewNumber && monthsViewNumber > 1 ?
            resourceStrings.igx_calendar_single_selection.replace('{0}', monthsViewNumber.toString()) :
            resourceStrings.igx_calendar_singular_single_selection}}
        </ng-container>
    </caption>
    <section
        class="igx-calendar__pickers"
        [class.igx-calendar__pickers--days]="isDefaultView"
        [class.igx-calendar__pickers--vertical]="orientation === 'vertical'"
    >
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngFor="let view of monthsViewNumber | IgxMonthViewSlots; index as i">
                <ng-container *ngTemplateOutlet="calendarDaysPicker; context: {$implicit: i}"></ng-container>
            </ng-container>
        </ng-container>

        <ng-container *ngIf="isYearView">
            <ng-container *ngTemplateOutlet="calendarYearPicker"></ng-container>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <ng-container *ngTemplateOutlet="calendarDecadePicker"></ng-container>
        </ng-container>
    </section>

    <section class="igx-calendar__body" [class.igx-calendar__body--vertical]="orientation === 'vertical'" role="presentation">
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngFor="let view of monthsViewNumber | IgxMonthViewSlots; index as i">
                <igx-days-view
                    #days
                    role="rowgroup"
                    [tabIndex]="-1"
                    [selection]="selection"
                    [locale]="locale"
                    [value]="value"
                    [(activeDate)]="activeDate"
                    [(previewRangeDate)]="previewRangeDate"
                    [viewDate]="i | IgxGetViewDate: viewDate"
                    [weekStart]="weekStart"
                    [formatOptions]="formatOptions"
                    [formatViews]="formatViews"
                    [disabledDates]="disabledDates"
                    [specialDates]="specialDates"
                    [style.--calendar-row-start]="(i + 1) * 2"
                    [hideLeadingDays]="hideOutsideDays || i !== 0"
                    [hideTrailingDays]="hideOutsideDays || i !== monthsViewNumber - 1"
                    [showWeekNumbers]="showWeekNumbers"
                    [showActiveDay]="showActiveDay"
                    [standalone]="false"
                    (swiperight)="previousPage()"
                    (swipeleft)="nextPage()"
                    (dateSelected)="handleDateSelection($event)"
                    (mousedown)="$event.preventDefault()">
                </igx-days-view>
            </ng-container>
        </ng-container>

        <ng-container *ngIf="isYearView">
            <igx-months-view
                #months
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.month"
                [monthFormat]="formatOptions.month"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (pageChanged)="updateYear($event)"
                (activeDateChanged)="updateActiveDescendant($event)"
                (selected)="changeMonth($event)"
                (mousedown)="$event.preventDefault()">
            </igx-months-view>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <igx-years-view
                #decade
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.year"
                [yearFormat]="formatOptions.year"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (pageChanged)="updateYear($event)"
                (activeDateChanged)="updateActiveDescendant($event)"
                (selected)="changeYear($event)"
                (mousedown)="$event.preventDefault()">
            </igx-years-view>
        </ng-container>
    </section>
</div>
` }]
}], propDecorators: { wrapper: [{
  type: ViewChild14,
  args: ["wrapper"]
}], id: [{
  type: HostBinding44,
  args: ["attr.id"]
}, {
  type: Input59
}], hasHeader: [{
  type: Input59,
  args: [{ transform: booleanAttribute38 }]
}], vertical: [{
  type: Input59,
  args: [{ transform: booleanAttribute38 }]
}], orientation: [{
  type: Input59
}], headerOrientation: [{
  type: Input59
}], monthsViewNumber: [{
  type: Input59
}], showWeekNumbers: [{
  type: Input59,
  args: [{ transform: booleanAttribute38 }]
}], styleVerticalClass: [{
  type: HostBinding44,
  args: ["class.igx-calendar--vertical"]
}], styleClass: [{
  type: HostBinding44,
  args: ["class.igx-calendar"]
}], monthsBtns: [{
  type: ViewChildren7,
  args: ["monthsBtn"]
}], dacadeView: [{
  type: ViewChild14,
  args: ["decade", { read: IgxYearsViewComponent }]
}], monthsView: [{
  type: ViewChild14,
  args: ["months", { read: IgxMonthsViewComponent }]
}], daysView: [{
  type: ViewChild14,
  args: ["days", { read: IgxDaysViewComponent }]
}], monthViews: [{
  type: ViewChildren7,
  args: ["days", { read: IgxDaysViewComponent }]
}], prevPageBtn: [{
  type: ViewChild14,
  args: ["prevPageBtn"]
}], nextPageBtn: [{
  type: ViewChild14,
  args: ["nextPageBtn"]
}], headerTemplateDirective: [{
  type: ContentChild6,
  args: [forwardRef6(() => IgxCalendarHeaderTemplateDirective), { read: IgxCalendarHeaderTemplateDirective, static: true }]
}], headerTitleTemplateDirective: [{
  type: ContentChild6,
  args: [forwardRef6(() => IgxCalendarHeaderTitleTemplateDirective), { read: IgxCalendarHeaderTitleTemplateDirective, static: true }]
}], subheaderTemplateDirective: [{
  type: ContentChild6,
  args: [forwardRef6(() => IgxCalendarSubheaderTemplateDirective), { read: IgxCalendarSubheaderTemplateDirective, static: true }]
}], onMouseDown: [{
  type: HostListener26,
  args: ["mousedown", ["$event"]]
}] } });

// lib/calendar/month-picker/month-picker.component.mjs
import { Component as Component29, HostListener as HostListener27, ViewChild as ViewChild15, HostBinding as HostBinding45, Input as Input60 } from "@angular/core";
import { NgIf as NgIf14, NgStyle as NgStyle2, NgTemplateOutlet as NgTemplateOutlet6, DatePipe as DatePipe4 } from "@angular/common";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR10 } from "@angular/forms";
import * as i089 from "@angular/core";
var NEXT_ID15 = 0;
var IgxMonthPickerComponent = class _IgxMonthPickerComponent extends IgxCalendarBaseDirective {
  constructor() {
    super(...arguments);
    this.id = `igx-month-picker-${NEXT_ID15++}`;
    this.styleClass = true;
  }
  /**
   * @hidden
   */
  previousPage(event) {
    event?.preventDefault();
    this.previousViewDate = this.viewDate;
    if (this.isDefaultView) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", -1).native;
    }
    if (this.isDecadeView) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", -15).native;
    }
  }
  /**
   * @hidden
   */
  nextPage(event) {
    event?.preventDefault();
    this.previousViewDate = this.viewDate;
    if (this.isDefaultView) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", 1).native;
    }
    if (this.isDecadeView) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", 15).native;
    }
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewDecadeKB(date, event, activeViewIdx) {
    super.activeViewDecadeKB(event, activeViewIdx);
    if (this.platform.isActivationKey(event)) {
      this.viewDate = date;
      this.wrapper.nativeElement.focus();
    }
  }
  /**
   * @hidden
   * @internal
   */
  onActiveViewDecade(event, date, activeViewIdx) {
    event.preventDefault();
    super.activeViewDecade(activeViewIdx);
    this.viewDate = date;
  }
  /**
   * @hidden
   */
  activeViewDecadeKB(event) {
    super.activeViewDecadeKB(event);
    if (event.key === this.platform.KEYMAP.ARROW_RIGHT) {
      this.nextPage(event);
    }
    if (event.key === this.platform.KEYMAP.ARROW_LEFT) {
      this.previousPage(event);
    }
  }
  /**
   * @hidden
   */
  activeViewDecade() {
    super.activeViewDecade();
    requestAnimationFrame(() => {
      this.dacadeView.el.nativeElement.focus();
    });
  }
  /**
   * @hidden
   */
  changePageKB(event, next = true) {
    if (this.platform.isActivationKey(event)) {
      event.stopPropagation();
      if (next) {
        this.nextPage();
      } else {
        this.previousPage();
      }
    }
  }
  /**
   * @hidden
   */
  selectYear(event) {
    this.previousViewDate = this.viewDate;
    this.viewDate = new Date(event.getFullYear(), event.getMonth(), event.getDate());
    this.activeView = IgxCalendarView.Year;
    this.wrapper.nativeElement.focus();
  }
  /**
   * @hidden
   */
  selectMonth(event) {
    this.selectDate(event);
    this.selected.emit(this.selectedDates);
  }
  /**
   * Selects a date.
   * ```typescript
   *  this.monthPicker.selectDate(new Date(`2018-06-12`));
   * ```
   */
  selectDate(value) {
    if (!value) {
      return /* @__PURE__ */ new Date();
    }
    super.selectDate(value);
    this.viewDate = value;
  }
  /**
   * @hidden
   */
  getNextYear() {
    return CalendarDay.from(this.viewDate).add("year", 1).year;
  }
  /**
   * @hidden
   */
  getPreviousYear() {
    return CalendarDay.from(this.viewDate).add("year", -1).year;
  }
  /**
   * @hidden
   */
  updateDate(date) {
    this.previousViewDate = this.viewDate;
    this.viewDate = CalendarDay.from(date).add("year", -this.activeViewIdx).native;
    if (this.isDefaultView) {
      this.viewDateChanged.emit({
        previousValue: this.previousViewDate,
        currentValue: this.viewDate
      });
    }
  }
  onMouseDown(event) {
    event.stopPropagation();
    this.wrapper.nativeElement.focus();
  }
  /**
   * @hidden
   * @internal
   */
  set showActiveDay(value) {
    this._showActiveDay = value;
    this.cdr.detectChanges();
  }
  get showActiveDay() {
    return this._showActiveDay;
  }
  get activeDescendant() {
    if (this.activeView === "month") {
      return this.value?.getTime();
    }
    return this._activeDescendant ?? this.viewDate.getTime();
  }
  set activeDescendant(date) {
    this._activeDescendant = date.getTime();
  }
  get isDefaultView() {
    return this.activeView === IgxCalendarView.Year;
  }
  ngOnInit() {
    this.activeView = IgxCalendarView.Year;
  }
  ngAfterViewInit() {
    this.keyboardNavigation.attachKeyboardHandlers(this.wrapper, this).set("ArrowUp", this.onArrowUp).set("ArrowDown", this.onArrowDown).set("ArrowLeft", this.onArrowLeft).set("ArrowRight", this.onArrowRight).set("Enter", this.onEnter).set(" ", this.onEnter).set("Home", this.onHome).set("End", this.onEnd).set("PageUp", this.handlePageUp).set("PageDown", this.handlePageDown);
    this.wrapper.nativeElement.addEventListener("focus", (event) => this.onWrapperFocus(event));
    this.wrapper.nativeElement.addEventListener("blur", (event) => this.onWrapperBlur(event));
    this.activeView$.subscribe((view) => {
      this.activeViewChanged.emit(view);
      this.viewDateChanged.emit({
        previousValue: this.previousViewDate,
        currentValue: this.viewDate
      });
    });
  }
  onWrapperFocus(event) {
    event.stopPropagation();
    this.showActiveDay = true;
  }
  onWrapperBlur(event) {
    event.stopPropagation();
    this.showActiveDay = false;
    this._onTouchedCallback();
  }
  handlePageUpDown(event, delta) {
    event.preventDefault();
    event.stopPropagation();
    if (this.isDefaultView && event.shiftKey) {
      this.viewDate = CalendarDay.from(this.viewDate).add("year", delta).native;
      this.cdr.detectChanges();
    } else {
      delta > 0 ? this.nextPage() : this.previousPage();
    }
  }
  handlePageUp(event) {
    this.handlePageUpDown(event, -1);
  }
  handlePageDown(event) {
    this.handlePageUpDown(event, 1);
  }
  onArrowUp(event) {
    if (this.isDefaultView) {
      this.monthsView.onKeydownArrowUp(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownArrowUp(event);
    }
  }
  onArrowDown(event) {
    if (this.isDefaultView) {
      this.monthsView.onKeydownArrowDown(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownArrowDown(event);
    }
  }
  onArrowLeft(event) {
    if (this.isDefaultView) {
      this.monthsView.onKeydownArrowLeft(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownArrowLeft(event);
    }
  }
  onArrowRight(event) {
    if (this.isDefaultView) {
      this.monthsView.onKeydownArrowRight(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownArrowRight(event);
    }
  }
  onEnter(event) {
    event.stopPropagation();
    if (this.isDefaultView) {
      this.monthsView.onKeydownEnter(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownEnter(event);
    }
  }
  onHome(event) {
    event.stopPropagation();
    if (this.isDefaultView) {
      this.monthsView.onKeydownHome(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownHome(event);
    }
  }
  onEnd(event) {
    event.stopPropagation();
    if (this.isDefaultView) {
      this.monthsView.onKeydownEnd(event);
    }
    if (this.isDecadeView) {
      this.dacadeView.onKeydownEnd(event);
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.keyboardNavigation.detachKeyboardHandlers();
    this.wrapper?.nativeElement.removeEventListener("focus", this.onWrapperFocus);
    this.wrapper?.nativeElement.removeEventListener("blur", this.onWrapperBlur);
  }
  /**
   * @hidden
   * @internal
   */
  getPrevYearDate(date) {
    return CalendarDay.from(date).add("year", -1).native;
  }
  /**
   * @hidden
   * @internal
   */
  getNextYearDate(date) {
    return CalendarDay.from(date).add("year", 1).native;
  }
  /**
   * Getter for the context object inside the calendar templates.
   *
   * @hidden
   * @internal
   */
  getContext(i) {
    const date = CalendarDay.from(this.viewDate).add("month", i).native;
    return this.generateContext(date, i);
  }
  /**
   * Helper method building and returning the context object inside the calendar templates.
   *
   * @hidden
   * @internal
   */
  generateContext(value, i) {
    const construct = (date, index) => ({
      index,
      date,
      ...formatToParts(date, this.locale, this.formatOptions, [
        "era",
        "year",
        "month",
        "day",
        "weekday"
      ])
    });
    const formatObject = Array.isArray(value) ? value.map((date, index) => construct(date, index)) : construct(value, i);
    return { $implicit: formatObject };
  }
  static {
    this.ɵfac = i089.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i089, type: _IgxMonthPickerComponent, deps: null, target: i089.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i089.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxMonthPickerComponent, isStandalone: true, selector: "igx-month-picker", inputs: { id: "id" }, host: { listeners: { "keydown.pageup": "previousPage($event)", "keydown.pagedown": "nextPage($event)", "mousedown": "onMouseDown($event)" }, properties: { "attr.id": "this.id", "class.igx-month-picker": "this.styleClass" } }, providers: [
      {
        multi: true,
        provide: NG_VALUE_ACCESSOR10,
        useExisting: _IgxMonthPickerComponent
      },
      {
        multi: false,
        provide: KeyboardNavigationService
      }
    ], viewQueries: [{ propertyName: "wrapper", first: true, predicate: ["wrapper"], descendants: true }, { propertyName: "monthsView", first: true, predicate: ["months"], descendants: true, read: IgxMonthsViewComponent }, { propertyName: "dacadeView", first: true, predicate: ["decade"], descendants: true, read: IgxYearsViewComponent }, { propertyName: "daysView", first: true, predicate: ["days"], descendants: true, read: IgxDaysViewComponent }, { propertyName: "yearsBtn", first: true, predicate: ["yearsBtn"], descendants: true }], usesInheritance: true, ngImport: i089, template: `<!-- Previous arrow icon -->
<ng-template #prevArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_left</igx-icon>
</ng-template>

<!-- Next arrow icon -->
<ng-template #nextArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_right</igx-icon>
</ng-template>

<!-- Previous picker button -->
<ng-template #prevPageButton let-obj>
    <div
        #prevPageBtn
        tabindex="0"
        class="igx-calendar-picker__prev"
        role="button"
        [attr.aria-label]="prevNavLabel((getPrevYearDate(viewDate) | date: 'YYYY'))"
        data-action="prev"
        igxCalendarScrollPage
        (mousedown)="previousPage()"
        (keydown)="changePageKB($event, false)"
    >
        <ng-container *ngTemplateOutlet="prevArrow"></ng-container>
    </div>
</ng-template>

<!-- Next picker button -->
<ng-template #nextPageButton let-obj>
    <div
        #nextPageBtn
        tabindex="0"
        class="igx-calendar-picker__next"
        role="button"
        [attr.aria-label]="nextNavLabel((getNextYearDate(viewDate) | date: 'YYYY'))"
        data-action="next"
        igxCalendarScrollPage
        (mousedown)="nextPage()"
        (keydown)="changePageKB($event)"
    >
        <ng-container *ngTemplateOutlet="nextArrow"></ng-container>
    </div>
</ng-template>

<!-- Year -->
<ng-template #defaultYear let-obj>
    <span *ngIf="activeView === 'year'" class="igx-calendar__aria-off-screen" aria-live="polite">{{ formattedYear(obj.date) }}</span>
    <span
        #yearsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'yyyy') + ', ' + resourceStrings.igx_calendar_select_year"
        (keydown)="onActiveViewDecadeKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewDecade($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedYear(obj.date) }}
    </span>
</ng-template>

<!-- Decade -->
<ng-template #defaultDecade>
    <span>{{ getDecadeRange().start }} - {{ getDecadeRange().end }}</span>
</ng-template>

<!-- PICKER IN MONTHS -->
<ng-template #calendarYearPicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates">
            <ng-container
                *ngTemplateOutlet="defaultYear; context: getContext(0)">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN YEARS -->
<ng-template #calendarDecadePicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates" aria-live="polite">
            <ng-container
                    *ngTemplateOutlet="defaultDecade;">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<div
    #wrapper
    [tabIndex]="0"
    class="igx-calendar__wrapper"
    [attr.aria-activedescendant]="activeDescendant"
    [attr.aria-multiselectable]="selection !== 'single'"
    aria-labelledby="calendar-desc"
    role="grid"
    >
    <caption id="calendar-desc" tabindex="-1" class="igx-calendar__aria-off-screen">
        {{ resourceStrings.igx_calendar_singular_single_selection}}
    </caption>

    <section class="igx-calendar__pickers">
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngTemplateOutlet="calendarYearPicker"></ng-container>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <ng-container *ngTemplateOutlet="calendarDecadePicker"></ng-container>
        </ng-container>
    </section>

    <section class="igx-calendar__body">
        <ng-container *ngIf="isDefaultView">
            <igx-months-view
                #months
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.month"
                [monthFormat]="formatOptions.month"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (selected)="selectMonth($event)"
                (pageChanged)="updateDate($event)"
                (mousedown)="$event.preventDefault()">
            >
            </igx-months-view>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <igx-years-view
                #decade
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.year"
                [yearFormat]="formatOptions.year"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (selected)="selectYear($event)"
                (pageChanged)="updateDate($event)"
                (mousedown)="$event.preventDefault()"
            >
            </igx-years-view>
        </ng-container>
    </section>
</div>
`, dependencies: [{ kind: "directive", type: NgIf14, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet6, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: DatePipe4, name: "date" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxMonthsViewComponent, selector: "igx-months-view", inputs: ["id", "standalone", "monthFormat", "formatView"] }, { kind: "component", type: IgxYearsViewComponent, selector: "igx-years-view", inputs: ["standalone", "yearFormat"] }] });
  }
};
i089.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i089, type: IgxMonthPickerComponent, decorators: [{
  type: Component29,
  args: [{ providers: [
    {
      multi: true,
      provide: NG_VALUE_ACCESSOR10,
      useExisting: IgxMonthPickerComponent
    },
    {
      multi: false,
      provide: KeyboardNavigationService
    }
  ], selector: "igx-month-picker", standalone: true, imports: [
    NgIf14,
    NgStyle2,
    NgTemplateOutlet6,
    DatePipe4,
    IgxIconComponent,
    IgxMonthsViewComponent,
    IgxYearsViewComponent
  ], template: `<!-- Previous arrow icon -->
<ng-template #prevArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_left</igx-icon>
</ng-template>

<!-- Next arrow icon -->
<ng-template #nextArrow let-obj>
    <igx-icon aria-hidden="true">keyboard_arrow_right</igx-icon>
</ng-template>

<!-- Previous picker button -->
<ng-template #prevPageButton let-obj>
    <div
        #prevPageBtn
        tabindex="0"
        class="igx-calendar-picker__prev"
        role="button"
        [attr.aria-label]="prevNavLabel((getPrevYearDate(viewDate) | date: 'YYYY'))"
        data-action="prev"
        igxCalendarScrollPage
        (mousedown)="previousPage()"
        (keydown)="changePageKB($event, false)"
    >
        <ng-container *ngTemplateOutlet="prevArrow"></ng-container>
    </div>
</ng-template>

<!-- Next picker button -->
<ng-template #nextPageButton let-obj>
    <div
        #nextPageBtn
        tabindex="0"
        class="igx-calendar-picker__next"
        role="button"
        [attr.aria-label]="nextNavLabel((getNextYearDate(viewDate) | date: 'YYYY'))"
        data-action="next"
        igxCalendarScrollPage
        (mousedown)="nextPage()"
        (keydown)="changePageKB($event)"
    >
        <ng-container *ngTemplateOutlet="nextArrow"></ng-container>
    </div>
</ng-template>

<!-- Year -->
<ng-template #defaultYear let-obj>
    <span *ngIf="activeView === 'year'" class="igx-calendar__aria-off-screen" aria-live="polite">{{ formattedYear(obj.date) }}</span>
    <span
        #yearsBtn
        tabindex="0"
        role="button"
        [attr.aria-label]="(obj.date | date: 'yyyy') + ', ' + resourceStrings.igx_calendar_select_year"
        (keydown)="onActiveViewDecadeKB(obj.date, $event, obj.index)"
        (mousedown)="onActiveViewDecade($event, obj.date, obj.index)"
        class="igx-calendar-picker__date">
        {{ formattedYear(obj.date) }}
    </span>
</ng-template>

<!-- Decade -->
<ng-template #defaultDecade>
    <span>{{ getDecadeRange().start }} - {{ getDecadeRange().end }}</span>
</ng-template>

<!-- PICKER IN MONTHS -->
<ng-template #calendarYearPicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates">
            <ng-container
                *ngTemplateOutlet="defaultYear; context: getContext(0)">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<!-- PICKER IN YEARS -->
<ng-template #calendarDecadePicker>
    <section class="igx-calendar-picker">
        <div class="igx-calendar-picker__dates" aria-live="polite">
            <ng-container
                    *ngTemplateOutlet="defaultDecade;">
            </ng-container>
        </div>
        <div class="igx-calendar-picker__nav">
            <ng-container *ngTemplateOutlet="prevPageButton"></ng-container>
            <ng-container *ngTemplateOutlet="nextPageButton"></ng-container>
        </div>
    </section>
</ng-template>

<div
    #wrapper
    [tabIndex]="0"
    class="igx-calendar__wrapper"
    [attr.aria-activedescendant]="activeDescendant"
    [attr.aria-multiselectable]="selection !== 'single'"
    aria-labelledby="calendar-desc"
    role="grid"
    >
    <caption id="calendar-desc" tabindex="-1" class="igx-calendar__aria-off-screen">
        {{ resourceStrings.igx_calendar_singular_single_selection}}
    </caption>

    <section class="igx-calendar__pickers">
        <ng-container *ngIf="isDefaultView">
            <ng-container *ngTemplateOutlet="calendarYearPicker"></ng-container>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <ng-container *ngTemplateOutlet="calendarDecadePicker"></ng-container>
        </ng-container>
    </section>

    <section class="igx-calendar__body">
        <ng-container *ngIf="isDefaultView">
            <igx-months-view
                #months
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.month"
                [monthFormat]="formatOptions.month"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (selected)="selectMonth($event)"
                (pageChanged)="updateDate($event)"
                (mousedown)="$event.preventDefault()">
            >
            </igx-months-view>
        </ng-container>

        <ng-container *ngIf="isDecadeView">
            <igx-years-view
                #decade
                role="rowgroup"
                [tabIndex]="-1"
                [date]="viewDate"
                [locale]="locale"
                [formatView]="formatViews.year"
                [yearFormat]="formatOptions.year"
                [showActive]="showActiveDay"
                [standalone]="false"
                (swiperight)="previousPage()"
                (swipeleft)="nextPage()"
                (selected)="selectYear($event)"
                (pageChanged)="updateDate($event)"
                (mousedown)="$event.preventDefault()"
            >
            </igx-years-view>
        </ng-container>
    </section>
</div>
` }]
}], propDecorators: { id: [{
  type: HostBinding45,
  args: ["attr.id"]
}, {
  type: Input60
}], wrapper: [{
  type: ViewChild15,
  args: ["wrapper"]
}], styleClass: [{
  type: HostBinding45,
  args: ["class.igx-month-picker"]
}], monthsView: [{
  type: ViewChild15,
  args: ["months", { read: IgxMonthsViewComponent }]
}], dacadeView: [{
  type: ViewChild15,
  args: ["decade", { read: IgxYearsViewComponent }]
}], daysView: [{
  type: ViewChild15,
  args: ["days", { read: IgxDaysViewComponent }]
}], yearsBtn: [{
  type: ViewChild15,
  args: ["yearsBtn"]
}], previousPage: [{
  type: HostListener27,
  args: ["keydown.pageup", ["$event"]]
}], nextPage: [{
  type: HostListener27,
  args: ["keydown.pagedown", ["$event"]]
}], onMouseDown: [{
  type: HostListener27,
  args: ["mousedown", ["$event"]]
}] } });

// lib/calendar/public_api.mjs
var IGX_CALENDAR_DIRECTIVES = [
  IgxCalendarComponent,
  IgxDaysViewComponent,
  IgxMonthsViewComponent,
  IgxYearsViewComponent,
  IgxMonthPickerComponent,
  IgxCalendarHeaderTemplateDirective,
  IgxCalendarHeaderTitleTemplateDirective,
  IgxCalendarMonthDirective,
  IgxCalendarYearDirective,
  IgxCalendarSubheaderTemplateDirective
];

// lib/card/card.component.mjs
import { Component as Component30, Directive as Directive45, HostBinding as HostBinding46, Optional as Optional20, Inject as Inject35, Input as Input61, booleanAttribute as booleanAttribute39 } from "@angular/core";
import * as i090 from "@angular/core";
var NEXT_ID16 = 0;
var IgxCardMediaDirective = class _IgxCardMediaDirective {
  constructor() {
    this.cssClass = "igx-card__media";
    this.width = "auto";
    this.height = "auto";
    this.role = "img";
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardMediaDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardMediaDirective, isStandalone: true, selector: "igx-card-media", inputs: { width: "width", height: "height", role: "role" }, host: { properties: { "class.igx-card__media": "this.cssClass", "style.width": "this.width", "style.min-width": "this.width", "style.height": "this.height", "attr.role": "this.role" } }, ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardMediaDirective, decorators: [{
  type: Directive45,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-card-media",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card__media"]
}], width: [{
  type: HostBinding46,
  args: ["style.width"]
}, {
  type: HostBinding46,
  args: ["style.min-width"]
}, {
  type: Input61
}], height: [{
  type: HostBinding46,
  args: ["style.height"]
}, {
  type: Input61
}], role: [{
  type: HostBinding46,
  args: ["attr.role"]
}, {
  type: Input61
}] } });
var IgxCardHeaderComponent = class _IgxCardHeaderComponent {
  constructor() {
    this.cssClass = "igx-card-header";
    this.vertical = false;
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardHeaderComponent, deps: [], target: i090.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i090.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCardHeaderComponent, isStandalone: true, selector: "igx-card-header", inputs: { vertical: ["vertical", "vertical", booleanAttribute39] }, host: { properties: { "class.igx-card-header": "this.cssClass", "class.igx-card-header--vertical": "this.vertical" } }, ngImport: i090, template: '<div class="igx-card-header__thumbnail">\n    <ng-content select="igx-avatar, igx-card-media, [igxCardThumbnail]"></ng-content>\n</div>\n\n<div class="igx-card-header__titles">\n    <ng-content select="\n        [igxCardHeaderTitle],\n        [igxCardHeaderSubtitle],\n        .igx-card-header__title,\n        .igx-card-header__title--small,\n        .igx-card-header__subtitle">\n    </ng-content>\n</div>\n\n<ng-content></ng-content>\n' });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardHeaderComponent, decorators: [{
  type: Component30,
  args: [{ selector: "igx-card-header", standalone: true, template: '<div class="igx-card-header__thumbnail">\n    <ng-content select="igx-avatar, igx-card-media, [igxCardThumbnail]"></ng-content>\n</div>\n\n<div class="igx-card-header__titles">\n    <ng-content select="\n        [igxCardHeaderTitle],\n        [igxCardHeaderSubtitle],\n        .igx-card-header__title,\n        .igx-card-header__title--small,\n        .igx-card-header__subtitle">\n    </ng-content>\n</div>\n\n<ng-content></ng-content>\n' }]
}], propDecorators: { cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card-header"]
}], vertical: [{
  type: HostBinding46,
  args: ["class.igx-card-header--vertical"]
}, {
  type: Input61,
  args: [{ transform: booleanAttribute39 }]
}] } });
var IgxCardThumbnailDirective = class _IgxCardThumbnailDirective {
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardThumbnailDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardThumbnailDirective, isStandalone: true, selector: "[igxCardThumbnail]", ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardThumbnailDirective, decorators: [{
  type: Directive45,
  args: [{
    selector: "[igxCardThumbnail]",
    standalone: true
  }]
}] });
var IgxCardHeaderTitleDirective = class _IgxCardHeaderTitleDirective {
  constructor() {
    this.cssClass = "igx-card__header__title";
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardHeaderTitleDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardHeaderTitleDirective, isStandalone: true, selector: "[igxCardHeaderTitle]", host: { properties: { "class.igx-card-header__title": "this.cssClass" } }, ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardHeaderTitleDirective, decorators: [{
  type: Directive45,
  args: [{
    selector: "[igxCardHeaderTitle]",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card-header__title"]
}] } });
var IgxCardHeaderSubtitleDirective = class _IgxCardHeaderSubtitleDirective {
  constructor() {
    this.cssClass = "igx-card-header__subtitle";
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardHeaderSubtitleDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardHeaderSubtitleDirective, isStandalone: true, selector: "[igxCardHeaderSubtitle]", host: { properties: { "class.igx-card-header__subtitle": "this.cssClass" } }, ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardHeaderSubtitleDirective, decorators: [{
  type: Directive45,
  args: [{
    selector: "[igxCardHeaderSubtitle]",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card-header__subtitle"]
}] } });
var IgxCardContentDirective = class _IgxCardContentDirective {
  constructor() {
    this.cssClass = "igx-card-content";
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardContentDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardContentDirective, isStandalone: true, selector: "igx-card-content", host: { properties: { "class.igx-card-content": "this.cssClass" } }, ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardContentDirective, decorators: [{
  type: Directive45,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-card-content",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card-content"]
}] } });
var IgxCardFooterDirective = class _IgxCardFooterDirective {
  constructor() {
    this.role = "footer";
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardFooterDirective, deps: [], target: i090.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i090.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCardFooterDirective, isStandalone: true, selector: "igx-card-footer", inputs: { role: "role" }, host: { properties: { "attr.role": "this.role" } }, ngImport: i090 });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardFooterDirective, decorators: [{
  type: Directive45,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-card-footer",
    standalone: true
  }]
}], propDecorators: { role: [{
  type: HostBinding46,
  args: ["attr.role"]
}, {
  type: Input61
}] } });
var IgxCardComponent = class _IgxCardComponent {
  constructor() {
    this.id = `igx-card-${NEXT_ID16++}`;
    this.cssClass = "igx-card";
    this.role = "group";
    this.horizontal = false;
    this._elevated = false;
  }
  /**
   * Sets/gets whether the card is elevated.
   * Default value is `false`.
   *
   * @example
   * ```html
   * <igx-card elevated></igx-card>
   * ```
   * ```typescript
   * let cardElevation = this.card.elevated;
   * ```
   */
  get elevated() {
    return this._elevated;
  }
  set elevated(value) {
    this._elevated = value === "" || value;
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardComponent, deps: [], target: i090.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i090.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCardComponent, isStandalone: true, selector: "igx-card", inputs: { id: "id", role: "role", elevated: "elevated", horizontal: ["horizontal", "horizontal", booleanAttribute39] }, host: { properties: { "attr.id": "this.id", "class.igx-card": "this.cssClass", "attr.role": "this.role", "class.igx-card--elevated": "this.elevated", "class.igx-card--horizontal": "this.horizontal" } }, ngImport: i090, template: "<ng-content></ng-content>\n" });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardComponent, decorators: [{
  type: Component30,
  args: [{ selector: "igx-card", standalone: true, template: "<ng-content></ng-content>\n" }]
}], propDecorators: { id: [{
  type: HostBinding46,
  args: ["attr.id"]
}, {
  type: Input61
}], cssClass: [{
  type: HostBinding46,
  args: ["class.igx-card"]
}], role: [{
  type: HostBinding46,
  args: ["attr.role"]
}, {
  type: Input61
}], elevated: [{
  type: Input61
}, {
  type: HostBinding46,
  args: ["class.igx-card--elevated"]
}], horizontal: [{
  type: HostBinding46,
  args: ["class.igx-card--horizontal"]
}, {
  type: Input61,
  args: [{ transform: booleanAttribute39 }]
}] } });
var IgxCardActionsLayout = /* @__PURE__ */ mkenum({
  START: "start",
  JUSTIFY: "justify"
});
var IgxCardActionsComponent = class _IgxCardActionsComponent {
  /**
   * A getter that returns `true` when the layout has been
   * set to `justify`.
   */
  get isJustifyLayout() {
    return this.layout === IgxCardActionsLayout.JUSTIFY;
  }
  constructor(card) {
    this.card = card;
    this.layout = IgxCardActionsLayout.START;
    this.vertical = false;
    this.isVerticalSet = false;
  }
  /**
   * @hidden
   * @internal
   */
  ngOnChanges(changes) {
    for (const prop in changes) {
      if (prop === "vertical") {
        this.isVerticalSet = true;
      }
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngOnInit() {
    if (!this.isVerticalSet && this.card.horizontal) {
      this.vertical = true;
    }
  }
  static {
    this.ɵfac = i090.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: _IgxCardActionsComponent, deps: [{ token: IgxCardComponent, optional: true }], target: i090.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i090.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCardActionsComponent, isStandalone: true, selector: "igx-card-actions", inputs: { layout: "layout", vertical: ["vertical", "vertical", booleanAttribute39] }, host: { properties: { "class.igx-card-actions": "this.layout", "class.igx-card-actions--vertical": "this.vertical", "class.igx-card-actions--justify": "this.isJustifyLayout" } }, usesOnChanges: true, ngImport: i090, template: '<div #buttons class="igx-card-actions__start">\n    <ng-content select="[igxStart], [igxButton]:not([igxEnd])"></ng-content>\n</div>\n\n<ng-content></ng-content>\n\n<div class="igx-card-actions__end">\n    <ng-content select="[igxEnd], [igxIconButton]:not([igxStart]), igx-icon:not([igxStart])"></ng-content>\n</div>\n' });
  }
};
i090.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i090, type: IgxCardActionsComponent, decorators: [{
  type: Component30,
  args: [{ selector: "igx-card-actions", standalone: true, template: '<div #buttons class="igx-card-actions__start">\n    <ng-content select="[igxStart], [igxButton]:not([igxEnd])"></ng-content>\n</div>\n\n<ng-content></ng-content>\n\n<div class="igx-card-actions__end">\n    <ng-content select="[igxEnd], [igxIconButton]:not([igxStart]), igx-icon:not([igxStart])"></ng-content>\n</div>\n' }]
}], ctorParameters: () => [{ type: IgxCardComponent, decorators: [{
  type: Optional20
}, {
  type: Inject35,
  args: [IgxCardComponent]
}] }], propDecorators: { layout: [{
  type: HostBinding46,
  args: ["class.igx-card-actions"]
}, {
  type: Input61
}], vertical: [{
  type: HostBinding46,
  args: ["class.igx-card-actions--vertical"]
}, {
  type: Input61,
  args: [{ transform: booleanAttribute39 }]
}], isJustifyLayout: [{
  type: HostBinding46,
  args: ["class.igx-card-actions--justify"]
}] } });

// lib/card/public_api.mjs
var IGX_CARD_DIRECTIVES = [
  IgxCardComponent,
  IgxCardHeaderComponent,
  IgxCardMediaDirective,
  IgxCardContentDirective,
  IgxCardActionsComponent,
  IgxCardFooterDirective,
  IgxCardHeaderTitleDirective,
  IgxCardHeaderSubtitleDirective,
  IgxCardThumbnailDirective
];

// lib/core/i18n/carousel-resources.mjs
var CarouselResourceStringsEN = {
  igx_carousel_of: "of",
  igx_carousel_slide: "slide",
  igx_carousel_previous_slide: "previous slide",
  igx_carousel_next_slide: "next slide"
};

// lib/carousel/enums.mjs
var HorizontalAnimationType = /* @__PURE__ */ mkenum({
  none: "none",
  slide: "slide",
  fade: "fade"
});
var CarouselIndicatorsOrientation = /* @__PURE__ */ mkenum({
  bottom: "bottom",
  top: "top"
});

// lib/carousel/carousel-base.mjs
import { __decorate, __param } from "tslib";
import { useAnimation as useAnimation2 } from "@angular/animations";
import { EventEmitter as EventEmitter39, Inject as Inject36 } from "@angular/core";
import { fadeIn as fadeIn3, slideInLeft } from "igniteui-angular/animations";
var Direction2;
(function(Direction3) {
  Direction3[Direction3["NONE"] = 0] = "NONE";
  Direction3[Direction3["NEXT"] = 1] = "NEXT";
  Direction3[Direction3["PREV"] = 2] = "PREV";
})(Direction2 || (Direction2 = {}));
var IgxCarouselComponentBase = class IgxCarouselComponentBase2 {
  constructor(animationService, cdr) {
    this.animationService = animationService;
    this.cdr = cdr;
    this.animationType = HorizontalAnimationType.slide;
    this.enterAnimationDone = new EventEmitter39();
    this.leaveAnimationDone = new EventEmitter39();
    this.defaultAnimationDuration = 320;
    this.animationPosition = 0;
    this.newDuration = 0;
  }
  /** @hidden */
  triggerAnimations() {
    if (this.animationType !== HorizontalAnimationType.none) {
      if (this.animationStarted(this.leaveAnimationPlayer) || this.animationStarted(this.enterAnimationPlayer)) {
        requestAnimationFrame(() => {
          this.resetAnimations();
          this.playAnimations();
        });
      } else {
        this.playAnimations();
      }
    }
  }
  /** @hidden */
  animationStarted(animation) {
    return animation && animation.hasStarted();
  }
  /** @hidden */
  playAnimations() {
    this.playLeaveAnimation();
    this.playEnterAnimation();
  }
  resetAnimations() {
    if (this.animationStarted(this.leaveAnimationPlayer)) {
      this.leaveAnimationPlayer.reset();
      this.leaveAnimationDone.emit();
    }
    if (this.animationStarted(this.enterAnimationPlayer)) {
      this.enterAnimationPlayer.reset();
      this.enterAnimationDone.emit();
      this.cdr.markForCheck();
    }
  }
  getAnimation() {
    let duration;
    if (this.newDuration) {
      duration = this.animationPosition ? this.animationPosition * this.newDuration : this.newDuration;
    } else {
      duration = this.animationPosition ? this.animationPosition * this.defaultAnimationDuration : this.defaultAnimationDuration;
    }
    const trans = this.animationPosition ? this.animationPosition * 100 : 100;
    switch (this.animationType) {
      case HorizontalAnimationType.slide:
        return {
          enterAnimation: useAnimation2(slideInLeft, {
            params: {
              delay: "0s",
              duration: `${duration}ms`,
              endOpacity: 1,
              startOpacity: 1,
              fromPosition: `translateX(${this.currentItem.direction === 1 ? trans : -trans}%)`,
              toPosition: "translateX(0%)"
            }
          }),
          leaveAnimation: useAnimation2(slideInLeft, {
            params: {
              delay: "0s",
              duration: `${duration}ms`,
              endOpacity: 1,
              startOpacity: 1,
              fromPosition: `translateX(0%)`,
              toPosition: `translateX(${this.currentItem.direction === 1 ? -trans : trans}%)`
            }
          })
        };
      case HorizontalAnimationType.fade:
        return {
          enterAnimation: useAnimation2(fadeIn3, { params: { duration: `${duration}ms`, startOpacity: `${this.animationPosition}` } }),
          leaveAnimation: null
        };
    }
    return {
      enterAnimation: null,
      leaveAnimation: null
    };
  }
  playEnterAnimation() {
    const animation = this.getAnimation().enterAnimation;
    if (!animation) {
      return;
    }
    this.enterAnimationPlayer = this.animationService.buildAnimation(animation, this.getCurrentElement());
    this.enterAnimationPlayer.animationEnd.subscribe(() => {
      if (this.enterAnimationPlayer) {
        this.enterAnimationPlayer.reset();
        this.enterAnimationPlayer = null;
      }
      this.animationPosition = 0;
      this.newDuration = 0;
      this.previousItem.previous = false;
      this.enterAnimationDone.emit();
      this.cdr.markForCheck();
    });
    this.previousItem.previous = true;
    this.enterAnimationPlayer.play();
  }
  playLeaveAnimation() {
    const animation = this.getAnimation().leaveAnimation;
    if (!animation) {
      return;
    }
    this.leaveAnimationPlayer = this.animationService.buildAnimation(animation, this.getPreviousElement());
    this.leaveAnimationPlayer.animationEnd.subscribe(() => {
      if (this.leaveAnimationPlayer) {
        this.leaveAnimationPlayer.reset();
        this.leaveAnimationPlayer = null;
      }
      this.animationPosition = 0;
      this.newDuration = 0;
      this.leaveAnimationDone.emit();
    });
    this.leaveAnimationPlayer.play();
  }
};
IgxCarouselComponentBase = __decorate([
  __param(0, Inject36(IgxAngularAnimationService))
], IgxCarouselComponentBase);

// lib/carousel/carousel.directives.mjs
import { Directive as Directive46 } from "@angular/core";
import * as i091 from "@angular/core";
var IgxCarouselIndicatorDirective = class _IgxCarouselIndicatorDirective {
  static {
    this.ɵfac = i091.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: _IgxCarouselIndicatorDirective, deps: [], target: i091.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i091.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCarouselIndicatorDirective, isStandalone: true, selector: "[igxCarouselIndicator]", ngImport: i091 });
  }
};
i091.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: IgxCarouselIndicatorDirective, decorators: [{
  type: Directive46,
  args: [{
    selector: "[igxCarouselIndicator]",
    standalone: true
  }]
}] });
var IgxCarouselNextButtonDirective = class _IgxCarouselNextButtonDirective {
  static {
    this.ɵfac = i091.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: _IgxCarouselNextButtonDirective, deps: [], target: i091.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i091.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCarouselNextButtonDirective, isStandalone: true, selector: "[igxCarouselNextButton]", ngImport: i091 });
  }
};
i091.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: IgxCarouselNextButtonDirective, decorators: [{
  type: Directive46,
  args: [{
    selector: "[igxCarouselNextButton]",
    standalone: true
  }]
}] });
var IgxCarouselPrevButtonDirective = class _IgxCarouselPrevButtonDirective {
  static {
    this.ɵfac = i091.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: _IgxCarouselPrevButtonDirective, deps: [], target: i091.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i091.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCarouselPrevButtonDirective, isStandalone: true, selector: "[igxCarouselPrevButton]", ngImport: i091 });
  }
};
i091.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i091, type: IgxCarouselPrevButtonDirective, decorators: [{
  type: Directive46,
  args: [{
    selector: "[igxCarouselPrevButton]",
    standalone: true
  }]
}] });

// lib/carousel/slide.component.mjs
import { Component as Component31, Input as Input62, HostBinding as HostBinding47, Output as Output30, EventEmitter as EventEmitter40, booleanAttribute as booleanAttribute40 } from "@angular/core";
import { Subject as Subject24 } from "rxjs";
import * as i092 from "@angular/core";
var IgxSlideComponent = class _IgxSlideComponent {
  /**
   * Returns the `tabIndex` of the slide component.
   * ```typescript
   * let tabIndex =  this.carousel.tabIndex;
   * ```
   *
   * @memberof IgxSlideComponent
   */
  get tabIndex() {
    return this.active ? 0 : null;
  }
  /**
   * Gets/sets the `active` state of the slide.
   * ```html
   * <igx-carousel>
   *  <igx-slide [active] ="false"></igx-slide>
   * <igx-carousel>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <igx-carousel>
   *  <igx-slide [(active)] ="model.isActive"></igx-slide>
   * <igx-carousel>
   * ```
   *
   * @memberof IgxSlideComponent
   */
  get active() {
    return this._active;
  }
  set active(value) {
    this._active = value;
    this.activeChange.emit(this._active);
  }
  constructor(elementRef) {
    this.elementRef = elementRef;
    this.tab = "tabpanel";
    this.cssClass = "igx-slide";
    this.previous = false;
    this.activeChange = new EventEmitter40();
    this._active = false;
    this._destroy$ = new Subject24();
  }
  /**
   * Returns a reference to the carousel element in the DOM.
   * ```typescript
   * let nativeElement =  this.slide.nativeElement;
   * ```
   *
   * @memberof IgxSlideComponent
   */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  /**
   * @hidden
   */
  get isDestroyed() {
    return this._destroy$;
  }
  ngAfterContentChecked() {
    this.id = `panel-${this.index}`;
    this.ariaLabelledBy = `tab-${this.index}-${this.total}`;
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._destroy$.next(true);
    this._destroy$.complete();
  }
  static {
    this.ɵfac = i092.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i092, type: _IgxSlideComponent, deps: [{ token: i092.ElementRef }], target: i092.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i092.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSlideComponent, isStandalone: true, selector: "igx-slide", inputs: { index: "index", direction: "direction", total: "total", active: ["active", "active", booleanAttribute40], previous: ["previous", "previous", booleanAttribute40] }, outputs: { activeChange: "activeChange" }, host: { properties: { "attr.tabindex": "this.tabIndex", "attr.id": "this.id", "attr.role": "this.tab", "attr.aria-labelledby": "this.ariaLabelledBy", "class.igx-slide": "this.cssClass", "class.igx-slide--current": "this.active", "class.igx-slide--previous": "this.previous" } }, ngImport: i092, template: "<ng-content></ng-content>\n" });
  }
};
i092.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i092, type: IgxSlideComponent, decorators: [{
  type: Component31,
  args: [{ selector: "igx-slide", standalone: true, template: "<ng-content></ng-content>\n" }]
}], ctorParameters: () => [{ type: i092.ElementRef }], propDecorators: { index: [{
  type: Input62
}], direction: [{
  type: Input62
}], total: [{
  type: Input62
}], tabIndex: [{
  type: HostBinding47,
  args: ["attr.tabindex"]
}], id: [{
  type: HostBinding47,
  args: ["attr.id"]
}], tab: [{
  type: HostBinding47,
  args: ["attr.role"]
}], ariaLabelledBy: [{
  type: HostBinding47,
  args: ["attr.aria-labelledby"]
}], cssClass: [{
  type: HostBinding47,
  args: ["class.igx-slide"]
}], active: [{
  type: HostBinding47,
  args: ["class.igx-slide--current"]
}, {
  type: Input62,
  args: [{ transform: booleanAttribute40 }]
}], previous: [{
  type: HostBinding47,
  args: ["class.igx-slide--previous"]
}, {
  type: Input62,
  args: [{ transform: booleanAttribute40 }]
}], activeChange: [{
  type: Output30
}] } });

// lib/core/touch.mjs
import { Inject as Inject37, Injectable as Injectable17 } from "@angular/core";
import { ɵgetDOM as getDOM } from "@angular/platform-browser";
import { DOCUMENT as DOCUMENT10 } from "@angular/common";
import * as i093 from "@angular/core";
var EVENT_SUFFIX = "precise";
var HammerGesturesManager = class _HammerGesturesManager {
  static {
    this.Hammer = typeof window !== "undefined" ? window.Hammer : null;
  }
  constructor(_zone, doc, platformUtil) {
    this._zone = _zone;
    this.doc = doc;
    this.platformUtil = platformUtil;
    this.hammerOptions = {};
    this._hammerManagers = [];
    this.platformBrowser = this.platformUtil.isBrowser;
    if (this.platformBrowser && _HammerGesturesManager.Hammer) {
      this.hammerOptions = {
        // D.P. #447 Force TouchInput due to PointerEventInput bug (https://github.com/hammerjs/hammer.js/issues/1065)
        // see https://github.com/IgniteUI/igniteui-angular/issues/447#issuecomment-324601803
        inputClass: _HammerGesturesManager.Hammer.TouchInput,
        recognizers: [
          [_HammerGesturesManager.Hammer.Pan, { threshold: 0 }],
          [_HammerGesturesManager.Hammer.Swipe, { direction: _HammerGesturesManager.Hammer.DIRECTION_HORIZONTAL }],
          [_HammerGesturesManager.Hammer.Tap],
          [_HammerGesturesManager.Hammer.Tap, { event: "doubletap", taps: 2 }, ["tap"]]
        ]
      };
    }
  }
  supports(eventName) {
    return eventName.toLowerCase().endsWith("." + EVENT_SUFFIX);
  }
  /**
   * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
   * Modeling after other event plugins for easy future modifications.
   */
  addEventListener(element, eventName, eventHandler, options = null) {
    if (!this.platformBrowser) {
      return;
    }
    return this._zone.runOutsideAngular(() => {
      if (!_HammerGesturesManager.Hammer) {
        return;
      }
      let mc = this.getManagerForElement(element);
      if (mc === null) {
        mc = new _HammerGesturesManager.Hammer(element, Object.assign(this.hammerOptions, options));
        this.addManagerForElement(element, mc);
      }
      const handler = (eventObj) => this._zone.run(() => eventHandler(eventObj));
      mc.on(eventName, handler);
      return () => mc.off(eventName, handler);
    });
  }
  /**
   * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
   * Modeling after other event plugins for easy future modifications.
   *
   * @param target Can be one of either window, body or document(fallback default).
   */
  addGlobalEventListener(target, eventName, eventHandler) {
    if (!this.platformBrowser || !_HammerGesturesManager.Hammer) {
      return;
    }
    const element = this.getGlobalEventTarget(target);
    return this.addEventListener(element, eventName, eventHandler);
  }
  /**
   * Exposes [Dom]Adapter.getGlobalEventTarget to get global event targets.
   * Supported: window, document, body. Defaults to document for invalid args.
   *
   * @param target Target name
   */
  getGlobalEventTarget(target) {
    return getDOM().getGlobalEventTarget(this.doc, target);
  }
  /**
   * Set HammerManager options.
   *
   * @param element The DOM element used to create the manager on.
   *
   * ### Example
   *
   * ```ts
   * manager.setManagerOption(myElem, "pan", { pointers: 1 });
   * ```
   */
  setManagerOption(element, event, options) {
    const manager = this.getManagerForElement(element);
    manager.get(event).set(options);
  }
  /**
   * Add an element and manager map to the internal collection.
   *
   * @param element The DOM element used to create the manager on.
   */
  addManagerForElement(element, manager) {
    this._hammerManagers.push({ element, manager });
  }
  /**
   * Get HammerManager for the element or null
   *
   * @param element The DOM element used to create the manager on.
   */
  getManagerForElement(element) {
    const result = this._hammerManagers.filter((value) => value.element === element);
    return result.length ? result[0].manager : null;
  }
  /**
   * Destroys the HammerManager for the element, removing event listeners in the process.
   *
   * @param element The DOM element used to create the manager on.
   */
  removeManagerForElement(element) {
    let index = null;
    for (let i = 0; i < this._hammerManagers.length; i++) {
      if (element === this._hammerManagers[i].element) {
        index = i;
        break;
      }
    }
    if (index !== null) {
      const item = this._hammerManagers.splice(index, 1)[0];
      item.manager.destroy();
    }
  }
  /** Destroys all internally tracked HammerManagers, removing event listeners in the process. */
  destroy() {
    for (const item of this._hammerManagers) {
      item.manager.destroy();
    }
    this._hammerManagers = [];
  }
  static {
    this.ɵfac = i093.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i093, type: _HammerGesturesManager, deps: [{ token: i093.NgZone }, { token: DOCUMENT10 }, { token: PlatformUtil }], target: i093.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i093.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i093, type: _HammerGesturesManager });
  }
};
i093.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i093, type: HammerGesturesManager, decorators: [{
  type: Injectable17
}], ctorParameters: () => [{ type: i093.NgZone }, { type: void 0, decorators: [{
  type: Inject37,
  args: [DOCUMENT10]
}] }, { type: PlatformUtil }] });

// lib/services/theme/theme.service.mjs
import { Inject as Inject38, Injectable as Injectable18, Input as Input63 } from "@angular/core";
import { Subject as Subject25 } from "rxjs";
import { DOCUMENT as DOCUMENT11 } from "@angular/common";
import * as i094 from "@angular/core";
var Theme = /* @__PURE__ */ mkenum({
  Material: "material",
  Fluent: "fluent",
  Bootstrap: "bootstrap",
  IndigoDesign: "indigo-design"
});
var ThemeService = class _ThemeService {
  /**
   * Sets the theme of the component.
   * Allowed values of type IgxTheme.
   */
  set theme(value) {
    this._theme = value;
  }
  /**
   * Returns the theme of the component.
   * The returned value is of type IgxTheme.
   */
  get theme() {
    return this._theme;
  }
  constructor(document2) {
    this.document = document2;
    this._theme$ = new Subject25();
    this._subscription = this._theme$.asObservable().subscribe((value) => {
      this._theme = value;
    });
  }
  getCssProp(element) {
    if (!this._theme) {
      const cssProp = this.document.defaultView.getComputedStyle(element.nativeElement).getPropertyValue("--theme").trim();
      if (cssProp !== "") {
        Promise.resolve().then(() => {
          this._theme$.next(cssProp);
        });
      }
    }
  }
  static {
    this.ɵfac = i094.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i094, type: _ThemeService, deps: [{ token: DOCUMENT11 }], target: i094.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i094.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i094, type: _ThemeService, providedIn: "root" });
  }
};
i094.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i094, type: ThemeService, decorators: [{
  type: Injectable18,
  args: [{
    providedIn: "root"
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject38,
  args: [DOCUMENT11]
}] }], propDecorators: { theme: [{
  type: Input63
}] } });

// lib/carousel/carousel.component.mjs
import { NgIf as NgIf15, NgClass as NgClass2, NgFor as NgFor7, NgTemplateOutlet as NgTemplateOutlet7 } from "@angular/common";
import { Component as Component32, ContentChild as ContentChild7, ContentChildren as ContentChildren8, EventEmitter as EventEmitter41, HostBinding as HostBinding48, HostListener as HostListener28, Inject as Inject39, Injectable as Injectable19, Input as Input64, Output as Output31, TemplateRef as TemplateRef6, ViewChild as ViewChild16, booleanAttribute as booleanAttribute41 } from "@angular/core";
import { HammerGestureConfig, HAMMER_GESTURE_CONFIG } from "@angular/platform-browser";
import { merge, Subject as Subject26 } from "rxjs";
import { takeUntil as takeUntil19 } from "rxjs/operators";
import * as i095 from "@angular/core";
var NEXT_ID17 = 0;
var CarouselHammerConfig = class _CarouselHammerConfig extends HammerGestureConfig {
  constructor() {
    super(...arguments);
    this.overrides = {
      pan: { direction: HammerGesturesManager.Hammer?.DIRECTION_HORIZONTAL }
    };
  }
  static {
    this.ɵfac = i095.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i095, type: _CarouselHammerConfig, deps: null, target: i095.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i095.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i095, type: _CarouselHammerConfig });
  }
};
i095.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i095, type: CarouselHammerConfig, decorators: [{
  type: Injectable19
}] });
var IgxCarouselComponent = class _IgxCarouselComponent extends IgxCarouselComponentBase {
  /** @hidden */
  get labelId() {
    return this.showIndicatorsLabel ? `${this.id}-label` : null;
  }
  /**
   * Gets the `touch-action` style of the `list item`.
   * ```typescript
   * let touchAction = this.listItem.touchAction;
   * ```
   */
  get touchAction() {
    return this.gesturesSupport ? "pan-y" : "auto";
  }
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /** @hidden */
  get getIndicatorTemplate() {
    if (this.indicatorTemplate) {
      return this.indicatorTemplate;
    }
    return this.defaultIndicator;
  }
  /** @hidden */
  get getNextButtonTemplate() {
    if (this.nextButtonTemplate) {
      return this.nextButtonTemplate;
    }
    return this.isTypeIndigo ? this.indigoNextButton : this.defaultNextButton;
  }
  /** @hidden */
  get getPrevButtonTemplate() {
    if (this.prevButtonTemplate) {
      return this.prevButtonTemplate;
    }
    return this.isTypeIndigo ? this.indigoPrevButton : this.defaultPrevButton;
  }
  /** @hidden */
  get indicatorsOrientationClass() {
    return `igx-carousel-indicators--${this.indicatorsOrientation}`;
  }
  /** @hidden */
  get showIndicators() {
    return this.total <= this.maximumIndicatorsCount && this.total > 0;
  }
  /** @hidden */
  get showIndicatorsLabel() {
    return this.total > this.maximumIndicatorsCount;
  }
  /** @hidden */
  get getCarouselLabel() {
    return `${this.current + 1} ${this.resourceStrings.igx_carousel_of} ${this.total}`;
  }
  /**
   * Returns the total number of `slides` in the carousel.
   * ```typescript
   * let slideCount =  this.carousel.total;
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  get total() {
    return this.slides?.length;
  }
  /**
   * The index of the slide being currently shown.
   * ```typescript
   * let currentSlideNumber =  this.carousel.current;
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  get current() {
    return !this.currentItem ? 0 : this.currentItem.index;
  }
  /**
   * Returns a boolean indicating if the carousel is playing.
   * ```typescript
   * let isPlaying =  this.carousel.isPlaying;
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  get isPlaying() {
    return this.playing;
  }
  /**
   * Returns а boolean indicating if the carousel is destroyed.
   * ```typescript
   * let isDestroyed =  this.carousel.isDestroyed;
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  get isDestroyed() {
    return this.destroyed;
  }
  /**
   * Returns a reference to the carousel element in the DOM.
   * ```typescript
   * let nativeElement =  this.carousel.nativeElement;
   * ```
   *
   * @memberof IgxCarouselComponent
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /**
   * Returns the time `interval` in milliseconds before the slide changes.
   * ```typescript
   * let timeInterval = this.carousel.interval;
   * ```
   *
   * @memberof IgxCarouselComponent
   */
  get interval() {
    return this._interval;
  }
  /**
   * Sets the time `interval` in milliseconds before the slide changes.
   * If not set, the carousel will not change `slides` automatically.
   * ```html
   * <igx-carousel [interval]="1000"></igx-carousel>
   * ```
   *
   * @memberof IgxCarouselComponent
   */
  set interval(value) {
    this._interval = +value;
    this.restartInterval();
  }
  constructor(cdr, element, iterableDiffers, animationService, platformUtil, themeService) {
    super(animationService, cdr);
    this.element = element;
    this.iterableDiffers = iterableDiffers;
    this.platformUtil = platformUtil;
    this.themeService = themeService;
    this.id = `igx-carousel-${NEXT_ID17++}`;
    this.role = "region";
    this.roleDescription = "carousel";
    this.cssClass = "igx-carousel";
    this.loop = true;
    this.pause = true;
    this.navigation = true;
    this.keyboardSupport = true;
    this.gesturesSupport = true;
    this.maximumIndicatorsCount = 5;
    this.indicatorsOrientation = CarouselIndicatorsOrientation.bottom;
    this.animationType = HorizontalAnimationType.slide;
    this.indicatorTemplate = null;
    this.nextButtonTemplate = null;
    this.prevButtonTemplate = null;
    this.slideChanged = new EventEmitter41();
    this.slideAdded = new EventEmitter41();
    this.slideRemoved = new EventEmitter41();
    this.carouselPaused = new EventEmitter41();
    this.carouselPlaying = new EventEmitter41();
    this._resourceStrings = getCurrentResourceStrings(CarouselResourceStringsEN);
    this.destroy$ = new Subject26();
    this.differ = null;
    this.differ = this.iterableDiffers.find([]).create(null);
    this.theme = this.themeService.theme;
  }
  /** @hidden */
  onKeydownArrowRight(event) {
    if (this.keyboardSupport) {
      event.preventDefault();
      this.next();
      this.focusSlideElement();
    }
  }
  /** @hidden */
  onKeydownArrowLeft(event) {
    if (this.keyboardSupport) {
      event.preventDefault();
      this.prev();
      this.focusSlideElement();
    }
  }
  /** @hidden */
  onTap(event) {
    if (event.target && event.target.classList.contains("igx-slide")) {
      if (this.isPlaying) {
        if (this.pause) {
          this.stoppedByInteraction = true;
        }
        this.stop();
      } else if (this.stoppedByInteraction) {
        this.play();
      }
    }
  }
  /** @hidden */
  onKeydownHome(event) {
    if (this.keyboardSupport && this.slides.length > 0) {
      event.preventDefault();
      this.slides.first.active = true;
      this.focusSlideElement();
    }
  }
  /** @hidden */
  onKeydownEnd(event) {
    if (this.keyboardSupport && this.slides.length > 0) {
      event.preventDefault();
      this.slides.last.active = true;
      this.focusSlideElement();
    }
  }
  /** @hidden */
  onMouseEnter() {
    if (this.pause && this.isPlaying) {
      this.stoppedByInteraction = true;
    }
    this.stop();
  }
  /** @hidden */
  onMouseLeave() {
    if (this.stoppedByInteraction) {
      this.play();
    }
  }
  /** @hidden */
  onPanLeft(event) {
    this.pan(event);
  }
  /** @hidden */
  onPanRight(event) {
    this.pan(event);
  }
  /**
   * @hidden
   */
  onPanEnd(event) {
    if (!this.gesturesSupport) {
      return;
    }
    event.preventDefault();
    const slideWidth = this.currentItem.nativeElement.offsetWidth;
    const panOffset = slideWidth / 1e3;
    const deltaX = Math.abs(event.deltaX) + panOffset < slideWidth ? Math.abs(event.deltaX) : slideWidth - panOffset;
    const velocity = Math.abs(event.velocity);
    this.resetSlideStyles(this.currentItem);
    if (this.incomingSlide) {
      this.resetSlideStyles(this.incomingSlide);
      if (slideWidth / 2 < deltaX || velocity > 1) {
        this.incomingSlide.direction = event.deltaX < 0 ? Direction2.NEXT : Direction2.PREV;
        this.incomingSlide.previous = false;
        this.animationPosition = this.animationType === HorizontalAnimationType.fade ? deltaX / slideWidth : (slideWidth - deltaX) / slideWidth;
        if (velocity > 1) {
          this.newDuration = this.defaultAnimationDuration / velocity;
        }
        this.incomingSlide.active = true;
      } else {
        this.currentItem.direction = event.deltaX > 0 ? Direction2.NEXT : Direction2.PREV;
        this.previousItem = this.incomingSlide;
        this.previousItem.previous = true;
        this.animationPosition = this.animationType === HorizontalAnimationType.fade ? Math.abs((slideWidth - deltaX) / slideWidth) : deltaX / slideWidth;
        this.playAnimations();
      }
    }
    if (this.stoppedByInteraction) {
      this.play();
    }
  }
  /**
  * Returns true if the `IgxCarouselComponent` theme is Indigo.
  *
  * ```typescript
  * @ViewChild("carousel")
  * public carousel: IgxCarouselComponent;
  *
  * ngAfterViewInit(){
  *    let isTypeIndigo = this.carousel.isTypeIndigo;
  * }
  * ```
  */
  get isTypeIndigo() {
    return this.theme ? this.theme === "indigo-design" : this.themeService.theme === "indigo-design";
  }
  /** @hidden */
  ngAfterContentInit() {
    this.slides.changes.pipe(takeUntil19(this.destroy$)).subscribe((change) => this.initSlides(change));
    this.initSlides(this.slides);
  }
  /** @hidden @internal */
  ngAfterViewChecked() {
    this.themeService.getCssProp(this.element);
  }
  /** @hidden */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
    this.destroyed = true;
    if (this.lastInterval) {
      clearInterval(this.lastInterval);
    }
  }
  /**
   * Returns the slide corresponding to the provided `index` or null.
   * ```typescript
   * let slide1 =  this.carousel.get(1);
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  get(index) {
    return this.slides.find((slide) => slide.index === index);
  }
  /**
   * Adds a new slide to the carousel.
   * ```typescript
   * this.carousel.add(newSlide);
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  add(slide) {
    const newSlides = this.slides.toArray();
    newSlides.push(slide);
    this.slides.reset(newSlides);
    this.slides.notifyOnChanges();
  }
  /**
   * Removes a slide from the carousel.
   * ```typescript
   * this.carousel.remove(slide);
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  remove(slide) {
    if (slide && slide === this.get(slide.index)) {
      const newSlides = this.slides.toArray();
      newSlides.splice(slide.index, 1);
      this.slides.reset(newSlides);
      this.slides.notifyOnChanges();
    }
  }
  /**
   * Kicks in a transition for a given slide with a given `direction`.
   * ```typescript
   * this.carousel.select(this.carousel.get(2), Direction.NEXT);
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  select(slide, direction = Direction2.NONE) {
    if (slide && slide !== this.currentItem) {
      slide.direction = direction;
      slide.active = true;
    }
  }
  /**
   * Transitions to the next slide in the carousel.
   * ```typescript
   * this.carousel.next();
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  next() {
    const index = this.getNextIndex();
    if (index === 0 && !this.loop) {
      this.stop();
      return;
    }
    return this.select(this.get(index), Direction2.NEXT);
  }
  /**
   * Transitions to the previous slide in the carousel.
   * ```typescript
   * this.carousel.prev();
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  prev() {
    const index = this.getPrevIndex();
    if (!this.loop && index === this.total - 1) {
      this.stop();
      return;
    }
    return this.select(this.get(index), Direction2.PREV);
  }
  /**
   * Resumes playing of the carousel if in paused state.
   * No operation otherwise.
   * ```typescript
   * this.carousel.play();
   * }
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  play() {
    if (!this.playing) {
      this.playing = true;
      this.carouselPlaying.emit(this);
      this.restartInterval();
      this.stoppedByInteraction = false;
    }
  }
  /**
   * Stops slide transitions if the `pause` option is set to `true`.
   * No operation otherwise.
   * ```typescript
   *  this.carousel.stop();
   * }
   * ```
   *
   * @memberOf IgxCarouselComponent
   */
  stop() {
    if (this.pause) {
      this.playing = false;
      this.carouselPaused.emit(this);
      this.resetInterval();
    }
  }
  getPreviousElement() {
    return this.previousItem.nativeElement;
  }
  getCurrentElement() {
    return this.currentItem.nativeElement;
  }
  resetInterval() {
    if (this.lastInterval) {
      clearInterval(this.lastInterval);
      this.lastInterval = null;
    }
  }
  restartInterval() {
    this.resetInterval();
    if (!isNaN(this.interval) && this.interval > 0 && this.platformUtil.isBrowser) {
      this.lastInterval = setInterval(() => {
        const tick = +this.interval;
        if (this.playing && this.total && !isNaN(tick) && tick > 0) {
          this.next();
        } else {
          this.stop();
        }
      }, this.interval);
    }
  }
  /** @hidden */
  get nextButtonDisabled() {
    return !this.loop && this.current === this.total - 1;
  }
  /** @hidden */
  get prevButtonDisabled() {
    return !this.loop && this.current === 0;
  }
  getNextIndex() {
    return (this.current + 1) % this.total;
  }
  getPrevIndex() {
    return this.current - 1 < 0 ? this.total - 1 : this.current - 1;
  }
  resetSlideStyles(slide) {
    slide.nativeElement.style.transform = "";
    slide.nativeElement.style.opacity = "";
  }
  pan(event) {
    const slideWidth = this.currentItem.nativeElement.offsetWidth;
    const panOffset = slideWidth / 1e3;
    const deltaX = event.deltaX;
    const index = deltaX < 0 ? this.getNextIndex() : this.getPrevIndex();
    const offset = deltaX < 0 ? slideWidth + deltaX : -slideWidth + deltaX;
    if (!this.gesturesSupport || event.isFinal || Math.abs(deltaX) + panOffset >= slideWidth) {
      return;
    }
    if (!this.loop && (this.current === 0 && deltaX > 0 || this.current === this.total - 1 && deltaX < 0)) {
      this.incomingSlide = null;
      return;
    }
    event.preventDefault();
    if (this.isPlaying) {
      this.stoppedByInteraction = true;
      this.stop();
    }
    if (this.previousItem && this.previousItem.previous) {
      this.previousItem.previous = false;
    }
    this.finishAnimations();
    if (this.incomingSlide) {
      if (index !== this.incomingSlide.index) {
        this.resetSlideStyles(this.incomingSlide);
        this.incomingSlide.previous = false;
        this.incomingSlide = this.get(index);
      }
    } else {
      this.incomingSlide = this.get(index);
    }
    this.incomingSlide.previous = true;
    if (this.animationType === HorizontalAnimationType.fade) {
      this.currentItem.nativeElement.style.opacity = `${Math.abs(offset) / slideWidth}`;
    } else {
      this.currentItem.nativeElement.style.transform = `translateX(${deltaX}px)`;
      this.incomingSlide.nativeElement.style.transform = `translateX(${offset}px)`;
    }
  }
  unsubscriber(slide) {
    return merge(this.destroy$, slide.isDestroyed);
  }
  onSlideActivated(slide) {
    if (slide.active && slide !== this.currentItem) {
      if (slide.direction === Direction2.NONE) {
        const newIndex = slide.index;
        slide.direction = newIndex > this.current ? Direction2.NEXT : Direction2.PREV;
      }
      if (this.currentItem) {
        if (this.previousItem && this.previousItem.previous) {
          this.previousItem.previous = false;
        }
        this.currentItem.direction = slide.direction;
        this.currentItem.active = false;
        this.previousItem = this.currentItem;
        this.currentItem = slide;
        this.triggerAnimations();
      } else {
        this.currentItem = slide;
      }
      this.slideChanged.emit({ carousel: this, slide });
      this.restartInterval();
    }
  }
  finishAnimations() {
    if (this.animationStarted(this.leaveAnimationPlayer)) {
      this.leaveAnimationPlayer.finish();
    }
    if (this.animationStarted(this.enterAnimationPlayer)) {
      this.enterAnimationPlayer.finish();
    }
  }
  initSlides(change) {
    const diff = this.differ.diff(change.toArray());
    if (diff) {
      this.slides.reduce((any, c, ind) => c.index = ind, 0);
      diff.forEachAddedItem((record) => {
        const slide = record.item;
        slide.total = this.total;
        this.slideAdded.emit({ carousel: this, slide });
        if (slide.active) {
          this.currentItem = slide;
        }
        slide.activeChange.pipe(takeUntil19(this.unsubscriber(slide))).subscribe(() => this.onSlideActivated(slide));
      });
      diff.forEachRemovedItem((record) => {
        const slide = record.item;
        this.slideRemoved.emit({ carousel: this, slide });
        if (slide.active) {
          slide.active = false;
          this.currentItem = this.get(slide.index < this.total ? slide.index : this.total - 1);
        }
      });
      this.updateSlidesSelection();
    }
  }
  updateSlidesSelection() {
    if (this.platformUtil.isBrowser) {
      requestAnimationFrame(() => {
        if (this.currentItem) {
          this.currentItem.active = true;
          const activeSlides = this.slides.filter((slide) => slide.active && slide.index !== this.currentItem.index);
          activeSlides.forEach((slide) => slide.active = false);
        } else if (this.total) {
          this.slides.first.active = true;
        }
        this.play();
      });
    }
  }
  focusSlideElement() {
    if (this.leaveAnimationPlayer) {
      this.leaveAnimationPlayer.animationEnd.pipe(takeUntil19(this.destroy$)).subscribe(() => {
        this.slides.find((s) => s.active).nativeElement.focus();
      });
    } else {
      requestAnimationFrame(() => this.slides.find((s) => s.active).nativeElement.focus());
    }
  }
  static {
    this.ɵfac = i095.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i095, type: _IgxCarouselComponent, deps: [{ token: i095.ChangeDetectorRef }, { token: i095.ElementRef }, { token: i095.IterableDiffers }, { token: IgxAngularAnimationService }, { token: PlatformUtil }, { token: ThemeService }], target: i095.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i095.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCarouselComponent, isStandalone: true, selector: "igx-carousel", inputs: { id: "id", theme: "theme", loop: ["loop", "loop", booleanAttribute41], pause: ["pause", "pause", booleanAttribute41], navigation: ["navigation", "navigation", booleanAttribute41], keyboardSupport: ["keyboardSupport", "keyboardSupport", booleanAttribute41], gesturesSupport: ["gesturesSupport", "gesturesSupport", booleanAttribute41], maximumIndicatorsCount: "maximumIndicatorsCount", indicatorsOrientation: "indicatorsOrientation", animationType: "animationType", resourceStrings: "resourceStrings", interval: "interval" }, outputs: { slideChanged: "slideChanged", slideAdded: "slideAdded", slideRemoved: "slideRemoved", carouselPaused: "carouselPaused", carouselPlaying: "carouselPlaying" }, host: { listeners: { "keydown.arrowright": "onKeydownArrowRight($event)", "keydown.arrowleft": "onKeydownArrowLeft($event)", "tap": "onTap($event)", "keydown.home": "onKeydownHome($event)", "keydown.end": "onKeydownEnd($event)", "mouseenter": "onMouseEnter()", "mouseleave": "onMouseLeave()", "panleft": "onPanLeft($event)", "panright": "onPanRight($event)", "panend": "onPanEnd($event)" }, properties: { "attr.id": "this.id", "attr.role": "this.role", "attr.aria-roledescription": "this.roleDescription", "attr.aria-labelledby": "this.labelId", "class.igx-carousel": "this.cssClass", "style.touch-action": "this.touchAction", "class.igx-carousel--indigo": "this.isTypeIndigo" } }, providers: [
      {
        provide: HAMMER_GESTURE_CONFIG,
        useClass: CarouselHammerConfig
      }
    ], queries: [{ propertyName: "indicatorTemplate", first: true, predicate: IgxCarouselIndicatorDirective, descendants: true, read: TemplateRef6 }, { propertyName: "nextButtonTemplate", first: true, predicate: IgxCarouselNextButtonDirective, descendants: true, read: TemplateRef6 }, { propertyName: "prevButtonTemplate", first: true, predicate: IgxCarouselPrevButtonDirective, descendants: true, read: TemplateRef6 }, { propertyName: "slides", predicate: IgxSlideComponent }], viewQueries: [{ propertyName: "defaultIndicator", first: true, predicate: ["defaultIndicator"], descendants: true, read: TemplateRef6, static: true }, { propertyName: "defaultNextButton", first: true, predicate: ["defaultNextButton"], descendants: true, read: TemplateRef6, static: true }, { propertyName: "defaultPrevButton", first: true, predicate: ["defaultPrevButton"], descendants: true, read: TemplateRef6, static: true }, { propertyName: "indigoNextButton", first: true, predicate: ["indigoNextButton"], descendants: true, read: TemplateRef6, static: true }, { propertyName: "indigoPrevButton", first: true, predicate: ["indigoPrevButton"], descendants: true, read: TemplateRef6, static: true }], usesInheritance: true, ngImport: i095, template: `<ng-template #defaultIndicator let-slide>
    <div class="igx-nav-dot"
        [class.igx-nav-dot--active]="slide.active">
    </div>
</ng-template>

<ng-template #defaultNextButton let-disabled>
    <span class="igx-nav-arrow"
          [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>arrow_forward</igx-icon>
    </span>
</ng-template>

<ng-template #defaultPrevButton let-disabled>
    <span class="igx-nav-arrow"
          [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>arrow_back</igx-icon>
    </span>
</ng-template>

<ng-template #indigoPrevButton let-disabled>
    <span class="igx-nav-arrow"
        [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>chevron_left</igx-icon>
    </span>
</ng-template>

<ng-template #indigoNextButton let-disabled>
    <span class="igx-nav-arrow"
        [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>chevron_right</igx-icon>
    </span>
</ng-template>

<div *ngIf="showIndicators" [ngClass]="indicatorsOrientationClass" [attr.role]="'tablist'">
    <div *ngFor="let slide of slides"
        class="igx-carousel-indicators__indicator"
        (click)="select(slide)"
        [id]="'tab-'+ slide.index + '-' + total"
        [attr.role]="'tab'"
        [attr.aria-label]="resourceStrings.igx_carousel_slide + ' ' + (slide.index + 1) + ' ' + resourceStrings.igx_carousel_of + ' ' + this.total"
        [attr.aria-controls]="'panel-' + slide.index"
        [attr.aria-selected]="slide.active">
        <ng-container *ngTemplateOutlet="getIndicatorTemplate; context: {$implicit: slide};"></ng-container>
    </div>
</div>

<div *ngIf="showIndicatorsLabel" [ngClass]="indicatorsOrientationClass">
    <span [id]="labelId" class="igx-carousel__label">{{getCarouselLabel}}</span>
</div>

<div class="igx-carousel__inner" [attr.aria-live]="!interval || stoppedByInteraction ? 'polite' : 'off'">
    <ng-content></ng-content>
</div>

<div *ngIf="navigation && slides.length" role="button" tabindex="0" class="igx-carousel__arrow--prev" [attr.aria-label]="resourceStrings.igx_carousel_previous_slide" (keydown.enter)="prev()" (click)="prev()">
    <ng-container *ngTemplateOutlet="getPrevButtonTemplate; context: {$implicit: prevButtonDisabled};"></ng-container>
</div>

<div *ngIf="navigation && slides.length" role="button" tabindex="0" class="igx-carousel__arrow--next" [attr.aria-label]="resourceStrings.igx_carousel_next_slide" (keydown.enter)="next()" (click)="next()">
    <ng-container *ngTemplateOutlet="getNextButtonTemplate; context: {$implicit: nextButtonDisabled};"></ng-container>
</div>
`, styles: [":host{display:block;outline-style:none}\n"], dependencies: [{ kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgIf15, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass2, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor7, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgTemplateOutlet7, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i095.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i095, type: IgxCarouselComponent, decorators: [{
  type: Component32,
  args: [{ providers: [
    {
      provide: HAMMER_GESTURE_CONFIG,
      useClass: CarouselHammerConfig
    }
  ], selector: "igx-carousel", standalone: true, imports: [IgxIconComponent, NgIf15, NgClass2, NgFor7, NgTemplateOutlet7], template: `<ng-template #defaultIndicator let-slide>
    <div class="igx-nav-dot"
        [class.igx-nav-dot--active]="slide.active">
    </div>
</ng-template>

<ng-template #defaultNextButton let-disabled>
    <span class="igx-nav-arrow"
          [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>arrow_forward</igx-icon>
    </span>
</ng-template>

<ng-template #defaultPrevButton let-disabled>
    <span class="igx-nav-arrow"
          [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>arrow_back</igx-icon>
    </span>
</ng-template>

<ng-template #indigoPrevButton let-disabled>
    <span class="igx-nav-arrow"
        [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>chevron_left</igx-icon>
    </span>
</ng-template>

<ng-template #indigoNextButton let-disabled>
    <span class="igx-nav-arrow"
        [class.igx-nav-arrow--disabled]="disabled">
        <igx-icon>chevron_right</igx-icon>
    </span>
</ng-template>

<div *ngIf="showIndicators" [ngClass]="indicatorsOrientationClass" [attr.role]="'tablist'">
    <div *ngFor="let slide of slides"
        class="igx-carousel-indicators__indicator"
        (click)="select(slide)"
        [id]="'tab-'+ slide.index + '-' + total"
        [attr.role]="'tab'"
        [attr.aria-label]="resourceStrings.igx_carousel_slide + ' ' + (slide.index + 1) + ' ' + resourceStrings.igx_carousel_of + ' ' + this.total"
        [attr.aria-controls]="'panel-' + slide.index"
        [attr.aria-selected]="slide.active">
        <ng-container *ngTemplateOutlet="getIndicatorTemplate; context: {$implicit: slide};"></ng-container>
    </div>
</div>

<div *ngIf="showIndicatorsLabel" [ngClass]="indicatorsOrientationClass">
    <span [id]="labelId" class="igx-carousel__label">{{getCarouselLabel}}</span>
</div>

<div class="igx-carousel__inner" [attr.aria-live]="!interval || stoppedByInteraction ? 'polite' : 'off'">
    <ng-content></ng-content>
</div>

<div *ngIf="navigation && slides.length" role="button" tabindex="0" class="igx-carousel__arrow--prev" [attr.aria-label]="resourceStrings.igx_carousel_previous_slide" (keydown.enter)="prev()" (click)="prev()">
    <ng-container *ngTemplateOutlet="getPrevButtonTemplate; context: {$implicit: prevButtonDisabled};"></ng-container>
</div>

<div *ngIf="navigation && slides.length" role="button" tabindex="0" class="igx-carousel__arrow--next" [attr.aria-label]="resourceStrings.igx_carousel_next_slide" (keydown.enter)="next()" (click)="next()">
    <ng-container *ngTemplateOutlet="getNextButtonTemplate; context: {$implicit: nextButtonDisabled};"></ng-container>
</div>
`, styles: [":host{display:block;outline-style:none}\n"] }]
}], ctorParameters: () => [{ type: i095.ChangeDetectorRef }, { type: i095.ElementRef }, { type: i095.IterableDiffers }, { type: void 0, decorators: [{
  type: Inject39,
  args: [IgxAngularAnimationService]
}] }, { type: PlatformUtil }, { type: ThemeService }], propDecorators: { id: [{
  type: HostBinding48,
  args: ["attr.id"]
}, {
  type: Input64
}], role: [{
  type: HostBinding48,
  args: ["attr.role"]
}], roleDescription: [{
  type: HostBinding48,
  args: ["attr.aria-roledescription"]
}], labelId: [{
  type: HostBinding48,
  args: ["attr.aria-labelledby"]
}], cssClass: [{
  type: HostBinding48,
  args: ["class.igx-carousel"]
}], touchAction: [{
  type: HostBinding48,
  args: ["style.touch-action"]
}], theme: [{
  type: Input64,
  args: ["theme"]
}], loop: [{
  type: Input64,
  args: [{ transform: booleanAttribute41 }]
}], pause: [{
  type: Input64,
  args: [{ transform: booleanAttribute41 }]
}], navigation: [{
  type: Input64,
  args: [{ transform: booleanAttribute41 }]
}], keyboardSupport: [{
  type: Input64,
  args: [{ transform: booleanAttribute41 }]
}], gesturesSupport: [{
  type: Input64,
  args: [{ transform: booleanAttribute41 }]
}], maximumIndicatorsCount: [{
  type: Input64
}], indicatorsOrientation: [{
  type: Input64
}], animationType: [{
  type: Input64
}], indicatorTemplate: [{
  type: ContentChild7,
  args: [IgxCarouselIndicatorDirective, { read: TemplateRef6, static: false }]
}], nextButtonTemplate: [{
  type: ContentChild7,
  args: [IgxCarouselNextButtonDirective, { read: TemplateRef6, static: false }]
}], prevButtonTemplate: [{
  type: ContentChild7,
  args: [IgxCarouselPrevButtonDirective, { read: TemplateRef6, static: false }]
}], slides: [{
  type: ContentChildren8,
  args: [IgxSlideComponent]
}], slideChanged: [{
  type: Output31
}], slideAdded: [{
  type: Output31
}], slideRemoved: [{
  type: Output31
}], carouselPaused: [{
  type: Output31
}], carouselPlaying: [{
  type: Output31
}], defaultIndicator: [{
  type: ViewChild16,
  args: ["defaultIndicator", { read: TemplateRef6, static: true }]
}], defaultNextButton: [{
  type: ViewChild16,
  args: ["defaultNextButton", { read: TemplateRef6, static: true }]
}], defaultPrevButton: [{
  type: ViewChild16,
  args: ["defaultPrevButton", { read: TemplateRef6, static: true }]
}], indigoNextButton: [{
  type: ViewChild16,
  args: ["indigoNextButton", { read: TemplateRef6, static: true }]
}], indigoPrevButton: [{
  type: ViewChild16,
  args: ["indigoPrevButton", { read: TemplateRef6, static: true }]
}], resourceStrings: [{
  type: Input64
}], interval: [{
  type: Input64
}], onKeydownArrowRight: [{
  type: HostListener28,
  args: ["keydown.arrowright", ["$event"]]
}], onKeydownArrowLeft: [{
  type: HostListener28,
  args: ["keydown.arrowleft", ["$event"]]
}], onTap: [{
  type: HostListener28,
  args: ["tap", ["$event"]]
}], onKeydownHome: [{
  type: HostListener28,
  args: ["keydown.home", ["$event"]]
}], onKeydownEnd: [{
  type: HostListener28,
  args: ["keydown.end", ["$event"]]
}], onMouseEnter: [{
  type: HostListener28,
  args: ["mouseenter"]
}], onMouseLeave: [{
  type: HostListener28,
  args: ["mouseleave"]
}], onPanLeft: [{
  type: HostListener28,
  args: ["panleft", ["$event"]]
}], onPanRight: [{
  type: HostListener28,
  args: ["panright", ["$event"]]
}], onPanEnd: [{
  type: HostListener28,
  args: ["panend", ["$event"]]
}], isTypeIndigo: [{
  type: HostBinding48,
  args: ["class.igx-carousel--indigo"]
}] } });

// lib/carousel/public_api.mjs
var IGX_CAROUSEL_DIRECTIVES = [
  IgxCarouselComponent,
  IgxSlideComponent,
  IgxCarouselIndicatorDirective,
  IgxCarouselNextButtonDirective,
  IgxCarouselPrevButtonDirective
];

// lib/core/i18n/chip-resources.mjs
var ChipResourceStringsEN = {
  igx_chip_remove: "remove chip",
  igx_chip_select: "select chip"
};

// lib/chips/chip.component.mjs
import { Component as Component33, EventEmitter as EventEmitter42, ElementRef as ElementRef45, HostBinding as HostBinding49, HostListener as HostListener29, Input as Input65, Output as Output32, ViewChild as ViewChild17, TemplateRef as TemplateRef7, Inject as Inject40, Optional as Optional21, booleanAttribute as booleanAttribute42 } from "@angular/core";
import { Subject as Subject27 } from "rxjs";
import { NgClass as NgClass3, NgTemplateOutlet as NgTemplateOutlet8, NgIf as NgIf16 } from "@angular/common";
import * as i096 from "@angular/core";
var IgxChipTypeVariant = /* @__PURE__ */ mkenum({
  PRIMARY: "primary",
  INFO: "info",
  SUCCESS: "success",
  WARNING: "warning",
  DANGER: "danger"
});
var CHIP_ID = 0;
var IgxChipComponent = class _IgxChipComponent extends DisplayDensityBase {
  /**
   * Sets the value of `tabindex` attribute. If not provided it will use the element's tabindex if set.
   *
   * @example
   * ```html
   * <igx-chip [id]="'igx-chip-1'" [tabIndex]="1"></igx-chip>
   * ```
   */
  set tabIndex(value) {
    this._tabIndex = value;
  }
  get tabIndex() {
    if (this._tabIndex !== null) {
      return this._tabIndex;
    }
    return !this.disabled ? 0 : null;
  }
  /**
   * Sets the `IgxChipComponent` selected state.
   *
   * @example
   * ```html
   * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [selected]="true">
   * ```
   *
   * Two-way data binding:
   * ```html
   * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [(selected)]="model.isSelected">
   * ```
   */
  set selected(newValue) {
    this.changeSelection(newValue);
  }
  /**
   * Returns if the `IgxChipComponent` is selected.
   *
   * @example
   * ```typescript
   * @ViewChild('myChip')
   * public chip: IgxChipComponent;
   * selectedChip(){
   *     let selectedChip = this.chip.selected;
   * }
   * ```
   */
  get selected() {
    return this._selected;
  }
  /**
   * Sets the `IgxChipComponent` background color.
   * The `color` property supports string, rgb, hex.
   *
   * @example
   * ```html
   * <igx-chip #myChip [id]="'igx-chip-1'" [color]="'#ff0000'"></igx-chip>
   * ```
   */
  set color(newColor) {
    this.chipArea.nativeElement.style.backgroundColor = newColor;
  }
  /**
   * Returns the background color of the `IgxChipComponent`.
   *
   * @example
   * ```typescript
   * @ViewChild('myChip')
   * public chip: IgxChipComponent;
   * ngAfterViewInit(){
   *     let chipColor = this.chip.color;
   * }
   * ```
   */
  get color() {
    return this.chipArea.nativeElement.style.backgroundColor;
  }
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  get isPrimary() {
    return this.variant === IgxChipTypeVariant.PRIMARY;
  }
  get isInfo() {
    return this.variant === IgxChipTypeVariant.INFO;
  }
  get isSuccess() {
    return this.variant === IgxChipTypeVariant.SUCCESS;
  }
  get isWarning() {
    return this.variant === IgxChipTypeVariant.WARNING;
  }
  get isDanger() {
    return this.variant === IgxChipTypeVariant.DANGER;
  }
  /**
   * @hidden
   * @internal
   */
  get componentSize() {
    return this.getComponentSizeStyles();
  }
  /**
   * @hidden
   * @internal
   */
  get removeButtonTemplate() {
    if (!this.disabled) {
      return this.removeIcon || this.defaultRemoveIcon;
    }
  }
  /**
   * @hidden
   * @internal
   */
  get selectIconTemplate() {
    return this.selectIcon || this.defaultSelectIcon;
  }
  /**
   * @hidden
   * @internal
   */
  get ghostStyles() {
    switch (this.displayDensity) {
      case DisplayDensity.compact:
        return {
          "--component-size": "var(--ig-size, var(--ig-size-small))"
        };
      case DisplayDensity.cosy:
        return {
          "--component-size": "var(--ig-size, var(--ig-size-medium))"
        };
      case DisplayDensity.comfortable:
      default:
        return {
          "--component-size": "var(--ig-size, var(--ig-size-large))"
        };
    }
  }
  /** @hidden @internal */
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(cdr, ref, renderer, _displayDensityOptions) {
    super(_displayDensityOptions, ref);
    this.cdr = cdr;
    this.ref = ref;
    this.renderer = renderer;
    this._displayDensityOptions = _displayDensityOptions;
    this.id = `igx-chip-${CHIP_ID++}`;
    this.role = "option";
    this.draggable = false;
    this.animateOnRelease = true;
    this.hideBaseOnDrag = true;
    this.removable = false;
    this.selectable = false;
    this.class = "";
    this.disabled = false;
    this.selectedChange = new EventEmitter42();
    this.moveStart = new EventEmitter42();
    this.moveEnd = new EventEmitter42();
    this.remove = new EventEmitter42();
    this.chipClick = new EventEmitter42();
    this.selectedChanging = new EventEmitter42();
    this.selectedChanged = new EventEmitter42();
    this.keyDown = new EventEmitter42();
    this.dragEnter = new EventEmitter42();
    this.dragLeave = new EventEmitter42();
    this.dragOver = new EventEmitter42();
    this.dragDrop = new EventEmitter42();
    this.defaultClass = "igx-chip";
    this.hideBaseElement = false;
    this.destroy$ = new Subject27();
    this._tabIndex = null;
    this._selected = false;
    this._selectedItemClass = "igx-chip__item--selected";
    this._movedWhileRemoving = false;
    this._resourceStrings = getCurrentResourceStrings(ChipResourceStringsEN);
  }
  /**
   * @hidden
   * @internal
   */
  keyEvent(event) {
    this.onChipKeyDown(event);
  }
  /**
   * @hidden
   * @internal
   */
  selectClass(condition) {
    const SELECT_CLASS = "igx-chip__select";
    return {
      [SELECT_CLASS]: condition,
      [`${SELECT_CLASS}--hidden`]: !condition
    };
  }
  onSelectTransitionDone(event) {
    if (event.target.tagName) {
      this.selectedChanged.emit({
        owner: this,
        originalEvent: event
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  onChipKeyDown(event) {
    const keyDownArgs = {
      originalEvent: event,
      owner: this,
      cancel: false
    };
    this.keyDown.emit(keyDownArgs);
    if (keyDownArgs.cancel) {
      return;
    }
    if ((event.key === "Delete" || event.key === "Del") && this.removable) {
      this.remove.emit({
        originalEvent: event,
        owner: this
      });
    }
    if ((event.key === " " || event.key === "Spacebar") && this.selectable && !this.disabled) {
      this.changeSelection(!this.selected, event);
    }
    if (event.key !== "Tab") {
      event.preventDefault();
    }
  }
  /**
   * @hidden
   * @internal
   */
  onRemoveBtnKeyDown(event) {
    if (event.key === " " || event.key === "Spacebar" || event.key === "Enter") {
      this.remove.emit({
        originalEvent: event,
        owner: this
      });
      event.preventDefault();
      event.stopPropagation();
    }
  }
  onRemoveMouseDown(event) {
    event.stopPropagation();
  }
  /**
   * @hidden
   * @internal
   */
  onRemoveClick(event) {
    this.remove.emit({
      originalEvent: event,
      owner: this
    });
  }
  /**
   * @hidden
   * @internal
   */
  onRemoveTouchMove() {
    this._movedWhileRemoving = true;
  }
  /**
   * @hidden
   * @internal
   */
  onRemoveTouchEnd(event) {
    if (!this._movedWhileRemoving) {
      this.onRemoveClick(event);
    }
    this._movedWhileRemoving = false;
  }
  /**
   * @hidden
   * @internal
   */
  // -----------------------------
  // Start chip igxDrag behavior
  onChipDragStart(event) {
    this.moveStart.emit({
      originalEvent: event,
      owner: this
    });
    event.cancel = !this.draggable || this.disabled;
  }
  /**
   * @hidden
   * @internal
   */
  onChipDragEnd() {
    if (this.animateOnRelease) {
      this.dragDirective.transitionToOrigin();
    }
  }
  /**
   * @hidden
   * @internal
   */
  onChipMoveEnd(event) {
    this.moveEnd.emit({
      originalEvent: event,
      owner: this
    });
    if (this.selected) {
      this.chipArea.nativeElement.focus();
    }
  }
  /**
   * @hidden
   * @internal
   */
  onChipGhostCreate() {
    this.hideBaseElement = this.hideBaseOnDrag;
  }
  /**
   * @hidden
   * @internal
   */
  onChipGhostDestroy() {
    this.hideBaseElement = false;
  }
  /**
   * @hidden
   * @internal
   */
  onChipDragClicked(event) {
    const clickEventArgs = {
      originalEvent: event,
      owner: this,
      cancel: false
    };
    this.chipClick.emit(clickEventArgs);
    if (!clickEventArgs.cancel && this.selectable && !this.disabled) {
      this.changeSelection(!this.selected, event);
    }
  }
  // End chip igxDrag behavior
  /**
   * @hidden
   * @internal
   */
  // -----------------------------
  // Start chip igxDrop behavior
  onChipDragEnterHandler(event) {
    if (this.dragDirective === event.drag) {
      return;
    }
    const eventArgs = {
      owner: this,
      dragChip: event.drag.data?.chip,
      originalEvent: event
    };
    this.dragEnter.emit(eventArgs);
  }
  /**
   * @hidden
   * @internal
   */
  onChipDragLeaveHandler(event) {
    if (this.dragDirective === event.drag) {
      return;
    }
    const eventArgs = {
      owner: this,
      dragChip: event.drag.data?.chip,
      originalEvent: event
    };
    this.dragLeave.emit(eventArgs);
  }
  /**
   * @hidden
   * @internal
   */
  onChipDrop(event) {
    event.cancel = true;
    if (this.dragDirective === event.drag) {
      return;
    }
    const eventArgs = {
      owner: this,
      dragChip: event.drag.data?.chip,
      originalEvent: event
    };
    this.dragDrop.emit(eventArgs);
  }
  /**
   * @hidden
   * @internal
   */
  onChipOverHandler(event) {
    if (this.dragDirective === event.drag) {
      return;
    }
    const eventArgs = {
      owner: this,
      dragChip: event.drag.data?.chip,
      originalEvent: event
    };
    this.dragOver.emit(eventArgs);
  }
  // End chip igxDrop behavior
  changeSelection(newValue, srcEvent = null) {
    const onSelectArgs = {
      originalEvent: srcEvent,
      owner: this,
      selected: false,
      cancel: false
    };
    if (newValue && !this._selected) {
      onSelectArgs.selected = true;
      this.selectedChanging.emit(onSelectArgs);
      if (!onSelectArgs.cancel) {
        this.renderer.addClass(this.chipArea.nativeElement, this._selectedItemClass);
        this._selected = newValue;
        this.selectedChange.emit(this._selected);
        this.selectedChanged.emit({
          owner: this,
          originalEvent: srcEvent
        });
      }
    } else if (!newValue && this._selected) {
      this.selectedChanging.emit(onSelectArgs);
      if (!onSelectArgs.cancel) {
        this.renderer.removeClass(this.chipArea.nativeElement, this._selectedItemClass);
        this._selected = newValue;
        this.selectedChange.emit(this._selected);
        this.selectedChanged.emit({
          owner: this,
          originalEvent: srcEvent
        });
      }
    }
  }
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  static {
    this.ɵfac = i096.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i096, type: _IgxChipComponent, deps: [{ token: i096.ChangeDetectorRef }, { token: i096.ElementRef }, { token: i096.Renderer2 }, { token: DisplayDensityToken, optional: true }], target: i096.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i096.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxChipComponent, isStandalone: true, selector: "igx-chip", inputs: { variant: "variant", id: "id", tabIndex: "tabIndex", data: "data", draggable: ["draggable", "draggable", booleanAttribute42], animateOnRelease: ["animateOnRelease", "animateOnRelease", booleanAttribute42], hideBaseOnDrag: ["hideBaseOnDrag", "hideBaseOnDrag", booleanAttribute42], removable: ["removable", "removable", booleanAttribute42], removeIcon: "removeIcon", selectable: ["selectable", "selectable", booleanAttribute42], selectIcon: "selectIcon", class: "class", disabled: ["disabled", "disabled", booleanAttribute42], selected: ["selected", "selected", booleanAttribute42], color: "color", resourceStrings: "resourceStrings" }, outputs: { selectedChange: "selectedChange", moveStart: "moveStart", moveEnd: "moveEnd", remove: "remove", chipClick: "chipClick", selectedChanging: "selectedChanging", selectedChanged: "selectedChanged", keyDown: "keyDown", dragEnter: "dragEnter", dragLeave: "dragLeave", dragOver: "dragOver", dragDrop: "dragDrop" }, host: { listeners: { "keydown": "keyEvent($event)" }, properties: { "attr.id": "this.id", "attr.role": "this.role", "attr.tabIndex": "this.tabIndex", "class.igx-chip--disabled": "this.disabled", "attr.aria-selected": "this.selected", "class.igx-chip": "this.defaultClass", "class.igx-chip--primary": "this.isPrimary", "class.igx-chip--info": "this.isInfo", "class.igx-chip--success": "this.isSuccess", "class.igx-chip--warning": "this.isWarning", "class.igx-chip--danger": "this.isDanger", "style.--component-size": "this.componentSize" } }, viewQueries: [{ propertyName: "dragDirective", first: true, predicate: ["chipArea"], descendants: true, read: IgxDragDirective, static: true }, { propertyName: "chipArea", first: true, predicate: ["chipArea"], descendants: true, read: ElementRef45, static: true }, { propertyName: "defaultRemoveIcon", first: true, predicate: ["defaultRemoveIcon"], descendants: true, read: TemplateRef7, static: true }, { propertyName: "defaultSelectIcon", first: true, predicate: ["defaultSelectIcon"], descendants: true, read: TemplateRef7, static: true }], usesInheritance: true, ngImport: i096, template: `<div #chipArea class="igx-chip__item"
    [igxDrag]="{chip: this}"
    [style.visibility]='hideBaseElement ? "hidden" : "visible"'
    ghostClass="igx-chip__ghost"
    [ghostStyle]="ghostStyles"
    (dragStart)="onChipDragStart($event)"
    (ghostCreate)="onChipGhostCreate()"
    (ghostDestroy)="onChipGhostDestroy()"
    (dragEnd)="onChipDragEnd()"
    (transitioned)="onChipMoveEnd($event)"
    (dragClick)="onChipDragClicked($event)"
    igxDrop
    (enter)="onChipDragEnterHandler($event)"
    (leave)="onChipDragLeaveHandler($event)"
    (over)="onChipOverHandler($event)"
    (dropped)="onChipDrop($event)">

    <div class="igx-chip__start" #selectContainer>
        <div *ngIf="selected" [ngClass]="selectClass(selected)">
            <ng-container *ngTemplateOutlet="selectIconTemplate"></ng-container>
        </div>

        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </div>

    <div class="igx-chip__content">
        <ng-content></ng-content>
    </div>

    <div class="igx-chip__end">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>

        <div class="igx-chip__remove" *ngIf="removable"
            [attr.tabIndex]="tabIndex"
            (keydown)="onRemoveBtnKeyDown($event)"
            (pointerdown)="onRemoveMouseDown($event)"
            (mousedown)="onRemoveMouseDown($event)"
            (click)="onRemoveClick($event)"
            (touchmove)="onRemoveTouchMove()"
            (touchend)="onRemoveTouchEnd($event)">
            <ng-container *ngTemplateOutlet="removeButtonTemplate"></ng-container>
        </div>
    </div>
</div>

<ng-template #defaultSelectIcon>
    <igx-icon [attr.aria-label]="resourceStrings.igx_chip_select">done</igx-icon>
</ng-template>

<ng-template #defaultRemoveIcon>
    <igx-icon [attr.aria-label]="resourceStrings.igx_chip_remove">cancel</igx-icon>
</ng-template>
`, dependencies: [{ kind: "directive", type: IgxDropDirective, selector: "[igxDrop]", inputs: ["igxDrop", "dropChannel", "dropStrategy"], outputs: ["enter", "over", "leave", "dropped"], exportAs: ["drop"] }, { kind: "directive", type: IgxDragDirective, selector: "[igxDrag]", inputs: ["igxDrag", "dragTolerance", "dragDirection", "dragChannel", "ghost", "ghostClass", "ghostStyle", "ghostTemplate", "ghostHost", "scrollContainer", "ghostOffsetX", "ghostOffsetY"], outputs: ["dragStart", "dragMove", "dragEnd", "dragClick", "ghostCreate", "ghostDestroy", "transitioned"], exportAs: ["drag"] }, { kind: "directive", type: NgClass3, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgTemplateOutlet8, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf16, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i096.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i096, type: IgxChipComponent, decorators: [{
  type: Component33,
  args: [{ selector: "igx-chip", standalone: true, imports: [IgxDropDirective, IgxDragDirective, NgClass3, NgTemplateOutlet8, NgIf16, IgxIconComponent], template: `<div #chipArea class="igx-chip__item"
    [igxDrag]="{chip: this}"
    [style.visibility]='hideBaseElement ? "hidden" : "visible"'
    ghostClass="igx-chip__ghost"
    [ghostStyle]="ghostStyles"
    (dragStart)="onChipDragStart($event)"
    (ghostCreate)="onChipGhostCreate()"
    (ghostDestroy)="onChipGhostDestroy()"
    (dragEnd)="onChipDragEnd()"
    (transitioned)="onChipMoveEnd($event)"
    (dragClick)="onChipDragClicked($event)"
    igxDrop
    (enter)="onChipDragEnterHandler($event)"
    (leave)="onChipDragLeaveHandler($event)"
    (over)="onChipOverHandler($event)"
    (dropped)="onChipDrop($event)">

    <div class="igx-chip__start" #selectContainer>
        <div *ngIf="selected" [ngClass]="selectClass(selected)">
            <ng-container *ngTemplateOutlet="selectIconTemplate"></ng-container>
        </div>

        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </div>

    <div class="igx-chip__content">
        <ng-content></ng-content>
    </div>

    <div class="igx-chip__end">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>

        <div class="igx-chip__remove" *ngIf="removable"
            [attr.tabIndex]="tabIndex"
            (keydown)="onRemoveBtnKeyDown($event)"
            (pointerdown)="onRemoveMouseDown($event)"
            (mousedown)="onRemoveMouseDown($event)"
            (click)="onRemoveClick($event)"
            (touchmove)="onRemoveTouchMove()"
            (touchend)="onRemoveTouchEnd($event)">
            <ng-container *ngTemplateOutlet="removeButtonTemplate"></ng-container>
        </div>
    </div>
</div>

<ng-template #defaultSelectIcon>
    <igx-icon [attr.aria-label]="resourceStrings.igx_chip_select">done</igx-icon>
</ng-template>

<ng-template #defaultRemoveIcon>
    <igx-icon [attr.aria-label]="resourceStrings.igx_chip_remove">cancel</igx-icon>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i096.ChangeDetectorRef }, { type: i096.ElementRef }, { type: i096.Renderer2 }, { type: void 0, decorators: [{
  type: Optional21
}, {
  type: Inject40,
  args: [DisplayDensityToken]
}] }], propDecorators: { variant: [{
  type: Input65
}], id: [{
  type: HostBinding49,
  args: ["attr.id"]
}, {
  type: Input65
}], role: [{
  type: HostBinding49,
  args: ["attr.role"]
}], tabIndex: [{
  type: HostBinding49,
  args: ["attr.tabIndex"]
}, {
  type: Input65
}], data: [{
  type: Input65
}], draggable: [{
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], animateOnRelease: [{
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], hideBaseOnDrag: [{
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], removable: [{
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], removeIcon: [{
  type: Input65
}], selectable: [{
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], selectIcon: [{
  type: Input65
}], class: [{
  type: Input65
}], disabled: [{
  type: HostBinding49,
  args: ["class.igx-chip--disabled"]
}, {
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], selected: [{
  type: HostBinding49,
  args: ["attr.aria-selected"]
}, {
  type: Input65,
  args: [{ transform: booleanAttribute42 }]
}], selectedChange: [{
  type: Output32
}], color: [{
  type: Input65
}], resourceStrings: [{
  type: Input65
}], moveStart: [{
  type: Output32
}], moveEnd: [{
  type: Output32
}], remove: [{
  type: Output32
}], chipClick: [{
  type: Output32
}], selectedChanging: [{
  type: Output32
}], selectedChanged: [{
  type: Output32
}], keyDown: [{
  type: Output32
}], dragEnter: [{
  type: Output32
}], dragLeave: [{
  type: Output32
}], dragOver: [{
  type: Output32
}], dragDrop: [{
  type: Output32
}], defaultClass: [{
  type: HostBinding49,
  args: ["class.igx-chip"]
}], isPrimary: [{
  type: HostBinding49,
  args: ["class.igx-chip--primary"]
}], isInfo: [{
  type: HostBinding49,
  args: ["class.igx-chip--info"]
}], isSuccess: [{
  type: HostBinding49,
  args: ["class.igx-chip--success"]
}], isWarning: [{
  type: HostBinding49,
  args: ["class.igx-chip--warning"]
}], isDanger: [{
  type: HostBinding49,
  args: ["class.igx-chip--danger"]
}], componentSize: [{
  type: HostBinding49,
  args: ["style.--component-size"]
}], dragDirective: [{
  type: ViewChild17,
  args: ["chipArea", { read: IgxDragDirective, static: true }]
}], chipArea: [{
  type: ViewChild17,
  args: ["chipArea", { read: ElementRef45, static: true }]
}], defaultRemoveIcon: [{
  type: ViewChild17,
  args: ["defaultRemoveIcon", { read: TemplateRef7, static: true }]
}], defaultSelectIcon: [{
  type: ViewChild17,
  args: ["defaultSelectIcon", { read: TemplateRef7, static: true }]
}], keyEvent: [{
  type: HostListener29,
  args: ["keydown", ["$event"]]
}] } });

// lib/chips/chips-area.component.mjs
import { Component as Component34, ContentChildren as ContentChildren9, EventEmitter as EventEmitter43, HostBinding as HostBinding50, Input as Input66, Output as Output33 } from "@angular/core";
import { takeUntil as takeUntil20 } from "rxjs/operators";
import { Subject as Subject28 } from "rxjs";
import * as i097 from "@angular/core";
var IgxChipsAreaComponent = class _IgxChipsAreaComponent {
  /** @hidden @internal */
  get _widthToRem() {
    return rem(this.width);
  }
  /** @hidden @internal */
  get _heightToRem() {
    return rem(this.height);
  }
  constructor(cdr, element, _iterableDiffers) {
    this.cdr = cdr;
    this.element = element;
    this._iterableDiffers = _iterableDiffers;
    this.role = "listbox";
    this.ariaLabel = "chip area";
    this.reorder = new EventEmitter43();
    this.selectionChange = new EventEmitter43();
    this.moveStart = new EventEmitter43();
    this.moveEnd = new EventEmitter43();
    this.destroy$ = new Subject28();
    this.hostClass = "igx-chip-area";
    this._differ = null;
    this._differ = this._iterableDiffers.find([]).create(null);
  }
  /**
   * @hidden
   * @internal
   */
  ngAfterViewInit() {
    if (this.chipsList.length) {
      const selectedChips = this.chipsList.filter((item) => item.selected);
      if (selectedChips.length) {
        this.selectionChange.emit({
          originalEvent: null,
          newSelection: selectedChips,
          owner: this
        });
      }
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngDoCheck() {
    if (this.chipsList) {
      const changes = this._differ.diff(this.chipsList.toArray());
      if (changes) {
        changes.forEachAddedItem((addedChip) => {
          addedChip.item.moveStart.pipe(takeUntil20(addedChip.item.destroy$)).subscribe((args) => {
            this.onChipMoveStart(args);
          });
          addedChip.item.moveEnd.pipe(takeUntil20(addedChip.item.destroy$)).subscribe((args) => {
            this.onChipMoveEnd(args);
          });
          addedChip.item.dragEnter.pipe(takeUntil20(addedChip.item.destroy$)).subscribe((args) => {
            this.onChipDragEnter(args);
          });
          addedChip.item.keyDown.pipe(takeUntil20(addedChip.item.destroy$)).subscribe((args) => {
            this.onChipKeyDown(args);
          });
          if (addedChip.item.selectable) {
            addedChip.item.selectedChanging.pipe(takeUntil20(addedChip.item.destroy$)).subscribe((args) => {
              this.onChipSelectionChange(args);
            });
          }
        });
        this.modifiedChipsArray = this.chipsList.toArray();
      }
    }
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden
   * @internal
   */
  onChipKeyDown(event) {
    let orderChanged = false;
    const chipsArray = this.chipsList.toArray();
    const dragChipIndex = chipsArray.findIndex((el) => el === event.owner);
    if (event.originalEvent.shiftKey === true) {
      if (event.originalEvent.key === "ArrowLeft" || event.originalEvent.key === "Left") {
        orderChanged = this.positionChipAtIndex(dragChipIndex, dragChipIndex - 1, false, event.originalEvent);
        if (orderChanged) {
          setTimeout(() => {
            this.chipsList.get(dragChipIndex - 1).nativeElement.focus();
          });
        }
      } else if (event.originalEvent.key === "ArrowRight" || event.originalEvent.key === "Right") {
        orderChanged = this.positionChipAtIndex(dragChipIndex, dragChipIndex + 1, true, event.originalEvent);
      }
    } else {
      if ((event.originalEvent.key === "ArrowLeft" || event.originalEvent.key === "Left") && dragChipIndex > 0) {
        chipsArray[dragChipIndex - 1].nativeElement.focus();
      } else if ((event.originalEvent.key === "ArrowRight" || event.originalEvent.key === "Right") && dragChipIndex < chipsArray.length - 1) {
        chipsArray[dragChipIndex + 1].nativeElement.focus();
      }
    }
  }
  /**
   * @hidden
   * @internal
   */
  onChipMoveStart(event) {
    this.moveStart.emit({
      originalEvent: event.originalEvent,
      owner: this
    });
  }
  /**
   * @hidden
   * @internal
   */
  onChipMoveEnd(event) {
    this.moveEnd.emit({
      originalEvent: event.originalEvent,
      owner: this
    });
  }
  /**
   * @hidden
   * @internal
   */
  onChipDragEnter(event) {
    const dropChipIndex = this.chipsList.toArray().findIndex((el) => el === event.owner);
    const dragChipIndex = this.chipsList.toArray().findIndex((el) => el === event.dragChip);
    if (dragChipIndex < dropChipIndex) {
      this.positionChipAtIndex(dragChipIndex, dropChipIndex, true, event.originalEvent);
    } else {
      this.positionChipAtIndex(dragChipIndex, dropChipIndex, false, event.originalEvent);
    }
  }
  /**
   * @hidden
   * @internal
   */
  positionChipAtIndex(chipIndex, targetIndex, shiftRestLeft, originalEvent) {
    if (chipIndex < 0 || this.chipsList.length <= chipIndex || targetIndex < 0 || this.chipsList.length <= targetIndex) {
      return false;
    }
    const chipsArray = this.chipsList.toArray();
    const result = [];
    for (let i = 0; i < chipsArray.length; i++) {
      if (shiftRestLeft) {
        if (chipIndex <= i && i < targetIndex) {
          result.push(chipsArray[i + 1]);
        } else if (i === targetIndex) {
          result.push(chipsArray[chipIndex]);
        } else {
          result.push(chipsArray[i]);
        }
      } else {
        if (targetIndex < i && i <= chipIndex) {
          result.push(chipsArray[i - 1]);
        } else if (i === targetIndex) {
          result.push(chipsArray[chipIndex]);
        } else {
          result.push(chipsArray[i]);
        }
      }
    }
    this.modifiedChipsArray = result;
    const eventData = {
      chipsArray: this.modifiedChipsArray,
      originalEvent,
      owner: this
    };
    this.reorder.emit(eventData);
    return true;
  }
  /**
   * @hidden
   * @internal
   */
  onChipSelectionChange(event) {
    let selectedChips = this.chipsList.filter((chip) => chip.selected);
    if (event.selected && !selectedChips.includes(event.owner)) {
      selectedChips.push(event.owner);
    } else if (!event.selected && selectedChips.includes(event.owner)) {
      selectedChips = selectedChips.filter((chip) => chip.id !== event.owner.id);
    }
    this.selectionChange.emit({
      originalEvent: event.originalEvent,
      newSelection: selectedChips,
      owner: this
    });
  }
  static {
    this.ɵfac = i097.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i097, type: _IgxChipsAreaComponent, deps: [{ token: i097.ChangeDetectorRef }, { token: i097.ElementRef }, { token: i097.IterableDiffers }], target: i097.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i097.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxChipsAreaComponent, isStandalone: true, selector: "igx-chips-area", inputs: { width: "width", height: "height" }, outputs: { reorder: "reorder", selectionChange: "selectionChange", moveStart: "moveStart", moveEnd: "moveEnd" }, host: { properties: { "attr.role": "this.role", "attr.aria-label": "this.ariaLabel", "style.width.rem": "this._widthToRem", "style.height.rem": "this._heightToRem", "class": "this.hostClass" } }, queries: [{ propertyName: "chipsList", predicate: IgxChipComponent, descendants: true }], ngImport: i097, template: "<ng-content></ng-content>\n" });
  }
};
i097.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i097, type: IgxChipsAreaComponent, decorators: [{
  type: Component34,
  args: [{ selector: "igx-chips-area", standalone: true, template: "<ng-content></ng-content>\n" }]
}], ctorParameters: () => [{ type: i097.ChangeDetectorRef }, { type: i097.ElementRef }, { type: i097.IterableDiffers }], propDecorators: { role: [{
  type: HostBinding50,
  args: ["attr.role"]
}], ariaLabel: [{
  type: HostBinding50,
  args: ["attr.aria-label"]
}], width: [{
  type: Input66
}], _widthToRem: [{
  type: HostBinding50,
  args: ["style.width.rem"]
}], height: [{
  type: Input66
}], _heightToRem: [{
  type: HostBinding50,
  args: ["style.height.rem"]
}], reorder: [{
  type: Output33
}], selectionChange: [{
  type: Output33
}], moveStart: [{
  type: Output33
}], moveEnd: [{
  type: Output33
}], chipsList: [{
  type: ContentChildren9,
  args: [IgxChipComponent, { descendants: true }]
}], hostClass: [{
  type: HostBinding50,
  args: ["class"]
}] } });

// lib/chips/public_api.mjs
var IGX_CHIPS_DIRECTIVES = [
  IgxChipsAreaComponent,
  IgxChipComponent,
  IgxPrefixDirective,
  IgxSuffixDirective
];

// lib/combo/combo.api.mjs
import { Injectable as Injectable20 } from "@angular/core";
import * as i098 from "@angular/core";
var IgxComboAPIService = class _IgxComboAPIService {
  constructor() {
    this.disableTransitions = false;
  }
  get valueKey() {
    return this.combo.valueKey !== null && this.combo.valueKey !== void 0 ? this.combo.valueKey : null;
  }
  get item_focusable() {
    return false;
  }
  get isRemote() {
    return this.combo.isRemote;
  }
  get comboID() {
    return this.combo.id;
  }
  register(combo) {
    this.combo = combo;
  }
  clear() {
    this.combo = null;
  }
  add_custom_item() {
    if (!this.combo) {
      return;
    }
    this.combo.addItemToCollection();
  }
  set_selected_item(itemID, event) {
    const selected = this.combo.isItemSelected(itemID);
    if (itemID === void 0) {
      return;
    }
    if (!selected) {
      this.combo.select([itemID], false, event);
    } else {
      this.combo.deselect([itemID], event);
    }
  }
  is_item_selected(itemID) {
    return this.combo.isItemSelected(itemID);
  }
  static {
    this.ɵfac = i098.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i098, type: _IgxComboAPIService, deps: [], target: i098.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i098.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i098, type: _IgxComboAPIService });
  }
};
i098.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i098, type: IgxComboAPIService, decorators: [{
  type: Injectable20
}] });

// lib/combo/combo-item.component.mjs
import { Component as Component35, HostBinding as HostBinding51, Inject as Inject41, Input as Input67, booleanAttribute as booleanAttribute43 } from "@angular/core";
import { NgIf as NgIf17 } from "@angular/common";
import * as i099 from "@angular/core";
var IgxComboItemComponent = class _IgxComboItemComponent extends IgxDropDownItemComponent {
  /** @hidden @internal */
  get _itemHeightToRem() {
    return rem(this.itemHeight);
  }
  get ariaLabel() {
    const valueKey = this.comboAPI.valueKey;
    return valueKey !== null && this.value != null ? this.value[valueKey] : this.value;
  }
  /**
   * @hidden
   */
  get itemID() {
    const valueKey = this.comboAPI.valueKey;
    return valueKey !== null ? this.value[valueKey] : this.value;
  }
  /**
   * @hidden
   */
  get comboID() {
    return this.comboAPI.comboID;
  }
  /**
   * @hidden
   * @internal
   */
  get disableTransitions() {
    return this.comboAPI.disableTransitions;
  }
  constructor(comboAPI, dropDown, elementRef, selection) {
    super(dropDown, elementRef, null, selection);
    this.comboAPI = comboAPI;
    this.itemHeight = "";
  }
  /**
   * @hidden
   */
  get selected() {
    return this.comboAPI.is_item_selected(this.itemID);
  }
  set selected(value) {
    if (this.isHeader) {
      return;
    }
    this._selected = value;
  }
  /**
   * @hidden
   */
  isVisible(direction) {
    const rect = this.element.nativeElement.getBoundingClientRect();
    const parentDiv = this.element.nativeElement.parentElement.parentElement.getBoundingClientRect();
    if (direction === Navigate.Down) {
      return rect.y + rect.height <= parentDiv.y + parentDiv.height;
    }
    return rect.y >= parentDiv.y;
  }
  clicked(event) {
    this.comboAPI.disableTransitions = false;
    if (!this.isSelectable) {
      return;
    }
    this.dropDown.navigateItem(this.index);
    this.comboAPI.set_selected_item(this.itemID, event);
  }
  /**
   * @hidden
   * @internal
   * The event that is prevented is the click on the checkbox label element.
   * That is the only visible element that a user can interact with.
   * The click propagates to the host and the preventDefault is to stop it from
   * switching focus to the input it's base on.
   * The toggle happens in an internal handler in the drop-down on the next task queue cycle.
   */
  disableCheck(event) {
    event.preventDefault();
  }
  static {
    this.ɵfac = i099.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i099, type: _IgxComboItemComponent, deps: [{ token: IgxComboAPIService }, { token: IGX_DROPDOWN_BASE }, { token: i099.ElementRef }, { token: IgxSelectionAPIService }], target: i099.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i099.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxComboItemComponent, isStandalone: true, selector: "igx-combo-item", inputs: { itemHeight: "itemHeight", ariaLabel: "ariaLabel", singleMode: ["singleMode", "singleMode", booleanAttribute43] }, host: { properties: { "style.height.rem": "this._itemHeightToRem", "attr.aria-label": "this.ariaLabel" } }, usesInheritance: true, ngImport: i099, template: `<ng-container *ngIf="!isHeader && !singleMode">
    <!-- checkbox should not allow changing its state from UI click (that's why it should be readonly=true), becasue when cancelling the selectionChange event in the combo, then checkbox will still change state.-->
    <igx-checkbox [checked]="selected" [readonly]="true" [disableRipple]="true" [disableTransitions]="disableTransitions" [tabindex]="-1" (click)="disableCheck($event)" class="igx-combo__checkbox"></igx-checkbox>
</ng-container>
<span class="igx-drop-down__inner"><ng-content></ng-content></span>
`, dependencies: [{ kind: "directive", type: NgIf17, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }] });
  }
};
i099.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i099, type: IgxComboItemComponent, decorators: [{
  type: Component35,
  args: [{ selector: "igx-combo-item", standalone: true, imports: [NgIf17, IgxCheckboxComponent], template: `<ng-container *ngIf="!isHeader && !singleMode">
    <!-- checkbox should not allow changing its state from UI click (that's why it should be readonly=true), becasue when cancelling the selectionChange event in the combo, then checkbox will still change state.-->
    <igx-checkbox [checked]="selected" [readonly]="true" [disableRipple]="true" [disableTransitions]="disableTransitions" [tabindex]="-1" (click)="disableCheck($event)" class="igx-combo__checkbox"></igx-checkbox>
</ng-container>
<span class="igx-drop-down__inner"><ng-content></ng-content></span>
` }]
}], ctorParameters: () => [{ type: IgxComboAPIService }, { type: void 0, decorators: [{
  type: Inject41,
  args: [IGX_DROPDOWN_BASE]
}] }, { type: i099.ElementRef }, { type: IgxSelectionAPIService, decorators: [{
  type: Inject41,
  args: [IgxSelectionAPIService]
}] }], propDecorators: { itemHeight: [{
  type: Input67
}], _itemHeightToRem: [{
  type: HostBinding51,
  args: ["style.height.rem"]
}], ariaLabel: [{
  type: HostBinding51,
  args: ["attr.aria-label"]
}, {
  type: Input67
}], singleMode: [{
  type: Input67,
  args: [{ transform: booleanAttribute43 }]
}] } });

// lib/combo/combo.directives.mjs
import { Directive as Directive47 } from "@angular/core";
import * as i0100 from "@angular/core";
var IgxComboHeaderDirective = class _IgxComboHeaderDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboHeaderDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboHeaderDirective, isStandalone: true, selector: "[igxComboHeader]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboHeaderDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboHeader]",
    standalone: true
  }]
}] });
var IgxComboFooterDirective = class _IgxComboFooterDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboFooterDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboFooterDirective, isStandalone: true, selector: "[igxComboFooter]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboFooterDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboFooter]",
    standalone: true
  }]
}] });
var IgxComboItemDirective = class _IgxComboItemDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboItemDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboItemDirective, isStandalone: true, selector: "[igxComboItem]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboItemDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboItem]",
    standalone: true
  }]
}] });
var IgxComboEmptyDirective = class _IgxComboEmptyDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboEmptyDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboEmptyDirective, isStandalone: true, selector: "[igxComboEmpty]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboEmptyDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboEmpty]",
    standalone: true
  }]
}] });
var IgxComboHeaderItemDirective = class _IgxComboHeaderItemDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboHeaderItemDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboHeaderItemDirective, isStandalone: true, selector: "[igxComboHeaderItem]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboHeaderItemDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboHeaderItem]",
    standalone: true
  }]
}] });
var IgxComboAddItemDirective = class _IgxComboAddItemDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboAddItemDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboAddItemDirective, isStandalone: true, selector: "[igxComboAddItem]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboAddItemDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboAddItem]",
    standalone: true
  }]
}] });
var IgxComboToggleIconDirective = class _IgxComboToggleIconDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboToggleIconDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboToggleIconDirective, isStandalone: true, selector: "[igxComboToggleIcon]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboToggleIconDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboToggleIcon]",
    standalone: true
  }]
}] });
var IgxComboClearIconDirective = class _IgxComboClearIconDirective {
  static {
    this.ɵfac = i0100.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: _IgxComboClearIconDirective, deps: [], target: i0100.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0100.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboClearIconDirective, isStandalone: true, selector: "[igxComboClearIcon]", ngImport: i0100 });
  }
};
i0100.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0100, type: IgxComboClearIconDirective, decorators: [{
  type: Directive47,
  args: [{
    selector: "[igxComboClearIcon]",
    standalone: true
  }]
}] });

// lib/core/i18n/combo-resources.mjs
var ComboResourceStringsEN = {
  igx_combo_empty_message: "The list is empty"
};

// lib/combo/combo.common.mjs
import { booleanAttribute as booleanAttribute44, ContentChild as ContentChild8, ContentChildren as ContentChildren10, Directive as Directive48, EventEmitter as EventEmitter44, forwardRef as forwardRef8, HostBinding as HostBinding52, Inject as Inject42, InjectionToken as InjectionToken10, Input as Input68, Optional as Optional22, Output as Output34, TemplateRef as TemplateRef8, ViewChild as ViewChild18 } from "@angular/core";
import { NgControl as NgControl5 } from "@angular/forms";
import { caseSensitive } from "@igniteui/material-icons-extended";
import { noop as noop8, Subject as Subject29 } from "rxjs";
import { takeUntil as takeUntil21 } from "rxjs/operators";
import * as i0101 from "@angular/core";
var IGX_COMBO_COMPONENT = /* @__PURE__ */ new InjectionToken10("IgxComboComponentToken");
var NEXT_ID18 = 0;
var itemsInContainer = 10;
var ItemHeights = {
  comfortable: 40,
  cosy: 32,
  compact: 28
};
var IgxComboBaseDirective = class _IgxComboBaseDirective extends DisplayDensityBase {
  /**
   * Configures the drop down list height
   *
   * ```typescript
   * // get
   * let myComboItemsMaxHeight = this.combo.itemsMaxHeight;
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-combo [itemsMaxHeight]='320'></igx-combo>
   * ```
   */
  get itemsMaxHeight() {
    if (this._itemsMaxHeight === null || this._itemsMaxHeight === void 0) {
      return this.itemHeight * itemsInContainer;
    }
    return this._itemsMaxHeight;
  }
  set itemsMaxHeight(val) {
    this._itemsMaxHeight = val;
  }
  /** @hidden */
  get itemsMaxHeightInRem() {
    return rem(this.itemsMaxHeight);
  }
  /**
   * Configures the drop down list item height
   *
   * ```typescript
   * // get
   * let myComboItemHeight = this.combo.itemHeight;
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-combo [itemHeight]='32'></igx-combo>
   * ```
   */
  get itemHeight() {
    if (this._itemHeight === null || this._itemHeight === void 0) {
      return ItemHeights[this.displayDensity];
    }
    return this._itemHeight;
  }
  set itemHeight(val) {
    this._itemHeight = val;
  }
  /**
   * Combo data source.
   *
   * ```html
   * <!--set-->
   * <igx-combo [data]='items'></igx-combo>
   * ```
   */
  get data() {
    return this._data;
  }
  set data(val) {
    this._data = val ? val.filter((x) => x !== void 0) : [];
  }
  set displayKey(val) {
    this._displayKey = val;
  }
  /**
   * Determines which column in the data source is used to determine the display value.
   *
   * ```typescript
   * // get
   * let myComboDisplayKey = this.combo.displayKey;
   *
   * // set
   * this.combo.displayKey = 'val';
   *
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-combo [displayKey]='myDisplayKey'></igx-combo>
   * ```
   */
  get displayKey() {
    return this._displayKey ? this._displayKey : this.valueKey;
  }
  /**
   * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
   *
   * ```html
   * <!--set-->
   * <igx-combo [groupKey]='newGroupKey'></igx-combo>
   * ```
   */
  set groupKey(val) {
    this._groupKey = val;
  }
  /**
   * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
   *
   * ```typescript
   * // get
   * let currentGroupKey = this.combo.groupKey;
   * ```
   */
  get groupKey() {
    return this._groupKey;
  }
  /**
   * Sets groups sorting order.
   *
   * @example
   * ```html
   * <igx-combo [groupSortingDirection]="groupSortingDirection"></igx-combo>
   * ```
   * ```typescript
   * public groupSortingDirection = SortingDirection.Asc;
   * ```
   */
  get groupSortingDirection() {
    return this._groupSortingDirection;
  }
  set groupSortingDirection(val) {
    this._groupSortingDirection = val;
  }
  /**
   * Sets the visual combo type.
   * The allowed values are `line`, `box`, `border` and `search`. The default is `box`.
   * ```html
   * <igx-combo [type]="'line'">
   * ```
   */
  get type() {
    return this._type || this._inputGroupType || "box";
  }
  set type(val) {
    this._type = val;
  }
  /**
   * Gets/Sets the resource strings.
   *
   * @remarks
   * By default it uses EN resources.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /** @hidden @internal */
  get searchValue() {
    return this._searchValue;
  }
  set searchValue(val) {
    this.filterValue = val;
    this._searchValue = val;
  }
  /** @hidden @internal */
  get isRemote() {
    return this.totalItemCount > 0 && this.valueKey && this.dataType === "complex";
  }
  /** @hidden @internal */
  get dataType() {
    if (this.displayKey) {
      return "complex";
    }
    return "primitive";
  }
  /**
   * Gets if control is valid, when used in a form
   *
   * ```typescript
   * // get
   * let valid = this.combo.valid;
   * ```
   */
  get valid() {
    return this._valid;
  }
  /**
   * Sets if control is valid, when used in a form
   *
   * ```typescript
   * // set
   * this.combo.valid = IgxInputState.INVALID;
   * ```
   */
  set valid(valid) {
    this._valid = valid;
    this.comboInput.valid = valid;
  }
  /**
   * The value of the combo
   *
   * ```typescript
   * // get
   * let comboValue = this.combo.value;
   * ```
   */
  get value() {
    return this._value;
  }
  /**
   * The text displayed in the combo input
   *
   * ```typescript
   * // get
   * let comboDisplayValue = this.combo.displayValue;
   * ```
   */
  get displayValue() {
    return this._displayValue;
  }
  /**
   * Defines the current state of the virtualized data. It contains `startIndex` and `chunkSize`
   *
   * ```typescript
   * // get
   * let state = this.combo.virtualizationState;
   * ```
   */
  get virtualizationState() {
    return this.virtDir.state;
  }
  /**
   * Sets the current state of the virtualized data.
   *
   * ```typescript
   * // set
   * this.combo.virtualizationState(state);
   * ```
   */
  set virtualizationState(state) {
    this.virtDir.state = state;
  }
  /**
   * Gets drop down state.
   *
   * ```typescript
   * let state = this.combo.collapsed;
   * ```
   */
  get collapsed() {
    return this.dropdown.collapsed;
  }
  /**
   * Gets total count of the virtual data items, when using remote service.
   *
   * ```typescript
   * // get
   * let count = this.combo.totalItemCount;
   * ```
   */
  get totalItemCount() {
    return this.virtDir.totalItemCount;
  }
  /**
   * Sets total count of the virtual data items, when using remote service.
   *
   * ```typescript
   * // set
   * this.combo.totalItemCount(remoteService.count);
   * ```
   */
  set totalItemCount(count) {
    this.virtDir.totalItemCount = count;
  }
  /** @hidden @internal */
  get template() {
    this._dataType = this.dataType;
    if (this.itemTemplate) {
      return this.itemTemplate;
    }
    if (this._dataType === "complex") {
      return this.complexTemplate;
    }
    return this.primitiveTemplate;
  }
  /**
   * Configures the way combo items will be filtered.
   *
   * ```typescript
   * // get
   * let myFilteringOptions = this.combo.filteringOptions;
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-combo [filteringOptions]='myFilteringOptions'></igx-combo>
   * ```
   */
  get filteringOptions() {
    return this._filteringOptions || this._defaultFilteringOptions;
  }
  set filteringOptions(value) {
    this._filteringOptions = value;
  }
  constructor(elementRef, cdr, selectionService, comboAPI, _iconService, _displayDensityOptions, _inputGroupType, _injector) {
    super(_displayDensityOptions, elementRef);
    this.elementRef = elementRef;
    this.cdr = cdr;
    this.selectionService = selectionService;
    this.comboAPI = comboAPI;
    this._iconService = _iconService;
    this._displayDensityOptions = _displayDensityOptions;
    this._inputGroupType = _inputGroupType;
    this._injector = _injector;
    this.showSearchCaseIcon = false;
    this.overlaySettings = null;
    this.id = `igx-combo-${NEXT_ID18++}`;
    this.allowCustomValues = false;
    this.valueKey = null;
    this.cssClass = "igx-combo";
    this.disabled = false;
    this.opening = new EventEmitter44();
    this.opened = new EventEmitter44();
    this.closing = new EventEmitter44();
    this.closed = new EventEmitter44();
    this.addition = new EventEmitter44();
    this.searchInputUpdate = new EventEmitter44();
    this.dataPreLoad = new EventEmitter44();
    this.itemTemplate = null;
    this.headerTemplate = null;
    this.footerTemplate = null;
    this.headerItemTemplate = null;
    this.addItemTemplate = null;
    this.emptyTemplate = null;
    this.toggleIconTemplate = null;
    this.clearIconTemplate = null;
    this.searchInput = null;
    this.dropdownContainer = null;
    this.customValueFlag = true;
    this.filterValue = "";
    this.defaultFallbackGroup = "Other";
    this.activeDescendant = "";
    this._data = [];
    this._value = [];
    this._displayValue = "";
    this._groupKey = "";
    this._searchValue = "";
    this._filteredData = [];
    this._remoteSelection = {};
    this._resourceStrings = getCurrentResourceStrings(ComboResourceStringsEN);
    this._valid = IgxInputState.INITIAL;
    this.ngControl = null;
    this.destroy$ = new Subject29();
    this._onTouchedCallback = noop8;
    this._onChangeCallback = noop8;
    this.compareCollator = new Intl.Collator();
    this._type = null;
    this._dataType = "";
    this._itemHeight = null;
    this._itemsMaxHeight = null;
    this._groupSortingDirection = SortingDirection.Asc;
    this._defaultFilteringOptions = { caseSensitive: false, filterable: true };
    this.onStatusChanged = () => {
      if (this.ngControl && this.isTouchedOrDirty && !this.disabled) {
        if (this.hasValidators && (!this.collapsed || this.inputGroup.isFocused)) {
          this.valid = this.ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
        } else {
          this.valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
        }
      } else {
        this.valid = IgxInputState.INITIAL;
      }
      this.manageRequiredAsterisk();
    };
    this.findMatch = (element) => {
      const value = this.displayKey ? element[this.displayKey] : element;
      const searchValue = this.searchValue || this.comboInput?.value;
      return value?.toString().trim().toLowerCase() === searchValue.trim().toLowerCase();
    };
  }
  ngAfterViewChecked() {
    const targetElement = this.inputGroup.element.nativeElement.querySelector(".igx-input-group__bundle");
    this._overlaySettings = {
      target: targetElement,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new AutoPositionStrategy(),
      modal: false,
      closeOnOutsideClick: true,
      excludeFromOutsideClick: [targetElement]
    };
  }
  /** @hidden @internal */
  ngAfterContentChecked() {
    if (this.inputGroup && this.prefixes?.length > 0) {
      this.inputGroup.prefixes = this.prefixes;
    }
    if (this.inputGroup && this.suffixes?.length > 0) {
      this.inputGroup.suffixes = this.suffixes;
    }
  }
  /** @hidden @internal */
  ngOnInit() {
    super.ngOnInit();
    this.ngControl = this._injector.get(NgControl5, null);
    this.selectionService.set(this.id, /* @__PURE__ */ new Set());
    this._iconService.addSvgIconFromText(caseSensitive.name, caseSensitive.value, "imx-icons");
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.filteredData = [...this.data];
    if (this.ngControl) {
      this.ngControl.statusChanges.pipe(takeUntil21(this.destroy$)).subscribe(this.onStatusChanged);
      this.manageRequiredAsterisk();
      this.cdr.detectChanges();
    }
    this.virtDir.chunkPreload.pipe(takeUntil21(this.destroy$)).subscribe((e) => {
      const eventArgs = Object.assign({}, e, { owner: this });
      this.dataPreLoad.emit(eventArgs);
    });
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
    this.comboAPI.clear();
    this.selectionService.delete(this.id);
  }
  /**
   * A method that opens/closes the combo.
   *
   * ```html
   * <button type="button" (click)="combo.toggle()">Toggle Combo</button>
   * <igx-combo #combo></igx-combo>
   * ```
   */
  toggle() {
    if (this.collapsed && this._displayValue.length !== 0) {
      this.filterValue = "";
      this.cdr.detectChanges();
    }
    const overlaySettings = Object.assign({}, this._overlaySettings, this.overlaySettings);
    this.dropdown.toggle(overlaySettings);
    if (!this.collapsed) {
      this.setActiveDescendant();
    }
  }
  /**
   * A method that opens the combo.
   *
   * ```html
   * <button type="button" (click)="combo.open()">Open Combo</button>
   * <igx-combo #combo></igx-combo>
   * ```
   */
  open() {
    if (this.collapsed && this._displayValue.length !== 0) {
      this.filterValue = "";
      this.cdr.detectChanges();
    }
    const overlaySettings = Object.assign({}, this._overlaySettings, this.overlaySettings);
    this.dropdown.open(overlaySettings);
    this.setActiveDescendant();
  }
  /**
   * A method that closes the combo.
   *
   * ```html
   * <button type="button" (click)="combo.close()">Close Combo</button>
   * <igx-combo #combo></igx-combo>
   * ```
   */
  close() {
    this.dropdown.close();
  }
  /**
   * Triggers change detection on the combo view
   */
  triggerCheck() {
    this.cdr.detectChanges();
  }
  /**
   * Get current selection state
   *
   * @returns Array of selected items
   * ```typescript
   * let mySelection = this.combo.selection;
   * ```
   */
  get selection() {
    const items = Array.from(this.selectionService.get(this.id));
    return this.convertKeysToItems(items);
  }
  /**
   * Returns if the specified itemID is selected
   *
   * @hidden
   * @internal
   */
  isItemSelected(item) {
    return this.selectionService.is_item_selected(this.id, item);
  }
  /** @hidden @internal */
  get toggleIcon() {
    if (this.inputGroup.theme === "material") {
      return this.dropdown.collapsed ? "expand_more" : "expand_less";
    }
    return this.dropdown.collapsed ? "arrow_drop_down" : "arrow_drop_up";
  }
  /** @hidden @internal */
  get clearIcon() {
    return this.inputGroup.theme === "material" ? "cancel" : "clear";
  }
  /** @hidden @internal */
  addItemToCollection() {
    if (!this.searchValue) {
      return;
    }
    const addedItem = this.displayKey ? {
      [this.valueKey]: this.searchValue,
      [this.displayKey]: this.searchValue
    } : this.searchValue;
    if (this.groupKey) {
      Object.assign(addedItem, { [this.groupKey]: this.defaultFallbackGroup });
    }
    const oldCollection = [...this.data];
    const newCollection = [...this.data, addedItem];
    const args = {
      oldCollection,
      addedItem,
      newCollection,
      owner: this,
      cancel: false
    };
    this.addition.emit(args);
    if (args.cancel) {
      return;
    }
    this.data.push(args.addedItem);
    this.data = cloneArray(this.data);
    this.select(this.valueKey !== null && this.valueKey !== void 0 ? [args.addedItem[this.valueKey]] : [args.addedItem], false);
    this.customValueFlag = false;
    this.searchInput?.nativeElement.focus();
    this.dropdown.focusedItem = null;
    this.virtDir.scrollTo(0);
  }
  /** @hidden @internal */
  isAddButtonVisible() {
    return this.searchValue !== "" && this.customValueFlag;
  }
  /** @hidden @internal */
  handleInputChange(event) {
    if (event !== void 0) {
      const args = {
        searchText: typeof event === "string" ? event : event.target.value,
        owner: this,
        cancel: false
      };
      this.searchInputUpdate.emit(args);
      if (args.cancel) {
        this.filterValue = null;
      }
    }
    this.checkMatch();
  }
  /**
   * Event handlers
   *
   * @hidden
   * @internal
   */
  handleOpening(e) {
    const args = { owner: this, event: e.event, cancel: e.cancel };
    this.opening.emit(args);
    e.cancel = args.cancel;
  }
  /** @hidden @internal */
  handleClosing(e) {
    const args = { owner: this, event: e.event, cancel: e.cancel };
    this.closing.emit(args);
    e.cancel = args.cancel;
    if (e.cancel) {
      return;
    }
    this.searchValue = "";
    if (!e.event) {
      this.comboInput?.nativeElement.focus();
    }
  }
  /** @hidden @internal */
  handleClosed() {
    this.closed.emit({ owner: this });
  }
  /** @hidden @internal */
  handleKeyDown(event) {
    if (event.key === "ArrowUp" || event.key === "Up") {
      event.preventDefault();
      event.stopPropagation();
      this.close();
    }
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  /** @hidden @internal */
  onClick(event) {
    event.stopPropagation();
    event.preventDefault();
    if (!this.disabled) {
      this.toggle();
    }
  }
  /** @hidden @internal */
  onBlur() {
    if (this.collapsed) {
      this._onTouchedCallback();
      if (this.ngControl && this.ngControl.invalid) {
        this.valid = IgxInputState.INVALID;
      } else {
        this.valid = IgxInputState.INITIAL;
      }
    }
  }
  /** @hidden @internal */
  setActiveDescendant() {
    this.activeDescendant = this.dropdown.focusedItem?.id || "";
  }
  /** @hidden @internal */
  toggleCaseSensitive() {
    this.filteringOptions = Object.assign({}, this.filteringOptions, { caseSensitive: !this.filteringOptions.caseSensitive });
  }
  get isTouchedOrDirty() {
    return this.ngControl.control.touched || this.ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this.ngControl.control.validator || !!this.ngControl.control.asyncValidator;
  }
  /** if there is a valueKey - map the keys to data items, else - just return the keys */
  convertKeysToItems(keys) {
    if (this.valueKey === null || this.valueKey === void 0) {
      return keys;
    }
    return keys.map((key) => {
      const item = isNaNvalue(key) ? this.data.find((entry) => isNaNvalue(entry[this.valueKey])) : this.data.find((entry) => entry[this.valueKey] === key);
      return item !== void 0 ? item : { [this.valueKey]: key };
    });
  }
  checkMatch() {
    const itemMatch = this.filteredData.some(this.findMatch);
    this.customValueFlag = this.allowCustomValues && !itemMatch;
  }
  manageRequiredAsterisk() {
    if (this.ngControl) {
      if (this.ngControl.control.validator) {
        const error = this.ngControl.control.validator({});
        this.inputGroup.isRequired = error && error.required;
      } else {
        this.inputGroup.isRequired = false;
      }
    }
  }
  /** Contains key-value pairs of the selected valueKeys and their resp. displayKeys */
  registerRemoteEntries(ids, add = true) {
    if (add) {
      const selection = this.getValueDisplayPairs(ids);
      for (const entry of selection) {
        this._remoteSelection[entry[this.valueKey]] = entry[this.displayKey];
      }
    } else {
      for (const entry of ids) {
        delete this._remoteSelection[entry];
      }
    }
  }
  /**
   * For `id: any[]` returns a mapped `{ [combo.valueKey]: any, [combo.displayKey]: any }[]`
   */
  getValueDisplayPairs(ids) {
    return this.data.filter((entry) => ids.indexOf(entry[this.valueKey]) > -1).map((e) => ({
      [this.valueKey]: e[this.valueKey],
      [this.displayKey]: e[this.displayKey]
    }));
  }
  getRemoteSelection(newSelection, oldSelection) {
    if (!newSelection.length) {
      this.registerRemoteEntries(oldSelection, false);
      return "";
    }
    const removedItems = oldSelection.filter((e) => newSelection.indexOf(e) < 0);
    const addedItems = newSelection.filter((e) => oldSelection.indexOf(e) < 0);
    this.registerRemoteEntries(addedItems);
    this.registerRemoteEntries(removedItems, false);
    return Object.keys(this._remoteSelection).map((e) => this._remoteSelection[e]).join(", ");
  }
  get required() {
    if (this.ngControl && this.ngControl.control && this.ngControl.control.validator) {
      const error = this.ngControl.control.validator({});
      return error && error.required;
    }
    return false;
  }
  static {
    this.ɵfac = i0101.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0101, type: _IgxComboBaseDirective, deps: [{ token: i0101.ElementRef }, { token: i0101.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: IgxComboAPIService }, { token: IgxIconService }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: i0101.Injector, optional: true }], target: i0101.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0101.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxComboBaseDirective, inputs: { showSearchCaseIcon: ["showSearchCaseIcon", "showSearchCaseIcon", booleanAttribute44], overlaySettings: "overlaySettings", id: "id", width: "width", allowCustomValues: ["allowCustomValues", "allowCustomValues", booleanAttribute44], itemsMaxHeight: "itemsMaxHeight", itemHeight: "itemHeight", itemsWidth: "itemsWidth", placeholder: "placeholder", data: "data", valueKey: "valueKey", displayKey: "displayKey", groupKey: "groupKey", groupSortingDirection: "groupSortingDirection", filterFunction: "filterFunction", ariaLabelledBy: "ariaLabelledBy", disabled: ["disabled", "disabled", booleanAttribute44], type: "type", resourceStrings: "resourceStrings", filteringOptions: "filteringOptions" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed", addition: "addition", searchInputUpdate: "searchInputUpdate", dataPreLoad: "dataPreLoad" }, host: { properties: { "attr.id": "this.id", "style.width": "this.width", "class.igx-combo": "this.cssClass" } }, queries: [{ propertyName: "itemTemplate", first: true, predicate: IgxComboItemDirective, descendants: true, read: TemplateRef8 }, { propertyName: "headerTemplate", first: true, predicate: IgxComboHeaderDirective, descendants: true, read: TemplateRef8 }, { propertyName: "footerTemplate", first: true, predicate: IgxComboFooterDirective, descendants: true, read: TemplateRef8 }, { propertyName: "headerItemTemplate", first: true, predicate: IgxComboHeaderItemDirective, descendants: true, read: TemplateRef8 }, { propertyName: "addItemTemplate", first: true, predicate: IgxComboAddItemDirective, descendants: true, read: TemplateRef8 }, { propertyName: "emptyTemplate", first: true, predicate: IgxComboEmptyDirective, descendants: true, read: TemplateRef8 }, { propertyName: "toggleIconTemplate", first: true, predicate: IgxComboToggleIconDirective, descendants: true, read: TemplateRef8 }, { propertyName: "clearIconTemplate", first: true, predicate: IgxComboClearIconDirective, descendants: true, read: TemplateRef8 }, { propertyName: "label", first: true, predicate: i0101.forwardRef(() => IgxLabelDirective), descendants: true, static: true }, { propertyName: "prefixes", predicate: IgxPrefixDirective, descendants: true }, { propertyName: "suffixes", predicate: IgxSuffixDirective, descendants: true }], viewQueries: [{ propertyName: "inputGroup", first: true, predicate: ["inputGroup"], descendants: true, read: IgxInputGroupComponent, static: true }, { propertyName: "comboInput", first: true, predicate: ["comboInput"], descendants: true, read: IgxInputDirective, static: true }, { propertyName: "searchInput", first: true, predicate: ["searchInput"], descendants: true }, { propertyName: "virtualScrollContainer", first: true, predicate: IgxForOfDirective, descendants: true, static: true }, { propertyName: "virtDir", first: true, predicate: IgxForOfDirective, descendants: true, read: IgxForOfDirective, static: true }, { propertyName: "dropdownContainer", first: true, predicate: ["dropdownItemContainer"], descendants: true, static: true }, { propertyName: "primitiveTemplate", first: true, predicate: ["primitive"], descendants: true, read: TemplateRef8, static: true }, { propertyName: "complexTemplate", first: true, predicate: ["complex"], descendants: true, read: TemplateRef8, static: true }], usesInheritance: true, ngImport: i0101 });
  }
};
i0101.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0101, type: IgxComboBaseDirective, decorators: [{
  type: Directive48
}], ctorParameters: () => [{ type: i0101.ElementRef }, { type: i0101.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: IgxComboAPIService }, { type: IgxIconService }, { type: void 0, decorators: [{
  type: Optional22
}, {
  type: Inject42,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional22
}, {
  type: Inject42,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: i0101.Injector, decorators: [{
  type: Optional22
}] }], propDecorators: { showSearchCaseIcon: [{
  type: Input68,
  args: [{ transform: booleanAttribute44 }]
}], overlaySettings: [{
  type: Input68
}], id: [{
  type: HostBinding52,
  args: ["attr.id"]
}, {
  type: Input68
}], width: [{
  type: HostBinding52,
  args: ["style.width"]
}, {
  type: Input68
}], allowCustomValues: [{
  type: Input68,
  args: [{ transform: booleanAttribute44 }]
}], itemsMaxHeight: [{
  type: Input68
}], itemHeight: [{
  type: Input68
}], itemsWidth: [{
  type: Input68
}], placeholder: [{
  type: Input68
}], data: [{
  type: Input68
}], valueKey: [{
  type: Input68
}], displayKey: [{
  type: Input68
}], groupKey: [{
  type: Input68
}], groupSortingDirection: [{
  type: Input68
}], filterFunction: [{
  type: Input68
}], ariaLabelledBy: [{
  type: Input68
}], cssClass: [{
  type: HostBinding52,
  args: ["class.igx-combo"]
}], disabled: [{
  type: Input68,
  args: [{ transform: booleanAttribute44 }]
}], type: [{
  type: Input68
}], resourceStrings: [{
  type: Input68
}], opening: [{
  type: Output34
}], opened: [{
  type: Output34
}], closing: [{
  type: Output34
}], closed: [{
  type: Output34
}], addition: [{
  type: Output34
}], searchInputUpdate: [{
  type: Output34
}], dataPreLoad: [{
  type: Output34
}], itemTemplate: [{
  type: ContentChild8,
  args: [IgxComboItemDirective, { read: TemplateRef8 }]
}], headerTemplate: [{
  type: ContentChild8,
  args: [IgxComboHeaderDirective, { read: TemplateRef8 }]
}], footerTemplate: [{
  type: ContentChild8,
  args: [IgxComboFooterDirective, { read: TemplateRef8 }]
}], headerItemTemplate: [{
  type: ContentChild8,
  args: [IgxComboHeaderItemDirective, { read: TemplateRef8 }]
}], addItemTemplate: [{
  type: ContentChild8,
  args: [IgxComboAddItemDirective, { read: TemplateRef8 }]
}], emptyTemplate: [{
  type: ContentChild8,
  args: [IgxComboEmptyDirective, { read: TemplateRef8 }]
}], toggleIconTemplate: [{
  type: ContentChild8,
  args: [IgxComboToggleIconDirective, { read: TemplateRef8 }]
}], clearIconTemplate: [{
  type: ContentChild8,
  args: [IgxComboClearIconDirective, { read: TemplateRef8 }]
}], label: [{
  type: ContentChild8,
  args: [forwardRef8(() => IgxLabelDirective), { static: true }]
}], inputGroup: [{
  type: ViewChild18,
  args: ["inputGroup", { read: IgxInputGroupComponent, static: true }]
}], comboInput: [{
  type: ViewChild18,
  args: ["comboInput", { read: IgxInputDirective, static: true }]
}], searchInput: [{
  type: ViewChild18,
  args: ["searchInput"]
}], virtualScrollContainer: [{
  type: ViewChild18,
  args: [IgxForOfDirective, { static: true }]
}], virtDir: [{
  type: ViewChild18,
  args: [IgxForOfDirective, { read: IgxForOfDirective, static: true }]
}], dropdownContainer: [{
  type: ViewChild18,
  args: ["dropdownItemContainer", { static: true }]
}], primitiveTemplate: [{
  type: ViewChild18,
  args: ["primitive", { read: TemplateRef8, static: true }]
}], complexTemplate: [{
  type: ViewChild18,
  args: ["complex", { read: TemplateRef8, static: true }]
}], prefixes: [{
  type: ContentChildren10,
  args: [IgxPrefixDirective, { descendants: true }]
}], suffixes: [{
  type: ContentChildren10,
  args: [IgxSuffixDirective, { descendants: true }]
}], filteringOptions: [{
  type: Input68
}] } });

// lib/combo/combo-add-item.component.mjs
import { Component as Component36 } from "@angular/core";
import * as i0102 from "@angular/core";
var IgxComboAddItemComponent = class _IgxComboAddItemComponent extends IgxComboItemComponent {
  get selected() {
    return false;
  }
  set selected(value) {
  }
  clicked(event) {
    this.comboAPI.disableTransitions = false;
    this.comboAPI.add_custom_item();
  }
  static {
    this.ɵfac = i0102.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0102, type: _IgxComboAddItemComponent, deps: null, target: i0102.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0102.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxComboAddItemComponent, isStandalone: true, selector: "igx-combo-add-item", providers: [{ provide: IgxComboItemComponent, useExisting: _IgxComboAddItemComponent }], usesInheritance: true, ngImport: i0102, template: "<ng-content></ng-content>", isInline: true });
  }
};
i0102.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0102, type: IgxComboAddItemComponent, decorators: [{
  type: Component36,
  args: [{
    selector: "igx-combo-add-item",
    template: "<ng-content></ng-content>",
    providers: [{ provide: IgxComboItemComponent, useExisting: IgxComboAddItemComponent }],
    standalone: true
  }]
}] });

// lib/combo/combo-dropdown.component.mjs
import { Component as Component37, Inject as Inject43, ContentChildren as ContentChildren11, Optional as Optional23, Input as Input69, booleanAttribute as booleanAttribute45 } from "@angular/core";
import { NgIf as NgIf18 } from "@angular/common";
import * as i0103 from "@angular/core";
var IgxComboDropDownComponent = class _IgxComboDropDownComponent extends IgxDropDownComponent {
  /** @hidden @internal */
  get scrollContainer() {
    return this.virtDir.dc.location.nativeElement;
  }
  get isScrolledToLast() {
    const scrollTop = this.virtDir.scrollPosition;
    const scrollHeight = this.virtDir.getScroll().scrollHeight;
    return Math.floor(scrollTop + this.virtDir.igxForContainerSize) === scrollHeight;
  }
  get lastVisibleIndex() {
    return this.combo.totalItemCount ? Math.floor(this.combo.itemsMaxHeight / this.combo.itemHeight) : this.items.length - 1;
  }
  get sortedChildren() {
    if (this.children !== void 0) {
      return this.children.toArray().sort((a, b) => a.index - b.index);
    }
    return null;
  }
  /**
   * Get all non-header items
   *
   * ```typescript
   * let myDropDownItems = this.dropdown.items;
   * ```
   */
  get items() {
    const items = [];
    if (this.children !== void 0) {
      const sortedChildren = this.sortedChildren;
      for (const child of sortedChildren) {
        if (!child.isHeader) {
          items.push(child);
        }
      }
    }
    return items;
  }
  constructor(elementRef, cdr, selection, combo, comboAPI, _displayDensityOptions) {
    super(elementRef, cdr, selection, _displayDensityOptions);
    this.combo = combo;
    this.comboAPI = comboAPI;
    this.singleMode = false;
    this.children = null;
    this.scrollHandler = () => {
      this.comboAPI.disableTransitions = true;
    };
  }
  /**
   * @hidden @internal
   */
  onFocus() {
    this.focusedItem = this._focusedItem || this.items[0];
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden @internal
   */
  onBlur(_evt) {
    this.focusedItem = null;
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden @internal
   */
  onToggleOpened() {
    this.opened.emit();
  }
  /**
   * @hidden
   */
  navigateFirst() {
    this.navigateItem(this.virtDir.igxForOf.findIndex((e) => !e?.isHeader));
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden
   */
  navigatePrev() {
    if (this._focusedItem && this._focusedItem.index === 0 && this.virtDir.state.startIndex === 0) {
      this.combo.focusSearchInput(false);
    } else {
      super.navigatePrev();
    }
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden
   */
  navigateNext() {
    const lastIndex = this.combo.totalItemCount ? this.combo.totalItemCount - 1 : this.virtDir.igxForOf.length - 1;
    if (this._focusedItem && this._focusedItem.index === lastIndex) {
      this.focusAddItemButton();
    } else {
      super.navigateNext();
    }
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden @internal
   */
  selectItem(item) {
    if (item === null || item === void 0) {
      return;
    }
    this.comboAPI.set_selected_item(item.itemID);
    this._focusedItem = item;
    this.combo.setActiveDescendant();
  }
  /**
   * @hidden @internal
   */
  updateScrollPosition() {
    this.virtDir.getScroll().scrollTop = this._scrollPosition;
  }
  /**
   * @hidden @internal
   */
  onItemActionKey(key) {
    switch (key) {
      case DropDownActionKey.ENTER:
        this.handleEnter();
        break;
      case DropDownActionKey.SPACE:
        this.handleSpace();
        break;
      case DropDownActionKey.ESCAPE:
        this.close();
    }
  }
  ngAfterViewInit() {
    this.virtDir.getScroll().addEventListener("scroll", this.scrollHandler);
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.virtDir.getScroll().removeEventListener("scroll", this.scrollHandler);
    super.ngOnDestroy();
  }
  scrollToHiddenItem(_newItem) {
  }
  handleEnter() {
    if (this.isAddItemFocused()) {
      this.combo.addItemToCollection();
      return;
    }
    if (this.singleMode && this.focusedItem) {
      this.combo.select(this.focusedItem.itemID);
    }
    this.close();
  }
  handleSpace() {
    if (this.isAddItemFocused()) {
      return;
    } else {
      this.selectItem(this.focusedItem);
    }
  }
  isAddItemFocused() {
    return this.focusedItem instanceof IgxComboAddItemComponent;
  }
  focusAddItemButton() {
    if (this.combo.isAddButtonVisible()) {
      this.focusedItem = this.items[this.items.length - 1];
    }
  }
  static {
    this.ɵfac = i0103.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0103, type: _IgxComboDropDownComponent, deps: [{ token: i0103.ElementRef }, { token: i0103.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: IGX_COMBO_COMPONENT }, { token: IgxComboAPIService }, { token: DisplayDensityToken, optional: true }], target: i0103.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0103.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxComboDropDownComponent, isStandalone: true, selector: "igx-combo-drop-down", inputs: { singleMode: ["singleMode", "singleMode", booleanAttribute45] }, providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: _IgxComboDropDownComponent }], queries: [{ propertyName: "children", predicate: IgxComboItemComponent, descendants: true }], usesInheritance: true, ngImport: i0103, template: '<div class="igx-drop-down__list" [style.width]="width"\n    igxToggle\n    [style.--component-size]="getComponentSizeStyles()"\n    (appended)="onToggleContentAppended($event)"\n    (opening)="onToggleOpening($event)" (opened)="onToggleOpened()"\n    (closing)="onToggleClosing($event)" (closed)="onToggleClosed()">\n    <div class="igx-drop-down__list-scroll" #scrollContainer [attr.id]="listId" role="listbox" [attr.aria-labelledby]="labelledBy"\n    [style.height]="height"\n    [style.maxHeight]="maxHeight">\n        <ng-container *ngIf="!collapsed">\n            <ng-content></ng-content>\n        </ng-container>\n    </div>\n</div>\n', dependencies: [{ kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: NgIf18, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0103.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0103, type: IgxComboDropDownComponent, decorators: [{
  type: Component37,
  args: [{ selector: "igx-combo-drop-down", providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: IgxComboDropDownComponent }], standalone: true, imports: [IgxToggleDirective, NgIf18], template: '<div class="igx-drop-down__list" [style.width]="width"\n    igxToggle\n    [style.--component-size]="getComponentSizeStyles()"\n    (appended)="onToggleContentAppended($event)"\n    (opening)="onToggleOpening($event)" (opened)="onToggleOpened()"\n    (closing)="onToggleClosing($event)" (closed)="onToggleClosed()">\n    <div class="igx-drop-down__list-scroll" #scrollContainer [attr.id]="listId" role="listbox" [attr.aria-labelledby]="labelledBy"\n    [style.height]="height"\n    [style.maxHeight]="maxHeight">\n        <ng-container *ngIf="!collapsed">\n            <ng-content></ng-content>\n        </ng-container>\n    </div>\n</div>\n' }]
}], ctorParameters: () => [{ type: i0103.ElementRef }, { type: i0103.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: void 0, decorators: [{
  type: Inject43,
  args: [IGX_COMBO_COMPONENT]
}] }, { type: IgxComboAPIService }, { type: void 0, decorators: [{
  type: Optional23
}, {
  type: Inject43,
  args: [DisplayDensityToken]
}] }], propDecorators: { singleMode: [{
  type: Input69,
  args: [{ transform: booleanAttribute45 }]
}], children: [{
  type: ContentChildren11,
  args: [IgxComboItemComponent, { descendants: true }]
}] } });

// lib/combo/combo.pipes.mjs
import { Inject as Inject44, Pipe as Pipe3 } from "@angular/core";
import * as i0104 from "@angular/core";
var IgxComboFilteringPipe = class _IgxComboFilteringPipe {
  transform(collection, searchValue, displayKey, filteringOptions, filterFunction = defaultFilterFunction) {
    if (!collection) {
      return [];
    }
    if (!filteringOptions.filterable) {
      return collection;
    }
    filteringOptions.filteringKey = filteringOptions.filteringKey ?? displayKey;
    return filterFunction(collection, searchValue, filteringOptions);
  }
  static {
    this.ɵfac = i0104.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: _IgxComboFilteringPipe, deps: [], target: i0104.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0104.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: _IgxComboFilteringPipe, isStandalone: true, name: "comboFiltering" });
  }
};
i0104.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: IgxComboFilteringPipe, decorators: [{
  type: Pipe3,
  args: [{
    name: "comboFiltering",
    standalone: true
  }]
}] });
var IgxComboGroupingPipe = class _IgxComboGroupingPipe {
  constructor(combo) {
    this.combo = combo;
  }
  transform(collection, groupKey, valueKey, sortingDirection, compareCollator) {
    this.combo.filteredData = collection;
    if (!groupKey && groupKey !== 0 || !collection.length) {
      return collection;
    }
    const groups = Object.entries(groupBy(collection, (item) => item[groupKey] ?? "Other"));
    if (sortingDirection !== SortingDirection.None) {
      const reverse = sortingDirection === SortingDirection.Desc ? -1 : 1;
      groups.sort((a, b) => {
        return compareCollator.compare(a[0], b[0]) * reverse;
      });
    }
    const result = groups.flatMap(([_, items]) => {
      items.unshift({
        isHeader: true,
        [valueKey]: items[0][groupKey],
        [groupKey]: items[0][groupKey]
      });
      return items;
    });
    return result;
  }
  static {
    this.ɵfac = i0104.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: _IgxComboGroupingPipe, deps: [{ token: IGX_COMBO_COMPONENT }], target: i0104.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0104.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: _IgxComboGroupingPipe, isStandalone: true, name: "comboGrouping" });
  }
};
i0104.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0104, type: IgxComboGroupingPipe, decorators: [{
  type: Pipe3,
  args: [{
    name: "comboGrouping",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject44,
  args: [IGX_COMBO_COMPONENT]
}] }] });
function defaultFilterFunction(collection, searchValue, filteringOptions) {
  if (!searchValue) {
    return collection;
  }
  const { caseSensitive: caseSensitive2, filteringKey } = filteringOptions;
  const term = caseSensitive2 ? searchValue : searchValue.toLowerCase();
  return collection.filter((item) => {
    const str = filteringKey ? `${item[filteringKey]}` : `${item}`;
    return (caseSensitive2 ? str : str.toLowerCase()).includes(term);
  });
}
function normalizeString(str, caseSensitive2 = false) {
  return (caseSensitive2 ? str : str.toLocaleLowerCase()).normalize("NFKD").replace(/\p{M}/gu, "");
}
function groupBy(data, key) {
  const result = {};
  const _get = typeof key === "function" ? key : (item) => item[key];
  for (const item of data) {
    const category = _get(item);
    const group = result[category];
    Array.isArray(group) ? group.push(item) : result[category] = [item];
  }
  return result;
}
function comboIgnoreDiacriticsFilter(collection, searchValue, filteringOptions) {
  if (!searchValue) {
    return collection;
  }
  const { caseSensitive: caseSensitive2, filteringKey } = filteringOptions;
  const term = normalizeString(searchValue, caseSensitive2);
  return collection.filter((item) => {
    const str = filteringKey ? `${item[filteringKey]}` : `${item}`;
    return normalizeString(str, caseSensitive2).includes(term);
  });
}

// lib/combo/combo.component.mjs
import { NgClass as NgClass4, NgIf as NgIf19, NgTemplateOutlet as NgTemplateOutlet9 } from "@angular/common";
import { Component as Component38, Optional as Optional24, Inject as Inject45, ViewChild as ViewChild19, Input as Input70, Output as Output35, EventEmitter as EventEmitter45, HostListener as HostListener30, booleanAttribute as booleanAttribute46 } from "@angular/core";
import { FormsModule, NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR11 } from "@angular/forms";
import * as i0105 from "@angular/core";
import * as i4 from "@angular/forms";
var diffInSets = (set1, set2) => {
  const results = [];
  set1.forEach((entry) => {
    if (!set2.has(entry)) {
      results.push(entry);
    }
  });
  return results;
};
var IgxComboComponent = class _IgxComboComponent extends IgxComboBaseDirective {
  /**
   * Enables/disables filtering in the list. The default is `true`.
   *
   * @deprecated in version 14.0.0. Use the `filteringOptions.filterable` property instead.
   */
  get filterable() {
    return this.filteringOptions.filterable;
  }
  set filterable(value) {
    this.filteringOptions = Object.assign({}, this.filteringOptions, { filterable: value });
  }
  /** @hidden @internal */
  get filteredData() {
    return this.filteringOptions.filterable ? this._filteredData : this.data;
  }
  /** @hidden @internal */
  set filteredData(val) {
    this._filteredData = this.groupKey ? (val || []).filter((e) => e.isHeader !== true) : val;
    this.checkMatch();
  }
  constructor(elementRef, cdr, selectionService, comboAPI, _iconService, _displayDensityOptions, _inputGroupType, _injector) {
    super(elementRef, cdr, selectionService, comboAPI, _iconService, _displayDensityOptions, _inputGroupType, _injector);
    this.autoFocusSearch = true;
    this.searchPlaceholder = "Enter a Search Term";
    this.selectionChanging = new EventEmitter45();
    this.filteringLogic = FilteringLogic.Or;
    this.stringFilters = IgxStringFilteringOperand;
    this.booleanFilters = IgxBooleanFilteringOperand;
    this._prevInputValue = "";
    this.comboAPI.register(this);
  }
  onArrowDown(event) {
    event.preventDefault();
    event.stopPropagation();
    this.open();
  }
  /** @hidden @internal */
  get displaySearchInput() {
    return this.filteringOptions.filterable || this.allowCustomValues;
  }
  /**
   * @hidden @internal
   */
  handleKeyUp(event) {
    if (event.key === "ArrowDown" || event.key === "Down") {
      this.dropdown.focusedItem = this.dropdown.items[0];
      this.dropdownContainer.nativeElement.focus();
    } else if (event.key === "Escape" || event.key === "Esc") {
      this.toggle();
    }
  }
  /**
   * @hidden @internal
   */
  handleSelectAll(evt) {
    if (evt.checked) {
      this.selectAllItems();
    } else {
      this.deselectAllItems();
    }
  }
  /**
   * @hidden @internal
   */
  writeValue(value) {
    const selection = Array.isArray(value) ? value.filter((x) => x !== void 0) : [];
    const oldSelection = this.selection;
    this.selectionService.select_items(this.id, selection, true);
    this.cdr.markForCheck();
    this._displayValue = this.createDisplayText(this.selection, oldSelection);
    this._value = this.valueKey ? this.selection.map((item) => item[this.valueKey]) : this.selection;
  }
  /** @hidden @internal */
  ngDoCheck() {
    if (this.data?.length && this.selection.length) {
      this._displayValue = this._displayText || this.createDisplayText(this.selection, []);
      this._value = this.valueKey ? this.selection.map((item) => item[this.valueKey]) : this.selection;
    }
    super.ngDoCheck();
  }
  /**
   * @hidden
   */
  getEditElement() {
    return this.comboInput.nativeElement;
  }
  /**
   * @hidden @internal
   */
  get context() {
    return {
      $implicit: this
    };
  }
  /**
   * @hidden @internal
   */
  handleClearItems(event) {
    if (this.disabled) {
      return;
    }
    this.deselectAllItems(true, event);
    if (this.collapsed) {
      this.getEditElement().focus();
    } else {
      this.focusSearchInput(true);
    }
    event.stopPropagation();
  }
  /**
   * Select defined items
   *
   * @param newItems new items to be selected
   * @param clearCurrentSelection if true clear previous selected items
   * ```typescript
   * this.combo.select(["New York", "New Jersey"]);
   * ```
   */
  select(newItems, clearCurrentSelection, event) {
    if (newItems) {
      const newSelection = this.selectionService.add_items(this.id, newItems, clearCurrentSelection);
      this.setSelection(newSelection, event);
    }
  }
  /**
   * Deselect defined items
   *
   * @param items items to deselected
   * ```typescript
   * this.combo.deselect(["New York", "New Jersey"]);
   * ```
   */
  deselect(items, event) {
    if (items) {
      const newSelection = this.selectionService.delete_items(this.id, items);
      this.setSelection(newSelection, event);
    }
  }
  /**
   * Select all (filtered) items
   *
   * @param ignoreFilter if set to true, selects all items, otherwise selects only the filtered ones.
   * ```typescript
   * this.combo.selectAllItems();
   * ```
   */
  selectAllItems(ignoreFilter, event) {
    const allVisible = this.selectionService.get_all_ids(ignoreFilter ? this.data : this.filteredData, this.valueKey);
    const newSelection = this.selectionService.add_items(this.id, allVisible);
    this.setSelection(newSelection, event);
  }
  /**
   * Deselect all (filtered) items
   *
   * @param ignoreFilter if set to true, deselects all items, otherwise deselects only the filtered ones.
   * ```typescript
   * this.combo.deselectAllItems();
   * ```
   */
  deselectAllItems(ignoreFilter, event) {
    let newSelection = this.selectionService.get_empty();
    if (this.filteredData.length !== this.data.length && !ignoreFilter) {
      newSelection = this.selectionService.delete_items(this.id, this.selectionService.get_all_ids(this.filteredData, this.valueKey));
    }
    this.setSelection(newSelection, event);
  }
  /**
   * Selects/Deselects a single item
   *
   * @param itemID the itemID of the specific item
   * @param select If the item should be selected (true) or deselected (false)
   *
   * Without specified valueKey;
   * ```typescript
   * this.combo.valueKey = null;
   * const items: { field: string, region: string}[] = data;
   * this.combo.setSelectedItem(items[0], true);
   * ```
   * With specified valueKey;
   * ```typescript
   * this.combo.valueKey = 'field';
   * const items: { field: string, region: string}[] = data;
   * this.combo.setSelectedItem('Connecticut', true);
   * ```
   */
  setSelectedItem(itemID, select = true, event) {
    if (itemID === void 0) {
      return;
    }
    if (select) {
      this.select([itemID], false, event);
    } else {
      this.deselect([itemID], event);
    }
  }
  /** @hidden @internal */
  handleOpened() {
    this.triggerCheck();
    if (this.autoFocusSearch) {
      this.focusSearchInput(true);
    } else {
      this.dropdownContainer.nativeElement.focus();
    }
    this.opened.emit({ owner: this });
  }
  /** @hidden @internal */
  focusSearchInput(opening) {
    if (this.displaySearchInput && this.searchInput) {
      this.searchInput.nativeElement.focus();
    } else {
      if (opening) {
        this.dropdownContainer.nativeElement.focus();
      } else {
        this.comboInput.nativeElement.focus();
        this.toggle();
      }
    }
  }
  setSelection(selection, event) {
    const currentSelection = this.selectionService.get(this.id);
    const removed = this.convertKeysToItems(diffInSets(currentSelection, selection));
    const added = this.convertKeysToItems(diffInSets(selection, currentSelection));
    const newValue = Array.from(selection);
    const oldValue = Array.from(currentSelection || []);
    const newSelection = this.convertKeysToItems(newValue);
    const oldSelection = this.convertKeysToItems(oldValue);
    const displayText = this.createDisplayText(this.convertKeysToItems(newValue), oldValue);
    const args = {
      newValue,
      oldValue,
      newSelection,
      oldSelection,
      added,
      removed,
      event,
      owner: this,
      displayText,
      cancel: false
    };
    this.selectionChanging.emit(args);
    if (!args.cancel) {
      this.selectionService.select_items(this.id, args.newValue, true);
      this._value = args.newValue;
      if (displayText !== args.displayText) {
        this._displayValue = this._displayText = args.displayText;
      } else {
        this._displayValue = this.createDisplayText(this.selection, args.oldSelection);
      }
      this._onChangeCallback(args.newValue);
    } else if (this.isRemote) {
      this.registerRemoteEntries(diffInSets(selection, currentSelection), false);
    }
  }
  createDisplayText(newSelection, oldSelection) {
    const selection = this.valueKey ? newSelection.map((item) => item[this.valueKey]) : newSelection;
    return this.isRemote ? this.getRemoteSelection(selection, oldSelection) : this.concatDisplayText(newSelection);
  }
  /** Returns a string that should be populated in the combo's text box */
  concatDisplayText(selection) {
    const value = this.displayKey !== null && this.displayKey !== void 0 ? selection.map((entry) => entry[this.displayKey]).join(", ") : selection.join(", ");
    return value;
  }
  static {
    this.ɵfac = i0105.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0105, type: _IgxComboComponent, deps: [{ token: i0105.ElementRef }, { token: i0105.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: IgxComboAPIService }, { token: IgxIconService }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: i0105.Injector, optional: true }], target: i0105.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0105.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxComboComponent, isStandalone: true, selector: "igx-combo", inputs: { autoFocusSearch: ["autoFocusSearch", "autoFocusSearch", booleanAttribute46], filterable: ["filterable", "filterable", booleanAttribute46], searchPlaceholder: "searchPlaceholder" }, outputs: { selectionChanging: "selectionChanging" }, host: { listeners: { "keydown.ArrowDown": "onArrowDown($event)", "keydown.Alt.ArrowDown": "onArrowDown($event)" } }, providers: [
      IgxComboAPIService,
      { provide: IGX_COMBO_COMPONENT, useExisting: _IgxComboComponent },
      { provide: NG_VALUE_ACCESSOR11, useExisting: _IgxComboComponent, multi: true }
    ], viewQueries: [{ propertyName: "dropdown", first: true, predicate: IgxComboDropDownComponent, descendants: true, static: true }], usesInheritance: true, ngImport: i0105, template: `<igx-input-group #inputGroup [displayDensity]="displayDensity" [type]="type" (click)="onClick($event)">
    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-hint, [igxHint]">
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>
    <input igxInput #comboInput name="comboInput" type="text" [value]="displayValue" readonly
            [attr.placeholder]="placeholder" [disabled]="disabled"
            role="combobox" aria-haspopup="listbox"
            [attr.aria-expanded]="!dropdown.collapsed" [attr.aria-controls]="dropdown.listId"
            [attr.aria-labelledby]="ariaLabelledBy || label?.id || placeholder"
            (blur)="onBlur()" />
    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix"></ng-content>
    </ng-container>
    <igx-suffix *ngIf="displayValue" aria-label="Clear Selection" class="igx-combo__clear-button"
        (click)="handleClearItems($event)">
        <ng-container *ngIf="clearIconTemplate">
            <ng-container *ngTemplateOutlet="clearIconTemplate"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!clearIconTemplate">
            {{ clearIcon }}
        </igx-icon>
    </igx-suffix>
    <igx-suffix class="igx-combo__toggle-button">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ toggleIcon }}
        </igx-icon>
    </igx-suffix>
</igx-input-group>
<igx-combo-drop-down #igxComboDropDown class="igx-combo__drop-down" [displayDensity]="displayDensity"
    [labelledBy]="ariaLabelledBy || label?.id || placeholder || ''"
    [width]="itemsWidth || '100%'" (opening)="handleOpening($event)" (closing)="handleClosing($event)"
    (opened)="handleOpened()" (closed)="handleClosed()">
    <div class="igx-combo__search">
        <igx-input-group *ngIf="displaySearchInput" [displayDensity]="displayDensity" theme="material" >
            <input igxInput #searchInput name="searchInput" autocomplete="off" type="text"
                   [(ngModel)]="searchValue" (ngModelChange)="handleInputChange($event)" (keyup)="handleKeyUp($event)"
                   (keydown)="handleKeyDown($event)" (focus)="dropdown.onBlur($event)" [attr.placeholder]="searchPlaceholder"
                   aria-autocomplete="list" role="searchbox" aria-label="search"/>
            <igx-suffix *ngIf="showSearchCaseIcon" (click)="toggleCaseSensitive()">
                <span [ngClass]="filteringOptions.caseSensitive? 'igx-combo__case-icon--active' : 'igx-combo__case-icon'">
                    <igx-icon family="imx-icons" name="case-sensitive" [active]="filteringOptions.caseSensitive"></igx-icon>
                </span>
            </igx-suffix>
        </igx-input-group>
    </div>
    <ng-container *ngTemplateOutlet="headerTemplate">
    </ng-container>
    <div #dropdownItemContainer class="igx-combo__content" [style.overflow]="'hidden'"
        [style.maxHeight.rem]="itemsMaxHeightInRem" [igxDropDownItemNavigation]="dropdown" (focus)="dropdown.onFocus()"
        [tabindex]="dropdown.collapsed ? -1 : 0" [attr.id]="dropdown.id" aria-multiselectable="true"
        [attr.aria-activedescendant]="activeDescendant">
        <igx-combo-item [itemHeight]="itemHeight" *igxFor="let item of data
            | comboFiltering:filterValue:displayKey:filteringOptions:filterFunction
            | comboGrouping:groupKey:valueKey:groupSortingDirection:compareCollator;
            index as rowIndex; containerSize: itemsMaxHeight; scrollOrientation: 'vertical'; itemSize: itemHeight"
            [value]="item" [isHeader]="item?.isHeader" [index]="rowIndex" [role]="item?.isHeader? 'group' : 'option'">
            <ng-container *ngIf="item?.isHeader">
                <ng-container
                    *ngTemplateOutlet="headerItemTemplate ? headerItemTemplate : headerItemBase;
                    context: {$implicit: item, data: data, valueKey: valueKey, groupKey: groupKey, displayKey: displayKey}">
                </ng-container>
            </ng-container>
            <!-- if item is 'null' it should be displayed and !!(item?.isHeader) would resolve it to 'false' and not display it -->
            <ng-container *ngIf="!item?.isHeader">
                <ng-container #listItem
                    *ngTemplateOutlet="template; context: {$implicit: item, data: data, valueKey: valueKey, displayKey: displayKey};">
                </ng-container>
            </ng-container>
        </igx-combo-item>
    </div>
    <div class="igx-combo__add" *ngIf="filteredData.length === 0 || isAddButtonVisible()">
        <div class="igx-combo__empty" *ngIf="filteredData.length === 0">
            <ng-container *ngTemplateOutlet="emptyTemplate ? emptyTemplate : empty">
            </ng-container>
        </div>
        <igx-combo-add-item [itemHeight]="itemHeight" *ngIf="isAddButtonVisible()"
            [tabindex]="dropdown.collapsed ? -1 : customValueFlag ? 1 : -1" class="igx-combo__add-item" role="button"
            aria-label="Add Item" [index]="virtualScrollContainer.igxForOf.length">
            <ng-container *ngTemplateOutlet="addItemTemplate ? addItemTemplate : addItemDefault">
            </ng-container>
        </igx-combo-add-item>
    </div>
    <ng-container *ngTemplateOutlet="footerTemplate">
    </ng-container>
</igx-combo-drop-down>
<ng-template #complex let-display let-data="data" let-key="displayKey">
    {{display[key]}}
</ng-template>
<ng-template #primitive let-display>
    {{display}}
</ng-template>
<ng-template #empty>
    <span>{{resourceStrings.igx_combo_empty_message}}</span>
</ng-template>
<ng-template #addItemDefault let-control>
    <button type="button" igxButton="flat" igxRipple>Add item</button>
</ng-template>
<ng-template #headerItemBase let-item let-key="valueKey" let-groupKey="groupKey">
    {{ item[key] }}
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf19, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet9, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgClass4, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i4.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i4.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i4.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxComboDropDownComponent, selector: "igx-combo-drop-down", inputs: ["singleMode"] }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "directive", type: IgxForOfDirective, selector: "[igxFor][igxForOf]", inputs: ["igxForOf", "igxForSizePropName", "igxForScrollOrientation", "igxForScrollContainer", "igxForContainerSize", "igxForItemSize", "igxForTotalItemCount", "igxForTrackBy"], outputs: ["chunkLoad", "scrollbarVisibilityChanged", "contentSizeChange", "dataChanged", "beforeViewDestroyed", "chunkPreload"] }, { kind: "component", type: IgxComboItemComponent, selector: "igx-combo-item", inputs: ["itemHeight", "ariaLabel", "singleMode"] }, { kind: "component", type: IgxComboAddItemComponent, selector: "igx-combo-add-item" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "pipe", type: IgxComboFilteringPipe, name: "comboFiltering" }, { kind: "pipe", type: IgxComboGroupingPipe, name: "comboGrouping" }] });
  }
};
i0105.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0105, type: IgxComboComponent, decorators: [{
  type: Component38,
  args: [{ selector: "igx-combo", providers: [
    IgxComboAPIService,
    { provide: IGX_COMBO_COMPONENT, useExisting: IgxComboComponent },
    { provide: NG_VALUE_ACCESSOR11, useExisting: IgxComboComponent, multi: true }
  ], standalone: true, imports: [
    NgIf19,
    NgTemplateOutlet9,
    NgClass4,
    FormsModule,
    IgxInputGroupComponent,
    IgxInputDirective,
    IgxSuffixDirective,
    IgxIconComponent,
    IgxComboDropDownComponent,
    IgxDropDownItemNavigationDirective,
    IgxForOfDirective,
    IgxComboItemComponent,
    IgxComboAddItemComponent,
    IgxButtonDirective,
    IgxRippleDirective,
    IgxComboFilteringPipe,
    IgxComboGroupingPipe
  ], template: `<igx-input-group #inputGroup [displayDensity]="displayDensity" [type]="type" (click)="onClick($event)">
    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-hint, [igxHint]">
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>
    <input igxInput #comboInput name="comboInput" type="text" [value]="displayValue" readonly
            [attr.placeholder]="placeholder" [disabled]="disabled"
            role="combobox" aria-haspopup="listbox"
            [attr.aria-expanded]="!dropdown.collapsed" [attr.aria-controls]="dropdown.listId"
            [attr.aria-labelledby]="ariaLabelledBy || label?.id || placeholder"
            (blur)="onBlur()" />
    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix"></ng-content>
    </ng-container>
    <igx-suffix *ngIf="displayValue" aria-label="Clear Selection" class="igx-combo__clear-button"
        (click)="handleClearItems($event)">
        <ng-container *ngIf="clearIconTemplate">
            <ng-container *ngTemplateOutlet="clearIconTemplate"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!clearIconTemplate">
            {{ clearIcon }}
        </igx-icon>
    </igx-suffix>
    <igx-suffix class="igx-combo__toggle-button">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ toggleIcon }}
        </igx-icon>
    </igx-suffix>
</igx-input-group>
<igx-combo-drop-down #igxComboDropDown class="igx-combo__drop-down" [displayDensity]="displayDensity"
    [labelledBy]="ariaLabelledBy || label?.id || placeholder || ''"
    [width]="itemsWidth || '100%'" (opening)="handleOpening($event)" (closing)="handleClosing($event)"
    (opened)="handleOpened()" (closed)="handleClosed()">
    <div class="igx-combo__search">
        <igx-input-group *ngIf="displaySearchInput" [displayDensity]="displayDensity" theme="material" >
            <input igxInput #searchInput name="searchInput" autocomplete="off" type="text"
                   [(ngModel)]="searchValue" (ngModelChange)="handleInputChange($event)" (keyup)="handleKeyUp($event)"
                   (keydown)="handleKeyDown($event)" (focus)="dropdown.onBlur($event)" [attr.placeholder]="searchPlaceholder"
                   aria-autocomplete="list" role="searchbox" aria-label="search"/>
            <igx-suffix *ngIf="showSearchCaseIcon" (click)="toggleCaseSensitive()">
                <span [ngClass]="filteringOptions.caseSensitive? 'igx-combo__case-icon--active' : 'igx-combo__case-icon'">
                    <igx-icon family="imx-icons" name="case-sensitive" [active]="filteringOptions.caseSensitive"></igx-icon>
                </span>
            </igx-suffix>
        </igx-input-group>
    </div>
    <ng-container *ngTemplateOutlet="headerTemplate">
    </ng-container>
    <div #dropdownItemContainer class="igx-combo__content" [style.overflow]="'hidden'"
        [style.maxHeight.rem]="itemsMaxHeightInRem" [igxDropDownItemNavigation]="dropdown" (focus)="dropdown.onFocus()"
        [tabindex]="dropdown.collapsed ? -1 : 0" [attr.id]="dropdown.id" aria-multiselectable="true"
        [attr.aria-activedescendant]="activeDescendant">
        <igx-combo-item [itemHeight]="itemHeight" *igxFor="let item of data
            | comboFiltering:filterValue:displayKey:filteringOptions:filterFunction
            | comboGrouping:groupKey:valueKey:groupSortingDirection:compareCollator;
            index as rowIndex; containerSize: itemsMaxHeight; scrollOrientation: 'vertical'; itemSize: itemHeight"
            [value]="item" [isHeader]="item?.isHeader" [index]="rowIndex" [role]="item?.isHeader? 'group' : 'option'">
            <ng-container *ngIf="item?.isHeader">
                <ng-container
                    *ngTemplateOutlet="headerItemTemplate ? headerItemTemplate : headerItemBase;
                    context: {$implicit: item, data: data, valueKey: valueKey, groupKey: groupKey, displayKey: displayKey}">
                </ng-container>
            </ng-container>
            <!-- if item is 'null' it should be displayed and !!(item?.isHeader) would resolve it to 'false' and not display it -->
            <ng-container *ngIf="!item?.isHeader">
                <ng-container #listItem
                    *ngTemplateOutlet="template; context: {$implicit: item, data: data, valueKey: valueKey, displayKey: displayKey};">
                </ng-container>
            </ng-container>
        </igx-combo-item>
    </div>
    <div class="igx-combo__add" *ngIf="filteredData.length === 0 || isAddButtonVisible()">
        <div class="igx-combo__empty" *ngIf="filteredData.length === 0">
            <ng-container *ngTemplateOutlet="emptyTemplate ? emptyTemplate : empty">
            </ng-container>
        </div>
        <igx-combo-add-item [itemHeight]="itemHeight" *ngIf="isAddButtonVisible()"
            [tabindex]="dropdown.collapsed ? -1 : customValueFlag ? 1 : -1" class="igx-combo__add-item" role="button"
            aria-label="Add Item" [index]="virtualScrollContainer.igxForOf.length">
            <ng-container *ngTemplateOutlet="addItemTemplate ? addItemTemplate : addItemDefault">
            </ng-container>
        </igx-combo-add-item>
    </div>
    <ng-container *ngTemplateOutlet="footerTemplate">
    </ng-container>
</igx-combo-drop-down>
<ng-template #complex let-display let-data="data" let-key="displayKey">
    {{display[key]}}
</ng-template>
<ng-template #primitive let-display>
    {{display}}
</ng-template>
<ng-template #empty>
    <span>{{resourceStrings.igx_combo_empty_message}}</span>
</ng-template>
<ng-template #addItemDefault let-control>
    <button type="button" igxButton="flat" igxRipple>Add item</button>
</ng-template>
<ng-template #headerItemBase let-item let-key="valueKey" let-groupKey="groupKey">
    {{ item[key] }}
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0105.ElementRef }, { type: i0105.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: IgxComboAPIService }, { type: IgxIconService }, { type: void 0, decorators: [{
  type: Optional24
}, {
  type: Inject45,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional24
}, {
  type: Inject45,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: i0105.Injector, decorators: [{
  type: Optional24
}] }], propDecorators: { autoFocusSearch: [{
  type: Input70,
  args: [{ transform: booleanAttribute46 }]
}], filterable: [{
  type: Input70,
  args: [{ transform: booleanAttribute46 }]
}], searchPlaceholder: [{
  type: Input70
}], selectionChanging: [{
  type: Output35
}], dropdown: [{
  type: ViewChild19,
  args: [IgxComboDropDownComponent, { static: true }]
}], onArrowDown: [{
  type: HostListener30,
  args: ["keydown.ArrowDown", ["$event"]]
}, {
  type: HostListener30,
  args: ["keydown.Alt.ArrowDown", ["$event"]]
}] } });

// lib/combo/public_api.mjs
var IGX_COMBO_DIRECTIVES = [
  IgxComboComponent,
  IgxComboAddItemDirective,
  IgxComboClearIconDirective,
  IgxComboEmptyDirective,
  IgxComboFooterDirective,
  IgxComboHeaderDirective,
  IgxComboHeaderItemDirective,
  IgxComboItemDirective,
  IgxComboToggleIconDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/simple-combo/simple-combo.component.mjs
import { NgIf as NgIf20, NgTemplateOutlet as NgTemplateOutlet10 } from "@angular/common";
import { Component as Component39, EventEmitter as EventEmitter46, HostListener as HostListener31, Inject as Inject46, Optional as Optional25, Output as Output36, ViewChild as ViewChild20 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR12 } from "@angular/forms";
import { takeUntil as takeUntil22 } from "rxjs/operators";
import * as i0106 from "@angular/core";
var IgxSimpleComboComponent = class _IgxSimpleComboComponent extends IgxComboBaseDirective {
  get value() {
    return this._value[0];
  }
  /**
   * Get current selection state
   *
   * @returns The selected item, if any
   * ```typescript
   * let mySelection = this.combo.selection;
   * ```
   */
  get selection() {
    return super.selection[0];
  }
  /** @hidden @internal */
  get filteredData() {
    return this._filteredData;
  }
  /** @hidden @internal */
  set filteredData(val) {
    this._filteredData = this.groupKey ? (val || []).filter((e) => e.isHeader !== true) : val;
    this.checkMatch();
  }
  /** @hidden @internal */
  get searchValue() {
    return this._searchValue;
  }
  set searchValue(val) {
    this._searchValue = val;
  }
  get selectedItem() {
    return this.selectionService.get(this.id).values().next().value;
  }
  get hasSelectedItem() {
    return !!this.selectionService.get(this.id).size;
  }
  constructor(elementRef, cdr, selectionService, comboAPI, _iconService, platformUtil, _displayDensityOptions, _inputGroupType, _injector) {
    super(elementRef, cdr, selectionService, comboAPI, _iconService, _displayDensityOptions, _inputGroupType, _injector);
    this.platformUtil = platformUtil;
    this.selectionChanging = new EventEmitter46();
    this.composing = false;
    this._updateInput = true;
    this._collapsing = false;
    this.findAllMatches = (element) => {
      const value = this.displayKey ? element[this.displayKey] : element;
      if (value === null || value === void 0 || value === "") {
        return true;
      }
      const searchValue = this.searchValue || this.comboInput.value;
      return !!searchValue && value.toString().toLowerCase().includes(searchValue.toLowerCase());
    };
    this.comboAPI.register(this);
  }
  /** @hidden @internal */
  onArrowDown(event) {
    if (this.collapsed) {
      event.preventDefault();
      event.stopPropagation();
      this.open();
    } else {
      if (this.virtDir.igxForOf.length > 0 && !this.hasSelectedItem) {
        this.dropdown.navigateNext();
        this.dropdownContainer.nativeElement.focus();
      } else if (this.allowCustomValues) {
        this.addItem?.element.nativeElement.focus();
      }
    }
  }
  /**
   * Select a defined item
   *
   * @param item the item to be selected
   * ```typescript
   * this.combo.select("New York");
   * ```
   */
  select(item) {
    if (item !== void 0) {
      const newSelection = this.selectionService.add_items(this.id, item instanceof Array ? item : [item], true);
      this.setSelection(newSelection);
    }
  }
  /**
   * Deselect the currently selected item
   *
   * @param item the items to be deselected
   * ```typescript
   * this.combo.deselect("New York");
   * ```
   */
  deselect() {
    this.clearSelection();
  }
  /** @hidden @internal */
  writeValue(value) {
    const oldSelection = super.selection;
    this.selectionService.select_items(this.id, this.isValid(value) ? [value] : [], true);
    this.cdr.markForCheck();
    this._displayValue = this.createDisplayText(super.selection, oldSelection);
    this._value = this.valueKey ? super.selection.map((item) => item[this.valueKey]) : super.selection;
    this.filterValue = this._displayValue?.toString() || "";
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.virtDir.contentSizeChange.pipe(takeUntil22(this.destroy$)).subscribe(() => {
      if (super.selection.length > 0) {
        const index = this.virtDir.igxForOf.findIndex((e) => {
          let current = e ? e[this.valueKey] : void 0;
          if (this.valueKey === null || this.valueKey === void 0) {
            current = e;
          }
          return current === super.selection[0];
        });
        if (!this.isRemote) {
          this.dropdown.navigateItem(index);
        }
      }
    });
    this.dropdown.opening.pipe(takeUntil22(this.destroy$)).subscribe((args) => {
      if (args.cancel) {
        return;
      }
      this._collapsing = false;
      const filtered = this.filteredData.find(this.findAllMatches);
      if (filtered === void 0 || filtered === null) {
        this.filterValue = this.searchValue = this.comboInput.value;
        return;
      }
      this.filterValue = this.searchValue = "";
    });
    this.dropdown.opened.pipe(takeUntil22(this.destroy$)).subscribe(() => {
      if (this.composing) {
        this.comboInput.focus();
      }
    });
    this.dropdown.closing.pipe(takeUntil22(this.destroy$)).subscribe((args) => {
      if (args.cancel) {
        return;
      }
      if (this.getEditElement() && !args.event) {
        this._collapsing = true;
      } else {
        this.clearOnBlur();
        this._onTouchedCallback();
      }
      this.comboInput.focus();
    });
    if (!this.isValid(this.selectedItem)) {
      this.selectionService.clear(this.id);
      this._displayValue = "";
    }
    super.ngAfterViewInit();
  }
  /** @hidden @internal */
  ngDoCheck() {
    if (this.data?.length && super.selection.length && !this._displayValue) {
      this._displayValue = this.createDisplayText(super.selection, []);
      this._value = this.valueKey ? super.selection.map((item) => item[this.valueKey]) : super.selection;
    }
    super.ngDoCheck();
  }
  /** @hidden @internal */
  handleInputChange(event) {
    if (event !== void 0) {
      this.filterValue = this.searchValue = typeof event === "string" ? event : event.target.value;
    }
    this._onChangeCallback(this.searchValue);
    if (this.collapsed && this.comboInput.focused) {
      this.open();
    }
    if (!this.comboInput.value.trim() && super.selection.length) {
      this.clearSelection();
      this._onChangeCallback(null);
      this.filterValue = "";
    }
    if (super.selection.length) {
      this.selectionService.clear(this.id);
    }
    if (!this.dropdown.focusedItem || this.dropdown.focusedItem.id !== this.dropdown.items[0].id) {
      this.dropdown.navigateFirst();
    }
    super.handleInputChange(event);
    this.composing = true;
  }
  /** @hidden @internal */
  handleInputClick() {
    if (this.collapsed) {
      this.open();
      this.comboInput.focus();
    }
  }
  /** @hidden @internal */
  handleKeyDown(event) {
    if (event.key === this.platformUtil.KEYMAP.ENTER) {
      const filtered = this.filteredData.find(this.findAllMatches);
      if (filtered === null || filtered === void 0) {
        return;
      }
      this.select(this.dropdown.focusedItem.itemID);
      event.preventDefault();
      event.stopPropagation();
      this.close();
      this.textSelection.trigger();
      return;
    }
    if (event.key === this.platformUtil.KEYMAP.BACKSPACE || event.key === this.platformUtil.KEYMAP.DELETE) {
      this._updateInput = false;
      this.clearSelection(true);
    }
    if (!this.collapsed && event.key === this.platformUtil.KEYMAP.TAB) {
      this.clearOnBlur();
      this.close();
    }
    this.composing = false;
    super.handleKeyDown(event);
  }
  /** @hidden @internal */
  handleKeyUp(event) {
    if (event.key === this.platformUtil.KEYMAP.ARROW_DOWN) {
      this.dropdown.focusedItem = this.hasSelectedItem && this.filteredData.length > 0 ? this.dropdown.items.find((i) => i.itemID === this.selectedItem) : this.dropdown.items[0];
      this.dropdownContainer.nativeElement.focus();
    }
  }
  /** @hidden @internal */
  handleItemKeyDown(event) {
    if (event.key === this.platformUtil.KEYMAP.ARROW_UP && event.altKey) {
      this.close();
      this.comboInput.focus();
      return;
    }
    if (event.key === this.platformUtil.KEYMAP.ENTER) {
      this.comboInput.focus();
    }
  }
  /** @hidden @internal */
  handleItemClick() {
    this.close();
    this.comboInput.focus();
  }
  /** @hidden @internal */
  onBlur() {
    if (this.collapsed || this._collapsing) {
      this.clearOnBlur();
    }
    super.onBlur();
  }
  /** @hidden @internal */
  getEditElement() {
    return this.comboInput.nativeElement;
  }
  /** @hidden @internal */
  handleClear(event) {
    if (this.disabled) {
      return;
    }
    this.clearSelection(true);
    if (!this.collapsed) {
      this.focusSearchInput(true);
    }
    event.stopPropagation();
    this.comboInput.value = this.filterValue = this.searchValue = "";
    this.dropdown.focusedItem = null;
    this.composing = false;
    this.comboInput.focus();
  }
  /** @hidden @internal */
  handleOpened() {
    this.triggerCheck();
    if (!this.comboInput.focused) {
      this.dropdownContainer.nativeElement.focus();
    }
    this.opened.emit({ owner: this });
  }
  /** @hidden @internal */
  handleClosing(e) {
    const args = { owner: this, event: e.event, cancel: e.cancel };
    this.closing.emit(args);
    e.cancel = args.cancel;
    if (e.cancel) {
      return;
    }
    this.composing = false;
    this.textSelection.selected = true;
    this.textSelection.trigger();
  }
  /** @hidden @internal */
  focusSearchInput(opening) {
    if (opening) {
      this.dropdownContainer.nativeElement.focus();
    } else {
      this.comboInput.nativeElement.focus();
    }
  }
  /** @hidden @internal */
  onClick(event) {
    super.onClick(event);
    if (this.comboInput.value.length === 0) {
      this.virtDir.scrollTo(0);
    }
  }
  setSelection(newSelection) {
    const newValueAsArray = newSelection ? Array.from(newSelection) : [];
    const oldValueAsArray = Array.from(this.selectionService.get(this.id) || []);
    const newItems = this.convertKeysToItems(newValueAsArray);
    const oldItems = this.convertKeysToItems(oldValueAsArray);
    const displayText = this.createDisplayText(this.convertKeysToItems(newValueAsArray), oldValueAsArray);
    const args = {
      newValue: newValueAsArray[0],
      oldValue: oldValueAsArray[0],
      newSelection: newItems[0],
      oldSelection: oldItems[0],
      displayText,
      owner: this,
      cancel: false
    };
    if (args.newSelection !== args.oldSelection) {
      this.selectionChanging.emit(args);
    }
    if (!args.cancel) {
      let argsSelection = this.isValid(args.newValue) ? args.newValue : [];
      argsSelection = Array.isArray(argsSelection) ? argsSelection : [argsSelection];
      this.selectionService.select_items(this.id, argsSelection, true);
      this._value = argsSelection;
      if (this._updateInput) {
        this.comboInput.value = this._displayValue = this.searchValue = displayText !== args.displayText ? args.displayText : this.createDisplayText(super.selection, [args.oldValue]);
      }
      this._onChangeCallback(args.newValue);
      this._updateInput = true;
    } else if (this.isRemote) {
      this.registerRemoteEntries(newValueAsArray, false);
    }
  }
  createDisplayText(newSelection, oldSelection) {
    if (this.isRemote) {
      const selection = this.valueKey ? newSelection.map((item) => item[this.valueKey]) : newSelection;
      return this.getRemoteSelection(selection, oldSelection);
    }
    if (this.displayKey !== null && this.displayKey !== void 0 && newSelection.length > 0) {
      return newSelection.filter((e) => e).map((e) => e[this.displayKey])[0]?.toString() || "";
    }
    return newSelection[0]?.toString() || "";
  }
  getRemoteSelection(newSelection, oldSelection) {
    if (!newSelection.length) {
      this.registerRemoteEntries(oldSelection, false);
      return "";
    }
    this.registerRemoteEntries(oldSelection, false);
    this.registerRemoteEntries(newSelection);
    return Object.keys(this._remoteSelection).map((e) => this._remoteSelection[e])[0] || "";
  }
  /** Contains key-value pairs of the selected valueKeys and their resp. displayKeys */
  registerRemoteEntries(ids, add = true) {
    const selection = this.getValueDisplayPairs(ids)[0];
    if (add && selection) {
      this._remoteSelection[selection[this.valueKey]] = selection[this.displayKey].toString();
    } else {
      this._remoteSelection = {};
    }
  }
  clearSelection(ignoreFilter) {
    let newSelection = this.selectionService.get_empty();
    if (this.filteredData.length !== this.data.length && !ignoreFilter) {
      newSelection = this.selectionService.delete_items(this.id, this.selectionService.get_all_ids(this.filteredData, this.valueKey));
    }
    this.setSelection(newSelection);
  }
  clearOnBlur() {
    if (this.isRemote) {
      const searchValue = this.searchValue || this.comboInput.value;
      const remoteValue = Object.keys(this._remoteSelection).map((e) => this._remoteSelection[e])[0] || "";
      if (searchValue !== remoteValue) {
        this.clear();
      }
      return;
    }
    const filtered = this.filteredData.find(this.findMatch);
    if (filtered === void 0 && this.selectedItem !== null || !super.selection.length) {
      this.clear();
    }
  }
  getElementVal(element) {
    const elementVal = this.displayKey ? element[this.displayKey] : element;
    return String(elementVal);
  }
  clear() {
    this.clearSelection(true);
    this.comboInput.value = this._displayValue = this.searchValue = "";
  }
  isValid(value) {
    return this.required ? value !== null && value !== "" && value !== void 0 : value !== void 0;
  }
  static {
    this.ɵfac = i0106.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0106, type: _IgxSimpleComboComponent, deps: [{ token: i0106.ElementRef }, { token: i0106.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: IgxComboAPIService }, { token: IgxIconService }, { token: PlatformUtil }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: i0106.Injector, optional: true }], target: i0106.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0106.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSimpleComboComponent, isStandalone: true, selector: "igx-simple-combo", outputs: { selectionChanging: "selectionChanging" }, host: { listeners: { "keydown.ArrowDown": "onArrowDown($event)", "keydown.Alt.ArrowDown": "onArrowDown($event)" } }, providers: [
      IgxComboAPIService,
      { provide: IGX_COMBO_COMPONENT, useExisting: _IgxSimpleComboComponent },
      { provide: NG_VALUE_ACCESSOR12, useExisting: _IgxSimpleComboComponent, multi: true }
    ], viewQueries: [{ propertyName: "dropdown", first: true, predicate: IgxComboDropDownComponent, descendants: true, static: true }, { propertyName: "addItem", first: true, predicate: IgxComboAddItemComponent, descendants: true }, { propertyName: "textSelection", first: true, predicate: IgxTextSelectionDirective, descendants: true, static: true }], usesInheritance: true, ngImport: i0106, template: `<igx-input-group #inputGroup [displayDensity]="displayDensity" [type]="type">

    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>

    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix"></ng-content>
    </ng-container>

    <ng-container ngProjectAs="igx-hint, [igxHint]">
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>

    <input #comboInput igxInput [value]="displayValue" role="combobox"
        aria-haspopup="listbox" aria-autocomplete="list" aria-readonly="false"
        [attr.aria-expanded]="!this.dropdown.collapsed" [attr.aria-controls]="this.dropdown.listId"
        [attr.aria-labelledby]="this.ariaLabelledBy || this.label?.id || this.placeholder"
        [attr.placeholder]="placeholder" [disabled]="disabled" [igxTextSelection]="!composing"
        (input)="handleInputChange($event)" (click)="handleInputClick()"
        (keyup)="handleKeyUp($event)" (keydown)="handleKeyDown($event)" (blur)="onBlur()" (paste)="handleInputChange($event)"/>

    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix"></ng-content>
    </ng-container>

    <igx-suffix *ngIf="hasSelectedItem" aria-label="Clear Selection" class="igx-combo__clear-button"
        (click)="handleClear($event)">
        <ng-container *ngIf="clearIconTemplate">
            <ng-container *ngTemplateOutlet="clearIconTemplate"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!clearIconTemplate">
            {{ clearIcon }}
        </igx-icon>
    </igx-suffix>

    <igx-suffix *ngIf="showSearchCaseIcon">
        <igx-icon family="imx-icons" name="case-sensitive" [active]="filteringOptions.caseSensitive"
            (click)="toggleCaseSensitive()">
        </igx-icon>
    </igx-suffix>

    <igx-suffix class="igx-combo__toggle-button" (click)="onClick($event)">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ toggleIcon }}
        </igx-icon>
    </igx-suffix>

</igx-input-group>

<igx-combo-drop-down #igxComboDropDown class="igx-combo__drop-down" [displayDensity]="displayDensity"
    [labelledBy]="this.ariaLabelledBy || this.label?.id || this.placeholder || ''"
    [width]="itemsWidth || '100%'" (opening)="handleOpening($event)" (closing)="handleClosing($event)"
    (opened)="handleOpened()" (closed)="handleClosed()" [singleMode]="true">
    <ng-container *ngTemplateOutlet="headerTemplate">
    </ng-container>
    <div #dropdownItemContainer class="igx-combo__content" [style.overflow]="'hidden'"
        [style.maxHeight.rem]="itemsMaxHeightInRem" [igxDropDownItemNavigation]="dropdown"
        [tabindex]="dropdown.collapsed ? -1 : 0" [attr.id]="dropdown.id"
        [attr.aria-activedescendant]="this.activeDescendant"
        (focus)="dropdown.onFocus()" (keydown)="handleItemKeyDown($event)">
        <igx-combo-item [role]="item?.isHeader? 'group' : 'option'" [singleMode]="true"
            [itemHeight]="itemHeight" (click)="handleItemClick()" *igxFor="let item of data
                | comboFiltering:filterValue:displayKey:filteringOptions:filterFunction
                | comboGrouping:groupKey:valueKey:groupSortingDirection:compareCollator;
                index as rowIndex; containerSize: itemsMaxHeight; scrollOrientation: 'vertical'; itemSize: itemHeight"
                [value]="item" [isHeader]="item?.isHeader" [index]="rowIndex">
            <ng-container *ngIf="item?.isHeader">
                <ng-container
                    *ngTemplateOutlet="headerItemTemplate ? headerItemTemplate : headerItemBase;
                    context: {$implicit: item, data: data, valueKey: valueKey, groupKey: groupKey, displayKey: displayKey}">
                </ng-container>
            </ng-container>
            <!-- if item is 'null' it should be displayed and !!(item?.isHeader) would resolve it to 'false' and not display it -->
            <ng-container *ngIf="!item?.isHeader">
                <ng-container #listItem
                    *ngTemplateOutlet="template; context: {$implicit: item, data: data, valueKey: valueKey, displayKey: displayKey};">
                </ng-container>
            </ng-container>
        </igx-combo-item>
    </div>

    <div class="igx-combo__add" *ngIf="filteredData.length === 0 || isAddButtonVisible()">
        <div class="igx-combo__empty" *ngIf="filteredData.length === 0">
            <ng-container *ngTemplateOutlet="emptyTemplate ? emptyTemplate : empty">
            </ng-container>
        </div>
        <igx-combo-add-item #addItem [itemHeight]="itemHeight" *ngIf="isAddButtonVisible()"
            [tabindex]="dropdown.collapsed ? -1 : customValueFlag ? 1 : -1" class="igx-combo__add-item" role="button"
            aria-label="Add Item" [index]="virtualScrollContainer.igxForOf.length">
            <ng-container *ngTemplateOutlet="addItemTemplate ? addItemTemplate : addItemDefault">
            </ng-container>
        </igx-combo-add-item>
    </div>
    <ng-container *ngTemplateOutlet="footerTemplate">
    </ng-container>
</igx-combo-drop-down>

<ng-template #complex let-display let-data="data" let-key="displayKey">
    {{display[key]}}
</ng-template>
<ng-template #primitive let-display>
    {{display}}
</ng-template>
<ng-template #empty>
    <span>{{resourceStrings.igx_combo_empty_message}}</span>
</ng-template>
<ng-template #addItemDefault let-control>
    <button type="button" igxButton="flat" igxRipple>Add item</button>
</ng-template>
<ng-template #headerItemBase let-item let-key="valueKey" let-groupKey="groupKey">
    {{ item[key] }}
</ng-template>
`, dependencies: [{ kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }, { kind: "directive", type: NgIf20, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: NgTemplateOutlet10, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxComboDropDownComponent, selector: "igx-combo-drop-down", inputs: ["singleMode"] }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "directive", type: IgxForOfDirective, selector: "[igxFor][igxForOf]", inputs: ["igxForOf", "igxForSizePropName", "igxForScrollOrientation", "igxForScrollContainer", "igxForContainerSize", "igxForItemSize", "igxForTotalItemCount", "igxForTrackBy"], outputs: ["chunkLoad", "scrollbarVisibilityChanged", "contentSizeChange", "dataChanged", "beforeViewDestroyed", "chunkPreload"] }, { kind: "component", type: IgxComboItemComponent, selector: "igx-combo-item", inputs: ["itemHeight", "ariaLabel", "singleMode"] }, { kind: "component", type: IgxComboAddItemComponent, selector: "igx-combo-add-item" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "pipe", type: IgxComboFilteringPipe, name: "comboFiltering" }, { kind: "pipe", type: IgxComboGroupingPipe, name: "comboGrouping" }] });
  }
};
i0106.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0106, type: IgxSimpleComboComponent, decorators: [{
  type: Component39,
  args: [{ selector: "igx-simple-combo", providers: [
    IgxComboAPIService,
    { provide: IGX_COMBO_COMPONENT, useExisting: IgxSimpleComboComponent },
    { provide: NG_VALUE_ACCESSOR12, useExisting: IgxSimpleComboComponent, multi: true }
  ], standalone: true, imports: [IgxInputGroupComponent, IgxInputDirective, IgxTextSelectionDirective, NgIf20, IgxSuffixDirective, NgTemplateOutlet10, IgxIconComponent, IgxComboDropDownComponent, IgxDropDownItemNavigationDirective, IgxForOfDirective, IgxComboItemComponent, IgxComboAddItemComponent, IgxButtonDirective, IgxRippleDirective, IgxComboFilteringPipe, IgxComboGroupingPipe], template: `<igx-input-group #inputGroup [displayDensity]="displayDensity" [type]="type">

    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>

    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix"></ng-content>
    </ng-container>

    <ng-container ngProjectAs="igx-hint, [igxHint]">
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>

    <input #comboInput igxInput [value]="displayValue" role="combobox"
        aria-haspopup="listbox" aria-autocomplete="list" aria-readonly="false"
        [attr.aria-expanded]="!this.dropdown.collapsed" [attr.aria-controls]="this.dropdown.listId"
        [attr.aria-labelledby]="this.ariaLabelledBy || this.label?.id || this.placeholder"
        [attr.placeholder]="placeholder" [disabled]="disabled" [igxTextSelection]="!composing"
        (input)="handleInputChange($event)" (click)="handleInputClick()"
        (keyup)="handleKeyUp($event)" (keydown)="handleKeyDown($event)" (blur)="onBlur()" (paste)="handleInputChange($event)"/>

    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix"></ng-content>
    </ng-container>

    <igx-suffix *ngIf="hasSelectedItem" aria-label="Clear Selection" class="igx-combo__clear-button"
        (click)="handleClear($event)">
        <ng-container *ngIf="clearIconTemplate">
            <ng-container *ngTemplateOutlet="clearIconTemplate"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!clearIconTemplate">
            {{ clearIcon }}
        </igx-icon>
    </igx-suffix>

    <igx-suffix *ngIf="showSearchCaseIcon">
        <igx-icon family="imx-icons" name="case-sensitive" [active]="filteringOptions.caseSensitive"
            (click)="toggleCaseSensitive()">
        </igx-icon>
    </igx-suffix>

    <igx-suffix class="igx-combo__toggle-button" (click)="onClick($event)">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ toggleIcon }}
        </igx-icon>
    </igx-suffix>

</igx-input-group>

<igx-combo-drop-down #igxComboDropDown class="igx-combo__drop-down" [displayDensity]="displayDensity"
    [labelledBy]="this.ariaLabelledBy || this.label?.id || this.placeholder || ''"
    [width]="itemsWidth || '100%'" (opening)="handleOpening($event)" (closing)="handleClosing($event)"
    (opened)="handleOpened()" (closed)="handleClosed()" [singleMode]="true">
    <ng-container *ngTemplateOutlet="headerTemplate">
    </ng-container>
    <div #dropdownItemContainer class="igx-combo__content" [style.overflow]="'hidden'"
        [style.maxHeight.rem]="itemsMaxHeightInRem" [igxDropDownItemNavigation]="dropdown"
        [tabindex]="dropdown.collapsed ? -1 : 0" [attr.id]="dropdown.id"
        [attr.aria-activedescendant]="this.activeDescendant"
        (focus)="dropdown.onFocus()" (keydown)="handleItemKeyDown($event)">
        <igx-combo-item [role]="item?.isHeader? 'group' : 'option'" [singleMode]="true"
            [itemHeight]="itemHeight" (click)="handleItemClick()" *igxFor="let item of data
                | comboFiltering:filterValue:displayKey:filteringOptions:filterFunction
                | comboGrouping:groupKey:valueKey:groupSortingDirection:compareCollator;
                index as rowIndex; containerSize: itemsMaxHeight; scrollOrientation: 'vertical'; itemSize: itemHeight"
                [value]="item" [isHeader]="item?.isHeader" [index]="rowIndex">
            <ng-container *ngIf="item?.isHeader">
                <ng-container
                    *ngTemplateOutlet="headerItemTemplate ? headerItemTemplate : headerItemBase;
                    context: {$implicit: item, data: data, valueKey: valueKey, groupKey: groupKey, displayKey: displayKey}">
                </ng-container>
            </ng-container>
            <!-- if item is 'null' it should be displayed and !!(item?.isHeader) would resolve it to 'false' and not display it -->
            <ng-container *ngIf="!item?.isHeader">
                <ng-container #listItem
                    *ngTemplateOutlet="template; context: {$implicit: item, data: data, valueKey: valueKey, displayKey: displayKey};">
                </ng-container>
            </ng-container>
        </igx-combo-item>
    </div>

    <div class="igx-combo__add" *ngIf="filteredData.length === 0 || isAddButtonVisible()">
        <div class="igx-combo__empty" *ngIf="filteredData.length === 0">
            <ng-container *ngTemplateOutlet="emptyTemplate ? emptyTemplate : empty">
            </ng-container>
        </div>
        <igx-combo-add-item #addItem [itemHeight]="itemHeight" *ngIf="isAddButtonVisible()"
            [tabindex]="dropdown.collapsed ? -1 : customValueFlag ? 1 : -1" class="igx-combo__add-item" role="button"
            aria-label="Add Item" [index]="virtualScrollContainer.igxForOf.length">
            <ng-container *ngTemplateOutlet="addItemTemplate ? addItemTemplate : addItemDefault">
            </ng-container>
        </igx-combo-add-item>
    </div>
    <ng-container *ngTemplateOutlet="footerTemplate">
    </ng-container>
</igx-combo-drop-down>

<ng-template #complex let-display let-data="data" let-key="displayKey">
    {{display[key]}}
</ng-template>
<ng-template #primitive let-display>
    {{display}}
</ng-template>
<ng-template #empty>
    <span>{{resourceStrings.igx_combo_empty_message}}</span>
</ng-template>
<ng-template #addItemDefault let-control>
    <button type="button" igxButton="flat" igxRipple>Add item</button>
</ng-template>
<ng-template #headerItemBase let-item let-key="valueKey" let-groupKey="groupKey">
    {{ item[key] }}
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0106.ElementRef }, { type: i0106.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: IgxComboAPIService }, { type: IgxIconService }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Optional25
}, {
  type: Inject46,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional25
}, {
  type: Inject46,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: i0106.Injector, decorators: [{
  type: Optional25
}] }], propDecorators: { dropdown: [{
  type: ViewChild20,
  args: [IgxComboDropDownComponent, { static: true }]
}], addItem: [{
  type: ViewChild20,
  args: [IgxComboAddItemComponent]
}], selectionChanging: [{
  type: Output36
}], textSelection: [{
  type: ViewChild20,
  args: [IgxTextSelectionDirective, { static: true }]
}], onArrowDown: [{
  type: HostListener31,
  args: ["keydown.ArrowDown", ["$event"]]
}, {
  type: HostListener31,
  args: ["keydown.Alt.ArrowDown", ["$event"]]
}] } });

// lib/simple-combo/public_api.mjs
var IGX_SIMPLE_COMBO_DIRECTIVES = [
  IgxSimpleComboComponent,
  IgxComboAddItemDirective,
  IgxComboClearIconDirective,
  IgxComboEmptyDirective,
  IgxComboFooterDirective,
  IgxComboHeaderDirective,
  IgxComboHeaderItemDirective,
  IgxComboItemDirective,
  IgxComboToggleIconDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/date-common/picker-icons.common.mjs
import { Component as Component40, Output as Output37, EventEmitter as EventEmitter47, HostListener as HostListener32, Directive as Directive49 } from "@angular/core";
import * as i0107 from "@angular/core";
var IgxPickerToggleComponent = class _IgxPickerToggleComponent {
  constructor() {
    this.clicked = new EventEmitter47();
  }
  onClick(event) {
    event.stopPropagation();
    this.clicked.emit();
  }
  static {
    this.ɵfac = i0107.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: _IgxPickerToggleComponent, deps: [], target: i0107.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0107.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPickerToggleComponent, isStandalone: true, selector: "igx-picker-toggle", outputs: { clicked: "clicked" }, host: { listeners: { "click": "onClick($event)" } }, ngImport: i0107, template: `<ng-content></ng-content>`, isInline: true });
  }
};
i0107.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: IgxPickerToggleComponent, decorators: [{
  type: Component40,
  args: [{
    template: `<ng-content></ng-content>`,
    selector: "igx-picker-toggle",
    standalone: true
  }]
}], propDecorators: { clicked: [{
  type: Output37
}], onClick: [{
  type: HostListener32,
  args: ["click", ["$event"]]
}] } });
var IgxPickerClearComponent = class _IgxPickerClearComponent extends IgxPickerToggleComponent {
  static {
    this.ɵfac = i0107.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: _IgxPickerClearComponent, deps: null, target: i0107.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0107.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPickerClearComponent, isStandalone: true, selector: "igx-picker-clear", usesInheritance: true, ngImport: i0107, template: `<ng-content></ng-content>`, isInline: true });
  }
};
i0107.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: IgxPickerClearComponent, decorators: [{
  type: Component40,
  args: [{
    template: `<ng-content></ng-content>`,
    selector: "igx-picker-clear",
    standalone: true
  }]
}] });
var IgxPickerActionsDirective = class _IgxPickerActionsDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0107.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: _IgxPickerActionsDirective, deps: [{ token: i0107.TemplateRef }], target: i0107.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0107.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPickerActionsDirective, isStandalone: true, selector: "[igxPickerActions]", ngImport: i0107 });
  }
};
i0107.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0107, type: IgxPickerActionsDirective, decorators: [{
  type: Directive49,
  args: [{
    selector: "[igxPickerActions]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0107.TemplateRef }] });

// lib/core/i18n/date-picker-resources.mjs
var DatePickerResourceStringsEN = {
  igx_date_picker_change_date: "Change Date",
  igx_date_picker_choose_date: "Choose Date"
};

// lib/date-common/types.mjs
var PickerHeaderOrientation = /* @__PURE__ */ mkenum({
  Horizontal: "horizontal",
  Vertical: "vertical"
});
var PickerInteractionMode = /* @__PURE__ */ mkenum({
  DropDown: "dropdown",
  Dialog: "dialog"
});

// lib/date-common/calendar-container/calendar-container.component.mjs
import { NgIf as NgIf21, NgTemplateOutlet as NgTemplateOutlet11 } from "@angular/common";
import { Component as Component41, ViewChild as ViewChild21, Output as Output38, EventEmitter as EventEmitter48, HostListener as HostListener33, HostBinding as HostBinding53 } from "@angular/core";
import * as i0108 from "@angular/core";
var IgxCalendarContainerComponent = class _IgxCalendarContainerComponent {
  constructor() {
    this.calendarClose = new EventEmitter48();
    this.todaySelection = new EventEmitter48();
    this.styleClass = "igx-date-picker";
    this.vertical = false;
    this.mode = PickerInteractionMode.DropDown;
  }
  get dropdownCSS() {
    return this.mode === PickerInteractionMode.DropDown;
  }
  onEscape(event) {
    event.preventDefault();
    this.calendarClose.emit();
  }
  get isReadonly() {
    return this.mode === PickerInteractionMode.Dialog;
  }
  static {
    this.ɵfac = i0108.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0108, type: _IgxCalendarContainerComponent, deps: [], target: i0108.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0108.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCalendarContainerComponent, isStandalone: true, selector: "igx-calendar-container", outputs: { calendarClose: "calendarClose", todaySelection: "todaySelection" }, host: { listeners: { "keydown.alt.arrowup": "onEscape($event)" }, properties: { "class.igx-date-picker": "this.styleClass", "class.igx-date-picker--dropdown": "this.dropdownCSS" } }, viewQueries: [{ propertyName: "calendar", first: true, predicate: IgxCalendarComponent, descendants: true, static: true }], ngImport: i0108, template: '<ng-template #defaultPickerActions>\n    <div\n        *ngIf="closeButtonLabel || todayButtonLabel"\n        class="igx-date-picker__buttons"\n    >\n        <button\n            #closeButton\n            *ngIf="closeButtonLabel"\n            type="button"\n            igxButton="flat"\n            igxRipple\n            (click)="calendarClose.emit({ owner: this })"\n        >\n            {{ closeButtonLabel }}\n        </button>\n        <button\n            #todayButton\n            *ngIf="todayButtonLabel"\n            type="button"\n            igxButton="flat"\n            igxRipple\n            (click)="todaySelection.emit({ owner: this })"\n        >\n            {{ todayButtonLabel }}\n        </button>\n    </div>\n</ng-template>\n\n<igx-calendar></igx-calendar>\n<igx-divider *ngIf="pickerActions?.template || (closeButtonLabel || todayButtonLabel)"></igx-divider>\n<div class="igx-date-picker__actions" *ngIf="pickerActions?.template || (closeButtonLabel || todayButtonLabel)">\n    <ng-container\n        *ngTemplateOutlet="\n            pickerActions?.template || defaultPickerActions;\n            context: { $implicit: calendar }\n        "\n    >\n    </ng-container>\n</div>\n', styles: [":host{display:block}\n"], dependencies: [{ kind: "directive", type: NgIf21, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxCalendarComponent, selector: "igx-calendar", inputs: ["id", "hasHeader", "vertical", "orientation", "headerOrientation", "monthsViewNumber", "showWeekNumbers"] }, { kind: "directive", type: NgTemplateOutlet11, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxDividerDirective, selector: "igx-divider", inputs: ["id", "role", "type", "middle", "vertical", "inset"] }] });
  }
};
i0108.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0108, type: IgxCalendarContainerComponent, decorators: [{
  type: Component41,
  args: [{ selector: "igx-calendar-container", standalone: true, imports: [
    NgIf21,
    IgxButtonDirective,
    IgxRippleDirective,
    IgxCalendarComponent,
    NgTemplateOutlet11,
    IgxDividerDirective
  ], template: '<ng-template #defaultPickerActions>\n    <div\n        *ngIf="closeButtonLabel || todayButtonLabel"\n        class="igx-date-picker__buttons"\n    >\n        <button\n            #closeButton\n            *ngIf="closeButtonLabel"\n            type="button"\n            igxButton="flat"\n            igxRipple\n            (click)="calendarClose.emit({ owner: this })"\n        >\n            {{ closeButtonLabel }}\n        </button>\n        <button\n            #todayButton\n            *ngIf="todayButtonLabel"\n            type="button"\n            igxButton="flat"\n            igxRipple\n            (click)="todaySelection.emit({ owner: this })"\n        >\n            {{ todayButtonLabel }}\n        </button>\n    </div>\n</ng-template>\n\n<igx-calendar></igx-calendar>\n<igx-divider *ngIf="pickerActions?.template || (closeButtonLabel || todayButtonLabel)"></igx-divider>\n<div class="igx-date-picker__actions" *ngIf="pickerActions?.template || (closeButtonLabel || todayButtonLabel)">\n    <ng-container\n        *ngTemplateOutlet="\n            pickerActions?.template || defaultPickerActions;\n            context: { $implicit: calendar }\n        "\n    >\n    </ng-container>\n</div>\n', styles: [":host{display:block}\n"] }]
}], propDecorators: { calendar: [{
  type: ViewChild21,
  args: [IgxCalendarComponent, { static: true }]
}], calendarClose: [{
  type: Output38
}], todaySelection: [{
  type: Output38
}], styleClass: [{
  type: HostBinding53,
  args: ["class.igx-date-picker"]
}], dropdownCSS: [{
  type: HostBinding53,
  args: ["class.igx-date-picker--dropdown"]
}], onEscape: [{
  type: HostListener33,
  args: ["keydown.alt.arrowup", ["$event"]]
}] } });

// lib/date-common/picker-base.directive.mjs
import { booleanAttribute as booleanAttribute47, ContentChildren as ContentChildren12, Directive as Directive50, EventEmitter as EventEmitter49, Inject as Inject47, Input as Input71, LOCALE_ID as LOCALE_ID4, Optional as Optional26, Output as Output39, ViewChild as ViewChild22 } from "@angular/core";
import { getLocaleFirstDayOfWeek as getLocaleFirstDayOfWeek2 } from "@angular/common";
import { merge as merge2, Subject as Subject30 } from "rxjs";
import { takeUntil as takeUntil23 } from "rxjs/operators";
import * as i0109 from "@angular/core";
var PickerBaseDirective = class _PickerBaseDirective extends DisplayDensityBase {
  /**
   * @example
   * ```html
   * <igx-date-picker locale="jp"></igx-date-picker>
   * ```
   */
  /**
   * Gets the `locale` of the date-picker.
   * If not set, defaults to applciation's locale..
   */
  get locale() {
    return this._locale;
  }
  /**
   * Sets the `locale` of the date-picker.
   * Expects a valid BCP 47 language tag.
   */
  set locale(value) {
    this._locale = value;
    try {
      getLocaleFirstDayOfWeek2(this._locale);
    } catch (e) {
      this._locale = this._localeId;
    }
  }
  /**
   * Gets the start day of the week.
   * Can return a numeric or an enum representation of the week day.
   * If not set, defaults to the first day of the week for the application locale.
   */
  get weekStart() {
    return this._weekStart ?? getLocaleFirstDayOfWeek2(this._locale);
  }
  /**
   * Sets the start day of the week.
   * Can be assigned to a numeric value or to `WEEKDAYS` enum value.
   */
  set weekStart(value) {
    this._weekStart = value;
  }
  /**
   * Determines how the picker's input will be styled.
   *
   * @remarks
   * Default is `box`.
   *
   * @example
   * ```html
   * <igx-date-picker [type]="'line'"></igx-date-picker>
   * ```
   */
  set type(val) {
    this._type = val;
  }
  get type() {
    return this._type || this._inputGroupType;
  }
  /**
   * Gets the picker's pop-up state.
   *
   * @example
   * ```typescript
   * const state = this.picker.collapsed;
   * ```
   */
  get collapsed() {
    return this._collapsed;
  }
  /** @hidden @internal */
  get isDropdown() {
    return this.mode === PickerInteractionMode.DropDown;
  }
  constructor(element, _localeId, _displayDensityOptions, _inputGroupType) {
    super(_displayDensityOptions || { displayDensity: "comfortable" }, element);
    this.element = element;
    this._localeId = _localeId;
    this._displayDensityOptions = _displayDensityOptions;
    this._inputGroupType = _inputGroupType;
    this.placeholder = "";
    this.mode = PickerInteractionMode.DropDown;
    this.disabled = false;
    this.opening = new EventEmitter49();
    this.opened = new EventEmitter49();
    this.closing = new EventEmitter49();
    this.closed = new EventEmitter49();
    this._collapsed = true;
    this._destroy$ = new Subject30();
    this.locale = this.locale || this._localeId;
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.subToIconsClicked(this.toggleComponents, () => this.open());
    this.toggleComponents.changes.pipe(takeUntil23(this._destroy$)).subscribe(() => this.subToIconsClicked(this.toggleComponents, () => this.open()));
  }
  /** @hidden @internal */
  ngAfterContentChecked() {
    if (this.inputGroup && this.prefixes?.length > 0) {
      this.inputGroup.prefixes = this.prefixes;
    }
    if (this.inputGroup && this.suffixes?.length > 0) {
      this.inputGroup.suffixes = this.suffixes;
    }
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this._destroy$.next();
    this._destroy$.complete();
  }
  /** Subscribes to the click events of toggle/clear icons in a query */
  subToIconsClicked(components, next) {
    components.forEach((toggle) => {
      toggle.clicked.pipe(takeUntil23(merge2(components.changes, this._destroy$))).subscribe(next);
    });
  }
  static {
    this.ɵfac = i0109.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0109, type: _PickerBaseDirective, deps: [{ token: i0109.ElementRef }, { token: LOCALE_ID4 }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }], target: i0109.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0109.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _PickerBaseDirective, inputs: { inputFormat: "inputFormat", displayFormat: "displayFormat", placeholder: "placeholder", mode: "mode", overlaySettings: "overlaySettings", disabled: ["disabled", "disabled", booleanAttribute47], locale: "locale", weekStart: "weekStart", outlet: "outlet", type: "type", tabIndex: "tabIndex" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed" }, queries: [{ propertyName: "toggleComponents", predicate: IgxPickerToggleComponent, descendants: true }, { propertyName: "prefixes", predicate: IgxPrefixDirective, descendants: true }, { propertyName: "suffixes", predicate: IgxSuffixDirective, descendants: true }], viewQueries: [{ propertyName: "inputGroup", first: true, predicate: IgxInputGroupComponent, descendants: true }], usesInheritance: true, ngImport: i0109 });
  }
};
i0109.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0109, type: PickerBaseDirective, decorators: [{
  type: Directive50
}], ctorParameters: () => [{ type: i0109.ElementRef }, { type: void 0, decorators: [{
  type: Inject47,
  args: [LOCALE_ID4]
}] }, { type: void 0, decorators: [{
  type: Optional26
}, {
  type: Inject47,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional26
}, {
  type: Inject47,
  args: [IGX_INPUT_GROUP_TYPE]
}] }], propDecorators: { inputFormat: [{
  type: Input71
}], displayFormat: [{
  type: Input71
}], placeholder: [{
  type: Input71
}], mode: [{
  type: Input71
}], overlaySettings: [{
  type: Input71
}], disabled: [{
  type: Input71,
  args: [{ transform: booleanAttribute47 }]
}], locale: [{
  type: Input71
}], weekStart: [{
  type: Input71
}], outlet: [{
  type: Input71
}], type: [{
  type: Input71
}], tabIndex: [{
  type: Input71
}], opening: [{
  type: Output39
}], opened: [{
  type: Output39
}], closing: [{
  type: Output39
}], closed: [{
  type: Output39
}], toggleComponents: [{
  type: ContentChildren12,
  args: [IgxPickerToggleComponent, { descendants: true }]
}], prefixes: [{
  type: ContentChildren12,
  args: [IgxPrefixDirective, { descendants: true }]
}], suffixes: [{
  type: ContentChildren12,
  args: [IgxSuffixDirective, { descendants: true }]
}], inputGroup: [{
  type: ViewChild22,
  args: [IgxInputGroupComponent]
}] } });

// lib/date-picker/date-picker.component.mjs
import { Component as Component42, ContentChild as ContentChild9, ContentChildren as ContentChildren13, EventEmitter as EventEmitter50, HostBinding as HostBinding54, HostListener as HostListener34, Inject as Inject48, Input as Input72, LOCALE_ID as LOCALE_ID5, Optional as Optional27, Output as Output40, ViewChild as ViewChild23, ViewContainerRef as ViewContainerRef11, booleanAttribute as booleanAttribute48 } from "@angular/core";
import { NgIf as NgIf22 } from "@angular/common";
import { NgControl as NgControl6, NG_VALIDATORS as NG_VALIDATORS2, NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR13 } from "@angular/forms";
import { fromEvent as fromEvent7, noop as noop9 } from "rxjs";
import { filter as filter4, takeUntil as takeUntil24 } from "rxjs/operators";
import { fadeIn as fadeIn4, fadeOut as fadeOut4 } from "igniteui-angular/animations";
import * as i0110 from "@angular/core";
var NEXT_ID19 = 0;
var IgxDatePickerComponent = class _IgxDatePickerComponent extends PickerBaseDirective {
  /**
   * Gets/Sets the disabled dates descriptors.
   *
   * @example
   * ```typescript
   * let disabledDates = this.datepicker.disabledDates;
   * this.datePicker.disabledDates = [ {type: DateRangeType.Weekends}, ...];
   * ```
   */
  get disabledDates() {
    return this._disabledDates;
  }
  set disabledDates(value) {
    this._disabledDates = value;
    this._onValidatorChange();
  }
  /**
   * Gets/Sets the special dates descriptors.
   *
   * @example
   * ```typescript
   * let specialDates = this.datepicker.specialDates;
   * this.datePicker.specialDates = [ {type: DateRangeType.Weekends}, ... ];
   * ```
   */
  get specialDates() {
    return this._specialDates;
  }
  set specialDates(value) {
    this._specialDates = value;
  }
  //#endregion
  /**
   * Gets/Sets the selected date.
   *
   *  @example
   * ```html
   * <igx-date-picker [value]="date"></igx-date-picker>
   * ```
   */
  get value() {
    return this._value;
  }
  set value(date) {
    this._value = date;
    this.setDateValue(date);
    if (this.dateTimeEditor.value !== date) {
      this.dateTimeEditor.value = this._dateValue;
    }
    this.valueChange.emit(this.dateValue);
    this._onChangeCallback(this.dateValue);
  }
  /**
   * The minimum value the picker will accept.
   *
   * @example
   * <igx-date-picker [minValue]="minDate"></igx-date-picker>
   */
  set minValue(value) {
    this._minValue = value;
    this._onValidatorChange();
  }
  get minValue() {
    return this._minValue;
  }
  /**
   * The maximum value the picker will accept.
   *
   * @example
   * <igx-date-picker [maxValue]="maxDate"></igx-date-picker>
   */
  set maxValue(value) {
    this._maxValue = value;
    this._onValidatorChange();
  }
  get maxValue() {
    return this._maxValue;
  }
  get dialogOverlaySettings() {
    return Object.assign({}, this._dialogOverlaySettings, this.overlaySettings);
  }
  get dropDownOverlaySettings() {
    return Object.assign({}, this._dropDownOverlaySettings, this.overlaySettings);
  }
  get inputGroupElement() {
    return this.inputGroup?.element.nativeElement;
  }
  get dateValue() {
    return this._dateValue;
  }
  get pickerFormatViews() {
    return Object.assign({}, this._defFormatViews, this.formatViews);
  }
  get pickerCalendarFormat() {
    return Object.assign({}, this._calendarFormat, this.calendarFormat);
  }
  constructor(element, _localeId, _overlayService, _injector, _renderer, platform, cdr, _displayDensityOptions, _inputGroupType) {
    super(element, _localeId, _displayDensityOptions, _inputGroupType);
    this._overlayService = _overlayService;
    this._injector = _injector;
    this._renderer = _renderer;
    this.platform = platform;
    this.cdr = cdr;
    this.displayMonthsCount = 1;
    this.headerOrientation = PickerHeaderOrientation.Horizontal;
    this.spinLoop = true;
    this.id = `igx-date-picker-${NEXT_ID19++}`;
    this.readOnly = false;
    this.valueChange = new EventEmitter50();
    this.validationFailed = new EventEmitter50();
    this.displayValue = { transform: (date) => this.formatter(date) };
    this._resourceStrings = getCurrentResourceStrings(DatePickerResourceStringsEN);
    this._ngControl = null;
    this._specialDates = null;
    this._disabledDates = null;
    this._overlaySubFilter = [
      filter4((x) => x.id === this._overlayId),
      takeUntil24(this._destroy$)
    ];
    this._dropDownOverlaySettings = {
      target: this.inputGroupElement,
      closeOnOutsideClick: true,
      modal: false,
      closeOnEscape: true,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new AutoPositionStrategy({
        openAnimation: fadeIn4,
        closeAnimation: fadeOut4
      })
    };
    this._dialogOverlaySettings = {
      closeOnOutsideClick: true,
      modal: true,
      closeOnEscape: true
    };
    this._calendarFormat = {
      day: "numeric",
      month: "short",
      weekday: "short",
      year: "numeric"
    };
    this._defFormatViews = {
      day: false,
      month: true,
      year: false
    };
    this._onChangeCallback = noop9;
    this._onTouchedCallback = noop9;
    this._onValidatorChange = noop9;
    this.onStatusChanged = () => {
      this.disabled = this._ngControl.disabled;
      this.updateValidity();
      this.inputGroup.isRequired = this.required;
    };
    this.locale = this.locale || this._localeId;
  }
  /** @hidden @internal */
  get required() {
    if (this._ngControl && this._ngControl.control && this._ngControl.control.validator) {
      const error = this._ngControl.control.validator({});
      return error && error.required;
    }
    return false;
  }
  /** @hidden @internal */
  get pickerResourceStrings() {
    return Object.assign({}, this._resourceStrings, this.resourceStrings);
  }
  /** @hidden @internal */
  onKeyDown(event) {
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_UP:
        if (event.altKey) {
          this.close();
        }
        break;
      case this.platform.KEYMAP.ARROW_DOWN:
        if (event.altKey) {
          this.open();
        }
        break;
      case this.platform.KEYMAP.SPACE:
        event.preventDefault();
        this.open();
        break;
    }
  }
  /**
   * Opens the picker's dropdown or dialog.
   *
   * @example
   * ```html
   * <igx-date-picker #picker></igx-date-picker>
   *
   * <button type="button" igxButton (click)="picker.open()">Open Dialog</button>
   * ```
   */
  open(settings) {
    if (!this.collapsed || this.disabled) {
      return;
    }
    const overlaySettings = Object.assign({}, this.isDropdown ? this.dropDownOverlaySettings : this.dialogOverlaySettings, settings);
    if (this.isDropdown && this.inputGroupElement) {
      overlaySettings.target = this.inputGroupElement;
    }
    if (this.outlet) {
      overlaySettings.outlet = this.outlet;
    }
    this._overlayId = this._overlayService.attach(IgxCalendarContainerComponent, this.viewContainerRef, overlaySettings);
    this._overlayService.show(this._overlayId);
  }
  /**
   * Toggles the picker's dropdown or dialog
   *
   * @example
   * ```html
   * <igx-date-picker #picker></igx-date-picker>
   *
   * <button type="button" igxButton (click)="picker.toggle()">Toggle Dialog</button>
   * ```
   */
  toggle(settings) {
    if (this.collapsed) {
      this.open(settings);
    } else {
      this.close();
    }
  }
  /**
   * Closes the picker's dropdown or dialog.
   *
   * @example
   * ```html
   * <igx-date-picker #picker></igx-date-picker>
   *
   * <button type="button" igxButton (click)="picker.close()">Close Dialog</button>
   * ```
   */
  close() {
    if (!this.collapsed) {
      this._overlayService.hide(this._overlayId);
    }
  }
  /**
   * Selects a date.
   *
   * @remarks Updates the value in the input field.
   *
   * @example
   * ```typescript
   * this.datePicker.select(date);
   * ```
   * @param date passed date that has to be set to the calendar.
   */
  select(value) {
    this.value = value;
  }
  /**
   * Selects today's date and closes the picker.
   *
   * @example
   * ```html
   * <igx-date-picker #picker></igx-date-picker>
   *
   * <button type="button" igxButton (click)="picker.selectToday()">Select Today</button>
   * ```
   * */
  selectToday() {
    const today = /* @__PURE__ */ new Date();
    today.setHours(0);
    today.setMinutes(0);
    today.setSeconds(0);
    today.setMilliseconds(0);
    this.select(today);
    this.close();
  }
  /**
   * Clears the input field and the picker's value.
   *
   * @example
   * ```typescript
   * this.datePicker.clear();
   * ```
   */
  clear() {
    if (!this.disabled) {
      this._calendar?.deselectDate();
      this.dateTimeEditor.clear();
    }
  }
  /**
   * Increment a specified `DatePart`.
   *
   * @param datePart The optional DatePart to increment. Defaults to Date.
   * @param delta The optional delta to increment by. Overrides `spinDelta`.
   * @example
   * ```typescript
   * this.datePicker.increment(DatePart.Date);
   * ```
   */
  increment(datePart, delta) {
    this.dateTimeEditor.increment(datePart, delta);
  }
  /**
   * Decrement a specified `DatePart`
   *
   * @param datePart The optional DatePart to decrement. Defaults to Date.
   * @param delta The optional delta to decrement by. Overrides `spinDelta`.
   * @example
   * ```typescript
   * this.datePicker.decrement(DatePart.Date);
   * ```
   */
  decrement(datePart, delta) {
    this.dateTimeEditor.decrement(datePart, delta);
  }
  //#region Control Value Accessor
  /** @hidden @internal */
  writeValue(value) {
    this._value = value;
    this.setDateValue(value);
    if (this.dateTimeEditor.value !== value) {
      this.dateTimeEditor.value = this._dateValue;
    }
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  //#endregion
  //#region Validator
  /** @hidden @internal */
  registerOnValidatorChange(fn) {
    this._onValidatorChange = fn;
  }
  /** @hidden @internal */
  validate(control) {
    if (!control.value) {
      return null;
    }
    if (isDate(control.value) && !DateTimeUtil.isValidDate(control.value)) {
      return { value: true };
    }
    const errors = {};
    const value = DateTimeUtil.isValidDate(control.value) ? control.value : DateTimeUtil.parseIsoDate(control.value);
    if (value && this.disabledDates && isDateInRanges(value, this.disabledDates)) {
      Object.assign(errors, { dateIsDisabled: true });
    }
    Object.assign(errors, DateTimeUtil.validateMinMax(value, this.minValue, this.maxValue, false));
    return Object.keys(errors).length > 0 ? errors : null;
  }
  //#endregion
  /** @hidden @internal */
  ngOnInit() {
    this._ngControl = this._injector.get(NgControl6, null);
    this.locale = this.locale || this._localeId;
    super.ngOnInit();
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.subscribeToClick();
    this.subscribeToOverlayEvents();
    this.subscribeToDateEditorEvents();
    this.subToIconsClicked(this.clearComponents, () => this.clear());
    this.clearComponents.changes.pipe(takeUntil24(this._destroy$)).subscribe(() => this.subToIconsClicked(this.clearComponents, () => this.clear()));
    this._dropDownOverlaySettings.excludeFromOutsideClick = [this.inputGroup.element.nativeElement];
    fromEvent7(this.inputDirective.nativeElement, "blur").pipe(takeUntil24(this._destroy$)).subscribe(() => {
      if (this.collapsed) {
        this._onTouchedCallback();
        this.updateValidity();
      }
    });
    if (this._ngControl) {
      this._statusChanges$ = this._ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
      if (this._ngControl.control.validator) {
        this.inputGroup.isRequired = this.required;
        this.cdr.detectChanges();
      }
    }
  }
  /** @hidden @internal */
  ngAfterViewChecked() {
    if (this.labelDirective) {
      this._renderer.setAttribute(this.inputDirective.nativeElement, "aria-labelledby", this.labelDirective.id);
    }
  }
  /** @hidden @internal */
  ngOnDestroy() {
    super.ngOnDestroy();
    if (this._statusChanges$) {
      this._statusChanges$.unsubscribe();
    }
    if (this._overlayId) {
      this._overlayService.detach(this._overlayId);
      delete this._overlayId;
    }
  }
  /** @hidden @internal */
  getEditElement() {
    return this.inputDirective.nativeElement;
  }
  subscribeToClick() {
    fromEvent7(this.getEditElement(), "click").pipe(takeUntil24(this._destroy$)).subscribe(() => {
      if (!this.isDropdown) {
        this.toggle();
      }
    });
  }
  setDateValue(value) {
    if (isDate(value) && isNaN(value.getTime())) {
      this._dateValue = value;
      return;
    }
    this._dateValue = DateTimeUtil.isValidDate(value) ? value : DateTimeUtil.parseIsoDate(value);
  }
  updateValidity() {
    if (this._ngControl && !this.disabled && this.isTouchedOrDirty) {
      if (this.hasValidators && this.inputGroup.isFocused) {
        this.inputDirective.valid = this._ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
      } else {
        this.inputDirective.valid = this._ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
      }
    } else {
      this.inputDirective.valid = IgxInputState.INITIAL;
    }
  }
  get isTouchedOrDirty() {
    return this._ngControl.control.touched || this._ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this._ngControl.control.validator || !!this._ngControl.control.asyncValidator;
  }
  handleSelection(date) {
    if (this.dateValue && DateTimeUtil.isValidDate(this.dateValue)) {
      date.setHours(this.dateValue.getHours());
      date.setMinutes(this.dateValue.getMinutes());
      date.setSeconds(this.dateValue.getSeconds());
      date.setMilliseconds(this.dateValue.getMilliseconds());
    }
    this.value = date;
    this._calendar.viewDate = date;
    this.close();
  }
  subscribeToDateEditorEvents() {
    this.dateTimeEditor.valueChange.pipe(takeUntil24(this._destroy$)).subscribe((val) => {
      this.value = val;
    });
    this.dateTimeEditor.validationFailed.pipe(takeUntil24(this._destroy$)).subscribe((event) => {
      this.validationFailed.emit({
        owner: this,
        prevValue: event.oldValue,
        currentValue: this.value
      });
    });
  }
  subscribeToOverlayEvents() {
    this._overlayService.opening.pipe(...this._overlaySubFilter).subscribe((e) => {
      const args = { owner: this, event: e.event, cancel: e.cancel };
      this.opening.emit(args);
      e.cancel = args.cancel;
      if (args.cancel) {
        this._overlayService.detach(this._overlayId);
        return;
      }
      this._initializeCalendarContainer(e.componentRef.instance);
      this._collapsed = false;
    });
    this._overlayService.opened.pipe(...this._overlaySubFilter).subscribe(() => {
      this.opened.emit({ owner: this });
      if (this._targetViewDate) {
        this._targetViewDate.setHours(0, 0, 0, 0);
        this._calendar.activeDate = this._targetViewDate;
      }
    });
    this._overlayService.closing.pipe(...this._overlaySubFilter).subscribe((e) => {
      const args = { owner: this, event: e.event, cancel: e.cancel };
      this.closing.emit(args);
      e.cancel = args.cancel;
      if (args.cancel) {
        return;
      }
      if (this.getEditElement() && !(args.event && this.isDropdown)) {
        this.inputDirective.focus();
      } else {
        this._onTouchedCallback();
        this.updateValidity();
      }
    });
    this._overlayService.closed.pipe(...this._overlaySubFilter).subscribe(() => {
      this.closed.emit({ owner: this });
      this._overlayService.detach(this._overlayId);
      this._collapsed = true;
      this._overlayId = null;
    });
  }
  getMinMaxDates() {
    const minValue = DateTimeUtil.isValidDate(this.minValue) ? this.minValue : DateTimeUtil.parseIsoDate(this.minValue);
    const maxValue = DateTimeUtil.isValidDate(this.maxValue) ? this.maxValue : DateTimeUtil.parseIsoDate(this.maxValue);
    return { minValue, maxValue };
  }
  setDisabledDates() {
    this._calendar.disabledDates = this.disabledDates ? [...this.disabledDates] : [];
    const { minValue, maxValue } = this.getMinMaxDates();
    if (minValue) {
      this._calendar.disabledDates.push({ type: DateRangeType2.Before, dateRange: [minValue] });
    }
    if (maxValue) {
      this._calendar.disabledDates.push({ type: DateRangeType2.After, dateRange: [maxValue] });
    }
  }
  _initializeCalendarContainer(componentInstance) {
    this._calendar = componentInstance.calendar;
    this._calendar.hasHeader = !this.isDropdown;
    this._calendar.formatOptions = this.pickerCalendarFormat;
    this._calendar.formatViews = this.pickerFormatViews;
    this._calendar.locale = this.locale;
    this._calendar.weekStart = this.weekStart;
    this._calendar.specialDates = this.specialDates;
    this._calendar.headerTemplate = this.headerTemplate;
    this._calendar.subheaderTemplate = this.subheaderTemplate;
    this._calendar.headerOrientation = this.headerOrientation;
    this._calendar.hideOutsideDays = this.hideOutsideDays;
    this._calendar.monthsViewNumber = this.displayMonthsCount;
    this._calendar.showWeekNumbers = this.showWeekNumbers;
    this._calendar.selected.pipe(takeUntil24(this._destroy$)).subscribe((ev) => this.handleSelection(ev));
    this.setDisabledDates();
    if (DateTimeUtil.isValidDate(this.dateValue)) {
      this._calendar.value = this.dateValue;
    }
    this.setCalendarViewDate();
    componentInstance.mode = this.mode;
    componentInstance.closeButtonLabel = this.cancelButtonLabel;
    componentInstance.todayButtonLabel = this.todayButtonLabel;
    componentInstance.pickerActions = this.pickerActions;
    componentInstance.calendarClose.pipe(takeUntil24(this._destroy$)).subscribe(() => this.close());
    componentInstance.todaySelection.pipe(takeUntil24(this._destroy$)).subscribe(() => this.selectToday());
  }
  setCalendarViewDate() {
    const { minValue, maxValue } = this.getMinMaxDates();
    const dateValue = DateTimeUtil.isValidDate(this.dateValue) ? this.dateValue : /* @__PURE__ */ new Date();
    if (minValue && DateTimeUtil.lessThanMinValue(dateValue, minValue)) {
      this._calendar.viewDate = this._targetViewDate = minValue;
      return;
    }
    if (maxValue && DateTimeUtil.greaterThanMaxValue(dateValue, maxValue)) {
      this._calendar.viewDate = this._targetViewDate = maxValue;
      return;
    }
    this._calendar.viewDate = this._targetViewDate = dateValue;
  }
  static {
    this.ɵfac = i0110.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0110, type: _IgxDatePickerComponent, deps: [{ token: i0110.ElementRef }, { token: LOCALE_ID5 }, { token: IgxOverlayService }, { token: i0110.Injector }, { token: i0110.Renderer2 }, { token: PlatformUtil }, { token: i0110.ChangeDetectorRef }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }], target: i0110.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0110.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDatePickerComponent, isStandalone: true, selector: "igx-date-picker", inputs: { hideOutsideDays: ["hideOutsideDays", "hideOutsideDays", booleanAttribute48], displayMonthsCount: "displayMonthsCount", showWeekNumbers: ["showWeekNumbers", "showWeekNumbers", booleanAttribute48], formatter: "formatter", headerOrientation: "headerOrientation", todayButtonLabel: "todayButtonLabel", cancelButtonLabel: "cancelButtonLabel", spinLoop: ["spinLoop", "spinLoop", booleanAttribute48], spinDelta: "spinDelta", outlet: "outlet", id: "id", formatViews: "formatViews", disabledDates: "disabledDates", specialDates: "specialDates", calendarFormat: "calendarFormat", value: "value", minValue: "minValue", maxValue: "maxValue", resourceStrings: "resourceStrings", readOnly: ["readOnly", "readOnly", booleanAttribute48] }, outputs: { valueChange: "valueChange", validationFailed: "validationFailed" }, host: { listeners: { "keydown": "onKeyDown($event)" }, properties: { "attr.id": "this.id" } }, providers: [
      { provide: NG_VALUE_ACCESSOR13, useExisting: _IgxDatePickerComponent, multi: true },
      { provide: NG_VALIDATORS2, useExisting: _IgxDatePickerComponent, multi: true }
    ], queries: [{ propertyName: "label", first: true, predicate: IgxLabelDirective, descendants: true }, { propertyName: "headerTemplate", first: true, predicate: IgxCalendarHeaderTemplateDirective, descendants: true }, { propertyName: "subheaderTemplate", first: true, predicate: IgxCalendarSubheaderTemplateDirective, descendants: true }, { propertyName: "pickerActions", first: true, predicate: IgxPickerActionsDirective, descendants: true }, { propertyName: "clearComponents", predicate: IgxPickerClearComponent }], viewQueries: [{ propertyName: "dateTimeEditor", first: true, predicate: IgxDateTimeEditorDirective, descendants: true, static: true }, { propertyName: "viewContainerRef", first: true, predicate: IgxInputGroupComponent, descendants: true, read: ViewContainerRef11 }, { propertyName: "labelDirective", first: true, predicate: IgxLabelDirective, descendants: true }, { propertyName: "inputDirective", first: true, predicate: IgxInputDirective, descendants: true }], usesInheritance: true, ngImport: i0110, template: '<igx-input-group [displayDensity]="displayDensity" [type]="type">\n    <igx-prefix *ngIf="!toggleComponents.length" (click)="toggle()">\n        <igx-icon [title]="value\n            ? pickerResourceStrings.igx_date_picker_change_date\n            : pickerResourceStrings.igx_date_picker_choose_date">calendar_today</igx-icon>\n    </igx-prefix>\n\n    <input class="igx-date-picker__input-date" [displayValuePipe]="formatter ? displayValue : null" igxInput\n        [igxDateTimeEditor]="inputFormat" [displayFormat]="displayFormat"\n        [minValue]="minValue" [maxValue]="maxValue" [spinDelta]="spinDelta" [spinLoop]="spinLoop"\n        [disabled]="disabled" [placeholder]="placeholder" [readonly]="!isDropdown || readOnly"\n        [igxTextSelection]="isDropdown && !readOnly" [locale]="locale" [attr.aria-expanded]="!collapsed"\n        [attr.aria-labelledby]="label?.id" aria-haspopup="dialog" aria-autocomplete="none" role="combobox">\n\n    <igx-suffix *ngIf="!clearComponents.length && value" (click)="clear()">\n        <igx-icon>clear</igx-icon>\n    </igx-suffix>\n\n    <ng-container ngProjectAs="[igxLabel]">\n        <ng-content select="[igxLabel]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-prefix">\n        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-suffix">\n        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-hint">\n        <ng-content select="igx-hint,[igxHint]"></ng-content>\n    </ng-container>\n</igx-input-group>\n', styles: [":host{display:block}\n"], dependencies: [{ kind: "directive", type: NgIf22, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }] });
  }
};
i0110.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0110, type: IgxDatePickerComponent, decorators: [{
  type: Component42,
  args: [{ providers: [
    { provide: NG_VALUE_ACCESSOR13, useExisting: IgxDatePickerComponent, multi: true },
    { provide: NG_VALIDATORS2, useExisting: IgxDatePickerComponent, multi: true }
  ], selector: "igx-date-picker", standalone: true, imports: [
    NgIf22,
    IgxInputGroupComponent,
    IgxPrefixDirective,
    IgxIconComponent,
    IgxInputDirective,
    IgxDateTimeEditorDirective,
    IgxTextSelectionDirective,
    IgxSuffixDirective
  ], template: '<igx-input-group [displayDensity]="displayDensity" [type]="type">\n    <igx-prefix *ngIf="!toggleComponents.length" (click)="toggle()">\n        <igx-icon [title]="value\n            ? pickerResourceStrings.igx_date_picker_change_date\n            : pickerResourceStrings.igx_date_picker_choose_date">calendar_today</igx-icon>\n    </igx-prefix>\n\n    <input class="igx-date-picker__input-date" [displayValuePipe]="formatter ? displayValue : null" igxInput\n        [igxDateTimeEditor]="inputFormat" [displayFormat]="displayFormat"\n        [minValue]="minValue" [maxValue]="maxValue" [spinDelta]="spinDelta" [spinLoop]="spinLoop"\n        [disabled]="disabled" [placeholder]="placeholder" [readonly]="!isDropdown || readOnly"\n        [igxTextSelection]="isDropdown && !readOnly" [locale]="locale" [attr.aria-expanded]="!collapsed"\n        [attr.aria-labelledby]="label?.id" aria-haspopup="dialog" aria-autocomplete="none" role="combobox">\n\n    <igx-suffix *ngIf="!clearComponents.length && value" (click)="clear()">\n        <igx-icon>clear</igx-icon>\n    </igx-suffix>\n\n    <ng-container ngProjectAs="[igxLabel]">\n        <ng-content select="[igxLabel]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-prefix">\n        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-suffix">\n        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs="igx-hint">\n        <ng-content select="igx-hint,[igxHint]"></ng-content>\n    </ng-container>\n</igx-input-group>\n', styles: [":host{display:block}\n"] }]
}], ctorParameters: () => [{ type: i0110.ElementRef }, { type: void 0, decorators: [{
  type: Inject48,
  args: [LOCALE_ID5]
}] }, { type: IgxOverlayService, decorators: [{
  type: Inject48,
  args: [IgxOverlayService]
}] }, { type: i0110.Injector }, { type: i0110.Renderer2 }, { type: PlatformUtil }, { type: i0110.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Optional27
}, {
  type: Inject48,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional27
}, {
  type: Inject48,
  args: [IGX_INPUT_GROUP_TYPE]
}] }], propDecorators: { hideOutsideDays: [{
  type: Input72,
  args: [{ transform: booleanAttribute48 }]
}], displayMonthsCount: [{
  type: Input72
}], showWeekNumbers: [{
  type: Input72,
  args: [{ transform: booleanAttribute48 }]
}], formatter: [{
  type: Input72
}], headerOrientation: [{
  type: Input72
}], todayButtonLabel: [{
  type: Input72
}], cancelButtonLabel: [{
  type: Input72
}], spinLoop: [{
  type: Input72,
  args: [{ transform: booleanAttribute48 }]
}], spinDelta: [{
  type: Input72
}], outlet: [{
  type: Input72
}], id: [{
  type: Input72
}, {
  type: HostBinding54,
  args: ["attr.id"]
}], formatViews: [{
  type: Input72
}], disabledDates: [{
  type: Input72
}], specialDates: [{
  type: Input72
}], calendarFormat: [{
  type: Input72
}], value: [{
  type: Input72
}], minValue: [{
  type: Input72
}], maxValue: [{
  type: Input72
}], resourceStrings: [{
  type: Input72
}], readOnly: [{
  type: Input72,
  args: [{ transform: booleanAttribute48 }]
}], valueChange: [{
  type: Output40
}], validationFailed: [{
  type: Output40
}], clearComponents: [{
  type: ContentChildren13,
  args: [IgxPickerClearComponent]
}], label: [{
  type: ContentChild9,
  args: [IgxLabelDirective]
}], headerTemplate: [{
  type: ContentChild9,
  args: [IgxCalendarHeaderTemplateDirective]
}], dateTimeEditor: [{
  type: ViewChild23,
  args: [IgxDateTimeEditorDirective, { static: true }]
}], viewContainerRef: [{
  type: ViewChild23,
  args: [IgxInputGroupComponent, { read: ViewContainerRef11 }]
}], labelDirective: [{
  type: ViewChild23,
  args: [IgxLabelDirective]
}], inputDirective: [{
  type: ViewChild23,
  args: [IgxInputDirective]
}], subheaderTemplate: [{
  type: ContentChild9,
  args: [IgxCalendarSubheaderTemplateDirective]
}], pickerActions: [{
  type: ContentChild9,
  args: [IgxPickerActionsDirective]
}], onKeyDown: [{
  type: HostListener34,
  args: ["keydown", ["$event"]]
}] } });

// lib/date-picker/public_api.mjs
var IGX_DATE_PICKER_DIRECTIVES = [
  IgxDatePickerComponent,
  IgxPickerToggleComponent,
  IgxPickerClearComponent,
  IgxPickerActionsDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/dialog/dialog.component.mjs
import { NgIf as NgIf23 } from "@angular/common";
import { Component as Component43, EventEmitter as EventEmitter51, HostBinding as HostBinding55, Input as Input73, Optional as Optional28, Output as Output41, ViewChild as ViewChild24, booleanAttribute as booleanAttribute49 } from "@angular/core";
import { Subject as Subject31 } from "rxjs";
import { takeUntil as takeUntil25 } from "rxjs/operators";
import { fadeIn as fadeIn5, fadeOut as fadeOut5 } from "igniteui-angular/animations";
import * as i0111 from "@angular/core";
var DIALOG_ID = 0;
var IgxDialogComponent = class _IgxDialogComponent {
  static {
    this.NEXT_ID = 1;
  }
  static {
    this.DIALOG_CLASS = "igx-dialog";
  }
  /**
   * Controls whether the dialog should be shown as modal. Defaults to `true`
   * ```html
   * <igx-dialog [isModal]="false" ></igx-dialog>
   * ```
   */
  get isModal() {
    return this._isModal;
  }
  set isModal(val) {
    this._overlayDefaultSettings.modal = val;
    this._isModal = val;
  }
  /**
   * Controls whether the dialog should close when `Esc` key is pressed. Defaults to `true`
   * ```html
   * <igx-dialog [closeOnEscape]="false" ></igx-dialog>
   * ```
   */
  get closeOnEscape() {
    return this._closeOnEscape;
  }
  set closeOnEscape(val) {
    this._overlayDefaultSettings.closeOnEscape = val;
    this._closeOnEscape = val;
  }
  /**
   * Gets/Sets whether the dialog should close on click outside the component. By default it's false.
   * ```html
   * <igx-dialog closeOnOutsideSelect="true" leftButtonLabel="Cancel" (leftButtonSelect)="dialog.close()"
   * rightButtonLabel="OK" rightButtonRipple="#4CAF50" (rightButtonSelect)="onDialogOKSelected($event)">
   * </igx-dialog>
   * ```
   */
  get closeOnOutsideSelect() {
    return this._closeOnOutsideSelect;
  }
  set closeOnOutsideSelect(val) {
    this._overlayDefaultSettings.closeOnOutsideClick = val;
    this._closeOnOutsideSelect = val;
  }
  /**
   * Get the position and animation settings used by the dialog.
   * ```typescript
   * @ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
   * let currentPosition: PositionSettings = this.alert.positionSettings
   * ```
   */
  get positionSettings() {
    return this._positionSettings;
  }
  /**
   * Set the position and animation settings used by the dialog.
   * ```typescript
   * import { slideInLeft, slideOutRight } from 'igniteui-angular';
   * ...
   * @ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
   *  public newPositionSettings: PositionSettings = {
   *      openAnimation: useAnimation(slideInTop, { params: { duration: '2000ms' } }),
   *      closeAnimation: useAnimation(slideOutBottom, { params: { duration: '2000ms'} }),
   *      horizontalDirection: HorizontalAlignment.Left,
   *      verticalDirection: VerticalAlignment.Middle,
   *      horizontalStartPoint: HorizontalAlignment.Left,
   *      verticalStartPoint: VerticalAlignment.Middle,
   *      minSize: { height: 100, width: 100 }
   *  };
   * this.alert.positionSettings = this.newPositionSettings;
   * ```
   */
  set positionSettings(settings) {
    this._positionSettings = settings;
    this._overlayDefaultSettings.positionStrategy = new GlobalPositionStrategy(this._positionSettings);
  }
  /**
   * @hidden
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * Returns the value of state. Possible state values are "open" or "close".
   * ```typescript
   * @ViewChild("MyDialog")
   * public dialog: IgxDialogComponent;
   * ngAfterViewInit() {
   *     let dialogState = this.dialog.state;
   * }
   * ```
   */
  get state() {
    return this.isOpen ? "open" : "close";
  }
  /**
   * State of the dialog.
   *
   * ```typescript
   * // get
   * let dialogIsOpen = this.dialog.isOpen;
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-dialog [isOpen]='false'></igx-dialog>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <!--set-->
   * <igx-dialog [(isOpen)]='model.isOpen'></igx-dialog>
   * ```
   */
  get isOpen() {
    return this.toggleRef ? !this.toggleRef.collapsed : false;
  }
  set isOpen(value) {
    if (value !== this.isOpen) {
      this.isOpenChange.emit(value);
      if (value) {
        requestAnimationFrame(() => {
          this.open();
        });
      } else {
        this.close();
      }
    }
  }
  get isCollapsed() {
    return this.toggleRef.collapsed;
  }
  /**
   * Returns the value of the role of the dialog. The valid values are `dialog`, `alertdialog`, `alert`.
   * ```typescript
   * @ViewChild("MyDialog")
   * public dialog: IgxDialogComponent;
   * ngAfterViewInit() {
   *     let dialogRole = this.dialog.role;
   * }
   *  ```
   */
  get role() {
    if (this.leftButtonLabel !== "" && this.rightButtonLabel !== "") {
      return "dialog";
    } else if (this.leftButtonLabel !== "" || this.rightButtonLabel !== "") {
      return "alertdialog";
    } else {
      return "alert";
    }
  }
  /**
   * Returns the value of the title id.
   * ```typescript
   *  @ViewChild("MyDialog")
   * public dialog: IgxDialogComponent;
   * ngAfterViewInit() {
   *     let dialogTitle = this.dialog.titleId;
   * }
   * ```
   */
  get titleId() {
    return this._titleId;
  }
  constructor(elementRef, navService) {
    this.elementRef = elementRef;
    this.navService = navService;
    this.id = `igx-dialog-${DIALOG_ID++}`;
    this.focusTrap = true;
    this.title = "";
    this.message = "";
    this.leftButtonLabel = "";
    this.leftButtonType = "flat";
    this.leftButtonRipple = "";
    this.rightButtonLabel = "";
    this.rightButtonType = "flat";
    this.rightButtonRipple = "";
    this.tabindex = -1;
    this.opening = new EventEmitter51();
    this.opened = new EventEmitter51();
    this.closing = new EventEmitter51();
    this.closed = new EventEmitter51();
    this.leftButtonSelect = new EventEmitter51();
    this.rightButtonSelect = new EventEmitter51();
    this.isOpenChange = new EventEmitter51();
    this.destroy$ = new Subject31();
    this._positionSettings = {
      openAnimation: fadeIn5,
      closeAnimation: fadeOut5
    };
    this._closeOnOutsideSelect = false;
    this._closeOnEscape = true;
    this._isModal = true;
    this._titleId = _IgxDialogComponent.NEXT_ID++ + "_title";
    this._overlayDefaultSettings = {
      positionStrategy: new GlobalPositionStrategy(this._positionSettings),
      scrollStrategy: new NoOpScrollStrategy(),
      modal: this.isModal,
      closeOnEscape: this._closeOnEscape,
      closeOnOutsideClick: this.closeOnOutsideSelect
    };
  }
  ngAfterContentInit() {
    this.toggleRef.closing.pipe(takeUntil25(this.destroy$)).subscribe((eventArgs) => this.emitCloseFromDialog(eventArgs));
    this.toggleRef.closed.pipe(takeUntil25(this.destroy$)).subscribe((eventArgs) => this.emitClosedFromDialog(eventArgs));
    this.toggleRef.opened.pipe(takeUntil25(this.destroy$)).subscribe((eventArgs) => this.emitOpenedFromDialog(eventArgs));
  }
  /**
   * A method that opens the dialog.
   *
   * @memberOf {@link IgxDialogComponent}
   * ```html
   * <button type="button" (click)="dialog.open() igxButton="contained">Trigger Dialog</button>
   * <igx-dialog #dialog></igx-dialog>
   * ```
   */
  open(overlaySettings = this._overlayDefaultSettings) {
    const eventArgs = { dialog: this, event: null, cancel: false };
    this.opening.emit(eventArgs);
    if (!eventArgs.cancel) {
      this.toggleRef.open(overlaySettings);
      this.isOpenChange.emit(true);
      if (!this.leftButtonLabel && !this.rightButtonLabel) {
        this.toggleRef.element.focus();
      }
    }
  }
  /**
   * A method that that closes the dialog.
   *
   *  @memberOf {@link IgxDialogComponent}
   * ```html
   * <button type="button" (click)="dialog.close() igxButton="contained">Trigger Dialog</button>
   * <igx-dialog #dialog></igx-dialog>
   * ```
   */
  close() {
    this.toggleRef?.close();
  }
  /**
   * A method that opens/closes the dialog.
   *
   * @memberOf {@link IgxDialogComponent}
   * ```html
   * <button type="button" (click)="dialog.toggle() igxButton="contained">Trigger Dialog</button>
   * <igx-dialog #dialog></igx-dialog>
   * ```
   */
  toggle() {
    if (this.isOpen) {
      this.close();
    } else {
      this.open();
    }
  }
  /**
   * @hidden
   */
  onDialogSelected(event) {
    event.stopPropagation();
    if (this.isOpen && this.closeOnOutsideSelect && event.target.classList.contains(_IgxDialogComponent.DIALOG_CLASS)) {
      this.close();
    }
  }
  /**
   * @hidden
   */
  onInternalLeftButtonSelect(event) {
    this.leftButtonSelect.emit({ dialog: this, event });
  }
  /**
   * @hidden
   */
  onInternalRightButtonSelect(event) {
    this.rightButtonSelect.emit({ dialog: this, event });
  }
  /**
   * @hidden
   */
  ngOnInit() {
    if (this.navService && this.id) {
      this.navService.add(this.id, this);
    }
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    if (this.navService && this.id) {
      this.navService.remove(this.id);
    }
  }
  emitCloseFromDialog(eventArgs) {
    const dialogEventsArgs = { dialog: this, event: eventArgs.event, cancel: eventArgs.cancel };
    this.closing.emit(dialogEventsArgs);
    eventArgs.cancel = dialogEventsArgs.cancel;
    if (!eventArgs.cancel) {
      this.isOpenChange.emit(false);
    }
  }
  emitClosedFromDialog(eventArgs) {
    this.closed.emit({ dialog: this, event: eventArgs.event });
  }
  emitOpenedFromDialog(eventArgs) {
    this.opened.emit({ dialog: this, event: eventArgs.event });
  }
  static {
    this.ɵfac = i0111.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0111, type: _IgxDialogComponent, deps: [{ token: i0111.ElementRef }, { token: IgxNavigationService, optional: true }], target: i0111.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0111.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDialogComponent, isStandalone: true, selector: "igx-dialog", inputs: { id: "id", isModal: ["isModal", "isModal", booleanAttribute49], closeOnEscape: ["closeOnEscape", "closeOnEscape", booleanAttribute49], focusTrap: ["focusTrap", "focusTrap", booleanAttribute49], title: "title", message: "message", leftButtonLabel: "leftButtonLabel", leftButtonType: "leftButtonType", leftButtonRipple: "leftButtonRipple", rightButtonLabel: "rightButtonLabel", rightButtonType: "rightButtonType", rightButtonRipple: "rightButtonRipple", closeOnOutsideSelect: ["closeOnOutsideSelect", "closeOnOutsideSelect", booleanAttribute49], positionSettings: "positionSettings", isOpen: ["isOpen", "isOpen", booleanAttribute49], role: "role", titleId: "titleId" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed", leftButtonSelect: "leftButtonSelect", rightButtonSelect: "rightButtonSelect", isOpenChange: "isOpenChange" }, host: { properties: { "attr.id": "this.id", "attr.tabindex": "this.tabindex", "class.igx-dialog--hidden": "this.isCollapsed" } }, viewQueries: [{ propertyName: "toggleRef", first: true, predicate: IgxToggleDirective, descendants: true, static: true }], ngImport: i0111, template: '<div\n    tabindex="0"\n    #dialog\n    class="igx-dialog"\n    igxToggle\n    [igxFocusTrap]="focusTrap"\n    (click)="onDialogSelected($event)"\n>\n    <div\n        #dialogWindow\n        class="igx-dialog__window"\n        [attr.role]="role"\n        [attr.aria-labelledby]="titleId"\n    >\n        <div *ngIf="title" [attr.id]="titleId" class="igx-dialog__window-title">\n            {{ title }}\n        </div>\n        <ng-content\n            *ngIf="!title"\n            select="igx-dialog-title,[igxDialogTitle]"\n        ></ng-content>\n\n        <div class="igx-dialog__window-content">\n            <span *ngIf="message" class="igx-dialog__window-message">{{\n                message\n            }}</span>\n            <ng-content *ngIf="!message"></ng-content>\n        </div>\n\n        <div\n            *ngIf="leftButtonLabel || rightButtonLabel"\n            class="igx-dialog__window-actions"\n        >\n            <button\n                *ngIf="leftButtonLabel"\n                type="button"\n                [igxFocus]="isOpen"\n                [igxButton]="leftButtonType"\n                igxRipple="{{ leftButtonRipple }}"\n                (click)="onInternalLeftButtonSelect($event)"\n            >\n                {{ leftButtonLabel }}\n            </button>\n            <button\n                *ngIf="rightButtonLabel"\n                type="button"\n                [igxFocus]="isOpen"\n                [igxButton]="rightButtonType"\n                igxRipple="{{ rightButtonRipple }}"\n                (click)="onInternalRightButtonSelect($event)"\n            >\n                {{ rightButtonLabel }}\n            </button>\n        </div>\n        <ng-content\n            *ngIf="!leftButtonLabel && !rightButtonLabel"\n            select="igx-dialog-actions,[igxDialogActions]"\n        ></ng-content>\n    </div>\n</div>\n', dependencies: [{ kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: IgxFocusTrapDirective, selector: "[igxFocusTrap]", inputs: ["igxFocusTrap"] }, { kind: "directive", type: NgIf23, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxFocusDirective, selector: "[igxFocus]", inputs: ["igxFocus"], exportAs: ["igxFocus"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }] });
  }
};
i0111.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0111, type: IgxDialogComponent, decorators: [{
  type: Component43,
  args: [{ selector: "igx-dialog", standalone: true, imports: [IgxToggleDirective, IgxFocusTrapDirective, NgIf23, IgxFocusDirective, IgxButtonDirective, IgxRippleDirective], template: '<div\n    tabindex="0"\n    #dialog\n    class="igx-dialog"\n    igxToggle\n    [igxFocusTrap]="focusTrap"\n    (click)="onDialogSelected($event)"\n>\n    <div\n        #dialogWindow\n        class="igx-dialog__window"\n        [attr.role]="role"\n        [attr.aria-labelledby]="titleId"\n    >\n        <div *ngIf="title" [attr.id]="titleId" class="igx-dialog__window-title">\n            {{ title }}\n        </div>\n        <ng-content\n            *ngIf="!title"\n            select="igx-dialog-title,[igxDialogTitle]"\n        ></ng-content>\n\n        <div class="igx-dialog__window-content">\n            <span *ngIf="message" class="igx-dialog__window-message">{{\n                message\n            }}</span>\n            <ng-content *ngIf="!message"></ng-content>\n        </div>\n\n        <div\n            *ngIf="leftButtonLabel || rightButtonLabel"\n            class="igx-dialog__window-actions"\n        >\n            <button\n                *ngIf="leftButtonLabel"\n                type="button"\n                [igxFocus]="isOpen"\n                [igxButton]="leftButtonType"\n                igxRipple="{{ leftButtonRipple }}"\n                (click)="onInternalLeftButtonSelect($event)"\n            >\n                {{ leftButtonLabel }}\n            </button>\n            <button\n                *ngIf="rightButtonLabel"\n                type="button"\n                [igxFocus]="isOpen"\n                [igxButton]="rightButtonType"\n                igxRipple="{{ rightButtonRipple }}"\n                (click)="onInternalRightButtonSelect($event)"\n            >\n                {{ rightButtonLabel }}\n            </button>\n        </div>\n        <ng-content\n            *ngIf="!leftButtonLabel && !rightButtonLabel"\n            select="igx-dialog-actions,[igxDialogActions]"\n        ></ng-content>\n    </div>\n</div>\n' }]
}], ctorParameters: () => [{ type: i0111.ElementRef }, { type: IgxNavigationService, decorators: [{
  type: Optional28
}] }], propDecorators: { toggleRef: [{
  type: ViewChild24,
  args: [IgxToggleDirective, { static: true }]
}], id: [{
  type: HostBinding55,
  args: ["attr.id"]
}, {
  type: Input73
}], isModal: [{
  type: Input73,
  args: [{ transform: booleanAttribute49 }]
}], closeOnEscape: [{
  type: Input73,
  args: [{ transform: booleanAttribute49 }]
}], focusTrap: [{
  type: Input73,
  args: [{ transform: booleanAttribute49 }]
}], title: [{
  type: Input73
}], message: [{
  type: Input73
}], leftButtonLabel: [{
  type: Input73
}], leftButtonType: [{
  type: Input73
}], leftButtonRipple: [{
  type: Input73
}], rightButtonLabel: [{
  type: Input73
}], rightButtonType: [{
  type: Input73
}], rightButtonRipple: [{
  type: Input73
}], closeOnOutsideSelect: [{
  type: Input73,
  args: [{ transform: booleanAttribute49 }]
}], positionSettings: [{
  type: Input73
}], tabindex: [{
  type: HostBinding55,
  args: ["attr.tabindex"]
}], opening: [{
  type: Output41
}], opened: [{
  type: Output41
}], closing: [{
  type: Output41
}], closed: [{
  type: Output41
}], leftButtonSelect: [{
  type: Output41
}], rightButtonSelect: [{
  type: Output41
}], isOpenChange: [{
  type: Output41
}], isOpen: [{
  type: Input73,
  args: [{ transform: booleanAttribute49 }]
}], isCollapsed: [{
  type: HostBinding55,
  args: ["class.igx-dialog--hidden"]
}], role: [{
  type: Input73
}], titleId: [{
  type: Input73
}] } });

// lib/dialog/dialog.directives.mjs
import { Directive as Directive51, HostBinding as HostBinding56 } from "@angular/core";
import * as i0112 from "@angular/core";
var IgxDialogTitleDirective = class _IgxDialogTitleDirective {
  constructor() {
    this.defaultStyle = true;
  }
  static {
    this.ɵfac = i0112.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0112, type: _IgxDialogTitleDirective, deps: [], target: i0112.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0112.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDialogTitleDirective, isStandalone: true, selector: "igx-dialog-title,[igxDialogTitle]", host: { properties: { "class.igx-dialog__window-title": "this.defaultStyle" } }, ngImport: i0112 });
  }
};
i0112.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0112, type: IgxDialogTitleDirective, decorators: [{
  type: Directive51,
  args: [{
    selector: "igx-dialog-title,[igxDialogTitle]",
    standalone: true
  }]
}], propDecorators: { defaultStyle: [{
  type: HostBinding56,
  args: ["class.igx-dialog__window-title"]
}] } });
var IgxDialogActionsDirective = class _IgxDialogActionsDirective {
  constructor() {
    this.defaultClass = true;
  }
  static {
    this.ɵfac = i0112.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0112, type: _IgxDialogActionsDirective, deps: [], target: i0112.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0112.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDialogActionsDirective, isStandalone: true, selector: "igx-dialog-actions,[igxDialogActions]", host: { properties: { "class.igx-dialog__window-actions": "this.defaultClass" } }, ngImport: i0112 });
  }
};
i0112.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0112, type: IgxDialogActionsDirective, decorators: [{
  type: Directive51,
  args: [{
    selector: "igx-dialog-actions,[igxDialogActions]",
    standalone: true
  }]
}], propDecorators: { defaultClass: [{
  type: HostBinding56,
  args: ["class.igx-dialog__window-actions"]
}] } });

// lib/dialog/public_api.mjs
var IGX_DIALOG_DIRECTIVES = [
  IgxDialogComponent,
  IgxDialogTitleDirective,
  IgxDialogActionsDirective
];

// lib/drop-down/public_api.mjs
var IGX_DROP_DOWN_DIRECTIVES = [
  IgxDropDownComponent,
  IgxDropDownItemComponent,
  IgxDropDownGroupComponent,
  IgxDropDownItemNavigationDirective
];

// lib/grids/column-actions/column-actions.component.mjs
import { Component as Component44, EventEmitter as EventEmitter52, HostBinding as HostBinding57, Inject as Inject49, Input as Input74, Output as Output42, Pipe as Pipe4, ViewChildren as ViewChildren8, booleanAttribute as booleanAttribute50, forwardRef as forwardRef10 } from "@angular/core";
import { FormsModule as FormsModule2 } from "@angular/forms";
import { NgIf as NgIf24, NgFor as NgFor8 } from "@angular/common";
import * as i0113 from "@angular/core";
import * as i17 from "@angular/forms";
var NEXT_ID20 = 0;
var IgxColumnActionsComponent = class _IgxColumnActionsComponent {
  constructor(differs) {
    this.differs = differs;
    this.indentation = 30;
    this.cssClass = "igx-column-actions";
    this.columnsAreaMaxHeight = "100%";
    this.hideFilter = false;
    this.title = "";
    this.columnToggled = new EventEmitter52();
    this.actionableColumns = [];
    this.filteredColumns = [];
    this.pipeTrigger = 0;
    this._differ = null;
    this._filterColumnsPrompt = "";
    this._filterCriteria = "";
    this._columnDisplayOrder = ColumnDisplayOrder.DisplayOrder;
    this._id = `igx-column-actions-${NEXT_ID20++}`;
    this.trackChanges = (index, col) => col.field + "_" + this.actionsDirective.actionEnabledColumnsFilter(col, index, []);
    this._differ = this.differs.find([]).create(this.trackChanges);
  }
  /**
   * Gets the prompt that is displayed in the filter input.
   *
   * @example
   * ```typescript
   * let filterColumnsPrompt = this.columnActions.filterColumnsPrompt;
   * ```
   */
  get filterColumnsPrompt() {
    return this._filterColumnsPrompt;
  }
  /**
   * Sets the prompt that is displayed in the filter input.
   *
   * @example
   * ```html
   * <igx-column-actions [filterColumnsPrompt]="'Type here to search'"></igx-column-actions>
   * ```
   */
  set filterColumnsPrompt(value) {
    this._filterColumnsPrompt = value || "";
  }
  /**
   * Gets the value which filters the columns list.
   *
   * @example
   * ```typescript
   * let filterCriteria =  this.columnActions.filterCriteria;
   * ```
   */
  get filterCriteria() {
    return this._filterCriteria;
  }
  /**
   * Sets the value which filters the columns list.
   *
   * @example
   * ```html
   *  <igx-column-actions [filterCriteria]="'ID'"></igx-column-actions>
   * ```
   */
  set filterCriteria(value) {
    value = value || "";
    if (value !== this._filterCriteria) {
      this._filterCriteria = value;
      this.pipeTrigger++;
    }
  }
  /**
   * Gets the display order of the columns.
   *
   * @example
   * ```typescript
   * let columnDisplayOrder = this.columnActions.columnDisplayOrder;
   * ```
   */
  get columnDisplayOrder() {
    return this._columnDisplayOrder;
  }
  /**
   * Sets the display order of the columns.
   *
   * @example
   * ```typescript
   * this.columnActions.columnDisplayOrder = ColumnDisplayOrder.Alphabetical;
   * ```
   */
  set columnDisplayOrder(value) {
    if (value && value !== this._columnDisplayOrder) {
      this._columnDisplayOrder = value;
      this.pipeTrigger++;
    }
  }
  /**
   * Gets the text of the button that unchecks all columns.
   *
   * @remarks
   * If unset it is obtained from the IgxColumnActionsBased derived directive applied.
   * @example
   * ```typescript
   * let uncheckAllText = this.columnActions.uncheckAllText;
   * ```
   */
  get uncheckAllText() {
    return this._uncheckAllText || this.actionsDirective.uncheckAllLabel;
  }
  /**
   * Sets the text of the button that unchecks all columns.
   *
   * @example
   * ```html
   * <igx-column-actions [uncheckAllText]="'Show All'"></igx-column-actions>
   * ```
   */
  set uncheckAllText(value) {
    this._uncheckAllText = value;
  }
  /**
   * Gets the text of the button that checks all columns.
   *
   * @remarks
   * If unset it is obtained from the IgxColumnActionsBased derived directive applied.
   * @example
   * ```typescript
   * let uncheckAllText = this.columnActions.uncheckAllText;
   * ```
   */
  get checkAllText() {
    return this._checkAllText || this.actionsDirective.checkAllLabel;
  }
  /**
   * Sets the text of the button that checks all columns.
   *
   * @remarks
   * If unset it is obtained from the IgxColumnActionsBased derived directive applied.
   * @example
   * ```html
   * <igx-column-actions [checkAllText]="'Hide All'"></igx-column-actions>
   * ```
   */
  set checkAllText(value) {
    this._checkAllText = value;
  }
  /**
   * @hidden @internal
   */
  get checkAllDisabled() {
    return this.actionsDirective.allUnchecked;
  }
  /**
   * @hidden @internal
   */
  get uncheckAllDisabled() {
    return this.actionsDirective.allChecked;
  }
  /**
   * Gets/Sets the value of the `id` attribute.
   *
   * @remarks
   * If not provided it will be automatically generated.
   * @example
   * ```html
   * <igx-column-actions [id]="'igx-actions-1'"></igx-column-actions>
   * ```
   */
  get id() {
    return this._id;
  }
  set id(value) {
    this._id = value;
  }
  /**
   * @hidden @internal
   */
  get titleID() {
    return this.id + "_title";
  }
  /**
   * @hidden @internal
   */
  ngDoCheck() {
    if (this._differ) {
      const changes = this._differ.diff(this.grid?.columnList);
      if (changes) {
        this.pipeTrigger++;
      }
    }
  }
  /**
   * Unchecks all columns and performs the appropriate action.
   *
   * @example
   * ```typescript
   * this.columnActions.uncheckAllColumns();
   * ```
   */
  uncheckAllColumns() {
    this.actionsDirective.uncheckAll();
  }
  /**
   * Checks all columns and performs the appropriate action.
   *
   * @example
   * ```typescript
   * this.columnActions.checkAllColumns();
   * ```
   */
  checkAllColumns() {
    this.actionsDirective.checkAll();
  }
  /**
   * @hidden @internal
   */
  toggleColumn(column) {
    this.actionsDirective.toggleColumn(column);
    this.columnToggled.emit({ column, checked: this.actionsDirective.columnChecked(column) });
  }
  static {
    this.ɵfac = i0113.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxColumnActionsComponent, deps: [{ token: i0113.IterableDiffers }], target: i0113.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0113.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxColumnActionsComponent, isStandalone: true, selector: "igx-column-actions", inputs: { grid: "grid", indentation: "indentation", columnsAreaMaxHeight: "columnsAreaMaxHeight", hideFilter: ["hideFilter", "hideFilter", booleanAttribute50], title: "title", filterColumnsPrompt: "filterColumnsPrompt", filterCriteria: "filterCriteria", columnDisplayOrder: "columnDisplayOrder", uncheckAllText: "uncheckAllText", checkAllText: "checkAllText", id: "id" }, outputs: { columnToggled: "columnToggled" }, host: { properties: { "class": "this.cssClass", "attr.id": "this.id" } }, viewQueries: [{ propertyName: "columnItems", predicate: IgxCheckboxComponent, descendants: true }], ngImport: i0113, template: `<div class="igx-column-actions__header">
    <h4 [attr.id]='titleID' class="igx-column-actions__header-title" *ngIf="title">{{ title }}</h4>

    <igx-input-group class="igx-column-actions__header-input" *ngIf="!hideFilter">
        <input igxInput
            type="text"
            [attr.aria-describedby]='titleID'
            [(ngModel)]="filterCriteria"
            [placeholder]="filterColumnsPrompt"
            autocomplete="off" />
    </igx-input-group>
</div>

<div class="igx-column-actions__columns" tabindex="0"
    [style.max-height]="columnsAreaMaxHeight">
    <igx-checkbox
        *ngFor="let column of $any(grid)?._columns
            | columnActionEnabled:actionsDirective.actionEnabledColumnsFilter:pipeTrigger
            | filterActionColumns:filterCriteria:pipeTrigger
            | sortActionColumns:columnDisplayOrder:pipeTrigger;"
        class="igx-column-actions__columns-item"
        [readonly]="true"
        (click)="toggleColumn(column)"
        [checked]="actionsDirective.columnChecked(column)"
        [style.margin-left.px]="column.level * indentation">
        {{ column.header || column.field }}
    </igx-checkbox>
</div>

<div class="igx-column-actions__buttons">
    <button type="button" igxButton igxRipple (click)="uncheckAllColumns()" [disabled]="uncheckAllDisabled">{{ uncheckAllText }}</button>
    <button type="button" igxButton igxRipple (click)="checkAllColumns()" [disabled]="checkAllDisabled">{{ checkAllText }}</button>
</div>
`, dependencies: [{ kind: "directive", type: i0113.forwardRef(() => NgIf24), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0113.forwardRef(() => IgxInputGroupComponent), selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "ngmodule", type: i0113.forwardRef(() => FormsModule2) }, { kind: "directive", type: i0113.forwardRef(() => i17.DefaultValueAccessor), selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i0113.forwardRef(() => i17.NgControlStatus), selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i0113.forwardRef(() => i17.NgModel), selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i0113.forwardRef(() => IgxInputDirective), selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: i0113.forwardRef(() => NgFor8), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i0113.forwardRef(() => IgxCheckboxComponent), selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "directive", type: i0113.forwardRef(() => IgxButtonDirective), selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: i0113.forwardRef(() => IgxRippleDirective), selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "pipe", type: i0113.forwardRef(() => IgxColumnActionEnabledPipe), name: "columnActionEnabled" }, { kind: "pipe", type: i0113.forwardRef(() => IgxFilterActionColumnsPipe), name: "filterActionColumns" }, { kind: "pipe", type: i0113.forwardRef(() => IgxSortActionColumnsPipe), name: "sortActionColumns" }] });
  }
};
i0113.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: IgxColumnActionsComponent, decorators: [{
  type: Component44,
  args: [{ selector: "igx-column-actions", standalone: true, imports: [NgIf24, IgxInputGroupComponent, FormsModule2, IgxInputDirective, NgFor8, IgxCheckboxComponent, IgxButtonDirective, IgxRippleDirective, forwardRef10(() => IgxColumnActionEnabledPipe), forwardRef10(() => IgxFilterActionColumnsPipe), forwardRef10(() => IgxSortActionColumnsPipe)], template: `<div class="igx-column-actions__header">
    <h4 [attr.id]='titleID' class="igx-column-actions__header-title" *ngIf="title">{{ title }}</h4>

    <igx-input-group class="igx-column-actions__header-input" *ngIf="!hideFilter">
        <input igxInput
            type="text"
            [attr.aria-describedby]='titleID'
            [(ngModel)]="filterCriteria"
            [placeholder]="filterColumnsPrompt"
            autocomplete="off" />
    </igx-input-group>
</div>

<div class="igx-column-actions__columns" tabindex="0"
    [style.max-height]="columnsAreaMaxHeight">
    <igx-checkbox
        *ngFor="let column of $any(grid)?._columns
            | columnActionEnabled:actionsDirective.actionEnabledColumnsFilter:pipeTrigger
            | filterActionColumns:filterCriteria:pipeTrigger
            | sortActionColumns:columnDisplayOrder:pipeTrigger;"
        class="igx-column-actions__columns-item"
        [readonly]="true"
        (click)="toggleColumn(column)"
        [checked]="actionsDirective.columnChecked(column)"
        [style.margin-left.px]="column.level * indentation">
        {{ column.header || column.field }}
    </igx-checkbox>
</div>

<div class="igx-column-actions__buttons">
    <button type="button" igxButton igxRipple (click)="uncheckAllColumns()" [disabled]="uncheckAllDisabled">{{ uncheckAllText }}</button>
    <button type="button" igxButton igxRipple (click)="checkAllColumns()" [disabled]="checkAllDisabled">{{ checkAllText }}</button>
</div>
` }]
}], ctorParameters: () => [{ type: i0113.IterableDiffers }], propDecorators: { grid: [{
  type: Input74
}], indentation: [{
  type: Input74
}], cssClass: [{
  type: HostBinding57,
  args: ["class"]
}], columnsAreaMaxHeight: [{
  type: Input74
}], hideFilter: [{
  type: Input74,
  args: [{ transform: booleanAttribute50 }]
}], columnItems: [{
  type: ViewChildren8,
  args: [IgxCheckboxComponent]
}], title: [{
  type: Input74
}], columnToggled: [{
  type: Output42
}], filterColumnsPrompt: [{
  type: Input74
}], filterCriteria: [{
  type: Input74
}], columnDisplayOrder: [{
  type: Input74
}], uncheckAllText: [{
  type: Input74
}], checkAllText: [{
  type: Input74
}], id: [{
  type: HostBinding57,
  args: ["attr.id"]
}, {
  type: Input74
}] } });
var IgxColumnActionEnabledPipe = class _IgxColumnActionEnabledPipe {
  constructor(columnActions) {
    this.columnActions = columnActions;
  }
  transform(collection, actionFilter, _pipeTrigger) {
    if (!collection) {
      return collection;
    }
    let copy = collection.slice(0);
    if (copy.length && copy[0].grid.hasColumnLayouts) {
      copy = copy.filter((c) => c.columnLayout);
    }
    if (actionFilter) {
      copy = copy.filter(actionFilter);
    }
    this.columnActions.actionableColumns = copy;
    return copy;
  }
  static {
    this.ɵfac = i0113.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxColumnActionEnabledPipe, deps: [{ token: IgxColumnActionsComponent }], target: i0113.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0113.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxColumnActionEnabledPipe, isStandalone: true, name: "columnActionEnabled" });
  }
};
i0113.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: IgxColumnActionEnabledPipe, decorators: [{
  type: Pipe4,
  args: [{
    name: "columnActionEnabled",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxColumnActionsComponent, decorators: [{
  type: Inject49,
  args: [IgxColumnActionsComponent]
}] }] });
var IgxFilterActionColumnsPipe = class _IgxFilterActionColumnsPipe {
  constructor(columnActions) {
    this.columnActions = columnActions;
  }
  transform(collection, filterCriteria, _pipeTrigger) {
    if (!collection) {
      return collection;
    }
    let copy = collection.slice(0);
    if (filterCriteria && filterCriteria.length > 0) {
      const filterFunc = (c) => {
        const filterText = c.header || c.field;
        if (!filterText) {
          return false;
        }
        return filterText.toLocaleLowerCase().indexOf(filterCriteria.toLocaleLowerCase()) >= 0 || (c.children?.some(filterFunc) ?? false);
      };
      copy = collection.filter(filterFunc);
    }
    this.columnActions.filteredColumns = copy;
    return copy;
  }
  static {
    this.ɵfac = i0113.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxFilterActionColumnsPipe, deps: [{ token: IgxColumnActionsComponent }], target: i0113.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0113.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxFilterActionColumnsPipe, isStandalone: true, name: "filterActionColumns" });
  }
};
i0113.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: IgxFilterActionColumnsPipe, decorators: [{
  type: Pipe4,
  args: [{
    name: "filterActionColumns",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxColumnActionsComponent, decorators: [{
  type: Inject49,
  args: [IgxColumnActionsComponent]
}] }] });
var IgxSortActionColumnsPipe = class _IgxSortActionColumnsPipe {
  transform(collection, displayOrder, _pipeTrigger) {
    if (displayOrder === ColumnDisplayOrder.Alphabetical) {
      return collection.sort((a, b) => (a.header || a.field).localeCompare(b.header || b.field));
    }
    return collection;
  }
  static {
    this.ɵfac = i0113.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxSortActionColumnsPipe, deps: [], target: i0113.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0113.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: _IgxSortActionColumnsPipe, isStandalone: true, name: "sortActionColumns" });
  }
};
i0113.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0113, type: IgxSortActionColumnsPipe, decorators: [{
  type: Pipe4,
  args: [{
    name: "sortActionColumns",
    standalone: true
  }]
}] });

// lib/grids/column-actions/column-actions-base.directive.mjs
import { Directive as Directive52 } from "@angular/core";
import * as i0114 from "@angular/core";
var IgxColumnActionsBaseDirective = class _IgxColumnActionsBaseDirective {
  static {
    this.ɵfac = i0114.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0114, type: _IgxColumnActionsBaseDirective, deps: [], target: i0114.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0114.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnActionsBaseDirective, ngImport: i0114 });
  }
};
i0114.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0114, type: IgxColumnActionsBaseDirective, decorators: [{
  type: Directive52
}] });

// lib/grids/column-actions/column-hiding.directive.mjs
import { Directive as Directive53, Inject as Inject50 } from "@angular/core";
import * as i0115 from "@angular/core";
var IgxColumnHidingDirective = class _IgxColumnHidingDirective extends IgxColumnActionsBaseDirective {
  constructor(columnActions) {
    super();
    this.columnActions = columnActions;
    this.actionEnabledColumnsFilter = (c) => !c.disableHiding;
    columnActions.actionsDirective = this;
  }
  /**
   * @hidden @internal
   */
  get checkAllLabel() {
    return this.columnActions.grid?.resourceStrings.igx_grid_hiding_check_all_label ?? "Show All";
  }
  /**
   * @hidden @internal
   */
  get uncheckAllLabel() {
    return this.columnActions.grid?.resourceStrings.igx_grid_hiding_uncheck_all_label ?? "Hide All";
  }
  /**
   * @hidden @internal
   */
  checkAll() {
    this.columnActions.filteredColumns.forEach((c) => c.toggleVisibility(false));
  }
  /**
   * @hidden @internal
   */
  uncheckAll() {
    this.columnActions.filteredColumns.forEach((c) => c.toggleVisibility(true));
  }
  /**
   * @hidden @internal
   */
  columnChecked(column) {
    return !column.hidden;
  }
  /**
   * @hidden @internal
   */
  toggleColumn(column) {
    column.toggleVisibility();
  }
  get allChecked() {
    return this.columnActions.filteredColumns.every((col) => !this.columnChecked(col));
  }
  get allUnchecked() {
    return this.columnActions.filteredColumns.every((col) => this.columnChecked(col));
  }
  static {
    this.ɵfac = i0115.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0115, type: _IgxColumnHidingDirective, deps: [{ token: IgxColumnActionsComponent }], target: i0115.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0115.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnHidingDirective, isStandalone: true, selector: "[igxColumnHiding]", usesInheritance: true, ngImport: i0115 });
  }
};
i0115.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0115, type: IgxColumnHidingDirective, decorators: [{
  type: Directive53,
  args: [{
    selector: "[igxColumnHiding]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxColumnActionsComponent, decorators: [{
  type: Inject50,
  args: [IgxColumnActionsComponent]
}] }] });

// lib/grids/column-actions/column-pinning.directive.mjs
import { Directive as Directive54, Inject as Inject51 } from "@angular/core";
import * as i0116 from "@angular/core";
var IgxColumnPinningDirective = class _IgxColumnPinningDirective extends IgxColumnActionsBaseDirective {
  constructor(columnActions) {
    super();
    this.columnActions = columnActions;
    this.actionEnabledColumnsFilter = (c) => !c.disablePinning && !c.level;
    columnActions.actionsDirective = this;
  }
  /**
   * @hidden @internal
   */
  get checkAllLabel() {
    return this.columnActions.grid?.resourceStrings.igx_grid_pinning_check_all_label ?? "Pin All";
  }
  /**
   * @hidden @internal
   */
  get uncheckAllLabel() {
    return this.columnActions.grid?.resourceStrings.igx_grid_pinning_uncheck_all_label ?? "Unpin All";
  }
  /**
   * @hidden @internal
   */
  checkAll() {
    this.columnActions.filteredColumns.forEach((c) => c.pinned = true);
  }
  /**
   * @hidden @internal
   */
  uncheckAll() {
    this.columnActions.filteredColumns.forEach((c) => c.pinned = false);
  }
  /**
   * @hidden @internal
   */
  columnChecked(column) {
    return column.pinned;
  }
  /**
   * @hidden @internal
   */
  toggleColumn(column) {
    column.pinned = !column.pinned;
  }
  get allUnchecked() {
    return !this.columnActions.filteredColumns.some((col) => !this.columnChecked(col));
  }
  get allChecked() {
    return !this.columnActions.filteredColumns.some((col) => this.columnChecked(col));
  }
  static {
    this.ɵfac = i0116.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0116, type: _IgxColumnPinningDirective, deps: [{ token: IgxColumnActionsComponent }], target: i0116.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0116.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnPinningDirective, isStandalone: true, selector: "[igxColumnPinning]", usesInheritance: true, ngImport: i0116 });
  }
};
i0116.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0116, type: IgxColumnPinningDirective, decorators: [{
  type: Directive54,
  args: [{
    selector: "[igxColumnPinning]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxColumnActionsComponent, decorators: [{
  type: Inject51,
  args: [IgxColumnActionsComponent]
}] }] });

// lib/grids/columns/validators.directive.mjs
import { Directive as Directive55 } from "@angular/core";
import { RequiredValidator, NG_VALIDATORS as NG_VALIDATORS3, MinValidator, MaxValidator, EmailValidator, MinLengthValidator, MaxLengthValidator, PatternValidator } from "@angular/forms";
import * as i0117 from "@angular/core";
var IgxColumnRequiredValidatorDirective = class _IgxColumnRequiredValidatorDirective extends RequiredValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnRequiredValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnRequiredValidatorDirective, isStandalone: true, selector: "igx-column[required]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnRequiredValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnRequiredValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[required]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnRequiredValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumnMinValidatorDirective = class _IgxColumnMinValidatorDirective extends MinValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnMinValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMinValidatorDirective, isStandalone: true, selector: "igx-column[min]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnMinValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnMinValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[min]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnMinValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumnMaxValidatorDirective = class _IgxColumnMaxValidatorDirective extends MaxValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnMaxValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMaxValidatorDirective, isStandalone: true, selector: "igx-column[max]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnMaxValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnMaxValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[max]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnMaxValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumnEmailValidatorDirective = class _IgxColumnEmailValidatorDirective extends EmailValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnEmailValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnEmailValidatorDirective, isStandalone: true, selector: "igx-column[email]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnEmailValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnEmailValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[email]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnEmailValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumnMinLengthValidatorDirective = class _IgxColumnMinLengthValidatorDirective extends MinLengthValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnMinLengthValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMinLengthValidatorDirective, isStandalone: true, selector: "igx-column[minlength]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnMinLengthValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnMinLengthValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[minlength]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnMinLengthValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumnMaxLengthValidatorDirective = class _IgxColumnMaxLengthValidatorDirective extends MaxLengthValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumnMaxLengthValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMaxLengthValidatorDirective, isStandalone: true, selector: "igx-column[maxlength]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumnMaxLengthValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumnMaxLengthValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[maxlength]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumnMaxLengthValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });
var IgxColumPatternValidatorDirective = class _IgxColumPatternValidatorDirective extends PatternValidator {
  static {
    this.ɵfac = i0117.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: _IgxColumPatternValidatorDirective, deps: null, target: i0117.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0117.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumPatternValidatorDirective, isStandalone: true, selector: "igx-column[pattern]", providers: [{
      provide: NG_VALIDATORS3,
      useExisting: _IgxColumPatternValidatorDirective,
      multi: true
    }], usesInheritance: true, ngImport: i0117 });
  }
};
i0117.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0117, type: IgxColumPatternValidatorDirective, decorators: [{
  type: Directive55,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "igx-column[pattern]",
    providers: [{
      provide: NG_VALIDATORS3,
      useExisting: IgxColumPatternValidatorDirective,
      multi: true
    }],
    standalone: true
  }]
}] });

// lib/grids/watch-changes.mjs
import { SimpleChange } from "@angular/core";
function WatchChanges() {
  return (target, key, propDesc) => {
    const privateKey = "_" + key.toString();
    propDesc = propDesc || {
      configurable: true,
      enumerable: true
    };
    propDesc.get = propDesc.get || function() {
      return this[privateKey];
    };
    const originalSetter = propDesc.set || function(val) {
      this[privateKey] = val;
    };
    propDesc.set = function(val) {
      const init = this._init;
      const oldValue = this[key];
      if (val !== oldValue || typeof val === "object" && val === oldValue) {
        originalSetter.call(this, val);
        if (this.ngOnChanges && !init) {
          const changes = {
            [key]: new SimpleChange(oldValue, val, false)
          };
          this.ngOnChanges(changes);
        }
      }
    };
    return propDesc;
  };
}
function WatchColumnChanges() {
  return (target, key, propDesc) => {
    const privateKey = "_" + key.toString();
    propDesc = propDesc || {
      configurable: true,
      enumerable: true
    };
    propDesc.get = propDesc.get || function() {
      return this[privateKey];
    };
    const originalSetter = propDesc.set || function(val) {
      this[privateKey] = val;
    };
    propDesc.set = function(val) {
      const oldValue = this[key];
      originalSetter.call(this, val);
      if (val !== oldValue || typeof val === "object" && val === oldValue) {
        if (this.columnChange) {
          this.columnChange.emit();
        }
      }
    };
    return propDesc;
  };
}
function notifyChanges(repaint = false) {
  return (_, key, propDesc) => {
    const privateKey = `__${key}`;
    propDesc = propDesc || {
      enumerable: true,
      configurable: true
    };
    const originalSetter = propDesc ? propDesc.set : null;
    propDesc.get = propDesc.get || function() {
      return this[privateKey];
    };
    propDesc.set = function(newValue) {
      if (originalSetter) {
        originalSetter.call(this, newValue);
        if (this.grid) {
          this.grid.notifyChanges(repaint && !this.grid.isPivot);
        }
      } else {
        if (newValue === this[key]) {
          return;
        }
        this[privateKey] = newValue;
        if (this.grid) {
          this.grid.notifyChanges(repaint && !this.grid.isPivot);
        }
      }
    };
    return propDesc;
  };
}

// lib/grids/columns/templates.directive.mjs
import { Directive as Directive56 } from "@angular/core";
import * as i0118 from "@angular/core";
var IgxFilterCellTemplateDirective = class _IgxFilterCellTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxFilterCellTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxFilterCellTemplateDirective, isStandalone: true, selector: "[igxFilterCellTemplate]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxFilterCellTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxFilterCellTemplate]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCellTemplateDirective = class _IgxCellTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCellTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCellTemplateDirective, isStandalone: true, selector: "[igxCell]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCellTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxCell]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCellValidationErrorDirective = class _IgxCellValidationErrorDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCellValidationErrorDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCellValidationErrorDirective, isStandalone: true, selector: "[igxCellValidationError]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCellValidationErrorDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxCellValidationError]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCellHeaderTemplateDirective = class _IgxCellHeaderTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCellHeaderTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCellHeaderTemplateDirective, isStandalone: true, selector: "[igxHeader]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCellHeaderTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxHeader]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCellFooterTemplateDirective = class _IgxCellFooterTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCellFooterTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCellFooterTemplateDirective, isStandalone: true, selector: "[igxFooter]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCellFooterTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxFooter]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCellEditorTemplateDirective = class _IgxCellEditorTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCellEditorTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCellEditorTemplateDirective, isStandalone: true, selector: "[igxCellEditor]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCellEditorTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxCellEditor]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxCollapsibleIndicatorTemplateDirective = class _IgxCollapsibleIndicatorTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxCollapsibleIndicatorTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCollapsibleIndicatorTemplateDirective, isStandalone: true, selector: "[igxCollapsibleIndicator]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxCollapsibleIndicatorTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxCollapsibleIndicator]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });
var IgxSummaryTemplateDirective = class _IgxSummaryTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0118.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: _IgxSummaryTemplateDirective, deps: [{ token: i0118.TemplateRef }], target: i0118.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0118.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSummaryTemplateDirective, isStandalone: true, selector: "[igxSummary]", ngImport: i0118 });
  }
};
i0118.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0118, type: IgxSummaryTemplateDirective, decorators: [{
  type: Directive56,
  args: [{
    selector: "[igxSummary]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0118.TemplateRef }] });

// lib/grids/moving/moving.service.mjs
import { Injectable as Injectable21 } from "@angular/core";
import * as i0119 from "@angular/core";
var DropPosition;
(function(DropPosition2) {
  DropPosition2[DropPosition2["BeforeDropTarget"] = 0] = "BeforeDropTarget";
  DropPosition2[DropPosition2["AfterDropTarget"] = 1] = "AfterDropTarget";
})(DropPosition || (DropPosition = {}));
var IgxColumnMovingService = class _IgxColumnMovingService {
  static {
    this.ɵfac = i0119.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0119, type: _IgxColumnMovingService, deps: [], target: i0119.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0119.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0119, type: _IgxColumnMovingService, providedIn: "root" });
  }
};
i0119.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0119, type: IgxColumnMovingService, decorators: [{
  type: Injectable21,
  args: [{ providedIn: "root" }]
}] });

// lib/grids/grid-public-cell.mjs
var IgxGridCell = class {
  /**
   * @hidden
   */
  constructor(grid, row, column) {
    this.grid = grid;
    if (typeof row === "number") {
      this._rowIndex = row;
    } else {
      this._row = row;
      this._rowIndex = row.index;
    }
    this._column = column;
  }
  /**
   * Returns the row containing the cell.
   * ```typescript
   * let row = this.cell.row;
   * ```
   *
   * @memberof IgxGridCell
   */
  get row() {
    return this._row || this.grid.createRow(this._rowIndex);
  }
  /**
   * Returns the column of the cell.
   * ```typescript
   * let column = this.cell.column;
   * ```
   *
   * @memberof IgxGridCell
   */
  get column() {
    return this._column;
  }
  /**
   * Gets the current edit value while a cell is in edit mode.
   * ```typescript
   * let editValue = this.cell.editValue;
   * ```
   *
   * @memberof IgxGridCell
   */
  get editValue() {
    if (this.isCellInEditMode()) {
      return this.grid.crudService.cell.editValue;
    }
  }
  /**
   * Sets the current edit value while a cell is in edit mode.
   * Only for cell editing mode.
   * ```typescript
   * this.cell.editValue = value;
   * ```
   *
   * @memberof IgxGridCell
   */
  set editValue(value) {
    if (this.isCellInEditMode()) {
      this.grid.crudService.cell.editValue = value;
    }
  }
  /**
   * Gets the validation status and errors, if any.
   * ```typescript
   * let validation = this.cell.validation;
   * let errors = validation.errors;
   * ```
   */
  get validation() {
    const form = this.grid.validation.getFormControl(this.row.key, this.column.field);
    return { status: form?.status || "VALID", errors: form?.errors };
  }
  /**
   * Returns whether the cell is editable..
   *
   * @memberof IgxGridCell
   */
  get editable() {
    return this.column.editable && !this.row?.disabled;
  }
  /**
   * Gets the width of the cell.
   * ```typescript
   * let cellWidth = this.cell.width;
   * ```
   *
   * @memberof IgxGridCell
   */
  get width() {
    return this.column.width;
  }
  /**
   * Returns the cell value.
   *
   * @memberof IgxGridCell
   */
  get value() {
    return this.column.field ? this.column.hasNestedPath ? resolveNestedPath(this.row?.data, this.column.field) : this.row?.data[this.column.field] : void 0;
  }
  /**
   * Updates the cell value.
   *
   * @memberof IgxGridCell
   */
  set value(val) {
    this.update(val);
  }
  /**
   * Gets the cell id.
   * A cell in the grid is identified by:
   * - rowID - primaryKey data value or the whole rowData, if the primaryKey is omitted.
   * - rowIndex - the row index
   * - columnID - column index
   *
   * ```typescript
   * let cellID = cell.id;
   * ```
   *
   * @memberof IgxGridCell
   */
  get id() {
    const primaryKey = this.grid.primaryKey;
    const rowID = primaryKey ? this.row?.data[primaryKey] : this.row?.data;
    return { rowID, columnID: this.column.index, rowIndex: this._rowIndex || this.row?.index };
  }
  /**
   * Returns if the row is currently in edit mode.
   *
   * @memberof IgxGridCell
   */
  get editMode() {
    return this.isCellInEditMode();
  }
  /**
   * Starts/ends edit mode for the cell.
   *
   * ```typescript
   * cell.editMode  = !cell.editMode;
   * ```
   *
   * @memberof IgxGridCell
   */
  set editMode(value) {
    const isInEditMode = this.isCellInEditMode();
    if (!this.row || this.row?.deleted || isInEditMode === value) {
      return;
    }
    if (this.editable && value) {
      this.endEdit();
      this.grid.crudService.enterEditMode(this);
    } else {
      this.grid.crudService.endCellEdit();
    }
    this.grid.notifyChanges();
  }
  /**
   * Gets whether the cell is selected.
   * ```typescript
   * let isSelected = this.cell.selected;
   * ```
   *
   *
   * @memberof IgxGridCell
   */
  get selected() {
    return this.grid.selectionService.selected(this.selectionNode);
  }
  /**
   * Selects/deselects the cell.
   * ```typescript
   * this.cell.selected = true.
   * ```
   *
   *
   * @memberof IgxGridCell
   */
  set selected(val) {
    const node = this.selectionNode;
    if (val) {
      this.grid.selectionService.add(node);
    } else {
      this.grid.selectionService.remove(node);
    }
    this.grid.notifyChanges();
  }
  get active() {
    const node = this.grid.navigation.activeNode;
    return node ? node.row === this.row?.index && node.column === this.column.visibleIndex : false;
  }
  /**
   * Updates the cell value.
   *
   * ```typescript
   * cell.update(newValue);
   * ```
   *
   * @memberof IgxGridCell
   */
  update(val) {
    if (this.row?.deleted) {
      return;
    }
    this.endEdit();
    const cell = this.isCellInEditMode() ? this.grid.crudService.cell : this.grid.crudService.createCell(this);
    cell.editValue = val;
    this.grid.gridAPI.update_cell(cell);
    this.grid.crudService.endCellEdit();
    this.grid.notifyChanges();
  }
  get selectionNode() {
    return {
      row: this.row?.index,
      column: this.column.columnLayoutChild ? this.column.parent.visibleIndex : this.column.visibleIndex,
      layout: this.column.columnLayoutChild ? {
        rowStart: this.column.rowStart,
        colStart: this.column.colStart,
        rowEnd: this.column.rowEnd,
        colEnd: this.column.colEnd,
        columnVisibleIndex: this.column.visibleIndex
      } : null
    };
  }
  isCellInEditMode() {
    if (this.grid.crudService.cellInEditMode) {
      const cellInEditMode = this.grid.crudService.cell.id;
      const isCurrentCell = cellInEditMode.rowID === this.id.rowID && cellInEditMode.rowIndex === this.id.rowIndex && cellInEditMode.columnID === this.id.columnID;
      return isCurrentCell;
    }
    return false;
  }
  endEdit() {
    if (!this.isCellInEditMode()) {
      this.grid.gridAPI.update_cell(this.grid.crudService.cell);
      this.grid.crudService.endCellEdit();
    }
  }
};

// lib/grids/columns/column.component.mjs
import { __decorate as __decorate2 } from "tslib";
import { Subject as Subject32 } from "rxjs";
import { ChangeDetectionStrategy as ChangeDetectionStrategy5, Component as Component45, ContentChild as ContentChild10, ContentChildren as ContentChildren14, Input as Input75, Output as Output43, EventEmitter as EventEmitter53, Inject as Inject52, Optional as Optional29, Self as Self7, booleanAttribute as booleanAttribute51 } from "@angular/core";
import { NG_VALIDATORS as NG_VALIDATORS4 } from "@angular/forms";
import * as i0120 from "@angular/core";
var DEFAULT_DATE_FORMAT = "mediumDate";
var DEFAULT_TIME_FORMAT = "mediumTime";
var DEFAULT_DATE_TIME_FORMAT = "medium";
var DEFAULT_DIGITS_INFO = "1.0-3";
var IgxColumnComponent = class _IgxColumnComponent {
  /**
   * Sets/gets the `field` value.
   * ```typescript
   * let columnField = this.column.field;
   * ```
   * ```html
   * <igx-column [field] = "'ID'"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set field(value) {
    this._field = value;
    this.hasNestedPath = value?.includes(".");
  }
  get field() {
    return this._field;
  }
  /**
   * Returns if the column is selectable.
   * ```typescript
   * let columnSelectable = this.column.selectable;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get selectable() {
    return this._selectable;
  }
  /**
   * Sets if the column is selectable.
   * Default value is `true`.
   * ```html
   * <igx-column [selectable] = "false"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set selectable(value) {
    this._selectable = value;
  }
  /**
   * Sets/gets whether the column is groupable.
   * Default value is `false`.
   * ```typescript
   * let isGroupable = this.column.groupable;
   * ```
   * ```html
   * <igx-column [groupable] = "true"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get groupable() {
    return this._groupable;
  }
  set groupable(value) {
    this._groupable = value;
    this.grid.groupablePipeTrigger++;
  }
  /**
   * Gets whether the column is editable.
   * Default value is `false`.
   * ```typescript
   * let isEditable = this.column.editable;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get editable() {
    const rowEditable = this.grid && this.grid.rowEditable;
    const hasTransactions = this.grid && this.grid.transactions.enabled;
    if (this.isPrimaryColumn && (rowEditable || hasTransactions)) {
      return false;
    }
    if (this._editable !== void 0) {
      return this._editable;
    } else {
      return rowEditable;
    }
  }
  /**
   * Sets whether the column is editable.
   * ```typescript
   * this.column.editable = true;
   * ```
   * ```html
   * <igx-column [editable] = "true"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set editable(editable) {
    this._editable = editable;
  }
  /**
   * Gets a value indicating whether the summary for the column is enabled.
   * ```typescript
   * let hasSummary = this.column.hasSummary;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get hasSummary() {
    return this._hasSummary;
  }
  /**
   * Sets a value indicating whether the summary for the column is enabled.
   * Default value is `false`.
   * ```html
   * <igx-column [hasSummary] = "true"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set hasSummary(value) {
    this._hasSummary = value;
    if (this.grid) {
      this.grid.summaryService.resetSummaryHeight();
    }
  }
  /**
   * Gets whether the column is hidden.
   * ```typescript
   * let isHidden = this.column.hidden;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get hidden() {
    return this._hidden;
  }
  /**
   * Sets the column hidden property.
   * Default value is `false`.
   * ```html
   * <igx-column [hidden] = "true"></igx-column>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <igx-column [(hidden)] = "model.isHidden"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set hidden(value) {
    if (this._hidden !== value) {
      this._hidden = value;
      this.hiddenChange.emit(this._hidden);
      if (this.columnLayoutChild && this.parent.hidden !== value) {
        this.parent.hidden = value;
        return;
      }
      if (this.grid) {
        this.grid.crudService.endEdit(false);
        this.grid.summaryService.resetSummaryHeight();
        this.grid.filteringService.refreshExpressions();
        this.grid.filteringService.hideFilteringRowOnColumnVisibilityChange(this);
        this.grid.notifyChanges();
      }
    }
  }
  /**
   * Returns if the column is selected.
   * ```typescript
   * let isSelected = this.column.selected;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get selected() {
    return this.grid.selectionService.isColumnSelected(this.field);
  }
  /**
   * Select/deselect a column.
   * Default value is `false`.
   * ```typescript
   * this.column.selected = true;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set selected(value) {
    if (this.selectable && value !== this.selected) {
      if (value) {
        this.grid.selectionService.selectColumnsWithNoEvent([this.field]);
      } else {
        this.grid.selectionService.deselectColumnsWithNoEvent([this.field]);
      }
      this.grid.notifyChanges();
    }
  }
  /**
   * Gets the `width` of the column.
   * ```typescript
   * let columnWidth = this.column.width;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get width() {
    const isAutoWidth = this._width && typeof this._width === "string" && this._width === "auto";
    if (isAutoWidth) {
      if (!this.autoSize) {
        return "fit-content";
      } else {
        return this.autoSize + "px";
      }
    }
    return this.widthSetByUser ? this._width : this.defaultWidth;
  }
  /**
   * Sets the `width` of the column.
   * ```html
   * <igx-column [width] = "'25%'"></igx-column>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <igx-column [(width)]="model.columns[0].width"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set width(value) {
    if (value) {
      this._calcWidth = null;
      this.calcPixelWidth = NaN;
      this.widthSetByUser = true;
      if (typeof value === "number" || value.match(/^[0-9]*$/)) {
        value = value + "px";
      }
      if (value === "fit-content") {
        value = "auto";
      }
      this._width = value;
      if (this.grid) {
        this.cacheCalcWidth();
      }
      this.widthChange.emit(this._width);
    }
  }
  /**
   * @hidden
   */
  get calcWidth() {
    return this.getCalcWidth();
  }
  /**
   * @hidden
   */
  get maxWidthPx() {
    const gridAvailableSize = this.grid.calcWidth;
    const isPercentageWidth = this.maxWidth && typeof this.maxWidth === "string" && this.maxWidth.indexOf("%") !== -1;
    return isPercentageWidth ? parseFloat(this.maxWidth) / 100 * gridAvailableSize : parseFloat(this.maxWidth);
  }
  /**
   * @hidden
   */
  get maxWidthPercent() {
    const gridAvailableSize = this.grid.calcWidth;
    const isPercentageWidth = this.maxWidth && typeof this.maxWidth === "string" && this.maxWidth.indexOf("%") !== -1;
    return isPercentageWidth ? parseFloat(this.maxWidth) : parseFloat(this.maxWidth) / gridAvailableSize * 100;
  }
  /**
   * @hidden
   */
  get minWidthPx() {
    const gridAvailableSize = this.grid.calcWidth;
    const isPercentageWidth = this.minWidth && typeof this.minWidth === "string" && this.minWidth.indexOf("%") !== -1;
    return isPercentageWidth ? parseFloat(this.minWidth) / 100 * gridAvailableSize : parseFloat(this.minWidth);
  }
  /**
   * @hidden
   */
  get minWidthPercent() {
    const gridAvailableSize = this.grid.calcWidth;
    const isPercentageWidth = this.minWidth && typeof this.minWidth === "string" && this.minWidth.indexOf("%") !== -1;
    return isPercentageWidth ? parseFloat(this.minWidth) : parseFloat(this.minWidth) / gridAvailableSize * 100;
  }
  /**
   * Sets/gets the minimum `width` of the column.
   * Default value is `88`;
   * ```typescript
   * let columnMinWidth = this.column.minWidth;
   * ```
   * ```html
   * <igx-column [minWidth] = "'100px'"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set minWidth(value) {
    const minVal = parseFloat(value);
    if (Number.isNaN(minVal)) {
      return;
    }
    this._defaultMinWidth = value;
  }
  get minWidth() {
    return !this._defaultMinWidth ? this.defaultMinWidth : this._defaultMinWidth;
  }
  /** @hidden @internal **/
  get resolvedWidth() {
    if (this.columnLayoutChild) {
      return "";
    }
    const isAutoWidth = this._width && typeof this._width === "string" && this._width === "auto";
    return isAutoWidth ? this.width : this.calcPixelWidth + "px";
  }
  /**
   * Gets the column index.
   * ```typescript
   * let columnIndex = this.column.index;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get index() {
    return this.grid._columns.indexOf(this);
  }
  /**
   * Gets whether the column is `pinned`.
   * ```typescript
   * let isPinned = this.column.pinned;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get pinned() {
    return this._pinned;
  }
  /**
   * Sets whether the column is pinned.
   * Default value is `false`.
   * ```html
   * <igx-column [pinned] = "true"></igx-column>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <igx-column [(pinned)] = "model.columns[0].isPinned"></igx-column>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set pinned(value) {
    if (this._pinned !== value) {
      const isAutoWidth = this.width && typeof this.width === "string" && this.width === "fit-content";
      if (this.grid && this.width && (isAutoWidth || !isNaN(parseInt(this.width, 10)))) {
        if (value) {
          this.pin();
        } else {
          this.unpin();
        }
        return;
      }
      this._pinned = value;
      this.pinnedChange.emit(this._pinned);
    }
  }
  /**
   * Gets the column `summaries`.
   * ```typescript
   * let columnSummaries = this.column.summaries;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get summaries() {
    return this._summaries;
  }
  /**
   * Sets the column `summaries`.
   * ```typescript
   * this.column.summaries = IgxNumberSummaryOperand;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set summaries(classRef) {
    if (isConstructor(classRef)) {
      this._summaries = new classRef();
    }
    if (this.grid) {
      this.grid.summaryService.removeSummariesCachePerColumn(this.field);
      this.grid.summaryPipeTrigger++;
      this.grid.summaryService.resetSummaryHeight();
    }
  }
  /**
   * Gets the column `filters`.
   * ```typescript
   * let columnFilters = this.column.filters'
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get filters() {
    return this._filters;
  }
  /**
   * Sets the column `filters`.
   * ```typescript
   * this.column.filters = IgxBooleanFilteringOperand.instance().
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set filters(instance) {
    this._filters = instance;
  }
  /**
   * Gets the column `sortStrategy`.
   * ```typescript
   * let sortStrategy = this.column.sortStrategy
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get sortStrategy() {
    return this._sortStrategy;
  }
  /**
   * Sets the column `sortStrategy`.
   * ```typescript
   * this.column.sortStrategy = new CustomSortingStrategy().
   * class CustomSortingStrategy extends SortingStrategy {...}
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set sortStrategy(classRef) {
    this._sortStrategy = classRef;
  }
  /**
   * Gets the function that compares values for grouping.
   * ```typescript
   * let groupingComparer = this.column.groupingComparer'
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get groupingComparer() {
    return this._groupingComparer;
  }
  /**
   * Sets a custom function to compare values for grouping.
   * Subsequent values in the sorted data that the function returns 0 for are grouped.
   * ```typescript
   * this.column.groupingComparer = (a: any, b: any, currRec?: any, groupRec?: any) => { return a === b ? 0 : -1; }
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set groupingComparer(funcRef) {
    this._groupingComparer = funcRef;
  }
  /**
   * Gets the default minimum `width` of the column.
   * ```typescript
   * let defaultMinWidth =  this.column.defaultMinWidth;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get defaultMinWidth() {
    if (!this.grid) {
      return "80";
    }
    switch (this.grid.displayDensity) {
      case DisplayDensity.cosy:
        return "64";
      case DisplayDensity.compact:
        return "56";
      default:
        return "80";
    }
  }
  /**
   * Returns a reference to the `summaryTemplate`.
   * ```typescript
   * let summaryTemplate = this.column.summaryTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get summaryTemplate() {
    return this._summaryTemplate;
  }
  /**
   * Sets the summary template.
   * ```html
   * <ng-template #summaryTemplate igxSummary let-summaryResults>
   *    <p>{{ summaryResults[0].label }}: {{ summaryResults[0].summaryResult }}</p>
   *    <p>{{ summaryResults[1].label }}: {{ summaryResults[1].summaryResult }}</p>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'summaryTemplate'", {read: TemplateRef })
   * public summaryTemplate: TemplateRef<any>;
   * this.column.summaryTemplate = this.summaryTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set summaryTemplate(template) {
    this._summaryTemplate = template;
  }
  /**
   * Returns a reference to the `bodyTemplate`.
   * ```typescript
   * let bodyTemplate = this.column.bodyTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get bodyTemplate() {
    return this._bodyTemplate;
  }
  /**
   * Sets the body template.
   * ```html
   * <ng-template #bodyTemplate igxCell let-val>
   *    <div style = "background-color: yellowgreen" (click) = "changeColor(val)">
   *       <span> {{val}} </span>
   *    </div>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'bodyTemplate'", {read: TemplateRef })
   * public bodyTemplate: TemplateRef<any>;
   * this.column.bodyTemplate = this.bodyTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set bodyTemplate(template) {
    this._bodyTemplate = template;
  }
  /**
   * Returns a reference to the header template.
   * ```typescript
   * let headerTemplate = this.column.headerTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get headerTemplate() {
    return this._headerTemplate;
  }
  /**
   * Sets the header template.
   * Note that the column header height is fixed and any content bigger than it will be cut off.
   * ```html
   * <ng-template #headerTemplate>
   *   <div style = "background-color:black" (click) = "changeColor(val)">
   *       <span style="color:red" >{{column.field}}</span>
   *   </div>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'headerTemplate'", {read: TemplateRef })
   * public headerTemplate: TemplateRef<any>;
   * this.column.headerTemplate = this.headerTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set headerTemplate(template) {
    this._headerTemplate = template;
  }
  /**
   * Returns a reference to the inline editor template.
   * ```typescript
   * let inlineEditorTemplate = this.column.inlineEditorTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get inlineEditorTemplate() {
    return this._inlineEditorTemplate;
  }
  /**
   * Sets the inline editor template.
   * ```html
   * <ng-template #inlineEditorTemplate igxCellEditor let-cell="cell">
   *     <input type="string" [(ngModel)]="cell.value"/>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'inlineEditorTemplate'", {read: TemplateRef })
   * public inlineEditorTemplate: TemplateRef<any>;
   * this.column.inlineEditorTemplate = this.inlineEditorTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set inlineEditorTemplate(template) {
    this._inlineEditorTemplate = template;
  }
  /**
   * Returns a reference to the validation error template.
   * ```typescript
   * let errorTemplate = this.column.errorTemplate;
   * ```
   */
  get errorTemplate() {
    return this._errorTemplate;
  }
  /**
   * Sets the error template.
   * ```html
   * <ng-template igxCellValidationError let-cell="cell" #errorTemplate >
   *     <div *ngIf="cell.validation.errors?.['forbiddenName']">
   *      This name is forbidden.
   *     </div>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'errorTemplate'", {read: TemplateRef })
   * public errorTemplate: TemplateRef<any>;
   * this.column.errorTemplate = this.errorTemplate;
   * ```
   */
  set errorTemplate(template) {
    this._errorTemplate = template;
  }
  /**
   * Returns a reference to the `filterCellTemplate`.
   * ```typescript
   * let filterCellTemplate = this.column.filterCellTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get filterCellTemplate() {
    return this._filterCellTemplate;
  }
  /**
   * Sets the quick filter template.
   * ```html
   * <ng-template #filterCellTemplate IgxFilterCellTemplate let-column="column">
   *    <input (input)="onInput()">
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'filterCellTemplate'", {read: TemplateRef })
   * public filterCellTemplate: TemplateRef<any>;
   * this.column.filterCellTemplate = this.filterCellTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set filterCellTemplate(template) {
    this._filterCellTemplate = template;
  }
  /**
   * Gets the cells of the column.
   * ```typescript
   * let columnCells = this.column.cells;
   * ```
   *
   */
  get cells() {
    return this.grid.dataView.map((rec, index) => {
      if (!this.grid.isGroupByRecord(rec) && !this.grid.isSummaryRow(rec)) {
        this.grid.pagingMode === 1 && this.grid.page !== 0 ? index = index + this.grid.perPage * this.grid.page : index = this.grid.dataRowList.first.index + index;
        const cell = new IgxGridCell(this.grid, index, this);
        return cell;
      }
    }).filter((cell) => cell);
  }
  /**
   * @hidden @internal
   */
  get _cells() {
    return this.grid.rowList.filter((row) => row instanceof IgxRowDirective).map((row) => {
      if (row._cells) {
        return row._cells.filter((cell) => cell.columnIndex === this.index);
      }
    }).reduce((a, b) => a.concat(b), []);
  }
  /**
   * Gets the column visible index.
   * If the column is not visible, returns `-1`.
   * ```typescript
   * let visibleColumnIndex =  this.column.visibleIndex;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get visibleIndex() {
    if (!isNaN(this._vIndex)) {
      return this._vIndex;
    }
    const unpinnedColumns = this.grid.unpinnedColumns.filter((c) => !c.columnGroup);
    const pinnedColumns = this.grid.pinnedColumns.filter((c) => !c.columnGroup);
    let col = this;
    let vIndex = -1;
    if (this.columnGroup) {
      col = this.allChildren.filter((c) => !c.columnGroup && !c.hidden)[0];
    }
    if (this.columnLayoutChild) {
      return this.parent.childrenVisibleIndexes.find((x) => x.column === this).index;
    }
    if (!this.pinned) {
      const indexInCollection = unpinnedColumns.indexOf(col);
      vIndex = indexInCollection === -1 ? -1 : this.grid.isPinningToStart ? pinnedColumns.length + indexInCollection : indexInCollection;
    } else {
      const indexInCollection = pinnedColumns.indexOf(col);
      vIndex = this.grid.isPinningToStart ? indexInCollection : unpinnedColumns.length + indexInCollection;
    }
    this._vIndex = vIndex;
    return vIndex;
  }
  /**
   * Returns a boolean indicating if the column is a `ColumnGroup`.
   * ```typescript
   * let columnGroup =  this.column.columnGroup;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get columnGroup() {
    return false;
  }
  /**
   * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
   * ```typescript
   * let columnGroup =  this.column.columnGroup;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get columnLayout() {
    return false;
  }
  /**
   * Returns a boolean indicating if the column is a child of a `ColumnLayout` for multi-row layout.
   * ```typescript
   * let columnLayoutChild =  this.column.columnLayoutChild;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get columnLayoutChild() {
    return this.parent && this.parent.columnLayout;
  }
  /** @hidden @internal **/
  get allChildren() {
    return [];
  }
  /**
   * Returns the level of the column in a column group.
   * Returns `0` if the column doesn't have a `parent`.
   * ```typescript
   * let columnLevel =  this.column.level;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get level() {
    let ptr = this.parent;
    let lvl = 0;
    while (ptr) {
      lvl++;
      ptr = ptr.parent;
    }
    return lvl;
  }
  /** @hidden @internal **/
  get isLastPinned() {
    return this.grid.isPinningToStart && this.grid.pinnedColumns[this.grid.pinnedColumns.length - 1] === this;
  }
  /** @hidden @internal **/
  get isFirstPinned() {
    const pinnedCols = this.grid.pinnedColumns.filter((x) => !x.columnGroup);
    return !this.grid.isPinningToStart && pinnedCols[0] === this;
  }
  /** @hidden @internal **/
  get rightPinnedOffset() {
    return this.pinned && !this.grid.isPinningToStart ? -this.grid.pinnedWidth - this.grid.headerFeaturesWidth + "px" : null;
  }
  get gridRowSpan() {
    return this.rowEnd && this.rowStart ? this.rowEnd - this.rowStart : 1;
  }
  get gridColumnSpan() {
    return this.colEnd && this.colStart ? this.colEnd - this.colStart : 1;
  }
  /**
   * Indicates whether the column will be visible when its parent is collapsed.
   * ```html
   * <igx-column-group>
   *   <igx-column [visibleWhenCollapsed]="true"></igx-column>
   * </igx-column-group>
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set visibleWhenCollapsed(value) {
    this._visibleWhenCollapsed = value;
    this.visibleWhenCollapsedChange.emit(this._visibleWhenCollapsed);
    if (this.parent) {
      this.parent?.setExpandCollapseState?.();
    }
  }
  get visibleWhenCollapsed() {
    return this._visibleWhenCollapsed;
  }
  /**
   * @remarks
   * Pass optional parameters for DatePipe and/or DecimalPipe to format the display value for date and numeric columns.
   * Accepts an `IColumnPipeArgs` object with any of the `format`, `timezone` and `digitsInfo` properties.
   * For more details see https://angular.io/api/common/DatePipe and https://angular.io/api/common/DecimalPipe
   * @example
   * ```typescript
   * const pipeArgs: IColumnPipeArgs = {
   *      format: 'longDate',
   *      timezone: 'UTC',
   *      digitsInfo: '1.1-2'
   * }
   * ```
   * ```html
   * <igx-column dataType="date" [pipeArgs]="pipeArgs"></igx-column>
   * <igx-column dataType="number" [pipeArgs]="pipeArgs"></igx-column>
   * ```
   * @memberof IgxColumnComponent
   */
  set pipeArgs(value) {
    this._columnPipeArgs = Object.assign(this._columnPipeArgs, value);
    this.grid.summaryService.clearSummaryCache();
    this.grid.pipeTrigger++;
  }
  get pipeArgs() {
    return this._columnPipeArgs;
  }
  /**
   * @hidden
   * @internal
   */
  get collapsible() {
    return false;
  }
  set collapsible(_value) {
  }
  /**
   * @hidden
   * @internal
   */
  get expanded() {
    return true;
  }
  set expanded(_value) {
  }
  /**
   * Returns the filteringExpressionsTree of the column.
   * ```typescript
   * let tree =  this.column.filteringExpressionsTree;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get filteringExpressionsTree() {
    return this.grid.filteringExpressionsTree.find(this.field);
  }
  /**
   * @hidden
   */
  get isPrimaryColumn() {
    return this.field !== void 0 && this.grid !== void 0 && this.field === this.grid.primaryKey;
  }
  constructor(grid, _validators, cdr, platform) {
    this.grid = grid;
    this._validators = _validators;
    this.cdr = cdr;
    this.platform = platform;
    this.validators = [];
    this.header = "";
    this.title = "";
    this.sortable = false;
    this.filterable = true;
    this.resizable = false;
    this.autosizeHeader = true;
    this.hiddenChange = new EventEmitter53();
    this.expandedChange = new EventEmitter53();
    this.collapsibleChange = new EventEmitter53();
    this.visibleWhenCollapsedChange = new EventEmitter53();
    this.columnChange = new EventEmitter53();
    this.disableHiding = false;
    this.disablePinning = false;
    this.movable = false;
    this.headerClasses = "";
    this.headerStyles = null;
    this.headerGroupClasses = "";
    this.headerGroupStyles = null;
    this.cellStyles = null;
    this.filteringIgnoreCase = true;
    this.sortingIgnoreCase = true;
    this.searchable = true;
    this.dataType = GridColumnDataType.String;
    this.widthChange = new EventEmitter53();
    this.pinnedChange = new EventEmitter53();
    this.defaultTimeFormat = "hh:mm:ss tt";
    this.defaultDateTimeFormat = "dd/MM/yyyy HH:mm:ss tt";
    this.parent = null;
    this.destroy$ = new Subject32();
    this._applySelectableClass = false;
    this._vIndex = NaN;
    this._pinned = false;
    this._summaries = null;
    this._filters = null;
    this._sortStrategy = DefaultSortingStrategy.instance();
    this._hidden = false;
    this._disablePinning = false;
    this._defaultMinWidth = "";
    this._hasSummary = false;
    this._groupable = false;
    this._collapsible = false;
    this._expanded = true;
    this._selectable = true;
    this._calcWidth = null;
    this._columnPipeArgs = { digitsInfo: DEFAULT_DIGITS_INFO };
    this.validators = _validators;
  }
  /**
   * @hidden
   * @internal
   */
  resetCaches() {
    this._vIndex = NaN;
    if (this.grid) {
      this.cacheCalcWidth();
    }
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    if (this.summaryTemplateDirective) {
      this._summaryTemplate = this.summaryTemplateDirective.template;
    }
    if (this.cellTemplate) {
      this._bodyTemplate = this.cellTemplate.template;
    }
    if (this.cellValidationErrorTemplate) {
      this._errorTemplate = this.cellValidationErrorTemplate.template;
    }
    if (this.headTemplate && this.headTemplate.length) {
      this._headerTemplate = this.headTemplate.toArray()[0].template;
    }
    if (this.editorTemplate) {
      this._inlineEditorTemplate = this.editorTemplate.template;
    }
    if (this.filterCellTemplateDirective) {
      this._filterCellTemplate = this.filterCellTemplateDirective.template;
    }
    if (!this._columnPipeArgs.format) {
      this._columnPipeArgs.format = this.dataType === GridColumnDataType.Time ? DEFAULT_TIME_FORMAT : this.dataType === GridColumnDataType.DateTime ? DEFAULT_DATE_TIME_FORMAT : DEFAULT_DATE_FORMAT;
    }
    if (!this.summaries) {
      switch (this.dataType) {
        case GridColumnDataType.Number:
        case GridColumnDataType.Currency:
        case GridColumnDataType.Percent:
          this.summaries = IgxNumberSummaryOperand;
          break;
        case GridColumnDataType.Date:
        case GridColumnDataType.DateTime:
          this.summaries = IgxDateSummaryOperand;
          break;
        case GridColumnDataType.Time:
          this.summaries = IgxTimeSummaryOperand;
          break;
        case GridColumnDataType.String:
        case GridColumnDataType.Boolean:
        default:
          this.summaries = IgxSummaryOperand;
          break;
      }
    }
    if (!this.filters) {
      switch (this.dataType) {
        case GridColumnDataType.Boolean:
          this.filters = IgxBooleanFilteringOperand.instance();
          break;
        case GridColumnDataType.Number:
        case GridColumnDataType.Currency:
        case GridColumnDataType.Percent:
          this.filters = IgxNumberFilteringOperand.instance();
          break;
        case GridColumnDataType.Date:
          this.filters = IgxDateFilteringOperand.instance();
          break;
        case GridColumnDataType.Time:
          this.filters = IgxTimeFilteringOperand.instance();
          break;
        case GridColumnDataType.DateTime:
          this.filters = IgxDateTimeFilteringOperand.instance();
          break;
        case GridColumnDataType.Image:
          this.filterable = false;
          break;
        case GridColumnDataType.String:
        default:
          this.filters = IgxStringFilteringOperand.instance();
          break;
      }
    }
  }
  /**
   * @hidden
   */
  getGridTemplate(isRow) {
    if (isRow) {
      const rowsCount = !this.grid.isPivot ? this.grid.multiRowLayoutRowSize : this.children.length - 1;
      return `repeat(${rowsCount},1fr)`;
    } else {
      return this.getColumnSizesString(this.children);
    }
  }
  /** @hidden @internal **/
  getInitialChildColumnSizes(children) {
    const columnSizes = [];
    children.forEach((col) => {
      if (!col.colStart) {
        return;
      }
      const newWidthSet = col.widthSetByUser && columnSizes[col.colStart - 1] && !columnSizes[col.colStart - 1].widthSetByUser;
      const newSpanSmaller = columnSizes[col.colStart - 1] && columnSizes[col.colStart - 1].colSpan > col.gridColumnSpan;
      const bothWidthsSet = col.widthSetByUser && columnSizes[col.colStart - 1] && columnSizes[col.colStart - 1].widthSetByUser;
      const bothWidthsNotSet = !col.widthSetByUser && columnSizes[col.colStart - 1] && !columnSizes[col.colStart - 1].widthSetByUser;
      if (columnSizes[col.colStart - 1] === void 0) {
        columnSizes[col.colStart - 1] = {
          ref: col,
          width: col.width === "fit-content" ? col.autoSize : col.widthSetByUser || this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
          colSpan: col.gridColumnSpan,
          colEnd: col.colStart + col.gridColumnSpan,
          widthSetByUser: col.widthSetByUser
        };
      } else if (newWidthSet || newSpanSmaller && (bothWidthsSet || bothWidthsNotSet)) {
        if (bothWidthsSet && newSpanSmaller) {
          for (let i = col.colStart - 1 + col.gridColumnSpan; i < columnSizes[col.colStart - 1].colEnd - 1; i++) {
            if (!columnSizes[i] || !columnSizes[i].widthSetByUser) {
              columnSizes[i] = columnSizes[col.colStart - 1];
            } else {
              break;
            }
          }
        }
        columnSizes[col.colStart - 1] = {
          ref: col,
          width: col.width === "fit-content" ? col.autoSize : col.widthSetByUser || this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
          colSpan: col.gridColumnSpan,
          colEnd: col.colStart + col.gridColumnSpan,
          widthSetByUser: col.widthSetByUser
        };
      } else if (bothWidthsSet && columnSizes[col.colStart - 1].colSpan < col.gridColumnSpan) {
        for (let i = col.colStart - 1 + columnSizes[col.colStart - 1].colSpan; i < col.colStart - 1 + col.gridColumnSpan; i++) {
          if (!columnSizes[i] || !columnSizes[i].widthSetByUser) {
            columnSizes[i] = {
              ref: col,
              width: col.width === "fit-content" ? col.autoSize : col.widthSetByUser || this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
              colSpan: col.gridColumnSpan,
              colEnd: col.colStart + col.gridColumnSpan,
              widthSetByUser: col.widthSetByUser
            };
          } else {
            break;
          }
        }
      }
    });
    for (let i = 0; i < columnSizes.length; i++) {
      if (columnSizes[i] && columnSizes[i].colSpan > 1) {
        let j = 1;
        for (; j < columnSizes[i].colSpan && i + j + 1 < columnSizes[i].colEnd; j++) {
          if (columnSizes[i + j] && (!columnSizes[i].width && columnSizes[i + j].width || !columnSizes[i].width && !columnSizes[i + j].width && columnSizes[i + j].colSpan <= columnSizes[i].colSpan || !!columnSizes[i + j].width && columnSizes[i + j].colSpan <= columnSizes[i].colSpan)) {
            break;
          } else {
            const width = columnSizes[i].widthSetByUser ? columnSizes[i].width / columnSizes[i].colSpan : columnSizes[i].width;
            columnSizes[i + j] = {
              ref: columnSizes[i].ref,
              width,
              colSpan: 1,
              colEnd: columnSizes[i].colEnd,
              widthSetByUser: columnSizes[i].widthSetByUser
            };
          }
        }
        columnSizes[i].width = columnSizes[i].widthSetByUser ? columnSizes[i].width / columnSizes[i].colSpan : columnSizes[i].width;
        columnSizes[i].colSpan = 1;
        i += j - 1;
      }
    }
    return columnSizes;
  }
  /** @hidden @internal **/
  getFilledChildColumnSizes(children) {
    const columnSizes = this.getInitialChildColumnSizes(children);
    const result = [];
    for (const size of columnSizes) {
      if (size && !!size.width) {
        result.push(size.width + "px");
      } else {
        result.push(parseInt(this.grid.getPossibleColumnWidth(), 10) + "px");
      }
    }
    return result;
  }
  /** @hidden @internal **/
  getResizableColUnderEnd() {
    if (this.columnLayout || !this.columnLayoutChild || this.columnGroup) {
      return [{ target: this, spanUsed: 1 }];
    }
    const columnSized = this.getInitialChildColumnSizes(this.parent.children);
    const targets = [];
    const colEnd = this.colEnd ? this.colEnd : this.colStart + 1;
    for (let i = 0; i < columnSized.length; i++) {
      if (this.colStart <= i + 1 && i + 1 < colEnd) {
        targets.push({ target: columnSized[i].ref, spanUsed: 1 });
      }
    }
    const targetsSquashed = [];
    for (const target of targets) {
      if (targetsSquashed.length && targetsSquashed[targetsSquashed.length - 1].target.field === target.target.field) {
        targetsSquashed[targetsSquashed.length - 1].spanUsed++;
      } else {
        targetsSquashed.push(target);
      }
    }
    return targetsSquashed;
  }
  /**
   * Pins the column at the provided index in the pinned area.
   * Defaults to index `0` if not provided, or to the initial index in the pinned area.
   * Returns `true` if the column is successfully pinned. Returns `false` if the column cannot be pinned.
   * Column cannot be pinned if:
   * - Is already pinned
   * - index argument is out of range
   * - The pinned area exceeds 80% of the grid width
   * ```typescript
   * let success = this.column.pin();
   * ```
   *
   * @memberof IgxColumnComponent
   */
  pin(index) {
    const grid = this.grid;
    if (this._pinned) {
      return false;
    }
    if (this.parent && !this.parent.pinned) {
      return this.topLevelParent.pin(index);
    }
    const hasIndex = index !== void 0;
    if (hasIndex && (index < 0 || index > grid.pinnedColumns.length)) {
      return false;
    }
    if (!this.parent && !this.pinnable) {
      return false;
    }
    const rootPinnedCols = grid._pinnedColumns.filter((c) => c.level === 0);
    index = hasIndex ? index : rootPinnedCols.length;
    const args = { column: this, insertAtIndex: index, isPinned: false, cancel: false };
    this.grid.columnPin.emit(args);
    if (args.cancel) {
      return;
    }
    this.grid.crudService.endEdit(false);
    this._pinned = true;
    this.pinnedChange.emit(this._pinned);
    const targetColumn = args.insertAtIndex === grid._pinnedColumns.length ? grid._pinnedColumns[args.insertAtIndex - 1] : grid._pinnedColumns[args.insertAtIndex];
    if (grid._pinnedColumns.indexOf(this) === -1) {
      if (!grid.hasColumnGroups) {
        grid._pinnedColumns.splice(args.insertAtIndex, 0, this);
      } else {
        rootPinnedCols.splice(args.insertAtIndex, 0, this);
        let allPinned = [];
        rootPinnedCols.forEach((group) => {
          allPinned.push(group);
          allPinned = allPinned.concat(group.allChildren);
        });
        grid._pinnedColumns = allPinned;
      }
      if (grid._unpinnedColumns.indexOf(this) !== -1) {
        const childrenCount = this.allChildren.length;
        grid._unpinnedColumns.splice(grid._unpinnedColumns.indexOf(this), 1 + childrenCount);
      }
    }
    if (hasIndex) {
      index === grid._pinnedColumns.length - 1 ? grid._moveColumns(this, targetColumn, DropPosition.AfterDropTarget) : grid._moveColumns(this, targetColumn, DropPosition.BeforeDropTarget);
    }
    if (this.columnGroup) {
      this.allChildren.forEach((child) => child.pin());
      grid.reinitPinStates();
    }
    grid.resetCaches();
    grid.notifyChanges();
    if (this.columnLayoutChild) {
      this.grid.columns.filter((x) => x.columnLayout).forEach((x) => x.populateVisibleIndexes());
    }
    this.grid.filteringService.refreshExpressions();
    const eventArgs = { column: this, insertAtIndex: index, isPinned: true };
    this.grid.columnPinned.emit(eventArgs);
    return true;
  }
  /**
   * Unpins the column and place it at the provided index in the unpinned area.
   * Defaults to index `0` if not provided, or to the initial index in the unpinned area.
   * Returns `true` if the column is successfully unpinned. Returns `false` if the column cannot be unpinned.
   * Column cannot be unpinned if:
   * - Is already unpinned
   * - index argument is out of range
   * ```typescript
   * let success = this.column.unpin();
   * ```
   *
   * @memberof IgxColumnComponent
   */
  unpin(index) {
    const grid = this.grid;
    if (!this._pinned) {
      return false;
    }
    if (this.parent && this.parent.pinned) {
      return this.topLevelParent.unpin(index);
    }
    const hasIndex = index !== void 0;
    if (hasIndex && (index < 0 || index > grid._unpinnedColumns.length)) {
      return false;
    }
    if (!hasIndex) {
      const indices = grid.unpinnedColumns.map((col) => col.index);
      indices.push(this.index);
      indices.sort((a, b) => a - b);
      index = indices.indexOf(this.index);
    }
    const args = { column: this, insertAtIndex: index, isPinned: true, cancel: false };
    this.grid.columnPin.emit(args);
    if (args.cancel) {
      return;
    }
    this.grid.crudService.endEdit(false);
    this._pinned = false;
    this.pinnedChange.emit(this._pinned);
    const targetColumn = args.insertAtIndex === grid._unpinnedColumns.length ? grid._unpinnedColumns[args.insertAtIndex - 1] : grid._unpinnedColumns[args.insertAtIndex];
    if (!hasIndex) {
      grid._unpinnedColumns.splice(index, 0, this);
      if (grid._pinnedColumns.indexOf(this) !== -1) {
        grid._pinnedColumns.splice(grid._pinnedColumns.indexOf(this), 1);
      }
    }
    if (hasIndex) {
      grid.moveColumn(this, targetColumn);
    }
    if (this.columnGroup) {
      this.allChildren.forEach((child) => child.unpin());
    }
    grid.reinitPinStates();
    grid.resetCaches();
    grid.notifyChanges();
    if (this.columnLayoutChild) {
      this.grid.columns.filter((x) => x.columnLayout).forEach((x) => x.populateVisibleIndexes());
    }
    this.grid.filteringService.refreshExpressions();
    this.grid.columnPinned.emit({ column: this, insertAtIndex: index, isPinned: false });
    return true;
  }
  /**
   * Moves a column to the specified visible index.
   * If passed index is invalid, or if column would receive a different visible index after moving, moving is not performed.
   * If passed index would move the column to a different column group. moving is not performed.
   *
   * @example
   * ```typescript
   * column.move(index);
   * ```
   * @memberof IgxColumnComponent
   */
  move(index) {
    let target;
    let columns = this.grid.columns.filter((c) => c.visibleIndex > -1);
    const li = columns.map((c) => c.visibleIndex).reduce((a, b) => Math.max(a, b));
    const parent = this.parent;
    const isPreceding = this.visibleIndex < index;
    if (index === this.visibleIndex || index < 0 || index > li) {
      return;
    }
    if (parent) {
      columns = columns.filter((c) => c.level >= this.level && c !== this && c.parent !== this && c.topLevelParent === this.topLevelParent);
    }
    if (isPreceding) {
      columns = columns.filter((c) => c.visibleIndex > this.visibleIndex);
      target = columns.find((c) => c.level === this.level && c.visibleIndex + c.calcChildren() - this.calcChildren() === index);
    } else {
      columns = columns.filter((c) => c.visibleIndex < this.visibleIndex);
      target = columns.find((c) => c.level === this.level && c.visibleIndex === index);
    }
    if (!target || target.pinned && this.disablePinning) {
      return;
    }
    const pos = isPreceding ? DropPosition.AfterDropTarget : DropPosition.BeforeDropTarget;
    this.grid.moveColumn(this, target, pos);
  }
  /**
   * No children for the column, so will returns 1 or 0, if the column is hidden.
   *
   * @hidden
   */
  calcChildren() {
    const children = this.hidden ? 0 : 1;
    return children;
  }
  /**
   * Toggles column vibisility and emits the respective event.
   *
   * @hidden
   */
  toggleVisibility(value) {
    const newValue = value ?? !this.hidden;
    const eventArgs = { column: this, newValue, cancel: false };
    this.grid.columnVisibilityChanging.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.hidden = newValue;
    this.grid.columnVisibilityChanged.emit({ column: this, newValue });
  }
  /**
   * Returns a reference to the top level parent column.
   * ```typescript
   * let topLevelParent =  this.column.topLevelParent;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get topLevelParent() {
    let parent = this.parent;
    while (parent && parent.parent) {
      parent = parent.parent;
    }
    return parent;
  }
  /**
   * Returns a reference to the header of the column.
   * ```typescript
   * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
   * let headerCell = column.headerCell;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get headerCell() {
    return this.grid.headerCellList.find((header) => header.column === this);
  }
  /**
   * Returns a reference to the filter cell of the column.
   * ```typescript
   * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
   * let filterell = column.filterell;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get filterCell() {
    return this.grid.filterCellList.find((filterCell) => filterCell.column === this);
  }
  /**
   * Returns a reference to the header group of the column.
   *
   * @memberof IgxColumnComponent
   */
  get headerGroup() {
    return this.grid.headerGroupsList.find((group) => group.column === this);
  }
  /**
   * Autosize the column to the longest currently visible cell value, including the header cell.
   * ```typescript
   * @ViewChild('grid') grid: IgxGridComponent;
   * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
   * column.autosize();
   * ```
   *
   * @memberof IgxColumnComponent
   * @param byHeaderOnly Set if column should be autosized based only on the header content.
   */
  autosize(byHeaderOnly = false) {
    if (!this.columnGroup) {
      this.width = this.getAutoSize(byHeaderOnly);
      this.grid.reflow();
    }
  }
  /**
   * @hidden
   */
  getAutoSize(byHeader = false) {
    const size = !byHeader ? this.getLargestCellWidth() : Object.values(this.getHeaderCellWidths()).reduce((a, b) => a + b) + "px";
    const isPercentageWidth = this.width && typeof this.width === "string" && this.width.indexOf("%") !== -1;
    let newWidth;
    if (isPercentageWidth) {
      const gridAvailableSize = this.grid.calcWidth;
      const percentageSize = parseFloat(size) / gridAvailableSize * 100;
      newWidth = percentageSize + "%";
    } else {
      newWidth = size;
    }
    const maxWidth = isPercentageWidth ? this.maxWidthPercent : this.maxWidthPx;
    const minWidth = isPercentageWidth ? this.minWidthPercent : this.minWidthPx;
    if (this.maxWidth && parseFloat(newWidth) > maxWidth) {
      newWidth = isPercentageWidth ? maxWidth + "%" : maxWidth + "px";
    } else if (parseFloat(newWidth) < minWidth) {
      newWidth = isPercentageWidth ? minWidth + "%" : minWidth + "px";
    }
    return newWidth;
  }
  /**
   * @hidden
   */
  getCalcWidth() {
    if (this._calcWidth && !isNaN(this.calcPixelWidth)) {
      return this._calcWidth;
    }
    this.cacheCalcWidth();
    return this._calcWidth;
  }
  /**
   * @hidden
   * Returns the width and padding of a header cell.
   */
  getHeaderCellWidths() {
    return this.grid.getHeaderCellWidth(this.headerCell.nativeElement);
  }
  /**
   * @hidden
   * Returns the size (in pixels) of the longest currently visible cell, including the header cell.
   * ```typescript
   * @ViewChild('grid') grid: IgxGridComponent;
   *
   * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
   * let size = column.getLargestCellWidth();
   * ```
   * @memberof IgxColumnComponent
   */
  getLargestCellWidth() {
    const range2 = this.grid.document.createRange();
    const largest = /* @__PURE__ */ new Map();
    if (this._cells.length > 0) {
      const cellsContentWidths = [];
      this._cells.forEach((cell) => cellsContentWidths.push(cell.calculateSizeToFit(range2)));
      const index = cellsContentWidths.indexOf(Math.max(...cellsContentWidths));
      const cellStyle = this.grid.document.defaultView.getComputedStyle(this._cells[index].nativeElement);
      const cellPadding = parseFloat(cellStyle.paddingLeft) + parseFloat(cellStyle.paddingRight) + parseFloat(cellStyle.borderLeftWidth) + parseFloat(cellStyle.borderRightWidth);
      largest.set(Math.max(...cellsContentWidths), cellPadding);
    }
    if (this.headerCell && this.autosizeHeader) {
      const headerCellWidths = this.getHeaderCellWidths();
      largest.set(headerCellWidths.width, headerCellWidths.padding);
    }
    const largestCell = Math.max(...Array.from(largest.keys()));
    const width = Math.ceil(largestCell + largest.get(largestCell));
    if (Number.isNaN(width)) {
      return this.width;
    } else {
      return width + "px";
    }
  }
  /**
   * @hidden
   */
  getCellWidth() {
    const colWidth = this.width;
    const isPercentageWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1;
    if (this.columnLayoutChild) {
      return "";
    }
    if (colWidth && !isPercentageWidth) {
      let cellWidth = colWidth;
      if (typeof cellWidth !== "string" || cellWidth.endsWith("px") === false) {
        cellWidth += "px";
      }
      return cellWidth;
    } else {
      return colWidth;
    }
  }
  /**
   * @hidden
   */
  populateVisibleIndexes() {
  }
  getColumnSizesString(children) {
    const res = this.getFilledChildColumnSizes(children);
    return res.join(" ");
  }
  /**
   * @hidden
   * @internal
   */
  cacheCalcWidth() {
    const colWidth = this.width;
    const isPercentageWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1;
    const isAutoWidth = colWidth && typeof colWidth === "string" && colWidth === "fit-content";
    if (isPercentageWidth) {
      this._calcWidth = Math.floor(parseFloat(colWidth) / 100 * this.grid.calcWidth);
    } else if (!colWidth || isAutoWidth && !this.autoSize) {
      this._calcWidth = this.defaultWidth || this.grid.getPossibleColumnWidth();
    } else {
      this._calcWidth = this.width;
    }
    this.calcPixelWidth = parseInt(this._calcWidth, 10);
  }
  /**
   * @hidden
   * @internal
   */
  setExpandCollapseState() {
    this.children.filter((col) => col.visibleWhenCollapsed !== void 0).forEach((c) => {
      if (!this.collapsible) {
        c.hidden = this.hidden;
        return;
      }
      c.hidden = this._expanded ? c.visibleWhenCollapsed : !c.visibleWhenCollapsed;
    });
  }
  /**
   * @hidden
   * @internal
   */
  checkCollapsibleState() {
    if (!this.children) {
      return false;
    }
    const cols = this.children.map((child) => child.visibleWhenCollapsed);
    return cols.some((c) => c === true) && cols.some((c) => c === false);
  }
  /**
   * @hidden
   */
  get pinnable() {
    return this.grid._init || !this.pinned;
  }
  /**
   * @hidden
   */
  get applySelectableClass() {
    return this._applySelectableClass;
  }
  /**
   * @hidden
   */
  set applySelectableClass(value) {
    if (this.selectable) {
      this._applySelectableClass = value;
    }
  }
  static {
    this.ɵfac = i0120.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0120, type: _IgxColumnComponent, deps: [{ token: IGX_GRID_BASE }, { token: NG_VALIDATORS4, optional: true, self: true }, { token: i0120.ChangeDetectorRef }, { token: PlatformUtil }], target: i0120.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0120.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxColumnComponent, isStandalone: true, selector: "igx-column", inputs: { field: "field", header: "header", title: "title", sortable: ["sortable", "sortable", booleanAttribute51], selectable: "selectable", groupable: ["groupable", "groupable", booleanAttribute51], editable: ["editable", "editable", booleanAttribute51], filterable: ["filterable", "filterable", booleanAttribute51], resizable: ["resizable", "resizable", booleanAttribute51], autosizeHeader: ["autosizeHeader", "autosizeHeader", booleanAttribute51], hasSummary: ["hasSummary", "hasSummary", booleanAttribute51], hidden: ["hidden", "hidden", booleanAttribute51], disableHiding: ["disableHiding", "disableHiding", booleanAttribute51], disablePinning: ["disablePinning", "disablePinning", booleanAttribute51], movable: ["movable", "movable", booleanAttribute51], width: "width", maxWidth: "maxWidth", headerClasses: "headerClasses", headerStyles: "headerStyles", headerGroupClasses: "headerGroupClasses", headerGroupStyles: "headerGroupStyles", cellClasses: "cellClasses", cellStyles: "cellStyles", formatter: "formatter", summaryFormatter: "summaryFormatter", filteringIgnoreCase: ["filteringIgnoreCase", "filteringIgnoreCase", booleanAttribute51], sortingIgnoreCase: ["sortingIgnoreCase", "sortingIgnoreCase", booleanAttribute51], searchable: ["searchable", "searchable", booleanAttribute51], dataType: "dataType", collapsibleIndicatorTemplate: "collapsibleIndicatorTemplate", rowEnd: "rowEnd", colEnd: "colEnd", rowStart: "rowStart", colStart: "colStart", additionalTemplateContext: "additionalTemplateContext", minWidth: "minWidth", pinned: ["pinned", "pinned", booleanAttribute51], summaries: "summaries", filters: "filters", sortStrategy: "sortStrategy", groupingComparer: "groupingComparer", summaryTemplate: "summaryTemplate", bodyTemplate: ["cellTemplate", "bodyTemplate"], headerTemplate: "headerTemplate", inlineEditorTemplate: ["cellEditorTemplate", "inlineEditorTemplate"], errorTemplate: "errorTemplate", filterCellTemplate: "filterCellTemplate", visibleWhenCollapsed: ["visibleWhenCollapsed", "visibleWhenCollapsed", booleanAttribute51], pipeArgs: "pipeArgs" }, outputs: { hiddenChange: "hiddenChange", expandedChange: "expandedChange", collapsibleChange: "collapsibleChange", visibleWhenCollapsedChange: "visibleWhenCollapsedChange", columnChange: "columnChange", widthChange: "widthChange", pinnedChange: "pinnedChange" }, queries: [{ propertyName: "filterCellTemplateDirective", first: true, predicate: IgxFilterCellTemplateDirective, descendants: true, read: IgxFilterCellTemplateDirective }, { propertyName: "summaryTemplateDirective", first: true, predicate: IgxSummaryTemplateDirective, descendants: true, read: IgxSummaryTemplateDirective }, { propertyName: "cellTemplate", first: true, predicate: IgxCellTemplateDirective, descendants: true, read: IgxCellTemplateDirective }, { propertyName: "cellValidationErrorTemplate", first: true, predicate: IgxCellValidationErrorDirective, descendants: true, read: IgxCellValidationErrorDirective }, { propertyName: "editorTemplate", first: true, predicate: IgxCellEditorTemplateDirective, descendants: true, read: IgxCellEditorTemplateDirective }, { propertyName: "collapseIndicatorTemplate", first: true, predicate: IgxCollapsibleIndicatorTemplateDirective, descendants: true, read: IgxCollapsibleIndicatorTemplateDirective }, { propertyName: "headTemplate", predicate: IgxCellHeaderTemplateDirective, read: IgxCellHeaderTemplateDirective }], ngImport: i0120, template: ``, isInline: true, changeDetection: i0120.ChangeDetectionStrategy.OnPush });
  }
};
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "header", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "title", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "sortable", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "selectable", null);
__decorate2([
  notifyChanges(true),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "groupable", null);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "editable", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "filterable", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "resizable", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "autosizeHeader", void 0);
__decorate2([
  notifyChanges(true),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "hasSummary", null);
__decorate2([
  notifyChanges(true),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "hidden", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "disableHiding", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "disablePinning", void 0);
__decorate2([
  notifyChanges(true),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "width", null);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "maxWidth", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "headerClasses", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "headerStyles", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "headerGroupClasses", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "headerGroupStyles", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "cellClasses", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "cellStyles", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "formatter", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "summaryFormatter", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "filteringIgnoreCase", void 0);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "sortingIgnoreCase", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "searchable", void 0);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "minWidth", null);
__decorate2([
  WatchColumnChanges()
], IgxColumnComponent.prototype, "pinned", null);
__decorate2([
  notifyChanges(true),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "summaries", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "summaryTemplate", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "bodyTemplate", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "headerTemplate", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "inlineEditorTemplate", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "errorTemplate", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "filterCellTemplate", null);
__decorate2([
  notifyChanges(true)
], IgxColumnComponent.prototype, "visibleWhenCollapsed", null);
__decorate2([
  notifyChanges(),
  WatchColumnChanges()
], IgxColumnComponent.prototype, "pipeArgs", null);
i0120.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0120, type: IgxColumnComponent, decorators: [{
  type: Component45,
  args: [{
    changeDetection: ChangeDetectionStrategy5.OnPush,
    selector: "igx-column",
    template: ``,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject52,
  args: [IGX_GRID_BASE]
}] }, { type: void 0, decorators: [{
  type: Optional29
}, {
  type: Self7
}, {
  type: Inject52,
  args: [NG_VALIDATORS4]
}] }, { type: i0120.ChangeDetectorRef }, { type: PlatformUtil }], propDecorators: { field: [{
  type: Input75
}], header: [{
  type: Input75
}], title: [{
  type: Input75
}], sortable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], selectable: [{
  type: Input75
}], groupable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], editable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], filterable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], resizable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], autosizeHeader: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], hasSummary: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], hidden: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], hiddenChange: [{
  type: Output43
}], expandedChange: [{
  type: Output43
}], collapsibleChange: [{
  type: Output43
}], visibleWhenCollapsedChange: [{
  type: Output43
}], columnChange: [{
  type: Output43
}], disableHiding: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], disablePinning: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], movable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], width: [{
  type: Input75
}], maxWidth: [{
  type: Input75
}], headerClasses: [{
  type: Input75
}], headerStyles: [{
  type: Input75
}], headerGroupClasses: [{
  type: Input75
}], headerGroupStyles: [{
  type: Input75
}], cellClasses: [{
  type: Input75
}], cellStyles: [{
  type: Input75
}], formatter: [{
  type: Input75
}], summaryFormatter: [{
  type: Input75
}], filteringIgnoreCase: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], sortingIgnoreCase: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], searchable: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], dataType: [{
  type: Input75
}], collapsibleIndicatorTemplate: [{
  type: Input75
}], rowEnd: [{
  type: Input75
}], colEnd: [{
  type: Input75
}], rowStart: [{
  type: Input75
}], colStart: [{
  type: Input75
}], additionalTemplateContext: [{
  type: Input75
}], widthChange: [{
  type: Output43
}], pinnedChange: [{
  type: Output43
}], filterCellTemplateDirective: [{
  type: ContentChild10,
  args: [IgxFilterCellTemplateDirective, { read: IgxFilterCellTemplateDirective }]
}], summaryTemplateDirective: [{
  type: ContentChild10,
  args: [IgxSummaryTemplateDirective, { read: IgxSummaryTemplateDirective }]
}], cellTemplate: [{
  type: ContentChild10,
  args: [IgxCellTemplateDirective, { read: IgxCellTemplateDirective }]
}], cellValidationErrorTemplate: [{
  type: ContentChild10,
  args: [IgxCellValidationErrorDirective, { read: IgxCellValidationErrorDirective }]
}], headTemplate: [{
  type: ContentChildren14,
  args: [IgxCellHeaderTemplateDirective, { read: IgxCellHeaderTemplateDirective, descendants: false }]
}], editorTemplate: [{
  type: ContentChild10,
  args: [IgxCellEditorTemplateDirective, { read: IgxCellEditorTemplateDirective }]
}], collapseIndicatorTemplate: [{
  type: ContentChild10,
  args: [IgxCollapsibleIndicatorTemplateDirective, { read: IgxCollapsibleIndicatorTemplateDirective, static: false }]
}], minWidth: [{
  type: Input75
}], pinned: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], summaries: [{
  type: Input75
}], filters: [{
  type: Input75
}], sortStrategy: [{
  type: Input75
}], groupingComparer: [{
  type: Input75
}], summaryTemplate: [{
  type: Input75
}], bodyTemplate: [{
  type: Input75,
  args: ["cellTemplate"]
}], headerTemplate: [{
  type: Input75
}], inlineEditorTemplate: [{
  type: Input75,
  args: ["cellEditorTemplate"]
}], errorTemplate: [{
  type: Input75,
  args: ["errorTemplate"]
}], filterCellTemplate: [{
  type: Input75,
  args: ["filterCellTemplate"]
}], visibleWhenCollapsed: [{
  type: Input75,
  args: [{ transform: booleanAttribute51 }]
}], pipeArgs: [{
  type: Input75
}] } });

// lib/grids/columns/column-group.component.mjs
import { Component as Component46, ContentChildren as ContentChildren15, ChangeDetectionStrategy as ChangeDetectionStrategy7, Input as Input76, forwardRef as forwardRef12, QueryList as QueryList2, booleanAttribute as booleanAttribute52 } from "@angular/core";
import { takeUntil as takeUntil26 } from "rxjs/operators";
import * as i0121 from "@angular/core";
var IgxColumnGroupComponent = class _IgxColumnGroupComponent extends IgxColumnComponent {
  constructor() {
    super(...arguments);
    this.children = new QueryList2();
    this.searchable = true;
  }
  /**
   * Set if the column group is collapsible.
   * Default value is `false`
   * ```html
   *  <igx-column-group [collapsible] = "true"></igx-column-group>
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set collapsible(value) {
    this._collapsible = value;
    this.collapsibleChange.emit(this._collapsible);
    if (this.children && !this.hidden) {
      if (this._collapsible) {
        this.setExpandCollapseState();
      } else {
        this.children.forEach((child) => child.hidden = false);
      }
    }
  }
  get collapsible() {
    return this._collapsible && this.checkCollapsibleState();
  }
  /**
   * Set whether the group is expanded or collapsed initially.
   * Applied only if the collapsible property is set to `true`
   * Default value is `true`
   * ```html
   *  const state = false
   *  <igx-column-group [(expand)] = "state"></igx-column-group>
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set expanded(value) {
    this._expanded = value;
    this.expandedChange.emit(this._expanded);
    if (!this.collapsible) {
      return;
    }
    if (!this.hidden && this.children) {
      this.setExpandCollapseState();
    }
  }
  get expanded() {
    return this._expanded;
  }
  /**
   * Gets the column group `summaries`.
   * ```typescript
   * let columnGroupSummaries = this.columnGroup.summaries;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get summaries() {
    return this._summaries;
  }
  /**
   * Sets the column group `summaries`.
   * ```typescript
   * this.columnGroup.summaries = IgxNumberSummaryOperand;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set summaries(classRef) {
  }
  /**
   * Gets the column group `filters`.
   * ```typescript
   * let columnGroupFilters = this.columnGroup.filters;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get filters() {
    return this._filters;
  }
  /**
   * Sets the column group `filters`.
   * ```typescript
   * this.columnGroup.filters = IgxStringFilteringOperand;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set filters(classRef) {
  }
  /**
   * Returns if the column group is selectable
   * ```typescript
   * let columnGroupSelectable = this.columnGroup.selectable;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get selectable() {
    return this.children && this.children.some((child) => child.selectable);
  }
  /**
   * @hidden
   */
  set selectable(value) {
  }
  /**
   * @hidden
   */
  get bodyTemplate() {
    return this._bodyTemplate;
  }
  /**
   * @hidden
   */
  set bodyTemplate(template) {
  }
  /**
   * @hidden
   */
  get inlineEditorTemplate() {
    return this._inlineEditorTemplate;
  }
  /**
   * @hidden
   */
  set inlineEditorTemplate(template) {
  }
  /**
   * Will return empty array. Use this.children.toArray()[index].cells to get the cells for a column that is part of the column group.
   * ```typescript
   * let columnCells = this.columnGroup.cells;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get cells() {
    return [];
  }
  /**
   * Gets whether the column group is hidden.
   * ```typescript
   * let isHidden = this.columnGroup.hidden;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get hidden() {
    return this.allChildren.every((c) => c.hidden);
  }
  /**
   * Sets the column group hidden property.
   * ```html
   * <igx-column [hidden] = "true"></igx-column>
   * ```
   *
   * Two-way data binding
   * ```html
   * <igx-column [(hidden)] = "model.columns[0].isHidden"></igx-column>
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set hidden(value) {
    this._hidden = value;
    this.hiddenChange.emit(this._hidden);
    if (this._hidden || !this.collapsible) {
      this.children.forEach((child) => child.hidden = this._hidden);
    } else {
      this.children.forEach((c) => {
        if (c.visibleWhenCollapsed === void 0) {
          c.hidden = false;
          return;
        }
        c.hidden = this.expanded ? c.visibleWhenCollapsed : !c.visibleWhenCollapsed;
      });
    }
  }
  /**
   * Returns if the column group is selected.
   * ```typescript
   * let isSelected = this.columnGroup.selected;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get selected() {
    const selectableChildren = this.allChildren.filter((c) => !c.columnGroup && c.selectable && !c.hidden);
    return selectableChildren.length > 0 && selectableChildren.every((c) => c.selected);
  }
  /**
   * Select/deselect the column group.
   * ```typescript
   * this.columnGroup.selected = true;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set selected(value) {
    if (this.selectable) {
      this.children.forEach((c) => {
        c.selected = value;
      });
    }
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    if (this.headTemplate && this.headTemplate.length) {
      this._headerTemplate = this.headTemplate.toArray()[0].template;
    }
    if (this.collapseIndicatorTemplate) {
      this.collapsibleIndicatorTemplate = this.collapseIndicatorTemplate.template;
    }
    if (this.children.first === this) {
      this.children.reset(this.children.toArray().slice(1));
    }
    this.children.forEach((child) => {
      child.parent = this;
      if (this.pinned) {
        child.pinned = this.pinned;
      }
    });
    if (this.collapsible) {
      this.setExpandCollapseState();
    }
    this.children.changes.pipe(takeUntil26(this.destroy$)).subscribe((change) => {
      let shouldReinitPinning = false;
      change.forEach((x) => {
        x.parent = this;
        if (this.pinned && x.pinned !== this.pinned) {
          shouldReinitPinning = true;
          x.pinned = this.pinned;
        }
      });
      if (this.collapsible) {
        this.setExpandCollapseState();
      }
      if (shouldReinitPinning) {
        this.grid.initPinning();
      }
    });
  }
  /** @hidden @internal **/
  get allChildren() {
    return flatten(this.children.toArray());
  }
  /**
   * Returns a boolean indicating if the column is a `ColumnGroup`.
   * ```typescript
   * let isColumnGroup =  this.columnGroup.columnGroup
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get columnGroup() {
    return true;
  }
  /**
   * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
   * ```typescript
   * let columnGroup =  this.column.columnGroup;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get columnLayout() {
    return false;
  }
  /**
   * Gets the width of the column group.
   * ```typescript
   * let columnGroupWidth = this.columnGroup.width;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get width() {
    const width = `${this.children.reduce((acc, val) => {
      if (val.hidden) {
        return acc;
      }
      return acc + parseInt(val.calcWidth, 10);
    }, 0)}`;
    return width + "px";
  }
  set width(val) {
  }
  /** @hidden @internal **/
  get resolvedWidth() {
    return this.width;
  }
  /**
   * @hidden
   */
  get applySelectableClass() {
    return this._applySelectableClass;
  }
  /**
   * @hidden
   */
  set applySelectableClass(value) {
    if (this.selectable) {
      this._applySelectableClass = value;
      this.children.forEach((c) => {
        c.applySelectableClass = value;
      });
    }
  }
  /**
   * @hidden
   * Calculates the number of visible columns, based on indexes of first and last visible columns.
   */
  calcChildren() {
    const visibleChildren = this.allChildren.filter((c) => c.visibleIndex > -1);
    const fi = visibleChildren[0].visibleIndex;
    const li = visibleChildren[visibleChildren.length - 1].visibleIndex;
    return li - fi + 1;
  }
  static {
    this.ɵfac = i0121.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0121, type: _IgxColumnGroupComponent, deps: null, target: i0121.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0121.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxColumnGroupComponent, isStandalone: true, selector: "igx-column-group", inputs: { collapsible: ["collapsible", "collapsible", booleanAttribute52], expanded: ["expanded", "expanded", booleanAttribute52], summaries: "summaries", searchable: ["searchable", "searchable", booleanAttribute52], filters: "filters", collapsibleIndicatorTemplate: "collapsibleIndicatorTemplate", hidden: ["hidden", "hidden", booleanAttribute52] }, providers: [{ provide: IgxColumnComponent, useExisting: forwardRef12(() => _IgxColumnGroupComponent) }], queries: [{ propertyName: "children", predicate: IgxColumnComponent, read: IgxColumnComponent }], usesInheritance: true, ngImport: i0121, template: ``, isInline: true, changeDetection: i0121.ChangeDetectionStrategy.OnPush });
  }
};
i0121.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0121, type: IgxColumnGroupComponent, decorators: [{
  type: Component46,
  args: [{
    changeDetection: ChangeDetectionStrategy7.OnPush,
    providers: [{ provide: IgxColumnComponent, useExisting: forwardRef12(() => IgxColumnGroupComponent) }],
    selector: "igx-column-group",
    template: ``,
    standalone: true
  }]
}], propDecorators: { children: [{
  type: ContentChildren15,
  args: [IgxColumnComponent, { read: IgxColumnComponent }]
}], collapsible: [{
  type: Input76,
  args: [{ transform: booleanAttribute52 }]
}], expanded: [{
  type: Input76,
  args: [{ transform: booleanAttribute52 }]
}], summaries: [{
  type: Input76
}], searchable: [{
  type: Input76,
  args: [{ transform: booleanAttribute52 }]
}], filters: [{
  type: Input76
}], collapsibleIndicatorTemplate: [{
  type: Input76
}], hidden: [{
  type: Input76,
  args: [{ transform: booleanAttribute52 }]
}] } });

// lib/grids/columns/column-layout.component.mjs
import { Component as Component47, ChangeDetectionStrategy as ChangeDetectionStrategy9, forwardRef as forwardRef13, Input as Input77, booleanAttribute as booleanAttribute53 } from "@angular/core";
import * as i0122 from "@angular/core";
var IgxColumnLayoutComponent = class _IgxColumnLayoutComponent extends IgxColumnGroupComponent {
  constructor() {
    super(...arguments);
    this.childrenVisibleIndexes = [];
  }
  /**
   * Gets the width of the column layout.
   * ```typescript
   * let columnGroupWidth = this.columnGroup.width;
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  get width() {
    const width = this.getFilledChildColumnSizes(this.children).reduce((acc, val) => acc + parseInt(val, 10), 0);
    return width;
  }
  set width(val) {
  }
  get columnLayout() {
    return true;
  }
  /**
   * @hidden
   */
  getCalcWidth() {
    let borderWidth = 0;
    if (this.headerGroup && this.headerGroup.hasLastPinnedChildColumn) {
      const headerStyles = this.grid.document.defaultView.getComputedStyle(this.headerGroup.nativeElement.children[0]);
      borderWidth = parseInt(headerStyles.borderRightWidth, 10);
    }
    return super.getCalcWidth() + borderWidth;
  }
  /**
   * Gets the column visible index.
   * If the column is not visible, returns `-1`.
   * ```typescript
   * let visibleColumnIndex =  this.column.visibleIndex;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get visibleIndex() {
    if (!isNaN(this._vIndex)) {
      return this._vIndex;
    }
    const unpinnedColumns = this.grid.unpinnedColumns.filter((c) => c.columnLayout && !c.hidden);
    const pinnedColumns = this.grid.pinnedColumns.filter((c) => c.columnLayout && !c.hidden);
    let vIndex = -1;
    if (!this.pinned) {
      const indexInCollection = unpinnedColumns.indexOf(this);
      vIndex = indexInCollection === -1 ? -1 : pinnedColumns.length + indexInCollection;
    } else {
      vIndex = pinnedColumns.indexOf(this);
    }
    this._vIndex = vIndex;
    return vIndex;
  }
  /*
   * Gets whether the column layout is hidden.
   * ```typescript
   * let isHidden = this.columnGroup.hidden;
   * ```
   * @memberof IgxColumnGroupComponent
   */
  get hidden() {
    return this._hidden;
  }
  /**
   * Sets the column layout hidden property.
   * ```typescript
   * <igx-column-layout [hidden] = "true"></igx-column->
   * ```
   *
   * @memberof IgxColumnGroupComponent
   */
  set hidden(value) {
    this._hidden = value;
    this.children.forEach((child) => child.hidden = value);
    if (this.grid && this.grid.columns && this.grid.columns.length > 0) {
      const columns = this.grid && this.grid.pinnedColumns && this.grid.unpinnedColumns ? this.grid.pinnedColumns.concat(this.grid.unpinnedColumns) : [];
      if (!this._hidden && !columns.find((c) => c.field === this.field)) {
        this.grid.resetColumnCollections();
      }
      this.grid.columns.filter((x) => x.columnLayout).forEach((x) => x.populateVisibleIndexes());
    }
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    super.ngAfterContentInit();
    if (!this.hidden) {
      this.hidden = this.allChildren.some((x) => x.hidden);
    } else {
      this.children.forEach((child) => child.hidden = this.hidden);
    }
  }
  /** @hidden @internal **/
  get hasLastPinnedChildColumn() {
    return this.children.some((child) => child.isLastPinned);
  }
  /** @hidden @internal **/
  get hasFirstPinnedChildColumn() {
    return this.children.some((child) => child.isFirstPinned);
  }
  /**
   * @hidden
   */
  populateVisibleIndexes() {
    this.childrenVisibleIndexes = [];
    const columns = this.grid?.pinnedColumns && this.grid?.unpinnedColumns ? this.grid.pinnedColumns.concat(this.grid.unpinnedColumns) : [];
    const orderedCols = columns.filter((x) => !x.columnGroup && !x.hidden).sort((a, b) => a.rowStart - b.rowStart || columns.indexOf(a.parent) - columns.indexOf(b.parent) || a.colStart - b.colStart);
    this.children.forEach((child) => {
      const rs = child.rowStart || 1;
      let vIndex = 0;
      const cols = orderedCols.filter((c) => !c.columnGroup && (c.rowStart || 1) <= rs);
      vIndex = cols.indexOf(child);
      this.childrenVisibleIndexes.push({ column: child, index: vIndex });
    });
  }
  static {
    this.ɵfac = i0122.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0122, type: _IgxColumnLayoutComponent, deps: null, target: i0122.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0122.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxColumnLayoutComponent, isStandalone: true, selector: "igx-column-layout", inputs: { hidden: ["hidden", "hidden", booleanAttribute53] }, providers: [{ provide: IgxColumnComponent, useExisting: forwardRef13(() => _IgxColumnLayoutComponent) }], usesInheritance: true, ngImport: i0122, template: ``, isInline: true, changeDetection: i0122.ChangeDetectionStrategy.OnPush });
  }
};
i0122.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0122, type: IgxColumnLayoutComponent, decorators: [{
  type: Component47,
  args: [{
    changeDetection: ChangeDetectionStrategy9.OnPush,
    providers: [{ provide: IgxColumnComponent, useExisting: forwardRef13(() => IgxColumnLayoutComponent) }],
    selector: "igx-column-layout",
    template: ``,
    standalone: true
  }]
}], propDecorators: { hidden: [{
  type: Input77,
  args: [{ transform: booleanAttribute53 }]
}] } });

// lib/grids/columns/public_api.mjs
var IGX_GRID_VALIDATION_DIRECTIVES = [
  IgxColumnRequiredValidatorDirective,
  IgxColumnMinValidatorDirective,
  IgxColumnMaxValidatorDirective,
  IgxColumnEmailValidatorDirective,
  IgxColumnMinLengthValidatorDirective,
  IgxColumnMaxLengthValidatorDirective,
  IgxColumPatternValidatorDirective
];

// lib/core/i18n/query-builder-resources.mjs
var QueryBuilderResourceStringsEN = {
  igx_query_builder_date_placeholder: "Pick up date",
  igx_query_builder_time_placeholder: "Pick up time",
  igx_query_builder_filter_operator_and: "And",
  igx_query_builder_filter_operator_or: "Or",
  igx_query_builder_filter_contains: "Contains",
  igx_query_builder_filter_doesNotContain: "Does Not Contain",
  igx_query_builder_filter_startsWith: "Starts With",
  igx_query_builder_filter_endsWith: "Ends With",
  igx_query_builder_filter_equals: "Equals",
  igx_query_builder_filter_doesNotEqual: "Does Not Equal",
  igx_query_builder_filter_empty: "Empty",
  igx_query_builder_filter_notEmpty: "Not Empty",
  igx_query_builder_filter_null: "Null",
  igx_query_builder_filter_notNull: "Not Null",
  igx_query_builder_filter_before: "Before",
  igx_query_builder_filter_after: "After",
  igx_query_builder_filter_at: "At",
  igx_query_builder_filter_not_at: "Not At",
  igx_query_builder_filter_at_before: "At or Before",
  igx_query_builder_filter_at_after: "At or After",
  igx_query_builder_filter_today: "Today",
  igx_query_builder_filter_yesterday: "Yesterday",
  igx_query_builder_filter_thisMonth: "This Month",
  igx_query_builder_filter_lastMonth: "Last Month",
  igx_query_builder_filter_nextMonth: "Next Month",
  igx_query_builder_filter_thisYear: "This Year",
  igx_query_builder_filter_lastYear: "Last Year",
  igx_query_builder_filter_nextYear: "Next Year",
  igx_query_builder_filter_greaterThan: "Greater Than",
  igx_query_builder_filter_lessThan: "Less Than",
  igx_query_builder_filter_greaterThanOrEqualTo: "Greater Than Or Equal To",
  igx_query_builder_filter_lessThanOrEqualTo: "Less Than Or Equal To",
  igx_query_builder_filter_true: "True",
  igx_query_builder_filter_false: "False",
  igx_query_builder_filter_all: "All",
  igx_query_builder_title: "Query Builder",
  igx_query_builder_and_group: '"And" Group',
  igx_query_builder_or_group: '"Or" Group',
  igx_query_builder_end_group: "End Group",
  igx_query_builder_and_label: "and",
  igx_query_builder_or_label: "or",
  igx_query_builder_add_condition: "Condition",
  igx_query_builder_create_and_group: 'Create "And" Group',
  igx_query_builder_create_or_group: 'Create "Or" Group',
  igx_query_builder_ungroup: "Ungroup",
  igx_query_builder_delete: "Delete",
  igx_query_builder_delete_filters: "Delete filters",
  igx_query_builder_initial_text: 'Start with creating a group of conditions linked with "And" or "Or"',
  igx_query_builder_column_placeholder: "Select column",
  igx_query_builder_condition_placeholder: "Select filter",
  igx_query_builder_value_placeholder: "Value"
};

// lib/select/select-item.component.mjs
import { Component as Component48, Input as Input78 } from "@angular/core";
import * as i0123 from "@angular/core";
var IgxSelectItemComponent = class _IgxSelectItemComponent extends IgxDropDownItemComponent {
  /**
   * Gets/Sets the item's text to be displayed in the select component's input when the item is selected.
   *
   * ```typescript
   *  //get
   *  let mySelectedItem = this.dropDown.selectedItem;
   *  let selectedItemText = mySelectedItem.text;
   * ```
   *
   * ```html
   * // set
   * <igx-select-item [text]="'London'"></igx-select-item>
   * ```
   */
  get text() {
    return this._text;
  }
  set text(text) {
    this._text = text;
  }
  /** @hidden @internal */
  get itemText() {
    if (this._text !== void 0) {
      return this._text;
    }
    return this.elementRef.nativeElement.textContent.trim();
  }
  /**
   * Sets/Gets if the item is the currently selected one in the select
   *
   * ```typescript
   *  let mySelectedItem = this.select.selectedItem;
   *  let isMyItemSelected = mySelectedItem.selected; // true
   * ```
   */
  get selected() {
    return !this.isHeader && !this.disabled && this.selection.is_item_selected(this.dropDown.id, this);
  }
  set selected(value) {
    if (value && !this.isHeader && !this.disabled) {
      this.dropDown.selectItem(this);
    }
  }
  static {
    this.ɵfac = i0123.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0123, type: _IgxSelectItemComponent, deps: null, target: i0123.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0123.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectItemComponent, isStandalone: true, selector: "igx-select-item", inputs: { text: "text" }, usesInheritance: true, ngImport: i0123, template: '<span class="igx-drop-down__content">\n    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>\n    <span class="igx-drop-down__inner"><ng-content></ng-content></span>\n    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>\n</span>\n' });
  }
};
i0123.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0123, type: IgxSelectItemComponent, decorators: [{
  type: Component48,
  args: [{ selector: "igx-select-item", standalone: true, template: '<span class="igx-drop-down__content">\n    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>\n    <span class="igx-drop-down__inner"><ng-content></ng-content></span>\n    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>\n</span>\n' }]
}], propDecorators: { text: [{
  type: Input78
}] } });

// lib/select/select-positioning-strategy.mjs
import { __decorate as __decorate3, __param as __param2 } from "tslib";
import { Optional as Optional30 } from "@angular/core";
import { fadeIn as fadeIn6, fadeOut as fadeOut6 } from "igniteui-angular/animations";
var SelectPositioningStrategy = class SelectPositioningStrategy2 extends BaseFitPositionStrategy {
  constructor(select, settings, platform) {
    super();
    this.select = select;
    this.platform = platform;
    this._selectDefaultSettings = {
      horizontalDirection: HorizontalAlignment.Right,
      verticalDirection: VerticalAlignment.Bottom,
      horizontalStartPoint: HorizontalAlignment.Left,
      verticalStartPoint: VerticalAlignment.Top,
      openAnimation: fadeIn6,
      closeAnimation: fadeOut6
    };
    this.global_yOffset = 0;
    this.global_xOffset = 0;
    this.global_styles = {};
    this.settings = Object.assign({}, this._selectDefaultSettings, settings);
  }
  /**
   * Position the element based on the PositionStrategy implementing this interface.
   *
   * @param contentElement The HTML element to be positioned
   * @param size Size of the element
   * @param document reference to the Document object
   * @param initialCall should be true if this is the initial call to the method
   * @param target attaching target for the component to show
   * ```typescript
   * settings.positionStrategy.position(content, size, document, true);
   * ```
   */
  position(contentElement, size, document2, initialCall, target) {
    const targetElement = target || this.settings.target;
    const rects = super.calculateElementRectangles(contentElement, targetElement);
    const selectFit = {
      verticalOffset: this.global_yOffset,
      horizontalOffset: this.global_xOffset,
      targetRect: rects.targetRect,
      contentElementRect: rects.elementRect,
      styles: this.global_styles,
      scrollContainer: this.select.scrollContainer,
      scrollContainerRect: this.select.scrollContainer.getBoundingClientRect()
    };
    if (initialCall) {
      this.select.scrollContainer.scrollTop = 0;
      selectFit.viewPortRect = Util.getViewportRect(document2);
      selectFit.itemElement = this.getInteractionItemElement();
      selectFit.itemRect = selectFit.itemElement.getBoundingClientRect();
      selectFit.styles = this.calculateStyles(selectFit, targetElement);
      selectFit.scrollAmount = this.calculateScrollAmount(selectFit);
      this.calculateYoffset(selectFit);
      this.calculateXoffset(selectFit);
      super.updateViewPortFit(selectFit);
      if (selectFit.fitVertical.back < 0 || selectFit.fitVertical.forward < 0) {
        this.fitInViewport(contentElement, selectFit);
      }
      this.select.scrollContainer.scrollTop = selectFit.scrollAmount;
    }
    this.setStyles(contentElement, selectFit);
  }
  /**
   * Obtain the selected item if there is such one or otherwise use the first one
   */
  getInteractionItemElement() {
    let itemElement;
    if (this.select.selectedItem) {
      itemElement = this.select.selectedItem.element.nativeElement;
    } else {
      itemElement = this.select.getFirstItemElement();
    }
    return itemElement;
  }
  /**
   * Position the items outer container so selected item text is positioned over input text and if header
   * And/OR footer - both header/footer are visible
   *
   * @param selectFit selectFit to use for computation.
   */
  fitInViewport(contentElement, selectFit) {
    const footer = selectFit.scrollContainerRect.bottom - selectFit.contentElementRect.bottom;
    const header = selectFit.scrollContainerRect.top - selectFit.contentElementRect.top;
    const lastItemFitSize = selectFit.targetRect.bottom + selectFit.styles.itemTextToInputTextDiff - footer;
    const firstItemFitSize = selectFit.targetRect.top - selectFit.styles.itemTextToInputTextDiff - header;
    if (selectFit.fitVertical.back < 0) {
      const possibleScrollAmount = selectFit.scrollContainer.scrollHeight - selectFit.scrollContainerRect.height - selectFit.scrollAmount;
      if (possibleScrollAmount + selectFit.fitVertical.back > 0 && firstItemFitSize > selectFit.viewPortRect.top) {
        selectFit.scrollAmount -= selectFit.fitVertical.back;
        selectFit.verticalOffset -= selectFit.fitVertical.back;
        this.global_yOffset = selectFit.verticalOffset;
      } else {
        selectFit.verticalOffset = 0;
        this.global_yOffset = 0;
      }
    } else if (selectFit.fitVertical.forward < 0) {
      if (selectFit.scrollAmount + selectFit.fitVertical.forward > 0 && lastItemFitSize < selectFit.viewPortRect.bottom) {
        selectFit.scrollAmount += selectFit.fitVertical.forward;
        selectFit.verticalOffset += selectFit.fitVertical.forward;
        this.global_yOffset = selectFit.verticalOffset;
      } else {
        selectFit.verticalOffset = -selectFit.contentElementRect.height + selectFit.targetRect.height;
        this.global_yOffset = selectFit.verticalOffset;
      }
    }
  }
  /**
   * Sets element's style which effectively positions the provided element
   *
   * @param element Element to position
   * @param selectFit selectFit to use for computation.
   * @param initialCall should be true if this is the initial call to the position method calling setStyles
   */
  setStyles(contentElement, selectFit) {
    super.setStyle(contentElement, selectFit.targetRect, selectFit.contentElementRect, selectFit);
    contentElement.style.width = `${selectFit.styles.contentElementNewWidth}px`;
    this.global_styles.contentElementNewWidth = selectFit.styles.contentElementNewWidth;
  }
  /**
   * Calculate selected item scroll position.
   */
  calculateScrollAmount(selectFit) {
    const itemElementRect = selectFit.itemRect;
    const scrollContainer = selectFit.scrollContainer;
    const scrollContainerRect = selectFit.scrollContainerRect;
    const scrollDelta = scrollContainerRect.top - itemElementRect.top;
    let scrollPosition = scrollContainer.scrollTop - scrollDelta;
    const dropDownHeight = scrollContainer.clientHeight;
    scrollPosition -= dropDownHeight / 2;
    scrollPosition += itemElementRect.height / 2;
    return Math.round(Math.min(Math.max(0, scrollPosition), scrollContainer.scrollHeight - scrollContainerRect.height));
  }
  /**
   * Calculate the necessary input and selected item styles to be used for positioning item text over input text.
   * Calculate & Set default items container width.
   *
   * @param selectFit selectFit to use for computation.
   */
  calculateStyles(selectFit, target) {
    const styles = {};
    const inputElementStyles = window.getComputedStyle(target);
    const itemElementStyles = window.getComputedStyle(selectFit.itemElement);
    const numericInputFontSize = parseFloat(inputElementStyles.fontSize);
    const numericInputPaddingTop = parseFloat(inputElementStyles.paddingTop);
    const numericInputPaddingBottom = parseFloat(inputElementStyles.paddingBottom);
    const numericItemFontSize = parseFloat(itemElementStyles.fontSize);
    const inputTextToInputTop = (selectFit.targetRect.bottom - numericInputPaddingBottom - (selectFit.targetRect.top + numericInputPaddingTop) - numericInputFontSize) / 2;
    const itemTextToItemTop = (selectFit.itemRect.height - numericItemFontSize) / 2;
    styles.itemTextToInputTextDiff = Math.round(itemTextToItemTop - inputTextToInputTop - numericInputPaddingTop);
    const numericLeftPadding = parseFloat(itemElementStyles.paddingLeft);
    const numericTextIndent = parseFloat(itemElementStyles.textIndent);
    styles.itemTextPadding = numericLeftPadding;
    styles.itemTextIndent = numericTextIndent;
    styles.contentElementNewWidth = selectFit.targetRect.width + 24 + numericLeftPadding * 2;
    return styles;
  }
  /**
   * Calculate how much to offset the overlay container for Y-axis.
   */
  calculateYoffset(selectFit) {
    selectFit.verticalOffset = -(selectFit.itemRect.top - selectFit.contentElementRect.top + selectFit.styles.itemTextToInputTextDiff - selectFit.scrollAmount);
    this.global_yOffset = selectFit.verticalOffset;
  }
  /**
   * Calculate how much to offset the overlay container for X-axis.
   */
  calculateXoffset(selectFit) {
    selectFit.horizontalOffset = selectFit.styles.itemTextIndent - selectFit.styles.itemTextPadding;
    this.global_xOffset = selectFit.horizontalOffset;
  }
};
SelectPositioningStrategy = __decorate3([
  __param2(2, Optional30())
], SelectPositioningStrategy);

// lib/select/select-navigation.directive.mjs
import { Directive as Directive57, Input as Input79 } from "@angular/core";
import { Subscription, timer } from "rxjs";
import * as i0124 from "@angular/core";
var IgxSelectItemNavigationDirective = class _IgxSelectItemNavigationDirective extends IgxDropDownItemNavigationDirective {
  get target() {
    return this._target;
  }
  set target(target) {
    this._target = target ? target : this.dropdown;
  }
  constructor() {
    super(null);
    this._target = null;
    this.inputStream = "";
    this.clearStream$ = Subscription.EMPTY;
  }
  /** Captures keydown events and calls the appropriate handlers on the target component */
  handleKeyDown(event) {
    if (!event) {
      return;
    }
    const key = event.key.toLowerCase();
    if (event.altKey && (key === "arrowdown" || key === "arrowup" || key === "down" || key === "up")) {
      this.target.toggle();
      return;
    }
    if (this.target.collapsed) {
      switch (key) {
        case "space":
        case "spacebar":
        case " ":
        case "enter":
          event.preventDefault();
          this.target.open();
          return;
        case "arrowdown":
        case "down":
          this.target.navigateNext();
          this.target.selectItem(this.target.focusedItem);
          event.preventDefault();
          return;
        case "arrowup":
        case "up":
          this.target.navigatePrev();
          this.target.selectItem(this.target.focusedItem);
          event.preventDefault();
          return;
        default:
          break;
      }
    } else if (key === "tab" || event.shiftKey && key === "tab") {
      this.target.close();
    }
    super.handleKeyDown(event);
    this.captureKey(event);
  }
  captureKey(event) {
    if (!event || !event.key || event.key.length > 1 || event.key === " " || event.key === "spacebar") {
      return;
    }
    this.clearStream$.unsubscribe();
    this.clearStream$ = timer(500).subscribe(() => {
      this.inputStream = "";
    });
    this.inputStream += event.key;
    const focusedItem = this.target.focusedItem;
    if (focusedItem && this.inputStream.length > 1 && focusedItem.itemText.toLowerCase().startsWith(this.inputStream.toLowerCase())) {
      return;
    }
    this.activateItemByText(this.inputStream);
  }
  activateItemByText(text) {
    const items = this.target.items;
    let nextItem = this.findNextItem(items, text);
    if (!nextItem && text.charAt(0) === text.charAt(text.length - 1)) {
      text = text.slice(0, 1);
      nextItem = this.findNextItem(items, text);
    }
    if (!nextItem) {
      return;
    }
    if (this.target.collapsed) {
      this.target.selectItem(nextItem);
    }
    this.target.navigateItem(items.indexOf(nextItem));
  }
  ngOnDestroy() {
    this.clearStream$.unsubscribe();
  }
  findNextItem(items, text) {
    const activeItemIndex = items.indexOf(this.target.focusedItem) || 0;
    return items.slice(activeItemIndex + 1).find((x) => !x.disabled && x.itemText.toLowerCase().startsWith(text.toLowerCase())) || items.slice(0, activeItemIndex).find((x) => !x.disabled && x.itemText.toLowerCase().startsWith(text.toLowerCase()));
  }
  static {
    this.ɵfac = i0124.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0124, type: _IgxSelectItemNavigationDirective, deps: [], target: i0124.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0124.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectItemNavigationDirective, isStandalone: true, selector: "[igxSelectItemNavigation]", inputs: { target: ["igxSelectItemNavigation", "target"] }, usesInheritance: true, ngImport: i0124 });
  }
};
i0124.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0124, type: IgxSelectItemNavigationDirective, decorators: [{
  type: Directive57,
  args: [{
    selector: "[igxSelectItemNavigation]",
    standalone: true
  }]
}], ctorParameters: () => [], propDecorators: { target: [{
  type: Input79,
  args: ["igxSelectItemNavigation"]
}] } });

// lib/select/select.component.mjs
import { booleanAttribute as booleanAttribute54, Component as Component49, ContentChild as ContentChild11, ContentChildren as ContentChildren16, Directive as Directive58, ElementRef as ElementRef56, EventEmitter as EventEmitter54, forwardRef as forwardRef14, HostBinding as HostBinding58, Inject as Inject53, Input as Input80, Optional as Optional31, Output as Output44, TemplateRef as TemplateRef11, ViewChild as ViewChild25 } from "@angular/core";
import { NgIf as NgIf25, NgTemplateOutlet as NgTemplateOutlet12 } from "@angular/common";
import { NgControl as NgControl7, NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR14 } from "@angular/forms";
import { noop as noop10 } from "rxjs";
import { takeUntil as takeUntil27 } from "rxjs/operators";
import * as i0125 from "@angular/core";
var IgxSelectToggleIconDirective = class _IgxSelectToggleIconDirective {
  static {
    this.ɵfac = i0125.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: _IgxSelectToggleIconDirective, deps: [], target: i0125.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0125.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectToggleIconDirective, isStandalone: true, selector: "[igxSelectToggleIcon]", ngImport: i0125 });
  }
};
i0125.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: IgxSelectToggleIconDirective, decorators: [{
  type: Directive58,
  args: [{
    selector: "[igxSelectToggleIcon]",
    standalone: true
  }]
}] });
var IgxSelectHeaderDirective = class _IgxSelectHeaderDirective {
  static {
    this.ɵfac = i0125.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: _IgxSelectHeaderDirective, deps: [], target: i0125.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0125.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectHeaderDirective, isStandalone: true, selector: "[igxSelectHeader]", ngImport: i0125 });
  }
};
i0125.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: IgxSelectHeaderDirective, decorators: [{
  type: Directive58,
  args: [{
    selector: "[igxSelectHeader]",
    standalone: true
  }]
}] });
var IgxSelectFooterDirective = class _IgxSelectFooterDirective {
  static {
    this.ɵfac = i0125.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: _IgxSelectFooterDirective, deps: [], target: i0125.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0125.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectFooterDirective, isStandalone: true, selector: "[igxSelectFooter]", ngImport: i0125 });
  }
};
i0125.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: IgxSelectFooterDirective, decorators: [{
  type: Directive58,
  args: [{
    selector: "[igxSelectFooter]",
    standalone: true
  }]
}] });
var IgxSelectComponent = class _IgxSelectComponent extends IgxDropDownComponent {
  /**
   * Gets/Sets the component value.
   *
   * ```typescript
   * // get
   * let selectValue = this.select.value;
   * ```
   *
   * ```typescript
   * // set
   * this.select.value = 'London';
   * ```
   * ```html
   * <igx-select [value]="value"></igx-select>
   * ```
   */
  get value() {
    return this._value;
  }
  set value(v) {
    if (this._value === v) {
      return;
    }
    this._value = v;
    this.setSelection(this.items.find((x) => x.value === this.value));
  }
  /**
   * Sets how the select will be styled.
   * The allowed values are `line`, `box` and `border`. The input-group default is `line`.
   * ```html
   * <igx-select [type]="'box'"></igx-select>
   * ```
   */
  get type() {
    return this._type || this._inputGroupType || "line";
  }
  set type(val) {
    this._type = val;
  }
  /** @hidden @internal */
  get selectionValue() {
    const selectedItem = this.selectedItem;
    return selectedItem ? selectedItem.itemText : "";
  }
  /** @hidden @internal */
  get selectedItem() {
    return this.selection.first_item(this.id);
  }
  constructor(elementRef, cdr, selection, overlayService, _displayDensityOptions, _inputGroupType, _injector) {
    super(elementRef, cdr, selection, _displayDensityOptions);
    this.overlayService = overlayService;
    this._inputGroupType = _inputGroupType;
    this._injector = _injector;
    this.disabled = false;
    this.maxHeight = "256px";
    this.opening = new EventEmitter54();
    this.opened = new EventEmitter54();
    this.closing = new EventEmitter54();
    this.closed = new EventEmitter54();
    this.toggleIconTemplate = null;
    this.headerTemplate = null;
    this.footerTemplate = null;
    this.cssClass = false;
    this.allowItemsFocus = false;
    this.ngControl = null;
    this._type = null;
    this._onChangeCallback = noop10;
    this._onTouchedCallback = noop10;
    this.writeValue = (value) => {
      this.value = value;
    };
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  //#endregion
  /** @hidden @internal */
  getEditElement() {
    return this.input.nativeElement;
  }
  /** @hidden @internal */
  selectItem(newSelection, event) {
    const oldSelection = this.selectedItem ?? {};
    if (newSelection === null || newSelection.disabled || newSelection.isHeader) {
      return;
    }
    if (newSelection === oldSelection) {
      this.toggleDirective.close();
      return;
    }
    const args = { oldSelection, newSelection, cancel: false, owner: this };
    this.selectionChanging.emit(args);
    if (args.cancel) {
      return;
    }
    this.setSelection(newSelection);
    this._value = newSelection.value;
    if (event) {
      this.toggleDirective.close();
    }
    this.cdr.detectChanges();
    this._onChangeCallback(this.value);
  }
  /** @hidden @internal */
  getFirstItemElement() {
    return this.children.first.element.nativeElement;
  }
  /**
   * Opens the select
   *
   * ```typescript
   * this.select.open();
   * ```
   */
  open(overlaySettings) {
    if (this.disabled || this.items.length === 0) {
      return;
    }
    if (!this.selectedItem) {
      this.navigateFirst();
    }
    super.open(Object.assign({}, this._overlayDefaults, this.overlaySettings, overlaySettings));
  }
  inputGroupClick(event, overlaySettings) {
    const targetElement = event.target;
    if (this.hintElement && targetElement.contains(this.hintElement.nativeElement)) {
      return;
    }
    this.toggle(Object.assign({}, this._overlayDefaults, this.overlaySettings, overlaySettings));
  }
  /** @hidden @internal */
  ngAfterContentInit() {
    this._overlayDefaults = {
      target: this.getEditElement(),
      modal: false,
      positionStrategy: new SelectPositioningStrategy(this),
      scrollStrategy: new AbsoluteScrollStrategy(),
      excludeFromOutsideClick: [this.inputGroup.element.nativeElement]
    };
    const changes$ = this.children.changes.pipe(takeUntil27(this.destroy$)).subscribe(() => {
      this.setSelection(this.items.find((x) => x.value === this.value));
      this.cdr.detectChanges();
    });
    Promise.resolve().then(() => {
      if (!changes$.closed) {
        this.children.notifyOnChanges();
      }
    });
  }
  /**
   * Event handlers
   *
   * @hidden @internal
   */
  handleOpening(e) {
    const args = { owner: this, event: e.event, cancel: e.cancel };
    this.opening.emit(args);
    e.cancel = args.cancel;
    if (args.cancel) {
      return;
    }
  }
  /** @hidden @internal */
  onToggleContentAppended(event) {
    const info = this.overlayService.getOverlayById(event.id);
    if (info?.settings?.positionStrategy instanceof SelectPositioningStrategy) {
      return;
    }
    super.onToggleContentAppended(event);
  }
  /** @hidden @internal */
  handleOpened() {
    this.updateItemFocus();
    this.opened.emit({ owner: this });
  }
  /** @hidden @internal */
  handleClosing(e) {
    const args = { owner: this, event: e.event, cancel: e.cancel };
    this.closing.emit(args);
    e.cancel = args.cancel;
  }
  /** @hidden @internal */
  handleClosed() {
    this.focusItem(false);
    this.closed.emit({ owner: this });
  }
  /** @hidden @internal */
  onBlur() {
    this._onTouchedCallback();
    if (this.ngControl && this.ngControl.invalid) {
      this.input.valid = IgxInputState.INVALID;
    } else {
      this.input.valid = IgxInputState.INITIAL;
    }
  }
  /** @hidden @internal */
  onFocus() {
    this._onTouchedCallback();
  }
  /**
   * @hidden @internal
   */
  ngOnInit() {
    this.ngControl = this._injector.get(NgControl7, null);
    super.ngOnInit();
  }
  /**
   * @hidden @internal
   */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    if (this.ngControl) {
      this.ngControl.statusChanges.pipe(takeUntil27(this.destroy$)).subscribe(this.onStatusChanged.bind(this));
      this.manageRequiredAsterisk();
    }
    this.cdr.detectChanges();
  }
  /** @hidden @internal */
  ngAfterContentChecked() {
    if (this.inputGroup && this.prefixes?.length > 0) {
      this.inputGroup.prefixes = this.prefixes;
    }
    if (this.inputGroup && this.suffixes?.length > 0) {
      this.inputGroup.suffixes = this.suffixes;
    }
  }
  /**
   * @hidden @internal
   * Prevent input blur - closing the items container on Header/Footer Template click.
   */
  mousedownHandler(event) {
    event.preventDefault();
  }
  onStatusChanged() {
    this.manageRequiredAsterisk();
    if (this.ngControl && !this.disabled && this.isTouchedOrDirty) {
      if (this.hasValidators && this.inputGroup.isFocused) {
        this.input.valid = this.ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
      } else {
        this.input.valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
      }
    } else {
      this.input.valid = IgxInputState.INITIAL;
    }
  }
  get isTouchedOrDirty() {
    return this.ngControl.control.touched || this.ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this.ngControl.control.validator || !!this.ngControl.control.asyncValidator;
  }
  navigate(direction, currentIndex) {
    if (this.collapsed && this.selectedItem) {
      this.navigateItem(this.selectedItem.itemIndex);
    }
    super.navigate(direction, currentIndex);
  }
  manageRequiredAsterisk() {
    const hasRequiredHTMLAttribute = this.elementRef.nativeElement.hasAttribute("required");
    if (this.ngControl && this.ngControl.control.validator) {
      const error = this.ngControl.control.validator({});
      this.inputGroup.isRequired = error && error.required;
      this.cdr.markForCheck();
    } else if (this.inputGroup.isRequired && this.ngControl && !this.ngControl.control.validator && !hasRequiredHTMLAttribute) {
      this.input.valid = IgxInputState.INITIAL;
      this.inputGroup.isRequired = false;
      this.cdr.markForCheck();
    }
  }
  setSelection(item) {
    if (item && item.value !== void 0 && item.value !== null) {
      this.selection.set(this.id, /* @__PURE__ */ new Set([item]));
    } else {
      this.selection.clear(this.id);
    }
  }
  static {
    this.ɵfac = i0125.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: _IgxSelectComponent, deps: [{ token: i0125.ElementRef }, { token: i0125.ChangeDetectorRef }, { token: IgxSelectionAPIService }, { token: IgxOverlayService }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: i0125.Injector }], target: i0125.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0125.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSelectComponent, isStandalone: true, selector: "igx-select", inputs: { placeholder: "placeholder", disabled: ["disabled", "disabled", booleanAttribute54], overlaySettings: "overlaySettings", value: "value", type: "type" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed" }, host: { properties: { "style.maxHeight": "this.maxHeight" } }, providers: [
      { provide: NG_VALUE_ACCESSOR14, useExisting: _IgxSelectComponent, multi: true },
      { provide: IGX_DROPDOWN_BASE, useExisting: _IgxSelectComponent }
    ], queries: [{ propertyName: "label", first: true, predicate: i0125.forwardRef(() => IgxLabelDirective), descendants: true, static: true }, { propertyName: "toggleIconTemplate", first: true, predicate: IgxSelectToggleIconDirective, descendants: true, read: TemplateRef11 }, { propertyName: "headerTemplate", first: true, predicate: IgxSelectHeaderDirective, descendants: true, read: TemplateRef11 }, { propertyName: "footerTemplate", first: true, predicate: IgxSelectFooterDirective, descendants: true, read: TemplateRef11 }, { propertyName: "hintElement", first: true, predicate: IgxHintDirective, descendants: true, read: ElementRef56 }, { propertyName: "children", predicate: i0125.forwardRef(() => IgxSelectItemComponent), descendants: true }, { propertyName: "prefixes", predicate: IgxPrefixDirective, descendants: true }, { propertyName: "suffixes", predicate: IgxSuffixDirective, descendants: true }], viewQueries: [{ propertyName: "inputGroup", first: true, predicate: ["inputGroup"], descendants: true, read: IgxInputGroupComponent, static: true }, { propertyName: "input", first: true, predicate: ["input"], descendants: true, read: IgxInputDirective, static: true }], usesInheritance: true, ngImport: i0125, template: `<igx-input-group #inputGroup class="input-group" (click)="inputGroupClick($event)" [type]="type" [displayDensity]="displayDensity">
    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </ng-container>
    <input #input class="input" type="text" igxInput [igxSelectItemNavigation]="this"
        [disabled]="disabled"
        readonly="true"
        [attr.placeholder]="this.placeholder"
        [value]="this.selectionValue"
        role="combobox"
        aria-haspopup="listbox"
        [attr.aria-labelledby]="this.label?.id"
        [attr.aria-expanded]="!this.collapsed"
        [attr.aria-owns]="this.listId"
        [attr.aria-activedescendant]="!this.collapsed ? this.focusedItem?.id : null"
        (blur)="onBlur()"
        (focus)="onFocus()"
    />
    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
    </ng-container>
    <igx-suffix class="igx-select__toggle-button">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: this.collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ inputGroup.theme === 'material' ? collapsed ? 'expand_more' : 'expand_less' : collapsed ? 'arrow_drop_down' : 'arrow_drop_up' }}
        </igx-icon>
    </igx-suffix>
    <ng-container ngProjectAs="igx-hint, [igxHint]" >
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>
</igx-input-group>
<div igxToggle class="igx-drop-down__list" (mousedown)="mousedownHandler($event);"
    [style.--component-size]="getComponentSizeStyles()"
    (appended)="onToggleContentAppended($event)"
    (opening)="handleOpening($event)"
    (opened)="handleOpened()"
    (closing)="handleClosing($event)"
    (closed)="handleClosed()">

    <div *ngIf="headerTemplate" class="igx-drop-down__select-header">
        <ng-content *ngTemplateOutlet="headerTemplate"></ng-content>
    </div>

    <!-- #7436 LMB scrolling closes items container - unselectable attribute is IE specific  -->
    <div #scrollContainer class="igx-drop-down__list-scroll" unselectable="on" [style.maxHeight]="maxHeight"
        [attr.id]="this.listId" role="listbox" [attr.aria-labelledby]="this.label?.id">
        <ng-content select="igx-select-item, igx-select-item-group"></ng-content>
    </div>

    <div *ngIf="footerTemplate" class="igx-drop-down__select-footer">
        <ng-container *ngTemplateOutlet="footerTemplate"></ng-container>
    </div>
</div>
`, styles: [":host{display:block}\n"], dependencies: [{ kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxSelectItemNavigationDirective, selector: "[igxSelectItemNavigation]", inputs: ["igxSelectItemNavigation"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: NgIf25, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet12, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }] });
  }
};
i0125.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0125, type: IgxSelectComponent, decorators: [{
  type: Component49,
  args: [{ selector: "igx-select", providers: [
    { provide: NG_VALUE_ACCESSOR14, useExisting: IgxSelectComponent, multi: true },
    { provide: IGX_DROPDOWN_BASE, useExisting: IgxSelectComponent }
  ], standalone: true, imports: [IgxInputGroupComponent, IgxInputDirective, IgxSelectItemNavigationDirective, IgxSuffixDirective, NgIf25, NgTemplateOutlet12, IgxIconComponent, IgxToggleDirective], template: `<igx-input-group #inputGroup class="input-group" (click)="inputGroupClick($event)" [type]="type" [displayDensity]="displayDensity">
    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </ng-container>
    <input #input class="input" type="text" igxInput [igxSelectItemNavigation]="this"
        [disabled]="disabled"
        readonly="true"
        [attr.placeholder]="this.placeholder"
        [value]="this.selectionValue"
        role="combobox"
        aria-haspopup="listbox"
        [attr.aria-labelledby]="this.label?.id"
        [attr.aria-expanded]="!this.collapsed"
        [attr.aria-owns]="this.listId"
        [attr.aria-activedescendant]="!this.collapsed ? this.focusedItem?.id : null"
        (blur)="onBlur()"
        (focus)="onFocus()"
    />
    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
    </ng-container>
    <igx-suffix class="igx-select__toggle-button">
        <ng-container *ngIf="toggleIconTemplate">
            <ng-container *ngTemplateOutlet="toggleIconTemplate; context: {$implicit: this.collapsed}"></ng-container>
        </ng-container>
        <igx-icon *ngIf="!toggleIconTemplate">
            {{ inputGroup.theme === 'material' ? collapsed ? 'expand_more' : 'expand_less' : collapsed ? 'arrow_drop_down' : 'arrow_drop_up' }}
        </igx-icon>
    </igx-suffix>
    <ng-container ngProjectAs="igx-hint, [igxHint]" >
        <ng-content select="igx-hint, [igxHint]"></ng-content>
    </ng-container>
</igx-input-group>
<div igxToggle class="igx-drop-down__list" (mousedown)="mousedownHandler($event);"
    [style.--component-size]="getComponentSizeStyles()"
    (appended)="onToggleContentAppended($event)"
    (opening)="handleOpening($event)"
    (opened)="handleOpened()"
    (closing)="handleClosing($event)"
    (closed)="handleClosed()">

    <div *ngIf="headerTemplate" class="igx-drop-down__select-header">
        <ng-content *ngTemplateOutlet="headerTemplate"></ng-content>
    </div>

    <!-- #7436 LMB scrolling closes items container - unselectable attribute is IE specific  -->
    <div #scrollContainer class="igx-drop-down__list-scroll" unselectable="on" [style.maxHeight]="maxHeight"
        [attr.id]="this.listId" role="listbox" [attr.aria-labelledby]="this.label?.id">
        <ng-content select="igx-select-item, igx-select-item-group"></ng-content>
    </div>

    <div *ngIf="footerTemplate" class="igx-drop-down__select-footer">
        <ng-container *ngTemplateOutlet="footerTemplate"></ng-container>
    </div>
</div>
`, styles: [":host{display:block}\n"] }]
}], ctorParameters: () => [{ type: i0125.ElementRef }, { type: i0125.ChangeDetectorRef }, { type: IgxSelectionAPIService }, { type: IgxOverlayService, decorators: [{
  type: Inject53,
  args: [IgxOverlayService]
}] }, { type: void 0, decorators: [{
  type: Optional31
}, {
  type: Inject53,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional31
}, {
  type: Inject53,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: i0125.Injector }], propDecorators: { inputGroup: [{
  type: ViewChild25,
  args: ["inputGroup", { read: IgxInputGroupComponent, static: true }]
}], input: [{
  type: ViewChild25,
  args: ["input", { read: IgxInputDirective, static: true }]
}], children: [{
  type: ContentChildren16,
  args: [forwardRef14(() => IgxSelectItemComponent), { descendants: true }]
}], prefixes: [{
  type: ContentChildren16,
  args: [IgxPrefixDirective, { descendants: true }]
}], suffixes: [{
  type: ContentChildren16,
  args: [IgxSuffixDirective, { descendants: true }]
}], label: [{
  type: ContentChild11,
  args: [forwardRef14(() => IgxLabelDirective), { static: true }]
}], placeholder: [{
  type: Input80
}], disabled: [{
  type: Input80,
  args: [{ transform: booleanAttribute54 }]
}], overlaySettings: [{
  type: Input80
}], maxHeight: [{
  type: HostBinding58,
  args: ["style.maxHeight"]
}], opening: [{
  type: Output44
}], opened: [{
  type: Output44
}], closing: [{
  type: Output44
}], closed: [{
  type: Output44
}], toggleIconTemplate: [{
  type: ContentChild11,
  args: [IgxSelectToggleIconDirective, { read: TemplateRef11 }]
}], headerTemplate: [{
  type: ContentChild11,
  args: [IgxSelectHeaderDirective, { read: TemplateRef11, static: false }]
}], footerTemplate: [{
  type: ContentChild11,
  args: [IgxSelectFooterDirective, { read: TemplateRef11, static: false }]
}], hintElement: [{
  type: ContentChild11,
  args: [IgxHintDirective, { read: ElementRef56 }]
}], value: [{
  type: Input80
}], type: [{
  type: Input80
}] } });

// lib/time-picker/time-picker.common.mjs
var IGX_TIME_PICKER_COMPONENT = "IgxTimePickerComponentToken";

// lib/time-picker/time-picker.directives.mjs
import { Directive as Directive59, HostBinding as HostBinding59, HostListener as HostListener35, Inject as Inject54, Input as Input81 } from "@angular/core";
import * as i0126 from "@angular/core";
var IgxItemListDirective = class _IgxItemListDirective {
  constructor(timePicker, elementRef, touchManager) {
    this.timePicker = timePicker;
    this.elementRef = elementRef;
    this.touchManager = touchManager;
    this.tabindex = 0;
    this.onPanMove = (event) => {
      const delta = event.deltaY < 0 ? -1 : event.deltaY > 0 ? 1 : 0;
      if (delta !== 0) {
        this.nextItem(delta);
      }
    };
  }
  get defaultCSS() {
    return true;
  }
  get hourCSS() {
    return this.type === "hourList";
  }
  get minuteCSS() {
    return this.type === "minuteList";
  }
  get secondsCSS() {
    return this.type === "secondsList";
  }
  get ampmCSS() {
    return this.type === "ampmList";
  }
  onFocus() {
    this.isActive = true;
  }
  onBlur() {
    this.isActive = false;
  }
  /**
   * @hidden
   */
  onKeydownArrowDown(event) {
    event.preventDefault();
    this.nextItem(1);
  }
  /**
   * @hidden
   */
  onKeydownArrowUp(event) {
    event.preventDefault();
    this.nextItem(-1);
  }
  /**
   * @hidden
   */
  onKeydownArrowRight(event) {
    event.preventDefault();
    const listName = event.target.className;
    if (listName.indexOf("hourList") !== -1 && this.timePicker.minuteList) {
      this.timePicker.minuteList.nativeElement.focus();
    } else if ((listName.indexOf("hourList") !== -1 || listName.indexOf("minuteList") !== -1) && this.timePicker.secondsList) {
      this.timePicker.secondsList.nativeElement.focus();
    } else if ((listName.indexOf("hourList") !== -1 || listName.indexOf("minuteList") !== -1 || listName.indexOf("secondsList") !== -1) && this.timePicker.ampmList) {
      this.timePicker.ampmList.nativeElement.focus();
    }
  }
  /**
   * @hidden
   */
  onKeydownArrowLeft(event) {
    event.preventDefault();
    const listName = event.target.className;
    if (listName.indexOf("ampmList") !== -1 && this.timePicker.secondsList) {
      this.timePicker.secondsList.nativeElement.focus();
    } else if (listName.indexOf("secondsList") !== -1 && this.timePicker.secondsList && listName.indexOf("minutesList") && this.timePicker.minuteList) {
      this.timePicker.minuteList.nativeElement.focus();
    } else if (listName.indexOf("ampmList") !== -1 && this.timePicker.minuteList) {
      this.timePicker.minuteList.nativeElement.focus();
    } else if ((listName.indexOf("ampmList") !== -1 || listName.indexOf("secondsList") !== -1 || listName.indexOf("minuteList") !== -1) && this.timePicker.hourList) {
      this.timePicker.hourList.nativeElement.focus();
    }
  }
  /**
   * @hidden
   */
  onKeydownEnter(event) {
    event.preventDefault();
    this.timePicker.okButtonClick();
  }
  /**
   * @hidden
   */
  onKeydownEscape(event) {
    event.preventDefault();
    this.timePicker.cancelButtonClick();
  }
  /**
   * @hidden
   */
  onHover() {
    this.elementRef.nativeElement.focus();
  }
  /**
   * @hidden
   */
  onScroll(event) {
    event.preventDefault();
    event.stopPropagation();
    const delta = event.deltaY;
    if (delta !== 0) {
      this.nextItem(delta);
    }
  }
  /**
   * @hidden @internal
   */
  ngOnInit() {
    const hammerOptions = { recognizers: [[HammerGesturesManager.Hammer?.Pan, { direction: HammerGesturesManager.Hammer?.DIRECTION_VERTICAL, threshold: 10 }]] };
    this.touchManager.addEventListener(this.elementRef.nativeElement, "pan", this.onPanMove, hammerOptions);
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.touchManager.destroy();
  }
  nextItem(delta) {
    switch (this.type) {
      case "hourList": {
        this.timePicker.nextHour(delta);
        break;
      }
      case "minuteList": {
        this.timePicker.nextMinute(delta);
        break;
      }
      case "secondsList": {
        this.timePicker.nextSeconds(delta);
        break;
      }
      case "ampmList": {
        this.timePicker.nextAmPm(delta);
        break;
      }
    }
  }
  static {
    this.ɵfac = i0126.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0126, type: _IgxItemListDirective, deps: [{ token: IGX_TIME_PICKER_COMPONENT }, { token: i0126.ElementRef }, { token: HammerGesturesManager }], target: i0126.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0126.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxItemListDirective, isStandalone: true, selector: "[igxItemList]", inputs: { type: ["igxItemList", "type"] }, host: { listeners: { "focus": "onFocus()", "blur": "onBlur()", "keydown.arrowdown": "onKeydownArrowDown($event)", "keydown.arrowup": "onKeydownArrowUp($event)", "keydown.arrowright": "onKeydownArrowRight($event)", "keydown.arrowleft": "onKeydownArrowLeft($event)", "keydown.enter": "onKeydownEnter($event)", "keydown.escape": "onKeydownEscape($event)", "mouseover": "onHover()", "wheel": "onScroll($event)" }, properties: { "attr.tabindex": "this.tabindex", "class.igx-time-picker__column": "this.defaultCSS", "class.igx-time-picker__hourList": "this.hourCSS", "class.igx-time-picker__minuteList": "this.minuteCSS", "class.igx-time-picker__secondsList": "this.secondsCSS", "class.igx-time-picker__ampmList": "this.ampmCSS" } }, providers: [HammerGesturesManager], ngImport: i0126 });
  }
};
i0126.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0126, type: IgxItemListDirective, decorators: [{
  type: Directive59,
  args: [{
    selector: "[igxItemList]",
    providers: [HammerGesturesManager],
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject54,
  args: [IGX_TIME_PICKER_COMPONENT]
}] }, { type: i0126.ElementRef }, { type: HammerGesturesManager }], propDecorators: { tabindex: [{
  type: HostBinding59,
  args: ["attr.tabindex"]
}], type: [{
  type: Input81,
  args: ["igxItemList"]
}], defaultCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__column"]
}], hourCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__hourList"]
}], minuteCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__minuteList"]
}], secondsCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__secondsList"]
}], ampmCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__ampmList"]
}], onFocus: [{
  type: HostListener35,
  args: ["focus"]
}], onBlur: [{
  type: HostListener35,
  args: ["blur"]
}], onKeydownArrowDown: [{
  type: HostListener35,
  args: ["keydown.arrowdown", ["$event"]]
}], onKeydownArrowUp: [{
  type: HostListener35,
  args: ["keydown.arrowup", ["$event"]]
}], onKeydownArrowRight: [{
  type: HostListener35,
  args: ["keydown.arrowright", ["$event"]]
}], onKeydownArrowLeft: [{
  type: HostListener35,
  args: ["keydown.arrowleft", ["$event"]]
}], onKeydownEnter: [{
  type: HostListener35,
  args: ["keydown.enter", ["$event"]]
}], onKeydownEscape: [{
  type: HostListener35,
  args: ["keydown.escape", ["$event"]]
}], onHover: [{
  type: HostListener35,
  args: ["mouseover"]
}], onScroll: [{
  type: HostListener35,
  args: ["wheel", ["$event"]]
}] } });
var IgxTimeItemDirective = class _IgxTimeItemDirective {
  get defaultCSS() {
    return true;
  }
  get selectedCSS() {
    return this.isSelectedTime;
  }
  get activeCSS() {
    return this.isSelectedTime && this.itemList.isActive;
  }
  get isSelectedTime() {
    const currentValue = this.value.length < 2 ? `0${this.value}` : this.value;
    const dateType = this.itemList.type;
    const inputDateParts = DateTimeUtil.parseDateTimeFormat(this.timePicker.inputFormat);
    switch (dateType) {
      case "hourList":
        const hourPart = inputDateParts.find((element) => element.type === "hours");
        return DateTimeUtil.getPartValue(this.timePicker.selectedDate, hourPart, hourPart.format.length) === currentValue;
      case "minuteList":
        const minutePart = inputDateParts.find((element) => element.type === "minutes");
        return DateTimeUtil.getPartValue(this.timePicker.selectedDate, minutePart, minutePart.format.length) === currentValue;
      case "secondsList":
        const secondsPart = inputDateParts.find((element) => element.type === "seconds");
        return DateTimeUtil.getPartValue(this.timePicker.selectedDate, secondsPart, secondsPart.format.length) === currentValue;
      case "ampmList":
        const ampmPart = inputDateParts.find((element) => element.format === "tt");
        return DateTimeUtil.getPartValue(this.timePicker.selectedDate, ampmPart, ampmPart.format.length) === this.value;
    }
  }
  get minValue() {
    const dateType = this.itemList.type;
    const inputDateParts = DateTimeUtil.parseDateTimeFormat(this.timePicker.inputFormat);
    switch (dateType) {
      case "hourList":
        return this.getHourPart(this.timePicker.minDropdownValue);
      case "minuteList":
        if (this.timePicker.selectedDate.getHours() === this.timePicker.minDropdownValue.getHours()) {
          const minutePart = inputDateParts.find((element) => element.type === "minutes");
          return DateTimeUtil.getPartValue(this.timePicker.minDropdownValue, minutePart, minutePart.format.length);
        }
        return "00";
      case "secondsList":
        const date = new Date(this.timePicker.selectedDate);
        const min = new Date(this.timePicker.minDropdownValue);
        date.setSeconds(0);
        min.setSeconds(0);
        if (date.getTime() === min.getTime()) {
          const secondsPart = inputDateParts.find((element) => element.type === "seconds");
          return DateTimeUtil.getPartValue(this.timePicker.minDropdownValue, secondsPart, secondsPart.format.length);
        }
        return "00";
      case "ampmList":
        const ampmPart = inputDateParts.find((element) => element.format === "tt");
        return DateTimeUtil.getPartValue(this.timePicker.minDropdownValue, ampmPart, ampmPart.format.length);
    }
  }
  get maxValue() {
    const dateType = this.itemList.type;
    const inputDateParts = DateTimeUtil.parseDateTimeFormat(this.timePicker.inputFormat);
    switch (dateType) {
      case "hourList":
        return this.getHourPart(this.timePicker.maxDropdownValue);
      case "minuteList":
        if (this.timePicker.selectedDate.getHours() === this.timePicker.maxDropdownValue.getHours()) {
          const minutePart = inputDateParts.find((element) => element.type === "minutes");
          return DateTimeUtil.getPartValue(this.timePicker.maxDropdownValue, minutePart, minutePart.format.length);
        } else {
          const currentTime = new Date(this.timePicker.selectedDate);
          const minDelta = this.timePicker.itemsDelta.minutes;
          const remainder = 60 % minDelta;
          const delta = remainder === 0 ? 60 - minDelta : 60 - remainder;
          currentTime.setMinutes(delta);
          const minutePart = inputDateParts.find((element) => element.type === "minutes");
          return DateTimeUtil.getPartValue(currentTime, minutePart, minutePart.format.length);
        }
      case "secondsList":
        const date = new Date(this.timePicker.selectedDate);
        const max = new Date(this.timePicker.maxDropdownValue);
        date.setSeconds(0);
        max.setSeconds(0);
        if (date.getTime() === max.getTime()) {
          const secondsPart = inputDateParts.find((element) => element.type === "seconds");
          return DateTimeUtil.getPartValue(this.timePicker.maxDropdownValue, secondsPart, secondsPart.format.length);
        } else {
          const secDelta = this.timePicker.itemsDelta.seconds;
          const remainder = 60 % secDelta;
          const delta = remainder === 0 ? 60 - secDelta : 60 - remainder;
          date.setSeconds(delta);
          const secondsPart = inputDateParts.find((element) => element.type === "seconds");
          return DateTimeUtil.getPartValue(date, secondsPart, secondsPart.format.length);
        }
      case "ampmList":
        const ampmPart = inputDateParts.find((element) => element.format === "tt");
        return DateTimeUtil.getPartValue(this.timePicker.maxDropdownValue, ampmPart, ampmPart.format.length);
    }
  }
  get hourValue() {
    return this.getHourPart(this.timePicker.selectedDate);
  }
  constructor(timePicker, itemList) {
    this.timePicker = timePicker;
    this.itemList = itemList;
  }
  onClick(item) {
    if (item !== "") {
      const dateType = this.itemList.type;
      this.timePicker.onItemClick(item, dateType);
    }
  }
  getHourPart(date) {
    const inputDateParts = DateTimeUtil.parseDateTimeFormat(this.timePicker.inputFormat);
    const hourPart = inputDateParts.find((element) => element.type === "hours");
    const ampmPart = inputDateParts.find((element) => element.format === "tt");
    const hour = DateTimeUtil.getPartValue(date, hourPart, hourPart.format.length);
    if (ampmPart) {
      const ampm = DateTimeUtil.getPartValue(date, ampmPart, ampmPart.format.length);
      return `${hour} ${ampm}`;
    }
    return hour;
  }
  static {
    this.ɵfac = i0126.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0126, type: _IgxTimeItemDirective, deps: [{ token: IGX_TIME_PICKER_COMPONENT }, { token: IgxItemListDirective }], target: i0126.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0126.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTimeItemDirective, isStandalone: true, selector: "[igxTimeItem]", inputs: { value: ["igxTimeItem", "value"] }, host: { listeners: { "click": "onClick(value)" }, properties: { "class.igx-time-picker__item": "this.defaultCSS", "class.igx-time-picker__item--selected": "this.selectedCSS", "class.igx-time-picker__item--active": "this.activeCSS" } }, exportAs: ["timeItem"], ngImport: i0126 });
  }
};
i0126.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0126, type: IgxTimeItemDirective, decorators: [{
  type: Directive59,
  args: [{
    selector: "[igxTimeItem]",
    exportAs: "timeItem",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject54,
  args: [IGX_TIME_PICKER_COMPONENT]
}] }, { type: IgxItemListDirective }], propDecorators: { value: [{
  type: Input81,
  args: ["igxTimeItem"]
}], defaultCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__item"]
}], selectedCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__item--selected"]
}], activeCSS: [{
  type: HostBinding59,
  args: ["class.igx-time-picker__item--active"]
}], onClick: [{
  type: HostListener35,
  args: ["click", ["value"]]
}] } });

// lib/core/i18n/time-picker-resources.mjs
var TimePickerResourceStringsEN = {
  igx_time_picker_ok: "OK",
  igx_time_picker_cancel: "Cancel",
  igx_time_picker_change_time: "Change Time",
  igx_time_picker_choose_time: "Choose Time"
};

// lib/time-picker/time-picker.pipes.mjs
import { Pipe as Pipe5, Inject as Inject55 } from "@angular/core";
import { DatePipe as DatePipe5 } from "@angular/common";
import * as i0127 from "@angular/core";
var ITEMS_COUNT = 7;
var TimeFormatPipe = class _TimeFormatPipe {
  constructor(timePicker) {
    this.timePicker = timePicker;
  }
  transform(value) {
    const format = this.timePicker.inputFormat.replace("tt", "aa");
    const datePipe = new DatePipe5(this.timePicker.locale);
    return datePipe.transform(value, format);
  }
  static {
    this.ɵfac = i0127.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: _TimeFormatPipe, deps: [{ token: IGX_TIME_PICKER_COMPONENT }], target: i0127.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0127.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: _TimeFormatPipe, isStandalone: true, name: "timeFormatPipe" });
  }
};
i0127.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: TimeFormatPipe, decorators: [{
  type: Pipe5,
  args: [{
    name: "timeFormatPipe",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject55,
  args: [IGX_TIME_PICKER_COMPONENT]
}] }] });
var TimeItemPipe = class _TimeItemPipe {
  constructor(timePicker) {
    this.timePicker = timePicker;
  }
  transform(_collection, timePart, selectedDate, min, max) {
    let list;
    let part;
    switch (timePart) {
      case "hour":
        list = this.generateHours(min, max);
        const hours = this.timePicker.isTwelveHourFormat ? this.toTwelveHourFormat(selectedDate.getHours()) : selectedDate.getHours();
        list = this.scrollListItem(hours, list);
        part = DatePart.Hours;
        break;
      case "minutes":
        list = this.generateMinutes(selectedDate, min, max);
        list = this.scrollListItem(selectedDate.getMinutes(), list);
        part = DatePart.Minutes;
        break;
      case "seconds":
        list = this.generateSeconds(selectedDate, min, max);
        list = this.scrollListItem(selectedDate.getSeconds(), list);
        part = DatePart.Seconds;
        break;
      case "ampm":
        list = this.generateAmPm(min, max);
        const selectedAmPm = this.timePicker.getPartValue(selectedDate, "ampm");
        list = this.scrollListItem(selectedAmPm, list);
        part = DatePart.AmPm;
        break;
    }
    return this.getListView(list, part);
  }
  getListView(view, dateType) {
    for (let i = 0; i < view.length; i++) {
      view[i] = this.getItemView(view[i], dateType);
    }
    return view;
  }
  getItemView(item, dateType) {
    if (item === null) {
      item = "";
    } else if (dateType && typeof item !== "string") {
      const leadZeroHour = item < 10 && (this.timePicker.inputFormat.indexOf("hh") !== -1 || this.timePicker.inputFormat.indexOf("HH") !== -1);
      const leadZeroMinute = item < 10 && this.timePicker.inputFormat.indexOf("mm") !== -1;
      const leadZeroSeconds = item < 10 && this.timePicker.inputFormat.indexOf("ss") !== -1;
      const leadZero = {
        hours: leadZeroHour,
        minutes: leadZeroMinute,
        seconds: leadZeroSeconds
      }[dateType];
      item = leadZero ? "0" + item : `${item}`;
    }
    return item;
  }
  scrollListItem(item, items) {
    const itemsCount = items.length;
    let view;
    if (items) {
      const index = items.indexOf(item);
      if (index < 3) {
        view = items.slice(itemsCount - (3 - index), itemsCount);
        view = view.concat(items.slice(0, index + 4));
      } else if (index + 4 > itemsCount) {
        view = items.slice(index - 3, itemsCount);
        view = view.concat(items.slice(0, index + 4 - itemsCount));
      } else {
        view = items.slice(index - 3, index + 4);
      }
    }
    return view;
  }
  generateHours(min, max) {
    const hourItems = [];
    let hoursCount = this.timePicker.isTwelveHourFormat ? 13 : 24;
    hoursCount /= this.timePicker.itemsDelta.hours;
    const minHours = min.getHours();
    const maxHours = max.getHours();
    if (hoursCount > 1) {
      for (let hourIndex = 0; hourIndex < 24; hourIndex++) {
        let hours = hourIndex * this.timePicker.itemsDelta.hours;
        if (hours >= minHours && hours <= maxHours) {
          hours = this.timePicker.isTwelveHourFormat ? this.toTwelveHourFormat(hours) : hours;
          if (!hourItems.find((element) => element === hours)) {
            hourItems.push(hours);
          }
        }
      }
    } else {
      hourItems.push(0);
    }
    if (hourItems.length < ITEMS_COUNT || hoursCount < ITEMS_COUNT || !this.timePicker.spinLoop) {
      const index = !this.timePicker.spinLoop || hourItems.length < ITEMS_COUNT && hoursCount < ITEMS_COUNT ? 6 : 3;
      for (let i = 0; i < index; i++) {
        hourItems.push(null);
      }
    }
    return hourItems;
  }
  generateMinutes(time, min, max) {
    const minuteItems = [];
    const minuteItemsCount = 60 / this.timePicker.itemsDelta.minutes;
    time = new Date(time);
    for (let i = 0; i < minuteItemsCount; i++) {
      const minutes = i * this.timePicker.itemsDelta.minutes;
      time.setMinutes(minutes);
      if (time >= min && time <= max) {
        minuteItems.push(i * this.timePicker.itemsDelta.minutes);
      }
    }
    if (minuteItems.length < ITEMS_COUNT || minuteItemsCount < ITEMS_COUNT || !this.timePicker.spinLoop) {
      const index = !this.timePicker.spinLoop || minuteItems.length < ITEMS_COUNT && minuteItemsCount < ITEMS_COUNT ? 6 : 3;
      for (let i = 0; i < index; i++) {
        minuteItems.push(null);
      }
    }
    return minuteItems;
  }
  generateSeconds(time, min, max) {
    const secondsItems = [];
    const secondsItemsCount = 60 / this.timePicker.itemsDelta.seconds;
    time = new Date(time);
    for (let i = 0; i < secondsItemsCount; i++) {
      const seconds = i * this.timePicker.itemsDelta.seconds;
      time.setSeconds(seconds);
      if (time.getTime() >= min.getTime() && time.getTime() <= max.getTime()) {
        secondsItems.push(i * this.timePicker.itemsDelta.seconds);
      }
    }
    if (secondsItems.length < ITEMS_COUNT || secondsItemsCount < ITEMS_COUNT || !this.timePicker.spinLoop) {
      const index = !this.timePicker.spinLoop || secondsItems.length < ITEMS_COUNT && secondsItemsCount < ITEMS_COUNT ? 6 : 3;
      for (let i = 0; i < index; i++) {
        secondsItems.push(null);
      }
    }
    return secondsItems;
  }
  generateAmPm(min, max) {
    const ampmItems = [];
    const minHour = min.getHours();
    const maxHour = max.getHours();
    if (minHour < 12) {
      ampmItems.push("AM");
    }
    if (minHour >= 12 || maxHour >= 12) {
      ampmItems.push("PM");
    }
    for (let i = 0; i < 5; i++) {
      ampmItems.push(null);
    }
    return ampmItems;
  }
  toTwelveHourFormat(hour) {
    if (hour > 12) {
      hour -= 12;
    } else if (hour === 0) {
      hour = 12;
    }
    return hour;
  }
  static {
    this.ɵfac = i0127.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: _TimeItemPipe, deps: [{ token: IGX_TIME_PICKER_COMPONENT }], target: i0127.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0127.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: _TimeItemPipe, isStandalone: true, name: "timeItemPipe" });
  }
};
i0127.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0127, type: TimeItemPipe, decorators: [{
  type: Pipe5,
  args: [{
    name: "timeItemPipe",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject55,
  args: [IGX_TIME_PICKER_COMPONENT]
}] }] });

// lib/time-picker/time-picker.component.mjs
import { NgIf as NgIf26, NgClass as NgClass5, NgFor as NgFor9, NgTemplateOutlet as NgTemplateOutlet13 } from "@angular/common";
import { Component as Component50, EventEmitter as EventEmitter55, HostBinding as HostBinding60, Input as Input82, Output as Output45, ViewChild as ViewChild26, ContentChild as ContentChild12, Inject as Inject56, LOCALE_ID as LOCALE_ID6, Optional as Optional32, ContentChildren as ContentChildren17, HostListener as HostListener36, booleanAttribute as booleanAttribute55 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR15, NgControl as NgControl8, NG_VALIDATORS as NG_VALIDATORS5 } from "@angular/forms";
import { noop as noop11, fromEvent as fromEvent8 } from "rxjs";
import { takeUntil as takeUntil28 } from "rxjs/operators";
import * as i0128 from "@angular/core";
var NEXT_ID21 = 0;
var IgxTimePickerComponent = class _IgxTimePickerComponent extends PickerBaseDirective {
  /**
   * The minimum value the picker will accept.
   *
   * @remarks
   * If a `string` value is passed in, it must be in ISO format.
   *
   * @example
   * ```html
   * <igx-time-picker [minValue]="18:00:00"></igx-time-picker>
   * ```
   */
  set minValue(value) {
    this._minValue = value;
    const date = this.parseToDate(value);
    if (date) {
      this._dateMinValue = /* @__PURE__ */ new Date();
      this._dateMinValue.setHours(date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds());
      this.minDropdownValue = this.setMinMaxDropdownValue("min", this._dateMinValue);
    }
    this.setSelectedValue(this._selectedDate);
    this._onValidatorChange();
  }
  get minValue() {
    return this._minValue;
  }
  /**
   * Gets if the dropdown/dialog is collapsed
   *
   * ```typescript
   * let isCollapsed = this.timePicker.collapsed;
   * ```
   */
  get collapsed() {
    return this.toggleRef?.collapsed;
  }
  /**
   * The maximum value the picker will accept.
   *
   * @remarks
   * If a `string` value is passed in, it must be in ISO format.
   *
   * @example
   * ```html
   * <igx-time-picker [maxValue]="20:30:00"></igx-time-picker>
   * ```
   */
  set maxValue(value) {
    this._maxValue = value;
    const date = this.parseToDate(value);
    if (date) {
      this._dateMaxValue = /* @__PURE__ */ new Date();
      this._dateMaxValue.setHours(date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds());
      this.maxDropdownValue = this.setMinMaxDropdownValue("max", this._dateMaxValue);
    }
    this.setSelectedValue(this._selectedDate);
    this._onValidatorChange();
  }
  get maxValue() {
    return this._maxValue;
  }
  /** @hidden */
  get showClearButton() {
    if (this.clearComponents.length) {
      return false;
    }
    if (DateTimeUtil.isValidDate(this.value)) {
      return this.value.getHours() !== 0 || this.value.getMinutes() !== 0 || this.value.getSeconds() !== 0;
    }
    return !!this.dateTimeEditor.value;
  }
  /** @hidden */
  get showHoursList() {
    return this.inputFormat.indexOf("h") !== -1 || this.inputFormat.indexOf("H") !== -1;
  }
  /** @hidden */
  get showMinutesList() {
    return this.inputFormat.indexOf("m") !== -1;
  }
  /** @hidden */
  get showSecondsList() {
    return this.inputFormat.indexOf("s") !== -1;
  }
  /** @hidden */
  get showAmPmList() {
    return this.inputFormat.indexOf("t") !== -1 || this.inputFormat.indexOf("a") !== -1;
  }
  /** @hidden */
  get isTwelveHourFormat() {
    return this.inputFormat.indexOf("h") !== -1;
  }
  /** @hidden @internal */
  get isVertical() {
    return this.headerOrientation === PickerHeaderOrientation.Vertical;
  }
  /** @hidden @internal */
  get selectedDate() {
    return this._selectedDate;
  }
  /** @hidden @internal */
  get minDateValue() {
    if (!this._dateMinValue) {
      const minDate = /* @__PURE__ */ new Date();
      minDate.setHours(0, 0, 0, 0);
      return minDate;
    }
    return this._dateMinValue;
  }
  /** @hidden @internal */
  get maxDateValue() {
    if (!this._dateMaxValue) {
      const maxDate = /* @__PURE__ */ new Date();
      maxDate.setHours(23, 59, 59, 999);
      return maxDate;
    }
    return this._dateMaxValue;
  }
  get required() {
    if (this._ngControl && this._ngControl.control && this._ngControl.control.validator) {
      const error = this._ngControl.control.validator({});
      return !!(error && error.required);
    }
    return false;
  }
  get dialogOverlaySettings() {
    return Object.assign({}, this._defaultDialogOverlaySettings, this.overlaySettings);
  }
  get dropDownOverlaySettings() {
    return Object.assign({}, this._defaultDropDownOverlaySettings, this.overlaySettings);
  }
  /**
   * The currently selected value / time from the drop-down/dialog
   *
   * @remarks
   * The current value is of type `Date`
   *
   * @example
   * ```typescript
   * const newValue: Date = new Date(2000, 2, 2, 10, 15, 15);
   * this.timePicker.value = newValue;
   * ```
   */
  get value() {
    return this._value;
  }
  /**
   * An accessor that allows you to set a time using the `value` input.
   * ```html
   * public date: Date = new Date(Date.now());
   *  //...
   * <igx-time-picker [value]="date" format="h:mm tt"></igx-time-picker>
   * ```
   */
  set value(value) {
    const oldValue = this._value;
    this._value = value;
    const date = this.parseToDate(value);
    if (date) {
      this._dateValue = /* @__PURE__ */ new Date();
      this._dateValue.setHours(date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds());
      this.setSelectedValue(this._dateValue);
    } else {
      this._dateValue = null;
      this.setSelectedValue(null);
    }
    if (this.dateTimeEditor) {
      this.dateTimeEditor.value = date;
    }
    this.emitValueChange(oldValue, this._value);
    this._onChangeCallback(this._value);
  }
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Overrides the default text of the **OK** button.
   *
   * @remarks
   * Defaults to the value from resource strings, `"OK"` for the built-in EN.
   *
   * ```html
   * <igx-time-picker okButtonLabel="SET" [value]="date" format="h:mm tt"></igx-time-picker>
   * ```
   */
  set okButtonLabel(value) {
    this._okButtonLabel = value;
  }
  /**
   * An accessor that returns the label of ok button.
   */
  get okButtonLabel() {
    if (this._okButtonLabel === null) {
      return this.resourceStrings.igx_time_picker_ok;
    }
    return this._okButtonLabel;
  }
  /**
   * Overrides the default text of the **Cancel** button.
   * @remarks
   * Defaults to the value from resource strings, `"Cancel"` for the built-in EN.
   * ```html
   * <igx-time-picker cancelButtonLabel="Exit" [value]="date" format="h:mm tt"></igx-time-picker>
   * ```
   */
  set cancelButtonLabel(value) {
    this._cancelButtonLabel = value;
  }
  /**
   * An accessor that returns the label of cancel button.
   */
  get cancelButtonLabel() {
    if (this._cancelButtonLabel === null) {
      return this.resourceStrings.igx_time_picker_cancel;
    }
    return this._cancelButtonLabel;
  }
  /**
   * Delta values used to increment or decrement each editor date part on spin actions and
   * to display time portions in the dropdown/dialog.
   * By default `itemsDelta` is set to `{hour: 1, minute: 1, second: 1}`
   * ```html
   * <igx-time-picker [itemsDelta]="{hour:3, minute:5, second:10}" id="time-picker"></igx-time-picker>
   * ```
   */
  set itemsDelta(value) {
    Object.assign(this._itemsDelta, value);
  }
  get itemsDelta() {
    return this._itemsDelta;
  }
  constructor(element, _localeId, _displayDensityOptions, _inputGroupType, _injector, platform, cdr) {
    super(element, _localeId, _displayDensityOptions, _inputGroupType);
    this._injector = _injector;
    this.platform = platform;
    this.cdr = cdr;
    this.id = `igx-time-picker-${NEXT_ID21++}`;
    this.inputFormat = DateTimeUtil.DEFAULT_TIME_INPUT_FORMAT;
    this.mode = PickerInteractionMode.DropDown;
    this.spinLoop = true;
    this.headerOrientation = PickerHeaderOrientation.Horizontal;
    this.readOnly = false;
    this.selected = new EventEmitter55();
    this.valueChange = new EventEmitter55();
    this.validationFailed = new EventEmitter55();
    this.cleared = false;
    this.isNotEmpty = false;
    this.displayValue = { transform: (date) => this.formatter(date) };
    this.hourItems = [];
    this.minuteItems = [];
    this.secondsItems = [];
    this.ampmItems = [];
    this._resourceStrings = getCurrentResourceStrings(TimePickerResourceStringsEN);
    this._okButtonLabel = null;
    this._cancelButtonLabel = null;
    this._itemsDelta = { hours: 1, minutes: 1, seconds: 1 };
    this._ngControl = null;
    this._onChangeCallback = noop11;
    this._onTouchedCallback = noop11;
    this._onValidatorChange = noop11;
    this._defaultDialogOverlaySettings = {
      closeOnOutsideClick: true,
      modal: true,
      closeOnEscape: true,
      outlet: this.outlet
    };
    this._defaultDropDownOverlaySettings = {
      target: this.element.nativeElement,
      modal: false,
      closeOnOutsideClick: true,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new AutoPositionStrategy(),
      outlet: this.outlet
    };
    this.locale = this.locale || this._localeId;
  }
  /** @hidden @internal */
  onKeyDown(event) {
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_UP:
        if (event.altKey && this.isDropdown) {
          this.close();
        }
        break;
      case this.platform.KEYMAP.ARROW_DOWN:
        if (event.altKey && this.isDropdown) {
          this.open();
        }
        break;
      case this.platform.KEYMAP.ESCAPE:
        this.cancelButtonClick();
        break;
      case this.platform.KEYMAP.SPACE:
        this.open();
        event.preventDefault();
        break;
    }
  }
  /** @hidden @internal */
  getPartValue(value, type) {
    const inputDateParts = DateTimeUtil.parseDateTimeFormat(this.inputFormat);
    const part = inputDateParts.find((element) => element.type === type);
    return DateTimeUtil.getPartValue(value, part, part.format.length);
  }
  /** @hidden @internal */
  toISOString(value) {
    return value.toLocaleTimeString("en-GB", {
      hour: "2-digit",
      minute: "2-digit",
      second: "2-digit"
    });
  }
  // #region ControlValueAccessor
  /** @hidden @internal */
  writeValue(value) {
    this._value = value;
    const date = this.parseToDate(value);
    if (date) {
      this._dateValue = /* @__PURE__ */ new Date();
      this._dateValue.setHours(date.getHours(), date.getMinutes(), date.getSeconds());
      this.setSelectedValue(this._dateValue);
    } else {
      this.setSelectedValue(null);
    }
    if (this.dateTimeEditor) {
      this.dateTimeEditor.value = date;
    }
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden @internal */
  registerOnValidatorChange(fn) {
    this._onValidatorChange = fn;
  }
  /** @hidden @internal */
  validate(control) {
    if (!control.value) {
      return null;
    }
    if (isDate(control.value) && !DateTimeUtil.isValidDate(control.value)) {
      return { value: true };
    }
    const errors = {};
    const value = DateTimeUtil.isValidDate(control.value) ? control.value : DateTimeUtil.parseIsoDate(control.value);
    Object.assign(errors, DateTimeUtil.validateMinMax(value, this.minValue, this.maxValue, true, false));
    return Object.keys(errors).length > 0 ? errors : null;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  //#endregion
  /** @hidden */
  ngOnInit() {
    this._ngControl = this._injector.get(NgControl8, null);
    this.minDropdownValue = this.setMinMaxDropdownValue("min", this.minDateValue);
    this.maxDropdownValue = this.setMinMaxDropdownValue("max", this.maxDateValue);
    this.setSelectedValue(this._dateValue);
    super.ngOnInit();
  }
  /** @hidden */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.subscribeToDateEditorEvents();
    this.subscribeToToggleDirectiveEvents();
    this._defaultDropDownOverlaySettings.excludeFromOutsideClick = [this._inputGroup.element.nativeElement];
    fromEvent8(this.inputDirective.nativeElement, "blur").pipe(takeUntil28(this._destroy$)).subscribe(() => {
      if (this.collapsed) {
        this.updateValidityOnBlur();
      }
    });
    this.subToIconsClicked(this.clearComponents, () => this.clear());
    this.clearComponents.changes.pipe(takeUntil28(this._destroy$)).subscribe(() => this.subToIconsClicked(this.clearComponents, () => this.clear()));
    if (this._ngControl) {
      this._statusChanges$ = this._ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
      this._inputGroup.isRequired = this.required;
      this.cdr.detectChanges();
    }
  }
  /** @hidden */
  ngOnDestroy() {
    super.ngOnDestroy();
    if (this._statusChanges$) {
      this._statusChanges$.unsubscribe();
    }
  }
  /** @hidden */
  getEditElement() {
    return this.dateTimeEditor.nativeElement;
  }
  /**
   * Opens the picker's dialog UI.
   *
   * @param settings OverlaySettings - the overlay settings to use for positioning the drop down or dialog container according to
   * ```html
   * <igx-time-picker #picker [value]="date"></igx-time-picker>
   * <button type="button" igxButton (click)="picker.open()">Open Dialog</button>
   * ```
   */
  open(settings) {
    if (this.disabled || !this.toggleRef.collapsed) {
      return;
    }
    this.setSelectedValue(this._dateValue);
    const overlaySettings = Object.assign({}, this.isDropdown ? this.dropDownOverlaySettings : this.dialogOverlaySettings, settings);
    this.toggleRef.open(overlaySettings);
  }
  /**
   * Closes the dropdown/dialog.
   * ```html
   * <igx-time-picker #timePicker></igx-time-picker>
   * ```
   * ```typescript
   * @ViewChild('timePicker', { read: IgxTimePickerComponent }) picker: IgxTimePickerComponent;
   * picker.close();
   * ```
   */
  close() {
    this.toggleRef.close();
  }
  toggle(settings) {
    if (this.toggleRef.collapsed) {
      this.open(settings);
    } else {
      this.close();
    }
  }
  /**
   * Clears the time picker value if it is a `string` or resets the time to `00:00:00` if the value is a Date object.
   *
   * @example
   * ```typescript
   * this.timePicker.clear();
   * ```
   */
  clear() {
    if (this.disabled) {
      return;
    }
    if (!this.toggleRef.collapsed) {
      this.close();
    }
    if (DateTimeUtil.isValidDate(this.value)) {
      const oldValue = new Date(this.value);
      this.value.setHours(0, 0, 0);
      if (this.value.getTime() !== oldValue.getTime()) {
        this.emitValueChange(oldValue, this.value);
        this._dateValue.setHours(0, 0, 0);
        this.dateTimeEditor.value = new Date(this.value);
        this.setSelectedValue(this._dateValue);
      }
    } else {
      this.value = null;
    }
  }
  /**
   * Selects time from the igxTimePicker.
   *
   * @example
   * ```typescript
   * this.timePicker.select(date);
   *
   * @param date Date object containing the time to be selected.
   */
  select(date) {
    this.value = date;
  }
  /**
   * Increment a specified `DatePart`.
   *
   * @param datePart The optional DatePart to increment. Defaults to Hour.
   * @param delta The optional delta to increment by. Overrides `itemsDelta`.
   * @example
   * ```typescript
   * this.timePicker.increment(DatePart.Hours);
   * ```
   */
  increment(datePart, delta) {
    this.dateTimeEditor.increment(datePart, delta);
  }
  /**
   * Decrement a specified `DatePart`
   *
   * @param datePart The optional DatePart to decrement. Defaults to Hour.
   * @param delta The optional delta to decrement by. Overrides `itemsDelta`.
   * @example
   * ```typescript
   * this.timePicker.decrement(DatePart.Seconds);
   * ```
   */
  decrement(datePart, delta) {
    this.dateTimeEditor.decrement(datePart, delta);
  }
  /** @hidden @internal */
  cancelButtonClick() {
    this.setSelectedValue(this._dateValue);
    this.dateTimeEditor.value = this.parseToDate(this.value);
    this.close();
  }
  /** @hidden @internal */
  okButtonClick() {
    this.updateValue(this._selectedDate);
    this.close();
  }
  /** @hidden @internal */
  onItemClick(item, dateType) {
    let date = new Date(this._selectedDate);
    switch (dateType) {
      case "hourList": {
        let ampm;
        const selectedHour = parseInt(item, 10);
        let hours = selectedHour;
        if (this.showAmPmList) {
          ampm = this.getPartValue(date, "ampm");
          hours = this.toTwentyFourHourFormat(hours, ampm);
          const minHours = this.minDropdownValue?.getHours() || 0;
          const maxHours = this.maxDropdownValue?.getHours() || 24;
          if (hours < minHours || hours > maxHours) {
            hours = hours < 12 ? hours + 12 : hours - 12;
          }
        }
        date.setHours(hours);
        date = this.validateDropdownValue(date);
        if (this.valueInRange(date, this.minDropdownValue, this.maxDropdownValue)) {
          this.setSelectedValue(date);
        }
        break;
      }
      case "minuteList": {
        const minutes = parseInt(item, 10);
        date.setMinutes(minutes);
        date = this.validateDropdownValue(date);
        this.setSelectedValue(date);
        break;
      }
      case "secondsList": {
        const seconds = parseInt(item, 10);
        date.setSeconds(seconds);
        if (this.valueInRange(date, this.minDropdownValue, this.maxDropdownValue)) {
          this.setSelectedValue(date);
        }
        break;
      }
      case "ampmList": {
        let hour = this._selectedDate.getHours();
        hour = item === "AM" ? hour - 12 : hour + 12;
        date.setHours(hour);
        date = this.validateDropdownValue(date, true);
        this.setSelectedValue(date);
        break;
      }
    }
    this.updateEditorValue();
  }
  /** @hidden @internal */
  nextHour(delta) {
    delta = delta > 0 ? 1 : -1;
    const previousDate = new Date(this._selectedDate);
    const minHours = this.minDropdownValue?.getHours();
    const maxHours = this.maxDropdownValue?.getHours();
    const previousHours = previousDate.getHours();
    let hours = previousHours + delta * this.itemsDelta.hours;
    if (previousHours === maxHours && delta > 0 || previousHours === minHours && delta < 0) {
      hours = !this.spinLoop ? previousHours : delta > 0 ? minHours : maxHours;
    }
    this._selectedDate.setHours(hours);
    this._selectedDate = this.validateDropdownValue(this._selectedDate);
    this._selectedDate = new Date(this._selectedDate);
    this.updateEditorValue();
  }
  /** @hidden @internal */
  nextMinute(delta) {
    delta = delta > 0 ? 1 : -1;
    const minHours = this.minDropdownValue.getHours();
    const maxHours = this.maxDropdownValue.getHours();
    const hours = this._selectedDate.getHours();
    let minutes = this._selectedDate.getMinutes();
    const minMinutes = hours === minHours ? this.minDropdownValue.getMinutes() : 0;
    const maxMinutes = hours === maxHours ? this.maxDropdownValue.getMinutes() : 60 % this.itemsDelta.minutes > 0 ? 60 - 60 % this.itemsDelta.minutes : 60 - this.itemsDelta.minutes;
    if (delta < 0 && minutes === minMinutes || delta > 0 && minutes === maxMinutes) {
      minutes = this.spinLoop && minutes === minMinutes ? maxMinutes : this.spinLoop && minutes === maxMinutes ? minMinutes : minutes;
    } else {
      minutes = minutes + delta * this.itemsDelta.minutes;
    }
    this._selectedDate.setMinutes(minutes);
    this._selectedDate = this.validateDropdownValue(this._selectedDate);
    this._selectedDate = new Date(this._selectedDate);
    this.updateEditorValue();
  }
  /** @hidden @internal */
  nextSeconds(delta) {
    delta = delta > 0 ? 1 : -1;
    const minHours = this.minDropdownValue.getHours();
    const maxHours = this.maxDropdownValue.getHours();
    const hours = this._selectedDate.getHours();
    const minutes = this._selectedDate.getMinutes();
    const minMinutes = this.minDropdownValue.getMinutes();
    const maxMinutes = this.maxDropdownValue.getMinutes();
    let seconds = this._selectedDate.getSeconds();
    const minSeconds = hours === minHours && minutes === minMinutes ? this.minDropdownValue.getSeconds() : 0;
    const maxSeconds = hours === maxHours && minutes === maxMinutes ? this.maxDropdownValue.getSeconds() : 60 % this.itemsDelta.seconds > 0 ? 60 - 60 % this.itemsDelta.seconds : 60 - this.itemsDelta.seconds;
    if (delta < 0 && seconds === minSeconds || delta > 0 && seconds === maxSeconds) {
      seconds = this.spinLoop && seconds === minSeconds ? maxSeconds : this.spinLoop && seconds === maxSeconds ? minSeconds : seconds;
    } else {
      seconds = seconds + delta * this.itemsDelta.seconds;
    }
    this._selectedDate.setSeconds(seconds);
    this._selectedDate = this.validateDropdownValue(this._selectedDate);
    this._selectedDate = new Date(this._selectedDate);
    this.updateEditorValue();
  }
  /** @hidden @internal */
  nextAmPm(delta) {
    const ampm = this.getPartValue(this._selectedDate, "ampm");
    if (!delta || ampm === "AM" && delta > 0 || ampm === "PM" && delta < 0) {
      let hours = this._selectedDate.getHours();
      const sign = hours < 12 ? 1 : -1;
      hours = hours + sign * 12;
      this._selectedDate.setHours(hours);
      this._selectedDate = this.validateDropdownValue(this._selectedDate, true);
      this._selectedDate = new Date(this._selectedDate);
      this.updateEditorValue();
    }
  }
  /** @hidden @internal */
  setSelectedValue(value) {
    this._selectedDate = value ? new Date(value) : null;
    if (!DateTimeUtil.isValidDate(this._selectedDate)) {
      this._selectedDate = new Date(this.minDropdownValue);
      return;
    }
    if (this.minValue && DateTimeUtil.lessThanMinValue(this._selectedDate, this.minDropdownValue, true, false)) {
      this._selectedDate = new Date(this.minDropdownValue);
      return;
    }
    if (this.maxValue && DateTimeUtil.greaterThanMaxValue(this._selectedDate, this.maxDropdownValue, true, false)) {
      this._selectedDate = new Date(this.maxDropdownValue);
      return;
    }
    if (this._selectedDate.getHours() % this.itemsDelta.hours > 0) {
      this._selectedDate.setHours(this._selectedDate.getHours() + this.itemsDelta.hours - this._selectedDate.getHours() % this.itemsDelta.hours, 0, 0);
    }
    if (this._selectedDate.getMinutes() % this.itemsDelta.minutes > 0) {
      this._selectedDate.setHours(this._selectedDate.getHours(), this._selectedDate.getMinutes() + this.itemsDelta.minutes - this._selectedDate.getMinutes() % this.itemsDelta.minutes, 0);
    }
    if (this._selectedDate.getSeconds() % this.itemsDelta.seconds > 0) {
      this._selectedDate.setSeconds(this._selectedDate.getSeconds() + this.itemsDelta.seconds - this._selectedDate.getSeconds() % this.itemsDelta.seconds);
    }
  }
  onStatusChanged() {
    if (this._ngControl && !this._ngControl.disabled && this.isTouchedOrDirty) {
      if (this.hasValidators && this._inputGroup.isFocused) {
        this.inputDirective.valid = this._ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
      } else {
        this.inputDirective.valid = this._ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
      }
    } else {
      this.inputDirective.valid = IgxInputState.INITIAL;
    }
    if (this._inputGroup && this._inputGroup.isRequired !== this.required) {
      this._inputGroup.isRequired = this.required;
    }
  }
  get isTouchedOrDirty() {
    return this._ngControl.control.touched || this._ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this._ngControl.control.validator || !!this._ngControl.control.asyncValidator;
  }
  setMinMaxDropdownValue(type, time) {
    let delta;
    const sign = type === "min" ? 1 : -1;
    const hours = time.getHours();
    let minutes = time.getMinutes();
    let seconds = time.getSeconds();
    if (this.showHoursList && hours % this.itemsDelta.hours > 0) {
      delta = type === "min" ? this.itemsDelta.hours - hours % this.itemsDelta.hours : hours % this.itemsDelta.hours;
      minutes = type === "min" ? 0 : 60 % this.itemsDelta.minutes > 0 ? 60 - 60 % this.itemsDelta.minutes : 60 - this.itemsDelta.minutes;
      seconds = type === "min" ? 0 : 60 % this.itemsDelta.seconds > 0 ? 60 - 60 % this.itemsDelta.seconds : 60 - this.itemsDelta.seconds;
      time.setHours(hours + sign * delta, minutes, seconds);
    } else if (this.showMinutesList && minutes % this.itemsDelta.minutes > 0) {
      delta = type === "min" ? this.itemsDelta.minutes - minutes % this.itemsDelta.minutes : minutes % this.itemsDelta.minutes;
      seconds = type === "min" ? 0 : 60 % this.itemsDelta.seconds > 0 ? 60 - 60 % this.itemsDelta.seconds : 60 - this.itemsDelta.seconds;
      time.setHours(hours, minutes + sign * delta, seconds);
    } else if (this.showSecondsList && seconds % this.itemsDelta.seconds > 0) {
      delta = type === "min" ? this.itemsDelta.seconds - seconds % this.itemsDelta.seconds : seconds % this.itemsDelta.seconds;
      time.setHours(hours, minutes, seconds + sign * delta);
    }
    return time;
  }
  initializeContainer() {
    requestAnimationFrame(() => {
      if (this.hourList) {
        this.hourList.nativeElement.focus();
      } else if (this.minuteList) {
        this.minuteList.nativeElement.focus();
      } else if (this.secondsList) {
        this.secondsList.nativeElement.focus();
      }
    });
  }
  validateDropdownValue(date, isAmPm = false) {
    if (date > this.maxDropdownValue) {
      if (isAmPm && date.getHours() !== this.maxDropdownValue.getHours()) {
        date.setHours(12);
      } else {
        date = new Date(this.maxDropdownValue);
      }
    }
    if (date < this.minDropdownValue) {
      date = new Date(this.minDropdownValue);
    }
    return date;
  }
  emitValueChange(oldValue, newValue) {
    if (!isEqual(oldValue, newValue)) {
      this.valueChange.emit(newValue);
    }
  }
  emitValidationFailedEvent(previousValue) {
    const args = {
      owner: this,
      previousValue,
      currentValue: this.value
    };
    this.validationFailed.emit(args);
  }
  updateValidityOnBlur() {
    this._onTouchedCallback();
    if (this._ngControl) {
      if (!this._ngControl.valid) {
        this.inputDirective.valid = IgxInputState.INVALID;
      } else {
        this.inputDirective.valid = IgxInputState.INITIAL;
      }
    }
  }
  valueInRange(value, minValue, maxValue) {
    if (minValue && DateTimeUtil.lessThanMinValue(value, minValue, true, false)) {
      return false;
    }
    if (maxValue && DateTimeUtil.greaterThanMaxValue(value, maxValue, true, false)) {
      return false;
    }
    return true;
  }
  parseToDate(value) {
    return DateTimeUtil.isValidDate(value) ? value : DateTimeUtil.parseIsoDate(value);
  }
  toTwentyFourHourFormat(hour, ampm) {
    if (ampm === "PM" && hour < 12) {
      hour += 12;
    } else if (ampm === "AM" && hour === 12) {
      hour = 0;
    }
    return hour;
  }
  updateValue(newValue) {
    if (!this.value) {
      this.value = newValue ? new Date(newValue) : newValue;
    } else if (isDate(this.value)) {
      const date = new Date(this.value);
      date.setHours(newValue?.getHours() || 0, newValue?.getMinutes() || 0, newValue?.getSeconds() || 0);
      this.value = date;
    } else {
      this.value = newValue ? this.toISOString(newValue) : newValue;
    }
  }
  updateEditorValue() {
    const date = this.dateTimeEditor.value ? new Date(this.dateTimeEditor.value) : /* @__PURE__ */ new Date();
    date.setHours(this._selectedDate.getHours(), this._selectedDate.getMinutes(), this._selectedDate.getSeconds());
    this.dateTimeEditor.value = date;
  }
  subscribeToDateEditorEvents() {
    this.dateTimeEditor.valueChange.pipe(
      // internal date editor directive is only used w/ Date object values:
      takeUntil28(this._destroy$)
    ).subscribe((date) => {
      this.updateValue(date);
    });
    this.dateTimeEditor.validationFailed.pipe(takeUntil28(this._destroy$)).subscribe((event) => {
      this.emitValidationFailedEvent(event.oldValue);
    });
  }
  subscribeToToggleDirectiveEvents() {
    if (this.toggleRef) {
      if (this._inputGroup) {
        this.toggleRef.element.style.width = this._inputGroup.element.nativeElement.getBoundingClientRect().width + "px";
      }
      this.toggleRef.opening.pipe(takeUntil28(this._destroy$)).subscribe((e) => {
        const args = { owner: this, event: e.event, cancel: false };
        this.opening.emit(args);
        e.cancel = args.cancel;
        if (args.cancel) {
          return;
        }
        this.initializeContainer();
      });
      this.toggleRef.opened.pipe(takeUntil28(this._destroy$)).subscribe(() => {
        this.opened.emit({ owner: this });
      });
      this.toggleRef.closed.pipe(takeUntil28(this._destroy$)).subscribe(() => {
        this.closed.emit({ owner: this });
      });
      this.toggleRef.closing.pipe(takeUntil28(this._destroy$)).subscribe((e) => {
        const args = { owner: this, event: e.event, cancel: false };
        this.closing.emit(args);
        e.cancel = args.cancel;
        if (args.cancel) {
          return;
        }
        const value = this.parseToDate(this.value);
        if (this.dateTimeEditor.value?.getTime() !== value?.getTime()) {
          this.updateValue(this._selectedDate);
        }
        const input = this.getEditElement();
        if (input && !(e.event && this.isDropdown)) {
          input.focus();
        } else {
          this.updateValidityOnBlur();
        }
      });
    }
  }
  static {
    this.ɵfac = i0128.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0128, type: _IgxTimePickerComponent, deps: [{ token: i0128.ElementRef }, { token: LOCALE_ID6 }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }, { token: i0128.Injector }, { token: PlatformUtil }, { token: i0128.ChangeDetectorRef }], target: i0128.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0128.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTimePickerComponent, isStandalone: true, selector: "igx-time-picker", inputs: { id: "id", displayFormat: "displayFormat", inputFormat: "inputFormat", mode: "mode", minValue: "minValue", maxValue: "maxValue", spinLoop: ["spinLoop", "spinLoop", booleanAttribute55], formatter: "formatter", headerOrientation: "headerOrientation", readOnly: ["readOnly", "readOnly", booleanAttribute55], value: "value", resourceStrings: "resourceStrings", okButtonLabel: "okButtonLabel", cancelButtonLabel: "cancelButtonLabel", itemsDelta: "itemsDelta" }, outputs: { selected: "selected", valueChange: "valueChange", validationFailed: "validationFailed" }, host: { listeners: { "keydown": "onKeyDown($event)" }, properties: { "attr.id": "this.id" } }, providers: [
      {
        provide: NG_VALUE_ACCESSOR15,
        useExisting: _IgxTimePickerComponent,
        multi: true
      },
      {
        provide: IGX_TIME_PICKER_COMPONENT,
        useExisting: _IgxTimePickerComponent
      },
      {
        provide: NG_VALIDATORS5,
        useExisting: _IgxTimePickerComponent,
        multi: true
      }
    ], queries: [{ propertyName: "label", first: true, predicate: IgxLabelDirective, descendants: true }, { propertyName: "timePickerActionsDirective", first: true, predicate: IgxPickerActionsDirective, descendants: true }, { propertyName: "clearComponents", predicate: IgxPickerClearComponent }], viewQueries: [{ propertyName: "hourList", first: true, predicate: ["hourList"], descendants: true }, { propertyName: "minuteList", first: true, predicate: ["minuteList"], descendants: true }, { propertyName: "secondsList", first: true, predicate: ["secondsList"], descendants: true }, { propertyName: "ampmList", first: true, predicate: ["ampmList"], descendants: true }, { propertyName: "inputDirective", first: true, predicate: IgxInputDirective, descendants: true, read: IgxInputDirective }, { propertyName: "_inputGroup", first: true, predicate: IgxInputGroupComponent, descendants: true }, { propertyName: "dateTimeEditor", first: true, predicate: IgxDateTimeEditorDirective, descendants: true, static: true }, { propertyName: "toggleRef", first: true, predicate: IgxToggleDirective, descendants: true }], usesInheritance: true, ngImport: i0128, template: `<igx-input-group [displayDensity]="displayDensity" [type]="type">
    <input [displayValuePipe]="formatter ? displayValue : null" igxInput [igxDateTimeEditor]="inputFormat"
        type="text" [readonly]="!isDropdown || readOnly" [minValue]="minValue" [maxValue]="maxValue"
        [locale]="locale" [spinDelta]="itemsDelta" [spinLoop]="spinLoop" [placeholder]="placeholder"
        [disabled]="disabled" [displayFormat]="displayFormat"
        [igxTextSelection]="isDropdown && !readOnly" role="combobox" aria-haspopup="dialog"
        [attr.aria-expanded]="!toggleDirective.collapsed" [attr.aria-labelledby]="label?.id"
        (click)="!isDropdown && toggle()"/>

    <igx-prefix *ngIf="!toggleComponents.length" (click)="toggle()">
        <igx-icon [title]="value ? resourceStrings.igx_time_picker_change_time : resourceStrings.igx_time_picker_choose_time">access_time</igx-icon>
    </igx-prefix>

    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </ng-container>

    <igx-suffix *ngIf="showClearButton" (click)="clear(); $event.stopPropagation()">
        <igx-icon>clear</igx-icon>
    </igx-suffix>

    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-hint">
        <ng-content select="igx-hint,[igxHint]"></ng-content>
    </ng-container>
</igx-input-group>

<ng-template #defaultTimePickerActions>
    <div *ngIf="cancelButtonLabel || okButtonLabel" class="igx-time-picker__buttons">
        <button *ngIf="cancelButtonLabel" type="button" igxButton="flat" (click)="cancelButtonClick()">
            {{cancelButtonLabel}}
        </button>
        <button *ngIf="okButtonLabel" type="button" igxButton="flat" (click)="okButtonClick()">
            {{okButtonLabel}}
        </button>
    </div>
</ng-template>

<div #toggleDirective="toggle" igxToggle role="dialog" class="igx-time-picker"
    [ngClass]="{'igx-time-picker--dropdown': isDropdown, 'igx-time-picker--vertical': isVertical && !isDropdown}">
    <div class="igx-time-picker__main">
        <div *ngIf="!isDropdown" class="igx-time-picker__header">
            <h2 class="igx-time-picker__header-hour">
                <span>{{ selectedDate | timeFormatPipe }}</span>
            </h2>
        </div>
        <div class="igx-time-picker__body">
            <div *ngIf="showHoursList" #hourList [igxItemList]="'hourList'">
            <span [igxTimeItem]="hour" #timeItem="timeItem" aria-label="hour"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? timeItem.hourValue : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let hour of hourItems | timeItemPipe:'hour':selectedDate:minDropdownValue:maxDropdownValue">{{ hour }}</span>
            </div>
            <div *ngIf="showMinutesList" #minuteList [igxItemList]="'minuteList'">
            <span [igxTimeItem]="minute" #timeItem="timeItem" aria-label="minutes"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? minute : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let minute of minuteItems | timeItemPipe:'minutes':selectedDate:minDropdownValue:maxDropdownValue">{{ minute }}</span>
            </div>
            <div *ngIf="showSecondsList" #secondsList [igxItemList]="'secondsList'">
            <span [igxTimeItem]="seconds" #timeItem="timeItem" aria-label="seconds"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? seconds : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let seconds of secondsItems | timeItemPipe:'seconds':selectedDate:minDropdownValue:maxDropdownValue">{{ seconds }}</span>
            </div>
            <div *ngIf="showAmPmList" #ampmList [igxItemList]="'ampmList'">
            <span [igxTimeItem]="ampm" #timeItem="timeItem" aria-label="ampm"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? ampm : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let ampm of ampmItems | timeItemPipe:'ampm':selectedDate:minDropdownValue:maxDropdownValue">{{ ampm }}</span>
            </div>
        </div>
    </div>
    <igx-divider></igx-divider>
    <ng-container
            *ngTemplateOutlet="timePickerActionsDirective ? timePickerActionsDirective.template : defaultTimePickerActions">
    </ng-container>
</div>
`, styles: [":host{display:block}\n"], dependencies: [{ kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }, { kind: "directive", type: NgIf26, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: NgClass5, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxItemListDirective, selector: "[igxItemList]", inputs: ["igxItemList"] }, { kind: "directive", type: NgFor9, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxTimeItemDirective, selector: "[igxTimeItem]", inputs: ["igxTimeItem"], exportAs: ["timeItem"] }, { kind: "directive", type: NgTemplateOutlet13, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: TimeFormatPipe, name: "timeFormatPipe" }, { kind: "pipe", type: TimeItemPipe, name: "timeItemPipe" }, { kind: "directive", type: IgxDividerDirective, selector: "igx-divider", inputs: ["id", "role", "type", "middle", "vertical", "inset"] }] });
  }
};
i0128.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0128, type: IgxTimePickerComponent, decorators: [{
  type: Component50,
  args: [{ providers: [
    {
      provide: NG_VALUE_ACCESSOR15,
      useExisting: IgxTimePickerComponent,
      multi: true
    },
    {
      provide: IGX_TIME_PICKER_COMPONENT,
      useExisting: IgxTimePickerComponent
    },
    {
      provide: NG_VALIDATORS5,
      useExisting: IgxTimePickerComponent,
      multi: true
    }
  ], selector: "igx-time-picker", standalone: true, imports: [IgxInputGroupComponent, IgxInputDirective, IgxDateTimeEditorDirective, IgxTextSelectionDirective, NgIf26, IgxPrefixDirective, IgxIconComponent, IgxSuffixDirective, IgxButtonDirective, IgxToggleDirective, NgClass5, IgxItemListDirective, NgFor9, IgxTimeItemDirective, NgTemplateOutlet13, TimeFormatPipe, TimeItemPipe, IgxDividerDirective], template: `<igx-input-group [displayDensity]="displayDensity" [type]="type">
    <input [displayValuePipe]="formatter ? displayValue : null" igxInput [igxDateTimeEditor]="inputFormat"
        type="text" [readonly]="!isDropdown || readOnly" [minValue]="minValue" [maxValue]="maxValue"
        [locale]="locale" [spinDelta]="itemsDelta" [spinLoop]="spinLoop" [placeholder]="placeholder"
        [disabled]="disabled" [displayFormat]="displayFormat"
        [igxTextSelection]="isDropdown && !readOnly" role="combobox" aria-haspopup="dialog"
        [attr.aria-expanded]="!toggleDirective.collapsed" [attr.aria-labelledby]="label?.id"
        (click)="!isDropdown && toggle()"/>

    <igx-prefix *ngIf="!toggleComponents.length" (click)="toggle()">
        <igx-icon [title]="value ? resourceStrings.igx_time_picker_change_time : resourceStrings.igx_time_picker_choose_time">access_time</igx-icon>
    </igx-prefix>

    <ng-container ngProjectAs="[igxLabel]">
        <ng-content select="[igxLabel]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-prefix">
        <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
    </ng-container>

    <igx-suffix *ngIf="showClearButton" (click)="clear(); $event.stopPropagation()">
        <igx-icon>clear</igx-icon>
    </igx-suffix>

    <ng-container ngProjectAs="igx-suffix">
        <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
    </ng-container>
    <ng-container ngProjectAs="igx-hint">
        <ng-content select="igx-hint,[igxHint]"></ng-content>
    </ng-container>
</igx-input-group>

<ng-template #defaultTimePickerActions>
    <div *ngIf="cancelButtonLabel || okButtonLabel" class="igx-time-picker__buttons">
        <button *ngIf="cancelButtonLabel" type="button" igxButton="flat" (click)="cancelButtonClick()">
            {{cancelButtonLabel}}
        </button>
        <button *ngIf="okButtonLabel" type="button" igxButton="flat" (click)="okButtonClick()">
            {{okButtonLabel}}
        </button>
    </div>
</ng-template>

<div #toggleDirective="toggle" igxToggle role="dialog" class="igx-time-picker"
    [ngClass]="{'igx-time-picker--dropdown': isDropdown, 'igx-time-picker--vertical': isVertical && !isDropdown}">
    <div class="igx-time-picker__main">
        <div *ngIf="!isDropdown" class="igx-time-picker__header">
            <h2 class="igx-time-picker__header-hour">
                <span>{{ selectedDate | timeFormatPipe }}</span>
            </h2>
        </div>
        <div class="igx-time-picker__body">
            <div *ngIf="showHoursList" #hourList [igxItemList]="'hourList'">
            <span [igxTimeItem]="hour" #timeItem="timeItem" aria-label="hour"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? timeItem.hourValue : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let hour of hourItems | timeItemPipe:'hour':selectedDate:minDropdownValue:maxDropdownValue">{{ hour }}</span>
            </div>
            <div *ngIf="showMinutesList" #minuteList [igxItemList]="'minuteList'">
            <span [igxTimeItem]="minute" #timeItem="timeItem" aria-label="minutes"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? minute : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let minute of minuteItems | timeItemPipe:'minutes':selectedDate:minDropdownValue:maxDropdownValue">{{ minute }}</span>
            </div>
            <div *ngIf="showSecondsList" #secondsList [igxItemList]="'secondsList'">
            <span [igxTimeItem]="seconds" #timeItem="timeItem" aria-label="seconds"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? seconds : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let seconds of secondsItems | timeItemPipe:'seconds':selectedDate:minDropdownValue:maxDropdownValue">{{ seconds }}</span>
            </div>
            <div *ngIf="showAmPmList" #ampmList [igxItemList]="'ampmList'">
            <span [igxTimeItem]="ampm" #timeItem="timeItem" aria-label="ampm"
                  [attr.role]="timeItem.isSelectedTime ? 'spinbutton' : null"
                  [attr.aria-valuenow]="timeItem.isSelectedTime ? ampm : null"
                  [attr.aria-valuemin]="timeItem.isSelectedTime ? timeItem.minValue : null"
                  [attr.aria-valuemax]="timeItem.isSelectedTime ? timeItem.maxValue : null"
                  *ngFor="let ampm of ampmItems | timeItemPipe:'ampm':selectedDate:minDropdownValue:maxDropdownValue">{{ ampm }}</span>
            </div>
        </div>
    </div>
    <igx-divider></igx-divider>
    <ng-container
            *ngTemplateOutlet="timePickerActionsDirective ? timePickerActionsDirective.template : defaultTimePickerActions">
    </ng-container>
</div>
`, styles: [":host{display:block}\n"] }]
}], ctorParameters: () => [{ type: i0128.ElementRef }, { type: void 0, decorators: [{
  type: Inject56,
  args: [LOCALE_ID6]
}] }, { type: void 0, decorators: [{
  type: Optional32
}, {
  type: Inject56,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional32
}, {
  type: Inject56,
  args: [IGX_INPUT_GROUP_TYPE]
}] }, { type: i0128.Injector }, { type: PlatformUtil }, { type: i0128.ChangeDetectorRef }], propDecorators: { id: [{
  type: HostBinding60,
  args: ["attr.id"]
}, {
  type: Input82
}], displayFormat: [{
  type: Input82
}], inputFormat: [{
  type: Input82
}], mode: [{
  type: Input82
}], minValue: [{
  type: Input82
}], maxValue: [{
  type: Input82
}], spinLoop: [{
  type: Input82,
  args: [{ transform: booleanAttribute55 }]
}], formatter: [{
  type: Input82
}], headerOrientation: [{
  type: Input82
}], readOnly: [{
  type: Input82,
  args: [{ transform: booleanAttribute55 }]
}], selected: [{
  type: Output45
}], valueChange: [{
  type: Output45
}], validationFailed: [{
  type: Output45
}], hourList: [{
  type: ViewChild26,
  args: ["hourList"]
}], minuteList: [{
  type: ViewChild26,
  args: ["minuteList"]
}], secondsList: [{
  type: ViewChild26,
  args: ["secondsList"]
}], ampmList: [{
  type: ViewChild26,
  args: ["ampmList"]
}], clearComponents: [{
  type: ContentChildren17,
  args: [IgxPickerClearComponent]
}], label: [{
  type: ContentChild12,
  args: [IgxLabelDirective]
}], timePickerActionsDirective: [{
  type: ContentChild12,
  args: [IgxPickerActionsDirective]
}], inputDirective: [{
  type: ViewChild26,
  args: [IgxInputDirective, { read: IgxInputDirective }]
}], _inputGroup: [{
  type: ViewChild26,
  args: [IgxInputGroupComponent]
}], dateTimeEditor: [{
  type: ViewChild26,
  args: [IgxDateTimeEditorDirective, { static: true }]
}], toggleRef: [{
  type: ViewChild26,
  args: [IgxToggleDirective]
}], value: [{
  type: Input82
}], resourceStrings: [{
  type: Input82
}], okButtonLabel: [{
  type: Input82
}], cancelButtonLabel: [{
  type: Input82
}], itemsDelta: [{
  type: Input82
}], onKeyDown: [{
  type: HostListener36,
  args: ["keydown", ["$event"]]
}] } });

// lib/query-builder/query-builder-header.component.mjs
import { Component as Component51, Input as Input83, booleanAttribute as booleanAttribute56 } from "@angular/core";
import { NgIf as NgIf27 } from "@angular/common";
import * as i0129 from "@angular/core";
var IgxQueryBuilderHeaderComponent = class _IgxQueryBuilderHeaderComponent {
  constructor() {
    this._resourceStrings = getCurrentResourceStrings(QueryBuilderResourceStringsEN);
    this.showLegend = true;
  }
  /**
   * Sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * Returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  static {
    this.ɵfac = i0129.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0129, type: _IgxQueryBuilderHeaderComponent, deps: [], target: i0129.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0129.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxQueryBuilderHeaderComponent, isStandalone: true, selector: "igx-query-builder-header", inputs: { title: "title", showLegend: ["showLegend", "showLegend", booleanAttribute56], resourceStrings: "resourceStrings" }, ngImport: i0129, template: '<div class="igx-query-builder__header">\n    <div class="ig-typography__h6" style="pointer-events: none;">\n        {{ title }}\n        <ng-content></ng-content>\n    </div>\n    <div *ngIf="showLegend" class="igx-builder-legend" >\n        <div class="igx-builder-legend__item--and">\n            <span>{{this.resourceStrings.igx_query_builder_and_label}}</span>\n        </div>\n        <div class="igx-builder-legend__item--or">\n            <span>{{this.resourceStrings.igx_query_builder_or_label}}</span>\n        </div>\n    </div>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf27, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0129.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0129, type: IgxQueryBuilderHeaderComponent, decorators: [{
  type: Component51,
  args: [{ selector: "igx-query-builder-header", standalone: true, imports: [NgIf27], template: '<div class="igx-query-builder__header">\n    <div class="ig-typography__h6" style="pointer-events: none;">\n        {{ title }}\n        <ng-content></ng-content>\n    </div>\n    <div *ngIf="showLegend" class="igx-builder-legend" >\n        <div class="igx-builder-legend__item--and">\n            <span>{{this.resourceStrings.igx_query_builder_and_label}}</span>\n        </div>\n        <div class="igx-builder-legend__item--or">\n            <span>{{this.resourceStrings.igx_query_builder_or_label}}</span>\n        </div>\n    </div>\n</div>\n' }]
}], propDecorators: { title: [{
  type: Input83
}], showLegend: [{
  type: Input83,
  args: [{ transform: booleanAttribute56 }]
}], resourceStrings: [{
  type: Input83
}] } });

// lib/query-builder/query-builder.component.mjs
import { ContentChild as ContentChild13, EventEmitter as EventEmitter56, LOCALE_ID as LOCALE_ID7, Optional as Optional33, Output as Output46, Pipe as Pipe6 } from "@angular/core";
import { getLocaleFirstDayOfWeek as getLocaleFirstDayOfWeek3, NgIf as NgIf28, NgFor as NgFor10, NgTemplateOutlet as NgTemplateOutlet14, NgClass as NgClass6, DatePipe as DatePipe6 } from "@angular/common";
import { Inject as Inject57 } from "@angular/core";
import { Component as Component52, Input as Input84, ViewChild as ViewChild27, ViewChildren as ViewChildren9, ElementRef as ElementRef60, HostBinding as HostBinding61 } from "@angular/core";
import { FormsModule as FormsModule3 } from "@angular/forms";
import { Subject as Subject33 } from "rxjs";
import { editor } from "@igniteui/material-icons-extended";
import * as i0130 from "@angular/core";
import * as i3 from "@angular/forms";
var DEFAULT_PIPE_DATE_FORMAT = "mediumDate";
var DEFAULT_PIPE_TIME_FORMAT = "mediumTime";
var DEFAULT_PIPE_DATE_TIME_FORMAT = "medium";
var DEFAULT_PIPE_DIGITS_INFO = "1.0-3";
var DEFAULT_DATE_TIME_FORMAT2 = "dd/MM/yyyy HH:mm:ss tt";
var DEFAULT_TIME_FORMAT2 = "hh:mm:ss tt";
var IgxFieldFormatterPipe = class _IgxFieldFormatterPipe {
  transform(value, formatter, rowData, fieldData) {
    return formatter(value, rowData, fieldData);
  }
  static {
    this.ɵfac = i0130.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0130, type: _IgxFieldFormatterPipe, deps: [], target: i0130.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0130.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0130, type: _IgxFieldFormatterPipe, isStandalone: true, name: "fieldFormatter" });
  }
};
i0130.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0130, type: IgxFieldFormatterPipe, decorators: [{
  type: Pipe6,
  args: [{
    name: "fieldFormatter",
    standalone: true
  }]
}] });
var ExpressionItem = class {
  constructor(parent) {
    this.parent = parent;
  }
};
var ExpressionGroupItem = class extends ExpressionItem {
  constructor(operator, parent) {
    super(parent);
    this.operator = operator;
    this.children = [];
  }
};
var ExpressionOperandItem = class extends ExpressionItem {
  constructor(expression, parent) {
    super(parent);
    this.expression = expression;
  }
};
var IgxQueryBuilderComponent = class _IgxQueryBuilderComponent extends DisplayDensityBase {
  /**
  * Returns the fields.
  */
  get fields() {
    return this._fields;
  }
  /**
   * Sets the fields.
   */
  set fields(fields) {
    this._fields = fields;
    if (this._fields) {
      this.registerSVGIcons();
      this._fields.forEach((field) => {
        this.setFilters(field);
        this.setFormat(field);
      });
    }
  }
  /**
  * Returns the expression tree.
  */
  get expressionTree() {
    return this._expressionTree;
  }
  /**
   * Sets the expression tree.
   */
  set expressionTree(expressionTree) {
    this._expressionTree = expressionTree;
    this.init();
  }
  /**
   * Gets the `locale` of the query builder.
   * If not set, defaults to application's locale.
   */
  get locale() {
    return this._locale;
  }
  /**
   * Sets the `locale` of the query builder.
   * Expects a valid BCP 47 language tag.
   */
  set locale(value) {
    this._locale = value;
    try {
      getLocaleFirstDayOfWeek3(this._locale);
    } catch (e) {
      this._locale = this._localeId;
    }
  }
  /**
   * Sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * Returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  set editingInputsContainer(value) {
    if (value && !this._editingInputsContainer || value && this._editingInputsContainer && this._editingInputsContainer.nativeElement !== value.nativeElement) {
      requestAnimationFrame(() => {
        this.scrollElementIntoView(value.nativeElement);
      });
    }
    this._editingInputsContainer = value;
  }
  /** @hidden */
  get editingInputsContainer() {
    return this._editingInputsContainer;
  }
  set addModeContainer(value) {
    if (value && !this._addModeContainer || value && this._addModeContainer && this._addModeContainer.nativeElement !== value.nativeElement) {
      requestAnimationFrame(() => {
        this.scrollElementIntoView(value.nativeElement);
      });
    }
    this._addModeContainer = value;
  }
  /** @hidden */
  get addModeContainer() {
    return this._addModeContainer;
  }
  set currentGroupButtonsContainer(value) {
    if (value && !this._currentGroupButtonsContainer || value && this._currentGroupButtonsContainer && this._currentGroupButtonsContainer.nativeElement !== value.nativeElement) {
      requestAnimationFrame(() => {
        this.scrollElementIntoView(value.nativeElement);
      });
    }
    this._currentGroupButtonsContainer = value;
  }
  /** @hidden */
  get currentGroupButtonsContainer() {
    return this._currentGroupButtonsContainer;
  }
  constructor(cdr, iconService, platform, el, _localeId, _displayDensityOptions) {
    super(_displayDensityOptions, el);
    this.cdr = cdr;
    this.iconService = iconService;
    this.platform = platform;
    this.el = el;
    this._localeId = _localeId;
    this._displayDensityOptions = _displayDensityOptions;
    this.cssClass = "igx-query-builder";
    this.display = "block";
    this.expressionTreeChange = new EventEmitter56();
    this.selectedExpressions = [];
    this.fieldSelectOverlaySettings = {
      scrollStrategy: new AbsoluteScrollStrategy(),
      modal: false,
      closeOnOutsideClick: false
    };
    this.conditionSelectOverlaySettings = {
      scrollStrategy: new AbsoluteScrollStrategy(),
      modal: false,
      closeOnOutsideClick: false
    };
    this.destroy$ = new Subject33();
    this._dblClickDelay = 200;
    this._preventChipClick = false;
    this._selectedGroups = [];
    this._resourceStrings = getCurrentResourceStrings(QueryBuilderResourceStringsEN);
    this._positionSettings = {
      horizontalStartPoint: HorizontalAlignment.Right,
      verticalStartPoint: VerticalAlignment.Top
    };
    this._overlaySettings = {
      closeOnOutsideClick: false,
      modal: false,
      positionStrategy: new ConnectedPositioningStrategy(this._positionSettings),
      scrollStrategy: new CloseScrollStrategy()
    };
    this.locale = this.locale || this._localeId;
  }
  /**
   * @hidden @internal
   */
  ngAfterViewInit() {
    this._overlaySettings.outlet = this.overlayOutlet;
    this.fieldSelectOverlaySettings.outlet = this.overlayOutlet;
    this.conditionSelectOverlaySettings.outlet = this.overlayOutlet;
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  set selectedField(value) {
    const oldValue = this._selectedField;
    if (this._selectedField !== value) {
      this._selectedField = value;
      if (oldValue && this._selectedField && this._selectedField.dataType !== oldValue.dataType) {
        this.selectedCondition = null;
        this.searchValue = null;
        this.cdr.detectChanges();
      }
    }
  }
  /**
   * @hidden @internal
   */
  get selectedField() {
    return this._selectedField;
  }
  /**
   * @hidden @internal
   *
   * used by the grid
   */
  setPickerOutlet(outlet) {
    this.pickerOutlet = outlet;
  }
  /**
   * @hidden @internal
   *
   * used by the grid
   */
  get isContextMenuVisible() {
    return !this.contextMenuToggle.collapsed;
  }
  /**
   * @hidden @internal
   */
  get hasEditedExpression() {
    return this._editedExpression !== void 0 && this._editedExpression !== null;
  }
  /**
   * @hidden @internal
   */
  addCondition(parent, afterExpression) {
    this.cancelOperandAdd();
    const operandItem = new ExpressionOperandItem({
      fieldName: null,
      condition: null,
      ignoreCase: true,
      searchVal: null
    }, parent);
    if (afterExpression) {
      const index = parent.children.indexOf(afterExpression);
      parent.children.splice(index + 1, 0, operandItem);
    } else {
      parent.children.push(operandItem);
    }
    this.enterExpressionEdit(operandItem);
  }
  /**
   * @hidden @internal
   */
  addAndGroup(parent, afterExpression) {
    this.addGroup(FilteringLogic.And, parent, afterExpression);
  }
  /**
   * @hidden @internal
   */
  addOrGroup(parent, afterExpression) {
    this.addGroup(FilteringLogic.Or, parent, afterExpression);
  }
  /**
   * @hidden @internal
   */
  endGroup(groupItem) {
    this.currentGroup = groupItem.parent;
  }
  /**
   * @hidden @internal
   */
  commitOperandEdit() {
    if (this._editedExpression) {
      this._editedExpression.expression.fieldName = this.selectedField.field;
      this._editedExpression.expression.condition = this.selectedField.filters.condition(this.selectedCondition);
      this._editedExpression.expression.searchVal = DataUtil.parseValue(this.selectedField.dataType, this.searchValue);
      this._editedExpression.fieldLabel = this.selectedField.label ? this.selectedField.label : this.selectedField.header ? this.selectedField.header : this.selectedField.field;
      this._editedExpression.inEditMode = false;
      this._editedExpression = null;
    }
    this._expressionTree = this.createExpressionTreeFromGroupItem(this.rootGroup);
    this.expressionTreeChange.emit();
  }
  /**
   * @hidden @internal
   */
  cancelOperandAdd() {
    if (this._addModeExpression) {
      this._addModeExpression.inAddMode = false;
      this._addModeExpression = null;
    }
  }
  /**
   * @hidden @internal
   */
  cancelOperandEdit() {
    if (this._editedExpression) {
      this._editedExpression.inEditMode = false;
      if (!this._editedExpression.expression.fieldName) {
        this.deleteItem(this._editedExpression);
      }
      this._editedExpression = null;
    }
  }
  /**
   * @hidden @internal
   */
  operandCanBeCommitted() {
    return this.selectedField && this.selectedCondition && (!!this.searchValue || this.selectedField.filters.condition(this.selectedCondition).isUnary);
  }
  /**
   * @hidden @internal
   *
   * used by the grid
   */
  exitOperandEdit() {
    if (!this._editedExpression) {
      return;
    }
    if (this.operandCanBeCommitted()) {
      this.commitOperandEdit();
    } else {
      this.cancelOperandEdit();
    }
  }
  /**
   * @hidden @internal
   */
  isExpressionGroup(expression) {
    return expression instanceof ExpressionGroupItem;
  }
  /**
   * @hidden @internal
   */
  onChipRemove(expressionItem) {
    this.deleteItem(expressionItem);
  }
  /**
   * @hidden @internal
   */
  onChipClick(expressionItem) {
    this._clickTimer = setTimeout(() => {
      if (!this._preventChipClick) {
        this.onToggleExpression(expressionItem);
      }
      this._preventChipClick = false;
    }, this._dblClickDelay);
  }
  /**
   * @hidden @internal
   */
  onChipDblClick(expressionItem) {
    clearTimeout(this._clickTimer);
    this._preventChipClick = true;
    this.enterExpressionEdit(expressionItem);
  }
  /**
   * @hidden @internal
   */
  enterExpressionEdit(expressionItem) {
    this.clearSelection();
    this.exitOperandEdit();
    this.cancelOperandAdd();
    if (this._editedExpression) {
      this._editedExpression.inEditMode = false;
    }
    expressionItem.hovered = false;
    this.selectedField = expressionItem.expression.fieldName ? this.fields.find((field) => field.field === expressionItem.expression.fieldName) : null;
    this.selectedCondition = expressionItem.expression.condition ? expressionItem.expression.condition.name : null;
    this.searchValue = expressionItem.expression.searchVal;
    expressionItem.inEditMode = true;
    this._editedExpression = expressionItem;
    this.cdr.detectChanges();
    this.fieldSelectOverlaySettings.target = this.fieldSelect.element;
    this.fieldSelectOverlaySettings.excludeFromOutsideClick = [this.fieldSelect.element];
    this.fieldSelectOverlaySettings.positionStrategy = new AutoPositionStrategy();
    this.conditionSelectOverlaySettings.target = this.conditionSelect.element;
    this.conditionSelectOverlaySettings.excludeFromOutsideClick = [this.conditionSelect.element];
    this.conditionSelectOverlaySettings.positionStrategy = new AutoPositionStrategy();
    if (!this.selectedField) {
      this.fieldSelect.input.nativeElement.focus();
    } else if (this.selectedField.filters.condition(this.selectedCondition).isUnary) {
      this.conditionSelect.input.nativeElement.focus();
    } else {
      const input = this.searchValueInput?.nativeElement || this.picker?.getEditElement();
      input.focus();
    }
  }
  /**
   * @hidden @internal
   */
  clearSelection() {
    for (const group of this._selectedGroups) {
      group.selected = false;
    }
    this._selectedGroups = [];
    for (const expr of this.selectedExpressions) {
      expr.selected = false;
    }
    this.selectedExpressions = [];
    this.toggleContextMenu();
  }
  /**
   * @hidden @internal
   */
  enterExpressionAdd(expressionItem) {
    this.clearSelection();
    this.exitOperandEdit();
    if (this._addModeExpression) {
      this._addModeExpression.inAddMode = false;
    }
    expressionItem.inAddMode = true;
    this._addModeExpression = expressionItem;
    if (expressionItem.selected) {
      this.toggleExpression(expressionItem);
    }
  }
  /**
   * @hidden @internal
   */
  contextMenuClosed() {
    this.contextualGroup = null;
  }
  /**
   * @hidden @internal
   */
  onKeyDown(eventArgs) {
    eventArgs.stopPropagation();
    const key = eventArgs.key;
    if (!this.contextMenuToggle.collapsed && key === this.platform.KEYMAP.ESCAPE) {
      this.clearSelection();
    }
  }
  /**
   * @hidden @internal
   */
  createAndGroup() {
    this.createGroup(FilteringLogic.And);
  }
  /**
   * @hidden @internal
   */
  createOrGroup() {
    this.createGroup(FilteringLogic.Or);
  }
  /**
   * @hidden @internal
   */
  deleteFilters() {
    for (const expr of this.selectedExpressions) {
      this.deleteItem(expr);
    }
    this.clearSelection();
  }
  /**
   * @hidden @internal
   */
  onGroupClick(groupItem) {
    this.toggleGroup(groupItem);
  }
  /**
   * @hidden @internal
   */
  ungroup() {
    const selectedGroup = this.contextualGroup;
    const parent = selectedGroup.parent;
    if (parent) {
      const index = parent.children.indexOf(selectedGroup);
      parent.children.splice(index, 1, ...selectedGroup.children);
      for (const expr of selectedGroup.children) {
        expr.parent = parent;
      }
    }
    this.clearSelection();
    this.commitOperandEdit();
  }
  /**
   * @hidden @internal
   */
  deleteGroup() {
    const selectedGroup = this.contextualGroup;
    const parent = selectedGroup.parent;
    if (parent) {
      const index = parent.children.indexOf(selectedGroup);
      parent.children.splice(index, 1);
    } else {
      this.rootGroup = null;
    }
    this.clearSelection();
    this.commitOperandEdit();
  }
  /**
   * @hidden @internal
   */
  selectFilteringLogic(event) {
    this.contextualGroup.operator = event.index;
    this.commitOperandEdit();
  }
  /**
   * @hidden @internal
   */
  getConditionFriendlyName(name) {
    return this.resourceStrings[`igx_query_builder_filter_${name}`] || name;
  }
  /**
   * @hidden @internal
   */
  isDate(value) {
    return value instanceof Date;
  }
  /**
   * @hidden @internal
   */
  onExpressionsScrolled() {
    if (!this.contextMenuToggle.collapsed) {
      this.calculateContextMenuTarget();
      this.contextMenuToggle.reposition();
    }
  }
  /**
   * @hidden @internal
   */
  invokeClick(eventArgs) {
    if (this.platform.isActivationKey(eventArgs)) {
      eventArgs.preventDefault();
      eventArgs.currentTarget.click();
    }
  }
  /**
   * @hidden @internal
   */
  openPicker(args) {
    if (this.platform.isActivationKey(args)) {
      args.preventDefault();
      this.picker.open();
    }
  }
  /**
   * @hidden @internal
   */
  onOutletPointerDown(event) {
    event.preventDefault();
  }
  /**
   * @hidden @internal
   */
  getConditionList() {
    return this.selectedField ? this.selectedField.filters.conditionList() : [];
  }
  /**
   * @hidden @internal
   */
  getFormatter(field) {
    return this.fields.find((el) => el.field === field).formatter;
  }
  /**
   * @hidden @internal
   */
  getFormat(field) {
    return this.fields.find((el) => el.field === field).pipeArgs.format;
  }
  /**
   * @hidden @internal
   *
   * used by the grid
   */
  setAddButtonFocus() {
    if (this.addRootAndGroupButton) {
      this.addRootAndGroupButton.nativeElement.focus();
    } else if (this.addConditionButton) {
      this.addConditionButton.nativeElement.focus();
    }
  }
  /**
   * @hidden @internal
   */
  context(expression, afterExpression) {
    return {
      $implicit: expression,
      afterExpression
    };
  }
  /**
   * @hidden @internal
   */
  onChipSelectionEnd() {
    const contextualGroup = this.findSingleSelectedGroup();
    if (contextualGroup || this.selectedExpressions.length > 1) {
      this.contextualGroup = contextualGroup;
      this.calculateContextMenuTarget();
      if (this.contextMenuToggle.collapsed) {
        this.contextMenuToggle.open(this._overlaySettings);
      } else {
        this.contextMenuToggle.reposition();
      }
    }
  }
  setFormat(field) {
    if (!field.pipeArgs) {
      field.pipeArgs = { digitsInfo: DEFAULT_PIPE_DIGITS_INFO };
    }
    if (!field.pipeArgs.format) {
      field.pipeArgs.format = field.dataType === DataType.Time ? DEFAULT_PIPE_TIME_FORMAT : field.dataType === DataType.DateTime ? DEFAULT_PIPE_DATE_TIME_FORMAT : DEFAULT_PIPE_DATE_FORMAT;
    }
    if (!field.defaultDateTimeFormat) {
      field.defaultDateTimeFormat = DEFAULT_DATE_TIME_FORMAT2;
    }
    if (!field.defaultTimeFormat) {
      field.defaultTimeFormat = DEFAULT_TIME_FORMAT2;
    }
  }
  setFilters(field) {
    if (!field.filters) {
      switch (field.dataType) {
        case DataType.Boolean:
          field.filters = IgxBooleanFilteringOperand.instance();
          break;
        case DataType.Number:
        case DataType.Currency:
        case DataType.Percent:
          field.filters = IgxNumberFilteringOperand.instance();
          break;
        case DataType.Date:
          field.filters = IgxDateFilteringOperand.instance();
          break;
        case DataType.Time:
          field.filters = IgxTimeFilteringOperand.instance();
          break;
        case DataType.DateTime:
          field.filters = IgxDateTimeFilteringOperand.instance();
          break;
        case DataType.String:
        default:
          field.filters = IgxStringFilteringOperand.instance();
          break;
      }
    }
  }
  onToggleExpression(expressionItem) {
    this.exitOperandEdit();
    this.toggleExpression(expressionItem);
    this.toggleContextMenu();
  }
  toggleExpression(expressionItem) {
    expressionItem.selected = !expressionItem.selected;
    if (expressionItem.selected) {
      this.selectedExpressions.push(expressionItem);
    } else {
      const index = this.selectedExpressions.indexOf(expressionItem);
      this.selectedExpressions.splice(index, 1);
      this.deselectParentRecursive(expressionItem);
    }
  }
  addGroup(operator, parent, afterExpression) {
    this.cancelOperandAdd();
    const groupItem = new ExpressionGroupItem(operator, parent);
    if (parent) {
      if (afterExpression) {
        const index = parent.children.indexOf(afterExpression);
        parent.children.splice(index + 1, 0, groupItem);
      } else {
        parent.children.push(groupItem);
      }
    } else {
      this.rootGroup = groupItem;
    }
    this.addCondition(groupItem);
    this.currentGroup = groupItem;
  }
  createExpressionGroupItem(expressionTree, parent) {
    let groupItem;
    if (expressionTree) {
      groupItem = new ExpressionGroupItem(expressionTree.operator, parent);
      for (const expr of expressionTree.filteringOperands) {
        if (expr instanceof FilteringExpressionsTree) {
          groupItem.children.push(this.createExpressionGroupItem(expr, groupItem));
        } else {
          const filteringExpr = expr;
          const exprCopy = {
            fieldName: filteringExpr.fieldName,
            condition: filteringExpr.condition,
            searchVal: filteringExpr.searchVal,
            ignoreCase: filteringExpr.ignoreCase
          };
          const operandItem = new ExpressionOperandItem(exprCopy, groupItem);
          const field = this.fields.find((el) => el.field === filteringExpr.fieldName);
          operandItem.fieldLabel = field.label || field.header || field.field;
          groupItem.children.push(operandItem);
        }
      }
    }
    return groupItem;
  }
  createExpressionTreeFromGroupItem(groupItem) {
    if (!groupItem) {
      return null;
    }
    const expressionTree = new FilteringExpressionsTree(groupItem.operator);
    for (const item of groupItem.children) {
      if (item instanceof ExpressionGroupItem) {
        const subTree = this.createExpressionTreeFromGroupItem(item);
        expressionTree.filteringOperands.push(subTree);
      } else {
        expressionTree.filteringOperands.push(item.expression);
      }
    }
    return expressionTree;
  }
  toggleContextMenu() {
    const contextualGroup = this.findSingleSelectedGroup();
    if (contextualGroup || this.selectedExpressions.length > 1) {
      this.contextualGroup = contextualGroup;
      if (contextualGroup) {
        this.filteringLogics = [
          {
            label: this.resourceStrings.igx_query_builder_filter_operator_and,
            selected: contextualGroup.operator === FilteringLogic.And
          },
          {
            label: this.resourceStrings.igx_query_builder_filter_operator_or,
            selected: contextualGroup.operator === FilteringLogic.Or
          }
        ];
      }
    } else if (this.contextMenuToggle) {
      this.contextMenuToggle.close();
    }
  }
  findSingleSelectedGroup() {
    for (const group of this._selectedGroups) {
      const containsAllSelectedExpressions = this.selectedExpressions.every((op) => this.isInsideGroup(op, group));
      if (containsAllSelectedExpressions) {
        return group;
      }
    }
    return null;
  }
  isInsideGroup(item, group) {
    if (!item) {
      return false;
    }
    if (item.parent === group) {
      return true;
    }
    return this.isInsideGroup(item.parent, group);
  }
  deleteItem(expressionItem) {
    if (!expressionItem.parent) {
      this.rootGroup = null;
      this.currentGroup = null;
      this._expressionTree = null;
      return;
    }
    if (expressionItem === this.currentGroup) {
      this.currentGroup = this.currentGroup.parent;
    }
    const children = expressionItem.parent.children;
    const index = children.indexOf(expressionItem);
    children.splice(index, 1);
    this._expressionTree = this.createExpressionTreeFromGroupItem(this.rootGroup);
    if (!children.length) {
      this.deleteItem(expressionItem.parent);
    }
    this.expressionTreeChange.emit();
  }
  createGroup(operator) {
    const chips = this.chips.toArray();
    const minIndex = this.selectedExpressions.reduce((i, e) => Math.min(i, chips.findIndex((c) => c.data === e)), Number.MAX_VALUE);
    const firstExpression = chips[minIndex].data;
    const parent = firstExpression.parent;
    const groupItem = new ExpressionGroupItem(operator, parent);
    const index = parent.children.indexOf(firstExpression);
    parent.children.splice(index, 0, groupItem);
    for (const expr of this.selectedExpressions) {
      groupItem.children.push(expr);
      this.deleteItem(expr);
      expr.parent = groupItem;
    }
    this.clearSelection();
  }
  toggleGroup(groupItem) {
    this.exitOperandEdit();
    if (groupItem.children && groupItem.children.length) {
      this.toggleGroupRecursive(groupItem, !groupItem.selected);
      if (!groupItem.selected) {
        this.deselectParentRecursive(groupItem);
      }
      this.toggleContextMenu();
    }
  }
  toggleGroupRecursive(groupItem, selected) {
    if (groupItem.selected !== selected) {
      groupItem.selected = selected;
      if (groupItem.selected) {
        this._selectedGroups.push(groupItem);
      } else {
        const index = this._selectedGroups.indexOf(groupItem);
        this._selectedGroups.splice(index, 1);
      }
    }
    for (const expr of groupItem.children) {
      if (expr instanceof ExpressionGroupItem) {
        this.toggleGroupRecursive(expr, selected);
      } else {
        const operandExpression = expr;
        if (operandExpression.selected !== selected) {
          this.toggleExpression(operandExpression);
        }
      }
    }
  }
  deselectParentRecursive(expressionItem) {
    const parent = expressionItem.parent;
    if (parent) {
      if (parent.selected) {
        parent.selected = false;
        const index = this._selectedGroups.indexOf(parent);
        this._selectedGroups.splice(index, 1);
      }
      this.deselectParentRecursive(parent);
    }
  }
  calculateContextMenuTarget() {
    const containerRect = this.expressionsContainer.nativeElement.getBoundingClientRect();
    const chips = this.chips.filter((c) => this.selectedExpressions.indexOf(c.data) !== -1);
    let minTop = chips.reduce((t, c) => Math.min(t, c.nativeElement.getBoundingClientRect().top), Number.MAX_VALUE);
    minTop = Math.max(containerRect.top, minTop);
    minTop = Math.min(containerRect.bottom, minTop);
    let maxRight = chips.reduce((r, c) => Math.max(r, c.nativeElement.getBoundingClientRect().right), 0);
    maxRight = Math.max(maxRight, containerRect.left);
    maxRight = Math.min(maxRight, containerRect.right);
    this._overlaySettings.target = new Point(maxRight, minTop);
  }
  scrollElementIntoView(target) {
    const container = this.expressionsContainer.nativeElement;
    const targetOffset = target.offsetTop - container.offsetTop;
    const delta = 10;
    if (container.scrollTop + delta > targetOffset) {
      container.scrollTop = targetOffset - delta;
    } else if (container.scrollTop + container.clientHeight < targetOffset + target.offsetHeight + delta) {
      container.scrollTop = targetOffset + target.offsetHeight + delta - container.clientHeight;
    }
  }
  init() {
    this.clearSelection();
    this.cancelOperandAdd();
    this.cancelOperandEdit();
    this.rootGroup = this.createExpressionGroupItem(this.expressionTree);
    this.currentGroup = this.rootGroup;
  }
  registerSVGIcons() {
    const editorIcons = editor;
    editorIcons.forEach((icon) => this.iconService.addSvgIconFromText(icon.name, icon.value, "imx-icons"));
  }
  static {
    this.ɵfac = i0130.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0130, type: _IgxQueryBuilderComponent, deps: [{ token: i0130.ChangeDetectorRef }, { token: IgxIconService }, { token: PlatformUtil }, { token: i0130.ElementRef }, { token: LOCALE_ID7 }, { token: DisplayDensityToken, optional: true }], target: i0130.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0130.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxQueryBuilderComponent, isStandalone: true, selector: "igx-query-builder", inputs: { fields: "fields", expressionTree: "expressionTree", locale: "locale", resourceStrings: "resourceStrings" }, outputs: { expressionTreeChange: "expressionTreeChange" }, host: { properties: { "class.igx-query-builder": "this.cssClass", "style.display": "this.display" } }, queries: [{ propertyName: "headerContent", first: true, predicate: IgxQueryBuilderHeaderComponent, descendants: true }], viewQueries: [{ propertyName: "fieldSelect", first: true, predicate: ["fieldSelect"], descendants: true, read: IgxSelectComponent }, { propertyName: "conditionSelect", first: true, predicate: ["conditionSelect"], descendants: true, read: IgxSelectComponent }, { propertyName: "searchValueInput", first: true, predicate: ["searchValueInput"], descendants: true, read: ElementRef60 }, { propertyName: "picker", first: true, predicate: ["picker"], descendants: true }, { propertyName: "addRootAndGroupButton", first: true, predicate: ["addRootAndGroupButton"], descendants: true, read: ElementRef60 }, { propertyName: "addConditionButton", first: true, predicate: ["addConditionButton"], descendants: true, read: ElementRef60 }, { propertyName: "editingInputsContainer", first: true, predicate: ["editingInputsContainer"], descendants: true, read: ElementRef60 }, { propertyName: "addModeContainer", first: true, predicate: ["addModeContainer"], descendants: true, read: ElementRef60 }, { propertyName: "currentGroupButtonsContainer", first: true, predicate: ["currentGroupButtonsContainer"], descendants: true, read: ElementRef60 }, { propertyName: "contextMenuToggle", first: true, predicate: IgxToggleDirective, descendants: true }, { propertyName: "expressionsContainer", first: true, predicate: ["expressionsContainer"], descendants: true }, { propertyName: "overlayOutlet", first: true, predicate: ["overlayOutlet"], descendants: true, read: IgxOverlayOutletDirective, static: true }, { propertyName: "chips", predicate: IgxChipComponent, descendants: true }], usesInheritance: true, ngImport: i0130, template: `<igx-query-builder-header
    *ngIf="!headerContent"
    [title]="this.resourceStrings.igx_query_builder_title"
>
</igx-query-builder-header>

<ng-content select="igx-query-builder-header"></ng-content>

<div
    #expressionsContainer
    class="igx-query-builder__main"
    (scroll)="onExpressionsScrolled()"
>
    <ng-container *ngIf="!rootGroup">
        <button type="button"
            #addRootAndGroupButton
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            (click)="addAndGroup()"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_and_group }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            (click)="addOrGroup()"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_or_group }}</span>
        </button>

        <div class="igx-filter-empty">
            <h6 class="igx-filter-empty__title">
                {{ this.resourceStrings.igx_query_builder_initial_text }}
            </h6>
        </div>
    </ng-container>

    <ng-template
        #addExpressionsTemplate
        let-expressionItem
        let-afterExpression="afterExpression"
    >
        <button type="button"
            #addConditionButton
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addCondition(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{
                this.resourceStrings.igx_query_builder_add_condition
            }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addAndGroup(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_and_group }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addOrGroup(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_or_group }}</span>
        </button>
    </ng-template>

    <ng-template #filterOperandTemplate let-expressionItem>
        <div
            *ngIf="!expressionItem.inEditMode"
            class="igx-filter-tree__expression-item"
            (mouseenter)="expressionItem.hovered = true"
            (mouseleave)="expressionItem.hovered = false"
        >
            <igx-chip
                [data]="expressionItem"
                [displayDensity]="
                    displayDensity === 'compact' ? 'cosy' : displayDensity
                "
                [removable]="true"
                [selected]="expressionItem.selected"
                (keydown)="invokeClick($event)"
                (click)="onChipClick(expressionItem)"
                (dblclick)="onChipDblClick(expressionItem)"
                (remove)="onChipRemove(expressionItem)"
                (selectedChanged)="onChipSelectionEnd()"
            >
                <span igxPrefix class="igx-filter-tree__expression-column">{{
                    expressionItem.fieldLabel ||
                        expressionItem.expression.fieldName
                }}</span>
                <igx-prefix>
                    <igx-icon
                        family="imx-icons"
                        [name]="expressionItem.expression.condition.iconName"
                    >
                    </igx-icon>
                </igx-prefix>
                <span class="igx-filter-tree__expression-condition">
                    {{
                        getConditionFriendlyName(
                            expressionItem.expression.condition.name
                        )
                    }}
                </span>
                <span
                    igxSuffix
                    *ngIf="!expressionItem.expression.condition.isUnary"
                >
                    {{
                        isDate(expressionItem.expression.searchVal)
                            ? getFormatter(expressionItem.expression.fieldName)
                                ? (expressionItem.expression.searchVal
                                  | fieldFormatter
                                      : getFormatter(
                                            expressionItem.expression.fieldName
                                        )
                                      : undefined)
                                : (expressionItem.expression.searchVal
                                  | date
                                      : getFormat(
                                            expressionItem.expression.fieldName
                                        )
                                      : undefined
                                      : this.locale)
                            : expressionItem.expression.searchVal
                    }}
                </span>
            </igx-chip>
            <div
                class="igx-filter-tree__expression-actions"
                *ngIf="
                    (expressionItem.selected &&
                        selectedExpressions.length === 1) ||
                    expressionItem.hovered
                "
            >
                <igx-icon
                    tabindex="0"
                    (keydown)="invokeClick($event)"
                    (click)="enterExpressionEdit(expressionItem)"
                >
                    edit
                </igx-icon>
                <igx-icon
                    tabindex="0"
                    (keydown)="invokeClick($event)"
                    (click)="enterExpressionAdd(expressionItem)"
                    *ngIf="
                        !expressionItem.inAddMode &&
                        (expressionItem.parent !== currentGroup ||
                            expressionItem !==
                                currentGroup.children[
                                    currentGroup.children.length - 1
                                ])
                    "
                >
                    add
                </igx-icon>
            </div>
        </div>

        <div
            *ngIf="expressionItem.inEditMode"
            #editingInputsContainer
            class="igx-filter-tree__inputs"
        >
            <igx-select
                #fieldSelect
                type="box"
                [displayDensity]="'compact'"
                [overlaySettings]="fieldSelectOverlaySettings"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_column_placeholder
                "
                [(ngModel)]="selectedField"
            >
                <igx-select-item *ngFor="let field of fields" [value]="field">
                    {{ field.label || field.header || field.field }}
                </igx-select-item>
            </igx-select>

            <igx-select
                #conditionSelect
                type="box"
                [displayDensity]="'compact'"
                [overlaySettings]="conditionSelectOverlaySettings"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_condition_placeholder
                "
                [(ngModel)]="selectedCondition"
                [disabled]="!selectedField"
            >
                <igx-prefix
                    *ngIf="
                        selectedField &&
                        conditionSelect.value &&
                        selectedField.filters.condition(conditionSelect.value)
                    "
                >
                    <igx-icon
                        family="imx-icons"
                        [name]="
                            selectedField.filters.condition(
                                conditionSelect.value
                            ).iconName
                        "
                    >
                    </igx-icon>
                </igx-prefix>

                <igx-select-item
                    *ngFor="let condition of getConditionList()"
                    [value]="condition"
                    [text]="getConditionFriendlyName(condition)"
                >
                    <div class="igx-grid__filtering-dropdown-items">
                        <igx-icon
                            family="imx-icons"
                            [name]="
                                selectedField.filters.condition(condition)
                                    .iconName
                            "
                        >
                        </igx-icon>
                        <span class="igx-grid__filtering-dropdown-text">{{
                            getConditionFriendlyName(condition)
                        }}</span>
                    </div>
                </igx-select-item>
            </igx-select>

            <igx-input-group
                *ngIf="
                    !selectedField ||
                    (selectedField.dataType !== 'date' &&
                        selectedField.dataType !== 'time' &&
                        selectedField.dataType !== 'dateTime')
                "
                type="box"
                [displayDensity]="'compact'"
            >
                <input
                    #searchValueInput
                    igxInput
                    [disabled]="
                        !selectedField ||
                        !selectedCondition ||
                        (selectedField &&
                            selectedField.filters.condition(selectedCondition)
                                .isUnary)
                    "
                    [type]="
                        selectedField && selectedField.dataType === 'number'
                            ? 'number'
                            : 'text'
                    "
                    [placeholder]="
                        this.resourceStrings.igx_query_builder_value_placeholder
                    "
                    [(ngModel)]="searchValue"
                />
            </igx-input-group>

            <igx-date-picker
                #picker
                *ngIf="selectedField && selectedField.dataType === 'date'"
                [(value)]="searchValue"
                (keydown)="openPicker($event)"
                (click)="picker.open()"
                type="box"
                [readOnly]="true"
                [displayDensity]="'compact'"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_date_placeholder
                "
                [disabled]="
                    !selectedField ||
                    !selectedCondition ||
                    (selectedField &&
                        selectedField.filters.condition(selectedCondition)
                            .isUnary)
                "
                [locale]="this.locale"
                [outlet]="pickerOutlet"
                [formatter]="selectedField.formatter"
                [displayFormat]="selectedField.pipeArgs.format"
                [weekStart]="selectedField.pipeArgs.weekStart"
            >
                <!-- disable default icons -->
                <igx-picker-toggle></igx-picker-toggle>
                <igx-picker-clear></igx-picker-clear>
            </igx-date-picker>

            <igx-time-picker
                #picker
                *ngIf="selectedField && selectedField.dataType === 'time'"
                [(value)]="searchValue"
                (click)="picker.open()"
                (keydown)="openPicker($event)"
                [displayDensity]="'compact'"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_time_placeholder
                "
                type="box"
                [readOnly]="true"
                [disabled]="
                    !selectedField ||
                    !selectedCondition ||
                    (selectedField &&
                        selectedField.filters.condition(selectedCondition)
                            .isUnary)
                "
                [locale]="this.locale"
                [outlet]="pickerOutlet"
                [formatter]="selectedField.formatter"
                [inputFormat]="selectedField.defaultTimeFormat"
            >
                <!-- disable default icons -->
                <igx-picker-toggle></igx-picker-toggle>
                <igx-picker-clear></igx-picker-clear>
            </igx-time-picker>

            <igx-input-group
                #inputGroup
                type="box"
                *ngIf="selectedField && selectedField.dataType === 'dateTime'"
                type="box"
                [displayDensity]="'compact'"
            >
                <input
                    #input
                    igxInput
                    tabindex="0"
                    [placeholder]="
                        this.resourceStrings.igx_query_builder_date_placeholder
                    "
                    [(ngModel)]="searchValue"
                    [disabled]="
                        !selectedField ||
                        !selectedCondition ||
                        (selectedField &&
                            selectedField.filters.condition(selectedCondition)
                                .isUnary)
                    "
                    [igxDateTimeEditor]="selectedField.defaultDateTimeFormat"
                />
            </igx-input-group>

            <div class="igx-filter-tree__inputs-actions">
                <button type="button"
                    igxIconButton="flat"
                    [style.--component-size]="getComponentSizeStyles()"
                    [disabled]="!operandCanBeCommitted()"
                    (click)="commitOperandEdit()"
                >
                    <igx-icon>check</igx-icon>
                </button>
                <button type="button"
                    igxIconButton="flat"
                    [style.--component-size]="getComponentSizeStyles()"
                    (click)="cancelOperandEdit()"
                >
                    <igx-icon>close</igx-icon>
                </button>
            </div>
        </div>

        <div
            *ngIf="expressionItem.inAddMode"
            #addModeContainer
            class="igx-filter-tree__buttons"
        >
            <ng-container
                *ngTemplateOutlet="
                    addExpressionsTemplate;
                    context: context(expressionItem.parent, expressionItem)
                "
            >
            </ng-container>
            <button type="button"
                igxIconButton="flat"
                [style.--component-size]="getComponentSizeStyles()"
                (click)="cancelOperandAdd()"
            >
                <igx-icon>close</igx-icon>
            </button>
        </div>
    </ng-template>

    <ng-template #expressionTreeTemplate let-expressionItem>
        <div class="igx-filter-tree">
            <div
                tabindex="0"
                class="igx-filter-tree__line"
                [ngClass]="{
                    'igx-filter-tree__line--and': expressionItem.operator === 0,
                    'igx-filter-tree__line--or': expressionItem.operator === 1,
                    'igx-filter-tree__line--selected': expressionItem.selected
                }"
                (keydown)="invokeClick($event)"
                (click)="onGroupClick(expressionItem)"
            ></div>

            <div class="igx-filter-tree__expression">
                <ng-container *ngFor="let expr of expressionItem.children">
                    <ng-container
                        *ngTemplateOutlet="
                            isExpressionGroup(expr)
                                ? expressionTreeTemplate
                                : filterOperandTemplate;
                            context: context(expr)
                        "
                    >
                    </ng-container>
                </ng-container>
                <div
                    *ngIf="currentGroup === expressionItem"
                    #currentGroupButtonsContainer
                    class="igx-filter-tree__buttons"
                >
                    <ng-container
                        *ngTemplateOutlet="
                            addExpressionsTemplate;
                            context: context(expressionItem)
                        "
                    >
                    </ng-container>
                    <button type="button"
                        igxButton="outlined"
                        *ngIf="expressionItem !== rootGroup"
                        [displayDensity]="this.displayDensity"
                        [disabled]="
                            hasEditedExpression ||
                            expressionItem.children.length < 2
                        "
                        (click)="endGroup(expressionItem)"
                    >
                        <span>{{
                            this.resourceStrings.igx_query_builder_end_group
                        }}</span>
                    </button>
                </div>
            </div>
        </div>
    </ng-template>

    <ng-container *ngIf="rootGroup">
        <ng-container
            *ngTemplateOutlet="
                expressionTreeTemplate;
                context: context(rootGroup)
            "
        ></ng-container>
    </ng-container>

    <div
        igxToggle
        class="igx-filter-contextual-menu"
        (keydown)="onKeyDown($event)"
        (closed)="contextMenuClosed()"
        [ngClass]="{
            'igx-filter-contextual-menu--cosy': displayDensity === 'cosy',
            'igx-filter-contextual-menu--compact': displayDensity === 'compact'
        }"
    >
        <button type="button"
            igxIconButton="flat"
            class="igx-filter-contextual-menu__close-btn"
            (click)="clearSelection()"
        >
            <igx-icon>close</igx-icon>
        </button>

        <ng-container *ngIf="contextualGroup">
            <igx-buttongroup
                [displayDensity]="this.displayDensity"
                [values]="filteringLogics"
                type="outline"
                (selected)="selectFilteringLogic($event)"
            >
            </igx-buttongroup>

            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                [disabled]="!contextualGroup.parent"
                (click)="ungroup()"
            >
                <igx-icon family="imx-icons" name="ungroup"></igx-icon>
                <span>{{
                    this.resourceStrings.igx_query_builder_ungroup
                }}</span>
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="deleteGroup()"
                class="igx-filter-contextual-menu__delete-btn"
            >
                <igx-icon>delete</igx-icon>
                <span>{{ this.resourceStrings.igx_query_builder_delete }}</span>
            </button>
        </ng-container>
        <ng-container *ngIf="!contextualGroup">
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="createAndGroup()"
            >
                {{ this.resourceStrings.igx_query_builder_create_and_group }}
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="createOrGroup()"
            >
                {{ this.resourceStrings.igx_query_builder_create_or_group }}
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="deleteFilters()"
                class="igx-filter-contextual-menu__delete-btn"
            >
                {{ this.resourceStrings.igx_query_builder_delete_filters }}
            </button>
        </ng-container>
    </div>
</div>
<div
    #overlayOutlet
    igxOverlayOutlet
    class="igx-query-builder__outlet"
    (pointerdown)="onOutletPointerDown($event)"
></div>
`, dependencies: [{ kind: "directive", type: NgIf28, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxQueryBuilderHeaderComponent, selector: "igx-query-builder-header", inputs: ["title", "showLegend", "resourceStrings"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxSelectComponent, selector: "igx-select", inputs: ["placeholder", "disabled", "overlaySettings", "value", "type"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "ngmodule", type: FormsModule3 }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: NgFor10, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxSelectItemComponent, selector: "igx-select-item", inputs: ["text"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxPickerToggleComponent, selector: "igx-picker-toggle", outputs: ["clicked"] }, { kind: "component", type: IgxPickerClearComponent, selector: "igx-picker-clear" }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: NgTemplateOutlet14, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgClass6, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "component", type: IgxButtonGroupComponent, selector: "igx-buttongroup", inputs: ["id", "itemContentCssClass", "multiSelection", "selectionMode", "values", "disabled", "alignment"], outputs: ["selected", "deselected"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "pipe", type: DatePipe6, name: "date" }, { kind: "pipe", type: IgxFieldFormatterPipe, name: "fieldFormatter" }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i0130.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0130, type: IgxQueryBuilderComponent, decorators: [{
  type: Component52,
  args: [{ selector: "igx-query-builder", standalone: true, imports: [NgIf28, IgxQueryBuilderHeaderComponent, IgxButtonDirective, IgxIconComponent, IgxChipComponent, IgxPrefixDirective, IgxSuffixDirective, IgxSelectComponent, FormsModule3, NgFor10, IgxSelectItemComponent, IgxInputGroupComponent, IgxInputDirective, IgxDatePickerComponent, IgxPickerToggleComponent, IgxPickerClearComponent, IgxTimePickerComponent, IgxDateTimeEditorDirective, NgTemplateOutlet14, NgClass6, IgxToggleDirective, IgxButtonGroupComponent, IgxOverlayOutletDirective, DatePipe6, IgxFieldFormatterPipe, IgxIconButtonDirective], template: `<igx-query-builder-header
    *ngIf="!headerContent"
    [title]="this.resourceStrings.igx_query_builder_title"
>
</igx-query-builder-header>

<ng-content select="igx-query-builder-header"></ng-content>

<div
    #expressionsContainer
    class="igx-query-builder__main"
    (scroll)="onExpressionsScrolled()"
>
    <ng-container *ngIf="!rootGroup">
        <button type="button"
            #addRootAndGroupButton
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            (click)="addAndGroup()"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_and_group }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            (click)="addOrGroup()"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_or_group }}</span>
        </button>

        <div class="igx-filter-empty">
            <h6 class="igx-filter-empty__title">
                {{ this.resourceStrings.igx_query_builder_initial_text }}
            </h6>
        </div>
    </ng-container>

    <ng-template
        #addExpressionsTemplate
        let-expressionItem
        let-afterExpression="afterExpression"
    >
        <button type="button"
            #addConditionButton
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addCondition(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{
                this.resourceStrings.igx_query_builder_add_condition
            }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addAndGroup(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_and_group }}</span>
        </button>

        <button type="button"
            igxButton="outlined"
            [displayDensity]="this.displayDensity"
            [disabled]="hasEditedExpression"
            (click)="addOrGroup(expressionItem, afterExpression)"
        >
            <igx-icon>add</igx-icon>
            <span>{{ this.resourceStrings.igx_query_builder_or_group }}</span>
        </button>
    </ng-template>

    <ng-template #filterOperandTemplate let-expressionItem>
        <div
            *ngIf="!expressionItem.inEditMode"
            class="igx-filter-tree__expression-item"
            (mouseenter)="expressionItem.hovered = true"
            (mouseleave)="expressionItem.hovered = false"
        >
            <igx-chip
                [data]="expressionItem"
                [displayDensity]="
                    displayDensity === 'compact' ? 'cosy' : displayDensity
                "
                [removable]="true"
                [selected]="expressionItem.selected"
                (keydown)="invokeClick($event)"
                (click)="onChipClick(expressionItem)"
                (dblclick)="onChipDblClick(expressionItem)"
                (remove)="onChipRemove(expressionItem)"
                (selectedChanged)="onChipSelectionEnd()"
            >
                <span igxPrefix class="igx-filter-tree__expression-column">{{
                    expressionItem.fieldLabel ||
                        expressionItem.expression.fieldName
                }}</span>
                <igx-prefix>
                    <igx-icon
                        family="imx-icons"
                        [name]="expressionItem.expression.condition.iconName"
                    >
                    </igx-icon>
                </igx-prefix>
                <span class="igx-filter-tree__expression-condition">
                    {{
                        getConditionFriendlyName(
                            expressionItem.expression.condition.name
                        )
                    }}
                </span>
                <span
                    igxSuffix
                    *ngIf="!expressionItem.expression.condition.isUnary"
                >
                    {{
                        isDate(expressionItem.expression.searchVal)
                            ? getFormatter(expressionItem.expression.fieldName)
                                ? (expressionItem.expression.searchVal
                                  | fieldFormatter
                                      : getFormatter(
                                            expressionItem.expression.fieldName
                                        )
                                      : undefined)
                                : (expressionItem.expression.searchVal
                                  | date
                                      : getFormat(
                                            expressionItem.expression.fieldName
                                        )
                                      : undefined
                                      : this.locale)
                            : expressionItem.expression.searchVal
                    }}
                </span>
            </igx-chip>
            <div
                class="igx-filter-tree__expression-actions"
                *ngIf="
                    (expressionItem.selected &&
                        selectedExpressions.length === 1) ||
                    expressionItem.hovered
                "
            >
                <igx-icon
                    tabindex="0"
                    (keydown)="invokeClick($event)"
                    (click)="enterExpressionEdit(expressionItem)"
                >
                    edit
                </igx-icon>
                <igx-icon
                    tabindex="0"
                    (keydown)="invokeClick($event)"
                    (click)="enterExpressionAdd(expressionItem)"
                    *ngIf="
                        !expressionItem.inAddMode &&
                        (expressionItem.parent !== currentGroup ||
                            expressionItem !==
                                currentGroup.children[
                                    currentGroup.children.length - 1
                                ])
                    "
                >
                    add
                </igx-icon>
            </div>
        </div>

        <div
            *ngIf="expressionItem.inEditMode"
            #editingInputsContainer
            class="igx-filter-tree__inputs"
        >
            <igx-select
                #fieldSelect
                type="box"
                [displayDensity]="'compact'"
                [overlaySettings]="fieldSelectOverlaySettings"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_column_placeholder
                "
                [(ngModel)]="selectedField"
            >
                <igx-select-item *ngFor="let field of fields" [value]="field">
                    {{ field.label || field.header || field.field }}
                </igx-select-item>
            </igx-select>

            <igx-select
                #conditionSelect
                type="box"
                [displayDensity]="'compact'"
                [overlaySettings]="conditionSelectOverlaySettings"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_condition_placeholder
                "
                [(ngModel)]="selectedCondition"
                [disabled]="!selectedField"
            >
                <igx-prefix
                    *ngIf="
                        selectedField &&
                        conditionSelect.value &&
                        selectedField.filters.condition(conditionSelect.value)
                    "
                >
                    <igx-icon
                        family="imx-icons"
                        [name]="
                            selectedField.filters.condition(
                                conditionSelect.value
                            ).iconName
                        "
                    >
                    </igx-icon>
                </igx-prefix>

                <igx-select-item
                    *ngFor="let condition of getConditionList()"
                    [value]="condition"
                    [text]="getConditionFriendlyName(condition)"
                >
                    <div class="igx-grid__filtering-dropdown-items">
                        <igx-icon
                            family="imx-icons"
                            [name]="
                                selectedField.filters.condition(condition)
                                    .iconName
                            "
                        >
                        </igx-icon>
                        <span class="igx-grid__filtering-dropdown-text">{{
                            getConditionFriendlyName(condition)
                        }}</span>
                    </div>
                </igx-select-item>
            </igx-select>

            <igx-input-group
                *ngIf="
                    !selectedField ||
                    (selectedField.dataType !== 'date' &&
                        selectedField.dataType !== 'time' &&
                        selectedField.dataType !== 'dateTime')
                "
                type="box"
                [displayDensity]="'compact'"
            >
                <input
                    #searchValueInput
                    igxInput
                    [disabled]="
                        !selectedField ||
                        !selectedCondition ||
                        (selectedField &&
                            selectedField.filters.condition(selectedCondition)
                                .isUnary)
                    "
                    [type]="
                        selectedField && selectedField.dataType === 'number'
                            ? 'number'
                            : 'text'
                    "
                    [placeholder]="
                        this.resourceStrings.igx_query_builder_value_placeholder
                    "
                    [(ngModel)]="searchValue"
                />
            </igx-input-group>

            <igx-date-picker
                #picker
                *ngIf="selectedField && selectedField.dataType === 'date'"
                [(value)]="searchValue"
                (keydown)="openPicker($event)"
                (click)="picker.open()"
                type="box"
                [readOnly]="true"
                [displayDensity]="'compact'"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_date_placeholder
                "
                [disabled]="
                    !selectedField ||
                    !selectedCondition ||
                    (selectedField &&
                        selectedField.filters.condition(selectedCondition)
                            .isUnary)
                "
                [locale]="this.locale"
                [outlet]="pickerOutlet"
                [formatter]="selectedField.formatter"
                [displayFormat]="selectedField.pipeArgs.format"
                [weekStart]="selectedField.pipeArgs.weekStart"
            >
                <!-- disable default icons -->
                <igx-picker-toggle></igx-picker-toggle>
                <igx-picker-clear></igx-picker-clear>
            </igx-date-picker>

            <igx-time-picker
                #picker
                *ngIf="selectedField && selectedField.dataType === 'time'"
                [(value)]="searchValue"
                (click)="picker.open()"
                (keydown)="openPicker($event)"
                [displayDensity]="'compact'"
                [placeholder]="
                    this.resourceStrings.igx_query_builder_time_placeholder
                "
                type="box"
                [readOnly]="true"
                [disabled]="
                    !selectedField ||
                    !selectedCondition ||
                    (selectedField &&
                        selectedField.filters.condition(selectedCondition)
                            .isUnary)
                "
                [locale]="this.locale"
                [outlet]="pickerOutlet"
                [formatter]="selectedField.formatter"
                [inputFormat]="selectedField.defaultTimeFormat"
            >
                <!-- disable default icons -->
                <igx-picker-toggle></igx-picker-toggle>
                <igx-picker-clear></igx-picker-clear>
            </igx-time-picker>

            <igx-input-group
                #inputGroup
                type="box"
                *ngIf="selectedField && selectedField.dataType === 'dateTime'"
                type="box"
                [displayDensity]="'compact'"
            >
                <input
                    #input
                    igxInput
                    tabindex="0"
                    [placeholder]="
                        this.resourceStrings.igx_query_builder_date_placeholder
                    "
                    [(ngModel)]="searchValue"
                    [disabled]="
                        !selectedField ||
                        !selectedCondition ||
                        (selectedField &&
                            selectedField.filters.condition(selectedCondition)
                                .isUnary)
                    "
                    [igxDateTimeEditor]="selectedField.defaultDateTimeFormat"
                />
            </igx-input-group>

            <div class="igx-filter-tree__inputs-actions">
                <button type="button"
                    igxIconButton="flat"
                    [style.--component-size]="getComponentSizeStyles()"
                    [disabled]="!operandCanBeCommitted()"
                    (click)="commitOperandEdit()"
                >
                    <igx-icon>check</igx-icon>
                </button>
                <button type="button"
                    igxIconButton="flat"
                    [style.--component-size]="getComponentSizeStyles()"
                    (click)="cancelOperandEdit()"
                >
                    <igx-icon>close</igx-icon>
                </button>
            </div>
        </div>

        <div
            *ngIf="expressionItem.inAddMode"
            #addModeContainer
            class="igx-filter-tree__buttons"
        >
            <ng-container
                *ngTemplateOutlet="
                    addExpressionsTemplate;
                    context: context(expressionItem.parent, expressionItem)
                "
            >
            </ng-container>
            <button type="button"
                igxIconButton="flat"
                [style.--component-size]="getComponentSizeStyles()"
                (click)="cancelOperandAdd()"
            >
                <igx-icon>close</igx-icon>
            </button>
        </div>
    </ng-template>

    <ng-template #expressionTreeTemplate let-expressionItem>
        <div class="igx-filter-tree">
            <div
                tabindex="0"
                class="igx-filter-tree__line"
                [ngClass]="{
                    'igx-filter-tree__line--and': expressionItem.operator === 0,
                    'igx-filter-tree__line--or': expressionItem.operator === 1,
                    'igx-filter-tree__line--selected': expressionItem.selected
                }"
                (keydown)="invokeClick($event)"
                (click)="onGroupClick(expressionItem)"
            ></div>

            <div class="igx-filter-tree__expression">
                <ng-container *ngFor="let expr of expressionItem.children">
                    <ng-container
                        *ngTemplateOutlet="
                            isExpressionGroup(expr)
                                ? expressionTreeTemplate
                                : filterOperandTemplate;
                            context: context(expr)
                        "
                    >
                    </ng-container>
                </ng-container>
                <div
                    *ngIf="currentGroup === expressionItem"
                    #currentGroupButtonsContainer
                    class="igx-filter-tree__buttons"
                >
                    <ng-container
                        *ngTemplateOutlet="
                            addExpressionsTemplate;
                            context: context(expressionItem)
                        "
                    >
                    </ng-container>
                    <button type="button"
                        igxButton="outlined"
                        *ngIf="expressionItem !== rootGroup"
                        [displayDensity]="this.displayDensity"
                        [disabled]="
                            hasEditedExpression ||
                            expressionItem.children.length < 2
                        "
                        (click)="endGroup(expressionItem)"
                    >
                        <span>{{
                            this.resourceStrings.igx_query_builder_end_group
                        }}</span>
                    </button>
                </div>
            </div>
        </div>
    </ng-template>

    <ng-container *ngIf="rootGroup">
        <ng-container
            *ngTemplateOutlet="
                expressionTreeTemplate;
                context: context(rootGroup)
            "
        ></ng-container>
    </ng-container>

    <div
        igxToggle
        class="igx-filter-contextual-menu"
        (keydown)="onKeyDown($event)"
        (closed)="contextMenuClosed()"
        [ngClass]="{
            'igx-filter-contextual-menu--cosy': displayDensity === 'cosy',
            'igx-filter-contextual-menu--compact': displayDensity === 'compact'
        }"
    >
        <button type="button"
            igxIconButton="flat"
            class="igx-filter-contextual-menu__close-btn"
            (click)="clearSelection()"
        >
            <igx-icon>close</igx-icon>
        </button>

        <ng-container *ngIf="contextualGroup">
            <igx-buttongroup
                [displayDensity]="this.displayDensity"
                [values]="filteringLogics"
                type="outline"
                (selected)="selectFilteringLogic($event)"
            >
            </igx-buttongroup>

            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                [disabled]="!contextualGroup.parent"
                (click)="ungroup()"
            >
                <igx-icon family="imx-icons" name="ungroup"></igx-icon>
                <span>{{
                    this.resourceStrings.igx_query_builder_ungroup
                }}</span>
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="deleteGroup()"
                class="igx-filter-contextual-menu__delete-btn"
            >
                <igx-icon>delete</igx-icon>
                <span>{{ this.resourceStrings.igx_query_builder_delete }}</span>
            </button>
        </ng-container>
        <ng-container *ngIf="!contextualGroup">
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="createAndGroup()"
            >
                {{ this.resourceStrings.igx_query_builder_create_and_group }}
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="createOrGroup()"
            >
                {{ this.resourceStrings.igx_query_builder_create_or_group }}
            </button>
            <button type="button"
                igxButton="outlined"
                [displayDensity]="this.displayDensity"
                (click)="deleteFilters()"
                class="igx-filter-contextual-menu__delete-btn"
            >
                {{ this.resourceStrings.igx_query_builder_delete_filters }}
            </button>
        </ng-container>
    </div>
</div>
<div
    #overlayOutlet
    igxOverlayOutlet
    class="igx-query-builder__outlet"
    (pointerdown)="onOutletPointerDown($event)"
></div>
` }]
}], ctorParameters: () => [{ type: i0130.ChangeDetectorRef }, { type: IgxIconService }, { type: PlatformUtil }, { type: i0130.ElementRef }, { type: void 0, decorators: [{
  type: Inject57,
  args: [LOCALE_ID7]
}] }, { type: void 0, decorators: [{
  type: Optional33
}, {
  type: Inject57,
  args: [DisplayDensityToken]
}] }], propDecorators: { cssClass: [{
  type: HostBinding61,
  args: ["class.igx-query-builder"]
}], display: [{
  type: HostBinding61,
  args: ["style.display"]
}], fields: [{
  type: Input84
}], expressionTree: [{
  type: Input84
}], locale: [{
  type: Input84
}], resourceStrings: [{
  type: Input84
}], expressionTreeChange: [{
  type: Output46
}], fieldSelect: [{
  type: ViewChild27,
  args: ["fieldSelect", { read: IgxSelectComponent }]
}], conditionSelect: [{
  type: ViewChild27,
  args: ["conditionSelect", { read: IgxSelectComponent }]
}], searchValueInput: [{
  type: ViewChild27,
  args: ["searchValueInput", { read: ElementRef60 }]
}], picker: [{
  type: ViewChild27,
  args: ["picker"]
}], addRootAndGroupButton: [{
  type: ViewChild27,
  args: ["addRootAndGroupButton", { read: ElementRef60 }]
}], addConditionButton: [{
  type: ViewChild27,
  args: ["addConditionButton", { read: ElementRef60 }]
}], headerContent: [{
  type: ContentChild13,
  args: [IgxQueryBuilderHeaderComponent]
}], editingInputsContainer: [{
  type: ViewChild27,
  args: ["editingInputsContainer", { read: ElementRef60 }]
}], addModeContainer: [{
  type: ViewChild27,
  args: ["addModeContainer", { read: ElementRef60 }]
}], currentGroupButtonsContainer: [{
  type: ViewChild27,
  args: ["currentGroupButtonsContainer", { read: ElementRef60 }]
}], contextMenuToggle: [{
  type: ViewChild27,
  args: [IgxToggleDirective]
}], chips: [{
  type: ViewChildren9,
  args: [IgxChipComponent]
}], expressionsContainer: [{
  type: ViewChild27,
  args: ["expressionsContainer"]
}], overlayOutlet: [{
  type: ViewChild27,
  args: ["overlayOutlet", { read: IgxOverlayOutletDirective, static: true }]
}] } });

// lib/core/i18n/grid-resources.mjs
var GridResourceStringsEN = {
  igx_grid_groupByArea_message: "Drag a column header and drop it here to group by that column.",
  igx_grid_groupByArea_select_message: "Select all rows in the group with field name {0} and value {1}.",
  igx_grid_groupByArea_deselect_message: "Deselect all rows in the group with field name {0} and value {1}.",
  igx_grid_emptyFilteredGrid_message: "No records found.",
  igx_grid_emptyGrid_message: "Grid has no data.",
  igx_grid_filter: "Filter",
  igx_grid_filter_row_close: "Close",
  igx_grid_filter_row_reset: "Reset",
  igx_grid_filter_row_placeholder: "Add filter value",
  igx_grid_filter_row_boolean_placeholder: "All",
  igx_grid_filter_row_date_placeholder: "Pick up date",
  igx_grid_filter_row_time_placeholder: "Pick up time",
  igx_grid_filter_operator_and: "And",
  igx_grid_filter_operator_or: "Or",
  igx_grid_complex_filter: "Complex Filter",
  igx_grid_filter_contains: "Contains",
  igx_grid_filter_doesNotContain: "Does Not Contain",
  igx_grid_filter_startsWith: "Starts With",
  igx_grid_filter_endsWith: "Ends With",
  igx_grid_filter_equals: "Equals",
  igx_grid_filter_doesNotEqual: "Does Not Equal",
  igx_grid_filter_empty: "Empty",
  igx_grid_filter_notEmpty: "Not Empty",
  igx_grid_filter_null: "Null",
  igx_grid_filter_notNull: "Not Null",
  igx_grid_filter_before: "Before",
  igx_grid_filter_after: "After",
  igx_grid_filter_at: "At",
  igx_grid_filter_not_at: "Not At",
  igx_grid_filter_at_before: "At or Before",
  igx_grid_filter_at_after: "At or After",
  igx_grid_filter_today: "Today",
  igx_grid_filter_yesterday: "Yesterday",
  igx_grid_filter_thisMonth: "This Month",
  igx_grid_filter_lastMonth: "Last Month",
  igx_grid_filter_nextMonth: "Next Month",
  igx_grid_filter_thisYear: "This Year",
  igx_grid_filter_lastYear: "Last Year",
  igx_grid_filter_nextYear: "Next Year",
  igx_grid_filter_greaterThan: "Greater Than",
  igx_grid_filter_lessThan: "Less Than",
  igx_grid_filter_greaterThanOrEqualTo: "Greater Than Or Equal To",
  igx_grid_filter_lessThanOrEqualTo: "Less Than Or Equal To",
  igx_grid_filter_true: "True",
  igx_grid_filter_false: "False",
  igx_grid_filter_all: "All",
  igx_grid_filter_condition_placeholder: "Select filter",
  igx_grid_summary_count: "Count",
  igx_grid_summary_min: "Min",
  igx_grid_summary_max: "Max",
  igx_grid_summary_sum: "Sum",
  igx_grid_summary_average: "Avg",
  igx_grid_summary_earliest: "Earliest",
  igx_grid_summary_latest: "Latest",
  igx_grid_excel_filter_moving_left: "move left",
  igx_grid_excel_filter_moving_left_short: "left",
  igx_grid_excel_filter_moving_right: "move right",
  igx_grid_excel_filter_moving_right_short: "right",
  igx_grid_excel_filter_moving_header: "move",
  igx_grid_excel_filter_sorting_asc: "ascending",
  igx_grid_excel_filter_sorting_asc_short: "asc",
  igx_grid_excel_filter_sorting_desc: "descending",
  igx_grid_excel_filter_sorting_desc_short: "desc",
  igx_grid_excel_filter_sorting_header: "sort",
  igx_grid_excel_filter_clear: "Clear column filters",
  igx_grid_excel_custom_dialog_add: "add filter",
  igx_grid_excel_custom_dialog_clear: "Clear filter",
  igx_grid_excel_custom_dialog_header: "Custom auto-filter on column: ",
  igx_grid_excel_cancel: "cancel",
  igx_grid_excel_apply: "apply",
  igx_grid_excel_search_placeholder: "Search",
  igx_grid_excel_select_all: "Select All",
  igx_grid_excel_select_all_search_results: "Select all search results",
  igx_grid_excel_add_to_filter: "Add current selection to filter",
  igx_grid_excel_blanks: "(Blanks)",
  igx_grid_excel_hide: "Hide column",
  igx_grid_excel_show: "Show column",
  igx_grid_excel_pin: "Pin column",
  igx_grid_excel_unpin: "Unpin column",
  igx_grid_excel_select: "Select column",
  igx_grid_excel_deselect: "Deselect column",
  igx_grid_excel_text_filter: "Text filter",
  igx_grid_excel_number_filter: "Number filter",
  igx_grid_excel_date_filter: "Date filter",
  igx_grid_excel_boolean_filter: "Boolean filter",
  igx_grid_excel_currency_filter: "Currency filter",
  igx_grid_excel_custom_filter: "Custom filter...",
  igx_grid_excel_no_matches: "No matches",
  igx_grid_excel_matches_count: "{0} matches.",
  igx_grid_advanced_filter_title: "Advanced Filtering",
  igx_grid_advanced_filter_and_group: '"And" Group',
  igx_grid_advanced_filter_or_group: '"Or" Group',
  igx_grid_advanced_filter_end_group: "End Group",
  igx_grid_advanced_filter_create_and_group: 'Create "And" Group',
  igx_grid_advanced_filter_create_or_group: 'Create "Or" Group',
  igx_grid_advanced_filter_and_label: "and",
  igx_grid_advanced_filter_or_label: "or",
  igx_grid_advanced_filter_add_condition: "Condition",
  igx_grid_advanced_filter_ungroup: "Ungroup",
  igx_grid_advanced_filter_delete: "Delete",
  igx_grid_advanced_filter_delete_filters: "Delete filters",
  igx_grid_advanced_filter_initial_text: 'Start with creating a group of conditions linked with "And" or "Or"',
  igx_grid_advanced_filter_column_placeholder: "Select column",
  igx_grid_advanced_filter_value_placeholder: "Value",
  igx_grid_pinned_row_indicator: "Pinned",
  igx_grid_hiding_check_all_label: "Show All",
  igx_grid_hiding_uncheck_all_label: "Hide All",
  igx_grid_pinning_check_all_label: "Pin All",
  igx_grid_pinning_uncheck_all_label: "Unpin All",
  igx_grid_row_edit_btn_done: "Done",
  igx_grid_row_edit_btn_cancel: "Cancel",
  igx_grid_toolbar_actions_filter_prompt: "Filter columns list ...",
  igx_grid_toolbar_pinning_button_tooltip: "Open column pinning dropdown",
  igx_grid_toolbar_hiding_button_tooltip: "Open column hiding dropdown",
  igx_grid_toolbar_pinning_title: "Pinned columns",
  igx_grid_toolbar_hiding_title: "Visible columns",
  igx_grid_toolbar_advanced_filtering_button_tooltip: "Open advanced filtering dialog",
  igx_grid_toolbar_advanced_filtering_button_label: "Advanced filtering",
  igx_grid_toolbar_exporter_button_tooltip: "Open exporter dropdown",
  igx_grid_toolbar_exporter_button_label: "Export",
  igx_grid_toolbar_exporter_excel_entry_text: "Export to Excel",
  igx_grid_toolbar_exporter_csv_entry_text: "Export to CSV",
  igx_grid_snackbar_addrow_label: "Row added",
  igx_grid_snackbar_addrow_actiontext: "SHOW",
  igx_grid_actions_edit_label: "Edit",
  igx_grid_actions_add_label: "Add",
  igx_grid_add_row_label: "ADD ROW",
  igx_grid_actions_add_child_label: "Add Child",
  igx_grid_actions_delete_label: "Delete",
  igx_grid_actions_pin_label: "Pin",
  igx_grid_actions_unpin_label: "Unpin",
  igx_grid_actions_jumpUp_label: "Jump up",
  igx_grid_actions_jumpDown_label: "Jump down",
  igx_grid_pivot_date_dimension_total: "All Periods",
  igx_grid_pivot_aggregate_count: "Count",
  igx_grid_pivot_aggregate_min: "Minimum",
  igx_grid_pivot_aggregate_max: "Maximum",
  igx_grid_pivot_aggregate_sum: "Sum",
  igx_grid_pivot_aggregate_avg: "Average",
  igx_grid_pivot_aggregate_date_latest: "Latest Date",
  igx_grid_pivot_aggregate_date_earliest: "Earliest Date",
  igx_grid_pivot_aggregate_time_latest: "Latest Time",
  igx_grid_pivot_aggregate_time_earliest: "Earliest Time",
  igx_grid_pivot_empty_row_drop_area: "Drop Row Fields here.",
  igx_grid_pivot_empty_column_drop_area: "Drop Column Fields here.",
  igx_grid_pivot_empty_filter_drop_area: "Drop Filter Fields here.",
  igx_grid_pivot_empty_value_drop_area: "Drop Value Fields here.",
  igx_grid_pivot_row_drop_chip: "Drop here to use as row",
  igx_grid_pivot_column_drop_chip: "Drop here to use as column",
  igx_grid_pivot_filter_drop_chip: "Drop here to use as filter",
  igx_grid_pivot_value_drop_chip: "Drop here to use as value",
  igx_grid_pivot_empty_message: "Pivot grid has no dimensions and values.",
  igx_grid_pivot_selector_filters: "Filters",
  igx_grid_pivot_selector_rows: "Rows",
  igx_grid_pivot_selector_columns: "Columns",
  igx_grid_pivot_selector_values: "Values",
  igx_grid_pivot_selector_panel_empty: "Drop Items Here",
  igx_grid_required_validation_error: "This field is required",
  igx_grid_min_validation_error: "A value of at least {0} should be entered",
  igx_grid_max_validation_error: "A value no more than {0} should be entered",
  igx_grid_min_length_validation_error: "Entry should be at least {0} character(s) long",
  igx_grid_max_length_validation_error: "Entry should be no more than {0} character(s) long",
  igx_grid_email_validation_error: "A valid email address should be entered",
  igx_grid_pattern_validation_error: "Entry does not match the required pattern"
};

// lib/grids/filtering/advanced-filtering/advanced-filtering-dialog.component.mjs
import { Component as Component53, Input as Input85, ViewChild as ViewChild28, HostBinding as HostBinding62 } from "@angular/core";
import { Subject as Subject34 } from "rxjs";
import { NgIf as NgIf29, NgClass as NgClass7 } from "@angular/common";
import * as i0131 from "@angular/core";
var IgxAdvancedFilteringDialogComponent = class _IgxAdvancedFilteringDialogComponent {
  constructor(cdr, platform) {
    this.cdr = cdr;
    this.platform = platform;
    this.display = "block";
    this.inline = true;
    this.lastActiveNode = {};
    this.destroy$ = new Subject34();
  }
  /**
   * @hidden @internal
   */
  ngAfterViewInit() {
    this.queryBuilder.setPickerOutlet(this.grid.outlet);
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  get displayDensity() {
    return this.grid.displayDensity;
  }
  /**
   * Assigns the grid instance corresponding to the advanced filtering dialog instance.
   */
  set grid(grid) {
    this._grid = grid;
    if (this._grid) {
      this._grid.filteringService.registerSVGIcons();
    }
    this.assignResourceStrings();
  }
  /**
   * Returns the grid.
   */
  get grid() {
    return this._grid;
  }
  /**
   * @hidden @internal
   */
  get filterableFields() {
    return this.grid.columns.filter((column) => !column.columnGroup && column.filterable);
  }
  /**
   * @hidden @internal
   */
  dragStart(dragArgs) {
    if (!this._overlayComponentId) {
      dragArgs.cancel = true;
      return;
    }
  }
  /**
   * @hidden @internal
   */
  onDragMove(e) {
    const deltaX = e.nextPageX - e.pageX;
    const deltaY = e.nextPageY - e.pageY;
    e.cancel = true;
    this._overlayService.setOffset(this._overlayComponentId, deltaX, deltaY);
  }
  /**
   * @hidden @internal
   */
  onKeyDown(eventArgs) {
    eventArgs.stopPropagation();
    const key = eventArgs.key;
    if (this.queryBuilder.isContextMenuVisible && key === this.platform.KEYMAP.ESCAPE) {
      this.queryBuilder.clearSelection();
    } else if (key === this.platform.KEYMAP.ESCAPE) {
      this.closeDialog();
    }
  }
  /**
   * @hidden @internal
   */
  initialize(grid, overlayService, overlayComponentId) {
    this.inline = false;
    this.grid = grid;
    this._overlayService = overlayService;
    this._overlayComponentId = overlayComponentId;
  }
  /**
   * @hidden @internal
   */
  onClearButtonClick(event) {
    this.grid.crudService.endEdit(false, event);
    this.queryBuilder.expressionTree = this.grid.advancedFilteringExpressionsTree = null;
  }
  /**
   * @hidden @internal
   */
  closeDialog() {
    if (this._overlayComponentId) {
      this._overlayService.hide(this._overlayComponentId);
    }
    this.grid.navigation.activeNode = this.lastActiveNode;
    if (this.grid.navigation.activeNode && this.grid.navigation.activeNode.row === -1) {
      this.grid.theadRow.nativeElement.focus();
    }
  }
  /**
   * @hidden @internal
   */
  applyChanges(event) {
    this.grid.crudService.endEdit(false, event);
    this.queryBuilder.exitOperandEdit();
    this.grid.advancedFilteringExpressionsTree = this.queryBuilder.expressionTree;
  }
  /**
   * @hidden @internal
   */
  cancelChanges() {
    this.closeDialog();
  }
  /**
   * @hidden @internal
   */
  onApplyButtonClick(event) {
    this.applyChanges(event);
    this.closeDialog();
  }
  assignResourceStrings() {
    const gridRS = this.grid.resourceStrings;
    if (gridRS !== GridResourceStringsEN) {
      const queryBuilderRS = getCurrentResourceStrings(QueryBuilderResourceStringsEN);
      Object.keys(gridRS).forEach((prop) => {
        const reg = /^igx_grid_(advanced_)?filter_(row_)?/;
        if (!reg.test(prop)) {
          return;
        }
        const affix = prop.replace(reg, "");
        const filterProp = `igx_query_builder_filter_${affix}`;
        const generalProp = `igx_query_builder_${affix}`;
        if (queryBuilderRS[filterProp] !== void 0) {
          queryBuilderRS[filterProp] = gridRS[prop];
        } else if (queryBuilderRS[generalProp] !== void 0) {
          queryBuilderRS[generalProp] = gridRS[prop];
        }
      });
    }
  }
  static {
    this.ɵfac = i0131.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0131, type: _IgxAdvancedFilteringDialogComponent, deps: [{ token: i0131.ChangeDetectorRef }, { token: PlatformUtil }], target: i0131.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0131.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxAdvancedFilteringDialogComponent, isStandalone: true, selector: "igx-advanced-filtering-dialog", inputs: { grid: "grid" }, host: { properties: { "style.display": "this.display" } }, viewQueries: [{ propertyName: "queryBuilder", first: true, predicate: ["queryBuilder"], descendants: true, read: IgxQueryBuilderComponent }], ngImport: i0131, template: `<article *ngIf="grid" class="igx-advanced-filter" igxDrag [ghost]="false" [dragTolerance]="0"
    (dragStart)="dragStart($event)" (dragMove)="onDragMove($event)" (keydown)="onKeyDown($event)"
    [ngClass]="{
        'igx-advanced-filter': true,
        'igx-advanced-filter--inline': inline
    }">
    <igx-query-builder #queryBuilder [locale]="grid.locale"
        [fields]="this.filterableFields"
        [expressionTree]="this.grid.advancedFilteringExpressionsTree">
        <igx-query-builder-header
            [title]="grid.resourceStrings.igx_grid_advanced_filter_title"
            igxDragHandle>
        </igx-query-builder-header>
    </igx-query-builder>

    <footer class="igx-excel-filter__secondary-footer">
        <div class="igx-excel-filter__clear">
            <button igxButton="flat" type="button" [displayDensity]="displayDensity"
                (click)="onClearButtonClick($event)">
                {{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}
            </button>
        </div>
        <div class="igx-excel-filter__cancel">
            <button igxButton="flat" type="button" [displayDensity]="displayDensity" (click)="cancelChanges()">
                {{ grid.resourceStrings.igx_grid_excel_cancel }}
            </button>
        </div>
        <div class="igx-excel-filter__apply">
            <button igxButton="contained" type="button" [displayDensity]="displayDensity"
                (click)="onApplyButtonClick($event)">
                {{ grid.resourceStrings.igx_grid_excel_apply }}
            </button>
        </div>
    </footer>
</article>
`, dependencies: [{ kind: "directive", type: NgIf29, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxDragDirective, selector: "[igxDrag]", inputs: ["igxDrag", "dragTolerance", "dragDirection", "dragChannel", "ghost", "ghostClass", "ghostStyle", "ghostTemplate", "ghostHost", "scrollContainer", "ghostOffsetX", "ghostOffsetY"], outputs: ["dragStart", "dragMove", "dragEnd", "dragClick", "ghostCreate", "ghostDestroy", "transitioned"], exportAs: ["drag"] }, { kind: "directive", type: NgClass7, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxQueryBuilderComponent, selector: "igx-query-builder", inputs: ["fields", "expressionTree", "locale", "resourceStrings"], outputs: ["expressionTreeChange"] }, { kind: "component", type: IgxQueryBuilderHeaderComponent, selector: "igx-query-builder-header", inputs: ["title", "showLegend", "resourceStrings"] }, { kind: "directive", type: IgxDragHandleDirective, selector: "[igxDragHandle]" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }] });
  }
};
i0131.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0131, type: IgxAdvancedFilteringDialogComponent, decorators: [{
  type: Component53,
  args: [{ selector: "igx-advanced-filtering-dialog", standalone: true, imports: [NgIf29, IgxDragDirective, NgClass7, IgxQueryBuilderComponent, IgxQueryBuilderHeaderComponent, IgxDragHandleDirective, IgxButtonDirective], template: `<article *ngIf="grid" class="igx-advanced-filter" igxDrag [ghost]="false" [dragTolerance]="0"
    (dragStart)="dragStart($event)" (dragMove)="onDragMove($event)" (keydown)="onKeyDown($event)"
    [ngClass]="{
        'igx-advanced-filter': true,
        'igx-advanced-filter--inline': inline
    }">
    <igx-query-builder #queryBuilder [locale]="grid.locale"
        [fields]="this.filterableFields"
        [expressionTree]="this.grid.advancedFilteringExpressionsTree">
        <igx-query-builder-header
            [title]="grid.resourceStrings.igx_grid_advanced_filter_title"
            igxDragHandle>
        </igx-query-builder-header>
    </igx-query-builder>

    <footer class="igx-excel-filter__secondary-footer">
        <div class="igx-excel-filter__clear">
            <button igxButton="flat" type="button" [displayDensity]="displayDensity"
                (click)="onClearButtonClick($event)">
                {{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}
            </button>
        </div>
        <div class="igx-excel-filter__cancel">
            <button igxButton="flat" type="button" [displayDensity]="displayDensity" (click)="cancelChanges()">
                {{ grid.resourceStrings.igx_grid_excel_cancel }}
            </button>
        </div>
        <div class="igx-excel-filter__apply">
            <button igxButton="contained" type="button" [displayDensity]="displayDensity"
                (click)="onApplyButtonClick($event)">
                {{ grid.resourceStrings.igx_grid_excel_apply }}
            </button>
        </div>
    </footer>
</article>
` }]
}], ctorParameters: () => [{ type: i0131.ChangeDetectorRef }, { type: PlatformUtil }], propDecorators: { queryBuilder: [{
  type: ViewChild28,
  args: ["queryBuilder", { read: IgxQueryBuilderComponent }]
}], display: [{
  type: HostBinding62,
  args: ["style.display"]
}], grid: [{
  type: Input85
}] } });

// lib/grids/filtering/excel-style/base-filtering.component.mjs
import { Directive as Directive60 } from "@angular/core";
import * as i0132 from "@angular/core";
var BaseFilteringComponent = class _BaseFilteringComponent {
  constructor(cdr, element, platform) {
    this.cdr = cdr;
    this.element = element;
    this.platform = platform;
  }
  static {
    this.ɵfac = i0132.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0132, type: _BaseFilteringComponent, deps: [{ token: i0132.ChangeDetectorRef }, { token: i0132.ElementRef }, { token: PlatformUtil }], target: i0132.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0132.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _BaseFilteringComponent, ngImport: i0132 });
  }
};
i0132.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0132, type: BaseFilteringComponent, decorators: [{
  type: Directive60
}], ctorParameters: () => [{ type: i0132.ChangeDetectorRef }, { type: i0132.ElementRef }, { type: PlatformUtil }] });

// lib/grids/filtering/excel-style/excel-style-clear-filters.component.mjs
import { Component as Component54 } from "@angular/core";
import { NgIf as NgIf30, NgClass as NgClass8 } from "@angular/common";
import * as i0133 from "@angular/core";
var IgxExcelStyleClearFiltersComponent = class _IgxExcelStyleClearFiltersComponent {
  constructor(esf, platform) {
    this.esf = esf;
    this.platform = platform;
  }
  /**
   * @hidden @internal
   */
  clearFilterClass() {
    if (this.esf.column.filteringExpressionsTree) {
      return "igx-excel-filter__actions-clear";
    }
    return "igx-excel-filter__actions-clear--disabled";
  }
  /**
   * @hidden @internal
   */
  clearFilter() {
    this.esf.grid.filteringService.clearFilter(this.esf.column.field);
    this.selectAllFilterItems();
  }
  /**
   * @hidden @internal
   */
  onClearFilterKeyDown(eventArgs) {
    if (eventArgs.key === this.platform.KEYMAP.ENTER) {
      this.clearFilter();
    }
  }
  selectAllFilterItems() {
    this.esf.listData.forEach((filterListItem) => {
      filterListItem.isSelected = true;
      filterListItem.indeterminate = false;
    });
    this.esf.detectChanges();
  }
  static {
    this.ɵfac = i0133.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0133, type: _IgxExcelStyleClearFiltersComponent, deps: [{ token: BaseFilteringComponent }, { token: PlatformUtil }], target: i0133.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0133.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleClearFiltersComponent, isStandalone: true, selector: "igx-excel-style-clear-filters", ngImport: i0133, template: '<div *ngIf="esf.column"\n    tabindex="0"\n    [ngClass]="clearFilterClass()"\n    (keydown)="onClearFilterKeyDown($event)"\n    (click)="clearFilter()"\n    role="menuitem"\n    [attr.aria-disabled]="!this.esf.column.filteringExpressionsTree">\n    <span>{{ esf.grid.resourceStrings.igx_grid_excel_filter_clear }}</span>\n    <igx-icon>clear</igx-icon>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf30, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass8, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0133.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0133, type: IgxExcelStyleClearFiltersComponent, decorators: [{
  type: Component54,
  args: [{ selector: "igx-excel-style-clear-filters", standalone: true, imports: [NgIf30, NgClass8, IgxIconComponent], template: '<div *ngIf="esf.column"\n    tabindex="0"\n    [ngClass]="clearFilterClass()"\n    (keydown)="onClearFilterKeyDown($event)"\n    (click)="clearFilter()"\n    role="menuitem"\n    [attr.aria-disabled]="!this.esf.column.filteringExpressionsTree">\n    <span>{{ esf.grid.resourceStrings.igx_grid_excel_filter_clear }}</span>\n    <igx-icon>clear</igx-icon>\n</div>\n' }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }, { type: PlatformUtil }] });

// lib/grids/filtering/excel-style/excel-style-default-expression.component.mjs
import { Component as Component55, Input as Input86, Output as Output47, EventEmitter as EventEmitter57, ViewChild as ViewChild29 } from "@angular/core";
import { NgIf as NgIf31, NgFor as NgFor11 } from "@angular/common";
import * as i0134 from "@angular/core";
var IgxExcelStyleDefaultExpressionComponent = class _IgxExcelStyleDefaultExpressionComponent {
  get isLast() {
    return this.expressionsList[this.expressionsList.length - 1] === this.expressionUI;
  }
  get isSingle() {
    return this.expressionsList.length === 1;
  }
  get conditionsPlaceholder() {
    return this.grid.resourceStrings["igx_grid_filter_condition_placeholder"];
  }
  get inputValuePlaceholder() {
    return this.grid.resourceStrings["igx_grid_filter_row_placeholder"];
  }
  get type() {
    switch (this.column.dataType) {
      case GridColumnDataType.Number:
      case GridColumnDataType.Currency:
      case GridColumnDataType.Percent:
        return "number";
      default:
        return "text";
    }
  }
  constructor(cdr, platform) {
    this.cdr = cdr;
    this.platform = platform;
    this.expressionRemoved = new EventEmitter57();
    this.logicOperatorChanged = new EventEmitter57();
    this.dropDownOverlaySettings = {
      scrollStrategy: new AbsoluteScrollStrategy(),
      modal: false,
      closeOnOutsideClick: true
    };
  }
  get conditions() {
    return this.column.filters.conditionList();
  }
  get inputValuesElement() {
    return this.inputValuesDirective.nativeElement;
  }
  ngAfterViewInit() {
    this.dropDownOverlaySettings.outlet = this.overlayOutlet;
    this.dropDownOverlaySettings.target = this.dropdownConditions.inputGroup.element.nativeElement;
    this.dropDownOverlaySettings.excludeFromOutsideClick = [this.dropdownConditions.inputGroup.element.nativeElement];
    this.dropDownOverlaySettings.positionStrategy = new ConnectedPositioningStrategy();
  }
  focus() {
    requestAnimationFrame(() => this.inputValuesElement.focus());
  }
  translateCondition(value) {
    return this.grid.resourceStrings[`igx_grid_filter_${this.getCondition(value).name}`] || value;
  }
  getIconName() {
    if (this.column.dataType === GridColumnDataType.Boolean && this.expressionUI.expression.condition === null) {
      return this.getCondition(this.conditions[0]).iconName;
    } else if (!this.expressionUI.expression.condition) {
      return "filter_list";
    } else {
      return this.expressionUI.expression.condition.iconName;
    }
  }
  isConditionSelected(conditionName) {
    return this.expressionUI.expression.condition && this.expressionUI.expression.condition.name === conditionName;
  }
  onConditionsChanged(eventArgs) {
    const value = eventArgs.newSelection.value;
    this.expressionUI.expression.condition = this.getCondition(value);
    this.focus();
  }
  getCondition(value) {
    return this.column.filters.condition(value);
  }
  getConditionFriendlyName(name) {
    return this.grid.resourceStrings[`igx_grid_filter_${name}`] || name;
  }
  onValuesInput(eventArgs) {
    this.expressionUI.expression.searchVal = DataUtil.parseValue(this.column.dataType, eventArgs.target.value);
  }
  onLogicOperatorButtonClicked(eventArgs, buttonIndex) {
    if (this.logicOperatorButtonGroup.selectedButtons.length === 0) {
      eventArgs.stopPropagation();
      this.logicOperatorButtonGroup.selectButton(buttonIndex);
    } else {
      this.logicOperatorChanged.emit({
        target: this.expressionUI,
        newValue: buttonIndex
      });
    }
  }
  onLogicOperatorKeyDown(eventArgs, buttonIndex) {
    if (eventArgs.key === this.platform.KEYMAP.ENTER) {
      this.logicOperatorButtonGroup.selectButton(buttonIndex);
      this.logicOperatorChanged.emit({
        target: this.expressionUI,
        newValue: buttonIndex
      });
    }
  }
  onRemoveButtonClick() {
    this.expressionRemoved.emit(this.expressionUI);
  }
  onOutletPointerDown(event) {
    event.preventDefault();
  }
  static {
    this.ɵfac = i0134.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0134, type: _IgxExcelStyleDefaultExpressionComponent, deps: [{ token: i0134.ChangeDetectorRef }, { token: PlatformUtil }], target: i0134.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0134.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleDefaultExpressionComponent, isStandalone: true, selector: "igx-excel-style-default-expression", inputs: { column: "column", expressionUI: "expressionUI", expressionsList: "expressionsList", grid: "grid", displayDensity: "displayDensity" }, outputs: { expressionRemoved: "expressionRemoved", logicOperatorChanged: "logicOperatorChanged" }, viewQueries: [{ propertyName: "overlayOutlet", first: true, predicate: ["overlayOutlet"], descendants: true, read: IgxOverlayOutletDirective, static: true }, { propertyName: "dropdownConditions", first: true, predicate: ["dropdownConditions"], descendants: true, read: IgxSelectComponent, static: true }, { propertyName: "logicOperatorButtonGroup", first: true, predicate: ["logicOperatorButtonGroup"], descendants: true, read: IgxButtonGroupComponent }, { propertyName: "inputValuesDirective", first: true, predicate: ["inputValues"], descendants: true, read: IgxInputDirective, static: true }], ngImport: i0134, template: '<igx-select #dropdownConditions\n        type="box"\n        [displayDensity]="displayDensity"\n        [placeholder]="conditionsPlaceholder"\n        (selectionChanging)="onConditionsChanged($event)"\n        [overlaySettings]="dropDownOverlaySettings">\n    <igx-prefix>\n        <igx-icon *ngIf="expressionUI.expression.condition" family="imx-icons" [name]="getIconName()"></igx-icon>\n        <igx-icon *ngIf="!expressionUI.expression.condition">filter_list</igx-icon>\n    </igx-prefix>\n    <igx-select-item *ngFor="let condition of conditions" [value]="condition" [text]="getConditionFriendlyName(condition)" [selected]="isConditionSelected(condition)">\n        <div class="igx-grid__filtering-dropdown-items">\n            <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>\n            <span class="igx-grid__filtering-dropdown-text">{{translateCondition(condition)}}</span>\n        </div>\n    </igx-select-item>\n</igx-select>\n\n<igx-input-group #inputGroupValues type="box" [displayDensity]="displayDensity">\n    <input\n        #inputValues\n        igxInput\n        [type]="type"\n        tabindex="0"\n        [placeholder]="inputValuePlaceholder"\n        [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"\n        autocomplete="off"\n        [value]="expressionUI.expression.searchVal"\n        (input)="onValuesInput($event)"\n    />\n</igx-input-group>\n\n<button type="button" (click)="onRemoveButtonClick()" igxIconButton="flat" *ngIf="!isSingle">\n    <igx-icon>cancel</igx-icon>\n</button>\n\n<igx-buttongroup #logicOperatorButtonGroup\n    *ngIf="!isLast">\n    <span igxButton [displayDensity]="displayDensity"\n        tabindex="0"\n        #andButton\n        (keydown)="onLogicOperatorKeyDown($event, 0)"\n        [selected]="expressionUI.afterOperator === 0"\n        type="button"\n        (click)="onLogicOperatorButtonClicked($event, 0)">\n        {{ grid.resourceStrings.igx_grid_filter_operator_and }}\n    </span>\n\n    <span igxButton [displayDensity]="displayDensity"\n        tabindex="0"\n        #orButton\n        (keydown)="onLogicOperatorKeyDown($event, 1)"\n        [selected]="expressionUI.afterOperator === 1"\n        type="button"\n        (click)="onLogicOperatorButtonClicked($event, 1)">\n        {{ grid.resourceStrings.igx_grid_filter_operator_or }}\n    </span>\n</igx-buttongroup>\n\n<div #overlayOutlet\n     igxOverlayOutlet\n     (pointerdown)="onOutletPointerDown($event)">\n</div>\n', dependencies: [{ kind: "component", type: IgxSelectComponent, selector: "igx-select", inputs: ["placeholder", "disabled", "overlaySettings", "value", "type"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: NgIf31, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgFor11, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxSelectItemComponent, selector: "igx-select-item", inputs: ["text"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxButtonGroupComponent, selector: "igx-buttongroup", inputs: ["id", "itemContentCssClass", "multiSelection", "selectionMode", "values", "disabled", "alignment"], outputs: ["selected", "deselected"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i0134.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0134, type: IgxExcelStyleDefaultExpressionComponent, decorators: [{
  type: Component55,
  args: [{ selector: "igx-excel-style-default-expression", standalone: true, imports: [IgxSelectComponent, IgxPrefixDirective, NgIf31, IgxIconComponent, NgFor11, IgxSelectItemComponent, IgxInputGroupComponent, IgxInputDirective, IgxButtonDirective, IgxButtonGroupComponent, IgxOverlayOutletDirective, IgxIconButtonDirective], template: '<igx-select #dropdownConditions\n        type="box"\n        [displayDensity]="displayDensity"\n        [placeholder]="conditionsPlaceholder"\n        (selectionChanging)="onConditionsChanged($event)"\n        [overlaySettings]="dropDownOverlaySettings">\n    <igx-prefix>\n        <igx-icon *ngIf="expressionUI.expression.condition" family="imx-icons" [name]="getIconName()"></igx-icon>\n        <igx-icon *ngIf="!expressionUI.expression.condition">filter_list</igx-icon>\n    </igx-prefix>\n    <igx-select-item *ngFor="let condition of conditions" [value]="condition" [text]="getConditionFriendlyName(condition)" [selected]="isConditionSelected(condition)">\n        <div class="igx-grid__filtering-dropdown-items">\n            <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>\n            <span class="igx-grid__filtering-dropdown-text">{{translateCondition(condition)}}</span>\n        </div>\n    </igx-select-item>\n</igx-select>\n\n<igx-input-group #inputGroupValues type="box" [displayDensity]="displayDensity">\n    <input\n        #inputValues\n        igxInput\n        [type]="type"\n        tabindex="0"\n        [placeholder]="inputValuePlaceholder"\n        [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"\n        autocomplete="off"\n        [value]="expressionUI.expression.searchVal"\n        (input)="onValuesInput($event)"\n    />\n</igx-input-group>\n\n<button type="button" (click)="onRemoveButtonClick()" igxIconButton="flat" *ngIf="!isSingle">\n    <igx-icon>cancel</igx-icon>\n</button>\n\n<igx-buttongroup #logicOperatorButtonGroup\n    *ngIf="!isLast">\n    <span igxButton [displayDensity]="displayDensity"\n        tabindex="0"\n        #andButton\n        (keydown)="onLogicOperatorKeyDown($event, 0)"\n        [selected]="expressionUI.afterOperator === 0"\n        type="button"\n        (click)="onLogicOperatorButtonClicked($event, 0)">\n        {{ grid.resourceStrings.igx_grid_filter_operator_and }}\n    </span>\n\n    <span igxButton [displayDensity]="displayDensity"\n        tabindex="0"\n        #orButton\n        (keydown)="onLogicOperatorKeyDown($event, 1)"\n        [selected]="expressionUI.afterOperator === 1"\n        type="button"\n        (click)="onLogicOperatorButtonClicked($event, 1)">\n        {{ grid.resourceStrings.igx_grid_filter_operator_or }}\n    </span>\n</igx-buttongroup>\n\n<div #overlayOutlet\n     igxOverlayOutlet\n     (pointerdown)="onOutletPointerDown($event)">\n</div>\n' }]
}], ctorParameters: () => [{ type: i0134.ChangeDetectorRef }, { type: PlatformUtil }], propDecorators: { column: [{
  type: Input86
}], expressionUI: [{
  type: Input86
}], expressionsList: [{
  type: Input86
}], grid: [{
  type: Input86
}], displayDensity: [{
  type: Input86
}], expressionRemoved: [{
  type: Output47
}], logicOperatorChanged: [{
  type: Output47
}], overlayOutlet: [{
  type: ViewChild29,
  args: ["overlayOutlet", { read: IgxOverlayOutletDirective, static: true }]
}], dropdownConditions: [{
  type: ViewChild29,
  args: ["dropdownConditions", { read: IgxSelectComponent, static: true }]
}], logicOperatorButtonGroup: [{
  type: ViewChild29,
  args: ["logicOperatorButtonGroup", { read: IgxButtonGroupComponent }]
}], inputValuesDirective: [{
  type: ViewChild29,
  args: ["inputValues", { read: IgxInputDirective, static: true }]
}] } });

// lib/grids/filtering/excel-style/excel-style-date-expression.component.mjs
import { Component as Component56, ViewChild as ViewChild30 } from "@angular/core";
import { getLocaleFirstDayOfWeek as getLocaleFirstDayOfWeek4, NgIf as NgIf32, NgFor as NgFor12 } from "@angular/common";
import { FormsModule as FormsModule4 } from "@angular/forms";
import * as i0135 from "@angular/core";
import * as i18 from "@angular/forms";
var IgxExcelStyleDateExpressionComponent = class _IgxExcelStyleDateExpressionComponent extends IgxExcelStyleDefaultExpressionComponent {
  get inputValuesElement() {
    return this.picker?.getEditElement() || this.input?.nativeElement;
  }
  get inputDatePlaceholder() {
    return this.grid.resourceStrings["igx_grid_filter_row_date_placeholder"];
  }
  get inputTimePlaceholder() {
    return this.grid.resourceStrings["igx_grid_filter_row_time_placeholder"];
  }
  get weekStart() {
    return getLocaleFirstDayOfWeek4(this.grid.locale);
  }
  static {
    this.ɵfac = i0135.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0135, type: _IgxExcelStyleDateExpressionComponent, deps: null, target: i0135.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0135.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleDateExpressionComponent, isStandalone: true, selector: "igx-excel-style-date-expression", viewQueries: [{ propertyName: "input", first: true, predicate: ["input"], descendants: true, read: IgxInputDirective }, { propertyName: "picker", first: true, predicate: ["picker"], descendants: true }], usesInheritance: true, ngImport: i0135, template: `<igx-select #dropdownConditions
        type="box"
        [displayDensity]="displayDensity"
        [placeholder]="conditionsPlaceholder"
        (selectionChanging)="onConditionsChanged($event)"
        [overlaySettings]="dropDownOverlaySettings">
    <igx-prefix>
        <igx-icon *ngIf="expressionUI.expression.condition" family="imx-icons" [name]="getIconName()"></igx-icon>
        <igx-icon *ngIf="!expressionUI.expression.condition">filter_list</igx-icon>
    </igx-prefix>
    <igx-select-item *ngFor="let condition of conditions" [value]="condition" [text]="getConditionFriendlyName(condition)" [selected]="isConditionSelected(condition)">
        <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
        <span>{{translateCondition(condition)}}</span>
    </igx-select-item>
</igx-select>

<igx-date-picker #picker *ngIf="column.dataType === 'date'"
    [weekStart]="column.pipeArgs.weekStart ?? weekStart"
    [(value)]="expressionUI.expression.searchVal"
    [locale]="grid.locale"
    [outlet]="grid.outlet"
    [displayDensity]="displayDensity"
    (click)="picker.open()"
    [readOnly]="true"
    [placeholder]="inputDatePlaceholder"
    [displayFormat]="column.pipeArgs.format"
    [formatter]="column.formatter"
    [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"
    type="box">
     <!-- disable default icons -->
     <igx-picker-toggle></igx-picker-toggle>
     <igx-picker-clear></igx-picker-clear>
</igx-date-picker>

<igx-time-picker #picker *ngIf="column.dataType === 'time'"
    [inputFormat]="column.defaultTimeFormat"
    [(value)]="expressionUI.expression.searchVal"
    [locale]="grid.locale"
    [outlet]="grid.outlet"
    [displayDensity]="displayDensity"
    (click)="picker.open()"
    [readOnly]="true"
    [placeholder]="inputTimePlaceholder"
    [displayFormat]="column.pipeArgs.format"
    [formatter]="column.formatter"
    [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"
    type="box">
     <!-- disable default icons -->
     <igx-picker-toggle></igx-picker-toggle>
     <igx-picker-clear></igx-picker-clear>
</igx-time-picker>

<igx-input-group #dropDownTarget *ngIf="column.dataType === 'dateTime'" #inputGroup type="box" [displayDensity]="displayDensity">
    <input #input igxInput tabindex="0"
        [placeholder]="inputDatePlaceholder"
        [igxDateTimeEditor]="column.defaultDateTimeFormat"
        [(ngModel)]="expressionUI.expression.searchVal"
        [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"/>
</igx-input-group>

<button type="button" (click)="onRemoveButtonClick()" igxIconButton="flat" *ngIf="!isSingle" >
    <igx-icon>cancel</igx-icon>
</button>

<igx-buttongroup #logicOperatorButtonGroup
    *ngIf="!isLast">
    <span igxButton [displayDensity]="displayDensity"
        #andButton
        (keydown)="onLogicOperatorKeyDown($event, 0)"
        tabindex="0"
        [selected]="expressionUI.afterOperator === 0"
        type="button"
        (click)="onLogicOperatorButtonClicked($event, 0)">
        {{ grid.resourceStrings.igx_grid_filter_operator_and }}
    </span>

    <span igxButton [displayDensity]="displayDensity"
        #orButton
        tabindex="0"
        (keydown)="onLogicOperatorKeyDown($event, 1)"
        [selected]="expressionUI.afterOperator === 1"
        type="button"
        (click)="onLogicOperatorButtonClicked($event, 1)">
        {{ grid.resourceStrings.igx_grid_filter_operator_or }}
    </span>
</igx-buttongroup>

<div #overlayOutlet
     igxOverlayOutlet
     (pointerdown)="onOutletPointerDown($event)">
</div>
`, dependencies: [{ kind: "component", type: IgxSelectComponent, selector: "igx-select", inputs: ["placeholder", "disabled", "overlaySettings", "value", "type"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: NgIf32, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgFor12, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxSelectItemComponent, selector: "igx-select-item", inputs: ["text"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxPickerToggleComponent, selector: "igx-picker-toggle", outputs: ["clicked"] }, { kind: "component", type: IgxPickerClearComponent, selector: "igx-picker-clear" }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "ngmodule", type: FormsModule4 }, { kind: "directive", type: i18.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i18.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i18.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxButtonGroupComponent, selector: "igx-buttongroup", inputs: ["id", "itemContentCssClass", "multiSelection", "selectionMode", "values", "disabled", "alignment"], outputs: ["selected", "deselected"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i0135.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0135, type: IgxExcelStyleDateExpressionComponent, decorators: [{
  type: Component56,
  args: [{ selector: "igx-excel-style-date-expression", standalone: true, imports: [IgxSelectComponent, IgxPrefixDirective, NgIf32, IgxIconComponent, NgFor12, IgxSelectItemComponent, IgxDatePickerComponent, IgxPickerToggleComponent, IgxPickerClearComponent, IgxTimePickerComponent, IgxInputGroupComponent, FormsModule4, IgxInputDirective, IgxDateTimeEditorDirective, IgxButtonDirective, IgxButtonGroupComponent, IgxOverlayOutletDirective, IgxIconButtonDirective], template: `<igx-select #dropdownConditions
        type="box"
        [displayDensity]="displayDensity"
        [placeholder]="conditionsPlaceholder"
        (selectionChanging)="onConditionsChanged($event)"
        [overlaySettings]="dropDownOverlaySettings">
    <igx-prefix>
        <igx-icon *ngIf="expressionUI.expression.condition" family="imx-icons" [name]="getIconName()"></igx-icon>
        <igx-icon *ngIf="!expressionUI.expression.condition">filter_list</igx-icon>
    </igx-prefix>
    <igx-select-item *ngFor="let condition of conditions" [value]="condition" [text]="getConditionFriendlyName(condition)" [selected]="isConditionSelected(condition)">
        <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
        <span>{{translateCondition(condition)}}</span>
    </igx-select-item>
</igx-select>

<igx-date-picker #picker *ngIf="column.dataType === 'date'"
    [weekStart]="column.pipeArgs.weekStart ?? weekStart"
    [(value)]="expressionUI.expression.searchVal"
    [locale]="grid.locale"
    [outlet]="grid.outlet"
    [displayDensity]="displayDensity"
    (click)="picker.open()"
    [readOnly]="true"
    [placeholder]="inputDatePlaceholder"
    [displayFormat]="column.pipeArgs.format"
    [formatter]="column.formatter"
    [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"
    type="box">
     <!-- disable default icons -->
     <igx-picker-toggle></igx-picker-toggle>
     <igx-picker-clear></igx-picker-clear>
</igx-date-picker>

<igx-time-picker #picker *ngIf="column.dataType === 'time'"
    [inputFormat]="column.defaultTimeFormat"
    [(value)]="expressionUI.expression.searchVal"
    [locale]="grid.locale"
    [outlet]="grid.outlet"
    [displayDensity]="displayDensity"
    (click)="picker.open()"
    [readOnly]="true"
    [placeholder]="inputTimePlaceholder"
    [displayFormat]="column.pipeArgs.format"
    [formatter]="column.formatter"
    [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"
    type="box">
     <!-- disable default icons -->
     <igx-picker-toggle></igx-picker-toggle>
     <igx-picker-clear></igx-picker-clear>
</igx-time-picker>

<igx-input-group #dropDownTarget *ngIf="column.dataType === 'dateTime'" #inputGroup type="box" [displayDensity]="displayDensity">
    <input #input igxInput tabindex="0"
        [placeholder]="inputDatePlaceholder"
        [igxDateTimeEditor]="column.defaultDateTimeFormat"
        [(ngModel)]="expressionUI.expression.searchVal"
        [disabled]="expressionUI.expression.condition && expressionUI.expression.condition.isUnary"/>
</igx-input-group>

<button type="button" (click)="onRemoveButtonClick()" igxIconButton="flat" *ngIf="!isSingle" >
    <igx-icon>cancel</igx-icon>
</button>

<igx-buttongroup #logicOperatorButtonGroup
    *ngIf="!isLast">
    <span igxButton [displayDensity]="displayDensity"
        #andButton
        (keydown)="onLogicOperatorKeyDown($event, 0)"
        tabindex="0"
        [selected]="expressionUI.afterOperator === 0"
        type="button"
        (click)="onLogicOperatorButtonClicked($event, 0)">
        {{ grid.resourceStrings.igx_grid_filter_operator_and }}
    </span>

    <span igxButton [displayDensity]="displayDensity"
        #orButton
        tabindex="0"
        (keydown)="onLogicOperatorKeyDown($event, 1)"
        [selected]="expressionUI.afterOperator === 1"
        type="button"
        (click)="onLogicOperatorButtonClicked($event, 1)">
        {{ grid.resourceStrings.igx_grid_filter_operator_or }}
    </span>
</igx-buttongroup>

<div #overlayOutlet
     igxOverlayOutlet
     (pointerdown)="onOutletPointerDown($event)">
</div>
` }]
}], propDecorators: { input: [{
  type: ViewChild30,
  args: ["input", { read: IgxInputDirective, static: false }]
}], picker: [{
  type: ViewChild30,
  args: ["picker"]
}] } });

// lib/grids/filtering/excel-style/common.mjs
var FilterListItem = class {
  constructor() {
    this.isSpecial = false;
    this.isBlanks = false;
  }
};
var ExpressionUI = class {
  constructor() {
    this.isSelected = false;
    this.isVisible = true;
  }
};
var ActiveElement = class {
};
function generateExpressionsList(expressions, operator, expressionsUIs) {
  generateExpressionsListRecursive(expressions, operator, expressionsUIs);
  if (expressionsUIs.length) {
    expressionsUIs[expressionsUIs.length - 1].afterOperator = null;
  }
}
function generateExpressionsListRecursive(expressions, operator, expressionsUIs) {
  if (!expressions) {
    return;
  }
  if (expressions instanceof FilteringExpressionsTree) {
    const expressionsTree = expressions;
    for (const operand of expressionsTree.filteringOperands) {
      generateExpressionsListRecursive(operand, expressionsTree.operator, expressionsUIs);
    }
    if (expressionsUIs.length) {
      expressionsUIs[expressionsUIs.length - 1].afterOperator = operator;
    }
  } else {
    const exprUI = new ExpressionUI();
    exprUI.expression = expressions;
    exprUI.afterOperator = operator;
    const prevExprUI = expressionsUIs[expressionsUIs.length - 1];
    if (prevExprUI) {
      exprUI.beforeOperator = prevExprUI.afterOperator;
    }
    expressionsUIs.push(exprUI);
  }
}

// lib/grids/filtering/excel-style/excel-style-custom-dialog.component.mjs
import { Component as Component57, Input as Input87, ViewChild as ViewChild31, TemplateRef as TemplateRef12, ViewChildren as ViewChildren10 } from "@angular/core";
import { NgClass as NgClass9, NgIf as NgIf33, NgFor as NgFor13 } from "@angular/common";
import * as i0136 from "@angular/core";
var IgxExcelStyleCustomDialogComponent = class _IgxExcelStyleCustomDialogComponent {
  constructor(overlayService, cdr, platform) {
    this.overlayService = overlayService;
    this.cdr = cdr;
    this.platform = platform;
    this.expressionsList = new Array();
    this._customDialogPositionSettings = {
      verticalDirection: VerticalAlignment.Middle,
      horizontalDirection: HorizontalAlignment.Center,
      horizontalStartPoint: HorizontalAlignment.Center,
      verticalStartPoint: VerticalAlignment.Middle
    };
    this._customDialogOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      positionStrategy: new AutoPositionStrategy(this._customDialogPositionSettings),
      scrollStrategy: new AbsoluteScrollStrategy()
    };
  }
  ngAfterViewInit() {
    this._customDialogOverlaySettings.outlet = this.grid.outlet;
  }
  get template() {
    if (this.column.dataType === GridColumnDataType.Date) {
      return this.dateExpressionTemplate;
    }
    return this.defaultExpressionTemplate;
  }
  get grid() {
    return this.filteringService.grid;
  }
  onCustomDialogOpening() {
    if (this.selectedOperator) {
      this.createInitialExpressionUIElement();
    }
  }
  onCustomDialogOpened() {
    if (this.expressionComponents.first) {
      this.expressionComponents.first.focus();
    }
  }
  open(esf) {
    this._customDialogOverlaySettings.target = this.overlayComponentId ? this.grid.rootGrid ? this.grid.rootGrid.nativeElement : this.grid.nativeElement : esf;
    this.toggle.open(this._customDialogOverlaySettings);
    this.overlayComponentId = this.toggle.overlayId;
  }
  onClearButtonClick() {
    this.filteringService.clearFilter(this.column.field);
    this.createInitialExpressionUIElement();
    this.cdr.detectChanges();
  }
  closeDialog() {
    if (this.overlayComponentId) {
      this.overlayService.hide(this.overlayComponentId);
      this.overlayComponentId = null;
    } else {
      this.toggle.close();
    }
  }
  onApplyButtonClick() {
    this.expressionsList = this.expressionsList.filter((element) => element.expression.condition && (element.expression.searchVal || element.expression.searchVal === 0 || element.expression.condition.isUnary));
    if (this.expressionsList.length > 0) {
      this.expressionsList[0].beforeOperator = null;
      this.expressionsList[this.expressionsList.length - 1].afterOperator = null;
    }
    this.filteringService.filterInternal(this.column.field, this.expressionsList);
    this.closeDialog();
  }
  onAddButtonClick() {
    const exprUI = new ExpressionUI();
    exprUI.expression = {
      condition: null,
      fieldName: this.column.field,
      ignoreCase: this.column.filteringIgnoreCase,
      searchVal: null
    };
    this.expressionsList[this.expressionsList.length - 1].afterOperator = FilteringLogic.And;
    exprUI.beforeOperator = this.expressionsList[this.expressionsList.length - 1].afterOperator;
    this.expressionsList.push(exprUI);
    this.markChildrenForCheck();
    this.scrollToBottom();
  }
  onExpressionRemoved(event) {
    const indexToRemove = this.expressionsList.indexOf(event);
    if (indexToRemove === 0 && this.expressionsList.length > 1) {
      this.expressionsList[1].beforeOperator = null;
    } else if (indexToRemove === this.expressionsList.length - 1) {
      this.expressionsList[indexToRemove - 1].afterOperator = null;
    } else {
      this.expressionsList[indexToRemove - 1].afterOperator = this.expressionsList[indexToRemove + 1].beforeOperator;
      this.expressionsList[0].beforeOperator = null;
      this.expressionsList[this.expressionsList.length - 1].afterOperator = null;
    }
    this.expressionsList.splice(indexToRemove, 1);
    this.cdr.detectChanges();
    this.markChildrenForCheck();
  }
  onLogicOperatorChanged(event) {
    const index = this.expressionsList.indexOf(event.target);
    event.target.afterOperator = event.newValue;
    if (index + 1 < this.expressionsList.length) {
      this.expressionsList[index + 1].beforeOperator = event.newValue;
    }
  }
  onKeyDown(eventArgs) {
    eventArgs.stopPropagation();
  }
  onApplyButtonKeyDown(eventArgs) {
    if (eventArgs.key === this.platform.KEYMAP.TAB && !eventArgs.shiftKey) {
      eventArgs.stopPropagation();
      eventArgs.preventDefault();
    }
  }
  createCondition(conditionName) {
    switch (this.column.dataType) {
      case GridColumnDataType.Boolean:
        return IgxBooleanFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Number:
      case GridColumnDataType.Currency:
      case GridColumnDataType.Percent:
        return IgxNumberFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Date:
        return IgxDateFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Time:
        return IgxTimeFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.DateTime:
        return IgxDateTimeFilteringOperand.instance().condition(conditionName);
      default:
        return IgxStringFilteringOperand.instance().condition(conditionName);
    }
  }
  markChildrenForCheck() {
    this.expressionComponents.forEach((x) => x.cdr.markForCheck());
    this.expressionDateComponents.forEach((x) => x.cdr.markForCheck());
  }
  createInitialExpressionUIElement() {
    this.expressionsList = [];
    const firstExprUI = new ExpressionUI();
    firstExprUI.expression = {
      condition: this.createCondition(this.selectedOperator),
      fieldName: this.column.field,
      ignoreCase: this.column.filteringIgnoreCase,
      searchVal: null
    };
    firstExprUI.afterOperator = FilteringLogic.And;
    this.expressionsList.push(firstExprUI);
    const secondExprUI = new ExpressionUI();
    secondExprUI.expression = {
      condition: null,
      fieldName: this.column.field,
      ignoreCase: this.column.filteringIgnoreCase,
      searchVal: null
    };
    secondExprUI.beforeOperator = FilteringLogic.And;
    this.expressionsList.push(secondExprUI);
  }
  scrollToBottom() {
    requestAnimationFrame(() => {
      this.expressionsContainer.nativeElement.scrollTop = this.expressionsContainer.nativeElement.scrollHeight;
    });
  }
  static {
    this.ɵfac = i0136.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0136, type: _IgxExcelStyleCustomDialogComponent, deps: [{ token: IgxOverlayService }, { token: i0136.ChangeDetectorRef }, { token: PlatformUtil }], target: i0136.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0136.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleCustomDialogComponent, isStandalone: true, selector: "igx-excel-style-custom-dialog", inputs: { expressionsList: "expressionsList", column: "column", selectedOperator: "selectedOperator", filteringService: "filteringService", overlayComponentId: "overlayComponentId", displayDensity: "displayDensity" }, viewQueries: [{ propertyName: "toggle", first: true, predicate: ["toggle"], descendants: true, read: IgxToggleDirective, static: true }, { propertyName: "defaultExpressionTemplate", first: true, predicate: ["defaultExpressionTemplate"], descendants: true, read: TemplateRef12 }, { propertyName: "dateExpressionTemplate", first: true, predicate: ["dateExpressionTemplate"], descendants: true, read: TemplateRef12 }, { propertyName: "expressionsContainer", first: true, predicate: ["expressionsContainer"], descendants: true, static: true }, { propertyName: "expressionComponents", predicate: IgxExcelStyleDefaultExpressionComponent, descendants: true }, { propertyName: "expressionDateComponents", predicate: IgxExcelStyleDateExpressionComponent, descendants: true }], ngImport: i0136, template: `<article #toggle igxToggle
    class="igx-excel-filter__secondary"
    [ngClass]="{
        'igx-excel-filter__secondary--cosy': grid.displayDensity === 'cosy',
        'igx-excel-filter__secondary--compact': grid.displayDensity === 'compact'
    }"
    (keydown)="onKeyDown($event)"
    (opening)="onCustomDialogOpening()"
    (opened)="onCustomDialogOpened()">
    <header class="igx-excel-filter__secondary-header">
        <h4 class="ig-typography__h6">
            {{ grid.resourceStrings.igx_grid_excel_custom_dialog_header }}{{ column.header || column.field }}
        </h4>
    </header>

    <article #expressionsContainer class="igx-excel-filter__secondary-main">
        <ng-container *ngIf="column.dataType === 'date' || column.dataType === 'dateTime' || column.dataType === 'time'">
            <igx-excel-style-date-expression *ngFor="let expression of expressionsList;"
                class="igx-excel-filter__condition"
                [expressionUI]="expression"
                [column]="column"
                [grid]="grid"
                [displayDensity]="displayDensity"
                [expressionsList]="expressionsList"
                (expressionRemoved)="onExpressionRemoved($event)"
                (logicOperatorChanged)="onLogicOperatorChanged($event)">
            </igx-excel-style-date-expression>
        </ng-container>

        <ng-container *ngIf="column.dataType !== 'date' && column.dataType !== 'dateTime' && column.dataType !== 'time'">
            <igx-excel-style-default-expression *ngFor="let expression of expressionsList;"
                class="igx-excel-filter__condition"
                [expressionUI]="expression"
                [column]="column"
                [grid]="grid"
                [displayDensity]="displayDensity"
                [expressionsList]="expressionsList"
                (expressionRemoved)="onExpressionRemoved($event)"
                (logicOperatorChanged)="onLogicOperatorChanged($event)">
            </igx-excel-style-default-expression>
        </ng-container>

        <button type="button" igxButton [displayDensity]="displayDensity"
            class="igx-excel-filter__add-filter"
            (click)="onAddButtonClick()">
            <igx-icon>add</igx-icon>
            <span>{{ grid.resourceStrings.igx_grid_excel_custom_dialog_add }}</span>
        </button>
    </article>

    <footer class="igx-excel-filter__secondary-footer">
        <div class="igx-excel-filter__clear">
            <button type="button"
                igxButton="flat"
                [displayDensity]="displayDensity"
                (click)="onClearButtonClick()">
                    {{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}
            </button>
        </div>
        <div class="igx-excel-filter__cancel">
            <button type="button"
                igxButton="flat"
                [displayDensity]="displayDensity"
                (click)="closeDialog()">
                    {{ grid.resourceStrings.igx_grid_excel_cancel }}
            </button>
        </div>
        <div class="igx-excel-filter__apply">
            <button type="button"
                igxButton="contained"
                [displayDensity]="displayDensity"
                (click)="onApplyButtonClick()"
                (keydown)="onApplyButtonKeyDown($event)">
                {{ grid.resourceStrings.igx_grid_excel_apply }}
            </button>
        </div>
    </footer>
</article>
`, dependencies: [{ kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: NgClass9, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgIf33, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor13, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxExcelStyleDateExpressionComponent, selector: "igx-excel-style-date-expression" }, { kind: "component", type: IgxExcelStyleDefaultExpressionComponent, selector: "igx-excel-style-default-expression", inputs: ["column", "expressionUI", "expressionsList", "grid", "displayDensity"], outputs: ["expressionRemoved", "logicOperatorChanged"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0136.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0136, type: IgxExcelStyleCustomDialogComponent, decorators: [{
  type: Component57,
  args: [{ selector: "igx-excel-style-custom-dialog", standalone: true, imports: [IgxToggleDirective, NgClass9, NgIf33, NgFor13, IgxExcelStyleDateExpressionComponent, IgxExcelStyleDefaultExpressionComponent, IgxButtonDirective, IgxIconComponent], template: `<article #toggle igxToggle
    class="igx-excel-filter__secondary"
    [ngClass]="{
        'igx-excel-filter__secondary--cosy': grid.displayDensity === 'cosy',
        'igx-excel-filter__secondary--compact': grid.displayDensity === 'compact'
    }"
    (keydown)="onKeyDown($event)"
    (opening)="onCustomDialogOpening()"
    (opened)="onCustomDialogOpened()">
    <header class="igx-excel-filter__secondary-header">
        <h4 class="ig-typography__h6">
            {{ grid.resourceStrings.igx_grid_excel_custom_dialog_header }}{{ column.header || column.field }}
        </h4>
    </header>

    <article #expressionsContainer class="igx-excel-filter__secondary-main">
        <ng-container *ngIf="column.dataType === 'date' || column.dataType === 'dateTime' || column.dataType === 'time'">
            <igx-excel-style-date-expression *ngFor="let expression of expressionsList;"
                class="igx-excel-filter__condition"
                [expressionUI]="expression"
                [column]="column"
                [grid]="grid"
                [displayDensity]="displayDensity"
                [expressionsList]="expressionsList"
                (expressionRemoved)="onExpressionRemoved($event)"
                (logicOperatorChanged)="onLogicOperatorChanged($event)">
            </igx-excel-style-date-expression>
        </ng-container>

        <ng-container *ngIf="column.dataType !== 'date' && column.dataType !== 'dateTime' && column.dataType !== 'time'">
            <igx-excel-style-default-expression *ngFor="let expression of expressionsList;"
                class="igx-excel-filter__condition"
                [expressionUI]="expression"
                [column]="column"
                [grid]="grid"
                [displayDensity]="displayDensity"
                [expressionsList]="expressionsList"
                (expressionRemoved)="onExpressionRemoved($event)"
                (logicOperatorChanged)="onLogicOperatorChanged($event)">
            </igx-excel-style-default-expression>
        </ng-container>

        <button type="button" igxButton [displayDensity]="displayDensity"
            class="igx-excel-filter__add-filter"
            (click)="onAddButtonClick()">
            <igx-icon>add</igx-icon>
            <span>{{ grid.resourceStrings.igx_grid_excel_custom_dialog_add }}</span>
        </button>
    </article>

    <footer class="igx-excel-filter__secondary-footer">
        <div class="igx-excel-filter__clear">
            <button type="button"
                igxButton="flat"
                [displayDensity]="displayDensity"
                (click)="onClearButtonClick()">
                    {{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}
            </button>
        </div>
        <div class="igx-excel-filter__cancel">
            <button type="button"
                igxButton="flat"
                [displayDensity]="displayDensity"
                (click)="closeDialog()">
                    {{ grid.resourceStrings.igx_grid_excel_cancel }}
            </button>
        </div>
        <div class="igx-excel-filter__apply">
            <button type="button"
                igxButton="contained"
                [displayDensity]="displayDensity"
                (click)="onApplyButtonClick()"
                (keydown)="onApplyButtonKeyDown($event)">
                {{ grid.resourceStrings.igx_grid_excel_apply }}
            </button>
        </div>
    </footer>
</article>
` }]
}], ctorParameters: () => [{ type: IgxOverlayService }, { type: i0136.ChangeDetectorRef }, { type: PlatformUtil }], propDecorators: { expressionsList: [{
  type: Input87
}], column: [{
  type: Input87
}], selectedOperator: [{
  type: Input87
}], filteringService: [{
  type: Input87
}], overlayComponentId: [{
  type: Input87
}], displayDensity: [{
  type: Input87
}], toggle: [{
  type: ViewChild31,
  args: ["toggle", { read: IgxToggleDirective, static: true }]
}], defaultExpressionTemplate: [{
  type: ViewChild31,
  args: ["defaultExpressionTemplate", { read: TemplateRef12 }]
}], dateExpressionTemplate: [{
  type: ViewChild31,
  args: ["dateExpressionTemplate", { read: TemplateRef12 }]
}], expressionsContainer: [{
  type: ViewChild31,
  args: ["expressionsContainer", { static: true }]
}], expressionComponents: [{
  type: ViewChildren10,
  args: [IgxExcelStyleDefaultExpressionComponent]
}], expressionDateComponents: [{
  type: ViewChildren10,
  args: [IgxExcelStyleDateExpressionComponent]
}] } });

// lib/grids/filtering/excel-style/excel-style-conditional-filter.component.mjs
import { Component as Component58, ViewChild as ViewChild32 } from "@angular/core";
import { Subject as Subject35 } from "rxjs";
import { takeUntil as takeUntil29 } from "rxjs/operators";
import { NgIf as NgIf34, NgFor as NgFor14 } from "@angular/common";
import * as i0137 from "@angular/core";
var IgxExcelStyleConditionalFilterComponent = class _IgxExcelStyleConditionalFilterComponent {
  constructor(esf, platform) {
    this.esf = esf;
    this.platform = platform;
    this.shouldOpenSubMenu = true;
    this.destroy$ = new Subject35();
    this._subMenuPositionSettings = {
      verticalStartPoint: VerticalAlignment.Top
    };
    this._subMenuOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      positionStrategy: new AutoPositionStrategy(this._subMenuPositionSettings),
      scrollStrategy: new AbsoluteScrollStrategy()
    };
    this.esf.columnChange.pipe(takeUntil29(this.destroy$)).subscribe(() => {
      if (this.esf.grid) {
        this.shouldOpenSubMenu = true;
        this._subMenuOverlaySettings.outlet = this.esf.grid.outlet;
      }
    });
    if (this.esf.grid) {
      this._subMenuOverlaySettings.outlet = this.esf.grid.outlet;
    }
  }
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  onTextFilterKeyDown(eventArgs) {
    if (eventArgs.key === this.platform.KEYMAP.ENTER) {
      this.onTextFilterClick(eventArgs);
    } else if (eventArgs.key === this.platform.KEYMAP.TAB) {
      this.subMenu.close();
    }
  }
  /**
   * @hidden @internal
   */
  onTextFilterClick(eventArgs) {
    if (this.shouldOpenSubMenu) {
      this._subMenuOverlaySettings.target = eventArgs.currentTarget;
      const gridRect = this.esf.grid.nativeElement.getBoundingClientRect();
      const dropdownRect = this.esf.mainDropdown.nativeElement.getBoundingClientRect();
      let x = dropdownRect.left + dropdownRect.width;
      let x1 = gridRect.left + gridRect.width;
      x += window.pageXOffset;
      x1 += window.pageXOffset;
      if (Math.abs(x - x1) < 200) {
        this._subMenuOverlaySettings.positionStrategy.settings.horizontalDirection = HorizontalAlignment.Left;
        this._subMenuOverlaySettings.positionStrategy.settings.horizontalStartPoint = HorizontalAlignment.Left;
      } else {
        this._subMenuOverlaySettings.positionStrategy.settings.horizontalDirection = HorizontalAlignment.Right;
        this._subMenuOverlaySettings.positionStrategy.settings.horizontalStartPoint = HorizontalAlignment.Right;
      }
      this.subMenu.open(this._subMenuOverlaySettings);
      this.shouldOpenSubMenu = false;
    }
  }
  /**
   * @hidden @internal
   */
  getCondition(value) {
    return this.esf.column.filters.condition(value);
  }
  /**
   * @hidden @internal
   */
  translateCondition(value) {
    return this.esf.grid.resourceStrings[`igx_grid_filter_${this.getCondition(value).name}`] || value;
  }
  /**
   * @hidden @internal
   */
  onSubMenuSelection(eventArgs) {
    if (this.esf.expressionsList && this.esf.expressionsList.length && this.esf.expressionsList[0].expression.condition.name !== "in") {
      this.customDialog.expressionsList = this.esf.expressionsList;
    }
    this.customDialog.selectedOperator = eventArgs.newSelection.value;
    eventArgs.cancel = true;
    if (this.esf.overlayComponentId) {
      this.esf.hide();
    }
    this.subMenu.close();
    this.customDialog.open(this.esf.mainDropdown.nativeElement);
  }
  /**
   * @hidden @internal
   */
  onSubMenuClosed() {
    requestAnimationFrame(() => {
      this.shouldOpenSubMenu = true;
    });
  }
  /**
   * @hidden @internal
   */
  showCustomFilterItem() {
    const exprTree = this.esf.column.filteringExpressionsTree;
    return exprTree && exprTree.filteringOperands && exprTree.filteringOperands.length && !(exprTree.filteringOperands[0].condition && exprTree.filteringOperands[0].condition.name === "in");
  }
  /**
   * @hidden @internal
   */
  get subMenuText() {
    switch (this.esf.column.dataType) {
      case GridColumnDataType.Boolean:
        return this.esf.grid.resourceStrings.igx_grid_excel_boolean_filter;
      case GridColumnDataType.Number:
      case GridColumnDataType.Percent:
        return this.esf.grid.resourceStrings.igx_grid_excel_number_filter;
      case GridColumnDataType.Date:
      case GridColumnDataType.DateTime:
      case GridColumnDataType.Time:
        return this.esf.grid.resourceStrings.igx_grid_excel_date_filter;
      case GridColumnDataType.Currency:
        return this.esf.grid.resourceStrings.igx_grid_excel_currency_filter;
      default:
        return this.esf.grid.resourceStrings.igx_grid_excel_text_filter;
    }
  }
  /**
   * @hidden @internal
   */
  get conditions() {
    return this.esf.column.filters.conditionList();
  }
  static {
    this.ɵfac = i0137.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0137, type: _IgxExcelStyleConditionalFilterComponent, deps: [{ token: BaseFilteringComponent }, { token: PlatformUtil }], target: i0137.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0137.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleConditionalFilterComponent, isStandalone: true, selector: "igx-excel-style-conditional-filter", viewQueries: [{ propertyName: "customDialog", first: true, predicate: ["customDialog"], descendants: true, read: IgxExcelStyleCustomDialogComponent }, { propertyName: "subMenu", first: true, predicate: ["subMenu"], descendants: true, read: IgxDropDownComponent }], ngImport: i0137, template: `<ng-container *ngIf="esf.column">
    <div tabindex="0"
        class="igx-excel-filter__actions-filter"
        (keydown)="onTextFilterKeyDown($event)"
        (click)="onTextFilterClick($event)"
        [igxDropDownItemNavigation]="subMenu"
        role="menuitem"
        aria-haspopup="true"
        [attr.aria-controls]="this.subMenu.listId"
        [attr.aria-activedescendant]="!this.subMenu.collapsed ? this.subMenu.focusedItem?.id : null">
        <span>{{ subMenuText }}</span>
        <igx-icon>keyboard_arrow_right</igx-icon>
    </div>

    <igx-drop-down
        #subMenu
        [maxHeight]="'397px'"
        [displayDensity]="esf.displayDensity"
        (selectionChanging)="onSubMenuSelection($event)"
        (closed)="onSubMenuClosed()">
        <div>
            <igx-drop-down-item
            *ngFor="let condition of conditions"
            [value]="condition">
                <div class="igx-grid__filtering-dropdown-items">
                    <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
                    <span class="igx-grid__filtering-dropdown-text">{{ translateCondition(condition) }}</span>
                </div>
            </igx-drop-down-item>
            <igx-drop-down-item *ngIf="showCustomFilterItem()">
                <div class="igx-grid__filtering-dropdown-items">
                    <igx-icon>filter_list</igx-icon>
                    <span class="igx-grid__filtering-dropdown-text">{{ esf.grid.resourceStrings.igx_grid_excel_custom_filter }}</span>
                </div>
            </igx-drop-down-item>
        </div>
    </igx-drop-down>

    <igx-excel-style-custom-dialog
        #customDialog
        [column]="esf.column"
        [filteringService]="esf.grid.filteringService"
        [overlayComponentId]="esf.overlayComponentId"
        [displayDensity]="esf.displayDensity">
    </igx-excel-style-custom-dialog>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf34, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxDropDownComponent, selector: "igx-drop-down", inputs: ["allowItemsFocus", "labelledBy"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "directive", type: NgFor14, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxDropDownItemComponent, selector: "igx-drop-down-item" }, { kind: "component", type: IgxExcelStyleCustomDialogComponent, selector: "igx-excel-style-custom-dialog", inputs: ["expressionsList", "column", "selectedOperator", "filteringService", "overlayComponentId", "displayDensity"] }] });
  }
};
i0137.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0137, type: IgxExcelStyleConditionalFilterComponent, decorators: [{
  type: Component58,
  args: [{ selector: "igx-excel-style-conditional-filter", standalone: true, imports: [NgIf34, IgxDropDownItemNavigationDirective, IgxIconComponent, IgxDropDownComponent, NgFor14, IgxDropDownItemComponent, IgxExcelStyleCustomDialogComponent], template: `<ng-container *ngIf="esf.column">
    <div tabindex="0"
        class="igx-excel-filter__actions-filter"
        (keydown)="onTextFilterKeyDown($event)"
        (click)="onTextFilterClick($event)"
        [igxDropDownItemNavigation]="subMenu"
        role="menuitem"
        aria-haspopup="true"
        [attr.aria-controls]="this.subMenu.listId"
        [attr.aria-activedescendant]="!this.subMenu.collapsed ? this.subMenu.focusedItem?.id : null">
        <span>{{ subMenuText }}</span>
        <igx-icon>keyboard_arrow_right</igx-icon>
    </div>

    <igx-drop-down
        #subMenu
        [maxHeight]="'397px'"
        [displayDensity]="esf.displayDensity"
        (selectionChanging)="onSubMenuSelection($event)"
        (closed)="onSubMenuClosed()">
        <div>
            <igx-drop-down-item
            *ngFor="let condition of conditions"
            [value]="condition">
                <div class="igx-grid__filtering-dropdown-items">
                    <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
                    <span class="igx-grid__filtering-dropdown-text">{{ translateCondition(condition) }}</span>
                </div>
            </igx-drop-down-item>
            <igx-drop-down-item *ngIf="showCustomFilterItem()">
                <div class="igx-grid__filtering-dropdown-items">
                    <igx-icon>filter_list</igx-icon>
                    <span class="igx-grid__filtering-dropdown-text">{{ esf.grid.resourceStrings.igx_grid_excel_custom_filter }}</span>
                </div>
            </igx-drop-down-item>
        </div>
    </igx-drop-down>

    <igx-excel-style-custom-dialog
        #customDialog
        [column]="esf.column"
        [filteringService]="esf.grid.filteringService"
        [overlayComponentId]="esf.overlayComponentId"
        [displayDensity]="esf.displayDensity">
    </igx-excel-style-custom-dialog>
</ng-container>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }, { type: PlatformUtil }], propDecorators: { customDialog: [{
  type: ViewChild32,
  args: ["customDialog", { read: IgxExcelStyleCustomDialogComponent }]
}], subMenu: [{
  type: ViewChild32,
  args: ["subMenu", { read: IgxDropDownComponent }]
}] } });

// lib/grids/filtering/excel-style/excel-style-header.component.mjs
import { Component as Component59, Input as Input88, booleanAttribute as booleanAttribute57 } from "@angular/core";
import { NgIf as NgIf35, NgClass as NgClass10 } from "@angular/common";
import * as i0138 from "@angular/core";
var IgxExcelStyleHeaderComponent = class _IgxExcelStyleHeaderComponent {
  constructor(esf) {
    this.esf = esf;
  }
  static {
    this.ɵfac = i0138.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0138, type: _IgxExcelStyleHeaderComponent, deps: [{ token: BaseFilteringComponent }], target: i0138.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0138.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxExcelStyleHeaderComponent, isStandalone: true, selector: "igx-excel-style-header", inputs: { showPinning: ["showPinning", "showPinning", booleanAttribute57], showSelecting: ["showSelecting", "showSelecting", booleanAttribute57], showHiding: ["showHiding", "showHiding", booleanAttribute57] }, ngImport: i0138, template: `<header *ngIf="esf.column"
        class="igx-excel-filter__menu-header">
    <h4>{{ esf.column.header || esf.column.field }}</h4>
    <div class="igx-excel-filter__menu-header-actions">
        <button *ngIf="showSelecting"
            type="button"
            igxIconButton="flat"
            (click)="esf.onSelect()"
            [ngClass]="esf.column.selected ? 'igx-excel-filter__actions-selected' : 'igx-excel-filter__actions-select'"
            [attr.aria-label]="esf.column.selected ? esf.grid.resourceStrings.igx_grid_excel_deselect : esf.grid.resourceStrings.igx_grid_excel_select"
        >
            <igx-icon>done</igx-icon>
        </button>
        <button *ngIf="showPinning"
            type="button"
            igxIconButton="flat"
            (click)="esf.onPin()"
            [attr.aria-label]="esf.column.pinned ? esf.grid.resourceStrings.igx_grid_excel_unpin : esf.grid.resourceStrings.igx_grid_excel_pin"
        >
            <igx-icon family="imx-icons" [name]="esf.column.pinned ? 'unpin-left' : 'pin-left'"></igx-icon>
        </button>
        <button *ngIf="showHiding"
            type="button"
            igxIconButton="flat"
            (click)="esf.onHideToggle()"
            [attr.aria-label]="esf.column.hidden ? esf.grid.resourceStrings.igx_grid_excel_show : esf.grid.resourceStrings.igx_grid_excel_hide"
        >
            <igx-icon>{{ esf.column.hidden ? 'visibility' : 'visibility_off' }}</igx-icon>
        </button>
    </div>
</header>
`, dependencies: [{ kind: "directive", type: NgIf35, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass10, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i0138.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0138, type: IgxExcelStyleHeaderComponent, decorators: [{
  type: Component59,
  args: [{ selector: "igx-excel-style-header", standalone: true, imports: [NgIf35, IgxButtonDirective, NgClass10, IgxIconComponent, IgxIconButtonDirective], template: `<header *ngIf="esf.column"
        class="igx-excel-filter__menu-header">
    <h4>{{ esf.column.header || esf.column.field }}</h4>
    <div class="igx-excel-filter__menu-header-actions">
        <button *ngIf="showSelecting"
            type="button"
            igxIconButton="flat"
            (click)="esf.onSelect()"
            [ngClass]="esf.column.selected ? 'igx-excel-filter__actions-selected' : 'igx-excel-filter__actions-select'"
            [attr.aria-label]="esf.column.selected ? esf.grid.resourceStrings.igx_grid_excel_deselect : esf.grid.resourceStrings.igx_grid_excel_select"
        >
            <igx-icon>done</igx-icon>
        </button>
        <button *ngIf="showPinning"
            type="button"
            igxIconButton="flat"
            (click)="esf.onPin()"
            [attr.aria-label]="esf.column.pinned ? esf.grid.resourceStrings.igx_grid_excel_unpin : esf.grid.resourceStrings.igx_grid_excel_pin"
        >
            <igx-icon family="imx-icons" [name]="esf.column.pinned ? 'unpin-left' : 'pin-left'"></igx-icon>
        </button>
        <button *ngIf="showHiding"
            type="button"
            igxIconButton="flat"
            (click)="esf.onHideToggle()"
            [attr.aria-label]="esf.column.hidden ? esf.grid.resourceStrings.igx_grid_excel_show : esf.grid.resourceStrings.igx_grid_excel_hide"
        >
            <igx-icon>{{ esf.column.hidden ? 'visibility' : 'visibility_off' }}</igx-icon>
        </button>
    </div>
</header>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }], propDecorators: { showPinning: [{
  type: Input88,
  args: [{ transform: booleanAttribute57 }]
}], showSelecting: [{
  type: Input88,
  args: [{ transform: booleanAttribute57 }]
}], showHiding: [{
  type: Input88,
  args: [{ transform: booleanAttribute57 }]
}] } });

// lib/grids/filtering/excel-style/excel-style-hiding.component.mjs
import { Component as Component60 } from "@angular/core";
import { NgIf as NgIf36 } from "@angular/common";
import * as i0139 from "@angular/core";
var IgxExcelStyleHidingComponent = class _IgxExcelStyleHidingComponent {
  constructor(esf) {
    this.esf = esf;
  }
  static {
    this.ɵfac = i0139.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0139, type: _IgxExcelStyleHidingComponent, deps: [{ token: BaseFilteringComponent }], target: i0139.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0139.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleHidingComponent, isStandalone: true, selector: "igx-excel-style-hiding", ngImport: i0139, template: `<div *ngIf="esf.column"
    class="igx-excel-filter__actions-hide"
    tabindex="0"
    (click)="esf.onHideToggle()"
    role="menuitem">
    <span>{{ esf.column.hidden ? esf.grid.resourceStrings.igx_grid_excel_show : esf.grid.resourceStrings.igx_grid_excel_hide }}</span>
    <igx-icon>{{ esf.column.hidden ? 'visibility' : 'visibility_off' }}</igx-icon>
</div>
`, dependencies: [{ kind: "directive", type: NgIf36, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0139.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0139, type: IgxExcelStyleHidingComponent, decorators: [{
  type: Component60,
  args: [{ selector: "igx-excel-style-hiding", standalone: true, imports: [NgIf36, IgxIconComponent], template: `<div *ngIf="esf.column"
    class="igx-excel-filter__actions-hide"
    tabindex="0"
    (click)="esf.onHideToggle()"
    role="menuitem">
    <span>{{ esf.column.hidden ? esf.grid.resourceStrings.igx_grid_excel_show : esf.grid.resourceStrings.igx_grid_excel_hide }}</span>
    <igx-icon>{{ esf.column.hidden ? 'visibility' : 'visibility_off' }}</igx-icon>
</div>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }] });

// lib/grids/filtering/excel-style/excel-style-moving.component.mjs
import { Component as Component61, HostBinding as HostBinding63 } from "@angular/core";
import { NgIf as NgIf37 } from "@angular/common";
import * as i0140 from "@angular/core";
var IgxExcelStyleMovingComponent = class _IgxExcelStyleMovingComponent {
  constructor(esf) {
    this.esf = esf;
    this.defaultClass = true;
  }
  get visibleColumns() {
    return this.esf.grid.visibleColumns.filter((col) => !col.columnGroup);
  }
  /**
   * @hidden @internal
   */
  get canNotMoveLeft() {
    return this.esf.column.visibleIndex === 0 || this.esf.grid.unpinnedColumns.indexOf(this.esf.column) === 0 && this.esf.column.disablePinning || this.esf.column.level !== 0 && !this.findColumn(0, this.visibleColumns);
  }
  /**
   * @hidden @internal
   */
  get canNotMoveRight() {
    return this.esf.column.visibleIndex === this.visibleColumns.length - 1 || this.esf.column.level !== 0 && !this.findColumn(1, this.visibleColumns);
  }
  /**
   * @hidden @internal
   */
  onMoveButtonClicked(moveDirection) {
    let targetColumn;
    if (this.esf.column.pinned) {
      if (this.esf.column.isLastPinned && moveDirection === 1 && this.esf.grid.isPinningToStart) {
        targetColumn = this.esf.grid.unpinnedColumns[0];
        moveDirection = 0;
      } else if (this.esf.column.isFirstPinned && moveDirection === 0 && !this.esf.grid.isPinningToStart) {
        targetColumn = this.esf.grid.unpinnedColumns[this.esf.grid.unpinnedColumns.length - 1];
        moveDirection = 1;
      } else {
        targetColumn = this.findColumn(moveDirection, this.esf.grid.pinnedColumns);
      }
    } else if (this.esf.grid.unpinnedColumns.indexOf(this.esf.column) === 0 && moveDirection === 0 && this.esf.grid.isPinningToStart) {
      targetColumn = this.esf.grid.pinnedColumns[this.esf.grid.pinnedColumns.length - 1];
      if (targetColumn.parent) {
        targetColumn = targetColumn.topLevelParent;
      }
      moveDirection = 1;
    } else if (this.esf.grid.unpinnedColumns.indexOf(this.esf.column) === this.esf.grid.unpinnedColumns.length - 1 && moveDirection === 1 && !this.esf.grid.isPinningToStart) {
      targetColumn = this.esf.grid.pinnedColumns[0];
      moveDirection = 0;
    } else {
      targetColumn = this.findColumn(moveDirection, this.esf.grid.unpinnedColumns);
    }
    this.esf.grid.moveColumn(this.esf.column, targetColumn, moveDirection);
  }
  findColumn(moveDirection, columns) {
    let index = columns.indexOf(this.esf.column);
    if (moveDirection === 0) {
      while (index > 0) {
        index--;
        if (columns[index].level === this.esf.column.level && columns[index].parent === this.esf.column.parent) {
          return columns[index];
        }
      }
      return columns[0];
    } else {
      while (index < columns.length - 1) {
        index++;
        if (columns[index].level === this.esf.column.level && columns[index].parent === this.esf.column.parent) {
          return columns[index];
        }
      }
    }
  }
  static {
    this.ɵfac = i0140.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0140, type: _IgxExcelStyleMovingComponent, deps: [{ token: BaseFilteringComponent }], target: i0140.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0140.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleMovingComponent, isStandalone: true, selector: "igx-excel-style-moving", host: { properties: { "class.igx-excel-filter__move": "this.defaultClass" } }, ngImport: i0140, template: `<ng-container *ngIf="esf.column">
<header>
    {{ esf.grid.resourceStrings.igx_grid_excel_filter_moving_header }}
</header>
<igx-buttongroup>
    <button [displayDensity]="esf.displayDensity"
        type="button"
        igxButton
        [disabled]="canNotMoveLeft"
        (click)="onMoveButtonClicked(0)">
        <igx-icon>arrow_back</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_left_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_left }}
        </span>
    </button>
    <button [displayDensity]="esf.displayDensity"
        type="button"
        igxButton
        [disabled]="canNotMoveRight"
        (click)="onMoveButtonClicked(1)">
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_right_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_right }}
        </span>
        <igx-icon>arrow_forwards</igx-icon>
    </button>
</igx-buttongroup>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf37, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxButtonGroupComponent, selector: "igx-buttongroup", inputs: ["id", "itemContentCssClass", "multiSelection", "selectionMode", "values", "disabled", "alignment"], outputs: ["selected", "deselected"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0140.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0140, type: IgxExcelStyleMovingComponent, decorators: [{
  type: Component61,
  args: [{ selector: "igx-excel-style-moving", standalone: true, imports: [NgIf37, IgxButtonGroupComponent, IgxButtonDirective, IgxIconComponent], template: `<ng-container *ngIf="esf.column">
<header>
    {{ esf.grid.resourceStrings.igx_grid_excel_filter_moving_header }}
</header>
<igx-buttongroup>
    <button [displayDensity]="esf.displayDensity"
        type="button"
        igxButton
        [disabled]="canNotMoveLeft"
        (click)="onMoveButtonClicked(0)">
        <igx-icon>arrow_back</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_left_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_left }}
        </span>
    </button>
    <button [displayDensity]="esf.displayDensity"
        type="button"
        igxButton
        [disabled]="canNotMoveRight"
        (click)="onMoveButtonClicked(1)">
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_right_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_moving_right }}
        </span>
        <igx-icon>arrow_forwards</igx-icon>
    </button>
</igx-buttongroup>
</ng-container>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }], propDecorators: { defaultClass: [{
  type: HostBinding63,
  args: ["class.igx-excel-filter__move"]
}] } });

// lib/grids/filtering/excel-style/excel-style-pinning.component.mjs
import { Component as Component62 } from "@angular/core";
import { NgIf as NgIf38, NgClass as NgClass11 } from "@angular/common";
import * as i0141 from "@angular/core";
var IgxExcelStylePinningComponent = class _IgxExcelStylePinningComponent {
  constructor(esf) {
    this.esf = esf;
  }
  static {
    this.ɵfac = i0141.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0141, type: _IgxExcelStylePinningComponent, deps: [{ token: BaseFilteringComponent }], target: i0141.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0141.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStylePinningComponent, isStandalone: true, selector: "igx-excel-style-pinning", ngImport: i0141, template: `<div *ngIf="esf.column"
    [ngClass]="esf.column.pinned ? 'igx-excel-filter__actions-unpin' : 'igx-excel-filter__actions-pin'"
    (click)="esf.onPin()"
    tabindex="0"
    role="menuitem">
    <span>{{ esf.column.pinned ? esf.grid.resourceStrings.igx_grid_excel_unpin : esf.grid.resourceStrings.igx_grid_excel_pin }}</span>
    <igx-icon family="imx-icons" name="{{ esf.column.pinned ? 'unpin-left' : 'pin-left' }}"></igx-icon>
</div>
`, dependencies: [{ kind: "directive", type: NgIf38, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass11, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0141.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0141, type: IgxExcelStylePinningComponent, decorators: [{
  type: Component62,
  args: [{ selector: "igx-excel-style-pinning", standalone: true, imports: [NgIf38, NgClass11, IgxIconComponent], template: `<div *ngIf="esf.column"
    [ngClass]="esf.column.pinned ? 'igx-excel-filter__actions-unpin' : 'igx-excel-filter__actions-pin'"
    (click)="esf.onPin()"
    tabindex="0"
    role="menuitem">
    <span>{{ esf.column.pinned ? esf.grid.resourceStrings.igx_grid_excel_unpin : esf.grid.resourceStrings.igx_grid_excel_pin }}</span>
    <igx-icon family="imx-icons" name="{{ esf.column.pinned ? 'unpin-left' : 'pin-left' }}"></igx-icon>
</div>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }] });

// lib/progressbar/progressbar.common.mjs
import { Directive as Directive61 } from "@angular/core";
import * as i0142 from "@angular/core";
var IgxProgressBarTextTemplateDirective = class _IgxProgressBarTextTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0142.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0142, type: _IgxProgressBarTextTemplateDirective, deps: [{ token: i0142.TemplateRef }], target: i0142.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0142.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxProgressBarTextTemplateDirective, isStandalone: true, selector: "[igxProgressBarText]", ngImport: i0142 });
  }
};
i0142.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0142, type: IgxProgressBarTextTemplateDirective, decorators: [{
  type: Directive61,
  args: [{
    selector: "[igxProgressBarText]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0142.TemplateRef }] });
var IgxProgressBarGradientDirective = class _IgxProgressBarGradientDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0142.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0142, type: _IgxProgressBarGradientDirective, deps: [{ token: i0142.TemplateRef }], target: i0142.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0142.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxProgressBarGradientDirective, isStandalone: true, selector: "[igxProgressBarGradient]", ngImport: i0142 });
  }
};
i0142.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0142, type: IgxProgressBarGradientDirective, decorators: [{
  type: Directive61,
  args: [{
    selector: "[igxProgressBarGradient]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0142.TemplateRef }] });

// lib/progressbar/progressbar.component.mjs
import { NgClass as NgClass12, NgTemplateOutlet as NgTemplateOutlet15, NgIf as NgIf39 } from "@angular/common";
import { Component as Component63, EventEmitter as EventEmitter58, HostBinding as HostBinding64, Input as Input89, Output as Output48, ViewChild as ViewChild33, ContentChild as ContentChild14, Directive as Directive62, booleanAttribute as booleanAttribute58 } from "@angular/core";
import * as i0143 from "@angular/core";
var ONE_PERCENT = 0.01;
var MIN_VALUE = 0;
var IgxTextAlign = /* @__PURE__ */ mkenum({
  START: "start",
  CENTER: "center",
  END: "end"
});
var IgxProgressType = /* @__PURE__ */ mkenum({
  ERROR: "error",
  INFO: "info",
  WARNING: "warning",
  SUCCESS: "success"
});
var BaseProgressDirective = class _BaseProgressDirective {
  constructor() {
    this.progressChanged = new EventEmitter58();
    this.indeterminate = false;
    this.animationDuration = 2e3;
    this._initValue = 0;
    this._contentInit = false;
    this._max = 100;
    this._value = MIN_VALUE;
    this._newVal = MIN_VALUE;
    this._animate = true;
    this._internalState = {
      oldVal: 0,
      newVal: 0
    };
  }
  /**
   * Returns the value which update the progress indicator of the `progress bar`.
   * ```typescript
   * @ViewChild("MyProgressBar")
   * public progressBar: IgxLinearProgressBarComponent | IgxCircularBarComponent;
   * public stepValue(event) {
   *     let step = this.progressBar.step;
   *     alert(step);
   * }
   * ```
   */
  get step() {
    if (this._step) {
      return this._step;
    }
    return this._max * ONE_PERCENT;
  }
  /**
   * Sets the value by which progress indicator is updated. By default it is 1.
   * ```html
   * <igx-linear-bar [max]="200" [value]="0" [step]="1"></igx-linear-bar>
   * <igx-circular-bar [max]="200" [value]="0" [step]="1"></igx-circular-bar>
   * ```
   */
  set step(val) {
    const step = Number(val);
    if (step > this.max) {
      return;
    }
    this._step = step;
  }
  /**
   * Animating the progress. By default it is set to true.
   * ```html
   * <igx-linear-bar [animate]="false" [max]="200" [value]="50"></igx-linear-bar>
   * <igx-circular-bar [animate]="false" [max]="200" [value]="50"></igx-circular-bar>
   * ```
   */
  set animate(animate2) {
    this._animate = animate2;
    if (animate2) {
      this.animationDuration = 2e3;
    } else {
      this.animationDuration = 0;
    }
  }
  /**
   * Returns whether the `progress bar` has animation true/false.
   * ```typescript
   * @ViewChild("MyProgressBar")
   * public progressBar: IgxLinearProgressBarComponent | IgxCircularBarComponent;
   * public animationStatus(event) {
   *     let animationStatus = this.progressBar.animate;
   *     alert(animationStatus);
   * }
   * ```
   */
  get animate() {
    return this._animate;
  }
  /**
   * Set maximum value that can be passed. By default it is set to 100.
   * ```html
   * <igx-linear-bar [max]="200" [value]="0"></igx-linear-bar>
   * <igx-circular-bar [max]="200" [value]="0"></igx-circular-bar>
   * ```
   */
  set max(maxNum) {
    if (maxNum < MIN_VALUE || this._max === maxNum || this._animation && this._animation.playState !== "finished") {
      return;
    }
    this._internalState.newVal = Math.round(toValue(toPercent(this.value, maxNum), maxNum));
    this._value = this._internalState.oldVal = Math.round(toValue(this.valueInPercent, maxNum));
    this._max = maxNum;
    this.triggerProgressTransition(this._internalState.oldVal, this._internalState.newVal, true);
  }
  /**
   * Returns the the maximum progress value of the `progress bar`.
   * ```typescript
   * @ViewChild("MyProgressBar")
   * public progressBar: IgxLinearProgressBarComponent | IgxCircularBarComponent;
   * public maxValue(event) {
   *     let max = this.progressBar.max;
   *     alert(max);
   * }
   * ```
   */
  get max() {
    return this._max;
  }
  /**
   * Returns the `IgxLinearProgressBarComponent`/`IgxCircularProgressBarComponent` value in percentage.
   * ```typescript
   * @ViewChild("MyProgressBar")
   * public progressBar: IgxLinearProgressBarComponent; // IgxCircularProgressBarComponent
   * public valuePercent(event){
   *     let percentValue = this.progressBar.valueInPercent;
   *     alert(percentValue);
   * }
   * ```
   */
  get valueInPercent() {
    const val = toPercent(this._value, this._max);
    return val;
  }
  /**
   * Returns value that indicates the current `IgxLinearProgressBarComponent` position.
   * ```typescript
   * @ViewChild("MyProgressBar")
   * public progressBar: IgxLinearProgressBarComponent;
   * public getValue(event) {
   *     let value = this.progressBar.value;
   *     alert(value);
   * }
   * ```
   */
  get value() {
    return this._value;
  }
  /**
   * Set value that indicates the current `IgxLinearProgressBarComponent` position.
   * ```html
   * <igx-linear-bar [striped]="false" [max]="200" [value]="50"></igx-linear-bar>
   * ```
   */
  set value(val) {
    if (this._animation && this._animation.playState !== "finished" || val < 0) {
      return;
    }
    const valInRange = valueInRange(val, this.max);
    if (isNaN(valInRange) || this._value === val || this.indeterminate) {
      return;
    }
    if (this._contentInit) {
      this.triggerProgressTransition(this._value, valInRange);
    } else {
      this._initValue = valInRange;
    }
  }
  triggerProgressTransition(oldVal, newVal, maxUpdate = false) {
    if (oldVal === newVal) {
      return;
    }
    const changedValues = {
      currentValue: newVal,
      previousValue: oldVal
    };
    const stepDirection = this.directionFlow(oldVal, newVal);
    if (this._animate) {
      const newToPercent = toPercent(newVal, this.max);
      const oldToPercent = toPercent(oldVal, this.max);
      const duration = this.animationDuration / Math.abs(newToPercent - oldToPercent) / (this._step ? this._step : 1);
      this.runAnimation(newVal);
      this._interval = setInterval(() => this.increase(newVal, stepDirection), duration);
    } else {
      this.updateProgress(newVal);
    }
    if (maxUpdate) {
      return;
    }
    this.progressChanged.emit(changedValues);
  }
  /**
   * @hidden
   */
  increase(newValue, step) {
    const targetValue = toPercent(newValue, this._max);
    this._value = valueInRange(this._value, this._max) + step;
    if (step > 0 && this.valueInPercent >= targetValue || step < 0 && this.valueInPercent <= targetValue) {
      if (this._value !== newValue) {
        this._value = newValue;
      }
      return clearInterval(this._interval);
    }
  }
  /**
   * @hidden
   */
  directionFlow(currentValue, prevValue) {
    return currentValue < prevValue ? this.step : -this.step;
  }
  /**
   * @hidden
   * @param step
   */
  updateProgress(val) {
    this._value = valueInRange(val, this._max);
    this.runAnimation(val);
  }
  static {
    this.ɵfac = i0143.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: _BaseProgressDirective, deps: [], target: i0143.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0143.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _BaseProgressDirective, inputs: { indeterminate: ["indeterminate", "indeterminate", booleanAttribute58], animationDuration: "animationDuration", step: "step", animate: ["animate", "animate", booleanAttribute58], max: "max", value: "value" }, outputs: { progressChanged: "progressChanged" }, host: { properties: { "attr.aria-valuemax": "this.max", "attr.aria-valuenow": "this.value" } }, ngImport: i0143 });
  }
};
i0143.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: BaseProgressDirective, decorators: [{
  type: Directive62
}], ctorParameters: () => [], propDecorators: { progressChanged: [{
  type: Output48
}], indeterminate: [{
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], animationDuration: [{
  type: Input89
}], step: [{
  type: Input89
}], animate: [{
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], max: [{
  type: HostBinding64,
  args: ["attr.aria-valuemax"]
}, {
  type: Input89
}], value: [{
  type: HostBinding64,
  args: ["attr.aria-valuenow"]
}, {
  type: Input89
}] } });
var NEXT_LINEAR_ID = 0;
var NEXT_CIRCULAR_ID = 0;
var NEXT_GRADIENT_ID = 0;
var IgxLinearProgressBarComponent = class _IgxLinearProgressBarComponent extends BaseProgressDirective {
  constructor() {
    super(...arguments);
    this.valueMin = 0;
    this.cssClass = "igx-linear-bar";
    this.striped = false;
    this.role = "progressbar";
    this.id = `igx-linear-bar-${NEXT_LINEAR_ID++}`;
    this.textAlign = IgxTextAlign.START;
    this.textVisibility = true;
    this.textTop = false;
    this.type = "default";
    this.animationState = {
      width: "0%"
    };
  }
  /**
   * @hidden
   * ```
   */
  get isIndeterminate() {
    return this.indeterminate;
  }
  /**
   * @hidden
   */
  get error() {
    return this.type === IgxProgressType.ERROR;
  }
  /**
   * @hidden
   */
  get info() {
    return this.type === IgxProgressType.INFO;
  }
  /**
   * @hidden
   */
  get warning() {
    return this.type === IgxProgressType.WARNING;
  }
  /**
   * @hidden
   */
  get success() {
    return this.type === IgxProgressType.SUCCESS;
  }
  ngAfterContentInit() {
    this.triggerProgressTransition(MIN_VALUE, this._initValue);
    this._contentInit = true;
  }
  runAnimation(value) {
    if (this._animation && this._animation.playState !== "finished") {
      return;
    }
    const valueInPercent = this.max <= 0 ? 0 : toPercent(value, this.max);
    const FRAMES = [];
    FRAMES[0] = {
      ...this.animationState
    };
    this.animationState.width = valueInPercent + "%";
    FRAMES[1] = {
      ...this.animationState
    };
    this._animation = this._progressIndicator.nativeElement.animate(FRAMES, {
      easing: "ease-out",
      fill: "forwards",
      duration: this.animationDuration
    });
  }
  static {
    this.ɵfac = i0143.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: _IgxLinearProgressBarComponent, deps: null, target: i0143.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0143.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxLinearProgressBarComponent, isStandalone: true, selector: "igx-linear-bar", inputs: { striped: ["striped", "striped", booleanAttribute58], role: "role", id: "id", textAlign: "textAlign", textVisibility: ["textVisibility", "textVisibility", booleanAttribute58], textTop: ["textTop", "textTop", booleanAttribute58], text: "text", type: "type" }, host: { properties: { "attr.aria-valuemin": "this.valueMin", "class.igx-linear-bar": "this.cssClass", "class.igx-linear-bar--striped": "this.striped", "class.igx-linear-bar--indeterminate": "this.isIndeterminate", "attr.role": "this.role", "attr.id": "this.id", "class.igx-linear-bar--danger": "this.error", "class.igx-linear-bar--info": "this.info", "class.igx-linear-bar--warning": "this.warning", "class.igx-linear-bar--success": "this.success" } }, viewQueries: [{ propertyName: "_progressIndicator", first: true, predicate: ["indicator"], descendants: true, static: true }], usesInheritance: true, ngImport: i0143, template: `<div class="igx-linear-bar__base">
    <div #indicator class="igx-linear-bar__indicator" [style.width]="0"></div>
    <div class="igx-linear-bar__indicator-secondary"></div>
</div>

<span
    class="igx-linear-bar__value"
    [ngClass]="{
        'igx-linear-bar__value--start': textAlign === 'start',
        'igx-linear-bar__value--center': textAlign === 'center',
        'igx-linear-bar__value--end': textAlign === 'end',
        'igx-linear-bar__value--top': textTop,
        'igx-linear-bar__value--hidden': !textVisibility
    }">
        {{text ? text : valueInPercent + '%'}}
</span>
`, dependencies: [{ kind: "directive", type: NgClass12, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
  }
};
i0143.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: IgxLinearProgressBarComponent, decorators: [{
  type: Component63,
  args: [{ selector: "igx-linear-bar", standalone: true, imports: [NgClass12], template: `<div class="igx-linear-bar__base">
    <div #indicator class="igx-linear-bar__indicator" [style.width]="0"></div>
    <div class="igx-linear-bar__indicator-secondary"></div>
</div>

<span
    class="igx-linear-bar__value"
    [ngClass]="{
        'igx-linear-bar__value--start': textAlign === 'start',
        'igx-linear-bar__value--center': textAlign === 'center',
        'igx-linear-bar__value--end': textAlign === 'end',
        'igx-linear-bar__value--top': textTop,
        'igx-linear-bar__value--hidden': !textVisibility
    }">
        {{text ? text : valueInPercent + '%'}}
</span>
` }]
}], propDecorators: { valueMin: [{
  type: HostBinding64,
  args: ["attr.aria-valuemin"]
}], cssClass: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar"]
}], striped: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--striped"]
}, {
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], isIndeterminate: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--indeterminate"]
}], role: [{
  type: HostBinding64,
  args: ["attr.role"]
}, {
  type: Input89
}], id: [{
  type: HostBinding64,
  args: ["attr.id"]
}, {
  type: Input89
}], textAlign: [{
  type: Input89
}], textVisibility: [{
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], textTop: [{
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], text: [{
  type: Input89
}], type: [{
  type: Input89
}], _progressIndicator: [{
  type: ViewChild33,
  args: ["indicator", { static: true }]
}], error: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--danger"]
}], info: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--info"]
}], warning: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--warning"]
}], success: [{
  type: HostBinding64,
  args: ["class.igx-linear-bar--success"]
}] } });
var IgxCircularProgressBarComponent = class _IgxCircularProgressBarComponent extends BaseProgressDirective {
  /**
   * @hidden
   */
  get isIndeterminate() {
    return this.indeterminate;
  }
  /**
   * @hidden
   */
  get context() {
    return {
      $implicit: { value: this.value, valueInPercent: this.valueInPercent, max: this.max }
    };
  }
  constructor(renderer, _directionality) {
    super();
    this.renderer = renderer;
    this._directionality = _directionality;
    this.cssClass = "igx-circular-bar";
    this.id = `igx-circular-bar-${NEXT_CIRCULAR_ID++}`;
    this.textVisibility = true;
    this.gradientId = `igx-circular-gradient-${NEXT_GRADIENT_ID++}`;
    this._circleRadius = 46;
    this._circumference = 2 * Math.PI * this._circleRadius;
    this.STROKE_OPACITY_DVIDER = 100;
    this.STROKE_OPACITY_ADDITION = 0.2;
    this.animationState = {
      strokeDashoffset: 289,
      strokeOpacity: 1
    };
  }
  ngAfterContentInit() {
    this.triggerProgressTransition(MIN_VALUE, this._initValue);
    this._contentInit = true;
  }
  ngAfterViewInit() {
    this.renderer.setStyle(this._svgCircle.nativeElement, "stroke", `url(#${this.gradientId})`);
  }
  /**
   * @hidden
   */
  get textContent() {
    return this.text;
  }
  runAnimation(value) {
    if (this._animation && this._animation.playState !== "finished") {
      return;
    }
    const valueInPercent = this.max <= 0 ? 0 : toPercent(value, this.max);
    const FRAMES = [];
    FRAMES[0] = { ...this.animationState };
    this.animationState.strokeDashoffset = this.getProgress(valueInPercent);
    this.animationState.strokeOpacity = toPercent(value, this.max) / this.STROKE_OPACITY_DVIDER + this.STROKE_OPACITY_ADDITION;
    FRAMES[1] = {
      ...this.animationState
    };
    this._animation = this._svgCircle.nativeElement.animate(FRAMES, {
      easing: "ease-out",
      fill: "forwards",
      duration: this.animationDuration
    });
  }
  getProgress(percentage) {
    return this._directionality.rtl ? this._circumference + percentage * this._circumference / 100 : this._circumference - percentage * this._circumference / 100;
  }
  static {
    this.ɵfac = i0143.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: _IgxCircularProgressBarComponent, deps: [{ token: i0143.Renderer2 }, { token: IgxDirectionality }], target: i0143.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0143.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxCircularProgressBarComponent, isStandalone: true, selector: "igx-circular-bar", inputs: { id: "id", isIndeterminate: "isIndeterminate", textVisibility: ["textVisibility", "textVisibility", booleanAttribute58], text: "text" }, host: { properties: { "class.igx-circular-bar": "this.cssClass", "attr.id": "this.id", "class.igx-circular-bar--indeterminate": "this.isIndeterminate" } }, queries: [{ propertyName: "textTemplate", first: true, predicate: IgxProgressBarTextTemplateDirective, descendants: true, read: IgxProgressBarTextTemplateDirective }, { propertyName: "gradientTemplate", first: true, predicate: IgxProgressBarGradientDirective, descendants: true, read: IgxProgressBarGradientDirective }], viewQueries: [{ propertyName: "_svgCircle", first: true, predicate: ["circle"], descendants: true, static: true }], usesInheritance: true, ngImport: i0143, template: `<svg #svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1"
    viewBox="0 0 100 100"
    preserveAspectRatio="xMidYMid meet"
    role="progressbar"
    aria-valuemin="0"
    [attr.aria-valuemax]="max"
    [attr.aria-valuenow]="value">
    <svg:circle class="igx-circular-bar__inner" cx="50" cy="50" r="46" />
    <svg:circle #circle class="igx-circular-bar__outer" cx="50" cy="50" r="46" />

    <svg:defs>
        <ng-container
            *ngTemplateOutlet="gradientTemplate ? gradientTemplate.template : defaultGradientTemplate;
            context: { $implicit: gradientId }">
        </ng-container>
    </svg:defs>

    <ng-template #defaultGradientTemplate>
        <svg:linearGradient [id]="gradientId" gradientTransform="rotate(90)">
          <stop offset="0%"   class="igx-circular-bar__gradient-start" />
          <stop offset="100%" class="igx-circular-bar__gradient-end" />
        </svg:linearGradient>
    </ng-template>
</svg>

<span class="igx-circular-bar__text" *ngIf="textVisibility">
    <ng-container *ngTemplateOutlet="textTemplate ? textTemplate.template : defaultTextTemplate;
            context: context">
    </ng-container>
</span>

<ng-template #defaultTextTemplate>
    {{textContent ? textContent: valueInPercent + '%'}}
</ng-template>

`, dependencies: [{ kind: "directive", type: NgTemplateOutlet15, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf39, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0143.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0143, type: IgxCircularProgressBarComponent, decorators: [{
  type: Component63,
  args: [{ selector: "igx-circular-bar", standalone: true, imports: [NgTemplateOutlet15, NgIf39], template: `<svg #svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1"
    viewBox="0 0 100 100"
    preserveAspectRatio="xMidYMid meet"
    role="progressbar"
    aria-valuemin="0"
    [attr.aria-valuemax]="max"
    [attr.aria-valuenow]="value">
    <svg:circle class="igx-circular-bar__inner" cx="50" cy="50" r="46" />
    <svg:circle #circle class="igx-circular-bar__outer" cx="50" cy="50" r="46" />

    <svg:defs>
        <ng-container
            *ngTemplateOutlet="gradientTemplate ? gradientTemplate.template : defaultGradientTemplate;
            context: { $implicit: gradientId }">
        </ng-container>
    </svg:defs>

    <ng-template #defaultGradientTemplate>
        <svg:linearGradient [id]="gradientId" gradientTransform="rotate(90)">
          <stop offset="0%"   class="igx-circular-bar__gradient-start" />
          <stop offset="100%" class="igx-circular-bar__gradient-end" />
        </svg:linearGradient>
    </ng-template>
</svg>

<span class="igx-circular-bar__text" *ngIf="textVisibility">
    <ng-container *ngTemplateOutlet="textTemplate ? textTemplate.template : defaultTextTemplate;
            context: context">
    </ng-container>
</span>

<ng-template #defaultTextTemplate>
    {{textContent ? textContent: valueInPercent + '%'}}
</ng-template>

` }]
}], ctorParameters: () => [{ type: i0143.Renderer2 }, { type: IgxDirectionality }], propDecorators: { cssClass: [{
  type: HostBinding64,
  args: ["class.igx-circular-bar"]
}], id: [{
  type: HostBinding64,
  args: ["attr.id"]
}, {
  type: Input89
}], isIndeterminate: [{
  type: HostBinding64,
  args: ["class.igx-circular-bar--indeterminate"]
}, {
  type: Input89
}], textVisibility: [{
  type: Input89,
  args: [{ transform: booleanAttribute58 }]
}], text: [{
  type: Input89
}], textTemplate: [{
  type: ContentChild14,
  args: [IgxProgressBarTextTemplateDirective, { read: IgxProgressBarTextTemplateDirective }]
}], gradientTemplate: [{
  type: ContentChild14,
  args: [IgxProgressBarGradientDirective, { read: IgxProgressBarGradientDirective }]
}], _svgCircle: [{
  type: ViewChild33,
  args: ["circle", { static: true }]
}] } });
var valueInRange = (value, max, min = 0) => Math.max(Math.min(value, max), min);
var toPercent = (value, max) => !max ? 0 : Math.floor(100 * value / max);
var toValue = (value, max) => max * value / 100;

// lib/core/i18n/tree-resources.mjs
var TreeResourceStringsEN = {
  igx_expand: "Expand",
  igx_collapse: "Collapse"
};

// lib/tree/common.mjs
import { InjectionToken as InjectionToken11 } from "@angular/core";
var IgxTreeSelectionType = /* @__PURE__ */ mkenum({
  None: "None",
  BiState: "BiState",
  Cascading: "Cascading"
});
var IGX_TREE_COMPONENT = /* @__PURE__ */ new InjectionToken11("IgxTreeToken");
var IGX_TREE_NODE_COMPONENT = /* @__PURE__ */ new InjectionToken11("IgxTreeNodeToken");

// lib/tree/tree.service.mjs
import { Injectable as Injectable22 } from "@angular/core";
import * as i0144 from "@angular/core";
var IgxTreeService = class _IgxTreeService {
  constructor() {
    this.expandedNodes = /* @__PURE__ */ new Set();
    this.collapsingNodes = /* @__PURE__ */ new Set();
    this.siblingComparer = (data, node) => node !== data && node.level === data.level;
  }
  /**
   * Adds the node to the `expandedNodes` set and fires the nodes change event
   *
   * @param node target node
   * @param uiTrigger is the event triggered by a ui interraction (so we know if we should animate)
   * @returns void
   */
  expand(node, uiTrigger) {
    this.collapsingNodes.delete(node);
    if (!this.expandedNodes.has(node)) {
      node.expandedChange.emit(true);
    } else {
      return;
    }
    this.expandedNodes.add(node);
    if (this.tree.singleBranchExpand) {
      this.tree.findNodes(node, this.siblingComparer)?.forEach((e) => {
        if (uiTrigger) {
          e.collapse();
        } else {
          e.expanded = false;
        }
      });
    }
  }
  /**
   * Adds a node to the `collapsing` collection
   *
   * @param node target node
   */
  collapsing(node) {
    this.collapsingNodes.add(node);
  }
  /**
   * Removes the node from the 'expandedNodes' set and emits the node's change event
   *
   * @param node target node
   * @returns void
   */
  collapse(node) {
    if (this.expandedNodes.has(node)) {
      node.expandedChange.emit(false);
    }
    this.collapsingNodes.delete(node);
    this.expandedNodes.delete(node);
  }
  isExpanded(node) {
    return this.expandedNodes.has(node);
  }
  register(tree) {
    this.tree = tree;
  }
  static {
    this.ɵfac = i0144.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0144, type: _IgxTreeService, deps: [], target: i0144.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0144.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0144, type: _IgxTreeService });
  }
};
i0144.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0144, type: IgxTreeService, decorators: [{
  type: Injectable22
}] });

// lib/tree/tree-selection.service.mjs
import { Injectable as Injectable23 } from "@angular/core";
import * as i0145 from "@angular/core";
var IgxTreeSelectionService = class _IgxTreeSelectionService {
  constructor() {
    this.nodeSelection = /* @__PURE__ */ new Set();
    this.indeterminateNodes = /* @__PURE__ */ new Set();
  }
  register(tree) {
    this.tree = tree;
  }
  /** Select range from last selected node to the current specified node. */
  selectMultipleNodes(node, event) {
    if (!this.nodeSelection.size) {
      this.selectNode(node);
      return;
    }
    const lastSelectedNodeIndex = this.tree.nodes.toArray().indexOf(this.getSelectedNodes()[this.nodeSelection.size - 1]);
    const currentNodeIndex = this.tree.nodes.toArray().indexOf(node);
    const nodes = this.tree.nodes.toArray().slice(Math.min(currentNodeIndex, lastSelectedNodeIndex), Math.max(currentNodeIndex, lastSelectedNodeIndex) + 1);
    const added = nodes.filter((_node) => !this.isNodeSelected(_node));
    const newSelection = this.getSelectedNodes().concat(added);
    this.emitNodeSelectionEvent(newSelection, added, [], event);
  }
  /** Select the specified node and emit event. */
  selectNode(node, event) {
    if (this.tree.selection === IgxTreeSelectionType.None) {
      return;
    }
    this.emitNodeSelectionEvent([...this.getSelectedNodes(), node], [node], [], event);
  }
  /** Deselect the specified node and emit event. */
  deselectNode(node, event) {
    const newSelection = this.getSelectedNodes().filter((r) => r !== node);
    this.emitNodeSelectionEvent(newSelection, [], [node], event);
  }
  /** Clears node selection */
  clearNodesSelection() {
    this.nodeSelection.clear();
    this.indeterminateNodes.clear();
  }
  isNodeSelected(node) {
    return this.nodeSelection.has(node);
  }
  isNodeIndeterminate(node) {
    return this.indeterminateNodes.has(node);
  }
  /** Select specified nodes. No event is emitted. */
  selectNodesWithNoEvent(nodes, clearPrevSelection = false, shouldEmit = true) {
    if (this.tree && this.tree.selection === IgxTreeSelectionType.Cascading) {
      this.cascadeSelectNodesWithNoEvent(nodes, clearPrevSelection);
      return;
    }
    const oldSelection = this.getSelectedNodes();
    if (clearPrevSelection) {
      this.nodeSelection.clear();
    }
    nodes.forEach((node) => this.nodeSelection.add(node));
    if (shouldEmit) {
      this.emitSelectedChangeEvent(oldSelection);
    }
  }
  /** Deselect specified nodes. No event is emitted. */
  deselectNodesWithNoEvent(nodes, shouldEmit = true) {
    const oldSelection = this.getSelectedNodes();
    if (!nodes) {
      this.nodeSelection.clear();
    } else if (this.tree && this.tree.selection === IgxTreeSelectionType.Cascading) {
      this.cascadeDeselectNodesWithNoEvent(nodes);
    } else {
      nodes.forEach((node) => this.nodeSelection.delete(node));
    }
    if (shouldEmit) {
      this.emitSelectedChangeEvent(oldSelection);
    }
  }
  /** Called on `node.ngOnDestroy` to ensure state is correct after node is removed */
  ensureStateOnNodeDelete(node) {
    if (this.tree?.selection !== IgxTreeSelectionType.Cascading) {
      return;
    }
    requestAnimationFrame(() => {
      if (this.isNodeSelected(node)) {
        this.deselectNodesWithNoEvent([node], false);
      } else {
        if (!node.parentNode) {
          return;
        }
        const assitantLeafNode = node.parentNode?.allChildren.find((e) => !e._children?.length);
        if (!assitantLeafNode) {
          return;
        }
        this.retriggerNodeState(assitantLeafNode);
      }
    });
  }
  /** Retriggers a node's selection state */
  retriggerNodeState(node) {
    if (node.selected) {
      this.nodeSelection.delete(node);
      this.selectNodesWithNoEvent([node], false, false);
    } else {
      this.nodeSelection.add(node);
      this.deselectNodesWithNoEvent([node], false);
    }
  }
  /** Returns array of the selected nodes. */
  getSelectedNodes() {
    return this.nodeSelection.size ? Array.from(this.nodeSelection) : [];
  }
  /** Returns array of the nodes in indeterminate state. */
  getIndeterminateNodes() {
    return this.indeterminateNodes.size ? Array.from(this.indeterminateNodes) : [];
  }
  emitNodeSelectionEvent(newSelection, added, removed, event) {
    if (this.tree.selection === IgxTreeSelectionType.Cascading) {
      this.emitCascadeNodeSelectionEvent(newSelection, added, removed, event);
      return;
    }
    const currSelection = this.getSelectedNodes();
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const args = {
      oldSelection: currSelection,
      newSelection,
      added,
      removed,
      event,
      cancel: false,
      owner: this.tree
    };
    this.tree.nodeSelection.emit(args);
    if (args.cancel) {
      return;
    }
    this.selectNodesWithNoEvent(args.newSelection, true);
  }
  areEqualCollections(first19, second) {
    return first19.length === second.length && new Set(first19.concat(second)).size === first19.length;
  }
  cascadeSelectNodesWithNoEvent(nodes, clearPrevSelection = false) {
    const oldSelection = this.getSelectedNodes();
    if (clearPrevSelection) {
      this.indeterminateNodes.clear();
      this.nodeSelection.clear();
      this.calculateNodesNewSelectionState({ added: nodes, removed: [] });
    } else {
      const newSelection = [...oldSelection, ...nodes];
      const args = { oldSelection, newSelection };
      this.populateAddRemoveArgs(args);
      this.calculateNodesNewSelectionState(args);
    }
    this.nodeSelection = new Set(this.nodesToBeSelected);
    this.indeterminateNodes = new Set(this.nodesToBeIndeterminate);
    this.emitSelectedChangeEvent(oldSelection);
  }
  cascadeDeselectNodesWithNoEvent(nodes) {
    const args = { added: [], removed: nodes };
    this.calculateNodesNewSelectionState(args);
    this.nodeSelection = new Set(this.nodesToBeSelected);
    this.indeterminateNodes = new Set(this.nodesToBeIndeterminate);
  }
  /**
   * populates the nodesToBeSelected and nodesToBeIndeterminate sets
   * with the nodes which will be eventually in selected/indeterminate state
   */
  calculateNodesNewSelectionState(args) {
    this.nodesToBeSelected = new Set(args.oldSelection ? args.oldSelection : this.getSelectedNodes());
    this.nodesToBeIndeterminate = new Set(this.getIndeterminateNodes());
    this.cascadeSelectionState(args.removed, false);
    this.cascadeSelectionState(args.added, true);
  }
  /** Ensures proper selection state for all predescessors and descendants during a selection event */
  cascadeSelectionState(nodes, selected) {
    if (!nodes || nodes.length === 0) {
      return;
    }
    if (nodes && nodes.length > 0) {
      const nodeCollection = this.getCascadingNodeCollection(nodes);
      nodeCollection.nodes.forEach((node) => {
        if (selected) {
          this.nodesToBeSelected.add(node);
        } else {
          this.nodesToBeSelected.delete(node);
        }
        this.nodesToBeIndeterminate.delete(node);
      });
      Array.from(nodeCollection.parents).forEach((parent) => {
        this.handleParentSelectionState(parent);
      });
    }
  }
  emitCascadeNodeSelectionEvent(newSelection, added, removed, event) {
    const currSelection = this.getSelectedNodes();
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const args = {
      oldSelection: currSelection,
      newSelection,
      added,
      removed,
      event,
      cancel: false,
      owner: this.tree
    };
    this.calculateNodesNewSelectionState(args);
    args.newSelection = Array.from(this.nodesToBeSelected);
    this.populateAddRemoveArgs(args);
    this.tree.nodeSelection.emit(args);
    if (args.cancel) {
      return;
    }
    if (this.areEqualCollections(Array.from(this.nodesToBeSelected), args.newSelection)) {
      this.nodeSelection = new Set(this.nodesToBeSelected);
      this.indeterminateNodes = new Set(this.nodesToBeIndeterminate);
      this.emitSelectedChangeEvent(currSelection);
    } else {
      this.cascadeSelectNodesWithNoEvent(args.newSelection, true);
    }
  }
  /**
   * recursively handle the selection state of the direct and indirect parents
   */
  handleParentSelectionState(node) {
    if (!node) {
      return;
    }
    this.handleNodeSelectionState(node);
    if (node.parentNode) {
      this.handleParentSelectionState(node.parentNode);
    }
  }
  /**
   * Handle the selection state of a given node based the selection states of its direct children
   */
  handleNodeSelectionState(node) {
    const nodesArray = node && node._children ? node._children.toArray() : [];
    if (nodesArray.length) {
      if (nodesArray.every((n) => this.nodesToBeSelected.has(n))) {
        this.nodesToBeSelected.add(node);
        this.nodesToBeIndeterminate.delete(node);
      } else if (nodesArray.some((n) => this.nodesToBeSelected.has(n) || this.nodesToBeIndeterminate.has(n))) {
        this.nodesToBeIndeterminate.add(node);
        this.nodesToBeSelected.delete(node);
      } else {
        this.nodesToBeIndeterminate.delete(node);
        this.nodesToBeSelected.delete(node);
      }
    } else {
      if (this.isNodeSelected(node)) {
        this.nodesToBeSelected.add(node);
      } else {
        this.nodesToBeSelected.delete(node);
      }
      this.nodesToBeIndeterminate.delete(node);
    }
  }
  /**
   * Get a collection of all nodes affected by the change event
   *
   * @param nodesToBeProcessed set of the nodes to be selected/deselected
   * @returns a collection of all affected nodes and all their parents
   */
  getCascadingNodeCollection(nodes) {
    const collection = {
      parents: /* @__PURE__ */ new Set(),
      nodes: new Set(nodes)
    };
    Array.from(collection.nodes).forEach((node) => {
      const nodeAndAllChildren = node.allChildren?.toArray() || [];
      nodeAndAllChildren.forEach((n) => {
        collection.nodes.add(n);
      });
      if (node && node.parentNode) {
        collection.parents.add(node.parentNode);
      }
    });
    return collection;
  }
  /**
   * retrieve the nodes which should be added/removed to/from the old selection
   */
  populateAddRemoveArgs(args) {
    args.removed = args.oldSelection.filter((x) => args.newSelection.indexOf(x) < 0);
    args.added = args.newSelection.filter((x) => args.oldSelection.indexOf(x) < 0);
  }
  /** Emits the `selectedChange` event for each node affected by the selection */
  emitSelectedChangeEvent(oldSelection) {
    this.getSelectedNodes().forEach((n) => {
      if (oldSelection.indexOf(n) < 0) {
        n.selectedChange.emit(true);
      }
    });
    oldSelection.forEach((n) => {
      if (!this.nodeSelection.has(n)) {
        n.selectedChange.emit(false);
      }
    });
  }
  static {
    this.ɵfac = i0145.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0145, type: _IgxTreeSelectionService, deps: [], target: i0145.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0145.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0145, type: _IgxTreeSelectionService });
  }
};
i0145.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0145, type: IgxTreeSelectionService, decorators: [{
  type: Injectable23
}] });

// lib/tree/tree-navigation.service.mjs
import { Injectable as Injectable24 } from "@angular/core";
import { Subject as Subject36 } from "rxjs";
import * as i0146 from "@angular/core";
var IgxTreeNavigationService = class _IgxTreeNavigationService {
  constructor(treeService, selectionService) {
    this.treeService = treeService;
    this.selectionService = selectionService;
    this._focusedNode = null;
    this._lastFocusedNode = null;
    this._activeNode = null;
    this._visibleChildren = [];
    this._invisibleChildren = /* @__PURE__ */ new Set();
    this._disabledChildren = /* @__PURE__ */ new Set();
    this._cacheChange = new Subject36();
    this._cacheChange.subscribe(() => {
      this._visibleChildren = this.tree?.nodes ? this.tree.nodes.filter((e) => !(this._invisibleChildren.has(e) || this._disabledChildren.has(e))) : [];
    });
  }
  register(tree) {
    this.tree = tree;
  }
  get focusedNode() {
    return this._focusedNode;
  }
  set focusedNode(value) {
    if (this._focusedNode === value) {
      return;
    }
    this._lastFocusedNode = this._focusedNode;
    if (this._lastFocusedNode) {
      this._lastFocusedNode.tabIndex = -1;
    }
    this._focusedNode = value;
    if (this._focusedNode !== null) {
      this._focusedNode.tabIndex = 0;
      this._focusedNode.header.nativeElement.focus();
    }
  }
  get activeNode() {
    return this._activeNode;
  }
  set activeNode(value) {
    if (this._activeNode === value) {
      return;
    }
    this._activeNode = value;
    this.tree.activeNodeChanged.emit(this._activeNode);
  }
  get visibleChildren() {
    return this._visibleChildren;
  }
  update_disabled_cache(node) {
    if (node.disabled) {
      this._disabledChildren.add(node);
    } else {
      this._disabledChildren.delete(node);
    }
    this._cacheChange.next();
  }
  init_invisible_cache() {
    this.tree.nodes.filter((e) => e.level === 0).forEach((node) => {
      this.update_visible_cache(node, node.expanded, false);
    });
    this._cacheChange.next();
  }
  update_visible_cache(node, expanded, shouldEmit = true) {
    if (expanded) {
      node._children.forEach((child) => {
        this._invisibleChildren.delete(child);
        this.update_visible_cache(child, child.expanded, false);
      });
    } else {
      node.allChildren.forEach((c) => this._invisibleChildren.add(c));
    }
    if (shouldEmit) {
      this._cacheChange.next();
    }
  }
  /**
   * Sets the node as focused (and active)
   *
   * @param node target node
   * @param isActive if true, sets the node as active
   */
  setFocusedAndActiveNode(node, isActive = true) {
    if (isActive) {
      this.activeNode = node;
    }
    this.focusedNode = node;
  }
  /** Handler for keydown events. Used in tree.component.ts */
  handleKeydown(event) {
    const key = event.key.toLowerCase();
    if (!this.focusedNode) {
      return;
    }
    if (!(NAVIGATION_KEYS.has(key) || key === "*")) {
      if (key === "enter") {
        this.activeNode = this.focusedNode;
      }
      return;
    }
    event.preventDefault();
    if (event.repeat) {
      setTimeout(() => this.handleNavigation(event), 1);
    } else {
      this.handleNavigation(event);
    }
  }
  ngOnDestroy() {
    this._cacheChange.next();
    this._cacheChange.complete();
  }
  handleNavigation(event) {
    switch (event.key.toLowerCase()) {
      case "home":
        this.setFocusedAndActiveNode(this.visibleChildren[0]);
        break;
      case "end":
        this.setFocusedAndActiveNode(this.visibleChildren[this.visibleChildren.length - 1]);
        break;
      case "arrowleft":
      case "left":
        this.handleArrowLeft();
        break;
      case "arrowright":
      case "right":
        this.handleArrowRight();
        break;
      case "arrowup":
      case "up":
        this.handleUpDownArrow(true, event);
        break;
      case "arrowdown":
      case "down":
        this.handleUpDownArrow(false, event);
        break;
      case "*":
        this.handleAsterisk();
        break;
      case " ":
      case "spacebar":
      case "space":
        this.handleSpace(event.shiftKey);
        break;
      default:
        return;
    }
  }
  handleArrowLeft() {
    if (this.focusedNode.expanded && !this.treeService.collapsingNodes.has(this.focusedNode) && this.focusedNode._children?.length) {
      this.activeNode = this.focusedNode;
      this.focusedNode.collapse();
    } else {
      const parentNode = this.focusedNode.parentNode;
      if (parentNode && !parentNode.disabled) {
        this.setFocusedAndActiveNode(parentNode);
      }
    }
  }
  handleArrowRight() {
    if (this.focusedNode._children.length > 0) {
      if (!this.focusedNode.expanded) {
        this.activeNode = this.focusedNode;
        this.focusedNode.expand();
      } else {
        if (this.treeService.collapsingNodes.has(this.focusedNode)) {
          this.focusedNode.expand();
          return;
        }
        const firstChild = this.focusedNode._children.find((node) => !node.disabled);
        if (firstChild) {
          this.setFocusedAndActiveNode(firstChild);
        }
      }
    }
  }
  handleUpDownArrow(isUp, event) {
    const next = this.getVisibleNode(this.focusedNode, isUp ? -1 : 1);
    if (next === this.focusedNode) {
      return;
    }
    if (event.ctrlKey) {
      this.setFocusedAndActiveNode(next, false);
    } else {
      this.setFocusedAndActiveNode(next);
    }
  }
  handleAsterisk() {
    const nodes = this.focusedNode.parentNode ? this.focusedNode.parentNode._children : this.tree.rootNodes;
    nodes?.forEach((node) => {
      if (!node.disabled && (!node.expanded || this.treeService.collapsingNodes.has(node))) {
        node.expand();
      }
    });
  }
  handleSpace(shiftKey = false) {
    if (this.tree.selection === IgxTreeSelectionType.None) {
      return;
    }
    this.activeNode = this.focusedNode;
    if (shiftKey) {
      this.selectionService.selectMultipleNodes(this.focusedNode);
      return;
    }
    if (this.focusedNode.selected) {
      this.selectionService.deselectNode(this.focusedNode);
    } else {
      this.selectionService.selectNode(this.focusedNode);
    }
  }
  /** Gets the next visible node in the given direction - 1 -> next, -1 -> previous */
  getVisibleNode(node, dir = 1) {
    const nodeIndex = this.visibleChildren.indexOf(node);
    return this.visibleChildren[nodeIndex + dir] || node;
  }
  static {
    this.ɵfac = i0146.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0146, type: _IgxTreeNavigationService, deps: [{ token: IgxTreeService }, { token: IgxTreeSelectionService }], target: i0146.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0146.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0146, type: _IgxTreeNavigationService });
  }
};
i0146.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0146, type: IgxTreeNavigationService, decorators: [{
  type: Injectable24
}], ctorParameters: () => [{ type: IgxTreeService }, { type: IgxTreeSelectionService }] });

// lib/tree/tree-node/tree-node.component.mjs
import { Component as Component64, ContentChildren as ContentChildren18, Directive as Directive63, ElementRef as ElementRef63, EventEmitter as EventEmitter59, HostBinding as HostBinding65, HostListener as HostListener37, Inject as Inject58, Input as Input90, Optional as Optional34, Output as Output49, SkipSelf, TemplateRef as TemplateRef14, ViewChild as ViewChild34, booleanAttribute as booleanAttribute59 } from "@angular/core";
import { takeUntil as takeUntil30 } from "rxjs/operators";
import { NgTemplateOutlet as NgTemplateOutlet16, NgIf as NgIf40, NgClass as NgClass13, NgFor as NgFor15 } from "@angular/common";
import * as i0147 from "@angular/core";
var IgxTreeNodeLinkDirective = class _IgxTreeNodeLinkDirective {
  /**
   * The node's parent. Should be used only when the link is defined
   * in `<ng-template>` tag outside of its parent, as Angular DI will not properly provide a reference
   *
   * ```html
   * <igx-tree>
   *     <igx-tree-node #myNode *ngFor="let node of data" [data]="node">
   *         <ng-template *ngTemplateOutlet="nodeTemplate; context: { $implicit: data, parentNode: myNode }">
   *         </ng-template>
   *     </igx-tree-node>
   *     ...
   *     <!-- node template is defined under tree to access related services -->
   *     <ng-template #nodeTemplate let-data let-node="parentNode">
   *         <a [igxTreeNodeLink]="node">{{ data.label }}</a>
   *     </ng-template>
   * </igx-tree>
   * ```
   */
  set parentNode(val) {
    if (val) {
      this._parentNode = val;
      this._parentNode.addLinkChild(this);
    }
  }
  get parentNode() {
    return this._parentNode;
  }
  /** A pointer to the parent node */
  get target() {
    return this.node || this.parentNode;
  }
  constructor(node, navService, elementRef) {
    this.node = node;
    this.navService = navService;
    this.elementRef = elementRef;
    this.role = "treeitem";
    this._parentNode = null;
  }
  /** @hidden @internal */
  get tabIndex() {
    return this.navService.focusedNode === this.target ? this.target?.disabled ? -1 : 0 : -1;
  }
  /**
   * @hidden @internal
   * Clear the node's focused state
   */
  handleBlur() {
    this.target.isFocused = false;
  }
  /**
   * @hidden @internal
   * Set the node as focused
   */
  handleFocus() {
    if (this.target && !this.target.disabled) {
      if (this.navService.focusedNode !== this.target) {
        this.navService.focusedNode = this.target;
      }
      this.target.isFocused = true;
    }
  }
  ngOnDestroy() {
    this.target.removeLinkChild(this);
  }
  static {
    this.ɵfac = i0147.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0147, type: _IgxTreeNodeLinkDirective, deps: [{ token: IGX_TREE_NODE_COMPONENT, optional: true }, { token: IgxTreeNavigationService }, { token: i0147.ElementRef }], target: i0147.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0147.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTreeNodeLinkDirective, isStandalone: true, selector: "[igxTreeNodeLink]", inputs: { parentNode: ["igxTreeNodeLink", "parentNode"] }, host: { listeners: { "blur": "handleBlur()", "focus": "handleFocus()" }, properties: { "attr.role": "this.role", "attr.tabindex": "this.tabIndex" } }, ngImport: i0147 });
  }
};
i0147.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0147, type: IgxTreeNodeLinkDirective, decorators: [{
  type: Directive63,
  args: [{
    selector: `[igxTreeNodeLink]`,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Optional34
}, {
  type: Inject58,
  args: [IGX_TREE_NODE_COMPONENT]
}] }, { type: IgxTreeNavigationService }, { type: i0147.ElementRef }], propDecorators: { role: [{
  type: HostBinding65,
  args: ["attr.role"]
}], parentNode: [{
  type: Input90,
  args: ["igxTreeNodeLink"]
}], tabIndex: [{
  type: HostBinding65,
  args: ["attr.tabindex"]
}], handleBlur: [{
  type: HostListener37,
  args: ["blur"]
}], handleFocus: [{
  type: HostListener37,
  args: ["focus"]
}] } });
var IgxTreeNodeComponent = class _IgxTreeNodeComponent extends ToggleAnimationPlayer {
  // TO DO: return different tab index depending on anchor child
  /** @hidden @internal */
  set tabIndex(val) {
    this._tabIndex = val;
  }
  /** @hidden @internal */
  get tabIndex() {
    if (this.disabled) {
      return -1;
    }
    if (this._tabIndex === null) {
      if (this.navService.focusedNode === null) {
        return this.hasLinkChildren ? -1 : 0;
      }
      return -1;
    }
    return this.hasLinkChildren ? -1 : this._tabIndex;
  }
  /** @hidden @internal */
  get animationSettings() {
    return this.tree.animationSettings;
  }
  /**
   * Gets/Sets the resource strings.
   *
   * @remarks
   * Uses EN resources by default.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Gets/Sets the active state of the node
   *
   * @param value: boolean
   */
  set active(value) {
    if (value) {
      this.navService.activeNode = this;
      this.tree.activeNodeBindingChange.emit(this);
    }
  }
  get active() {
    return this.navService.activeNode === this;
  }
  /** @hidden @internal */
  get focused() {
    return this.isFocused && this.navService.focusedNode === this;
  }
  /**
   * Retrieves the full path to the node incuding itself
   *
   * ```typescript
   * const node: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * const path: IgxTreeNode<any>[] = node.path;
   * ```
   */
  get path() {
    return this.parentNode?.path ? [...this.parentNode.path, this] : [this];
  }
  // TODO: bind to disabled state when node is dragged
  /**
   * Gets/Sets the disabled state of the node
   *
   * @param value: boolean
   */
  get disabled() {
    return this._disabled;
  }
  set disabled(value) {
    if (value !== this._disabled) {
      this._disabled = value;
      this.tree.disabledChange.emit(this);
    }
  }
  get size() {
    switch (this.tree.displayDensity) {
      case DisplayDensity.compact:
        return "var(--ig-size, var(--ig-size-small))";
      case DisplayDensity.cosy:
        return "var(--ig-size, var(--ig-size-medium))";
      case DisplayDensity.comfortable:
      default:
        return "var(--ig-size, var(--ig-size-large))";
    }
  }
  /** @hidden @internal */
  get role() {
    return this.hasLinkChildren ? "none" : "treeitem";
  }
  /**
   * Return the child nodes of the node (if any)
   *
   * @remark
   * Returns `null` if node does not have children
   *
   * @example
   * ```typescript
   * const node: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * const children: IgxTreeNode<any>[] = node.children;
   * ```
   */
  get children() {
    return this._children?.length ? this._children.toArray() : null;
  }
  get hasLinkChildren() {
    return this.linkChildren?.length > 0 || this.registeredChildren?.length > 0;
  }
  /** @hidden @internal */
  get isCompact() {
    return this.tree?.displayDensity === DisplayDensity.compact;
  }
  /** @hidden @internal */
  get isCosy() {
    return this.tree?.displayDensity === DisplayDensity.cosy;
  }
  constructor(tree, selectionService, treeService, navService, cdr, animationService, element, parentNode) {
    super(animationService);
    this.tree = tree;
    this.selectionService = selectionService;
    this.treeService = treeService;
    this.navService = navService;
    this.cdr = cdr;
    this.element = element;
    this.parentNode = parentNode;
    this.loading = false;
    this.selectedChange = new EventEmitter59();
    this.expandedChange = new EventEmitter59();
    this.cssClass = "igx-tree-node";
    this.registeredChildren = [];
    this._resourceStrings = getCurrentResourceStrings(TreeResourceStringsEN);
    this._tabIndex = null;
    this._disabled = false;
  }
  /**
   * @hidden @internal
   */
  get showSelectors() {
    return this.tree.selection !== IgxTreeSelectionType.None;
  }
  /**
   * @hidden @internal
   */
  get indeterminate() {
    return this.selectionService.isNodeIndeterminate(this);
  }
  /** The depth of the node, relative to the root
   *
   * ```html
   * <igx-tree>
   *  ...
   *  <igx-tree-node #node>
   *      My level is {{ node.level }}
   *  </igx-tree-node>
   * </igx-tree>
   * ```
   *
   * ```typescript
   * const node: IgxTreeNode<any> = this.tree.findNodes(data[12])[0];
   * const level: number = node.level;
   * ```
   */
  get level() {
    return this.parentNode ? this.parentNode.level + 1 : 0;
  }
  /** Get/set whether the node is selected. Supporst two-way binding.
   *
   * ```html
   * <igx-tree>
   *  ...
   *  <igx-tree-node *ngFor="let node of data" [(selected)]="node.selected">
   *      {{ node.label }}
   *  </igx-tree-node>
   * </igx-tree>
   * ```
   *
   * ```typescript
   * const node: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * const selected = node.selected;
   * node.selected = true;
   * ```
   */
  get selected() {
    return this.selectionService.isNodeSelected(this);
  }
  set selected(val) {
    if (!(this.tree?.nodes && this.tree.nodes.find((e) => e === this)) && val) {
      this.tree.forceSelect.push(this);
      return;
    }
    if (val && !this.selectionService.isNodeSelected(this)) {
      this.selectionService.selectNodesWithNoEvent([this]);
    }
    if (!val && this.selectionService.isNodeSelected(this)) {
      this.selectionService.deselectNodesWithNoEvent([this]);
    }
  }
  /** Get/set whether the node is expanded
   *
   * ```html
   * <igx-tree>
   *  ...
   *  <igx-tree-node *ngFor="let node of data" [expanded]="node.name === this.expandedNode">
   *      {{ node.label }}
   *  </igx-tree-node>
   * </igx-tree>
   * ```
   *
   * ```typescript
   * const node: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * const expanded = node.expanded;
   * node.expanded = true;
   * ```
   */
  get expanded() {
    return this.treeService.isExpanded(this);
  }
  set expanded(val) {
    if (val) {
      this.treeService.expand(this, false);
    } else {
      this.treeService.collapse(this);
    }
  }
  /** @hidden @internal */
  get expandIndicatorTemplate() {
    return this.tree?.expandIndicator || this._defaultExpandIndicatorTemplate;
  }
  /**
   * The native DOM element representing the node. Could be null in certain environments.
   *
   * ```typescript
   * // get the nativeElement of the second node
   * const node: IgxTreeNode = this.tree.nodes.first();
   * const nodeElement: HTMLElement = node.nativeElement;
   * ```
   */
  /** @hidden @internal */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /** @hidden @internal */
  ngOnInit() {
    this.openAnimationDone.pipe(takeUntil30(this.destroy$)).subscribe(() => {
      this.tree.nodeExpanded.emit({ owner: this.tree, node: this });
    });
    this.closeAnimationDone.pipe(takeUntil30(this.destroy$)).subscribe(() => {
      this.tree.nodeCollapsed.emit({ owner: this.tree, node: this });
      this.treeService.collapse(this);
      this.cdr.markForCheck();
    });
  }
  /**
   * @hidden @internal
   * Sets the focus to the node's <a> child, if present
   * Sets the node as the tree service's focusedNode
   * Marks the node as the current active element
   */
  handleFocus() {
    if (this.disabled) {
      return;
    }
    if (this.navService.focusedNode !== this) {
      this.navService.focusedNode = this;
    }
    this.isFocused = true;
    if (this.linkChildren?.length) {
      this.linkChildren.first.nativeElement.focus();
      return;
    }
    if (this.registeredChildren.length) {
      this.registeredChildren[0].elementRef.nativeElement.focus();
      return;
    }
  }
  /**
   * @hidden @internal
   * Clear the node's focused status
   */
  clearFocus() {
    this.isFocused = false;
  }
  /**
   * @hidden @internal
   */
  onSelectorPointerDown(event) {
    event.preventDefault();
    event.stopPropagation();
  }
  /**
   * @hidden @internal
   */
  onSelectorClick(event) {
    event.preventDefault();
    if (event.shiftKey) {
      this.selectionService.selectMultipleNodes(this, event);
      return;
    }
    if (this.selected) {
      this.selectionService.deselectNode(this, event);
    } else {
      this.selectionService.selectNode(this, event);
    }
  }
  /**
   * Toggles the node expansion state, triggering animation
   *
   * ```html
   * <igx-tree>
   *      <igx-tree-node #node>My Node</igx-tree-node>
   * </igx-tree>
   * <button type="button" igxButton (click)="node.toggle()">Toggle Node</button>
   * ```
   *
   * ```typescript
   * const myNode: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * myNode.toggle();
   * ```
   */
  toggle() {
    if (this.expanded) {
      this.collapse();
    } else {
      this.expand();
    }
  }
  /** @hidden @internal */
  indicatorClick() {
    if (!this.tree.toggleNodeOnClick) {
      this.toggle();
      this.navService.setFocusedAndActiveNode(this);
    }
  }
  /**
   * @hidden @internal
   */
  onPointerDown(event) {
    event.stopPropagation();
    if (this.tree.toggleNodeOnClick && event.button === 0) {
      this.toggle();
    }
    this.navService.setFocusedAndActiveNode(this);
  }
  ngOnDestroy() {
    super.ngOnDestroy();
    this.selectionService.ensureStateOnNodeDelete(this);
  }
  /**
   * Expands the node, triggering animation
   *
   * ```html
   * <igx-tree>
   *      <igx-tree-node #node>My Node</igx-tree-node>
   * </igx-tree>
   * <button type="button" igxButton (click)="node.expand()">Expand Node</button>
   * ```
   *
   * ```typescript
   * const myNode: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * myNode.expand();
   * ```
   */
  expand() {
    if (this.expanded && !this.treeService.collapsingNodes.has(this)) {
      return;
    }
    const args = {
      owner: this.tree,
      node: this,
      cancel: false
    };
    this.tree.nodeExpanding.emit(args);
    if (!args.cancel) {
      this.treeService.expand(this, true);
      this.cdr.detectChanges();
      this.playOpenAnimation(this.childrenContainer);
    }
  }
  /**
   * Collapses the node, triggering animation
   *
   * ```html
   * <igx-tree>
   *      <igx-tree-node #node>My Node</igx-tree-node>
   * </igx-tree>
   * <button type="button" igxButton (click)="node.collapse()">Collapse Node</button>
   * ```
   *
   * ```typescript
   * const myNode: IgxTreeNode<any> = this.tree.findNodes(data[0])[0];
   * myNode.collapse();
   * ```
   */
  collapse() {
    if (!this.expanded || this.treeService.collapsingNodes.has(this)) {
      return;
    }
    const args = {
      owner: this.tree,
      node: this,
      cancel: false
    };
    this.tree.nodeCollapsing.emit(args);
    if (!args.cancel) {
      this.treeService.collapsing(this);
      this.playCloseAnimation(this.childrenContainer);
    }
  }
  /** @hidden @internal */
  addLinkChild(link) {
    this._tabIndex = -1;
    this.registeredChildren.push(link);
  }
  /** @hidden @internal */
  removeLinkChild(link) {
    const index = this.registeredChildren.indexOf(link);
    if (index !== -1) {
      this.registeredChildren.splice(index, 1);
    }
  }
  static {
    this.ɵfac = i0147.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0147, type: _IgxTreeNodeComponent, deps: [{ token: IGX_TREE_COMPONENT }, { token: IgxTreeSelectionService }, { token: IgxTreeService }, { token: IgxTreeNavigationService }, { token: i0147.ChangeDetectorRef }, { token: IgxAngularAnimationService }, { token: i0147.ElementRef }, { token: IGX_TREE_NODE_COMPONENT, optional: true, skipSelf: true }], target: i0147.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0147.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTreeNodeComponent, isStandalone: true, selector: "igx-tree-node", inputs: { data: "data", loading: ["loading", "loading", booleanAttribute59], resourceStrings: "resourceStrings", active: ["active", "active", booleanAttribute59], disabled: ["disabled", "disabled", booleanAttribute59], selected: ["selected", "selected", booleanAttribute59], expanded: ["expanded", "expanded", booleanAttribute59] }, outputs: { selectedChange: "selectedChange", expandedChange: "expandedChange" }, host: { properties: { "class.igx-tree-node--disabled": "this.disabled", "class.igx-tree-node": "this.cssClass", "style.--component-size": "this.size", "attr.role": "this.role" } }, providers: [
      { provide: IGX_TREE_NODE_COMPONENT, useExisting: _IgxTreeNodeComponent }
    ], queries: [{ propertyName: "linkChildren", predicate: IgxTreeNodeLinkDirective, read: ElementRef63 }, { propertyName: "_children", predicate: IGX_TREE_NODE_COMPONENT, read: IGX_TREE_NODE_COMPONENT }, { propertyName: "allChildren", predicate: IGX_TREE_NODE_COMPONENT, descendants: true, read: IGX_TREE_NODE_COMPONENT }], viewQueries: [{ propertyName: "header", first: true, predicate: ["ghostTemplate"], descendants: true, read: ElementRef63 }, { propertyName: "_defaultExpandIndicatorTemplate", first: true, predicate: ["defaultIndicator"], descendants: true, read: TemplateRef14, static: true }, { propertyName: "childrenContainer", first: true, predicate: ["childrenContainer"], descendants: true, read: ElementRef63 }], usesInheritance: true, ngImport: i0147, template: `<ng-template #noDragTemplate>
    <ng-template *ngTemplateOutlet="headerTemplate"></ng-template>
</ng-template>

<!-- Will switch templates depending on dragDrop -->
<ng-template *ngTemplateOutlet="noDragTemplate">
</ng-template>

<div #childrenContainer
    *ngIf="expanded && !loading"
    class="igx-tree-node__group"
    role="group"
>
    <ng-content select="igx-tree-node"></ng-content>
</div>


<ng-template #defaultIndicator>
    <igx-icon [attr.aria-label]="expanded ? resourceStrings.igx_collapse : resourceStrings.igx_expand">
        {{ expanded ? "keyboard_arrow_down" : "keyboard_arrow_right" }}
    </igx-icon>
</ng-template>

<!-- separated in a template in case this ever needs to be templatable -->
<ng-template #selectMarkerTemplate>
    <igx-checkbox [checked]="selected" [disabled]="disabled" [readonly]="true" [indeterminate]="indeterminate" [tabindex]="-1">
    </igx-checkbox>
</ng-template>

<ng-template #headerTemplate>
    <div #ghostTemplate class="igx-tree-node__wrapper"
        [attr.role]="role"
        [tabIndex]="tabIndex"
        [ngClass]="{
            'igx-tree-node__wrapper--selected': selected,
            'igx-tree-node__wrapper--active' : this.active,
            'igx-tree-node__wrapper--focused' : this.focused,
            'igx-tree-node__wrapper--disabled' : this.disabled
        }"
        (pointerdown)="onPointerDown($event)"
        (focus)="handleFocus()"
        (blur)="clearFocus()"
    >
        <div aria-hidden="true">
            <span *ngFor="let item of [].constructor(level)"
                aria-hidden="true"
                class="igx-tree-node__spacer"
            ></span>
        </div>

        <!-- Expand/Collapse indicator -->
        <span *ngIf="!loading"
            class="igx-tree-node__toggle-button"
            [ngClass]="{ 'igx-tree-node__toggle-button--hidden': !_children?.length }"
            (click)="indicatorClick()"
        >
            <ng-container *ngTemplateOutlet="expandIndicatorTemplate, context: { $implicit: expanded }">
            </ng-container>
        </span>
        <span *ngIf="loading"
            class="igx-tree-node__toggle-button"
        >
        	<igx-circular-bar
            	[animate]="false"
            	[indeterminate]="true"
            	[textVisibility]="false"
        	>
        	</igx-circular-bar>
        </span>

        <!-- Item selection -->
        <div *ngIf="showSelectors"
            class="igx-tree-node__select"
            (pointerdown)="onSelectorPointerDown($event)"
            (click)="onSelectorClick($event)">
            <ng-container *ngTemplateOutlet="selectMarkerTemplate">
            </ng-container>
        </div>

        <div class="igx-tree-node__content">
            <!-- Ghost content -->
            <ng-content></ng-content>
        </div>
    </div>

    <!--  Buffer element for 'move after' when D&D is implemented-->
    <div class="igx-tree-node__drop-indicator">
        <span aria-hidden="true" class="igx-tree-node__spacer" *ngFor="let item of [].constructor(level)"></span>
        <!-- style rules target this div, do not delete it -->
        <div></div>
    </div>
</ng-template>

<ng-template #dragTemplate>
    <!-- Drag drop goes here
        igxDrop
        #dropRef="drop"
        [igxNodeDrag]="this"
        (dragStart)="logDrop(dropRef)"
        (leave)="emitLeave()"
        (enter)="emitEnter()" -->
    <div class="igx-tree-node__drag-wrapper">
        <ng-template *ngTemplateOutlet="headerTemplate"></ng-template>
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgTemplateOutlet16, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf40, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "directive", type: NgClass13, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor15, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }] });
  }
};
i0147.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0147, type: IgxTreeNodeComponent, decorators: [{
  type: Component64,
  args: [{ selector: "igx-tree-node", providers: [
    { provide: IGX_TREE_NODE_COMPONENT, useExisting: IgxTreeNodeComponent }
  ], standalone: true, imports: [NgTemplateOutlet16, NgIf40, IgxIconComponent, IgxCheckboxComponent, NgClass13, NgFor15, IgxCircularProgressBarComponent], template: `<ng-template #noDragTemplate>
    <ng-template *ngTemplateOutlet="headerTemplate"></ng-template>
</ng-template>

<!-- Will switch templates depending on dragDrop -->
<ng-template *ngTemplateOutlet="noDragTemplate">
</ng-template>

<div #childrenContainer
    *ngIf="expanded && !loading"
    class="igx-tree-node__group"
    role="group"
>
    <ng-content select="igx-tree-node"></ng-content>
</div>


<ng-template #defaultIndicator>
    <igx-icon [attr.aria-label]="expanded ? resourceStrings.igx_collapse : resourceStrings.igx_expand">
        {{ expanded ? "keyboard_arrow_down" : "keyboard_arrow_right" }}
    </igx-icon>
</ng-template>

<!-- separated in a template in case this ever needs to be templatable -->
<ng-template #selectMarkerTemplate>
    <igx-checkbox [checked]="selected" [disabled]="disabled" [readonly]="true" [indeterminate]="indeterminate" [tabindex]="-1">
    </igx-checkbox>
</ng-template>

<ng-template #headerTemplate>
    <div #ghostTemplate class="igx-tree-node__wrapper"
        [attr.role]="role"
        [tabIndex]="tabIndex"
        [ngClass]="{
            'igx-tree-node__wrapper--selected': selected,
            'igx-tree-node__wrapper--active' : this.active,
            'igx-tree-node__wrapper--focused' : this.focused,
            'igx-tree-node__wrapper--disabled' : this.disabled
        }"
        (pointerdown)="onPointerDown($event)"
        (focus)="handleFocus()"
        (blur)="clearFocus()"
    >
        <div aria-hidden="true">
            <span *ngFor="let item of [].constructor(level)"
                aria-hidden="true"
                class="igx-tree-node__spacer"
            ></span>
        </div>

        <!-- Expand/Collapse indicator -->
        <span *ngIf="!loading"
            class="igx-tree-node__toggle-button"
            [ngClass]="{ 'igx-tree-node__toggle-button--hidden': !_children?.length }"
            (click)="indicatorClick()"
        >
            <ng-container *ngTemplateOutlet="expandIndicatorTemplate, context: { $implicit: expanded }">
            </ng-container>
        </span>
        <span *ngIf="loading"
            class="igx-tree-node__toggle-button"
        >
        	<igx-circular-bar
            	[animate]="false"
            	[indeterminate]="true"
            	[textVisibility]="false"
        	>
        	</igx-circular-bar>
        </span>

        <!-- Item selection -->
        <div *ngIf="showSelectors"
            class="igx-tree-node__select"
            (pointerdown)="onSelectorPointerDown($event)"
            (click)="onSelectorClick($event)">
            <ng-container *ngTemplateOutlet="selectMarkerTemplate">
            </ng-container>
        </div>

        <div class="igx-tree-node__content">
            <!-- Ghost content -->
            <ng-content></ng-content>
        </div>
    </div>

    <!--  Buffer element for 'move after' when D&D is implemented-->
    <div class="igx-tree-node__drop-indicator">
        <span aria-hidden="true" class="igx-tree-node__spacer" *ngFor="let item of [].constructor(level)"></span>
        <!-- style rules target this div, do not delete it -->
        <div></div>
    </div>
</ng-template>

<ng-template #dragTemplate>
    <!-- Drag drop goes here
        igxDrop
        #dropRef="drop"
        [igxNodeDrag]="this"
        (dragStart)="logDrop(dropRef)"
        (leave)="emitLeave()"
        (enter)="emitEnter()" -->
    <div class="igx-tree-node__drag-wrapper">
        <ng-template *ngTemplateOutlet="headerTemplate"></ng-template>
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject58,
  args: [IGX_TREE_COMPONENT]
}] }, { type: IgxTreeSelectionService }, { type: IgxTreeService }, { type: IgxTreeNavigationService }, { type: i0147.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Inject58,
  args: [IgxAngularAnimationService]
}] }, { type: i0147.ElementRef }, { type: void 0, decorators: [{
  type: Optional34
}, {
  type: SkipSelf
}, {
  type: Inject58,
  args: [IGX_TREE_NODE_COMPONENT]
}] }], propDecorators: { data: [{
  type: Input90
}], loading: [{
  type: Input90,
  args: [{ transform: booleanAttribute59 }]
}], resourceStrings: [{
  type: Input90
}], active: [{
  type: Input90,
  args: [{ transform: booleanAttribute59 }]
}], selectedChange: [{
  type: Output49
}], expandedChange: [{
  type: Output49
}], disabled: [{
  type: Input90,
  args: [{ transform: booleanAttribute59 }]
}, {
  type: HostBinding65,
  args: ["class.igx-tree-node--disabled"]
}], cssClass: [{
  type: HostBinding65,
  args: ["class.igx-tree-node"]
}], size: [{
  type: HostBinding65,
  args: ["style.--component-size"]
}], role: [{
  type: HostBinding65,
  args: ["attr.role"]
}], linkChildren: [{
  type: ContentChildren18,
  args: [IgxTreeNodeLinkDirective, { read: ElementRef63 }]
}], _children: [{
  type: ContentChildren18,
  args: [IGX_TREE_NODE_COMPONENT, { read: IGX_TREE_NODE_COMPONENT }]
}], allChildren: [{
  type: ContentChildren18,
  args: [IGX_TREE_NODE_COMPONENT, { read: IGX_TREE_NODE_COMPONENT, descendants: true }]
}], header: [{
  type: ViewChild34,
  args: ["ghostTemplate", { read: ElementRef63 }]
}], _defaultExpandIndicatorTemplate: [{
  type: ViewChild34,
  args: ["defaultIndicator", { read: TemplateRef14, static: true }]
}], childrenContainer: [{
  type: ViewChild34,
  args: ["childrenContainer", { read: ElementRef63 }]
}], selected: [{
  type: Input90,
  args: [{ transform: booleanAttribute59 }]
}], expanded: [{
  type: Input90,
  args: [{ transform: booleanAttribute59 }]
}] } });

// lib/tree/tree.component.mjs
import { Component as Component65, Input as Input91, Output as Output50, EventEmitter as EventEmitter60, ContentChild as ContentChild15, Directive as Directive64, TemplateRef as TemplateRef15, ContentChildren as ContentChildren19, HostBinding as HostBinding66, Optional as Optional35, Inject as Inject59, booleanAttribute as booleanAttribute60 } from "@angular/core";
import { Subject as Subject37 } from "rxjs";
import { takeUntil as takeUntil31 } from "rxjs/operators";
import { growVerIn as growVerIn2, growVerOut as growVerOut2 } from "igniteui-angular/animations";
import * as i0148 from "@angular/core";
var IgxTreeSelectMarkerDirective = class _IgxTreeSelectMarkerDirective {
  static {
    this.ɵfac = i0148.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: _IgxTreeSelectMarkerDirective, deps: [], target: i0148.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0148.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTreeSelectMarkerDirective, isStandalone: true, selector: "[igxTreeSelectMarker]", ngImport: i0148 });
  }
};
i0148.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: IgxTreeSelectMarkerDirective, decorators: [{
  type: Directive64,
  args: [{
    selector: "[igxTreeSelectMarker]",
    standalone: true
  }]
}] });
var IgxTreeExpandIndicatorDirective = class _IgxTreeExpandIndicatorDirective {
  static {
    this.ɵfac = i0148.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: _IgxTreeExpandIndicatorDirective, deps: [], target: i0148.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0148.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTreeExpandIndicatorDirective, isStandalone: true, selector: "[igxTreeExpandIndicator]", ngImport: i0148 });
  }
};
i0148.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: IgxTreeExpandIndicatorDirective, decorators: [{
  type: Directive64,
  args: [{
    selector: "[igxTreeExpandIndicator]",
    standalone: true
  }]
}] });
var IgxTreeComponent = class _IgxTreeComponent extends DisplayDensityBase {
  /**
   * Gets/Sets tree selection mode
   *
   * @remarks
   * By default the tree selection mode is 'None'
   * @param selectionMode: IgxTreeSelectionType
   */
  get selection() {
    return this._selection;
  }
  set selection(selectionMode) {
    this._selection = selectionMode;
    this.selectionService.clearNodesSelection();
  }
  /**
   * Returns all **root level** nodes
   *
   * ```typescript
   * const tree: IgxTree = this.tree;
   * const rootNodes: IgxTreeNodeComponent<any>[] = tree.rootNodes;
   * ```
   */
  get rootNodes() {
    return this.nodes?.filter((node) => node.level === 0);
  }
  constructor(navService, selectionService, treeService, element, _displayDensityOptions) {
    super(_displayDensityOptions, element);
    this.navService = navService;
    this.selectionService = selectionService;
    this.treeService = treeService;
    this.element = element;
    this._displayDensityOptions = _displayDensityOptions;
    this.cssClass = "igx-tree";
    this.singleBranchExpand = false;
    this.toggleNodeOnClick = false;
    this.animationSettings = {
      openAnimation: growVerIn2,
      closeAnimation: growVerOut2
    };
    this.nodeSelection = new EventEmitter60();
    this.nodeExpanding = new EventEmitter60();
    this.nodeExpanded = new EventEmitter60();
    this.nodeCollapsing = new EventEmitter60();
    this.nodeCollapsed = new EventEmitter60();
    this.activeNodeChanged = new EventEmitter60();
    this.disabledChange = new EventEmitter60();
    this.activeNodeBindingChange = new EventEmitter60();
    this.forceSelect = [];
    this._selection = IgxTreeSelectionType.None;
    this.destroy$ = new Subject37();
    this.unsubChildren$ = new Subject37();
    this._comparer = (data, node) => node.data === data;
    this.selectionService.register(this);
    this.treeService.register(this);
    this.navService.register(this);
  }
  /** @hidden @internal */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /**
   * Expands all of the passed nodes.
   * If no nodes are passed, expands ALL nodes
   *
   * @param nodes nodes to be expanded
   *
   * ```typescript
   * const targetNodes: IgxTreeNode<any> = this.tree.findNodes(true, (_data: any, node: IgxTreeNode<any>) => node.data.expandable);
   * tree.expandAll(nodes);
   * ```
   */
  expandAll(nodes) {
    nodes = nodes || this.nodes.toArray();
    nodes.forEach((e) => e.expanded = true);
  }
  /**
   * Collapses all of the passed nodes.
   * If no nodes are passed, collapses ALL nodes
   *
   * @param nodes nodes to be collapsed
   *
   * ```typescript
   * const targetNodes: IgxTreeNode<any> = this.tree.findNodes(true, (_data: any, node: IgxTreeNode<any>) => node.data.collapsible);
   * tree.collapseAll(nodes);
   * ```
   */
  collapseAll(nodes) {
    nodes = nodes || this.nodes.toArray();
    nodes.forEach((e) => e.expanded = false);
  }
  /**
   * Deselect all nodes if the nodes collection is empty. Otherwise, deselect the nodes in the nodes collection.
   *
   * @example
   * ```typescript
   *  const arr = [
   *      this.tree.nodes.toArray()[0],
   *      this.tree.nodes.toArray()[1]
   *  ];
   *  this.tree.deselectAll(arr);
   * ```
   * @param nodes: IgxTreeNodeComponent<any>[]
   */
  deselectAll(nodes) {
    this.selectionService.deselectNodesWithNoEvent(nodes);
  }
  /**
   * Returns all of the nodes that match the passed searchTerm.
   * Accepts a custom comparer function for evaluating the search term against the nodes.
   *
   * @remark
   * Default search compares the passed `searchTerm` against the node's `data` Input.
   * When using `findNodes` w/o a `comparer`, make sure all nodes have `data` passed.
   *
   * @param searchTerm The data of the searched node
   * @param comparer A custom comparer function that evaluates the passed `searchTerm` against all nodes.
   * @returns Array of nodes that match the search. `null` if no nodes are found.
   *
   * ```html
   * <igx-tree>
   *     <igx-tree-node *ngFor="let node of data" [data]="node">
   *          {{ node.label }}
   *     </igx-tree-node>
   * </igx-tree>
   * ```
   *
   * ```typescript
   * public data: DataEntry[] = FETCHED_DATA;
   * ...
   * const matchedNodes: IgxTreeNode<DataEntry>[] = this.tree.findNodes<DataEntry>(searchTerm: data[5]);
   * ```
   *
   * Using a custom comparer
   * ```typescript
   * public data: DataEntry[] = FETCHED_DATA;
   * ...
   * const comparer: IgxTreeSearchResolver = (data: any, node: IgxTreeNode<DataEntry>) {
   *      return node.data.index % 2 === 0;
   * }
   * const evenIndexNodes: IgxTreeNode<DataEntry>[] = this.tree.findNodes<DataEntry>(null, comparer);
   * ```
   */
  findNodes(searchTerm, comparer) {
    const compareFunc = comparer || this._comparer;
    const results = this.nodes.filter((node) => compareFunc(searchTerm, node));
    return results?.length === 0 ? null : results;
  }
  /** @hidden @internal */
  handleKeydown(event) {
    this.navService.handleKeydown(event);
  }
  /** @hidden @internal */
  ngOnInit() {
    super.ngOnInit();
    this.disabledChange.pipe(takeUntil31(this.destroy$)).subscribe((e) => {
      this.navService.update_disabled_cache(e);
    });
    this.activeNodeBindingChange.pipe(takeUntil31(this.destroy$)).subscribe((node) => {
      this.expandToNode(this.navService.activeNode);
      this.scrollNodeIntoView(node?.header?.nativeElement);
    });
    this.densityChanged.pipe(takeUntil31(this.destroy$)).subscribe(() => {
      requestAnimationFrame(() => {
        this.scrollNodeIntoView(this.navService.activeNode?.header.nativeElement);
      });
    });
    this.subToCollapsing();
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.nodes.changes.pipe(takeUntil31(this.destroy$)).subscribe(() => {
      this.subToChanges();
    });
    this.scrollNodeIntoView(this.navService.activeNode?.header?.nativeElement);
    this.subToChanges();
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.unsubChildren$.next();
    this.unsubChildren$.complete();
    this.destroy$.next();
    this.destroy$.complete();
  }
  expandToNode(node) {
    if (node && node.parentNode) {
      node.path.forEach((n) => {
        if (n !== node && !n.expanded) {
          n.expanded = true;
        }
      });
    }
  }
  subToCollapsing() {
    this.nodeCollapsing.pipe(takeUntil31(this.destroy$)).subscribe((event) => {
      if (event.cancel) {
        return;
      }
      this.navService.update_visible_cache(event.node, false);
    });
    this.nodeExpanding.pipe(takeUntil31(this.destroy$)).subscribe((event) => {
      if (event.cancel) {
        return;
      }
      this.navService.update_visible_cache(event.node, true);
    });
  }
  subToChanges() {
    this.unsubChildren$.next();
    const toBeSelected = [...this.forceSelect];
    requestAnimationFrame(() => {
      this.selectionService.selectNodesWithNoEvent(toBeSelected);
    });
    this.forceSelect = [];
    this.nodes.forEach((node) => {
      node.expandedChange.pipe(takeUntil31(this.unsubChildren$)).subscribe((nodeState) => {
        this.navService.update_visible_cache(node, nodeState);
      });
      node.closeAnimationDone.pipe(takeUntil31(this.unsubChildren$)).subscribe(() => {
        const targetElement = this.navService.focusedNode?.header.nativeElement;
        this.scrollNodeIntoView(targetElement);
      });
      node.openAnimationDone.pipe(takeUntil31(this.unsubChildren$)).subscribe(() => {
        const targetElement = this.navService.focusedNode?.header.nativeElement;
        this.scrollNodeIntoView(targetElement);
      });
    });
    this.navService.init_invisible_cache();
  }
  scrollNodeIntoView(el) {
    if (!el) {
      return;
    }
    const nodeRect = el.getBoundingClientRect();
    const treeRect = this.nativeElement.getBoundingClientRect();
    const topOffset = treeRect.top > nodeRect.top ? nodeRect.top - treeRect.top : 0;
    const bottomOffset = treeRect.bottom < nodeRect.bottom ? nodeRect.bottom - treeRect.bottom : 0;
    const shouldScroll = !!topOffset || !!bottomOffset;
    if (shouldScroll && this.nativeElement.scrollHeight > this.nativeElement.clientHeight) {
      this.nativeElement.scrollTop = this.nativeElement.scrollTop + bottomOffset + topOffset + (topOffset ? -1 : 1) * nodeRect.height;
    }
  }
  static {
    this.ɵfac = i0148.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: _IgxTreeComponent, deps: [{ token: IgxTreeNavigationService }, { token: IgxTreeSelectionService }, { token: IgxTreeService }, { token: i0148.ElementRef }, { token: DisplayDensityToken, optional: true }], target: i0148.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0148.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTreeComponent, isStandalone: true, selector: "igx-tree", inputs: { selection: "selection", singleBranchExpand: ["singleBranchExpand", "singleBranchExpand", booleanAttribute60], toggleNodeOnClick: ["toggleNodeOnClick", "toggleNodeOnClick", booleanAttribute60], animationSettings: "animationSettings" }, outputs: { nodeSelection: "nodeSelection", nodeExpanding: "nodeExpanding", nodeExpanded: "nodeExpanded", nodeCollapsing: "nodeCollapsing", nodeCollapsed: "nodeCollapsed", activeNodeChanged: "activeNodeChanged" }, host: { properties: { "class.igx-tree": "this.cssClass" } }, providers: [
      IgxTreeService,
      IgxTreeSelectionService,
      IgxTreeNavigationService,
      { provide: IGX_TREE_COMPONENT, useExisting: _IgxTreeComponent }
    ], queries: [{ propertyName: "expandIndicator", first: true, predicate: IgxTreeExpandIndicatorDirective, descendants: true, read: TemplateRef15 }, { propertyName: "nodes", predicate: IgxTreeNodeComponent, descendants: true }], usesInheritance: true, ngImport: i0148, template: '<div class="igx-tree__root" role="tree" (keydown)="handleKeydown($event)">\n    <ng-content select="igx-tree-node"></ng-content>\n</div>\n' });
  }
};
i0148.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0148, type: IgxTreeComponent, decorators: [{
  type: Component65,
  args: [{ selector: "igx-tree", providers: [
    IgxTreeService,
    IgxTreeSelectionService,
    IgxTreeNavigationService,
    { provide: IGX_TREE_COMPONENT, useExisting: IgxTreeComponent }
  ], standalone: true, template: '<div class="igx-tree__root" role="tree" (keydown)="handleKeydown($event)">\n    <ng-content select="igx-tree-node"></ng-content>\n</div>\n' }]
}], ctorParameters: () => [{ type: IgxTreeNavigationService }, { type: IgxTreeSelectionService }, { type: IgxTreeService }, { type: i0148.ElementRef }, { type: void 0, decorators: [{
  type: Optional35
}, {
  type: Inject59,
  args: [DisplayDensityToken]
}] }], propDecorators: { cssClass: [{
  type: HostBinding66,
  args: ["class.igx-tree"]
}], selection: [{
  type: Input91
}], singleBranchExpand: [{
  type: Input91,
  args: [{ transform: booleanAttribute60 }]
}], toggleNodeOnClick: [{
  type: Input91,
  args: [{ transform: booleanAttribute60 }]
}], animationSettings: [{
  type: Input91
}], nodeSelection: [{
  type: Output50
}], nodeExpanding: [{
  type: Output50
}], nodeExpanded: [{
  type: Output50
}], nodeCollapsing: [{
  type: Output50
}], nodeCollapsed: [{
  type: Output50
}], activeNodeChanged: [{
  type: Output50
}], expandIndicator: [{
  type: ContentChild15,
  args: [IgxTreeExpandIndicatorDirective, { read: TemplateRef15 }]
}], nodes: [{
  type: ContentChildren19,
  args: [IgxTreeNodeComponent, { descendants: true }]
}] } });

// lib/list/list.common.mjs
import { Directive as Directive65, Optional as Optional36, Inject as Inject60 } from "@angular/core";
import * as i0149 from "@angular/core";
var IgxListBaseDirective = class _IgxListBaseDirective extends DisplayDensityBase {
  constructor(_displayDensityOptions, el) {
    super(_displayDensityOptions, el);
    this._displayDensityOptions = _displayDensityOptions;
    this.el = el;
  }
  static {
    this.ɵfac = i0149.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: _IgxListBaseDirective, deps: [{ token: DisplayDensityToken, optional: true }, { token: i0149.ElementRef, optional: true }], target: i0149.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0149.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListBaseDirective, isStandalone: true, selector: "[igxListBase]", usesInheritance: true, ngImport: i0149 });
  }
};
i0149.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: IgxListBaseDirective, decorators: [{
  type: Directive65,
  args: [{
    selector: "[igxListBase]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Optional36
}, {
  type: Inject60,
  args: [DisplayDensityToken]
}] }, { type: i0149.ElementRef, decorators: [{
  type: Optional36
}] }] });
var IgxListPanState;
(function(IgxListPanState2) {
  IgxListPanState2[IgxListPanState2["NONE"] = 0] = "NONE";
  IgxListPanState2[IgxListPanState2["LEFT"] = 1] = "LEFT";
  IgxListPanState2[IgxListPanState2["RIGHT"] = 2] = "RIGHT";
})(IgxListPanState || (IgxListPanState = {}));
var IgxEmptyListTemplateDirective = class _IgxEmptyListTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0149.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: _IgxEmptyListTemplateDirective, deps: [{ token: i0149.TemplateRef }], target: i0149.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0149.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxEmptyListTemplateDirective, isStandalone: true, selector: "[igxEmptyList]", ngImport: i0149 });
  }
};
i0149.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: IgxEmptyListTemplateDirective, decorators: [{
  type: Directive65,
  args: [{
    selector: "[igxEmptyList]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0149.TemplateRef }] });
var IgxDataLoadingTemplateDirective = class _IgxDataLoadingTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0149.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: _IgxDataLoadingTemplateDirective, deps: [{ token: i0149.TemplateRef }], target: i0149.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0149.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDataLoadingTemplateDirective, isStandalone: true, selector: "[igxDataLoading]", ngImport: i0149 });
  }
};
i0149.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: IgxDataLoadingTemplateDirective, decorators: [{
  type: Directive65,
  args: [{
    selector: "[igxDataLoading]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0149.TemplateRef }] });
var IgxListItemLeftPanningTemplateDirective = class _IgxListItemLeftPanningTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0149.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: _IgxListItemLeftPanningTemplateDirective, deps: [{ token: i0149.TemplateRef }], target: i0149.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0149.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListItemLeftPanningTemplateDirective, isStandalone: true, selector: "[igxListItemLeftPanning]", ngImport: i0149 });
  }
};
i0149.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: IgxListItemLeftPanningTemplateDirective, decorators: [{
  type: Directive65,
  args: [{
    selector: "[igxListItemLeftPanning]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0149.TemplateRef }] });
var IgxListItemRightPanningTemplateDirective = class _IgxListItemRightPanningTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0149.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: _IgxListItemRightPanningTemplateDirective, deps: [{ token: i0149.TemplateRef }], target: i0149.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0149.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListItemRightPanningTemplateDirective, isStandalone: true, selector: "[igxListItemRightPanning]", ngImport: i0149 });
  }
};
i0149.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0149, type: IgxListItemRightPanningTemplateDirective, decorators: [{
  type: Directive65,
  args: [{
    selector: "[igxListItemRightPanning]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0149.TemplateRef }] });

// lib/list/list-item.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy11, Component as Component66, HostBinding as HostBinding67, HostListener as HostListener38, Input as Input92, ViewChild as ViewChild35, booleanAttribute as booleanAttribute61 } from "@angular/core";
import { NgIf as NgIf41, NgTemplateOutlet as NgTemplateOutlet17 } from "@angular/common";
import * as i0150 from "@angular/core";
var IgxListItemComponent = class _IgxListItemComponent {
  /**
   * Gets the `panState` of a `list item`.
   * ```typescript
   * let itemPanState =  this.listItem.panState;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get panState() {
    return this._panState;
  }
  /**
   * Gets the `index` of a `list item`.
   * ```typescript
   * let itemIndex =  this.listItem.index;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get index() {
    return this._index !== null ? this._index : this.list.children.toArray().indexOf(this);
  }
  /**
   * Sets the `index` of the `list item`.
   * ```typescript
   * this.listItem.index = index;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  set index(value) {
    this._index = value;
  }
  /**
   * Returns an element reference to the list item.
   * ```typescript
   * let listItemElement =  this.listItem.element.
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * Returns a reference container which contains the list item's content.
   * ```typescript
   * let listItemContainer =  this.listItem.contentElement.
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get contentElement() {
    const candidates = this.element.getElementsByClassName("igx-list__item-content");
    return candidates && candidates.length > 0 ? candidates[0] : null;
  }
  /**
   * Returns the `context` object which represents the `template context` binding into the `list item container`
   * by providing the `$implicit` declaration which is the `IgxListItemComponent` itself.
   * ```typescript
   * let listItemComponent = this.listItem.context;
   * ```
   */
  get context() {
    return {
      $implicit: this
    };
  }
  /**
   * Gets the width of a `list item`.
   * ```typescript
   * let itemWidth = this.listItem.width;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get width() {
    if (this.element) {
      return this.element.offsetWidth;
    }
  }
  /**
   * Gets the maximum left position of the `list item`.
   * ```typescript
   * let maxLeft = this.listItem.maxLeft;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get maxLeft() {
    return -this.width;
  }
  /**
   * Gets the maximum right position of the `list item`.
   * ```typescript
   * let maxRight = this.listItem.maxRight;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get maxRight() {
    return this.width;
  }
  /** @hidden @internal */
  get offsetWidthInRem() {
    return rem(this.element.offsetWidth);
  }
  /** @hidden @internal */
  get offsetHeightInRem() {
    return rem(this.element.offsetHeight);
  }
  constructor(list, elementRef, _renderer) {
    this.list = list;
    this.elementRef = elementRef;
    this._renderer = _renderer;
    this.hidden = false;
    this.touchAction = "pan-y";
    this._panState = IgxListPanState.NONE;
    this.panOffset = 0;
    this._index = null;
    this.lastPanDir = IgxListPanState.NONE;
    this._role = "";
  }
  /**
   * Gets/Sets the `role` attribute of the `list item`.
   * ```typescript
   * let itemRole =  this.listItem.role;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get role() {
    return this._role ? this._role : this.isHeader ? "separator" : "listitem";
  }
  set role(val) {
    this._role = val;
  }
  /**
   * Indicates whether `list item` should have header style.
   * ```typescript
   * let headerStyle =  this.listItem.headerStyle;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get headerStyle() {
    return this.isHeader;
  }
  /**
   * Applies the inner style of the `list item` if the item is not counted as header.
   * ```typescript
   * let innerStyle =  this.listItem.innerStyle;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get innerStyle() {
    return !this.isHeader;
  }
  /**
   * Returns string value which describes the display mode of the `list item`.
   * ```typescript
   * let isHidden = this.listItem.display;
   * ```
   *
   * @memberof IgxListItemComponent
   */
  get display() {
    return this.hidden ? "none" : "";
  }
  /**
   * @hidden
   */
  clicked(evt) {
    this.list.itemClicked.emit({ item: this, event: evt, direction: this.lastPanDir });
    this.lastPanDir = IgxListPanState.NONE;
  }
  /**
   * @hidden
   */
  panStart() {
    if (this.isTrue(this.isHeader)) {
      return;
    }
    if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
      return;
    }
    this.list.startPan.emit({ item: this, direction: this.lastPanDir, keepitem: false });
  }
  /**
   * @hidden
   */
  panCancel() {
    this.resetPanPosition();
    this.list.endPan.emit({ item: this, direction: this.lastPanDir, keepItem: false });
  }
  /**
   * @hidden
   */
  panMove(ev) {
    if (this.isTrue(this.isHeader)) {
      return;
    }
    if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
      return;
    }
    const isPanningToLeft = ev.deltaX < 0;
    if (isPanningToLeft && this.isTrue(this.list.allowLeftPanning)) {
      this.showLeftPanTemplate();
      this.setContentElementLeft(Math.max(this.maxLeft, ev.deltaX));
    } else if (!isPanningToLeft && this.isTrue(this.list.allowRightPanning)) {
      this.showRightPanTemplate();
      this.setContentElementLeft(Math.min(this.maxRight, ev.deltaX));
    }
  }
  /**
   * @hidden
   */
  panEnd() {
    if (this.isTrue(this.isHeader)) {
      return;
    }
    if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
      return;
    }
    const relativeOffset = this.panOffset;
    const widthTriggeringGrip = this.width * this.list.panEndTriggeringThreshold;
    if (relativeOffset === 0) {
      return;
    }
    const dir = relativeOffset > 0 ? IgxListPanState.RIGHT : IgxListPanState.LEFT;
    this.lastPanDir = dir;
    const args = { item: this, direction: dir, keepItem: false };
    this.list.endPan.emit(args);
    const oldPanState = this._panState;
    if (Math.abs(relativeOffset) < widthTriggeringGrip) {
      this.resetPanPosition();
      this.list.resetPan.emit(this);
      return;
    }
    if (dir === IgxListPanState.LEFT) {
      this.list.leftPan.emit(args);
    } else {
      this.list.rightPan.emit(args);
    }
    if (args.keepItem === true) {
      this.setContentElementLeft(0);
      this._panState = IgxListPanState.NONE;
    } else {
      if (dir === IgxListPanState.LEFT) {
        this.setContentElementLeft(this.maxLeft);
        this._panState = IgxListPanState.LEFT;
      } else {
        this.setContentElementLeft(this.maxRight);
        this._panState = IgxListPanState.RIGHT;
      }
    }
    if (oldPanState !== this._panState) {
      const args2 = { oldState: oldPanState, newState: this._panState, item: this };
      this.list.panStateChange.emit(args2);
    }
    this.hideLeftAndRightPanTemplates();
  }
  /**
   * @hidden
   */
  showLeftPanTemplate() {
    this.setLeftAndRightTemplatesVisibility("visible", "hidden");
  }
  /**
   * @hidden
   */
  showRightPanTemplate() {
    this.setLeftAndRightTemplatesVisibility("hidden", "visible");
  }
  /**
   * @hidden
   */
  hideLeftAndRightPanTemplates() {
    setTimeout(() => {
      this.setLeftAndRightTemplatesVisibility("hidden", "hidden");
    }, 500);
  }
  /**
   * @hidden
   */
  setLeftAndRightTemplatesVisibility(leftVisibility, rightVisibility) {
    if (this.leftPanningTemplateElement && this.leftPanningTemplateElement.nativeElement) {
      this.leftPanningTemplateElement.nativeElement.style.visibility = leftVisibility;
    }
    if (this.rightPanningTemplateElement && this.rightPanningTemplateElement.nativeElement) {
      this.rightPanningTemplateElement.nativeElement.style.visibility = rightVisibility;
    }
  }
  /**
   * @hidden
   */
  setContentElementLeft(value) {
    this.panOffset = value;
    this.contentElement.style.transform = "translateX(" + value + "px)";
  }
  /**
   * @hidden
   */
  isTrue(value) {
    if (typeof value === "boolean") {
      return value;
    } else {
      return value === "true";
    }
  }
  /**
   * @hidden
   */
  resetPanPosition() {
    this.setContentElementLeft(0);
    this._panState = IgxListPanState.NONE;
    this.hideLeftAndRightPanTemplates();
  }
  static {
    this.ɵfac = i0150.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0150, type: _IgxListItemComponent, deps: [{ token: IgxListBaseDirective }, { token: i0150.ElementRef }, { token: i0150.Renderer2 }], target: i0150.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0150.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxListItemComponent, isStandalone: true, selector: "igx-list-item", inputs: { isHeader: ["isHeader", "isHeader", booleanAttribute61], hidden: ["hidden", "hidden", booleanAttribute61], index: "index", role: "role" }, host: { listeners: { "click": "clicked($event)", "panstart": "panStart()", "pancancel": "panCancel()", "panmove": "panMove($event)", "panend": "panEnd()" }, properties: { "attr.aria-label": "this.ariaLabel", "style.touch-action": "this.touchAction", "attr.role": "this.role", "class.igx-list__header": "this.headerStyle", "class.igx-list__item-base": "this.innerStyle", "style.display": "this.display" } }, providers: [HammerGesturesManager], viewQueries: [{ propertyName: "leftPanningTemplateElement", first: true, predicate: ["leftPanningTmpl"], descendants: true }, { propertyName: "rightPanningTemplateElement", first: true, predicate: ["rightPanningTmpl"], descendants: true }], ngImport: i0150, template: '\n<div *ngIf="!isHeader && list.listItemLeftPanningTemplate" #leftPanningTmpl class="igx-list__item-right"\n    [style.width.rem]="offsetWidthInRem" [style.height.rem]="offsetHeightInRem">\n    <ng-container *ngTemplateOutlet="list.listItemLeftPanningTemplate.template; context: context">\n    </ng-container>\n</div>\n\n<div *ngIf="!isHeader && list.listItemRightPanningTemplate" #rightPanningTmpl class="igx-list__item-left"\n    [style.width.rem]="offsetWidthInRem" [style.height.rem]="offsetHeightInRem">\n    <ng-container *ngTemplateOutlet="list.listItemRightPanningTemplate.template; context: context">\n    </ng-container>\n</div>\n\n<ng-template #itemsContent>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #itemThumbnails>\n    <div class="igx-list__item-thumbnail">\n        <ng-content select="[igxListThumbnail], igx-list__item-thumbnail, igx-avatar"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemLines>\n    <div class="igx-list__item-lines">\n        <ng-content select="[igxListLine], .igx-list__item-lines, [igxListLineTitle], [igxListLineSubTitle], .igx-list__item-line-title, .igx-list__item-line-subtitle"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemActions>\n    <div class="igx-list__item-actions">\n        <ng-content select="[igxListAction], .igx-list__item-actions"></ng-content>\n    </div>\n</ng-template>\n\n<ng-container *ngIf="isHeader">\n    <ng-container *ngTemplateOutlet="itemsContent"></ng-container>\n</ng-container>\n\n<ng-container *ngIf="!isHeader">\n    <div class="igx-list__item-content">\n        <ng-container *ngTemplateOutlet="itemThumbnails"></ng-container>\n        <ng-container *ngTemplateOutlet="itemLines"></ng-container>\n        <ng-container *ngTemplateOutlet="itemActions"></ng-container>\n        <ng-container *ngTemplateOutlet="itemsContent"></ng-container>\n    </div>\n</ng-container>\n', dependencies: [{ kind: "directive", type: NgIf41, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet17, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0150.ChangeDetectionStrategy.OnPush });
  }
};
i0150.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0150, type: IgxListItemComponent, decorators: [{
  type: Component66,
  args: [{ providers: [HammerGesturesManager], selector: "igx-list-item", changeDetection: ChangeDetectionStrategy11.OnPush, standalone: true, imports: [NgIf41, NgTemplateOutlet17], template: '\n<div *ngIf="!isHeader && list.listItemLeftPanningTemplate" #leftPanningTmpl class="igx-list__item-right"\n    [style.width.rem]="offsetWidthInRem" [style.height.rem]="offsetHeightInRem">\n    <ng-container *ngTemplateOutlet="list.listItemLeftPanningTemplate.template; context: context">\n    </ng-container>\n</div>\n\n<div *ngIf="!isHeader && list.listItemRightPanningTemplate" #rightPanningTmpl class="igx-list__item-left"\n    [style.width.rem]="offsetWidthInRem" [style.height.rem]="offsetHeightInRem">\n    <ng-container *ngTemplateOutlet="list.listItemRightPanningTemplate.template; context: context">\n    </ng-container>\n</div>\n\n<ng-template #itemsContent>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #itemThumbnails>\n    <div class="igx-list__item-thumbnail">\n        <ng-content select="[igxListThumbnail], igx-list__item-thumbnail, igx-avatar"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemLines>\n    <div class="igx-list__item-lines">\n        <ng-content select="[igxListLine], .igx-list__item-lines, [igxListLineTitle], [igxListLineSubTitle], .igx-list__item-line-title, .igx-list__item-line-subtitle"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemActions>\n    <div class="igx-list__item-actions">\n        <ng-content select="[igxListAction], .igx-list__item-actions"></ng-content>\n    </div>\n</ng-template>\n\n<ng-container *ngIf="isHeader">\n    <ng-container *ngTemplateOutlet="itemsContent"></ng-container>\n</ng-container>\n\n<ng-container *ngIf="!isHeader">\n    <div class="igx-list__item-content">\n        <ng-container *ngTemplateOutlet="itemThumbnails"></ng-container>\n        <ng-container *ngTemplateOutlet="itemLines"></ng-container>\n        <ng-container *ngTemplateOutlet="itemActions"></ng-container>\n        <ng-container *ngTemplateOutlet="itemsContent"></ng-container>\n    </div>\n</ng-container>\n' }]
}], ctorParameters: () => [{ type: IgxListBaseDirective }, { type: i0150.ElementRef }, { type: i0150.Renderer2 }], propDecorators: { leftPanningTemplateElement: [{
  type: ViewChild35,
  args: ["leftPanningTmpl"]
}], rightPanningTemplateElement: [{
  type: ViewChild35,
  args: ["rightPanningTmpl"]
}], isHeader: [{
  type: Input92,
  args: [{ transform: booleanAttribute61 }]
}], hidden: [{
  type: Input92,
  args: [{ transform: booleanAttribute61 }]
}], ariaLabel: [{
  type: HostBinding67,
  args: ["attr.aria-label"]
}], touchAction: [{
  type: HostBinding67,
  args: ["style.touch-action"]
}], index: [{
  type: Input92
}], role: [{
  type: HostBinding67,
  args: ["attr.role"]
}, {
  type: Input92
}], headerStyle: [{
  type: HostBinding67,
  args: ["class.igx-list__header"]
}], innerStyle: [{
  type: HostBinding67,
  args: ["class.igx-list__item-base"]
}], display: [{
  type: HostBinding67,
  args: ["style.display"]
}], clicked: [{
  type: HostListener38,
  args: ["click", ["$event"]]
}], panStart: [{
  type: HostListener38,
  args: ["panstart"]
}], panCancel: [{
  type: HostListener38,
  args: ["pancancel"]
}], panMove: [{
  type: HostListener38,
  args: ["panmove", ["$event"]]
}], panEnd: [{
  type: HostListener38,
  args: ["panend"]
}] } });

// lib/core/i18n/list-resources.mjs
var ListResourceStringsEN = {
  igx_list_no_items: "There are no items in the list.",
  igx_list_loading: "Loading data from the server..."
};

// lib/list/list.component.mjs
import { NgIf as NgIf42, NgTemplateOutlet as NgTemplateOutlet18 } from "@angular/common";
import { Component as Component67, ContentChild as ContentChild16, ContentChildren as ContentChildren20, EventEmitter as EventEmitter61, forwardRef as forwardRef16, HostBinding as HostBinding68, Input as Input93, Output as Output51, TemplateRef as TemplateRef17, ViewChild as ViewChild36, Optional as Optional37, Inject as Inject61, Directive as Directive66, booleanAttribute as booleanAttribute62 } from "@angular/core";
import * as i0151 from "@angular/core";
var NEXT_ID22 = 0;
var IgxListThumbnailDirective = class _IgxListThumbnailDirective {
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListThumbnailDirective, deps: [], target: i0151.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0151.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListThumbnailDirective, isStandalone: true, selector: "[igxListThumbnail]", ngImport: i0151 });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListThumbnailDirective, decorators: [{
  type: Directive66,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "[igxListThumbnail]",
    standalone: true
  }]
}] });
var IgxListActionDirective = class _IgxListActionDirective {
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListActionDirective, deps: [], target: i0151.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0151.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListActionDirective, isStandalone: true, selector: "[igxListAction]", ngImport: i0151 });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListActionDirective, decorators: [{
  type: Directive66,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "[igxListAction]",
    standalone: true
  }]
}] });
var IgxListLineDirective = class _IgxListLineDirective {
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListLineDirective, deps: [], target: i0151.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0151.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListLineDirective, isStandalone: true, selector: "[igxListLine]", ngImport: i0151 });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListLineDirective, decorators: [{
  type: Directive66,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "[igxListLine]",
    standalone: true
  }]
}] });
var IgxListLineTitleDirective = class _IgxListLineTitleDirective {
  constructor() {
    this.cssClass = "igx-list__item-line-title";
  }
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListLineTitleDirective, deps: [], target: i0151.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0151.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListLineTitleDirective, isStandalone: true, selector: "[igxListLineTitle]", host: { properties: { "class.igx-list__item-line-title": "this.cssClass" } }, ngImport: i0151 });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListLineTitleDirective, decorators: [{
  type: Directive66,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "[igxListLineTitle]",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding68,
  args: ["class.igx-list__item-line-title"]
}] } });
var IgxListLineSubTitleDirective = class _IgxListLineSubTitleDirective {
  constructor() {
    this.cssClass = "igx-list__item-line-subtitle";
  }
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListLineSubTitleDirective, deps: [], target: i0151.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0151.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxListLineSubTitleDirective, isStandalone: true, selector: "[igxListLineSubTitle]", host: { properties: { "class.igx-list__item-line-subtitle": "this.cssClass" } }, ngImport: i0151 });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListLineSubTitleDirective, decorators: [{
  type: Directive66,
  args: [{
    // eslint-disable-next-line @angular-eslint/directive-selector
    selector: "[igxListLineSubTitle]",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding68,
  args: ["class.igx-list__item-line-subtitle"]
}] } });
var IgxListComponent = class _IgxListComponent extends IgxListBaseDirective {
  /**
   * Sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * Returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  constructor(element, _displayDensityOptions) {
    super(_displayDensityOptions, element);
    this.element = element;
    this.panEndTriggeringThreshold = 0.5;
    this.id = `igx-list-${NEXT_ID22++}`;
    this.allowLeftPanning = false;
    this.allowRightPanning = false;
    this.isLoading = false;
    this.leftPan = new EventEmitter61();
    this.rightPan = new EventEmitter61();
    this.startPan = new EventEmitter61();
    this.endPan = new EventEmitter61();
    this.resetPan = new EventEmitter61();
    this.panStateChange = new EventEmitter61();
    this.itemClicked = new EventEmitter61();
    this._resourceStrings = getCurrentResourceStrings(ListResourceStringsEN);
    this._role = "list";
  }
  /**
   * @hidden
   * @internal
   */
  get sortedChildren() {
    if (this.children !== void 0) {
      return this.children.toArray().sort((a, b) => a.index - b.index);
    }
    return null;
  }
  /**
   * Gets/Sets the `role` attribute value.
   *
   * @example
   * ```typescript
   * let listRole =  this.list.role;
   * ```
   */
  get role() {
    return this._role;
  }
  set role(val) {
    this._role = val;
  }
  /**
   * Gets a boolean indicating if the list is empty.
   *
   * @example
   * ```typescript
   * let isEmpty =  this.list.isListEmpty;
   * ```
   */
  get isListEmpty() {
    return !this.children || this.children.length === 0;
  }
  /**
   * @hidden
   * @internal
   */
  get cssClass() {
    return !this.isListEmpty;
  }
  /** @hidden @internal */
  get componentSize() {
    if (!this.isListEmpty) {
      return this.getComponentSizeStyles();
    }
  }
  /**
   * Gets the list `items` excluding the header ones.
   *
   * @example
   * ```typescript
   * let listItems: IgxListItemComponent[] = this.list.items;
   * ```
   */
  get items() {
    const items = [];
    if (this.children !== void 0) {
      for (const child of this.sortedChildren) {
        if (!child.isHeader) {
          items.push(child);
        }
      }
    }
    return items;
  }
  /**
   * Gets the header list `items`.
   *
   * @example
   * ```typescript
   * let listHeaders: IgxListItemComponent[] =  this.list.headers;
   * ```
   */
  get headers() {
    const headers = [];
    if (this.children !== void 0) {
      for (const child of this.children.toArray()) {
        if (child.isHeader) {
          headers.push(child);
        }
      }
    }
    return headers;
  }
  /**
   * Gets the `context` object of the template binding.
   *
   * @remark
   * Gets the `context` object which represents the `template context` binding into the `list container`
   * by providing the `$implicit` declaration which is the `IgxListComponent` itself.
   *
   * @example
   * ```typescript
   * let listComponent =  this.list.context;
   * ```
   */
  get context() {
    return {
      $implicit: this
    };
  }
  /**
   * Gets a `TemplateRef` to the currently used template.
   *
   * @example
   * ```typescript
   * let listTemplate = this.list.template;
   * ```
   */
  get template() {
    if (this.isLoading) {
      return this.dataLoadingTemplate ? this.dataLoadingTemplate.template : this.defaultDataLoadingTemplate;
    } else {
      return this.emptyListTemplate ? this.emptyListTemplate.template : this.defaultEmptyListTemplate;
    }
  }
  static {
    this.ɵfac = i0151.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: _IgxListComponent, deps: [{ token: i0151.ElementRef }, { token: DisplayDensityToken, optional: true }], target: i0151.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0151.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxListComponent, isStandalone: true, selector: "igx-list", inputs: { panEndTriggeringThreshold: "panEndTriggeringThreshold", id: "id", allowLeftPanning: ["allowLeftPanning", "allowLeftPanning", booleanAttribute62], allowRightPanning: ["allowRightPanning", "allowRightPanning", booleanAttribute62], isLoading: ["isLoading", "isLoading", booleanAttribute62], resourceStrings: "resourceStrings", role: "role" }, outputs: { leftPan: "leftPan", rightPan: "rightPan", startPan: "startPan", endPan: "endPan", resetPan: "resetPan", panStateChange: "panStateChange", itemClicked: "itemClicked" }, host: { properties: { "attr.id": "this.id", "attr.role": "this.role", "class.igx-list--empty": "this.isListEmpty", "class.igx-list": "this.cssClass", "style.--component-size": "this.componentSize" } }, providers: [{ provide: IgxListBaseDirective, useExisting: _IgxListComponent }], queries: [{ propertyName: "emptyListTemplate", first: true, predicate: IgxEmptyListTemplateDirective, descendants: true, read: IgxEmptyListTemplateDirective }, { propertyName: "dataLoadingTemplate", first: true, predicate: IgxDataLoadingTemplateDirective, descendants: true, read: IgxDataLoadingTemplateDirective }, { propertyName: "listItemLeftPanningTemplate", first: true, predicate: IgxListItemLeftPanningTemplateDirective, descendants: true, read: IgxListItemLeftPanningTemplateDirective }, { propertyName: "listItemRightPanningTemplate", first: true, predicate: IgxListItemRightPanningTemplateDirective, descendants: true, read: IgxListItemRightPanningTemplateDirective }, { propertyName: "children", predicate: i0151.forwardRef(() => IgxListItemComponent), descendants: true }], viewQueries: [{ propertyName: "defaultEmptyListTemplate", first: true, predicate: ["defaultEmptyList"], descendants: true, read: TemplateRef17, static: true }, { propertyName: "defaultDataLoadingTemplate", first: true, predicate: ["defaultDataLoading"], descendants: true, read: TemplateRef17, static: true }], usesInheritance: true, ngImport: i0151, template: '<ng-content></ng-content>\n\n<ng-template #defaultEmptyList>\n    <article class="igx-list__message">\n        {{resourceStrings.igx_list_no_items}}\n    </article>\n</ng-template>\n\n<ng-template #defaultDataLoading>\n    <article class="igx-list__message">\n        {{resourceStrings.igx_list_loading}}\n    </article>\n</ng-template>\n\n<ng-container *ngIf="!children || children.length === 0 || isLoading">\n    <ng-container *ngTemplateOutlet="template; context: context">\n    </ng-container>\n</ng-container>\n', dependencies: [{ kind: "directive", type: NgIf42, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet18, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0151.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0151, type: IgxListComponent, decorators: [{
  type: Component67,
  args: [{ selector: "igx-list", providers: [{ provide: IgxListBaseDirective, useExisting: IgxListComponent }], standalone: true, imports: [NgIf42, NgTemplateOutlet18], template: '<ng-content></ng-content>\n\n<ng-template #defaultEmptyList>\n    <article class="igx-list__message">\n        {{resourceStrings.igx_list_no_items}}\n    </article>\n</ng-template>\n\n<ng-template #defaultDataLoading>\n    <article class="igx-list__message">\n        {{resourceStrings.igx_list_loading}}\n    </article>\n</ng-template>\n\n<ng-container *ngIf="!children || children.length === 0 || isLoading">\n    <ng-container *ngTemplateOutlet="template; context: context">\n    </ng-container>\n</ng-container>\n' }]
}], ctorParameters: () => [{ type: i0151.ElementRef }, { type: void 0, decorators: [{
  type: Optional37
}, {
  type: Inject61,
  args: [DisplayDensityToken]
}] }], propDecorators: { children: [{
  type: ContentChildren20,
  args: [forwardRef16(() => IgxListItemComponent), { descendants: true }]
}], emptyListTemplate: [{
  type: ContentChild16,
  args: [IgxEmptyListTemplateDirective, { read: IgxEmptyListTemplateDirective }]
}], dataLoadingTemplate: [{
  type: ContentChild16,
  args: [IgxDataLoadingTemplateDirective, { read: IgxDataLoadingTemplateDirective }]
}], listItemLeftPanningTemplate: [{
  type: ContentChild16,
  args: [IgxListItemLeftPanningTemplateDirective, { read: IgxListItemLeftPanningTemplateDirective }]
}], listItemRightPanningTemplate: [{
  type: ContentChild16,
  args: [IgxListItemRightPanningTemplateDirective, { read: IgxListItemRightPanningTemplateDirective }]
}], panEndTriggeringThreshold: [{
  type: Input93
}], id: [{
  type: HostBinding68,
  args: ["attr.id"]
}, {
  type: Input93
}], allowLeftPanning: [{
  type: Input93,
  args: [{ transform: booleanAttribute62 }]
}], allowRightPanning: [{
  type: Input93,
  args: [{ transform: booleanAttribute62 }]
}], isLoading: [{
  type: Input93,
  args: [{ transform: booleanAttribute62 }]
}], leftPan: [{
  type: Output51
}], rightPan: [{
  type: Output51
}], startPan: [{
  type: Output51
}], endPan: [{
  type: Output51
}], resetPan: [{
  type: Output51
}], panStateChange: [{
  type: Output51
}], itemClicked: [{
  type: Output51
}], defaultEmptyListTemplate: [{
  type: ViewChild36,
  args: ["defaultEmptyList", { read: TemplateRef17, static: true }]
}], defaultDataLoadingTemplate: [{
  type: ViewChild36,
  args: ["defaultDataLoading", { read: TemplateRef17, static: true }]
}], resourceStrings: [{
  type: Input93
}], role: [{
  type: HostBinding68,
  args: ["attr.role"]
}, {
  type: Input93
}], isListEmpty: [{
  type: HostBinding68,
  args: ["class.igx-list--empty"]
}], cssClass: [{
  type: HostBinding68,
  args: ["class.igx-list"]
}], componentSize: [{
  type: HostBinding68,
  args: ["style.--component-size"]
}] } });

// lib/grids/filtering/excel-style/excel-style-search.component.mjs
import { Component as Component68, ViewChild as ViewChild37, TemplateRef as TemplateRef18, Directive as Directive67, HostBinding as HostBinding69, Input as Input94 } from "@angular/core";
import { Subject as Subject38 } from "rxjs";
import { takeUntil as takeUntil32 } from "rxjs/operators";
import { NgIf as NgIf43, NgTemplateOutlet as NgTemplateOutlet19, NgFor as NgFor16 } from "@angular/common";
import { FormsModule as FormsModule5 } from "@angular/forms";
import * as i0152 from "@angular/core";
import * as i32 from "@angular/forms";
var IgxExcelStyleLoadingValuesTemplateDirective = class _IgxExcelStyleLoadingValuesTemplateDirective {
  static ngTemplateContextGuard(_dir, ctx) {
    return true;
  }
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0152.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0152, type: _IgxExcelStyleLoadingValuesTemplateDirective, deps: [{ token: i0152.TemplateRef }], target: i0152.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0152.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleLoadingValuesTemplateDirective, isStandalone: true, selector: "[igxExcelStyleLoading]", ngImport: i0152 });
  }
};
i0152.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0152, type: IgxExcelStyleLoadingValuesTemplateDirective, decorators: [{
  type: Directive67,
  args: [{
    selector: "[igxExcelStyleLoading]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0152.TemplateRef }] });
var NEXT_ID23 = 0;
var IgxExcelStyleSearchComponent = class _IgxExcelStyleSearchComponent {
  static {
    this.filterOptimizationThreshold = 2;
  }
  /**
   * @hidden @internal
   */
  get selectAllItem() {
    if (!this._selectAllItem) {
      const selectAllItem = {
        isSelected: false,
        isFiltered: false,
        indeterminate: false,
        isSpecial: true,
        isBlanks: false,
        value: this.esf.grid.resourceStrings.igx_grid_excel_select_all,
        label: this.esf.grid.resourceStrings.igx_grid_excel_select_all
      };
      this._selectAllItem = selectAllItem;
    }
    return this._selectAllItem;
  }
  /**
   * @hidden @internal
   */
  get addToCurrentFilterItem() {
    if (!this._addToCurrentFilterItem) {
      const addToCurrentFilterItem = {
        isSelected: false,
        isFiltered: false,
        indeterminate: false,
        isSpecial: true,
        isBlanks: false,
        value: this.esf.grid.resourceStrings.igx_grid_excel_add_to_filter,
        label: this.esf.grid.resourceStrings.igx_grid_excel_add_to_filter
      };
      this._addToCurrentFilterItem = addToCurrentFilterItem;
    }
    return this._addToCurrentFilterItem;
  }
  /**
   * @hidden @internal
   */
  get isLoading() {
    return this._isLoading;
  }
  /**
   * @hidden @internal
   */
  set isLoading(value) {
    this._isLoading = value;
    if (!this.cdr.destroyed) {
      this.cdr.detectChanges();
    }
  }
  /**
   * @hidden @internal
   */
  get valuesLoadingTemplate() {
    if (this.esf.grid?.excelStyleLoadingValuesTemplateDirective) {
      return this.esf.grid.excelStyleLoadingValuesTemplateDirective.template;
    } else {
      return this.defaultExcelStyleLoadingValuesTemplate;
    }
  }
  constructor(cdr, esf, platform) {
    this.cdr = cdr;
    this.esf = esf;
    this.platform = platform;
    this.defaultClass = true;
    this.displayedListData = [];
    this.activeDescendant = "";
    this._id = `igx-excel-style-search-${NEXT_ID23++}`;
    this._focusedItem = null;
    this.destroy$ = new Subject38();
    this.refreshSize = () => {
      if (this.virtDir) {
        this.virtDir.igxForContainerSize = this.containerSize;
        this.virtDir.igxForItemSize = this.itemSize;
        this.virtDir.recalcUpdateSizes();
        this.cdr.detectChanges();
      }
    };
    esf.loadingStart.pipe(takeUntil32(this.destroy$)).subscribe(() => {
      this.displayedListData = [];
      this.isLoading = true;
    });
    esf.loadingEnd.pipe(takeUntil32(this.destroy$)).subscribe(() => {
      this.refreshSize();
      this.isLoading = false;
    });
    esf.initialized.pipe(takeUntil32(this.destroy$)).subscribe(() => {
      requestAnimationFrame(() => {
        this.refreshSize();
        this.searchInput.nativeElement.focus();
      });
    });
    esf.columnChange.pipe(takeUntil32(this.destroy$)).subscribe(() => {
      this.virtDir?.resetScrollPosition();
      if (this.virtDir) {
        this.virtDir.state.startIndex = 0;
      }
    });
    esf.listDataLoaded.pipe(takeUntil32(this.destroy$)).subscribe(() => {
      this._selectAllItem = this.esf.listData[0];
      if (this.isHierarchical() && this.esf.listData[0].isSpecial) {
        this.esf.listData.splice(0, 1);
      }
      if (this.searchValue) {
        this.clearInput();
      } else {
        this.filterListData();
      }
      this.cdr.detectChanges();
      requestAnimationFrame(() => {
        this.refreshSize();
        this.searchInput.nativeElement.focus();
      });
    });
  }
  ngAfterViewInit() {
    requestAnimationFrame(this.refreshSize);
  }
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  clearInput() {
    this.searchValue = null;
    this.filterListData();
  }
  /**
   * @hidden @internal
   */
  onCheckboxChange(eventArgs) {
    const selectedIndex = this.displayedListData.indexOf(eventArgs.owner.value);
    const selectAllBtn = this.displayedListData[0];
    if (selectedIndex === 0) {
      this.displayedListData.forEach((element) => {
        if (element === this.addToCurrentFilterItem) {
          return;
        }
        element.isSelected = eventArgs.checked;
      });
      selectAllBtn.indeterminate = false;
    } else {
      eventArgs.owner.value.isSelected = eventArgs.checked;
      const indexToStartSlicing = this.displayedListData.indexOf(this.addToCurrentFilterItem) > -1 ? 2 : 1;
      const slicedArray = this.displayedListData.slice(indexToStartSlicing, this.displayedListData.length);
      if (!slicedArray.find((el) => el.isSelected === false)) {
        selectAllBtn.indeterminate = false;
        selectAllBtn.isSelected = true;
      } else if (!slicedArray.find((el) => el.isSelected === true)) {
        selectAllBtn.indeterminate = false;
        selectAllBtn.isSelected = false;
      } else {
        selectAllBtn.indeterminate = true;
      }
    }
  }
  /**
   * @hidden @internal
   */
  onSelectAllCheckboxChange(eventArgs) {
    this._selectAllItem.isSelected = eventArgs.checked;
    this._selectAllItem.indeterminate = false;
    const treeNodes = this.tree.nodes;
    treeNodes.forEach((node) => node.data.isSelected = eventArgs.checked);
  }
  /**
   * @hidden @internal
   */
  onNodeSelectionChange(eventArgs) {
    eventArgs.added.forEach((node) => {
      node.data.isSelected = true;
    });
    eventArgs.removed.forEach((node) => {
      node.data.isSelected = false;
    });
    this._hierarchicalSelectedItems = eventArgs.newSelection.map((item) => item.data);
    const selectAllBtn = this.selectAllItem;
    if (this._hierarchicalSelectedItems.length === 0) {
      selectAllBtn.indeterminate = false;
      selectAllBtn.isSelected = false;
    } else if (this._hierarchicalSelectedItems.length === this.tree.nodes.length) {
      selectAllBtn.indeterminate = false;
      selectAllBtn.isSelected = true;
    } else {
      selectAllBtn.indeterminate = true;
      selectAllBtn.isSelected = false;
    }
  }
  /**
   * @hidden @internal
   */
  get itemSize() {
    let itemSize = "40px";
    switch (this.esf.displayDensity) {
      case DisplayDensity.cosy:
        itemSize = "32px";
        break;
      case DisplayDensity.compact:
        itemSize = "24px";
        break;
      default:
        break;
    }
    return itemSize;
  }
  /**
   * @hidden @internal
   */
  get containerSize() {
    if (this.esf.listData.length) {
      return this.list?.element.nativeElement.offsetHeight;
    }
    return 0;
  }
  get id() {
    return this._id;
  }
  set id(value) {
    this._id = value;
  }
  getItemId(index) {
    return `${this.id}-item-${index}`;
  }
  setActiveDescendant() {
    this.activeDescendant = this.focusedItem?.id || "";
  }
  get focusedItem() {
    return this._focusedItem;
  }
  set focusedItem(val) {
    this._focusedItem = val;
  }
  /**
   * @hidden @internal
   */
  get applyButtonDisabled() {
    return this._selectAllItem && !this._selectAllItem.isSelected && !this._selectAllItem.indeterminate || this.displayedListData && this.displayedListData.length === 0;
  }
  /**
   * @hidden @internal
   */
  onInputKeyDown(event) {
    switch (event.key) {
      case this.platform.KEYMAP.ENTER:
        event.preventDefault();
        this.applyFilter();
        return;
      case this.platform.KEYMAP.ESCAPE:
        if (this.searchValue) {
          event.stopPropagation();
          this.clearInput();
        }
        return;
    }
  }
  /**
   * @hidden @internal
   */
  filterListData() {
    if (this.esf.column?.dataType === GridColumnDataType.Number || this.esf.column?.dataType === GridColumnDataType.Currency || this.esf.column?.dataType === GridColumnDataType.Percent) {
      this.rejectNonNumericalEntries();
    }
    if (!this.esf.listData || !this.esf.listData.length) {
      this.displayedListData = [];
      return;
    }
    let selectAllBtn;
    if (this._selectAllItem) {
      selectAllBtn = this._selectAllItem;
    } else {
      selectAllBtn = this.esf.listData[0];
    }
    if (!this.searchValue) {
      let anyFiltered = this.esf.listData.some((i) => i.isFiltered);
      let anyUnfiltered = this.esf.listData.some((i) => !i.isFiltered);
      selectAllBtn.indeterminate = anyFiltered && anyUnfiltered;
      if (this.isHierarchical() && this.tree) {
        this._hierarchicalSelectedItems = this.tree.nodes.map((n) => n.data).filter((item) => item.isFiltered);
      }
      this.esf.listData.forEach((i) => i.isSelected = i.isFiltered);
      if (this.displayedListData !== this.esf.listData) {
        this.displayedListData = this.esf.listData;
        if (this.isHierarchical()) {
          this.cdr.detectChanges();
          this.tree.nodes.forEach((n) => {
            const item = n.data;
            n.selected = item.isSelected || item.isFiltered;
            anyFiltered = anyFiltered || n.selected;
            anyUnfiltered = anyUnfiltered || !n.selected;
          });
          selectAllBtn.indeterminate = anyFiltered && anyUnfiltered;
        }
      }
      selectAllBtn.label = this.esf.grid.resourceStrings.igx_grid_excel_select_all;
      this.matchesCount = this.displayedListData.length - 1;
      this.cdr.detectChanges();
      return;
    }
    const searchVal = this.searchValue.toLowerCase();
    if (this.isHierarchical()) {
      this._hierarchicalSelectedItems = [];
      this.esf.listData.forEach((i) => i.isSelected = false);
      const matchedData = cloneHierarchicalArray(this.esf.listData, "children");
      this.displayedListData = this.hierarchicalSelectMatches(matchedData, searchVal);
      this.cdr.detectChanges();
      this.tree.nodes.forEach((n) => {
        n.selected = true;
        if (n.data.label.toString().toLowerCase().indexOf(searchVal) > -1) {
          this.expandAllParentNodes(n);
        }
      });
    } else {
      this.displayedListData = this.esf.listData.filter((it, i) => i === 0 && it.isSpecial || it.label !== null && it.label !== void 0 && !it.isBlanks && it.label.toString().toLowerCase().indexOf(searchVal) > -1);
      this.esf.listData.forEach((i) => i.isSelected = false);
      this.displayedListData.forEach((i) => i.isSelected = true);
      this.displayedListData.splice(1, 0, this.addToCurrentFilterItem);
      if (this.displayedListData.length === 2) {
        this.displayedListData = [];
      }
    }
    if (this.displayedListData.length > 2) {
      this.matchesCount = this.displayedListData.length - 2;
    } else {
      this.matchesCount = 0;
    }
    selectAllBtn.indeterminate = false;
    selectAllBtn.isSelected = true;
    selectAllBtn.label = this.esf.grid.resourceStrings.igx_grid_excel_select_all_search_results;
    this.cdr.detectChanges();
  }
  /**
   * @hidden @internal
   */
  applyFilter() {
    const filterTree = new FilteringExpressionsTree(FilteringLogic.Or, this.esf.column.field);
    let selectedItems = [];
    if (this.isHierarchical()) {
      if (this.addToCurrentFilterCheckbox && this.addToCurrentFilterCheckbox.checked) {
        this.addFilteredToSelectedItems(this.esf.listData);
      }
      selectedItems = this._hierarchicalSelectedItems;
    } else {
      const item = this.displayedListData[1];
      const addToCurrentFilterOptionVisible = item === this.addToCurrentFilterItem;
      selectedItems = addToCurrentFilterOptionVisible && item.isSelected ? this.esf.listData.slice(1, this.esf.listData.length).filter((el) => el.isSelected || el.isFiltered) : this.esf.listData.slice(1, this.esf.listData.length).filter((el) => el.isSelected);
    }
    let unselectedItem;
    if (this.isHierarchical()) {
      unselectedItem = this.esf.listData.find((el) => el.isSelected === false);
    } else {
      unselectedItem = this.esf.listData.slice(1, this.esf.listData.length).find((el) => el.isSelected === false);
    }
    if (unselectedItem) {
      if (selectedItems.length <= _IgxExcelStyleSearchComponent.filterOptimizationThreshold) {
        selectedItems.forEach((element) => {
          let condition = null;
          if (element.value !== null && element.value !== void 0) {
            if (this.esf.column.dataType === GridColumnDataType.Boolean) {
              condition = this.createCondition(element.value.toString());
            } else {
              const filterCondition = this.esf.column.dataType === GridColumnDataType.Time ? "at" : "equals";
              condition = this.createCondition(filterCondition);
            }
          } else {
            condition = this.createCondition("empty");
          }
          filterTree.filteringOperands.push({
            condition,
            fieldName: this.esf.column.field,
            ignoreCase: this.esf.column.filteringIgnoreCase,
            searchVal: element.value
          });
        });
      } else {
        const blanksItemIndex = selectedItems.findIndex((e) => e.value === null || e.value === void 0);
        let blanksItem;
        if (blanksItemIndex >= 0) {
          blanksItem = selectedItems[blanksItemIndex];
          selectedItems.splice(blanksItemIndex, 1);
        }
        filterTree.filteringOperands.push({
          condition: this.createCondition("in"),
          fieldName: this.esf.column.field,
          ignoreCase: this.esf.column.filteringIgnoreCase,
          searchVal: new Set(this.esf.column.dataType === GridColumnDataType.Date || this.esf.column.dataType === GridColumnDataType.DateTime ? selectedItems.map((d) => d.value.toISOString()) : this.esf.column.dataType === GridColumnDataType.Time ? selectedItems.map((e) => e.value.toLocaleTimeString()) : selectedItems.map((e) => e.value))
        });
        if (blanksItem) {
          filterTree.filteringOperands.push({
            condition: this.createCondition("empty"),
            fieldName: this.esf.column.field,
            ignoreCase: this.esf.column.filteringIgnoreCase,
            searchVal: blanksItem.value
          });
        }
      }
      const grid = this.esf.grid;
      const col = this.esf.column;
      grid.filteringService.filterInternal(col.field, filterTree);
      this.esf.expressionsList = new Array();
      grid.filteringService.generateExpressionsList(col.filteringExpressionsTree, grid.filteringLogic, this.esf.expressionsList);
    } else {
      this.esf.grid.filteringService.clearFilter(this.esf.column.field);
    }
    this.esf.closeDropdown();
  }
  handleKeyDown(event) {
    if (event) {
      const key = event.key.toLowerCase();
      const navKeys = [
        "space",
        "spacebar",
        " ",
        "arrowup",
        "up",
        "arrowdown",
        "down",
        "home",
        "end"
      ];
      if (navKeys.indexOf(key) === -1) {
        return;
      }
      event.preventDefault();
      event.stopPropagation();
      switch (key) {
        case "arrowup":
        case "up":
          this.onArrowUpKeyDown();
          break;
        case "arrowdown":
        case "down":
          this.onArrowDownKeyDown();
          break;
        case "home":
          this.onHomeKeyDown();
          break;
        case "end":
          this.onEndKeyDown();
          break;
        case "space":
        case "spacebar":
        case " ":
          this.onActionKeyDown();
          break;
        default:
          return;
      }
    }
  }
  onFocus() {
    const firstIndexInView = this.virtDir.state.startIndex;
    if (this.virtDir.igxForOf.length > 0) {
      this.focusedItem = {
        id: this.getItemId(firstIndexInView),
        index: firstIndexInView,
        checked: this.virtDir.igxForOf[firstIndexInView].isSelected
      };
    }
    this.setActiveDescendant();
  }
  onFocusOut() {
    this.focusedItem = null;
    this.setActiveDescendant();
  }
  /**
   * @hidden @internal
   */
  isHierarchical() {
    return this.esf.isHierarchical;
  }
  /**
   * @hidden @internal
   */
  isTreeEmpty() {
    return this.esf.isHierarchical && this.displayedListData.length === 0;
  }
  hierarchicalSelectMatches(data, searchVal) {
    data.forEach((element) => {
      element.indeterminate = false;
      element.isSelected = false;
      const node = this.tree.nodes.filter((n) => n.data.label === element.label)[0];
      if (node) {
        node.expanded = false;
      }
      if (element.label.toString().toLowerCase().indexOf(searchVal) > -1) {
        element.isSelected = true;
        this.hierarchicalSelectAllChildren(element);
        this._hierarchicalSelectedItems.push(element);
      } else if (element.children.length > 0) {
        element.children = this.hierarchicalSelectMatches(element.children, searchVal);
        if (element.children.length > 0) {
          element.isSelected = true;
          if (node) {
            node.expanded = true;
          }
        }
      }
    });
    return data.filter((element) => element.isSelected === true);
  }
  hierarchicalSelectAllChildren(element) {
    element.children.forEach((child) => {
      child.indeterminate = false;
      child.isSelected = true;
      this._hierarchicalSelectedItems.push(child);
      if (child.children) {
        this.hierarchicalSelectAllChildren(child);
      }
    });
  }
  expandAllParentNodes(node) {
    if (node.parentNode) {
      node.parentNode.expanded = true;
      this.expandAllParentNodes(node.parentNode);
    }
  }
  addFilteredToSelectedItems(records) {
    records.forEach((record) => {
      if (record.children) {
        this.addFilteredToSelectedItems(record.children);
      }
      if (record.isFiltered && this._hierarchicalSelectedItems.indexOf(record) < 0) {
        this._hierarchicalSelectedItems.push(record);
      }
    });
  }
  createCondition(conditionName) {
    switch (this.esf.column.dataType) {
      case GridColumnDataType.Boolean:
        return IgxBooleanFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Number:
      case GridColumnDataType.Currency:
      case GridColumnDataType.Percent:
        return IgxNumberFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Date:
        return IgxDateFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.Time:
        return IgxTimeFilteringOperand.instance().condition(conditionName);
      case GridColumnDataType.DateTime:
        return IgxDateTimeFilteringOperand.instance().condition(conditionName);
      default:
        return IgxStringFilteringOperand.instance().condition(conditionName);
    }
  }
  /**
   * @hidden @internal
   */
  rejectNonNumericalEntries() {
    const regExp = /[^0-9\.,eE\-]/g;
    if (this.searchValue && regExp.test(this.searchValue)) {
      this.searchInput.value = this.searchValue.replace(regExp, "");
      this.searchValue = this.searchInput.value;
    }
  }
  onArrowUpKeyDown() {
    if (this.focusedItem && this.focusedItem.index === 0 && this.virtDir.state.startIndex === 0) {
      return;
    } else {
      this.navigateItem(this.focusedItem ? this.focusedItem.index - 1 : 0);
    }
    this.setActiveDescendant();
  }
  onArrowDownKeyDown() {
    const lastIndex = this.virtDir.igxForOf.length - 1;
    if (this.focusedItem && this.focusedItem.index === lastIndex) {
      return;
    } else {
      this.navigateItem(this.focusedItem ? this.focusedItem.index + 1 : 0);
    }
    this.setActiveDescendant();
  }
  onHomeKeyDown() {
    this.navigateItem(0);
    this.setActiveDescendant();
  }
  onEndKeyDown() {
    this.navigateItem(this.virtDir.igxForOf.length - 1);
    this.setActiveDescendant();
  }
  onActionKeyDown() {
    const dataItem = this.displayedListData[this.focusedItem.index];
    const args = {
      checked: !dataItem.isSelected,
      owner: {
        value: dataItem
      }
    };
    this.onCheckboxChange(args);
  }
  navigateItem(index) {
    if (index === -1 || index >= this.virtDir.igxForOf.length) {
      return;
    }
    const direction = index > (this.focusedItem ? this.focusedItem.index : -1) ? Navigate.Down : Navigate.Up;
    const scrollRequired = this.isIndexOutOfBounds(index, direction);
    this.focusedItem = {
      id: this.getItemId(index),
      index,
      checked: this.virtDir.igxForOf[index].isSelected
    };
    if (scrollRequired) {
      this.virtDir.scrollTo(index);
    }
  }
  isIndexOutOfBounds(index, direction) {
    const virtState = this.virtDir.state;
    const currentPosition = this.virtDir.getScroll().scrollTop;
    const itemPosition = this.virtDir.getScrollForIndex(index, direction === Navigate.Down);
    const indexOutOfChunk = index < virtState.startIndex || index > virtState.chunkSize + virtState.startIndex;
    const scrollNeeded = direction === Navigate.Down ? currentPosition < itemPosition : currentPosition > itemPosition;
    const subRequired = indexOutOfChunk || scrollNeeded;
    return subRequired;
  }
  static {
    this.ɵfac = i0152.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0152, type: _IgxExcelStyleSearchComponent, deps: [{ token: i0152.ChangeDetectorRef }, { token: BaseFilteringComponent }, { token: PlatformUtil }], target: i0152.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0152.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleSearchComponent, isStandalone: true, selector: "igx-excel-style-search", inputs: { id: "id" }, host: { properties: { "class.igx-excel-filter__menu-main": "this.defaultClass", "attr.id": "this.id" } }, viewQueries: [{ propertyName: "searchInput", first: true, predicate: ["input"], descendants: true, read: IgxInputDirective, static: true }, { propertyName: "cancelButton", first: true, predicate: ["cancelButton"], descendants: true, read: IgxButtonDirective, static: true }, { propertyName: "list", first: true, predicate: ["list"], descendants: true, read: IgxListComponent }, { propertyName: "selectAllCheckbox", first: true, predicate: ["selectAllCheckbox"], descendants: true, read: IgxCheckboxComponent }, { propertyName: "addToCurrentFilterCheckbox", first: true, predicate: ["addToCurrentFilterCheckbox"], descendants: true, read: IgxCheckboxComponent }, { propertyName: "tree", first: true, predicate: ["tree"], descendants: true, read: IgxTreeComponent }, { propertyName: "virtDir", first: true, predicate: IgxForOfDirective, descendants: true }, { propertyName: "defaultExcelStyleLoadingValuesTemplate", first: true, predicate: ["defaultExcelStyleLoadingValuesTemplate"], descendants: true, read: TemplateRef18 }], ngImport: i0152, template: `<igx-input-group
            type="box"
            [displayDensity]="esf.displayDensity">
    <igx-icon igxPrefix>search</igx-icon>
    <input
        #input
        igxInput
        tabindex="0"
        [(ngModel)]="searchValue"
        (ngModelChange)="filterListData()"
        (keydown)="onInputKeyDown($event)"
        [placeholder]="esf.column?.grid.resourceStrings.igx_grid_excel_search_placeholder"
        autocomplete="off"/>
    <igx-icon
        igxSuffix
        *ngIf="searchValue || searchValue === 0"
        (click)="clearInput()"
        tabindex="0">
        clear
    </igx-icon>
</igx-input-group>

<igx-list #list role="listbox" [displayDensity]="esf.displayDensity" [isLoading]="isLoading" *ngIf="!isHierarchical()" (keydown)="handleKeyDown($event)" tabindex="0"
[attr.aria-activedescendant]="this.activeDescendant" (focus)="onFocus()" (focusout)="onFocusOut()">
    <div style="overflow: hidden; position: relative;">
        <igx-list-item [class.igx-list__item-base--active]="focusedItem?.id === this.getItemId(i)" [attr.id]="getItemId(i)" role="option" 
        *igxFor="let item of displayedListData;index as i; scrollOrientation : 'vertical'; containerSize: containerSize; itemSize: itemSize">
            <igx-checkbox
                [value]="item"
                [tabindex]="-1"
                [checked]="item?.isSelected"
                [disableRipple]="true"
                [indeterminate]="item?.indeterminate"
                [disableTransitions]="true"
                (change)="onCheckboxChange($event)">
                {{ item.label }}
            </igx-checkbox>
        </igx-list-item>
    </div>

    <ng-template igxDataLoading>
        <div class="igx-excel-filter__loading">
            <ng-container *ngTemplateOutlet="valuesLoadingTemplate">
            </ng-container>
        </div>
    </ng-template>

    <ng-template igxEmptyList>
        <ng-container *ngTemplateOutlet="emptySearch"></ng-container>
    </ng-template>

    <div class="igx-excel-filter__filter-results" aria-live="polite" aria-atomic="true">
        {{ esf.grid?.resourceStrings.igx_grid_excel_matches_count.replace('{0}', matchesCount) }}
    </div>
</igx-list>

<div class="igx-excel-filter__tree" *ngIf="isHierarchical()">
    <div class="igx-excel-filter__tree-alike" *ngIf="!isTreeEmpty()">
        <div class="igx-excel-filter__tree-alike-item">
            <igx-checkbox #selectAllCheckbox
                          [value]="selectAllItem"
                          [checked]="selectAllItem?.isSelected"
                          [disableRipple]="true"
                          [indeterminate]="selectAllItem?.indeterminate"
                          [disableTransitions]="true"
                          (change)="onSelectAllCheckboxChange($event)">
                {{ selectAllItem.label }}
            </igx-checkbox>
        </div>
        <div class="igx-excel-filter__tree-alike-item" *ngIf="searchValue">
            <igx-checkbox #addToCurrentFilterCheckbox
                          [value]="addToCurrentFilterItem"
                          [checked]="addToCurrentFilterItem.isSelected"
                          [disableRipple]="true"
                          [disableTransitions]="true">

                {{ addToCurrentFilterItem.label }}
            </igx-checkbox>
        </div>
    </div>

    <igx-tree #tree [displayDensity]="esf.displayDensity" selection="Cascading"  (nodeSelection)="onNodeSelectionChange($event)">
        <igx-tree-node [data]="item" *ngFor="let item of displayedListData;" [selected]="item.isSelected">
            <div>{{item.label}}</div>
            <igx-tree-node [data]="childLevel1" *ngFor="let childLevel1 of item.children" [selected]="childLevel1.isSelected">
                <div>{{childLevel1.label}}</div>
                <igx-tree-node [data]="childLevel2" *ngFor="let childLevel2 of childLevel1.children" [selected]="childLevel2.isSelected">
                    <div>{{childLevel2.label}}</div>
                    <igx-tree-node [data]="childLevel3" *ngFor="let childLevel3 of childLevel2.children" [selected]="childLevel3.isSelected">
                        <div>{{childLevel3.label}}</div>
                        <igx-tree-node [data]="childLevel4" *ngFor="let childLevel4 of childLevel3.children" [selected]="childLevel4.isSelected">
                            <div>{{childLevel4.label}}</div>
                            <igx-tree-node [data]="childLevel5" *ngFor="let childLevel5 of childLevel4.children" [selected]="childLevel5.isSelected">
                                <div>{{childLevel5.label}}</div>
                                <igx-tree-node [data]="childLevel6" *ngFor="let childLevel6 of childLevel5.children" [selected]="childLevel6.isSelected">
                                    <div>{{childLevel6.label}}</div>
                                    <igx-tree-node [data]="childLevel7" *ngFor="let childLevel7 of childLevel6.children" [selected]="childLevel7.isSelected">
                                        <div>{{childLevel7.label}}</div>
                                        <igx-tree-node [data]="childLevel8" *ngFor="let childLevel8 of childLevel7.children" [selected]="childLevel8.isSelected">
                                            <div>{{childLevel8.label}}</div>
                                            <igx-tree-node [data]="childLevel9" *ngFor="let childLevel9 of childLevel8.children" [selected]="childLevel9.isSelected">
                                                <div>{{childLevel9.label}}</div>
                                            </igx-tree-node>
                                        </igx-tree-node>
                                    </igx-tree-node>
                                </igx-tree-node>
                            </igx-tree-node>
                        </igx-tree-node>
                    </igx-tree-node>
                </igx-tree-node>
            </igx-tree-node>
        </igx-tree-node>
    </igx-tree>

    <ng-template igxDataLoading>
        <div class="igx-excel-filter__loading">
            <ng-container *ngTemplateOutlet="valuesLoadingTemplate">
            </ng-container>
        </div>
    </ng-template>

    <ng-template [ngIf]="isTreeEmpty()">
        <ng-container *ngTemplateOutlet="emptySearch"></ng-container>
    </ng-template>
</div>

<ng-template #emptySearch>
    <div class="igx-excel-filter__empty">
        {{esf.grid?.resourceStrings.igx_grid_excel_no_matches}}
    </div>
</ng-template>

<ng-template #defaultExcelStyleLoadingValuesTemplate>
    <igx-circular-bar [indeterminate]="true">
    </igx-circular-bar>
</ng-template>

<footer class="igx-excel-filter__menu-footer">
    <div class="igx-excel-filter__cancel">
        <button type="button" #cancelButton
            igxButton="flat"
            [displayDensity]="esf.displayDensity"
            (click)="esf.cancel()">
                {{ esf.grid?.resourceStrings.igx_grid_excel_cancel }}
        </button>
    </div>
    <div class="igx-excel-filter__apply">
        <button type="button"
            igxButton="contained"
            [displayDensity]="esf.displayDensity"
            [disabled]="applyButtonDisabled"
            (click)="applyFilter()">
                {{ esf.grid?.resourceStrings.igx_grid_excel_apply }}
        </button>
    </div>
</footer>
`, dependencies: [{ kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "ngmodule", type: FormsModule5 }, { kind: "directive", type: i32.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i32.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i32.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: NgIf43, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxListComponent, selector: "igx-list", inputs: ["panEndTriggeringThreshold", "id", "allowLeftPanning", "allowRightPanning", "isLoading", "resourceStrings", "role"], outputs: ["leftPan", "rightPan", "startPan", "endPan", "resetPan", "panStateChange", "itemClicked"] }, { kind: "directive", type: IgxForOfDirective, selector: "[igxFor][igxForOf]", inputs: ["igxForOf", "igxForSizePropName", "igxForScrollOrientation", "igxForScrollContainer", "igxForContainerSize", "igxForItemSize", "igxForTotalItemCount", "igxForTrackBy"], outputs: ["chunkLoad", "scrollbarVisibilityChanged", "contentSizeChange", "dataChanged", "beforeViewDestroyed", "chunkPreload"] }, { kind: "component", type: IgxListItemComponent, selector: "igx-list-item", inputs: ["isHeader", "hidden", "index", "role"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "directive", type: IgxDataLoadingTemplateDirective, selector: "[igxDataLoading]" }, { kind: "directive", type: NgTemplateOutlet19, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxEmptyListTemplateDirective, selector: "[igxEmptyList]" }, { kind: "component", type: IgxTreeComponent, selector: "igx-tree", inputs: ["selection", "singleBranchExpand", "toggleNodeOnClick", "animationSettings"], outputs: ["nodeSelection", "nodeExpanding", "nodeExpanded", "nodeCollapsing", "nodeCollapsed", "activeNodeChanged"] }, { kind: "directive", type: NgFor16, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxTreeNodeComponent, selector: "igx-tree-node", inputs: ["data", "loading", "resourceStrings", "active", "disabled", "selected", "expanded"], outputs: ["selectedChange", "expandedChange"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }] });
  }
};
i0152.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0152, type: IgxExcelStyleSearchComponent, decorators: [{
  type: Component68,
  args: [{ selector: "igx-excel-style-search", standalone: true, imports: [IgxInputGroupComponent, IgxIconComponent, IgxPrefixDirective, FormsModule5, IgxInputDirective, NgIf43, IgxSuffixDirective, IgxListComponent, IgxForOfDirective, IgxListItemComponent, IgxCheckboxComponent, IgxDataLoadingTemplateDirective, NgTemplateOutlet19, IgxEmptyListTemplateDirective, IgxTreeComponent, NgFor16, IgxTreeNodeComponent, IgxCircularProgressBarComponent, IgxButtonDirective], template: `<igx-input-group
            type="box"
            [displayDensity]="esf.displayDensity">
    <igx-icon igxPrefix>search</igx-icon>
    <input
        #input
        igxInput
        tabindex="0"
        [(ngModel)]="searchValue"
        (ngModelChange)="filterListData()"
        (keydown)="onInputKeyDown($event)"
        [placeholder]="esf.column?.grid.resourceStrings.igx_grid_excel_search_placeholder"
        autocomplete="off"/>
    <igx-icon
        igxSuffix
        *ngIf="searchValue || searchValue === 0"
        (click)="clearInput()"
        tabindex="0">
        clear
    </igx-icon>
</igx-input-group>

<igx-list #list role="listbox" [displayDensity]="esf.displayDensity" [isLoading]="isLoading" *ngIf="!isHierarchical()" (keydown)="handleKeyDown($event)" tabindex="0"
[attr.aria-activedescendant]="this.activeDescendant" (focus)="onFocus()" (focusout)="onFocusOut()">
    <div style="overflow: hidden; position: relative;">
        <igx-list-item [class.igx-list__item-base--active]="focusedItem?.id === this.getItemId(i)" [attr.id]="getItemId(i)" role="option" 
        *igxFor="let item of displayedListData;index as i; scrollOrientation : 'vertical'; containerSize: containerSize; itemSize: itemSize">
            <igx-checkbox
                [value]="item"
                [tabindex]="-1"
                [checked]="item?.isSelected"
                [disableRipple]="true"
                [indeterminate]="item?.indeterminate"
                [disableTransitions]="true"
                (change)="onCheckboxChange($event)">
                {{ item.label }}
            </igx-checkbox>
        </igx-list-item>
    </div>

    <ng-template igxDataLoading>
        <div class="igx-excel-filter__loading">
            <ng-container *ngTemplateOutlet="valuesLoadingTemplate">
            </ng-container>
        </div>
    </ng-template>

    <ng-template igxEmptyList>
        <ng-container *ngTemplateOutlet="emptySearch"></ng-container>
    </ng-template>

    <div class="igx-excel-filter__filter-results" aria-live="polite" aria-atomic="true">
        {{ esf.grid?.resourceStrings.igx_grid_excel_matches_count.replace('{0}', matchesCount) }}
    </div>
</igx-list>

<div class="igx-excel-filter__tree" *ngIf="isHierarchical()">
    <div class="igx-excel-filter__tree-alike" *ngIf="!isTreeEmpty()">
        <div class="igx-excel-filter__tree-alike-item">
            <igx-checkbox #selectAllCheckbox
                          [value]="selectAllItem"
                          [checked]="selectAllItem?.isSelected"
                          [disableRipple]="true"
                          [indeterminate]="selectAllItem?.indeterminate"
                          [disableTransitions]="true"
                          (change)="onSelectAllCheckboxChange($event)">
                {{ selectAllItem.label }}
            </igx-checkbox>
        </div>
        <div class="igx-excel-filter__tree-alike-item" *ngIf="searchValue">
            <igx-checkbox #addToCurrentFilterCheckbox
                          [value]="addToCurrentFilterItem"
                          [checked]="addToCurrentFilterItem.isSelected"
                          [disableRipple]="true"
                          [disableTransitions]="true">

                {{ addToCurrentFilterItem.label }}
            </igx-checkbox>
        </div>
    </div>

    <igx-tree #tree [displayDensity]="esf.displayDensity" selection="Cascading"  (nodeSelection)="onNodeSelectionChange($event)">
        <igx-tree-node [data]="item" *ngFor="let item of displayedListData;" [selected]="item.isSelected">
            <div>{{item.label}}</div>
            <igx-tree-node [data]="childLevel1" *ngFor="let childLevel1 of item.children" [selected]="childLevel1.isSelected">
                <div>{{childLevel1.label}}</div>
                <igx-tree-node [data]="childLevel2" *ngFor="let childLevel2 of childLevel1.children" [selected]="childLevel2.isSelected">
                    <div>{{childLevel2.label}}</div>
                    <igx-tree-node [data]="childLevel3" *ngFor="let childLevel3 of childLevel2.children" [selected]="childLevel3.isSelected">
                        <div>{{childLevel3.label}}</div>
                        <igx-tree-node [data]="childLevel4" *ngFor="let childLevel4 of childLevel3.children" [selected]="childLevel4.isSelected">
                            <div>{{childLevel4.label}}</div>
                            <igx-tree-node [data]="childLevel5" *ngFor="let childLevel5 of childLevel4.children" [selected]="childLevel5.isSelected">
                                <div>{{childLevel5.label}}</div>
                                <igx-tree-node [data]="childLevel6" *ngFor="let childLevel6 of childLevel5.children" [selected]="childLevel6.isSelected">
                                    <div>{{childLevel6.label}}</div>
                                    <igx-tree-node [data]="childLevel7" *ngFor="let childLevel7 of childLevel6.children" [selected]="childLevel7.isSelected">
                                        <div>{{childLevel7.label}}</div>
                                        <igx-tree-node [data]="childLevel8" *ngFor="let childLevel8 of childLevel7.children" [selected]="childLevel8.isSelected">
                                            <div>{{childLevel8.label}}</div>
                                            <igx-tree-node [data]="childLevel9" *ngFor="let childLevel9 of childLevel8.children" [selected]="childLevel9.isSelected">
                                                <div>{{childLevel9.label}}</div>
                                            </igx-tree-node>
                                        </igx-tree-node>
                                    </igx-tree-node>
                                </igx-tree-node>
                            </igx-tree-node>
                        </igx-tree-node>
                    </igx-tree-node>
                </igx-tree-node>
            </igx-tree-node>
        </igx-tree-node>
    </igx-tree>

    <ng-template igxDataLoading>
        <div class="igx-excel-filter__loading">
            <ng-container *ngTemplateOutlet="valuesLoadingTemplate">
            </ng-container>
        </div>
    </ng-template>

    <ng-template [ngIf]="isTreeEmpty()">
        <ng-container *ngTemplateOutlet="emptySearch"></ng-container>
    </ng-template>
</div>

<ng-template #emptySearch>
    <div class="igx-excel-filter__empty">
        {{esf.grid?.resourceStrings.igx_grid_excel_no_matches}}
    </div>
</ng-template>

<ng-template #defaultExcelStyleLoadingValuesTemplate>
    <igx-circular-bar [indeterminate]="true">
    </igx-circular-bar>
</ng-template>

<footer class="igx-excel-filter__menu-footer">
    <div class="igx-excel-filter__cancel">
        <button type="button" #cancelButton
            igxButton="flat"
            [displayDensity]="esf.displayDensity"
            (click)="esf.cancel()">
                {{ esf.grid?.resourceStrings.igx_grid_excel_cancel }}
        </button>
    </div>
    <div class="igx-excel-filter__apply">
        <button type="button"
            igxButton="contained"
            [displayDensity]="esf.displayDensity"
            [disabled]="applyButtonDisabled"
            (click)="applyFilter()">
                {{ esf.grid?.resourceStrings.igx_grid_excel_apply }}
        </button>
    </div>
</footer>
` }]
}], ctorParameters: () => [{ type: i0152.ChangeDetectorRef }, { type: BaseFilteringComponent }, { type: PlatformUtil }], propDecorators: { defaultClass: [{
  type: HostBinding69,
  args: ["class.igx-excel-filter__menu-main"]
}], searchInput: [{
  type: ViewChild37,
  args: ["input", { read: IgxInputDirective, static: true }]
}], cancelButton: [{
  type: ViewChild37,
  args: ["cancelButton", { read: IgxButtonDirective, static: true }]
}], list: [{
  type: ViewChild37,
  args: ["list", { read: IgxListComponent, static: false }]
}], selectAllCheckbox: [{
  type: ViewChild37,
  args: ["selectAllCheckbox", { read: IgxCheckboxComponent, static: false }]
}], addToCurrentFilterCheckbox: [{
  type: ViewChild37,
  args: ["addToCurrentFilterCheckbox", { read: IgxCheckboxComponent, static: false }]
}], tree: [{
  type: ViewChild37,
  args: ["tree", { read: IgxTreeComponent, static: false }]
}], virtDir: [{
  type: ViewChild37,
  args: [IgxForOfDirective]
}], defaultExcelStyleLoadingValuesTemplate: [{
  type: ViewChild37,
  args: ["defaultExcelStyleLoadingValuesTemplate", { read: TemplateRef18 }]
}], id: [{
  type: HostBinding69,
  args: ["attr.id"]
}, {
  type: Input94
}] } });

// lib/grids/filtering/excel-style/excel-style-selecting.component.mjs
import { Component as Component69 } from "@angular/core";
import { NgIf as NgIf44, NgClass as NgClass14 } from "@angular/common";
import * as i0153 from "@angular/core";
var IgxExcelStyleSelectingComponent = class _IgxExcelStyleSelectingComponent {
  constructor(esf) {
    this.esf = esf;
  }
  static {
    this.ɵfac = i0153.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0153, type: _IgxExcelStyleSelectingComponent, deps: [{ token: BaseFilteringComponent }], target: i0153.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0153.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleSelectingComponent, isStandalone: true, selector: "igx-excel-style-selecting", ngImport: i0153, template: `<div *ngIf="esf.column"
    [ngClass]="esf.column.selected ? 'igx-excel-filter__actions-selected' : 'igx-excel-filter__actions-select'"
    tabindex="0"
    (click)="esf.onSelect()"
    role="button"
    [attr.aria-pressed]="esf.column.selected">
    <span>{{esf.grid.resourceStrings.igx_grid_excel_select }}</span>
    <igx-icon>done</igx-icon>
</div>
`, dependencies: [{ kind: "directive", type: NgIf44, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass14, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0153.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0153, type: IgxExcelStyleSelectingComponent, decorators: [{
  type: Component69,
  args: [{ selector: "igx-excel-style-selecting", standalone: true, imports: [NgIf44, NgClass14, IgxIconComponent], template: `<div *ngIf="esf.column"
    [ngClass]="esf.column.selected ? 'igx-excel-filter__actions-selected' : 'igx-excel-filter__actions-select'"
    tabindex="0"
    (click)="esf.onSelect()"
    role="button"
    [attr.aria-pressed]="esf.column.selected">
    <span>{{esf.grid.resourceStrings.igx_grid_excel_select }}</span>
    <igx-icon>done</igx-icon>
</div>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }] });

// lib/grids/filtering/excel-style/excel-style-sorting.component.mjs
import { Component as Component70, ViewChild as ViewChild38, HostBinding as HostBinding70 } from "@angular/core";
import { takeUntil as takeUntil33 } from "rxjs/operators";
import { Subject as Subject39 } from "rxjs";
import { NgIf as NgIf45 } from "@angular/common";
import * as i0154 from "@angular/core";
var IgxExcelStyleSortingComponent = class _IgxExcelStyleSortingComponent {
  constructor(esf, cdr) {
    this.esf = esf;
    this.cdr = cdr;
    this.defaultClass = true;
    this.destroy$ = new Subject39();
    this.esf.sortingChanged.pipe(takeUntil33(this.destroy$)).subscribe(() => {
      this.updateSelectedButtons(this.esf.column.field);
    });
  }
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  onSortButtonClicked(sortDirection) {
    if (this.sortButtonGroup.buttons.filter((b) => b.selected).length === 0) {
      if (this.esf.grid.isColumnGrouped(this.esf.column.field)) {
        this.sortButtonGroup.selectButton(sortDirection - 1);
      } else {
        this.esf.grid.clearSort(this.esf.column.field);
      }
    } else {
      this.esf.grid.sort({ fieldName: this.esf.column.field, dir: sortDirection, ignoreCase: true });
    }
  }
  updateSelectedButtons(fieldName) {
    const sortIndex = this.esf.grid.sortingExpressions.findIndex((s) => s.fieldName === fieldName);
    this.cdr.detectChanges();
    this.sortButtonGroup.buttons.forEach((b, i) => {
      this.sortButtonGroup.deselectButton(i);
    });
    if (sortIndex !== -1) {
      const sortDirection = this.esf.grid.sortingExpressions[sortIndex].dir;
      this.sortButtonGroup.selectButton(sortDirection - 1);
    }
  }
  static {
    this.ɵfac = i0154.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0154, type: _IgxExcelStyleSortingComponent, deps: [{ token: BaseFilteringComponent }, { token: i0154.ChangeDetectorRef }], target: i0154.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0154.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleSortingComponent, isStandalone: true, selector: "igx-excel-style-sorting", host: { properties: { "class.igx-excel-filter__sort": "this.defaultClass" } }, viewQueries: [{ propertyName: "sortButtonGroup", first: true, predicate: ["sortButtonGroup"], descendants: true, read: IgxButtonGroupComponent }], ngImport: i0154, template: `<ng-container *ngIf="esf.column">
<header>
    {{ esf.grid.resourceStrings.igx_grid_excel_filter_sorting_header }}
</header>
<igx-buttongroup #sortButtonGroup>
    <button type="button"
        igxButton
        [displayDensity]="esf.displayDensity"
        [attr.data-togglable]="true"
        (buttonSelected)="onSortButtonClicked(1)"
        >
        <igx-icon>arrow_upwards</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_asc_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_asc  }}
        </span>
    </button>

    <button type="button"
        igxButton
        [displayDensity]="esf.displayDensity"
        [attr.data-togglable]="true"
        (buttonSelected)="onSortButtonClicked(2)"
        >
        <igx-icon>arrow_downwards</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_desc_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_desc
        }}
        </span>
    </button>
</igx-buttongroup>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf45, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxButtonGroupComponent, selector: "igx-buttongroup", inputs: ["id", "itemContentCssClass", "multiSelection", "selectionMode", "values", "disabled", "alignment"], outputs: ["selected", "deselected"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0154.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0154, type: IgxExcelStyleSortingComponent, decorators: [{
  type: Component70,
  args: [{ selector: "igx-excel-style-sorting", standalone: true, imports: [NgIf45, IgxButtonGroupComponent, IgxButtonDirective, IgxIconComponent], template: `<ng-container *ngIf="esf.column">
<header>
    {{ esf.grid.resourceStrings.igx_grid_excel_filter_sorting_header }}
</header>
<igx-buttongroup #sortButtonGroup>
    <button type="button"
        igxButton
        [displayDensity]="esf.displayDensity"
        [attr.data-togglable]="true"
        (buttonSelected)="onSortButtonClicked(1)"
        >
        <igx-icon>arrow_upwards</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_asc_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_asc  }}
        </span>
    </button>

    <button type="button"
        igxButton
        [displayDensity]="esf.displayDensity"
        [attr.data-togglable]="true"
        (buttonSelected)="onSortButtonClicked(2)"
        >
        <igx-icon>arrow_downwards</igx-icon>
        <span>
            {{ esf.displayDensity==='compact'?
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_desc_short:
            esf.grid.resourceStrings.igx_grid_excel_filter_sorting_desc
        }}
        </span>
    </button>
</igx-buttongroup>
</ng-container>
` }]
}], ctorParameters: () => [{ type: BaseFilteringComponent }, { type: i0154.ChangeDetectorRef }], propDecorators: { defaultClass: [{
  type: HostBinding70,
  args: ["class.igx-excel-filter__sort"]
}], sortButtonGroup: [{
  type: ViewChild38,
  args: ["sortButtonGroup", { read: IgxButtonGroupComponent }]
}] } });

// lib/grids/filtering/excel-style/excel-style-filtering.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy13, Component as Component71, ContentChild as ContentChild17, Directive as Directive68, ElementRef as ElementRef69, EventEmitter as EventEmitter62, forwardRef as forwardRef18, Host as Host2, HostBinding as HostBinding71, Inject as Inject62, Input as Input95, Optional as Optional38, Output as Output52, TemplateRef as TemplateRef20, ViewChild as ViewChild39 } from "@angular/core";
import { Subject as Subject40 } from "rxjs";
import { formatNumber as formatNumber2, formatPercent as formatPercent2, getLocaleCurrencyCode as getLocaleCurrencyCode3, NgIf as NgIf46, NgClass as NgClass15, DOCUMENT as DOCUMENT12 } from "@angular/common";
import * as i0155 from "@angular/core";
var IgxExcelStyleColumnOperationsTemplateDirective = class _IgxExcelStyleColumnOperationsTemplateDirective {
  static {
    this.ɵfac = i0155.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: _IgxExcelStyleColumnOperationsTemplateDirective, deps: [], target: i0155.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0155.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleColumnOperationsTemplateDirective, isStandalone: true, selector: "igx-excel-style-column-operations,[igxExcelStyleColumnOperations]", ngImport: i0155 });
  }
};
i0155.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: IgxExcelStyleColumnOperationsTemplateDirective, decorators: [{
  type: Directive68,
  args: [{
    selector: "igx-excel-style-column-operations,[igxExcelStyleColumnOperations]",
    standalone: true
  }]
}] });
var IgxExcelStyleFilterOperationsTemplateDirective = class _IgxExcelStyleFilterOperationsTemplateDirective {
  static {
    this.ɵfac = i0155.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: _IgxExcelStyleFilterOperationsTemplateDirective, deps: [], target: i0155.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0155.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleFilterOperationsTemplateDirective, isStandalone: true, selector: "igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]", ngImport: i0155 });
  }
};
i0155.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: IgxExcelStyleFilterOperationsTemplateDirective, decorators: [{
  type: Directive68,
  args: [{
    selector: "igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]",
    standalone: true
  }]
}] });
var IgxGridExcelStyleFilteringComponent = class _IgxGridExcelStyleFilteringComponent extends BaseFilteringComponent {
  /**
   * Sets the column.
   */
  set column(value) {
    this._column = value;
    this.listData = new Array();
    this.columnChange.emit(this._column);
    this.subscriptions?.unsubscribe();
    if (this._column) {
      this.grid.filteringService.registerSVGIcons();
      this.init();
      this.sortingChanged.emit();
      this.subscriptions = this.grid.columnPin.subscribe(() => {
        requestAnimationFrame(() => {
          if (!this.cdr.destroyed) {
            this.cdr.detectChanges();
          }
        });
      });
      this.subscriptions.add(this.grid.columnVisibilityChanged.subscribe(() => this.detectChanges()));
      this.subscriptions.add(this.grid.sortingExpressionsChange.subscribe(() => this.sortingChanged.emit()));
      this.subscriptions.add(this.grid.filteringExpressionsTreeChange.subscribe(() => this.init()));
      this.subscriptions.add(this.grid.densityChanged.subscribe(() => this.detectChanges()));
      this.subscriptions.add(this.grid.columnMovingEnd.subscribe(() => this.cdr.markForCheck()));
    }
  }
  /**
   * Returns the current column.
   */
  get column() {
    return this._column;
  }
  /**
   * Gets the minimum height.
   */
  get minHeight() {
    if (this._minHeight || this._minHeight === 0) {
      return this._minHeight;
    }
    if (!this.inline) {
      let minHeight = 645;
      switch (this.displayDensity) {
        case DisplayDensity.cosy:
          minHeight = 465;
          break;
        case DisplayDensity.compact:
          minHeight = 330;
          break;
        default:
          break;
      }
      return `${minHeight}px`;
    }
  }
  /**
   * Sets the minimum height.
   */
  set minHeight(value) {
    this._minHeight = value;
  }
  /**
   * Gets the maximum height.
   */
  get maxHeight() {
    if (this._maxHeight) {
      return this._maxHeight;
    }
    if (!this.inline) {
      let maxHeight = 775;
      switch (this.displayDensity) {
        case DisplayDensity.cosy:
          maxHeight = 565;
          break;
        case DisplayDensity.compact:
          maxHeight = 405;
          break;
        default:
          break;
      }
      return `${maxHeight}px`;
    }
  }
  /**
   * Sets the maximum height.
   */
  set maxHeight(value) {
    this._maxHeight = value;
  }
  /**
   * @hidden @internal
   */
  get grid() {
    return this.column?.grid ?? this.gridAPI;
  }
  /**
   * @hidden @internal
   */
  get displayDensity() {
    switch (this._size) {
      case "1":
        return DisplayDensity.compact;
      case "2":
        return DisplayDensity.cosy;
      case "3":
      default:
        return DisplayDensity.comfortable;
    }
  }
  constructor(cdr, element, platform, document2, gridAPI) {
    super(cdr, element, platform);
    this.document = document2;
    this.gridAPI = gridAPI;
    this.defaultClass = true;
    this.inline = true;
    this.loadingStart = new EventEmitter62();
    this.loadingEnd = new EventEmitter62();
    this.initialized = new EventEmitter62();
    this.sortingChanged = new EventEmitter62();
    this.columnChange = new EventEmitter62();
    this.listDataLoaded = new EventEmitter62();
    this.expressionsList = new Array();
    this.listData = new Array();
    this.uniqueValues = [];
    this.isHierarchical = false;
    this._size$ = new Subject40();
    this.containsNullOrEmpty = false;
    this.selectAllSelected = true;
    this.selectAllIndeterminate = false;
    this.filterValues = /* @__PURE__ */ new Set();
    this._sizeSubscription = this._size$.asObservable().subscribe((value) => {
      this._size = value;
      this.cdr.detectChanges();
    });
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.subscriptions?.unsubscribe();
    this._sizeSubscription?.unsubscribe();
    delete this.overlayComponentId;
  }
  /** @hidden @internal */
  ngAfterViewChecked() {
    const sizeVar = this.grid ? "--grid-size" : "--ig-size";
    if (!this._size) {
      const cssProp = this.document.defaultView.getComputedStyle(this.element.nativeElement).getPropertyValue(sizeVar).trim();
      if (cssProp !== "") {
        Promise.resolve().then(() => {
          this._size$.next(cssProp);
          this.cdr.markForCheck();
        });
      }
    }
  }
  /**
   * @hidden @internal
   */
  initialize(column, overlayService) {
    this.inline = false;
    this.column = column;
    this.overlayService = overlayService;
    if (this._originalDisplay) {
      this.element.nativeElement.style.display = this._originalDisplay;
    }
    this.initialized.emit();
    this.subscriptions.add(this.grid.columnMoving.subscribe(() => this.closeDropdown()));
  }
  /**
   * @hidden @internal
   */
  onPin() {
    this.closeDropdown();
    this.column.pinned = !this.column.pinned;
  }
  /**
   * @hidden @internal
   */
  onSelect() {
    if (!this.column.selected) {
      this.grid.selectionService.selectColumn(this.column.field, this.grid.columnSelection === GridSelectionMode.single);
    } else {
      this.grid.selectionService.deselectColumn(this.column.field);
    }
    this.grid.notifyChanges();
  }
  /**
   * @hidden @internal
   */
  columnSelectable() {
    return this.grid?.columnSelection !== GridSelectionMode.none && this.column?.selectable;
  }
  /**
   * @hidden @internal
   */
  onHideToggle() {
    this.column.toggleVisibility();
    this.closeDropdown();
  }
  /**
   * @hidden @internal
   */
  cancel() {
    if (!this.overlayComponentId) {
      this.init();
    }
    this.closeDropdown();
  }
  /**
   * @hidden @internal
   */
  closeDropdown() {
    if (this.overlayComponentId) {
      this.overlayService.hide(this.overlayComponentId);
      this.overlayComponentId = null;
    }
  }
  /**
   * @hidden @internal
   */
  onKeyDown(eventArgs) {
    if (this.platform.isFilteringKeyCombo(eventArgs)) {
      eventArgs.preventDefault();
      this.closeDropdown();
    }
    eventArgs.stopPropagation();
  }
  /**
   * @hidden @internal
   */
  hide() {
    this._originalDisplay = document.defaultView.getComputedStyle(this.element.nativeElement).display;
    this.element.nativeElement.style.display = "none";
  }
  /**
   * @hidden @internal
   */
  detectChanges() {
    this.cdr.detectChanges();
  }
  init() {
    this.expressionsList = new Array();
    generateExpressionsList(this.column.filteringExpressionsTree, this.grid.filteringLogic, this.expressionsList);
    this.populateColumnData();
  }
  areExpressionsSelectable() {
    if (this.expressionsList.length === 1 && (this.expressionsList[0].expression.condition.name === "equals" || this.expressionsList[0].expression.condition.name === "at" || this.expressionsList[0].expression.condition.name === "true" || this.expressionsList[0].expression.condition.name === "false" || this.expressionsList[0].expression.condition.name === "empty" || this.expressionsList[0].expression.condition.name === "in")) {
      return true;
    }
    const selectableExpressionsCount = this.expressionsList.filter((exp) => (exp.beforeOperator === 1 || exp.afterOperator === 1) && (exp.expression.condition.name === "equals" || exp.expression.condition.name === "at" || exp.expression.condition.name === "true" || exp.expression.condition.name === "false" || exp.expression.condition.name === "empty" || exp.expression.condition.name === "in")).length;
    return selectableExpressionsCount === this.expressionsList.length;
  }
  populateColumnData() {
    this.cdr.detectChanges();
    if (this.grid.uniqueColumnValuesStrategy) {
      this.renderColumnValuesRemotely();
    } else {
      this.renderColumnValuesFromData();
    }
  }
  renderColumnValuesRemotely() {
    this.loadingStart.emit();
    const expressionsTree = this.getColumnFilterExpressionsTree();
    const prevColumn = this.column;
    this.grid.uniqueColumnValuesStrategy(this.column, expressionsTree, (values) => {
      if (!this.column || this.column !== prevColumn) {
        return;
      }
      const items = values.map((v) => ({
        value: v
      }));
      this.uniqueValues = this.column.sortStrategy.sort(items, "value", SortingDirection.Asc, this.column.sortingIgnoreCase, (obj, key) => {
        let resolvedValue = obj[key];
        if (this.column.dataType === GridColumnDataType.Time) {
          resolvedValue = (/* @__PURE__ */ new Date()).setHours(resolvedValue.getHours(), resolvedValue.getMinutes(), resolvedValue.getSeconds(), resolvedValue.getMilliseconds());
        }
        return resolvedValue;
      });
      this.renderValues();
      this.loadingEnd.emit();
    });
  }
  renderColumnValuesFromData() {
    this.loadingStart.emit();
    const expressionsTree = this.getColumnFilterExpressionsTree();
    const promise = this.grid.filterStrategy.getFilterItems(this.column, expressionsTree);
    promise.then((items) => {
      this.isHierarchical = items.length > 0 && items.some((i) => i.children && i.children.length > 0);
      this.uniqueValues = items;
      this.renderValues();
      this.loadingEnd.emit();
      this.sortingChanged.emit();
    });
  }
  renderValues() {
    this.filterValues = this.generateFilterValues(this.column.dataType === GridColumnDataType.Date || this.column.dataType === GridColumnDataType.DateTime);
    this.generateListData();
  }
  generateFilterValues(isDateColumn = false) {
    let filterValues;
    if (isDateColumn) {
      filterValues = new Set(this.expressionsList.reduce((arr, e) => {
        if (e.expression.condition.name === "in") {
          return [...arr, ...Array.from(e.expression.searchVal.values()).map((v) => new Date(v).toISOString())];
        }
        return [...arr, ...[e.expression.searchVal ? e.expression.searchVal.toISOString() : e.expression.searchVal]];
      }, []));
    } else if (this.column.dataType === GridColumnDataType.Time) {
      filterValues = new Set(this.expressionsList.reduce((arr, e) => {
        if (e.expression.condition.name === "in") {
          return [...arr, ...Array.from(e.expression.searchVal.values()).map((v) => typeof v === "string" ? v : new Date(v).toLocaleTimeString())];
        }
        return [...arr, ...[e.expression.searchVal ? e.expression.searchVal.toLocaleTimeString() : e.expression.searchVal]];
      }, []));
    } else {
      filterValues = new Set(this.expressionsList.reduce((arr, e) => {
        if (e.expression.condition.name === "in") {
          return [...arr, ...Array.from(e.expression.searchVal.values())];
        }
        return [...arr, ...[e.expression.searchVal]];
      }, []));
    }
    return filterValues;
  }
  generateListData() {
    this.listData = new Array();
    const shouldUpdateSelection = this.areExpressionsSelectable();
    if (this.column.dataType === GridColumnDataType.Boolean) {
      this.addBooleanItems();
    } else {
      this.addItems(shouldUpdateSelection);
    }
    if (!this.isHierarchical && this.containsNullOrEmpty) {
      const blanksItem = this.generateBlanksItem(shouldUpdateSelection);
      this.listData.unshift(blanksItem);
    }
    if (this.listData.length > 0) {
      this.addSelectAllItem();
    }
    if (!this.cdr.destroyed) {
      this.cdr.detectChanges();
    }
    this.listDataLoaded.emit();
  }
  getColumnFilterExpressionsTree() {
    const gridExpressionsTree = this.grid.filteringExpressionsTree;
    const expressionsTree = new FilteringExpressionsTree(gridExpressionsTree.operator, gridExpressionsTree.fieldName);
    for (const operand of gridExpressionsTree.filteringOperands) {
      if (operand instanceof FilteringExpressionsTree) {
        const columnExprTree = operand;
        if (columnExprTree.fieldName === this.column.field) {
          continue;
        }
      }
      expressionsTree.filteringOperands.push(operand);
    }
    return expressionsTree;
  }
  addBooleanItems() {
    this.selectAllSelected = true;
    this.selectAllIndeterminate = false;
    this.uniqueValues.forEach((element) => {
      const value = element.value;
      const filterListItem = new FilterListItem();
      if (value !== void 0 && value !== null && value !== "") {
        if (this.column.filteringExpressionsTree) {
          if (value === true && this.expressionsList.find((exp) => exp.expression.condition.name === "true")) {
            filterListItem.isSelected = true;
            filterListItem.isFiltered = true;
            this.selectAllIndeterminate = true;
          } else if (value === false && this.expressionsList.find((exp) => exp.expression.condition.name === "false")) {
            filterListItem.isSelected = true;
            filterListItem.isFiltered = true;
            this.selectAllIndeterminate = true;
          } else {
            filterListItem.isSelected = false;
            filterListItem.isFiltered = false;
          }
        } else {
          filterListItem.isSelected = true;
          filterListItem.isFiltered = true;
        }
        filterListItem.value = value;
        filterListItem.label = value ? this.grid.resourceStrings.igx_grid_filter_true : this.grid.resourceStrings.igx_grid_filter_false;
        filterListItem.indeterminate = false;
        this.listData.push(filterListItem);
      } else {
        this.containsNullOrEmpty = true;
      }
    });
  }
  addItems(shouldUpdateSelection) {
    this.selectAllSelected = true;
    this.selectAllIndeterminate = false;
    this.containsNullOrEmpty = false;
    this.listData = this.generateFilterListItems(this.uniqueValues, shouldUpdateSelection);
    this.containsNullOrEmpty = this.uniqueValues.length > this.listData.length;
  }
  generateFilterListItems(values, shouldUpdateSelection, parent) {
    const filterListItems = [];
    values?.forEach((element) => {
      const value = element.value;
      const hasValue = value !== void 0 && value !== null && value !== "";
      if (hasValue) {
        const filterListItem = new FilterListItem();
        filterListItem.parent = parent;
        filterListItem.value = value;
        filterListItem.label = element.label !== void 0 ? element.label : this.getFilterItemLabel(value);
        filterListItem.indeterminate = false;
        filterListItem.isSelected = true;
        filterListItem.isFiltered = true;
        if (this.column.filteringExpressionsTree) {
          filterListItem.isSelected = false;
          filterListItem.isFiltered = false;
          if (shouldUpdateSelection) {
            const exprValue = this.getExpressionValue(value);
            if (this.filterValues.has(exprValue)) {
              filterListItem.isSelected = true;
              filterListItem.isFiltered = true;
            }
            this.selectAllIndeterminate = true;
          } else {
            this.selectAllSelected = false;
          }
        }
        filterListItem.children = this.generateFilterListItems(element.children ?? element.value?.children, shouldUpdateSelection, filterListItem);
        filterListItems.push(filterListItem);
      }
    });
    return filterListItems;
  }
  addSelectAllItem() {
    const selectAll = new FilterListItem();
    selectAll.isSelected = this.selectAllSelected;
    selectAll.value = this.grid.resourceStrings.igx_grid_excel_select_all;
    selectAll.label = this.grid.resourceStrings.igx_grid_excel_select_all;
    selectAll.indeterminate = this.selectAllIndeterminate;
    selectAll.isSpecial = true;
    selectAll.isFiltered = this.selectAllSelected;
    this.listData.unshift(selectAll);
  }
  generateBlanksItem(shouldUpdateSelection) {
    const blanks = new FilterListItem();
    if (this.column.filteringExpressionsTree) {
      if (shouldUpdateSelection) {
        if (this.filterValues.has(null)) {
          blanks.isSelected = true;
          blanks.isFiltered = true;
        } else {
          blanks.isSelected = false;
          blanks.isFiltered = false;
        }
      }
    } else {
      blanks.isSelected = true;
      blanks.isFiltered = true;
    }
    blanks.value = null;
    blanks.label = this.grid.resourceStrings.igx_grid_excel_blanks;
    blanks.indeterminate = false;
    blanks.isSpecial = true;
    blanks.isBlanks = true;
    return blanks;
  }
  getFilterItemLabel(value, applyFormatter = true, data) {
    if (this.column.formatter) {
      if (applyFormatter) {
        return this.column.formatter(value, data);
      }
      return value;
    }
    const { display, format, digitsInfo, currencyCode, timezone } = this.column.pipeArgs;
    const locale = this.grid.locale;
    switch (this.column.dataType) {
      case GridColumnDataType.Date:
      case GridColumnDataType.DateTime:
      case GridColumnDataType.Time:
        return formatDate(value, format, locale, timezone);
      case GridColumnDataType.Currency:
        return formatCurrency(value, currencyCode || getLocaleCurrencyCode3(locale), display, digitsInfo, locale);
      case GridColumnDataType.Number:
        return formatNumber2(value, locale, digitsInfo);
      case GridColumnDataType.Percent:
        return formatPercent2(value, locale, digitsInfo);
      default:
        return value;
    }
  }
  getExpressionValue(value) {
    if (this.column.dataType === GridColumnDataType.Date) {
      value = value ? new Date(value).toISOString() : value;
    } else if (this.column.dataType === GridColumnDataType.DateTime) {
      value = value ? new Date(value).toISOString() : value;
    } else if (this.column.dataType === GridColumnDataType.Time) {
      value = value ? new Date(value).toLocaleTimeString() : value;
    }
    return value;
  }
  static {
    this.ɵfac = i0155.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: _IgxGridExcelStyleFilteringComponent, deps: [{ token: i0155.ChangeDetectorRef }, { token: i0155.ElementRef }, { token: PlatformUtil }, { token: DOCUMENT12 }, { token: IGX_GRID_BASE, host: true, optional: true }], target: i0155.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0155.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridExcelStyleFilteringComponent, isStandalone: true, selector: "igx-grid-excel-style-filtering", inputs: { column: "column", minHeight: "minHeight", maxHeight: "maxHeight" }, outputs: { loadingStart: "loadingStart", loadingEnd: "loadingEnd", initialized: "initialized", sortingChanged: "sortingChanged", columnChange: "columnChange", listDataLoaded: "listDataLoaded" }, host: { properties: { "class.igx-excel-filter": "this.defaultClass", "class.igx-excel-filter--inline": "this.inline", "style.max-height": "this.maxHeight" } }, providers: [{ provide: BaseFilteringComponent, useExisting: forwardRef18(() => _IgxGridExcelStyleFilteringComponent) }], queries: [{ propertyName: "excelColumnOperationsDirective", first: true, predicate: IgxExcelStyleColumnOperationsTemplateDirective, descendants: true, read: IgxExcelStyleColumnOperationsTemplateDirective }, { propertyName: "excelFilterOperationsDirective", first: true, predicate: IgxExcelStyleFilterOperationsTemplateDirective, descendants: true, read: IgxExcelStyleFilterOperationsTemplateDirective }], viewQueries: [{ propertyName: "mainDropdown", first: true, predicate: ["mainDropdown"], descendants: true, read: ElementRef69 }, { propertyName: "defaultExcelColumnOperations", first: true, predicate: ["defaultExcelColumnOperations"], descendants: true, read: TemplateRef20, static: true }, { propertyName: "defaultExcelFilterOperations", first: true, predicate: ["defaultExcelFilterOperations"], descendants: true, read: TemplateRef20, static: true }], usesInheritance: true, ngImport: i0155, template: `<ng-template #defaultExcelColumnOperations>
    <igx-excel-style-header
        [showHiding]="displayDensity !== 'comfortable' && !column?.disableHiding"
        [showPinning]="displayDensity !== 'comfortable' && !column?.disablePinning"
        [showSelecting]="displayDensity !== 'comfortable' && columnSelectable()"
    >
    </igx-excel-style-header>

    <igx-excel-style-sorting *ngIf="column?.sortable">
    </igx-excel-style-sorting>

    <igx-excel-style-moving *ngIf="grid?.moving">
    </igx-excel-style-moving>

    <igx-excel-style-pinning *ngIf="!column?.disablePinning && displayDensity==='comfortable'">
    </igx-excel-style-pinning>

    <igx-excel-style-hiding *ngIf="!column?.disableHiding && displayDensity==='comfortable'">
    </igx-excel-style-hiding>

    <igx-excel-style-selecting *ngIf="columnSelectable() && displayDensity==='comfortable'">
    </igx-excel-style-selecting>
</ng-template>

<ng-template #defaultExcelFilterOperations>
    <igx-excel-style-clear-filters>
    </igx-excel-style-clear-filters>

    <igx-excel-style-conditional-filter>
    </igx-excel-style-conditional-filter>

    <igx-excel-style-search>
    </igx-excel-style-search>
</ng-template>

<article #mainDropdown
    class="igx-excel-filter__menu"
    [ngClass]="{
        'igx-excel-filter__menu--cosy': displayDensity === 'cosy',
        'igx-excel-filter__menu--compact': displayDensity === 'compact'
    }"
    [id]="overlayComponentId"
    (keydown)="onKeyDown($event)"
    [style.min-height]="minHeight"
    [style.max-height]="maxHeight"
    role="menu">

    <ng-container *ngIf="this.excelColumnOperationsDirective; else defaultExcelColumnOperations">
        <ng-content select="igx-excel-style-column-operations,[igxExcelStyleColumnOperations]">
        </ng-content>
    </ng-container>

    <ng-container *ngIf="this.excelFilterOperationsDirective; else defaultExcelFilterOperations">
        <ng-content select="igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]">
        </ng-content>
    </ng-container>
</article>
`, dependencies: [{ kind: "component", type: IgxExcelStyleHeaderComponent, selector: "igx-excel-style-header", inputs: ["showPinning", "showSelecting", "showHiding"] }, { kind: "directive", type: NgIf46, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxExcelStyleSortingComponent, selector: "igx-excel-style-sorting" }, { kind: "component", type: IgxExcelStyleMovingComponent, selector: "igx-excel-style-moving" }, { kind: "component", type: IgxExcelStylePinningComponent, selector: "igx-excel-style-pinning" }, { kind: "component", type: IgxExcelStyleHidingComponent, selector: "igx-excel-style-hiding" }, { kind: "component", type: IgxExcelStyleSelectingComponent, selector: "igx-excel-style-selecting" }, { kind: "component", type: IgxExcelStyleClearFiltersComponent, selector: "igx-excel-style-clear-filters" }, { kind: "component", type: IgxExcelStyleConditionalFilterComponent, selector: "igx-excel-style-conditional-filter" }, { kind: "component", type: IgxExcelStyleSearchComponent, selector: "igx-excel-style-search", inputs: ["id"] }, { kind: "directive", type: NgClass15, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0155.ChangeDetectionStrategy.OnPush });
  }
};
i0155.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0155, type: IgxGridExcelStyleFilteringComponent, decorators: [{
  type: Component71,
  args: [{ changeDetection: ChangeDetectionStrategy13.OnPush, providers: [{ provide: BaseFilteringComponent, useExisting: forwardRef18(() => IgxGridExcelStyleFilteringComponent) }], selector: "igx-grid-excel-style-filtering", standalone: true, imports: [IgxExcelStyleHeaderComponent, NgIf46, IgxExcelStyleSortingComponent, IgxExcelStyleMovingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleSearchComponent, NgClass15], template: `<ng-template #defaultExcelColumnOperations>
    <igx-excel-style-header
        [showHiding]="displayDensity !== 'comfortable' && !column?.disableHiding"
        [showPinning]="displayDensity !== 'comfortable' && !column?.disablePinning"
        [showSelecting]="displayDensity !== 'comfortable' && columnSelectable()"
    >
    </igx-excel-style-header>

    <igx-excel-style-sorting *ngIf="column?.sortable">
    </igx-excel-style-sorting>

    <igx-excel-style-moving *ngIf="grid?.moving">
    </igx-excel-style-moving>

    <igx-excel-style-pinning *ngIf="!column?.disablePinning && displayDensity==='comfortable'">
    </igx-excel-style-pinning>

    <igx-excel-style-hiding *ngIf="!column?.disableHiding && displayDensity==='comfortable'">
    </igx-excel-style-hiding>

    <igx-excel-style-selecting *ngIf="columnSelectable() && displayDensity==='comfortable'">
    </igx-excel-style-selecting>
</ng-template>

<ng-template #defaultExcelFilterOperations>
    <igx-excel-style-clear-filters>
    </igx-excel-style-clear-filters>

    <igx-excel-style-conditional-filter>
    </igx-excel-style-conditional-filter>

    <igx-excel-style-search>
    </igx-excel-style-search>
</ng-template>

<article #mainDropdown
    class="igx-excel-filter__menu"
    [ngClass]="{
        'igx-excel-filter__menu--cosy': displayDensity === 'cosy',
        'igx-excel-filter__menu--compact': displayDensity === 'compact'
    }"
    [id]="overlayComponentId"
    (keydown)="onKeyDown($event)"
    [style.min-height]="minHeight"
    [style.max-height]="maxHeight"
    role="menu">

    <ng-container *ngIf="this.excelColumnOperationsDirective; else defaultExcelColumnOperations">
        <ng-content select="igx-excel-style-column-operations,[igxExcelStyleColumnOperations]">
        </ng-content>
    </ng-container>

    <ng-container *ngIf="this.excelFilterOperationsDirective; else defaultExcelFilterOperations">
        <ng-content select="igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]">
        </ng-content>
    </ng-container>
</article>
` }]
}], ctorParameters: () => [{ type: i0155.ChangeDetectorRef }, { type: i0155.ElementRef }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Inject62,
  args: [DOCUMENT12]
}] }, { type: void 0, decorators: [{
  type: Host2
}, {
  type: Optional38
}, {
  type: Inject62,
  args: [IGX_GRID_BASE]
}] }], propDecorators: { defaultClass: [{
  type: HostBinding71,
  args: ["class.igx-excel-filter"]
}], inline: [{
  type: HostBinding71,
  args: ["class.igx-excel-filter--inline"]
}], loadingStart: [{
  type: Output52
}], loadingEnd: [{
  type: Output52
}], initialized: [{
  type: Output52
}], sortingChanged: [{
  type: Output52
}], columnChange: [{
  type: Output52
}], listDataLoaded: [{
  type: Output52
}], mainDropdown: [{
  type: ViewChild39,
  args: ["mainDropdown", { read: ElementRef69 }]
}], excelColumnOperationsDirective: [{
  type: ContentChild17,
  args: [IgxExcelStyleColumnOperationsTemplateDirective, { read: IgxExcelStyleColumnOperationsTemplateDirective }]
}], excelFilterOperationsDirective: [{
  type: ContentChild17,
  args: [IgxExcelStyleFilterOperationsTemplateDirective, { read: IgxExcelStyleFilterOperationsTemplateDirective }]
}], defaultExcelColumnOperations: [{
  type: ViewChild39,
  args: ["defaultExcelColumnOperations", { read: TemplateRef20, static: true }]
}], defaultExcelFilterOperations: [{
  type: ViewChild39,
  args: ["defaultExcelFilterOperations", { read: TemplateRef20, static: true }]
}], column: [{
  type: Input95
}], minHeight: [{
  type: Input95
}], maxHeight: [{
  type: Input95
}, {
  type: HostBinding71,
  args: ["style.max-height"]
}] } });

// lib/grids/grid-footer/grid-footer.component.mjs
import { Component as Component72 } from "@angular/core";
import * as i0156 from "@angular/core";
var IgxGridFooterComponent = class _IgxGridFooterComponent {
  static {
    this.ɵfac = i0156.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0156, type: _IgxGridFooterComponent, deps: [], target: i0156.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0156.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridFooterComponent, isStandalone: true, selector: "igx-grid-footer", ngImport: i0156, template: "<ng-content></ng-content>", isInline: true });
  }
};
i0156.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0156, type: IgxGridFooterComponent, decorators: [{
  type: Component72,
  args: [{
    selector: "igx-grid-footer",
    template: "<ng-content></ng-content>",
    standalone: true
  }]
}] });

// lib/grids/moving/moving.drag.directive.mjs
import { Directive as Directive69, Input as Input96 } from "@angular/core";
import { fromEvent as fromEvent9 } from "rxjs";
import * as i0157 from "@angular/core";
var IgxColumnMovingDragDirective = class _IgxColumnMovingDragDirective extends IgxDragDirective {
  get draggable() {
    return this.column && (this.column.grid.moving || this.column.groupable && !this.column.columnGroup);
  }
  get icon() {
    return this.cms.icon;
  }
  constructor(element, viewContainer, zone, renderer, cdr, cms, _platformUtil) {
    super(cdr, element, viewContainer, zone, renderer, _platformUtil);
    this.cms = cms;
    this._ghostClass = "igx-grid__drag-ghost-image";
    this.ghostImgIconClass = "igx-grid__drag-ghost-image-icon";
    this.ghostImgIconGroupClass = "igx-grid__drag-ghost-image-icon-group";
    this.columnSelectedClass = "igx-grid-th--selected";
    this.ghostClass = this._ghostClass;
  }
  ngOnDestroy() {
    this._unsubscribe();
    super.ngOnDestroy();
  }
  onEscape(event) {
    this.cms.cancelDrop = true;
    this.onPointerUp(event);
  }
  onPointerDown(event) {
    if (!this.draggable || event.target.getAttribute("draggable") === "false") {
      return;
    }
    super.onPointerDown(event);
  }
  onPointerMove(event) {
    if (this._clicked && !this._dragStarted) {
      this._removeOnDestroy = false;
      this.cms.column = this.column;
      this.column.grid.cdr.detectChanges();
      const movingStartArgs = {
        source: this.column
      };
      this.column.grid.columnMovingStart.emit(movingStartArgs);
      this.subscription$ = fromEvent9(this.column.grid.document.defaultView, "keydown").subscribe((ev) => {
        if (ev.key === this.platformUtil.KEYMAP.ESCAPE) {
          this.onEscape(ev);
        }
      });
    }
    super.onPointerMove(event);
    if (this._dragStarted && this.ghostElement && !this.cms.column) {
      this.cms.column = this.column;
      this.column.grid.cdr.detectChanges();
    }
    if (this.cms.column) {
      const args = {
        source: this.column,
        cancel: false
      };
      this.column.grid.columnMoving.emit(args);
      if (args.cancel) {
        this.onEscape(event);
      }
    }
  }
  onPointerUp(event) {
    this.zone.run(() => {
      super.onPointerUp(event);
      this.cms.column = null;
      this.column.grid.cdr.detectChanges();
    });
    this._unsubscribe();
  }
  createGhost(pageX, pageY) {
    super.createGhost(pageX, pageY);
    this.ghostElement.style.height = null;
    this.ghostElement.style.minWidth = null;
    this.ghostElement.style.flexBasis = null;
    this.ghostElement.style.position = null;
    this.ghostElement.classList.remove(this.columnSelectedClass);
    const icon = document.createElement("i");
    const text = document.createTextNode("block");
    icon.appendChild(text);
    icon.classList.add("material-icons");
    this.cms.icon = icon;
    if (!this.column.columnGroup) {
      icon.classList.add(this.ghostImgIconClass);
      this.ghostElement.insertBefore(icon, this.ghostElement.firstElementChild);
      this.ghostLeft = this._ghostStartX = pageX - this.ghostElement.getBoundingClientRect().width / 3 * 2;
      this.ghostTop = this._ghostStartY = pageY - this.ghostElement.getBoundingClientRect().height / 3 * 2;
    } else {
      this.ghostElement.insertBefore(icon, this.ghostElement.childNodes[0]);
      icon.classList.add(this.ghostImgIconGroupClass);
      this.ghostElement.children[0].style.paddingLeft = "0px";
      this.ghostLeft = this._ghostStartX = pageX - this.ghostElement.getBoundingClientRect().width / 3 * 2;
      this.ghostTop = this._ghostStartY = pageY - this.ghostElement.getBoundingClientRect().height / 3 * 2;
    }
  }
  _unsubscribe() {
    if (this.subscription$) {
      this.subscription$.unsubscribe();
      this.subscription$ = null;
    }
  }
  static {
    this.ɵfac = i0157.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0157, type: _IgxColumnMovingDragDirective, deps: [{ token: i0157.ElementRef }, { token: i0157.ViewContainerRef }, { token: i0157.NgZone }, { token: i0157.Renderer2 }, { token: i0157.ChangeDetectorRef }, { token: IgxColumnMovingService }, { token: PlatformUtil }], target: i0157.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0157.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMovingDragDirective, isStandalone: true, selector: "[igxColumnMovingDrag]", inputs: { column: ["igxColumnMovingDrag", "column"] }, usesInheritance: true, ngImport: i0157 });
  }
};
i0157.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0157, type: IgxColumnMovingDragDirective, decorators: [{
  type: Directive69,
  args: [{
    selector: "[igxColumnMovingDrag]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0157.ElementRef }, { type: i0157.ViewContainerRef }, { type: i0157.NgZone }, { type: i0157.Renderer2 }, { type: i0157.ChangeDetectorRef }, { type: IgxColumnMovingService }, { type: PlatformUtil }], propDecorators: { column: [{
  type: Input96,
  args: ["igxColumnMovingDrag"]
}] } });

// lib/grids/grouping/group-by-area.directive.mjs
import { Directive as Directive70, EventEmitter as EventEmitter63, HostBinding as HostBinding72, Input as Input97, Output as Output53, Pipe as Pipe7, ViewChildren as ViewChildren11 } from "@angular/core";
import * as i0158 from "@angular/core";
var IgxGroupByAreaDirective = class _IgxGroupByAreaDirective {
  /**
   * The group-by expressions provided by the parent grid.
   */
  get expressions() {
    return this._expressions;
  }
  set expressions(value) {
    this._expressions = value;
    this.chipExpressions = this._expressions;
    this.expressionsChanged();
    this.expressionsChange.emit(this._expressions);
  }
  /**
   * The default message for the default drop area template.
   * Obviously, if another template is provided, this is ignored.
   */
  get dropAreaMessage() {
    return this._dropAreaMessage ?? this.grid.resourceStrings.igx_grid_groupByArea_message;
  }
  set dropAreaMessage(value) {
    this._dropAreaMessage = value;
  }
  /** The native DOM element. Used in sizing calculations. */
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(ref, platform) {
    this.ref = ref;
    this.platform = platform;
    this.density = DisplayDensity.comfortable;
    this.defaultClass = true;
    this.expressionsChange = new EventEmitter63();
    this._expressions = [];
  }
  get dropAreaVisible() {
    return this.grid.columnInDrag && this.grid.columnInDrag.groupable || !this.expressions.length;
  }
  handleKeyDown(id, event) {
    if (this.platform.isActivationKey(event)) {
      this.updateGroupSorting(id);
    }
  }
  handleClick(id) {
    if (!this.grid.getColumnByName(id).groupable) {
      return;
    }
    this.updateGroupSorting(id);
  }
  onDragDrop(event) {
    const drag = event.detail.owner;
    if (drag instanceof IgxColumnMovingDragDirective) {
      const column = drag.column;
      if (!this.grid.columns.find((c) => c === column)) {
        return;
      }
      const isGrouped = this.expressions.findIndex((item) => item.fieldName === column.field) !== -1;
      if (column.groupable && !isGrouped && !column.columnGroup && !!column.field) {
        const groupingExpression = {
          fieldName: column.field,
          dir: this.grid.sortingExpressions.find((expr) => expr.fieldName === column.field)?.dir || SortingDirection.Asc,
          ignoreCase: column.sortingIgnoreCase,
          strategy: column.sortStrategy,
          groupingComparer: column.groupingComparer
        };
        this.groupBy(groupingExpression);
      }
    }
  }
  getReorderedExpressions(chipsArray) {
    const newExpressions = [];
    chipsArray.forEach((chip) => {
      const expr = this.expressions.find((item) => item.fieldName === chip.id);
      if (!this.grid.getColumnByName(expr.fieldName)?.groupable) {
        return;
      }
      newExpressions.push(expr);
    });
    return newExpressions;
  }
  updateGroupSorting(id) {
    const expr = this.expressions.find((e) => e.fieldName === id);
    expr.dir = 3 - expr.dir;
    const expressionsChangeEvent = this.grid.groupingExpressionsChange || this.expressionsChange;
    expressionsChangeEvent.emit(this.expressions);
    this.grid.pipeTrigger++;
    this.grid.notifyChanges();
  }
  expressionsChanged() {
  }
  static {
    this.ɵfac = i0158.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0158, type: _IgxGroupByAreaDirective, deps: [{ token: i0158.ElementRef }, { token: PlatformUtil }], target: i0158.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0158.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGroupByAreaDirective, inputs: { dropAreaTemplate: "dropAreaTemplate", density: "density", grid: "grid", expressions: "expressions", dropAreaMessage: "dropAreaMessage" }, outputs: { expressionsChange: "expressionsChange" }, host: { properties: { "class.igx-grid-grouparea": "this.defaultClass" } }, viewQueries: [{ propertyName: "chips", predicate: IgxChipComponent, descendants: true }], ngImport: i0158 });
  }
};
i0158.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0158, type: IgxGroupByAreaDirective, decorators: [{
  type: Directive70
}], ctorParameters: () => [{ type: i0158.ElementRef }, { type: PlatformUtil }], propDecorators: { dropAreaTemplate: [{
  type: Input97
}], density: [{
  type: Input97
}], defaultClass: [{
  type: HostBinding72,
  args: ["class.igx-grid-grouparea"]
}], grid: [{
  type: Input97
}], expressions: [{
  type: Input97
}], dropAreaMessage: [{
  type: Input97
}], expressionsChange: [{
  type: Output53
}], chips: [{
  type: ViewChildren11,
  args: [IgxChipComponent]
}] } });
var IgxGroupByMetaPipe = class _IgxGroupByMetaPipe {
  transform(key, grid, _pipeTrigger) {
    const column = grid.getColumnByName(key);
    return { groupable: !!column?.groupable, title: column?.header || key };
  }
  static {
    this.ɵfac = i0158.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0158, type: _IgxGroupByMetaPipe, deps: [], target: i0158.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0158.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0158, type: _IgxGroupByMetaPipe, isStandalone: true, name: "igxGroupByMeta" });
  }
};
i0158.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0158, type: IgxGroupByMetaPipe, decorators: [{
  type: Pipe7,
  args: [{
    name: "igxGroupByMeta",
    standalone: true
  }]
}] });

// lib/grids/grid.directives.mjs
import { Directive as Directive71, HostBinding as HostBinding73 } from "@angular/core";
import * as i0159 from "@angular/core";
var IgxGroupByRowTemplateDirective = class _IgxGroupByRowTemplateDirective {
  static ngTemplateContextGuard(_dir, ctx) {
    return true;
  }
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxGroupByRowTemplateDirective, deps: [{ token: i0159.TemplateRef }], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGroupByRowTemplateDirective, isStandalone: true, selector: "[igxGroupByRow]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxGroupByRowTemplateDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxGroupByRow]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0159.TemplateRef }] });
var IgxGridDetailTemplateDirective = class _IgxGridDetailTemplateDirective {
  static ngTemplateContextGuard(_dir, ctx) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxGridDetailTemplateDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridDetailTemplateDirective, isStandalone: true, selector: "[igxGridDetail]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxGridDetailTemplateDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxGridDetail]",
    standalone: true
  }]
}] });
var IgxRowExpandedIndicatorDirective = class _IgxRowExpandedIndicatorDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxRowExpandedIndicatorDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowExpandedIndicatorDirective, isStandalone: true, selector: "[igxRowExpandedIndicator]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxRowExpandedIndicatorDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxRowExpandedIndicator]",
    standalone: true
  }]
}] });
var IgxRowCollapsedIndicatorDirective = class _IgxRowCollapsedIndicatorDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxRowCollapsedIndicatorDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowCollapsedIndicatorDirective, isStandalone: true, selector: "[igxRowCollapsedIndicator]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxRowCollapsedIndicatorDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxRowCollapsedIndicator]",
    standalone: true
  }]
}] });
var IgxHeaderExpandedIndicatorDirective = class _IgxHeaderExpandedIndicatorDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxHeaderExpandedIndicatorDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHeaderExpandedIndicatorDirective, isStandalone: true, selector: "[igxHeaderExpandedIndicator]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxHeaderExpandedIndicatorDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxHeaderExpandedIndicator]",
    standalone: true
  }]
}] });
var IgxHeaderCollapsedIndicatorDirective = class _IgxHeaderCollapsedIndicatorDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxHeaderCollapsedIndicatorDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHeaderCollapsedIndicatorDirective, isStandalone: true, selector: "[igxHeaderCollapsedIndicator]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxHeaderCollapsedIndicatorDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxHeaderCollapsedIndicator]",
    standalone: true
  }]
}] });
var IgxExcelStyleHeaderIconDirective = class _IgxExcelStyleHeaderIconDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxExcelStyleHeaderIconDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelStyleHeaderIconDirective, isStandalone: true, selector: "[igxExcelStyleHeaderIcon]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxExcelStyleHeaderIconDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxExcelStyleHeaderIcon]",
    standalone: true
  }]
}] });
var IgxSortHeaderIconDirective = class _IgxSortHeaderIconDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxSortHeaderIconDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSortHeaderIconDirective, isStandalone: true, selector: "[igxSortHeaderIcon]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxSortHeaderIconDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxSortHeaderIcon]",
    standalone: true
  }]
}] });
var IgxSortAscendingHeaderIconDirective = class _IgxSortAscendingHeaderIconDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxSortAscendingHeaderIconDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSortAscendingHeaderIconDirective, isStandalone: true, selector: "[igxSortAscendingHeaderIcon]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxSortAscendingHeaderIconDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxSortAscendingHeaderIcon]",
    standalone: true
  }]
}] });
var IgxSortDescendingHeaderIconDirective = class _IgxSortDescendingHeaderIconDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxSortDescendingHeaderIconDirective, deps: [], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSortDescendingHeaderIconDirective, isStandalone: true, selector: "[igxSortDescendingHeaderIcon]", ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxSortDescendingHeaderIconDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxSortDescendingHeaderIcon]",
    standalone: true
  }]
}] });
var IgxGroupAreaDropDirective = class _IgxGroupAreaDropDirective extends IgxDropDirective {
  constructor(groupArea, elementRef, renderer, zone) {
    super(elementRef, renderer, zone);
    this.groupArea = groupArea;
    this.elementRef = elementRef;
    this.hovered = false;
  }
  onDragEnter(event) {
    const drag = event.detail.owner;
    const column = drag.column;
    if (!this.columnBelongsToGrid(column)) {
      return;
    }
    const isGrouped = this.groupArea.expressions ? this.groupArea.expressions.findIndex((item) => item.fieldName === column.field) !== -1 : false;
    if (column.groupable && !isGrouped && !column.columnGroup && !!column.field) {
      drag.icon.innerText = "group_work";
      this.hovered = true;
    } else {
      drag.icon.innerText = "block";
      this.hovered = false;
    }
  }
  onDragLeave(event) {
    const drag = event.detail.owner;
    const column = drag.column;
    if (!this.columnBelongsToGrid(column)) {
      return;
    }
    event.detail.owner.icon.innerText = "block";
    this.hovered = false;
  }
  closestParentByAttr(elem, attr) {
    return elem.hasAttribute(attr) ? elem : this.closestParentByAttr(elem.parentElement, attr);
  }
  columnBelongsToGrid(column) {
    const elem = this.elementRef.nativeElement;
    const closestGridID = this.closestParentByAttr(elem, "igxGroupAreaDrop").getAttribute("gridId");
    if (!column) {
      return false;
    } else {
      const grid = column.grid;
      if (!grid || grid.id !== closestGridID) {
        return false;
      }
      return true;
    }
  }
  static {
    this.ɵfac = i0159.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: _IgxGroupAreaDropDirective, deps: [{ token: IgxGroupByAreaDirective }, { token: i0159.ElementRef }, { token: i0159.Renderer2 }, { token: i0159.NgZone }], target: i0159.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0159.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGroupAreaDropDirective, isStandalone: true, selector: "[igxGroupAreaDrop]", host: { properties: { "class.igx-drop-area--hover": "this.hovered" } }, usesInheritance: true, ngImport: i0159 });
  }
};
i0159.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0159, type: IgxGroupAreaDropDirective, decorators: [{
  type: Directive71,
  args: [{
    selector: "[igxGroupAreaDrop]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxGroupByAreaDirective }, { type: i0159.ElementRef }, { type: i0159.Renderer2 }, { type: i0159.NgZone }], propDecorators: { hovered: [{
  type: HostBinding73,
  args: ["class.igx-drop-area--hover"]
}] } });

// lib/grids/headers/pipes.mjs
import { Pipe as Pipe8 } from "@angular/core";
import * as i0160 from "@angular/core";
var SortingIndexPipe = class _SortingIndexPipe {
  transform(columnField, sortingExpressions) {
    let sortIndex = sortingExpressions.findIndex((expression) => expression.fieldName === columnField);
    return sortIndex !== -1 ? ++sortIndex : null;
  }
  static {
    this.ɵfac = i0160.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _SortingIndexPipe, deps: [], target: i0160.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0160.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _SortingIndexPipe, isStandalone: true, name: "sortingIndex" });
  }
};
i0160.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: SortingIndexPipe, decorators: [{
  type: Pipe8,
  args: [{
    name: "sortingIndex",
    standalone: true
  }]
}] });
var IgxHeaderGroupWidthPipe = class _IgxHeaderGroupWidthPipe {
  transform(width, minWidth, hasLayout) {
    const isFitContent = width === "fit-content";
    return hasLayout ? "" : isFitContent ? width : `${Math.max(parseInt(width), minWidth)}px`;
  }
  static {
    this.ɵfac = i0160.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _IgxHeaderGroupWidthPipe, deps: [], target: i0160.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0160.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _IgxHeaderGroupWidthPipe, isStandalone: true, name: "igxHeaderGroupWidth" });
  }
};
i0160.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: IgxHeaderGroupWidthPipe, decorators: [{
  type: Pipe8,
  args: [{
    name: "igxHeaderGroupWidth",
    standalone: true
  }]
}] });
var IgxHeaderGroupStylePipe = class _IgxHeaderGroupStylePipe {
  transform(styles, column, _) {
    const css = {};
    if (!styles) {
      return css;
    }
    for (const prop of Object.keys(styles)) {
      const res = styles[prop];
      css[prop] = typeof res === "function" ? res(column) : res;
    }
    return css;
  }
  static {
    this.ɵfac = i0160.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _IgxHeaderGroupStylePipe, deps: [], target: i0160.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0160.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: _IgxHeaderGroupStylePipe, isStandalone: true, name: "igxHeaderGroupStyle" });
  }
};
i0160.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0160, type: IgxHeaderGroupStylePipe, decorators: [{
  type: Pipe8,
  args: [{
    name: "igxHeaderGroupStyle",
    standalone: true
  }]
}] });

// lib/grids/resizing/resizing.service.mjs
import { Injectable as Injectable25 } from "@angular/core";
import * as i0161 from "@angular/core";
var IgxColumnResizingService = class _IgxColumnResizingService {
  constructor(zone) {
    this.zone = zone;
    this.resizeCursor = "col-resize";
    this.showResizer = false;
  }
  /**
   * @hidden
   */
  getColumnHeaderRenderedWidth() {
    return this.column.headerCell.nativeElement.getBoundingClientRect().width;
  }
  /**
   * @hidden
   */
  get resizerHeight() {
    let height = this.column.grid.getVisibleContentHeight();
    let columnHeightMultiplier = 1;
    if (this.column.columnLayoutChild) {
      columnHeightMultiplier = this.column.grid.multiRowLayoutRowSize - this.column.rowStart + 1;
    }
    if (this.column.level !== 0) {
      height -= this.column.topLevelParent.headerGroup.height - this.column.headerGroup.height * columnHeightMultiplier;
    }
    return height;
  }
  /**
   * Returns the minimal possible width to which the column can be resized.
   */
  get restrictResizeMin() {
    const actualWidth = this.getColumnHeaderRenderedWidth();
    const minWidth = this.column.minWidthPx < actualWidth ? this.column.minWidthPx : actualWidth;
    return actualWidth - minWidth;
  }
  /**
   * Returns the maximal possible width to which the column can be resized.
   */
  get restrictResizeMax() {
    const actualWidth = this.getColumnHeaderRenderedWidth();
    const maxWidth = this.column.maxWidthPx;
    if (this.column.maxWidth) {
      return maxWidth - actualWidth;
    } else {
      return Number.MAX_SAFE_INTEGER;
    }
  }
  /**
   * Autosizes the column to the longest currently visible cell value, including the header cell.
   * If the column has a predifined maxWidth and the autosized column width will become bigger than it,
   * then the column is sized to its maxWidth.
   */
  autosizeColumnOnDblClick() {
    const currentColWidth = this.getColumnHeaderRenderedWidth();
    this.column.width = this.column.getAutoSize();
    this.zone.run(() => {
    });
    this.column.grid.columnResized.emit({
      column: this.column,
      prevWidth: currentColWidth.toString(),
      newWidth: this.column.width
    });
  }
  /**
   * Resizes the column regaridng to the column minWidth and maxWidth.
   */
  resizeColumn(event) {
    this.showResizer = false;
    const diff = event.clientX - this.startResizePos;
    const colWidth = this.column.width;
    const isPercentageWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1;
    let currentColWidth = parseFloat(colWidth);
    const actualWidth = this.getColumnHeaderRenderedWidth();
    currentColWidth = Number.isNaN(currentColWidth) ? parseFloat(actualWidth) : currentColWidth;
    if (this.column.grid.hasColumnLayouts) {
      this.resizeColumnLayoutFor(this.column, diff);
    } else if (isPercentageWidth) {
      this._handlePercentageResize(diff, this.column);
    } else {
      this._handlePixelResize(diff, this.column);
    }
    this.zone.run(() => {
    });
    if (currentColWidth !== parseFloat(this.column.width)) {
      this.column.grid.columnResized.emit({
        column: this.column,
        prevWidth: isPercentageWidth ? currentColWidth + "%" : currentColWidth + "px",
        newWidth: this.column.width
      });
    }
    this.isColumnResizing = false;
  }
  _handlePixelResize(diff, column) {
    const currentColWidth = parseFloat(column.width);
    const colMinWidth = column.minWidthPx;
    const colMaxWidth = column.maxWidthPx;
    if (currentColWidth + diff < colMinWidth) {
      column.width = colMinWidth + "px";
    } else if (colMaxWidth && currentColWidth + diff > colMaxWidth) {
      column.width = colMaxWidth + "px";
    } else {
      column.width = currentColWidth + diff + "px";
    }
  }
  _handlePercentageResize(diff, column) {
    const currentPercentWidth = parseFloat(column.width);
    const gridAvailableSize = column.grid.calcWidth;
    const diffPercentage = diff / gridAvailableSize * 100;
    const colMinWidth = column.minWidthPercent;
    const colMaxWidth = column.maxWidthPercent;
    if (currentPercentWidth + diffPercentage < colMinWidth) {
      column.width = colMinWidth + "%";
    } else if (colMaxWidth && currentPercentWidth + diffPercentage > colMaxWidth) {
      column.width = colMaxWidth + "%";
    } else {
      column.width = currentPercentWidth + diffPercentage + "%";
    }
  }
  getColMinWidth(column) {
    let currentColWidth = parseFloat(column.width);
    const actualWidth = column.headerCell.nativeElement.getBoundingClientRect().width;
    currentColWidth = Number.isNaN(currentColWidth) || currentColWidth < actualWidth ? actualWidth : currentColWidth;
    const actualMinWidth = parseFloat(column.minWidth);
    return actualMinWidth < currentColWidth ? actualMinWidth : currentColWidth;
  }
  resizeColumnLayoutFor(column, diff) {
    const relativeColumns = column.getResizableColUnderEnd();
    const combinedSpan = relativeColumns.reduce((acc, col) => acc + col.spanUsed, 0);
    let columnsToResize = [...relativeColumns];
    let updatedDiff = diff;
    let updatedCombinedSpan = combinedSpan;
    let setMinMaxCols = false;
    do {
      setMinMaxCols = false;
      let newCombinedSpan = updatedCombinedSpan;
      const newColsToResize = [];
      columnsToResize.forEach((col) => {
        const currentResizeWidth = parseFloat(col.target.calcWidth);
        const resizeScaled = diff / updatedCombinedSpan * col.target.gridColumnSpan;
        const colWidth = col.target.width;
        const isPercentageWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1;
        const minWidth = col.target.minWidthPx;
        const maxWidth = col.target.maxWidthPx;
        if (currentResizeWidth + resizeScaled < minWidth) {
          col.target.width = isPercentageWidth ? col.target.minWidthPercent + "%" : minWidth + "px";
          updatedDiff += currentResizeWidth - minWidth;
          newCombinedSpan -= col.spanUsed;
          setMinMaxCols = true;
        } else if (maxWidth && currentResizeWidth + resizeScaled > maxWidth) {
          col.target.width = isPercentageWidth ? col.target.maxWidthPercent + "%" : col.target.maxWidthPx + "px";
          updatedDiff -= maxWidth - currentResizeWidth;
          newCombinedSpan -= col.spanUsed;
          setMinMaxCols = true;
        } else {
          newColsToResize.push(col);
        }
      });
      updatedCombinedSpan = newCombinedSpan;
      columnsToResize = newColsToResize;
    } while (setMinMaxCols);
    columnsToResize.forEach((col) => {
      const resizeScaled = updatedDiff / updatedCombinedSpan * col.target.gridColumnSpan;
      const colWidth = col.target.width;
      const isPercentageWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1;
      if (isPercentageWidth) {
        this._handlePercentageResize(resizeScaled, col.target);
      } else {
        this._handlePixelResize(resizeScaled, col.target);
      }
    });
  }
  static {
    this.ɵfac = i0161.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0161, type: _IgxColumnResizingService, deps: [{ token: i0161.NgZone }], target: i0161.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0161.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0161, type: _IgxColumnResizingService });
  }
};
i0161.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0161, type: IgxColumnResizingService, decorators: [{
  type: Injectable25
}], ctorParameters: () => [{ type: i0161.NgZone }] });

// lib/grids/headers/grid-header.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy15, Component as Component73, HostBinding as HostBinding74, HostListener as HostListener39, Inject as Inject63, Input as Input98, TemplateRef as TemplateRef22, ViewChild as ViewChild40 } from "@angular/core";
import { Subject as Subject41 } from "rxjs";
import { NgTemplateOutlet as NgTemplateOutlet20, NgIf as NgIf47, NgClass as NgClass16 } from "@angular/common";
import * as i0162 from "@angular/core";
var IgxGridHeaderComponent = class _IgxGridHeaderComponent {
  /**
   * Returns the `aria-selected` of the header.
   */
  get ariaSelected() {
    return this.column.selected;
  }
  get columnGroupStyle() {
    return !this.column.columnGroup;
  }
  /**
   * @hidden
   * @internal
   */
  get cosyStyle() {
    return this.density === "cosy";
  }
  /**
   * @hidden
   * @internal
   */
  get compactStyle() {
    return this.density === "compact";
  }
  get sortAscendingStyle() {
    return this.sortDirection === SortingDirection.Asc;
  }
  get sortDescendingStyle() {
    return this.sortDirection === SortingDirection.Desc;
  }
  get numberStyle() {
    return this.column.dataType === GridColumnDataType.Number;
  }
  get sortableStyle() {
    return this.column.sortable;
  }
  get selectableStyle() {
    return this.selectable;
  }
  get filterableStyle() {
    return this.column.filterable && this.grid.filteringService.isFilterRowVisible;
  }
  get sortedStyle() {
    return this.sorted;
  }
  get selectedStyle() {
    return this.selected;
  }
  get height() {
    if (!this.grid.hasColumnGroups || this.grid.isPivot) {
      return null;
    }
    return (this.grid.maxLevelHeaderDepth + 1 - this.column.level) * this.grid.defaultRowHeight / this.grid._baseFontSize;
  }
  /**
   * @hidden
   */
  get esfIconTemplate() {
    return this.grid.excelStyleHeaderIconTemplate || this.defaultESFHeaderIconTemplate;
  }
  /**
   * @hidden
   */
  get sortIconTemplate() {
    if (this.sortDirection === SortingDirection.None && this.grid.sortHeaderIconTemplate) {
      return this.grid.sortHeaderIconTemplate;
    } else if (this.sortDirection === SortingDirection.Asc && this.grid.sortAscendingHeaderIconTemplate) {
      return this.grid.sortAscendingHeaderIconTemplate;
    } else if (this.sortDirection === SortingDirection.Desc && this.grid.sortDescendingHeaderIconTemplate) {
      return this.grid.sortDescendingHeaderIconTemplate;
    } else {
      return this.defaultSortHeaderIconTemplate;
    }
  }
  /**
   * @hidden
   */
  get disabled() {
    const groupArea = this.grid.groupArea || this.grid.treeGroupArea;
    if (groupArea?.expressions && groupArea.expressions.length && groupArea.expressions.map((g) => g.fieldName).includes(this.column.field)) {
      return true;
    }
    return false;
  }
  get sorted() {
    return this.sortDirection !== SortingDirection.None;
  }
  get filterIconClassName() {
    return this.column.filteringExpressionsTree ? "igx-excel-filter__icon--filtered" : "igx-excel-filter__icon";
  }
  get selectable() {
    return this.grid.columnSelection !== GridSelectionMode.none && this.column.applySelectableClass && !this.column.selected && !this.grid.filteringService.isFilterRowVisible;
  }
  get selected() {
    return this.column.selected && (!this.grid.filteringService.isFilterRowVisible || this.grid.filteringService.filteredColumn !== this.column);
  }
  get title() {
    return this.column.title || this.column.header || this.column.field;
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(grid, colResizingService, cdr, ref) {
    this.grid = grid;
    this.colResizingService = colResizingService;
    this.cdr = cdr;
    this.ref = ref;
    this.sortDirection = SortingDirection.None;
    this._destroy$ = new Subject41();
  }
  onClick(event) {
    if (!this.colResizingService.isColumnResizing) {
      if (this.grid.filteringService.isFilterRowVisible) {
        if (this.column.filterCellTemplate) {
          this.grid.filteringRow.close();
          return;
        }
        if (this.column.filterable && !this.column.columnGroup && !this.grid.filteringService.isFilterComplex(this.column.field)) {
          this.grid.filteringService.filteredColumn = this.column;
        }
      } else if (this.grid.columnSelection !== GridSelectionMode.none && this.column.selectable) {
        const clearSelection = this.grid.columnSelection === GridSelectionMode.single || !event.ctrlKey;
        const rangeSelection = this.grid.columnSelection === GridSelectionMode.multiple && event.shiftKey;
        if (!this.column.selected || this.grid.selectionService.getSelectedColumns().length > 1 && clearSelection) {
          this.grid.selectionService.selectColumn(this.column.field, clearSelection, rangeSelection, event);
        } else {
          this.grid.selectionService.deselectColumn(this.column.field, event);
        }
      }
    }
    this.grid.theadRow.nativeElement.focus();
  }
  /**
   * @hidden
   */
  onPinterEnter() {
    this.column.applySelectableClass = true;
  }
  /**
   * @hidden
   */
  onPointerLeave() {
    this.column.applySelectableClass = false;
  }
  /**
   * @hidden @internal
   */
  ngDoCheck() {
    this.getSortDirection();
    this.cdr.markForCheck();
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this._destroy$.next(true);
    this._destroy$.complete();
  }
  /**
   * @hidden @internal
   */
  onPointerDownIndicator(event) {
    event.stopPropagation();
  }
  /**
   * @hidden @internal
   */
  onFilteringIconClick(event) {
    event.stopPropagation();
    this.grid.filteringService.toggleFilterDropdown(this.nativeElement, this.column);
  }
  /**
   * @hidden @internal
   */
  onSortingIconClick(event) {
    event.stopPropagation();
    this.triggerSort();
  }
  getSortDirection() {
    const expr = this.grid.sortingExpressions.find((x) => x.fieldName === this.column.field);
    this.sortDirection = expr ? expr.dir : SortingDirection.None;
  }
  triggerSort() {
    const groupingExpr = this.grid.groupingExpressions ? this.grid.groupingExpressions.find((expr) => expr.fieldName === this.column.field) : this.grid.groupArea?.expressions ? this.grid.groupArea?.expressions.find((expr) => expr.fieldName === this.column.field) : null;
    const sortDir = groupingExpr ? this.sortDirection + 1 > SortingDirection.Desc ? SortingDirection.Asc : SortingDirection.Desc : this.sortDirection + 1 > SortingDirection.Desc ? SortingDirection.None : this.sortDirection + 1;
    this.sortDirection = sortDir;
    this.grid.sort({
      fieldName: this.column.field,
      dir: this.sortDirection,
      ignoreCase: this.column.sortingIgnoreCase,
      strategy: this.column.sortStrategy
    });
  }
  static {
    this.ɵfac = i0162.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0162, type: _IgxGridHeaderComponent, deps: [{ token: IGX_GRID_BASE }, { token: IgxColumnResizingService }, { token: i0162.ChangeDetectorRef }, { token: i0162.ElementRef }], target: i0162.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0162.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridHeaderComponent, isStandalone: true, selector: "igx-grid-header", inputs: { column: "column", density: "density" }, host: { listeners: { "click": "onClick($event)", "pointerenter": "onPinterEnter()", "pointerleave": "onPointerLeave()" }, properties: { "attr.aria-selected": "this.ariaSelected", "class.igx-grid-th": "this.columnGroupStyle", "class.igx-grid-th--cosy": "this.cosyStyle", "class.igx-grid-th--compact": "this.compactStyle", "class.asc": "this.sortAscendingStyle", "class.desc": "this.sortDescendingStyle", "class.igx-grid-th--number": "this.numberStyle", "class.igx-grid-th--sortable": "this.sortableStyle", "class.igx-grid-th--selectable": "this.selectableStyle", "class.igx-grid-th--filtrable": "this.filterableStyle", "class.igx-grid-th--sorted": "this.sortedStyle", "class.igx-grid-th--selected": "this.selectedStyle", "style.height.rem": "this.height" } }, viewQueries: [{ propertyName: "defaultESFHeaderIconTemplate", first: true, predicate: ["defaultESFHeaderIconTemplate"], descendants: true, read: TemplateRef22, static: true }, { propertyName: "defaultSortHeaderIconTemplate", first: true, predicate: ["defaultSortHeaderIconTemplate"], descendants: true, read: TemplateRef22, static: true }], ngImport: i0162, template: `<ng-template #defaultColumn>
    <span [title]="title">{{ column.header || column.field }}</span>
</ng-template>

<ng-template #defaultESFHeaderIconTemplate>
    <igx-icon>more_vert</igx-icon>
</ng-template>

<ng-template #defaultSortHeaderIconTemplate>
    <igx-icon>{{ sortDirection < 2 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
</ng-template>

<span class="igx-grid-th__title">
    <ng-container
        *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
    </ng-container>
</span>
<ng-container *ngIf="!column.columnGroup">
    <div class="igx-grid-th__icons">
        <ng-container *ngIf="column.sortable && !disabled">
            <div class="sort-icon"
                [attr.data-sortIndex]="(grid.sortingOptions.mode === 'single' && grid.sortingExpressions.length <=1) ? null : column.field | sortingIndex:grid.sortingExpressions"
                (pointerdown)="onPointerDownIndicator($event)" (click)="onSortingIconClick($event)">
                <ng-container *ngTemplateOutlet="sortIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
        <ng-container *ngIf="grid.allowFiltering && column.filterable && grid.filterMode === 'excelStyleFilter'">
            <div [ngClass]="filterIconClassName" (pointerdown)="onPointerDownIndicator($event)" (click)="onFilteringIconClick($event)" >
                <ng-container *ngTemplateOutlet="esfIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
    </div>
</ng-container>
`, dependencies: [{ kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgTemplateOutlet20, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf47, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass16, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "pipe", type: SortingIndexPipe, name: "sortingIndex" }], changeDetection: i0162.ChangeDetectionStrategy.OnPush });
  }
};
i0162.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0162, type: IgxGridHeaderComponent, decorators: [{
  type: Component73,
  args: [{ changeDetection: ChangeDetectionStrategy15.OnPush, selector: "igx-grid-header", standalone: true, imports: [IgxIconComponent, NgTemplateOutlet20, NgIf47, NgClass16, SortingIndexPipe], template: `<ng-template #defaultColumn>
    <span [title]="title">{{ column.header || column.field }}</span>
</ng-template>

<ng-template #defaultESFHeaderIconTemplate>
    <igx-icon>more_vert</igx-icon>
</ng-template>

<ng-template #defaultSortHeaderIconTemplate>
    <igx-icon>{{ sortDirection < 2 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
</ng-template>

<span class="igx-grid-th__title">
    <ng-container
        *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
    </ng-container>
</span>
<ng-container *ngIf="!column.columnGroup">
    <div class="igx-grid-th__icons">
        <ng-container *ngIf="column.sortable && !disabled">
            <div class="sort-icon"
                [attr.data-sortIndex]="(grid.sortingOptions.mode === 'single' && grid.sortingExpressions.length <=1) ? null : column.field | sortingIndex:grid.sortingExpressions"
                (pointerdown)="onPointerDownIndicator($event)" (click)="onSortingIconClick($event)">
                <ng-container *ngTemplateOutlet="sortIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
        <ng-container *ngIf="grid.allowFiltering && column.filterable && grid.filterMode === 'excelStyleFilter'">
            <div [ngClass]="filterIconClassName" (pointerdown)="onPointerDownIndicator($event)" (click)="onFilteringIconClick($event)" >
                <ng-container *ngTemplateOutlet="esfIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
    </div>
</ng-container>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject63,
  args: [IGX_GRID_BASE]
}] }, { type: IgxColumnResizingService }, { type: i0162.ChangeDetectorRef }, { type: i0162.ElementRef }], propDecorators: { column: [{
  type: Input98
}], density: [{
  type: Input98
}], defaultESFHeaderIconTemplate: [{
  type: ViewChild40,
  args: ["defaultESFHeaderIconTemplate", { read: TemplateRef22, static: true }]
}], defaultSortHeaderIconTemplate: [{
  type: ViewChild40,
  args: ["defaultSortHeaderIconTemplate", { read: TemplateRef22, static: true }]
}], ariaSelected: [{
  type: HostBinding74,
  args: ["attr.aria-selected"]
}], columnGroupStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th"]
}], cosyStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--cosy"]
}], compactStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--compact"]
}], sortAscendingStyle: [{
  type: HostBinding74,
  args: ["class.asc"]
}], sortDescendingStyle: [{
  type: HostBinding74,
  args: ["class.desc"]
}], numberStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--number"]
}], sortableStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--sortable"]
}], selectableStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--selectable"]
}], filterableStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--filtrable"]
}], sortedStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--sorted"]
}], selectedStyle: [{
  type: HostBinding74,
  args: ["class.igx-grid-th--selected"]
}], height: [{
  type: HostBinding74,
  args: ["style.height.rem"]
}], onClick: [{
  type: HostListener39,
  args: ["click", ["$event"]]
}], onPinterEnter: [{
  type: HostListener39,
  args: ["pointerenter"]
}], onPointerLeave: [{
  type: HostListener39,
  args: ["pointerleave"]
}] } });

// lib/grids/filtering/excel-style/excel-style-position-strategy.mjs
var ExcelStylePositionStrategy = class extends AutoPositionStrategy {
  shouldFitInViewPort() {
    return true;
  }
  fitInViewport(element, connectedFit) {
    const heightOverflow = connectedFit.contentElementRect.height - connectedFit.viewPortRect.height;
    if (heightOverflow > 0) {
      element.style.width = "auto";
      element.style.height = `${connectedFit.viewPortRect.height}px`;
    } else {
      element.style.height = `${Math.max(connectedFit.viewPortRect.height - connectedFit.targetRect.bottom - 1, connectedFit.contentElementRect.height)}px`;
    }
    super.fitInViewport(element, connectedFit);
  }
};

// lib/grids/filtering/grid-filtering.service.mjs
import { Injectable as Injectable26 } from "@angular/core";
import { Subject as Subject42 } from "rxjs";
import { takeUntil as takeUntil34, first as first7 } from "rxjs/operators";
import { useAnimation as useAnimation3 } from "@angular/animations";
import { editor as editor2, pinLeft as pinLeft2, unpinLeft as unpinLeft2 } from "@igniteui/material-icons-extended";
import { fadeIn as fadeIn7 } from "igniteui-angular/animations";
import * as i0163 from "@angular/core";
var IgxFilteringService = class _IgxFilteringService {
  constructor(iconService, _overlayService) {
    this.iconService = iconService;
    this._overlayService = _overlayService;
    this.isFilterRowVisible = false;
    this.filteredColumn = null;
    this.selectedExpression = null;
    this.columnToMoreIconHidden = /* @__PURE__ */ new Map();
    this.activeFilterCell = 0;
    this.columnsWithComplexFilter = /* @__PURE__ */ new Set();
    this.areEventsSubscribed = false;
    this.destroy$ = new Subject42();
    this.isFiltering = false;
    this.columnToExpressionsMap = /* @__PURE__ */ new Map();
    this.columnStartIndex = -1;
    this._filterMenuOverlaySettings = {
      closeOnEscape: true,
      closeOnOutsideClick: true,
      modal: false,
      positionStrategy: new ExcelStylePositionStrategy({
        verticalStartPoint: VerticalAlignment.Bottom,
        openAnimation: useAnimation3(fadeIn7, { params: { duration: "250ms" } }),
        closeAnimation: null
      }),
      scrollStrategy: new AbsoluteScrollStrategy()
    };
  }
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  toggleFilterDropdown(element, column) {
    const filterIcon = column.filteringExpressionsTree ? "igx-excel-filter__icon--filtered" : "igx-excel-filter__icon";
    const filterIconTarget = element.querySelector(`.${filterIcon}`) || element;
    const id = this.grid.createFilterDropdown(column, {
      ...this._filterMenuOverlaySettings,
      ...{ target: filterIconTarget }
    });
    this._overlayService.opening.pipe(first7((overlay) => overlay.id === id), takeUntil34(this.destroy$)).subscribe((event) => {
      if (event.componentRef) {
        event.componentRef.instance.initialize(column, this._overlayService);
        event.componentRef.instance.overlayComponentId = id;
      }
      this.lastActiveNode = this.grid.navigation.activeNode;
    });
    this._overlayService.closed.pipe(first7((overlay) => overlay.id === id), takeUntil34(this.destroy$)).subscribe(() => {
      this._overlayService.detach(id);
      this.grid.navigation.activeNode = this.lastActiveNode;
      this.grid.theadRow.nativeElement.focus();
    });
    this._overlayService.show(id);
  }
  /**
   * Subscribe to grid's events.
   */
  subscribeToEvents() {
    if (!this.areEventsSubscribed) {
      this.areEventsSubscribed = true;
      this.grid.columnResized.pipe(takeUntil34(this.destroy$)).subscribe((eventArgs) => {
        this.updateFilteringCell(eventArgs.column);
      });
      this.grid.parentVirtDir.chunkLoad.pipe(takeUntil34(this.destroy$)).subscribe((eventArgs) => {
        if (eventArgs.startIndex !== this.columnStartIndex) {
          this.columnStartIndex = eventArgs.startIndex;
          this.grid.filterCellList.forEach((filterCell) => {
            filterCell.updateFilterCellArea();
          });
        }
      });
      this.grid.columnMovingEnd.pipe(takeUntil34(this.destroy$)).subscribe(() => {
        this.grid.filterCellList.forEach((filterCell) => {
          filterCell.updateFilterCellArea();
        });
      });
    }
  }
  /**
   * Close filtering row if a column is hidden.
   */
  hideFilteringRowOnColumnVisibilityChange(col) {
    const filteringRow = this.grid?.filteringRow;
    if (filteringRow && filteringRow.column && filteringRow.column === col) {
      filteringRow.close();
    }
  }
  /**
   * Internal method to create expressionsTree and filter grid used in both filter modes.
   */
  filterInternal(field, expressions = null) {
    this.isFiltering = true;
    let expressionsTree;
    if (expressions instanceof FilteringExpressionsTree) {
      expressionsTree = expressions;
    } else {
      expressionsTree = this.createSimpleFilteringTree(field, expressions);
    }
    if (expressionsTree.filteringOperands.length === 0) {
      this.clearFilter(field);
    } else {
      this.filter(field, null, expressionsTree);
    }
    this.isFiltering = false;
  }
  /**
   * Execute filtering on the grid.
   */
  filter(field, value, conditionOrExpressionTree, ignoreCase) {
    const grid = this.grid;
    const col = grid.getColumnByName(field);
    const filteringIgnoreCase = ignoreCase || (col ? col.filteringIgnoreCase : false);
    const filteringTree = grid.filteringExpressionsTree;
    const columnFilteringExpressionsTree = filteringTree.find(field);
    conditionOrExpressionTree = conditionOrExpressionTree ?? columnFilteringExpressionsTree;
    const fieldFilterIndex = filteringTree.findIndex(field);
    const newFilteringTree = this.prepare_filtering_expression(filteringTree, field, value, conditionOrExpressionTree, filteringIgnoreCase, fieldFilterIndex, true);
    const eventArgs = {
      owner: grid,
      filteringExpressions: newFilteringTree.find(field),
      cancel: false
    };
    this.grid.filtering.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    if (conditionOrExpressionTree) {
      this.filter_internal(field, value, conditionOrExpressionTree, filteringIgnoreCase);
    } else {
      const expressionsTreeForColumn = this.grid.filteringExpressionsTree.find(field);
      if (!expressionsTreeForColumn) {
        throw new Error("Invalid condition or Expression Tree!");
      } else if (expressionsTreeForColumn instanceof FilteringExpressionsTree) {
        this.filter_internal(field, value, expressionsTreeForColumn, filteringIgnoreCase);
      } else {
        const expressionForColumn = expressionsTreeForColumn;
        this.filter_internal(field, value, expressionForColumn.condition, filteringIgnoreCase);
      }
    }
    const doneEventArgs = this.grid.filteringExpressionsTree.find(field);
    requestAnimationFrame(() => this.grid.filteringDone.emit(doneEventArgs));
  }
  filter_global(term, condition, ignoreCase) {
    if (!condition) {
      return;
    }
    const filteringTree = this.grid.filteringExpressionsTree;
    this.grid.crudService.endEdit(false);
    this.grid.page = 0;
    filteringTree.filteringOperands = [];
    for (const column of this.grid.columns) {
      this.prepare_filtering_expression(filteringTree, column.field, term, condition, ignoreCase || column.filteringIgnoreCase);
    }
    this.grid.filteringExpressionsTree = filteringTree;
  }
  /**
   * Clears the filter of a given column if name is provided. Otherwise clears the filters of all columns.
   */
  clearFilter(field) {
    if (field) {
      const column = this.grid.getColumnByName(field);
      if (!column) {
        return;
      }
    }
    const emptyFilter = new FilteringExpressionsTree(null, field);
    const onFilteringEventArgs = {
      owner: this.grid,
      filteringExpressions: emptyFilter,
      cancel: false
    };
    this.grid.filtering.emit(onFilteringEventArgs);
    if (onFilteringEventArgs.cancel) {
      return;
    }
    this.isFiltering = true;
    this.clear_filter(field);
    requestAnimationFrame(() => this.grid.filteringDone.emit(emptyFilter));
    if (field) {
      const expressions = this.getExpressions(field);
      expressions.length = 0;
    } else {
      this.grid.columns.forEach((c) => {
        const expressions = this.getExpressions(c.field);
        expressions.length = 0;
      });
    }
    this.isFiltering = false;
  }
  clear_filter(fieldName) {
    const grid = this.grid;
    grid.crudService.endEdit(false);
    const filteringState = grid.filteringExpressionsTree;
    const index = filteringState.findIndex(fieldName);
    if (index > -1) {
      filteringState.filteringOperands.splice(index, 1);
    } else if (!fieldName) {
      filteringState.filteringOperands = [];
    }
    grid.filteringExpressionsTree = filteringState;
  }
  /**
   * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
   */
  filterGlobal(value, condition, ignoreCase) {
    if (!condition) {
      return;
    }
    const filteringTree = this.grid.filteringExpressionsTree;
    const newFilteringTree = new FilteringExpressionsTree(filteringTree.operator, filteringTree.fieldName);
    for (const column of this.grid.columns) {
      this.prepare_filtering_expression(newFilteringTree, column.field, value, condition, ignoreCase || column.filteringIgnoreCase);
    }
    const eventArgs = { owner: this.grid, filteringExpressions: newFilteringTree, cancel: false };
    this.grid.filtering.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.grid.crudService.endEdit(false);
    this.grid.page = 0;
    this.grid.filteringExpressionsTree = newFilteringTree;
    requestAnimationFrame(() => this.grid.filteringDone.emit(this.grid.filteringExpressionsTree));
  }
  /**
   * Register filtering SVG icons in the icon service.
   */
  registerSVGIcons() {
    const editorIcons = editor2;
    editorIcons.forEach((icon) => this.iconService.addSvgIconFromText(icon.name, icon.value, "imx-icons"));
    this.iconService.addSvgIconFromText(pinLeft2.name, pinLeft2.value, "imx-icons");
    this.iconService.addSvgIconFromText(unpinLeft2.name, unpinLeft2.value, "imx-icons");
  }
  /**
   * Returns the ExpressionUI array for a given column.
   */
  getExpressions(columnId) {
    if (!this.columnToExpressionsMap.has(columnId)) {
      const column = this.grid.columns.find((col) => col.field === columnId);
      const expressionUIs = new Array();
      if (column) {
        this.generateExpressionsList(column.filteringExpressionsTree, this.grid.filteringExpressionsTree.operator, expressionUIs);
        this.columnToExpressionsMap.set(columnId, expressionUIs);
      }
      return expressionUIs;
    }
    return this.columnToExpressionsMap.get(columnId);
  }
  /**
   * Recreates all ExpressionUIs for all columns. Executed after filtering to refresh the cache.
   */
  refreshExpressions() {
    if (!this.isFiltering) {
      this.columnsWithComplexFilter.clear();
      this.columnToExpressionsMap.forEach((value, key) => {
        const column = this.grid.columns.find((col) => col.field === key);
        if (column) {
          value.length = 0;
          this.generateExpressionsList(column.filteringExpressionsTree, this.grid.filteringExpressionsTree.operator, value);
          const isComplex = this.isFilteringTreeComplex(column.filteringExpressionsTree);
          if (isComplex) {
            this.columnsWithComplexFilter.add(key);
          }
          this.updateFilteringCell(column);
        } else {
          this.columnToExpressionsMap.delete(key);
        }
      });
    }
  }
  /**
   * Remove an ExpressionUI for a given column.
   */
  removeExpression(columnId, indexToRemove) {
    const expressionsList = this.getExpressions(columnId);
    if (indexToRemove === 0 && expressionsList.length > 1) {
      expressionsList[1].beforeOperator = null;
    } else if (indexToRemove === expressionsList.length - 1) {
      expressionsList[indexToRemove - 1].afterOperator = null;
    } else {
      expressionsList[indexToRemove - 1].afterOperator = expressionsList[indexToRemove + 1].beforeOperator;
      expressionsList[0].beforeOperator = null;
      expressionsList[expressionsList.length - 1].afterOperator = null;
    }
    expressionsList.splice(indexToRemove, 1);
  }
  /**
   * Generate filtering tree for a given column from existing ExpressionUIs.
   */
  createSimpleFilteringTree(columnId, expressionUIList = null) {
    const expressionsList = expressionUIList ? expressionUIList : this.getExpressions(columnId);
    const expressionsTree = new FilteringExpressionsTree(FilteringLogic.Or, columnId);
    let currAndBranch;
    for (const currExpressionUI of expressionsList) {
      if (!currExpressionUI.expression.condition.isUnary && currExpressionUI.expression.searchVal === null) {
        if (currExpressionUI.afterOperator === FilteringLogic.And && !currAndBranch) {
          currAndBranch = new FilteringExpressionsTree(FilteringLogic.And, columnId);
          expressionsTree.filteringOperands.push(currAndBranch);
        }
        continue;
      }
      if ((currExpressionUI.beforeOperator === void 0 || currExpressionUI.beforeOperator === null || currExpressionUI.beforeOperator === FilteringLogic.Or) && currExpressionUI.afterOperator === FilteringLogic.And) {
        currAndBranch = new FilteringExpressionsTree(FilteringLogic.And, columnId);
        expressionsTree.filteringOperands.push(currAndBranch);
        currAndBranch.filteringOperands.push(currExpressionUI.expression);
      } else if (currExpressionUI.beforeOperator === FilteringLogic.And) {
        currAndBranch.filteringOperands.push(currExpressionUI.expression);
      } else {
        expressionsTree.filteringOperands.push(currExpressionUI.expression);
        currAndBranch = null;
      }
    }
    return expressionsTree;
  }
  /**
   * Returns whether a complex filter is applied to a given column.
   */
  isFilterComplex(columnId) {
    if (this.columnsWithComplexFilter.has(columnId)) {
      return true;
    }
    const column = this.grid.columns.find((col) => col.field === columnId);
    const isComplex = column && this.isFilteringTreeComplex(column.filteringExpressionsTree);
    if (isComplex) {
      this.columnsWithComplexFilter.add(columnId);
    }
    return isComplex;
  }
  /**
   * Returns the string representation of the FilteringLogic operator.
   */
  getOperatorAsString(operator) {
    if (operator === 0) {
      return this.grid.resourceStrings.igx_grid_filter_operator_and;
    } else {
      return this.grid.resourceStrings.igx_grid_filter_operator_or;
    }
  }
  /**
   * Generate the label of a chip from a given filtering expression.
   */
  getChipLabel(expression) {
    if (expression.condition.isUnary) {
      return this.grid.resourceStrings[`igx_grid_filter_${expression.condition.name}`] || expression.condition.name;
    } else if (expression.searchVal instanceof Date) {
      const column = this.grid.getColumnByName(expression.fieldName);
      const formatter = column.formatter;
      if (formatter) {
        return formatter(expression.searchVal, void 0);
      }
      const pipeArgs = column.pipeArgs;
      return formatDate(expression.searchVal, pipeArgs.format, this.grid.locale);
    } else {
      return expression.searchVal;
    }
  }
  /**
   * Updates the content of a filterCell.
   */
  updateFilteringCell(column) {
    const filterCell = column.filterCell;
    if (filterCell) {
      filterCell.updateFilterCellArea();
    }
  }
  generateExpressionsList(expressions, operator, expressionsUIs) {
    generateExpressionsList(expressions, operator, expressionsUIs);
  }
  isFilteringExpressionsTreeEmpty(expressionTree) {
    if (FilteringExpressionsTree.empty(expressionTree)) {
      return true;
    }
    for (const expr of expressionTree.filteringOperands) {
      if (expr instanceof FilteringExpressionsTree) {
        const exprTree = expr;
        if (exprTree.filteringOperands && exprTree.filteringOperands.length) {
          return false;
        }
      } else {
        return false;
      }
    }
    return true;
  }
  filter_internal(fieldName, term, conditionOrExpressionsTree, ignoreCase) {
    const filteringTree = this.grid.filteringExpressionsTree;
    this.grid.crudService.endEdit(false);
    this.grid.page = 0;
    const fieldFilterIndex = filteringTree.findIndex(fieldName);
    this.prepare_filtering_expression(filteringTree, fieldName, term, conditionOrExpressionsTree, ignoreCase, fieldFilterIndex);
    this.grid.filteringExpressionsTree = filteringTree;
  }
  /** Modifies the filteringState object to contain the newly added filtering conditions/expressions.
   * If createNewTree is true, filteringState will not be modified (because it directly affects the grid.filteringExpressionsTree),
   * but a new object is created and returned.
   */
  prepare_filtering_expression(filteringState, fieldName, searchVal, conditionOrExpressionsTree, ignoreCase, insertAtIndex = -1, createNewTree = false) {
    let expressionsTree = conditionOrExpressionsTree instanceof FilteringExpressionsTree ? conditionOrExpressionsTree : null;
    const condition = conditionOrExpressionsTree instanceof FilteringExpressionsTree ? null : conditionOrExpressionsTree;
    let newExpressionsTree = filteringState;
    if (createNewTree) {
      newExpressionsTree = new FilteringExpressionsTree(filteringState.operator, filteringState.fieldName);
      newExpressionsTree.filteringOperands = [...filteringState.filteringOperands];
    }
    if (condition) {
      const newExpression = { fieldName, searchVal, condition, ignoreCase };
      expressionsTree = new FilteringExpressionsTree(filteringState.operator, fieldName);
      expressionsTree.filteringOperands.push(newExpression);
    }
    if (expressionsTree) {
      if (insertAtIndex > -1) {
        newExpressionsTree.filteringOperands[insertAtIndex] = expressionsTree;
      } else {
        newExpressionsTree.filteringOperands.push(expressionsTree);
      }
    }
    return newExpressionsTree;
  }
  isFilteringTreeComplex(expressions) {
    if (!expressions) {
      return false;
    }
    if (expressions instanceof FilteringExpressionsTree) {
      const expressionsTree = expressions;
      if (expressionsTree.operator === FilteringLogic.Or) {
        const andOperatorsCount = this.getChildAndOperatorsCount(expressionsTree);
        return andOperatorsCount > 1;
      }
      let isComplex = false;
      for (const operand of expressionsTree.filteringOperands) {
        isComplex = isComplex || this.isFilteringTreeComplex(operand);
      }
      return isComplex;
    }
    return false;
  }
  getChildAndOperatorsCount(expressions) {
    let count = 0;
    let operand;
    for (let i = 0; i < expressions.filteringOperands.length; i++) {
      operand = expressions[i];
      if (operand instanceof FilteringExpressionsTree) {
        if (operand.operator === FilteringLogic.And) {
          count++;
        }
        count = count + this.getChildAndOperatorsCount(operand);
      }
    }
    return count;
  }
  static {
    this.ɵfac = i0163.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0163, type: _IgxFilteringService, deps: [{ token: IgxIconService }, { token: IgxOverlayService }], target: i0163.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0163.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0163, type: _IgxFilteringService });
  }
};
i0163.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0163, type: IgxFilteringService, decorators: [{
  type: Injectable26
}], ctorParameters: () => [{ type: IgxIconService }, { type: IgxOverlayService }] });

// lib/grids/filtering/base/grid-filtering-cell.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy17, Component as Component74, ElementRef as ElementRef75, HostBinding as HostBinding75, Input as Input99, TemplateRef as TemplateRef23, ViewChild as ViewChild41 } from "@angular/core";
import { NgFor as NgFor17, NgIf as NgIf48, NgClass as NgClass17, NgTemplateOutlet as NgTemplateOutlet21 } from "@angular/common";
import * as i0164 from "@angular/core";
var IgxGridFilteringCellComponent = class _IgxGridFilteringCellComponent {
  get styleClasses() {
    let classes = this.column && this.column.selected ? "igx-grid__filtering-cell--selected" : "igx-grid__filtering-cell";
    switch (this.column.grid.displayDensity) {
      case DisplayDensity.compact:
        classes = classes + " igx-grid__filtering-cell--compact";
        break;
      case DisplayDensity.cosy:
        classes = classes + " igx-grid__filtering-cell--cosy";
        break;
    }
    return classes;
  }
  constructor(cdr, filteringService) {
    this.cdr = cdr;
    this.filteringService = filteringService;
    this.moreFiltersCount = 0;
    this.baseClass = "igx-grid__filtering-cell-indicator";
    this.filteringService.subscribeToEvents();
  }
  ngOnInit() {
    this.filteringService.columnToMoreIconHidden.set(this.column.field, true);
  }
  ngAfterViewInit() {
    this.updateFilterCellArea();
  }
  ngDoCheck() {
    this.updateFilterCellArea();
  }
  /**
   * Returns whether a chip with a given index is visible or not.
   */
  isChipVisible(index) {
    const expression = this.expressionsList[index];
    return !!(expression && expression.isVisible);
  }
  /**
   * Updates the filtering cell area.
   */
  updateFilterCellArea() {
    this.expressionsList = this.filteringService.getExpressions(this.column.field);
    this.updateVisibleFilters();
  }
  get displayDensity() {
    return this.column.grid.displayDensity === DisplayDensity.comfortable ? DisplayDensity.cosy : this.column.grid.displayDensity;
  }
  get template() {
    if (!this.column.filterable) {
      return null;
    }
    if (this.column.filterCellTemplate) {
      return this.column.filterCellTemplate;
    }
    const expressionTree = this.column.filteringExpressionsTree;
    if (!expressionTree || expressionTree.filteringOperands.length === 0) {
      return this.emptyFilter;
    }
    if (this.filteringService.isFilterComplex(this.column.field)) {
      return this.complexFilter;
    }
    return this.defaultFilter;
  }
  /**
   * Gets the context passed to the filter template.
   *
   * @memberof IgxGridFilteringCellComponent
   */
  get context() {
    return { $implicit: this.column, column: this.column };
  }
  /**
   * Chip clicked event handler.
   */
  onChipClicked(expression) {
    if (expression) {
      this.expressionsList.forEach((item) => {
        item.isSelected = item.expression === expression;
      });
    } else if (this.expressionsList.length > 0) {
      this.expressionsList.forEach((item) => {
        item.isSelected = false;
      });
      this.expressionsList[0].isSelected = true;
    }
    this.filteringService.grid.navigation.performHorizontalScrollToCell(this.column.visibleIndex);
    this.filteringService.filteredColumn = this.column;
    this.filteringService.isFilterRowVisible = true;
    this.filteringService.selectedExpression = expression;
  }
  /**
   * Chip removed event handler.
   */
  onChipRemoved(eventArgs, item) {
    const indexToRemove = this.expressionsList.indexOf(item);
    this.removeExpression(indexToRemove);
    this.filteringService.grid.theadRow.nativeElement.focus();
  }
  /**
   * Clears the filtering.
   */
  clearFiltering() {
    this.filteringService.clearFilter(this.column.field);
    this.cdr.detectChanges();
  }
  /**
   * Returns the filtering indicator class.
   */
  filteringIndicatorClass() {
    return {
      [this.baseClass]: !this.isMoreIconHidden(),
      [`${this.baseClass}--hidden`]: this.isMoreIconHidden()
    };
  }
  removeExpression(indexToRemove) {
    if (indexToRemove === 0 && this.expressionsList.length === 1) {
      this.clearFiltering();
      return;
    }
    this.filteringService.removeExpression(this.column.field, indexToRemove);
    this.updateVisibleFilters();
    this.filteringService.filterInternal(this.column.field);
  }
  isMoreIconHidden() {
    return this.filteringService.columnToMoreIconHidden.get(this.column.field);
  }
  updateVisibleFilters() {
    this.expressionsList.forEach((ex) => ex.isVisible = true);
    if (this.moreIcon) {
      this.filteringService.columnToMoreIconHidden.set(this.column.field, true);
    }
    this.cdr.detectChanges();
    if (this.chipsArea && this.expressionsList.length > 1) {
      const areaWidth = this.chipsArea.element.nativeElement.offsetWidth;
      let viewWidth = 0;
      const chipsAreaElements = this.chipsArea.element.nativeElement.children;
      let visibleChipsCount = 0;
      const moreIconWidth = this.moreIcon.nativeElement.offsetWidth - parseInt(document.defaultView.getComputedStyle(this.moreIcon.nativeElement)["margin-left"], 10);
      for (let index = 0; index < chipsAreaElements.length - 1; index++) {
        if (viewWidth + chipsAreaElements[index].offsetWidth < areaWidth) {
          viewWidth += chipsAreaElements[index].offsetWidth;
          if (index % 2 === 0) {
            visibleChipsCount++;
          } else {
            viewWidth += parseInt(document.defaultView.getComputedStyle(chipsAreaElements[index])["margin-left"], 10);
            viewWidth += parseInt(document.defaultView.getComputedStyle(chipsAreaElements[index])["margin-right"], 10);
          }
        } else {
          if (index % 2 !== 0 && viewWidth + moreIconWidth > areaWidth) {
            visibleChipsCount--;
          } else if (visibleChipsCount > 0 && viewWidth - chipsAreaElements[index - 1].offsetWidth + moreIconWidth > areaWidth) {
            visibleChipsCount--;
          }
          this.moreFiltersCount = this.expressionsList.length - visibleChipsCount;
          this.filteringService.columnToMoreIconHidden.set(this.column.field, false);
          break;
        }
      }
      for (let i = visibleChipsCount; i < this.expressionsList.length; i++) {
        this.expressionsList[i].isVisible = false;
      }
      this.cdr.detectChanges();
    }
  }
  static {
    this.ɵfac = i0164.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0164, type: _IgxGridFilteringCellComponent, deps: [{ token: i0164.ChangeDetectorRef }, { token: IgxFilteringService }], target: i0164.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0164.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridFilteringCellComponent, isStandalone: true, selector: "igx-grid-filtering-cell", inputs: { column: "column" }, host: { properties: { "class": "this.styleClasses" } }, viewQueries: [{ propertyName: "emptyFilter", first: true, predicate: ["emptyFilter"], descendants: true, read: TemplateRef23, static: true }, { propertyName: "defaultFilter", first: true, predicate: ["defaultFilter"], descendants: true, read: TemplateRef23, static: true }, { propertyName: "complexFilter", first: true, predicate: ["complexFilter"], descendants: true, read: TemplateRef23, static: true }, { propertyName: "chipsArea", first: true, predicate: ["chipsArea"], descendants: true, read: IgxChipsAreaComponent }, { propertyName: "moreIcon", first: true, predicate: ["moreIcon"], descendants: true, read: ElementRef75 }, { propertyName: "ghostChip", first: true, predicate: ["ghostChip"], descendants: true, read: IgxChipComponent }, { propertyName: "complexChip", first: true, predicate: ["complexChip"], descendants: true, read: IgxChipComponent }], ngImport: i0164, template: '<ng-template #emptyFilter>\n    <igx-chips-area [attr.draggable]="false" class="igx-filtering-chips">\n        <igx-chip #ghostChip [attr.draggable]="false" (click)="onChipClicked()" [displayDensity]="displayDensity" [tabIndex]="-1">\n            <igx-icon [attr.draggable]="false" igxPrefix>filter_list</igx-icon>\n            <span [attr.draggable]="false">{{filteringService.grid.resourceStrings.igx_grid_filter}}</span>\n        </igx-chip>\n    </igx-chips-area>\n</ng-template>\n\n<ng-template #defaultFilter>\n    <igx-chips-area #chipsArea class="igx-filtering-chips">\n        <ng-container *ngFor="let item of expressionsList; let last = last; let index = index;" >\n            <igx-chip *ngIf="isChipVisible(index)"\n                [removable]="true"\n                [tabIndex]="-1"\n                [displayDensity]="displayDensity"\n                (click)="onChipClicked(item.expression)"\n                (remove)="onChipRemoved($event, item)">\n                <igx-icon igxPrefix\n                    family="imx-icons"\n                    [name]="item.expression.condition.iconName">\n                </igx-icon>\n                <span #label>\n                    {{filteringService.getChipLabel(item.expression)}}\n                </span>\n            </igx-chip>\n            <span class="igx-filtering-chips__connector" *ngIf="!last && isChipVisible(index + 1)">{{filteringService.getOperatorAsString(item.afterOperator)}}</span>\n        </ng-container>\n        <div #moreIcon [ngClass]="filteringIndicatorClass()" (click)="onChipClicked()">\n            <igx-icon>filter_list</igx-icon>\n            <igx-badge [value]="moreFiltersCount"></igx-badge>\n        </div>\n    </igx-chips-area>\n</ng-template>\n\n<ng-template #complexFilter>\n    <igx-chip #complexChip [removable]="true" [displayDensity]="displayDensity" (remove)="clearFiltering()" [tabIndex]="-1">\n        <igx-icon igxPrefix>filter_list</igx-icon>\n        <span>{{filteringService.grid.resourceStrings.igx_grid_complex_filter}}</span>\n    </igx-chip>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template; context: context"></ng-container>\n', dependencies: [{ kind: "component", type: IgxChipsAreaComponent, selector: "igx-chips-area", inputs: ["width", "height"], outputs: ["reorder", "selectionChange", "moveStart", "moveEnd"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: NgFor17, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgIf48, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass17, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxBadgeComponent, selector: "igx-badge", inputs: ["id", "type", "value", "icon", "iconSet", "shape"] }, { kind: "directive", type: NgTemplateOutlet21, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], changeDetection: i0164.ChangeDetectionStrategy.OnPush });
  }
};
i0164.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0164, type: IgxGridFilteringCellComponent, decorators: [{
  type: Component74,
  args: [{ changeDetection: ChangeDetectionStrategy17.OnPush, selector: "igx-grid-filtering-cell", standalone: true, imports: [IgxChipsAreaComponent, IgxChipComponent, IgxIconComponent, IgxPrefixDirective, NgFor17, NgIf48, NgClass17, IgxBadgeComponent, NgTemplateOutlet21], template: '<ng-template #emptyFilter>\n    <igx-chips-area [attr.draggable]="false" class="igx-filtering-chips">\n        <igx-chip #ghostChip [attr.draggable]="false" (click)="onChipClicked()" [displayDensity]="displayDensity" [tabIndex]="-1">\n            <igx-icon [attr.draggable]="false" igxPrefix>filter_list</igx-icon>\n            <span [attr.draggable]="false">{{filteringService.grid.resourceStrings.igx_grid_filter}}</span>\n        </igx-chip>\n    </igx-chips-area>\n</ng-template>\n\n<ng-template #defaultFilter>\n    <igx-chips-area #chipsArea class="igx-filtering-chips">\n        <ng-container *ngFor="let item of expressionsList; let last = last; let index = index;" >\n            <igx-chip *ngIf="isChipVisible(index)"\n                [removable]="true"\n                [tabIndex]="-1"\n                [displayDensity]="displayDensity"\n                (click)="onChipClicked(item.expression)"\n                (remove)="onChipRemoved($event, item)">\n                <igx-icon igxPrefix\n                    family="imx-icons"\n                    [name]="item.expression.condition.iconName">\n                </igx-icon>\n                <span #label>\n                    {{filteringService.getChipLabel(item.expression)}}\n                </span>\n            </igx-chip>\n            <span class="igx-filtering-chips__connector" *ngIf="!last && isChipVisible(index + 1)">{{filteringService.getOperatorAsString(item.afterOperator)}}</span>\n        </ng-container>\n        <div #moreIcon [ngClass]="filteringIndicatorClass()" (click)="onChipClicked()">\n            <igx-icon>filter_list</igx-icon>\n            <igx-badge [value]="moreFiltersCount"></igx-badge>\n        </div>\n    </igx-chips-area>\n</ng-template>\n\n<ng-template #complexFilter>\n    <igx-chip #complexChip [removable]="true" [displayDensity]="displayDensity" (remove)="clearFiltering()" [tabIndex]="-1">\n        <igx-icon igxPrefix>filter_list</igx-icon>\n        <span>{{filteringService.grid.resourceStrings.igx_grid_complex_filter}}</span>\n    </igx-chip>\n</ng-template>\n\n<ng-container *ngTemplateOutlet="template; context: context"></ng-container>\n' }]
}], ctorParameters: () => [{ type: i0164.ChangeDetectorRef }, { type: IgxFilteringService }], propDecorators: { column: [{
  type: Input99
}], emptyFilter: [{
  type: ViewChild41,
  args: ["emptyFilter", { read: TemplateRef23, static: true }]
}], defaultFilter: [{
  type: ViewChild41,
  args: ["defaultFilter", { read: TemplateRef23, static: true }]
}], complexFilter: [{
  type: ViewChild41,
  args: ["complexFilter", { read: TemplateRef23, static: true }]
}], chipsArea: [{
  type: ViewChild41,
  args: ["chipsArea", { read: IgxChipsAreaComponent }]
}], moreIcon: [{
  type: ViewChild41,
  args: ["moreIcon", { read: ElementRef75 }]
}], ghostChip: [{
  type: ViewChild41,
  args: ["ghostChip", { read: IgxChipComponent }]
}], complexChip: [{
  type: ViewChild41,
  args: ["complexChip", { read: IgxChipComponent }]
}], styleClasses: [{
  type: HostBinding75,
  args: ["class"]
}] } });

// lib/grids/resizing/resize-handle.directive.mjs
import { Directive as Directive72, Input as Input100, HostListener as HostListener40 } from "@angular/core";
import { Subject as Subject43, fromEvent as fromEvent10 } from "rxjs";
import { debounceTime, takeUntil as takeUntil35 } from "rxjs/operators";
import * as i0165 from "@angular/core";
var IgxResizeHandleDirective = class _IgxResizeHandleDirective {
  constructor(zone, element, colResizingService) {
    this.zone = zone;
    this.element = element;
    this.colResizingService = colResizingService;
    this._dblClick = false;
    this.destroy$ = new Subject43();
    this.DEBOUNCE_TIME = 200;
  }
  /**
   * @hidden
   */
  onDoubleClick() {
    this._dblClick = true;
    this.initResizeService();
    this.colResizingService.autosizeColumnOnDblClick();
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    if (!this.column.columnGroup && this.column.resizable) {
      this.zone.runOutsideAngular(() => {
        fromEvent10(this.element.nativeElement, "mousedown").pipe(debounceTime(this.DEBOUNCE_TIME), takeUntil35(this.destroy$)).subscribe((event) => {
          if (this._dblClick) {
            this._dblClick = false;
            return;
          }
          if (event.button === 0) {
            this._onResizeAreaMouseDown(event);
            this.column.grid.resizeLine.resizer.onMousedown(event);
          }
        });
      });
      fromEvent10(this.element.nativeElement, "mouseup").pipe(debounceTime(this.DEBOUNCE_TIME), takeUntil35(this.destroy$)).subscribe(() => {
        this.colResizingService.isColumnResizing = false;
        this.colResizingService.showResizer = false;
        this.column.grid.cdr.detectChanges();
      });
    }
  }
  /**
   * @hidden
   */
  _onResizeAreaMouseDown(event) {
    this.initResizeService(event);
    this.colResizingService.showResizer = true;
    this.column.grid.cdr.detectChanges();
  }
  /**
   * @hidden
   */
  initResizeService(event = null) {
    this.colResizingService.column = this.column;
    if (event) {
      this.colResizingService.isColumnResizing = true;
      this.colResizingService.startResizePos = event.clientX;
    }
  }
  static {
    this.ɵfac = i0165.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0165, type: _IgxResizeHandleDirective, deps: [{ token: i0165.NgZone }, { token: i0165.ElementRef }, { token: IgxColumnResizingService }], target: i0165.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0165.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxResizeHandleDirective, isStandalone: true, selector: "[igxResizeHandle]", inputs: { column: ["igxResizeHandle", "column"] }, host: { listeners: { "dblclick": "onDoubleClick()" } }, ngImport: i0165 });
  }
};
i0165.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0165, type: IgxResizeHandleDirective, decorators: [{
  type: Directive72,
  args: [{
    selector: "[igxResizeHandle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0165.NgZone }, { type: i0165.ElementRef }, { type: IgxColumnResizingService }], propDecorators: { column: [{
  type: Input100,
  args: ["igxResizeHandle"]
}], onDoubleClick: [{
  type: HostListener40,
  args: ["dblclick"]
}] } });

// lib/grids/moving/moving.drop.directive.mjs
import { Directive as Directive73, Input as Input101 } from "@angular/core";
import { Subject as Subject44, interval as interval4, animationFrameScheduler as animationFrameScheduler2 } from "rxjs";
import { takeUntil as takeUntil36 } from "rxjs/operators";
import * as i0166 from "@angular/core";
var IgxColumnMovingDropDirective = class _IgxColumnMovingDropDirective extends IgxDropDirective {
  set data(val) {
    if (val instanceof IgxGridForOfDirective) {
      this._displayContainer = val;
    } else {
      this._column = val;
    }
  }
  get column() {
    return this._column;
  }
  get isDropTarget() {
    return this.column && this.column.grid.moving && (!this.column.pinned && this.cms.column?.disablePinning || !this.cms.column?.disablePinning);
  }
  get horizontalScroll() {
    if (this._displayContainer) {
      return this._displayContainer;
    }
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(ref, renderer, _, cms) {
    super(ref, renderer, _);
    this.ref = ref;
    this.renderer = renderer;
    this._ = _;
    this.cms = cms;
    this._dropIndicator = null;
    this._lastDropIndicator = null;
    this._dragLeave = new Subject44();
    this._dropIndicatorClass = "igx-grid-th__drop-indicator--active";
  }
  ngOnDestroy() {
    this._dragLeave.next(true);
    this._dragLeave.complete();
    super.ngOnDestroy();
  }
  onDragOver(event) {
    const drag = event.detail.owner;
    if (!(drag instanceof IgxColumnMovingDragDirective)) {
      return;
    }
    if (this.isDropTarget && this.cms.column !== this.column && this.cms.column.level === this.column.level && this.cms.column.parent === this.column.parent) {
      if (this._lastDropIndicator) {
        this.renderer.removeClass(this._dropIndicator, this._dropIndicatorClass);
      }
      const clientRect = this.nativeElement.getBoundingClientRect();
      const pos = clientRect.left + clientRect.width / 2;
      const parent = this.nativeElement.parentElement;
      if (event.detail.pageX < pos) {
        this._dropPos = DropPosition.BeforeDropTarget;
        this._lastDropIndicator = this._dropIndicator = parent.firstElementChild;
      } else {
        this._dropPos = DropPosition.AfterDropTarget;
        this._lastDropIndicator = this._dropIndicator = parent.lastElementChild;
      }
      if (this.cms.icon.innerText !== "block") {
        this.renderer.addClass(this._dropIndicator, this._dropIndicatorClass);
      }
    }
  }
  onDragEnter(event) {
    const drag = event.detail.owner;
    if (!(drag instanceof IgxColumnMovingDragDirective)) {
      return;
    }
    if (this.column && this.cms.column.grid.id !== this.column.grid.id) {
      this.cms.icon.innerText = "block";
      return;
    }
    if (this.isDropTarget && this.cms.column !== this.column && this.cms.column.level === this.column.level && this.cms.column.parent === this.column.parent) {
      if (!this.column.pinned || this.column.pinned && this.cms.column.pinned) {
        this.cms.icon.innerText = "swap_horiz";
      }
      this.cms.icon.innerText = "save_alt";
    } else {
      this.cms.icon.innerText = "block";
    }
    if (this.horizontalScroll) {
      this.cms.icon.innerText = event.target.id === "right" ? "arrow_forward" : "arrow_back";
      interval4(0, animationFrameScheduler2).pipe(takeUntil36(this._dragLeave)).subscribe(() => {
        if (event.target.id === "right") {
          this.horizontalScroll.scrollPosition += 10;
        } else {
          this.horizontalScroll.scrollPosition -= 10;
        }
      });
    }
  }
  onDragLeave(event) {
    const drag = event.detail.owner;
    if (!(drag instanceof IgxColumnMovingDragDirective)) {
      return;
    }
    this.cms.icon.innerText = "block";
    if (this._dropIndicator) {
      this.renderer.removeClass(this._dropIndicator, this._dropIndicatorClass);
    }
    if (this.horizontalScroll) {
      this._dragLeave.next(true);
    }
  }
  onDragDrop(event) {
    event.preventDefault();
    const drag = event.detail.owner;
    if (this.cms.cancelDrop || !(drag instanceof IgxColumnMovingDragDirective)) {
      this.cms.cancelDrop = false;
      return;
    }
    if (this.column && this.cms.column.grid.id !== this.column.grid.id) {
      return;
    }
    if (this.horizontalScroll) {
      this._dragLeave.next(true);
    }
    if (this.isDropTarget) {
      this.column.grid.moveColumn(this.cms.column, this.column, this._dropPos);
      this.cms.column = null;
      this.column.grid.cdr.detectChanges();
    }
  }
  static {
    this.ɵfac = i0166.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0166, type: _IgxColumnMovingDropDirective, deps: [{ token: i0166.ElementRef }, { token: i0166.Renderer2 }, { token: i0166.NgZone }, { token: IgxColumnMovingService }], target: i0166.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0166.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnMovingDropDirective, isStandalone: true, selector: "[igxColumnMovingDrop]", inputs: { data: ["igxColumnMovingDrop", "data"] }, usesInheritance: true, ngImport: i0166 });
  }
};
i0166.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0166, type: IgxColumnMovingDropDirective, decorators: [{
  type: Directive73,
  args: [{
    selector: "[igxColumnMovingDrop]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0166.ElementRef }, { type: i0166.Renderer2 }, { type: i0166.NgZone }, { type: IgxColumnMovingService }], propDecorators: { data: [{
  type: Input101,
  args: ["igxColumnMovingDrop"]
}] } });

// lib/grids/headers/grid-header-group.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy19, Component as Component75, forwardRef as forwardRef19, HostBinding as HostBinding76, HostListener as HostListener41, Inject as Inject64, Input as Input102, ViewChild as ViewChild42, ViewChildren as ViewChildren12 } from "@angular/core";
import { NgIf as NgIf49, NgClass as NgClass18, NgStyle as NgStyle3, NgFor as NgFor18, NgTemplateOutlet as NgTemplateOutlet22 } from "@angular/common";
import * as i0167 from "@angular/core";
var Z_INDEX = 9999;
var IgxGridHeaderGroupComponent = class _IgxGridHeaderGroupComponent {
  get rowEnd() {
    return this.column.rowEnd;
  }
  get colEnd() {
    return this.column.colEnd;
  }
  get rowStart() {
    return this.column.rowStart;
  }
  get colStart() {
    return this.column.colStart;
  }
  get headerID() {
    return `${this.grid.id}_-1_${this.column.level}_${this.column.visibleIndex}`;
  }
  get active() {
    const node = this.grid.navigation.activeNode;
    return node && !this.column.columnGroup ? node.row === -1 && node.column === this.column.visibleIndex && node.level === this.column.level : false;
  }
  get activeGroup() {
    const node = this.grid.navigation.activeNode;
    return node ? node.row === -1 && node.column === this.column.visibleIndex && node.level === this.column.level : false;
  }
  /**
   * Gets the width of the header group.
   *
   * @memberof IgxGridHeaderGroupComponent
   */
  get width() {
    return this.grid.getHeaderGroupWidth(this.column);
  }
  constructor(cdr, grid, ref, colResizingService, filteringService, platform) {
    this.cdr = cdr;
    this.grid = grid;
    this.ref = ref;
    this.colResizingService = colResizingService;
    this.filteringService = filteringService;
    this.platform = platform;
    this.defaultCss = true;
  }
  get pinnedCss() {
    return this.isPinned;
  }
  get pinnedLastCss() {
    return this.isLastPinned;
  }
  get pinnedFirstCSS() {
    return this.isFirstPinned;
  }
  get headerDragCss() {
    return this.isHeaderDragged;
  }
  get filteringCss() {
    return this.isFiltered;
  }
  /**
   * @hidden
   */
  get zIndex() {
    if (!this.column.pinned) {
      return null;
    }
    return Z_INDEX - this.grid.pinnedColumns.indexOf(this.column);
  }
  /**
   * Gets whether the header group belongs to a column that is filtered.
   *
   * @memberof IgxGridHeaderGroupComponent
   */
  get isFiltered() {
    return this.filteringService.filteredColumn === this.column;
  }
  /**
   * Gets whether the header group is stored in the last column in the pinned area.
   *
   * @memberof IgxGridHeaderGroupComponent
   */
  get isLastPinned() {
    return !this.grid.hasColumnLayouts ? this.column.isLastPinned : false;
  }
  /**
   * Gets whether the header group is stored in the first column of the right pinned area.
   */
  get isFirstPinned() {
    return !this.grid.hasColumnLayouts ? this.column.isFirstPinned : false;
  }
  get groupDisplayStyle() {
    return this.grid.hasColumnLayouts && this.column.children ? "flex" : "";
  }
  /**
   * Gets whether the header group is stored in a pinned column.
   *
   * @memberof IgxGridHeaderGroupComponent
   */
  get isPinned() {
    return this.column.pinned;
  }
  /**
   * Gets whether the header group belongs to a column that is moved.
   *
   * @memberof IgxGridHeaderGroupComponent
   */
  get isHeaderDragged() {
    return this.grid.columnInDrag === this.column;
  }
  /**
   * @hidden
   */
  get hasLastPinnedChildColumn() {
    return this.column.allChildren.some((child) => child.isLastPinned);
  }
  /**
   * @hidden
   */
  get hasFirstPinnedChildColumn() {
    return this.column.allChildren.some((child) => child.isFirstPinned);
  }
  /**
   * @hidden
   */
  get selectable() {
    const selectableChildren = this.column.allChildren.filter((c) => !c.hidden && c.selectable && !c.columnGroup);
    return this.grid.columnSelection !== GridSelectionMode.none && this.column.applySelectableClass && !this.selected && selectableChildren.length > 0 && !this.grid.filteringService.isFilterRowVisible;
  }
  /**
   * @hidden
   */
  get selected() {
    return this.column.selected;
  }
  /**
   * @hidden
   */
  get height() {
    return this.nativeElement.getBoundingClientRect().height;
  }
  /**
   * @hidden
   */
  get title() {
    return this.column.title || this.column.header;
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  /**
   * @hidden
   */
  onMouseDown(event) {
    event.preventDefault();
  }
  /**
   * @hidden
   */
  groupClicked(event) {
    const columnsToSelect = this.column.allChildren.filter((c) => !c.hidden && c.selectable && !c.columnGroup).map((c) => c.field);
    if (this.grid.columnSelection !== GridSelectionMode.none && columnsToSelect.length > 0 && !this.grid.filteringService.isFilterRowVisible) {
      const clearSelection = this.grid.columnSelection === GridSelectionMode.single || !event.ctrlKey;
      const rangeSelection = this.grid.columnSelection === GridSelectionMode.multiple && event.shiftKey;
      if (!this.selected) {
        this.grid.selectionService.selectColumns(columnsToSelect, clearSelection, rangeSelection, event);
      } else {
        const selectedFields = this.grid.selectionService.getSelectedColumns();
        if (selectedFields.length === columnsToSelect.length && selectedFields.every((el) => columnsToSelect.includes(el)) || !clearSelection) {
          this.grid.selectionService.deselectColumns(columnsToSelect, event);
        } else {
          this.grid.selectionService.selectColumns(columnsToSelect, clearSelection, rangeSelection, event);
        }
      }
    }
  }
  /**
   * @hidden @internal
   */
  onPointerDownIndicator(event) {
    event.stopPropagation();
  }
  /**
   * @hidden @internal
   */
  toggleExpandState(event) {
    event.stopPropagation();
    this.column.expanded = !this.column.expanded;
  }
  /**
   * @hidden @internal
   */
  pointerdown(event) {
    event.stopPropagation();
    this.activate();
    this.grid.theadRow.nativeElement.focus();
  }
  /*
   * This method is necessary due to some specifics related with implementation of column moving
   * @hidden
   */
  activate() {
    this.grid.navigation.setActiveNode(this.activeNode);
    this.grid.theadRow.nativeElement.focus();
  }
  ngDoCheck() {
    this.cdr.markForCheck();
  }
  /**
   * @hidden
   */
  onPinterEnter() {
    this.column.applySelectableClass = true;
  }
  /**
   * @hidden
   */
  onPointerLeave() {
    this.column.applySelectableClass = false;
  }
  get activeNode() {
    return {
      row: -1,
      column: this.column.visibleIndex,
      level: this.column.level,
      mchCache: { level: this.column.level, visibleIndex: this.column.visibleIndex },
      layout: this.column.columnLayoutChild ? {
        rowStart: this.column.rowStart,
        colStart: this.column.colStart,
        rowEnd: this.column.rowEnd,
        colEnd: this.column.colEnd,
        columnVisibleIndex: this.column.visibleIndex
      } : null
    };
  }
  static {
    this.ɵfac = i0167.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0167, type: _IgxGridHeaderGroupComponent, deps: [{ token: i0167.ChangeDetectorRef }, { token: IGX_GRID_BASE }, { token: i0167.ElementRef }, { token: IgxColumnResizingService }, { token: IgxFilteringService }, { token: PlatformUtil }], target: i0167.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0167.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridHeaderGroupComponent, isStandalone: true, selector: "igx-grid-header-group", inputs: { column: "column" }, host: { listeners: { "mousedown": "onMouseDown($event)" }, properties: { "style.grid-row-end": "this.rowEnd", "style.grid-column-end": "this.colEnd", "style.grid-row-start": "this.rowStart", "style.grid-column-start": "this.colStart", "attr.id": "this.headerID", "class.igx-grid-th--active": "this.active", "class.igx-grid-thead__item": "this.defaultCss", "class.igx-grid-th--pinned": "this.pinnedCss", "class.igx-grid-th--pinned-last": "this.pinnedLastCss", "class.igx-grid-th--pinned-first": "this.pinnedFirstCSS", "class.igx-grid__drag-col-header": "this.headerDragCss", "class.igx-grid-th--filtering": "this.filteringCss", "style.z-index": "this.zIndex", "style.display": "this.groupDisplayStyle" } }, viewQueries: [{ propertyName: "header", first: true, predicate: IgxGridHeaderComponent, descendants: true }, { propertyName: "filter", first: true, predicate: IgxGridFilteringCellComponent, descendants: true }, { propertyName: "children", predicate: i0167.forwardRef(() => _IgxGridHeaderGroupComponent), descendants: true, read: _IgxGridHeaderGroupComponent }], ngImport: i0167, template: `<ng-container *ngIf="grid.hasColumnLayouts && column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <div class="igx-grid-thead__group igx-grid__mrl-block"
     [ngClass]="{
         'igx-grid-th--pinned-last': hasLastPinnedChildColumn,
         'igx-grid-th--pinned-first': hasFirstPinnedChildColumn
        }"
     [ngStyle]="{'grid-template-rows':column.getGridTemplate(true),
     'grid-template-columns':column.getGridTemplate(false)}">
        <ng-container *ngFor="let child of column.children" >
            <igx-grid-header-group *ngIf="!child.hidden" class="igx-grid-thead__subgroup"
                [ngClass]="child.headerGroupClasses"
                [ngStyle]="child.headerGroupStyles | igxHeaderGroupStyle:child:grid.pipeTrigger"
                [column]="child"
                [igxColumnMovingDrag]="child"
                [ghostHost]="grid.outlet.nativeElement"
                [attr.droppable]="true"
                [igxColumnMovingDrop]="child">
            </igx-grid-header-group>
        </ng-container>
    </div>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>


<ng-template #defaultColumn>
    <span class="igx-grid-th__group-title" [title]="title">{{column.header}}</span>
</ng-template>

<ng-template #defaultCollapseIndicator>
    <igx-icon>{{column.expanded ? 'expand_more' : 'chevron_right'}} </igx-icon>
</ng-template>

<ng-container *ngIf="!grid.hasColumnLayouts && column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <div class="igx-grid-thead__title"
        role="columnheader"
        [attr.aria-label]="column.header || column.field"
        [attr.aria-expanded]="column.expanded"
        [attr.aria-selected]="column.selected"
        [ngClass]="{
            'igx-grid-th--pinned-last': hasLastPinnedChildColumn,
            'igx-grid-th--pinned-first': hasFirstPinnedChildColumn,
            'igx-grid-th--collapsible': column.collapsible,
            'igx-grid-th--selectable': selectable,
            'igx-grid-th--selected': selected,
            'igx-grid-th--active': activeGroup}"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        [igxColumnMovingDrop]="column"
        (pointerdown)="pointerdown($event)"
        (click)="groupClicked($event)"
        (pointerenter)="onPinterEnter()"
        (pointerleave)="onPointerLeave()"
        >
        <ng-container *ngIf="column.collapsible">
            <div class="igx-grid-th__expander" (pointerdown)="onPointerDownIndicator($event)" (click)="toggleExpandState($event)">
                <ng-container
                    *ngTemplateOutlet="column.collapsibleIndicatorTemplate ? column.collapsibleIndicatorTemplate : defaultCollapseIndicator; context: {$implicit: column, column: column}">
                </ng-container>
            </div>
        </ng-container>
        <ng-container *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
        </ng-container>
    </div>
    <div class="igx-grid-thead__group" *ngIf='!grid.isPivot'>
        <ng-container *ngFor="let child of column.children">
            <igx-grid-header-group *ngIf="!child.hidden" class="igx-grid-thead__subgroup"
                [ngClass]="child.headerGroupClasses"
                [ngStyle]="child.headerGroupStyles | igxHeaderGroupStyle:child:grid.pipeTrigger"
                [column]="child"
                [style.min-width]="child.calcWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:grid.hasColumnLayouts"
                [style.flex-basis]="child.calcWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:grid.hasColumnLayouts">
            </igx-grid-header-group>
        </ng-container>
    </div>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>

<ng-container *ngIf="!column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <igx-grid-header
        role="columnheader"
        class="igx-grid-th--fw"
        [id]="grid.id + '_' + column.field"
        [ngClass]="column.headerClasses"
        [ngStyle]="column.headerStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        (pointerdown)="activate()"
        [igxColumnMovingDrop]="column"
        [column]="column"
        [density]="grid.displayDensity"
    >
    </igx-grid-header>
    <igx-grid-filtering-cell *ngIf="grid.allowFiltering && grid.filterMode === 'quickFilter'" [column]="column" [attr.draggable]="false"></igx-grid-filtering-cell>
    <span *ngIf="!column.columnGroup && column.resizable" class="igx-grid-th__resize-handle"
        [igxResizeHandle]="column"
        [attr.draggable]="false"
        [style.cursor]="colResizingService.resizeCursor">
    </span>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>
`, dependencies: [{ kind: "component", type: _IgxGridHeaderGroupComponent, selector: "igx-grid-header-group", inputs: ["column"] }, { kind: "directive", type: NgIf49, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass18, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle3, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgFor18, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxColumnMovingDragDirective, selector: "[igxColumnMovingDrag]", inputs: ["igxColumnMovingDrag"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgTemplateOutlet22, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxGridHeaderComponent, selector: "igx-grid-header", inputs: ["column", "density"] }, { kind: "component", type: IgxGridFilteringCellComponent, selector: "igx-grid-filtering-cell", inputs: ["column"] }, { kind: "directive", type: IgxResizeHandleDirective, selector: "[igxResizeHandle]", inputs: ["igxResizeHandle"] }, { kind: "pipe", type: IgxHeaderGroupWidthPipe, name: "igxHeaderGroupWidth" }, { kind: "pipe", type: IgxHeaderGroupStylePipe, name: "igxHeaderGroupStyle" }], changeDetection: i0167.ChangeDetectionStrategy.OnPush });
  }
};
i0167.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0167, type: IgxGridHeaderGroupComponent, decorators: [{
  type: Component75,
  args: [{ changeDetection: ChangeDetectionStrategy19.OnPush, selector: "igx-grid-header-group", standalone: true, imports: [NgIf49, NgClass18, NgStyle3, NgFor18, IgxColumnMovingDragDirective, IgxColumnMovingDropDirective, IgxIconComponent, NgTemplateOutlet22, IgxGridHeaderComponent, IgxGridFilteringCellComponent, IgxResizeHandleDirective, IgxHeaderGroupWidthPipe, IgxHeaderGroupStylePipe], template: `<ng-container *ngIf="grid.hasColumnLayouts && column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <div class="igx-grid-thead__group igx-grid__mrl-block"
     [ngClass]="{
         'igx-grid-th--pinned-last': hasLastPinnedChildColumn,
         'igx-grid-th--pinned-first': hasFirstPinnedChildColumn
        }"
     [ngStyle]="{'grid-template-rows':column.getGridTemplate(true),
     'grid-template-columns':column.getGridTemplate(false)}">
        <ng-container *ngFor="let child of column.children" >
            <igx-grid-header-group *ngIf="!child.hidden" class="igx-grid-thead__subgroup"
                [ngClass]="child.headerGroupClasses"
                [ngStyle]="child.headerGroupStyles | igxHeaderGroupStyle:child:grid.pipeTrigger"
                [column]="child"
                [igxColumnMovingDrag]="child"
                [ghostHost]="grid.outlet.nativeElement"
                [attr.droppable]="true"
                [igxColumnMovingDrop]="child">
            </igx-grid-header-group>
        </ng-container>
    </div>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>


<ng-template #defaultColumn>
    <span class="igx-grid-th__group-title" [title]="title">{{column.header}}</span>
</ng-template>

<ng-template #defaultCollapseIndicator>
    <igx-icon>{{column.expanded ? 'expand_more' : 'chevron_right'}} </igx-icon>
</ng-template>

<ng-container *ngIf="!grid.hasColumnLayouts && column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <div class="igx-grid-thead__title"
        role="columnheader"
        [attr.aria-label]="column.header || column.field"
        [attr.aria-expanded]="column.expanded"
        [attr.aria-selected]="column.selected"
        [ngClass]="{
            'igx-grid-th--pinned-last': hasLastPinnedChildColumn,
            'igx-grid-th--pinned-first': hasFirstPinnedChildColumn,
            'igx-grid-th--collapsible': column.collapsible,
            'igx-grid-th--selectable': selectable,
            'igx-grid-th--selected': selected,
            'igx-grid-th--active': activeGroup}"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        [igxColumnMovingDrop]="column"
        (pointerdown)="pointerdown($event)"
        (click)="groupClicked($event)"
        (pointerenter)="onPinterEnter()"
        (pointerleave)="onPointerLeave()"
        >
        <ng-container *ngIf="column.collapsible">
            <div class="igx-grid-th__expander" (pointerdown)="onPointerDownIndicator($event)" (click)="toggleExpandState($event)">
                <ng-container
                    *ngTemplateOutlet="column.collapsibleIndicatorTemplate ? column.collapsibleIndicatorTemplate : defaultCollapseIndicator; context: {$implicit: column, column: column}">
                </ng-container>
            </div>
        </ng-container>
        <ng-container *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
        </ng-container>
    </div>
    <div class="igx-grid-thead__group" *ngIf='!grid.isPivot'>
        <ng-container *ngFor="let child of column.children">
            <igx-grid-header-group *ngIf="!child.hidden" class="igx-grid-thead__subgroup"
                [ngClass]="child.headerGroupClasses"
                [ngStyle]="child.headerGroupStyles | igxHeaderGroupStyle:child:grid.pipeTrigger"
                [column]="child"
                [style.min-width]="child.calcWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:grid.hasColumnLayouts"
                [style.flex-basis]="child.calcWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:grid.hasColumnLayouts">
            </igx-grid-header-group>
        </ng-container>
    </div>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>

<ng-container *ngIf="!column.columnGroup">
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-left"></span>
    <igx-grid-header
        role="columnheader"
        class="igx-grid-th--fw"
        [id]="grid.id + '_' + column.field"
        [ngClass]="column.headerClasses"
        [ngStyle]="column.headerStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        (pointerdown)="activate()"
        [igxColumnMovingDrop]="column"
        [column]="column"
        [density]="grid.displayDensity"
    >
    </igx-grid-header>
    <igx-grid-filtering-cell *ngIf="grid.allowFiltering && grid.filterMode === 'quickFilter'" [column]="column" [attr.draggable]="false"></igx-grid-filtering-cell>
    <span *ngIf="!column.columnGroup && column.resizable" class="igx-grid-th__resize-handle"
        [igxResizeHandle]="column"
        [attr.draggable]="false"
        [style.cursor]="colResizingService.resizeCursor">
    </span>
    <span *ngIf="grid.moving" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>
` }]
}], ctorParameters: () => [{ type: i0167.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Inject64,
  args: [IGX_GRID_BASE]
}] }, { type: i0167.ElementRef }, { type: IgxColumnResizingService }, { type: IgxFilteringService }, { type: PlatformUtil }], propDecorators: { rowEnd: [{
  type: HostBinding76,
  args: ["style.grid-row-end"]
}], colEnd: [{
  type: HostBinding76,
  args: ["style.grid-column-end"]
}], rowStart: [{
  type: HostBinding76,
  args: ["style.grid-row-start"]
}], colStart: [{
  type: HostBinding76,
  args: ["style.grid-column-start"]
}], headerID: [{
  type: HostBinding76,
  args: ["attr.id"]
}], column: [{
  type: Input102
}], active: [{
  type: HostBinding76,
  args: ["class.igx-grid-th--active"]
}], header: [{
  type: ViewChild42,
  args: [IgxGridHeaderComponent]
}], filter: [{
  type: ViewChild42,
  args: [IgxGridFilteringCellComponent]
}], children: [{
  type: ViewChildren12,
  args: [forwardRef19(() => IgxGridHeaderGroupComponent), { read: IgxGridHeaderGroupComponent }]
}], defaultCss: [{
  type: HostBinding76,
  args: ["class.igx-grid-thead__item"]
}], pinnedCss: [{
  type: HostBinding76,
  args: ["class.igx-grid-th--pinned"]
}], pinnedLastCss: [{
  type: HostBinding76,
  args: ["class.igx-grid-th--pinned-last"]
}], pinnedFirstCSS: [{
  type: HostBinding76,
  args: ["class.igx-grid-th--pinned-first"]
}], headerDragCss: [{
  type: HostBinding76,
  args: ["class.igx-grid__drag-col-header"]
}], filteringCss: [{
  type: HostBinding76,
  args: ["class.igx-grid-th--filtering"]
}], zIndex: [{
  type: HostBinding76,
  args: ["style.z-index"]
}], groupDisplayStyle: [{
  type: HostBinding76,
  args: ["style.display"]
}], onMouseDown: [{
  type: HostListener41,
  args: ["mousedown", ["$event"]]
}] } });

// lib/grids/filtering/base/grid-filtering-row.component.mjs
import { Component as Component76, Input as Input103, TemplateRef as TemplateRef24, ViewChild as ViewChild43, ViewChildren as ViewChildren13, ElementRef as ElementRef79, HostBinding as HostBinding77, ChangeDetectionStrategy as ChangeDetectionStrategy21, HostListener as HostListener42 } from "@angular/core";
import { Subject as Subject45 } from "rxjs";
import { takeUntil as takeUntil37 } from "rxjs/operators";
import { NgFor as NgFor19, NgIf as NgIf50, NgTemplateOutlet as NgTemplateOutlet23, NgClass as NgClass19 } from "@angular/common";
import * as i0168 from "@angular/core";
var IgxGridFilteringRowComponent = class _IgxGridFilteringRowComponent {
  get column() {
    return this._column;
  }
  set column(val) {
    if (this._column) {
      this.expressionsList.forEach((exp) => exp.isSelected = false);
    }
    if (val) {
      this._column = val;
      this.expressionsList = this.filteringService.getExpressions(this._column.field);
      this.resetExpression();
      this.chipAreaScrollOffset = 0;
      this.transform(this.chipAreaScrollOffset);
    }
  }
  get value() {
    return this.expression ? this.expression.searchVal : null;
  }
  set value(val) {
    if (!val && val !== 0 && this.expression.searchVal) {
      this.expression.searchVal = null;
      const index = this.expressionsList.findIndex((item) => item.expression === this.expression);
      if (index === 0 && this.expressionsList.length === 1) {
        this.filteringService.clearFilter(this.column.field);
        if (this.expression.condition.isUnary) {
          this.resetExpression(this.expression.condition.name);
        }
        return;
      }
    } else {
      const oldValue = this.expression.searchVal;
      if (isEqual(oldValue, val)) {
        return;
      }
      this.expression.searchVal = DataUtil.parseValue(this.column.dataType, val);
      if (this.expressionsList.find((item) => item.expression === this.expression) === void 0) {
        this.addExpression(true);
      }
      this.filter();
    }
  }
  get displayDensity() {
    return this.column.grid.displayDensity === DisplayDensity.comfortable ? DisplayDensity.cosy : this.column.grid.displayDensity;
  }
  getIconBtnSize() {
    return this.column.grid.displayDensity === DisplayDensity.compact ? 1 : 2;
  }
  get compactCSSClass() {
    return this.column.grid.displayDensity === DisplayDensity.compact;
  }
  get cosyCSSClass() {
    return this.column.grid.displayDensity === DisplayDensity.cosy;
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(filteringService, ref, cdr, platform) {
    this.filteringService = filteringService;
    this.ref = ref;
    this.cdr = cdr;
    this.platform = platform;
    this.defaultCSSClass = true;
    this._positionSettings = {
      horizontalStartPoint: HorizontalAlignment.Left,
      verticalStartPoint: VerticalAlignment.Bottom
    };
    this._conditionsOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new ConnectedPositioningStrategy(this._positionSettings)
    };
    this._operatorsOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      scrollStrategy: new AbsoluteScrollStrategy(),
      positionStrategy: new ConnectedPositioningStrategy(this._positionSettings)
    };
    this.chipAreaScrollOffset = 0;
    this._column = null;
    this.isKeyPressed = false;
    this.isComposing = false;
    this._cancelChipClick = false;
    this.NARROW_WIDTH_THRESHOLD = 432;
    this.$destroyer = new Subject45();
  }
  onKeydownHandler(evt) {
    if (this.platform.isFilteringKeyCombo(evt)) {
      evt.preventDefault();
      evt.stopPropagation();
      this.close();
    }
  }
  ngAfterViewInit() {
    this._conditionsOverlaySettings.outlet = this.column.grid.outlet;
    this._operatorsOverlaySettings.outlet = this.column.grid.outlet;
    const selectedItem = this.expressionsList.find((expr) => expr.isSelected === true);
    if (selectedItem) {
      this.expression = selectedItem.expression;
    }
    this.filteringService.grid.localeChange.pipe(takeUntil37(this.$destroyer)).subscribe(() => {
      this.cdr.markForCheck();
    });
    requestAnimationFrame(() => this.focusEditElement());
  }
  get disabled() {
    return !(this.column.filteringExpressionsTree && this.column.filteringExpressionsTree.filteringOperands.length > 0);
  }
  get template() {
    if (this.column.dataType === GridColumnDataType.Date) {
      return this.defaultDateUI;
    }
    if (this.column.dataType === GridColumnDataType.Time) {
      return this.defaultTimeUI;
    }
    if (this.column.dataType === GridColumnDataType.DateTime) {
      return this.defaultDateTimeUI;
    }
    return this.defaultFilterUI;
  }
  get type() {
    switch (this.column.dataType) {
      case GridColumnDataType.String:
      case GridColumnDataType.Boolean:
        return "text";
      case GridColumnDataType.Number:
      case GridColumnDataType.Currency:
        return "number";
    }
  }
  get conditions() {
    return this.column.filters.conditionList();
  }
  get isUnaryCondition() {
    if (this.expression.condition) {
      return this.expression.condition.isUnary;
    } else {
      return true;
    }
  }
  get placeholder() {
    if (this.expression.condition && this.expression.condition.isUnary) {
      return this.filteringService.getChipLabel(this.expression);
    } else if (this.column.dataType === GridColumnDataType.Date) {
      return this.filteringService.grid.resourceStrings.igx_grid_filter_row_date_placeholder;
    } else if (this.column.dataType === GridColumnDataType.Boolean) {
      return this.filteringService.grid.resourceStrings.igx_grid_filter_row_boolean_placeholder;
    } else {
      return this.filteringService.grid.resourceStrings.igx_grid_filter_row_placeholder;
    }
  }
  /**
   * Event handler for keydown on the input group's prefix.
   */
  onPrefixKeyDown(event) {
    if (this.platform.isActivationKey(event) && this.dropDownConditions.collapsed) {
      this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
      event.stopImmediatePropagation();
    } else if (event.key === this.platform.KEYMAP.TAB && !this.dropDownConditions.collapsed) {
      this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
    }
  }
  /**
   * Event handler for keydown on the input.
   */
  onInputKeyDown(event) {
    this.isKeyPressed = true;
    event.stopPropagation();
    if (this.column.dataType === GridColumnDataType.Boolean) {
      if (this.platform.isActivationKey(event)) {
        this.inputGroupPrefix.nativeElement.focus();
        this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
        return;
      }
    }
    if (event.key === this.platform.KEYMAP.ENTER) {
      if (this.isComposing) {
        return;
      }
      this.commitInput();
    } else if (event.altKey && event.key === this.platform.KEYMAP.ARROW_DOWN) {
      this.inputGroupPrefix.nativeElement.focus();
      this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
    } else if (this.platform.isFilteringKeyCombo(event)) {
      event.preventDefault();
      this.close();
    }
  }
  /**
   * Event handler for keyup on the input.
   */
  onInputKeyUp() {
    this.isKeyPressed = false;
  }
  /**
   * Event handler for input on the input.
   */
  onInput(eventArgs) {
    if (!eventArgs) {
      return;
    }
    const target = eventArgs.target;
    if (this.column.dataType === GridColumnDataType.DateTime) {
      this.value = eventArgs;
      return;
    }
    if (this.platform.isEdge && target.type !== "number" || this.isKeyPressed || target.value || target.checkValidity()) {
      this.value = target.value;
    }
  }
  /**
   * Event handler for compositionstart on the input.
   */
  onCompositionStart() {
    this.isComposing = true;
  }
  /**
   * Event handler for compositionend on the input.
   */
  onCompositionEnd() {
    this.isComposing = false;
  }
  /**
   * Event handler for input click event.
   */
  onInputClick() {
    if (this.column.dataType === GridColumnDataType.Boolean && this.dropDownConditions.collapsed) {
      this.inputGroupPrefix.nativeElement.focus();
      this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
    }
  }
  /**
   * Returns the filtering operation condition for a given value.
   */
  getCondition(value) {
    return this.column.filters.condition(value);
  }
  /**
   * Returns the translated condition name for a given value.
   */
  translateCondition(value) {
    return this.filteringService.grid.resourceStrings[`igx_grid_filter_${this.getCondition(value).name}`] || value;
  }
  /**
   * Returns the icon name of the current condition.
   */
  getIconName() {
    if (this.column.dataType === GridColumnDataType.Boolean && this.expression.condition === null) {
      return this.getCondition(this.conditions[0]).iconName;
    } else {
      return this.expression.condition.iconName;
    }
  }
  /**
   * Returns whether a given condition is selected in dropdown.
   */
  isConditionSelected(conditionName) {
    if (this.expression.condition) {
      return this.expression.condition.name === conditionName;
    } else {
      return false;
    }
  }
  /**
   * Clears the current filtering.
   */
  clearFiltering() {
    this.filteringService.clearFilter(this.column.field);
    this.resetExpression();
    if (this.input) {
      this.input.nativeElement.focus();
    }
    this.cdr.detectChanges();
    this.chipAreaScrollOffset = 0;
    this.transform(this.chipAreaScrollOffset);
  }
  /**
   * Commits the value of the input.
   */
  commitInput() {
    const selectedItem = this.expressionsList.filter((ex) => ex.isSelected === true);
    selectedItem.forEach((e) => e.isSelected = false);
    let indexToDeselect = -1;
    for (let index = 0; index < this.expressionsList.length; index++) {
      const expression = this.expressionsList[index].expression;
      if (expression.searchVal === null && !expression.condition.isUnary) {
        indexToDeselect = index;
      }
    }
    if (indexToDeselect !== -1) {
      this.removeExpression(indexToDeselect, this.expression);
    }
    this.resetExpression();
    this.scrollChipsWhenAddingExpression();
  }
  /**
   * Clears the value of the input.
   */
  clearInput(event) {
    event?.stopPropagation();
    this.value = null;
  }
  /**
   * Event handler for keydown on clear button.
   */
  onClearKeyDown(eventArgs) {
    if (this.platform.isActivationKey(eventArgs)) {
      eventArgs.preventDefault();
      this.clearInput();
      this.focusEditElement();
    }
  }
  /**
   * Event handler for click on clear button.
   */
  onClearClick() {
    this.clearInput();
    this.focusEditElement();
  }
  /**
   * Event handler for keydown on commit button.
   */
  onCommitKeyDown(eventArgs) {
    if (this.platform.isActivationKey(eventArgs)) {
      eventArgs.preventDefault();
      this.commitInput();
      this.focusEditElement();
    }
  }
  /**
   * Event handler for click on commit button.
   */
  onCommitClick(event) {
    event?.stopPropagation();
    this.commitInput();
    this.focusEditElement();
  }
  /**
   * Event handler for focusout on the input group.
   */
  onInputGroupFocusout() {
    if (!this.value && this.value !== 0 && this.expression.condition && !this.expression.condition.isUnary) {
      return;
    }
    requestAnimationFrame(() => {
      const focusedElement = document.activeElement;
      if (focusedElement.classList.contains("igx-chip__remove") || focusedElement.tagName === "IGX-DAY-ITEM") {
        return;
      }
      if (!(focusedElement && this.editorsContain(focusedElement)) && this.dropDownConditions.collapsed) {
        this.commitInput();
      }
    });
  }
  /**
   * Closes the filtering edit row.
   */
  close() {
    if (this.expressionsList.length === 1 && this.expressionsList[0].expression.searchVal === null && this.expressionsList[0].expression.condition.isUnary === false) {
      this.filteringService.getExpressions(this.column.field).pop();
      this.filter();
    } else {
      const condToRemove = this.expressionsList.filter((ex) => ex.expression.searchVal === null && !ex.expression.condition.isUnary);
      if (condToRemove && condToRemove.length > 0) {
        condToRemove.forEach((c) => this.filteringService.removeExpression(this.column.field, this.expressionsList.indexOf(c)));
        this.filter();
      }
    }
    this.filteringService.isFilterRowVisible = false;
    this.filteringService.updateFilteringCell(this.column);
    this.filteringService.filteredColumn = null;
    this.filteringService.selectedExpression = null;
    this.filteringService.grid.theadRow.nativeElement.focus();
    this.chipAreaScrollOffset = 0;
    this.transform(this.chipAreaScrollOffset);
  }
  /**
   *  Event handler for date picker's selection.
   */
  onDateSelected(value) {
    this.value = value;
  }
  /** @hidden @internal */
  inputGroupPrefixClick(event) {
    event.stopPropagation();
    event.currentTarget.focus();
    this.toggleConditionsDropDown(event.currentTarget);
  }
  /**
   * Opens the conditions dropdown.
   */
  toggleConditionsDropDown(target) {
    this._conditionsOverlaySettings.target = target;
    this._conditionsOverlaySettings.excludeFromOutsideClick = [target];
    this.dropDownConditions.toggle(this._conditionsOverlaySettings);
  }
  /**
   * Opens the logic operators dropdown.
   */
  toggleOperatorsDropDown(eventArgs, index) {
    this._operatorsOverlaySettings.target = eventArgs.target.parentElement;
    this._operatorsOverlaySettings.excludeFromOutsideClick = [eventArgs.target.parentElement];
    this.dropDownOperators.toArray()[index].toggle(this._operatorsOverlaySettings);
  }
  /**
   * Event handler for change event in conditions dropdown.
   */
  onConditionsChanged(eventArgs) {
    const value = eventArgs.newSelection.value;
    this.expression.condition = this.getCondition(value);
    if (this.expression.condition.isUnary) {
      requestAnimationFrame(() => this.unaryConditionChangedCallback());
    } else {
      requestAnimationFrame(() => this.conditionChangedCallback());
    }
    requestAnimationFrame(() => this.focusEditElement());
  }
  onChipPointerdown(args, chip) {
    const activeElement = document.activeElement;
    this._cancelChipClick = chip.selected && activeElement && this.editorsContain(activeElement);
  }
  onChipClick(args, item) {
    if (this._cancelChipClick) {
      this._cancelChipClick = false;
      return;
    }
    this.expressionsList.forEach((ex) => ex.isSelected = false);
    this.toggleChip(item);
  }
  toggleChip(item) {
    item.isSelected = !item.isSelected;
    if (item.isSelected) {
      this.expression = item.expression;
      this.focusEditElement();
    }
  }
  /**
   * Event handler for chip keydown event.
   */
  onChipKeyDown(eventArgs, item) {
    if (eventArgs.key === this.platform.KEYMAP.ENTER) {
      eventArgs.preventDefault();
      this.toggleChip(item);
    }
  }
  /**
   * Scrolls the first chip into view if the tab key is pressed on the left arrow.
   */
  onLeftArrowKeyDown(event) {
    if (event.key === this.platform.KEYMAP.TAB) {
      this.chipAreaScrollOffset = 0;
      this.transform(this.chipAreaScrollOffset);
    }
  }
  /**
   * Event handler for chip removed event.
   */
  onChipRemoved(eventArgs, item) {
    const indexToRemove = this.expressionsList.indexOf(item);
    this.removeExpression(indexToRemove, item.expression);
    this.scrollChipsOnRemove();
  }
  /**
   * Event handler for logic operator changed event.
   */
  onLogicOperatorChanged(eventArgs, expression) {
    if (eventArgs.oldSelection) {
      expression.afterOperator = eventArgs.newSelection.value;
      this.expressionsList[this.expressionsList.indexOf(expression) + 1].beforeOperator = expression.afterOperator;
      requestAnimationFrame(() => this.filter());
    }
  }
  /**
   * Scrolls the chips into the chip area when left or right arrows are pressed.
   */
  scrollChipsOnArrowPress(arrowPosition) {
    let count = 0;
    const chipAraeChildren = this.chipsArea.element.nativeElement.children;
    const containerRect = this.container.nativeElement.getBoundingClientRect();
    if (arrowPosition === "right") {
      for (const chip of chipAraeChildren) {
        if (Math.ceil(chip.getBoundingClientRect().right) < Math.ceil(containerRect.right)) {
          count++;
        }
      }
      if (count < chipAraeChildren.length) {
        this.chipAreaScrollOffset -= Math.ceil(chipAraeChildren[count].getBoundingClientRect().right) - Math.ceil(containerRect.right) + 1;
        this.transform(this.chipAreaScrollOffset);
      }
    }
    if (arrowPosition === "left") {
      for (const chip of chipAraeChildren) {
        if (Math.ceil(chip.getBoundingClientRect().left) < Math.ceil(containerRect.left)) {
          count++;
        }
      }
      if (count > 0) {
        this.chipAreaScrollOffset += Math.ceil(containerRect.left) - Math.ceil(chipAraeChildren[count - 1].getBoundingClientRect().left) + 1;
        this.transform(this.chipAreaScrollOffset);
      }
    }
  }
  /**
   * @hidden
   * Resets the chips area
   * @memberof IgxGridFilteringRowComponent
   */
  resetChipsArea() {
    this.chipAreaScrollOffset = 0;
    this.transform(this.chipAreaScrollOffset);
    this.showHideArrowButtons();
  }
  /** @hidden @internal */
  focusEditElement() {
    if (this.input) {
      this.input.nativeElement.focus();
    } else if (this.picker) {
      this.picker.getEditElement().focus();
    }
  }
  ngOnDestroy() {
    this.$destroyer.next();
  }
  showHideArrowButtons() {
    requestAnimationFrame(() => {
      if (this.filteringService.isFilterRowVisible) {
        const containerWidth = this.container.nativeElement.getBoundingClientRect().width;
        this.chipsAreaWidth = this.chipsArea.element.nativeElement.getBoundingClientRect().width;
        this.showArrows = this.chipsAreaWidth >= containerWidth && this.isColumnFiltered;
        if (!this.cdr.destroyed) {
          this.cdr.detectChanges();
        }
      }
    });
  }
  addExpression(isSelected) {
    const exprUI = new ExpressionUI();
    exprUI.expression = this.expression;
    exprUI.beforeOperator = this.expressionsList.length > 0 ? FilteringLogic.And : null;
    exprUI.isSelected = isSelected;
    this.expressionsList.push(exprUI);
    const length = this.expressionsList.length;
    if (this.expressionsList[length - 2]) {
      this.expressionsList[length - 2].afterOperator = this.expressionsList[length - 1].beforeOperator;
    }
    this.showHideArrowButtons();
  }
  removeExpression(indexToRemove, expression) {
    if (indexToRemove === 0 && this.expressionsList.length === 1) {
      this.clearFiltering();
      return;
    }
    this.filteringService.removeExpression(this.column.field, indexToRemove);
    this.filter();
    if (this.expression === expression) {
      this.resetExpression();
    }
    this.showHideArrowButtons();
  }
  resetExpression(condition) {
    this.expression = {
      fieldName: this.column.field,
      condition: null,
      searchVal: null,
      ignoreCase: this.column.filteringIgnoreCase
    };
    if (this.column.dataType !== GridColumnDataType.Boolean) {
      this.expression.condition = this.getCondition(condition ?? this.conditions[0]);
    }
    if (this.column.dataType === GridColumnDataType.Date && this.input) {
      this.input.nativeElement.value = null;
    }
    this.showHideArrowButtons();
  }
  scrollChipsWhenAddingExpression() {
    const chipAraeChildren = this.chipsArea.element.nativeElement.children;
    if (!chipAraeChildren || chipAraeChildren.length === 0) {
      return;
    }
    const chipsContainerWidth = this.container.nativeElement.offsetWidth;
    const chipsAreaWidth = this.chipsArea.element.nativeElement.offsetWidth;
    if (chipsAreaWidth > chipsContainerWidth) {
      this.chipAreaScrollOffset = chipsContainerWidth - chipsAreaWidth;
      this.transform(this.chipAreaScrollOffset);
    }
  }
  transform(offset) {
    requestAnimationFrame(() => {
      this.chipsArea.element.nativeElement.style.transform = `translate(${offset}px)`;
    });
  }
  scrollChipsOnRemove() {
    let count = 0;
    const chipAraeChildren = this.chipsArea.element.nativeElement.children;
    const containerRect = this.container.nativeElement.getBoundingClientRect();
    for (const chip of chipAraeChildren) {
      if (Math.ceil(chip.getBoundingClientRect().right) < Math.ceil(containerRect.left)) {
        count++;
      }
    }
    if (count <= 2) {
      this.chipAreaScrollOffset = 0;
    } else {
      const dif = chipAraeChildren[count].id === "chip" ? count - 2 : count - 1;
      this.chipAreaScrollOffset += Math.ceil(containerRect.left) - Math.ceil(chipAraeChildren[dif].getBoundingClientRect().left) + 1;
    }
    this.transform(this.chipAreaScrollOffset);
  }
  conditionChangedCallback() {
    if (!!this.expression.searchVal || this.expression.searchVal === 0) {
      this.filter();
    } else if (this.value) {
      this.value = null;
    }
  }
  unaryConditionChangedCallback() {
    if (this.value) {
      this.value = null;
    }
    if (this.expressionsList.find((item) => item.expression === this.expression) === void 0) {
      this.addExpression(true);
    }
    this.filter();
  }
  filter() {
    this.filteringService.filterInternal(this.column.field);
  }
  editorsContain(child) {
    return !!(this.inputGroup && this.inputGroup.nativeElement.contains(child) || this.picker && this.picker.element.nativeElement.contains(child));
  }
  get isColumnFiltered() {
    return this.column.filteringExpressionsTree && this.column.filteringExpressionsTree.filteringOperands.length > 0;
  }
  get isNarrowWidth() {
    return this.nativeElement.offsetWidth < this.NARROW_WIDTH_THRESHOLD;
  }
  static {
    this.ɵfac = i0168.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0168, type: _IgxGridFilteringRowComponent, deps: [{ token: IgxFilteringService }, { token: i0168.ElementRef }, { token: i0168.ChangeDetectorRef }, { token: PlatformUtil }], target: i0168.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0168.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridFilteringRowComponent, isStandalone: true, selector: "igx-grid-filtering-row", inputs: { column: "column", value: "value" }, host: { listeners: { "keydown": "onKeydownHandler($event)" }, properties: { "class.igx-grid__filtering-row": "this.defaultCSSClass", "class.igx-grid__filtering-row--compact": "this.compactCSSClass", "class.igx-grid__filtering-row--cosy": "this.cosyCSSClass" } }, viewQueries: [{ propertyName: "defaultFilterUI", first: true, predicate: ["defaultFilterUI"], descendants: true, read: TemplateRef24, static: true }, { propertyName: "defaultDateUI", first: true, predicate: ["defaultDateUI"], descendants: true, read: TemplateRef24, static: true }, { propertyName: "defaultTimeUI", first: true, predicate: ["defaultTimeUI"], descendants: true, read: TemplateRef24, static: true }, { propertyName: "defaultDateTimeUI", first: true, predicate: ["defaultDateTimeUI"], descendants: true, read: TemplateRef24, static: true }, { propertyName: "input", first: true, predicate: ["input"], descendants: true, read: ElementRef79 }, { propertyName: "dropDownConditions", first: true, predicate: ["inputGroupConditions"], descendants: true, read: IgxDropDownComponent, static: true }, { propertyName: "chipsArea", first: true, predicate: ["chipsArea"], descendants: true, read: IgxChipsAreaComponent, static: true }, { propertyName: "inputGroup", first: true, predicate: ["inputGroup"], descendants: true, read: ElementRef79 }, { propertyName: "picker", first: true, predicate: ["picker"], descendants: true }, { propertyName: "inputGroupPrefix", first: true, predicate: ["inputGroupPrefix"], descendants: true, read: ElementRef79 }, { propertyName: "container", first: true, predicate: ["container"], descendants: true, static: true }, { propertyName: "operand", first: true, predicate: ["operand"], descendants: true }, { propertyName: "closeButton", first: true, predicate: ["closeButton"], descendants: true, static: true }, { propertyName: "dropDownOperators", predicate: ["operators"], descendants: true, read: IgxDropDownComponent }], ngImport: i0168, template: `<!-- Have to apply styles inline because of the overlay outlet ... -->
<igx-drop-down #inputGroupConditions [displayDensity]="displayDensity" [height]="'200px'" (selectionChanging)="onConditionsChanged($event)">
    <igx-drop-down-item *ngFor="let condition of conditions"
        [value]="condition"
        [selected]="isConditionSelected(condition)">
        <div class="igx-grid__filtering-dropdown-items">
            <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
            <span class="igx-grid__filtering-dropdown-text">{{ translateCondition(condition) }}</span>
        </div>
    </igx-drop-down-item>
</igx-drop-down>

<ng-template #defaultFilterUI>
    <igx-input-group #inputGroup type="box" [displayDensity]="displayDensity" (focusout)="onInputGroupFocusout()">
        <igx-prefix #inputGroupPrefix
                    (click)="inputGroupPrefixClick($event)"
                    (keydown)="onPrefixKeyDown($event)"
                    tabindex="0"
                    [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="getIconName()"></igx-icon>
        </igx-prefix>
        <input
            #input
            igxInput
            tabindex="0"
            [placeholder]="placeholder"
            autocomplete="off"
            [value]="value"
            (input)="onInput($event)"
            [type]="type"
            [readonly]="isUnaryCondition"
            (click)="onInputClick()"
            (compositionstart)="onCompositionStart()"
            (compositionend)="onCompositionEnd()"
            (keydown)="onInputKeyDown($event)"
            (keyup)="onInputKeyUp()"/>
        <igx-suffix *ngIf="value || value === 0" >
            <igx-icon (keydown)="onCommitKeyDown($event)" (click)="onCommitClick()" tabindex="0">done</igx-icon>
            <igx-icon (keydown)="onClearKeyDown($event)" (click)="onClearClick()" tabindex="0">clear</igx-icon>
        </igx-suffix>
    </igx-input-group>
</ng-template>

<ng-template #defaultDateUI>
    <igx-date-picker #picker
        [(value)]="value"
        [readOnly]="true"
        [outlet]="filteringService.grid.outlet"
        [locale]="filteringService.grid.locale"
        (click)="expression.condition.isUnary ? null : picker.open()"
        type="box"
        [displayFormat]="column.pipeArgs.format"
        [formatter]="column.formatter"
        [placeholder]="placeholder"
        [weekStart]="column.pipeArgs.weekStart"
        [displayDensity]="displayDensity"
        (keydown)="onInputKeyDown($event)"
        (focusout)="onInputGroupFocusout()"
        (closed)="focusEditElement()">
        <igx-prefix #inputGroupPrefix
            tabindex="0"
            (click)="inputGroupPrefixClick($event)"
            (keydown)="onPrefixKeyDown($event)"
            [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="expression.condition.iconName"></igx-icon>
        </igx-prefix>
        <igx-suffix *ngIf="value">
            <igx-icon tabindex="0" (keydown)="onCommitKeyDown($event)" (click)="onCommitClick($event)">done</igx-icon>
            <igx-icon tabindex="0" (keydown)="onClearKeyDown($event)" (click)="clearInput($event)">clear</igx-icon>
        </igx-suffix>
        <!-- disable default icons -->
        <igx-picker-toggle></igx-picker-toggle>
        <igx-picker-clear></igx-picker-clear>
    </igx-date-picker>
</ng-template>

<ng-template #defaultTimeUI>
    <igx-time-picker #picker
        [(value)]="value"
        [inputFormat]="column.defaultTimeFormat"
        [locale]="filteringService.grid.locale"
        [formatter]="column.formatter"
        [outlet]="filteringService.grid.outlet"
        [displayDensity]="displayDensity"
        type="box"
        [readOnly]="true"
        [placeholder]="placeholder"
        (closed)="focusEditElement()"
        (focusout)="onInputGroupFocusout()"
        (keydown)="onInputKeyDown($event)"
        (click)="expression.condition.isUnary ? null : picker.open()">
        <igx-prefix #inputGroupPrefix
            tabindex="0"
            (click)="inputGroupPrefixClick($event)"
            (keydown)="onPrefixKeyDown($event)"
            [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="expression.condition.iconName"></igx-icon>
        </igx-prefix>
        <igx-suffix *ngIf="value">
            <igx-icon tabindex="0" (keydown)="onCommitKeyDown($event)" (click)="onCommitClick($event)">done</igx-icon>
            <igx-icon tabindex="0" (keydown)="onClearKeyDown($event)" (click)="clearInput($event)">clear</igx-icon>
        </igx-suffix>
        <!-- disable default icons -->
        <igx-picker-toggle></igx-picker-toggle>
        <igx-picker-clear></igx-picker-clear>
    </igx-time-picker>
</ng-template>

<ng-template #defaultDateTimeUI>
    <igx-input-group #inputGroup type="box" [displayDensity]="displayDensity" (focusout)="onInputGroupFocusout()">
        <igx-prefix #inputGroupPrefix
                    (click)="inputGroupPrefixClick($event)"
                    (keydown)="onPrefixKeyDown($event)"
                    tabindex="0"
                    [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="getIconName()"></igx-icon>
        </igx-prefix>
        <input
            #input
            igxInput
            tabindex="0"
            [placeholder]="placeholder"
            [igxDateTimeEditor]="column.defaultDateTimeFormat"
            [value]="value"
            (valueChange)="onInput($event)"
            [readonly]="isUnaryCondition"
            (click)="onInputClick()"
            (keydown)="onInputKeyDown($event)"
            (keyup)="onInputKeyUp()"/>
            <igx-suffix *ngIf="value || value === 0" >
                <igx-icon (keydown)="onCommitKeyDown($event)" (click)="onCommitClick()" tabindex="0">done</igx-icon>
                <igx-icon (keydown)="onClearKeyDown($event)" (click)="onClearClick()" tabindex="0">clear</igx-icon>
            </igx-suffix>
    </igx-input-group>
</ng-template>

<ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>

<button igxIconButton="flat" type="button" class="igx-grid__filtering-row-scroll-start" *ngIf="showArrows" (keydown)="onLeftArrowKeyDown($event)" (click)="scrollChipsOnArrowPress('left')">
    <igx-icon>navigate_before</igx-icon>
</button>

<div #container class="igx-grid__filtering-row-main">
    <div>
         <igx-chips-area #chipsArea>
            <ng-container *ngFor="let item of expressionsList; index as i; let last = last;" tabindex="0">
                <igx-chip #chip id="chip"
                    (pointerdown)="onChipPointerdown($event, chip)"
                    (click)="onChipClick($event, item)"
                    (keydown)="onChipKeyDown($event, item)"
                    (remove)="onChipRemoved($event, item)"
                    [selectable]="false"
                    [selected]="item.isSelected"
                    [displayDensity]="displayDensity"
                    [removable]="true">
                    <igx-icon
                        igxPrefix
                        family="imx-icons"
                        [name]="item.expression.condition.iconName">
                    </igx-icon>
                    <span>{{filteringService.getChipLabel(item.expression)}}</span>
                </igx-chip>

                <span id="operand" *ngIf="!last">
                    <button igxButton type="button" (click)="toggleOperatorsDropDown($event, i)" [igxDropDownItemNavigation]="operators" [displayDensity]="displayDensity">
                        <igx-icon>expand_more</igx-icon>
                        <span>{{filteringService.getOperatorAsString(item.afterOperator)}}</span>
                    </button>
                    <igx-drop-down [displayDensity]="column.grid.displayDensity" #operators (selectionChanging)="onLogicOperatorChanged($event, item)">
                            <igx-drop-down-item [value]="0" [selected]="item.afterOperator === 0">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_and}}</igx-drop-down-item>
                            <igx-drop-down-item [value]="1" [selected]="item.afterOperator === 1">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_or}}</igx-drop-down-item>
                    </igx-drop-down>
                </span>
            </ng-container>
        </igx-chips-area>
    </div>
</div>

<button igxIconButton="flat" type="button" class="igx-grid__filtering-row-scroll-end" *ngIf="showArrows" (click)="scrollChipsOnArrowPress('right')">
    <igx-icon>navigate_next</igx-icon>
</button>

<div #buttonsContainer [ngClass]="isNarrowWidth ? 'igx-grid__filtering-row-editing-buttons--small' : 'igx-grid__filtering-row-editing-buttons'">
    <ng-container *ngIf="!isNarrowWidth">
        <button [displayDensity]="displayDensity" igxButton="flat" type="button" igxRipple (click)="clearFiltering()" [disabled]="disabled" [tabindex]="disabled">
            <igx-icon>refresh</igx-icon>
            <span>{{ filteringService.grid.resourceStrings.igx_grid_filter_row_reset }}</span>
        </button>
        <button #closeButton [displayDensity]="displayDensity" igxButton="flat" type="button" igxRipple (click)="close()">
            <igx-icon>close</igx-icon>
            <span>{{ filteringService.grid.resourceStrings.igx_grid_filter_row_close }}</span>
        </button>
    </ng-container>
    <ng-container *ngIf="isNarrowWidth">
        <button igxIconButton="flat" type="button" [style.--component-size]="getIconBtnSize()" igxRipple (click)="clearFiltering()" [disabled]="disabled" [tabindex]="disabled">
            <igx-icon>refresh</igx-icon>
        </button>
        <button #closeButton igxIconButton="flat" type="button" [style.--component-size]="getIconBtnSize()" igxRipple (click)="close()">
            <igx-icon>close</igx-icon>
        </button>
    </ng-container>
</div>
`, dependencies: [{ kind: "directive", type: NgFor19, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxDropDownComponent, selector: "igx-drop-down", inputs: ["allowItemsFocus", "labelledBy"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "component", type: IgxDropDownItemComponent, selector: "igx-drop-down-item" }, { kind: "component", type: IgxChipsAreaComponent, selector: "igx-chips-area", inputs: ["width", "height"], outputs: ["reorder", "selectionChange", "moveStart", "moveEnd"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: NgIf50, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxPickerToggleComponent, selector: "igx-picker-toggle", outputs: ["clicked"] }, { kind: "component", type: IgxPickerClearComponent, selector: "igx-picker-clear" }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: NgTemplateOutlet23, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: NgClass19, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }], changeDetection: i0168.ChangeDetectionStrategy.OnPush });
  }
};
i0168.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0168, type: IgxGridFilteringRowComponent, decorators: [{
  type: Component76,
  args: [{ changeDetection: ChangeDetectionStrategy21.OnPush, selector: "igx-grid-filtering-row", standalone: true, imports: [NgFor19, IgxDropDownComponent, IgxDropDownItemComponent, IgxChipsAreaComponent, IgxChipComponent, IgxIconComponent, IgxInputGroupComponent, IgxPrefixDirective, IgxDropDownItemNavigationDirective, IgxInputDirective, NgIf50, IgxSuffixDirective, IgxDatePickerComponent, IgxPickerToggleComponent, IgxPickerClearComponent, IgxTimePickerComponent, IgxDateTimeEditorDirective, NgTemplateOutlet23, IgxButtonDirective, NgClass19, IgxRippleDirective, IgxIconButtonDirective], template: `<!-- Have to apply styles inline because of the overlay outlet ... -->
<igx-drop-down #inputGroupConditions [displayDensity]="displayDensity" [height]="'200px'" (selectionChanging)="onConditionsChanged($event)">
    <igx-drop-down-item *ngFor="let condition of conditions"
        [value]="condition"
        [selected]="isConditionSelected(condition)">
        <div class="igx-grid__filtering-dropdown-items">
            <igx-icon family="imx-icons" [name]="getCondition(condition).iconName"></igx-icon>
            <span class="igx-grid__filtering-dropdown-text">{{ translateCondition(condition) }}</span>
        </div>
    </igx-drop-down-item>
</igx-drop-down>

<ng-template #defaultFilterUI>
    <igx-input-group #inputGroup type="box" [displayDensity]="displayDensity" (focusout)="onInputGroupFocusout()">
        <igx-prefix #inputGroupPrefix
                    (click)="inputGroupPrefixClick($event)"
                    (keydown)="onPrefixKeyDown($event)"
                    tabindex="0"
                    [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="getIconName()"></igx-icon>
        </igx-prefix>
        <input
            #input
            igxInput
            tabindex="0"
            [placeholder]="placeholder"
            autocomplete="off"
            [value]="value"
            (input)="onInput($event)"
            [type]="type"
            [readonly]="isUnaryCondition"
            (click)="onInputClick()"
            (compositionstart)="onCompositionStart()"
            (compositionend)="onCompositionEnd()"
            (keydown)="onInputKeyDown($event)"
            (keyup)="onInputKeyUp()"/>
        <igx-suffix *ngIf="value || value === 0" >
            <igx-icon (keydown)="onCommitKeyDown($event)" (click)="onCommitClick()" tabindex="0">done</igx-icon>
            <igx-icon (keydown)="onClearKeyDown($event)" (click)="onClearClick()" tabindex="0">clear</igx-icon>
        </igx-suffix>
    </igx-input-group>
</ng-template>

<ng-template #defaultDateUI>
    <igx-date-picker #picker
        [(value)]="value"
        [readOnly]="true"
        [outlet]="filteringService.grid.outlet"
        [locale]="filteringService.grid.locale"
        (click)="expression.condition.isUnary ? null : picker.open()"
        type="box"
        [displayFormat]="column.pipeArgs.format"
        [formatter]="column.formatter"
        [placeholder]="placeholder"
        [weekStart]="column.pipeArgs.weekStart"
        [displayDensity]="displayDensity"
        (keydown)="onInputKeyDown($event)"
        (focusout)="onInputGroupFocusout()"
        (closed)="focusEditElement()">
        <igx-prefix #inputGroupPrefix
            tabindex="0"
            (click)="inputGroupPrefixClick($event)"
            (keydown)="onPrefixKeyDown($event)"
            [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="expression.condition.iconName"></igx-icon>
        </igx-prefix>
        <igx-suffix *ngIf="value">
            <igx-icon tabindex="0" (keydown)="onCommitKeyDown($event)" (click)="onCommitClick($event)">done</igx-icon>
            <igx-icon tabindex="0" (keydown)="onClearKeyDown($event)" (click)="clearInput($event)">clear</igx-icon>
        </igx-suffix>
        <!-- disable default icons -->
        <igx-picker-toggle></igx-picker-toggle>
        <igx-picker-clear></igx-picker-clear>
    </igx-date-picker>
</ng-template>

<ng-template #defaultTimeUI>
    <igx-time-picker #picker
        [(value)]="value"
        [inputFormat]="column.defaultTimeFormat"
        [locale]="filteringService.grid.locale"
        [formatter]="column.formatter"
        [outlet]="filteringService.grid.outlet"
        [displayDensity]="displayDensity"
        type="box"
        [readOnly]="true"
        [placeholder]="placeholder"
        (closed)="focusEditElement()"
        (focusout)="onInputGroupFocusout()"
        (keydown)="onInputKeyDown($event)"
        (click)="expression.condition.isUnary ? null : picker.open()">
        <igx-prefix #inputGroupPrefix
            tabindex="0"
            (click)="inputGroupPrefixClick($event)"
            (keydown)="onPrefixKeyDown($event)"
            [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="expression.condition.iconName"></igx-icon>
        </igx-prefix>
        <igx-suffix *ngIf="value">
            <igx-icon tabindex="0" (keydown)="onCommitKeyDown($event)" (click)="onCommitClick($event)">done</igx-icon>
            <igx-icon tabindex="0" (keydown)="onClearKeyDown($event)" (click)="clearInput($event)">clear</igx-icon>
        </igx-suffix>
        <!-- disable default icons -->
        <igx-picker-toggle></igx-picker-toggle>
        <igx-picker-clear></igx-picker-clear>
    </igx-time-picker>
</ng-template>

<ng-template #defaultDateTimeUI>
    <igx-input-group #inputGroup type="box" [displayDensity]="displayDensity" (focusout)="onInputGroupFocusout()">
        <igx-prefix #inputGroupPrefix
                    (click)="inputGroupPrefixClick($event)"
                    (keydown)="onPrefixKeyDown($event)"
                    tabindex="0"
                    [igxDropDownItemNavigation]="inputGroupConditions">
            <igx-icon family="imx-icons" [name]="getIconName()"></igx-icon>
        </igx-prefix>
        <input
            #input
            igxInput
            tabindex="0"
            [placeholder]="placeholder"
            [igxDateTimeEditor]="column.defaultDateTimeFormat"
            [value]="value"
            (valueChange)="onInput($event)"
            [readonly]="isUnaryCondition"
            (click)="onInputClick()"
            (keydown)="onInputKeyDown($event)"
            (keyup)="onInputKeyUp()"/>
            <igx-suffix *ngIf="value || value === 0" >
                <igx-icon (keydown)="onCommitKeyDown($event)" (click)="onCommitClick()" tabindex="0">done</igx-icon>
                <igx-icon (keydown)="onClearKeyDown($event)" (click)="onClearClick()" tabindex="0">clear</igx-icon>
            </igx-suffix>
    </igx-input-group>
</ng-template>

<ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>

<button igxIconButton="flat" type="button" class="igx-grid__filtering-row-scroll-start" *ngIf="showArrows" (keydown)="onLeftArrowKeyDown($event)" (click)="scrollChipsOnArrowPress('left')">
    <igx-icon>navigate_before</igx-icon>
</button>

<div #container class="igx-grid__filtering-row-main">
    <div>
         <igx-chips-area #chipsArea>
            <ng-container *ngFor="let item of expressionsList; index as i; let last = last;" tabindex="0">
                <igx-chip #chip id="chip"
                    (pointerdown)="onChipPointerdown($event, chip)"
                    (click)="onChipClick($event, item)"
                    (keydown)="onChipKeyDown($event, item)"
                    (remove)="onChipRemoved($event, item)"
                    [selectable]="false"
                    [selected]="item.isSelected"
                    [displayDensity]="displayDensity"
                    [removable]="true">
                    <igx-icon
                        igxPrefix
                        family="imx-icons"
                        [name]="item.expression.condition.iconName">
                    </igx-icon>
                    <span>{{filteringService.getChipLabel(item.expression)}}</span>
                </igx-chip>

                <span id="operand" *ngIf="!last">
                    <button igxButton type="button" (click)="toggleOperatorsDropDown($event, i)" [igxDropDownItemNavigation]="operators" [displayDensity]="displayDensity">
                        <igx-icon>expand_more</igx-icon>
                        <span>{{filteringService.getOperatorAsString(item.afterOperator)}}</span>
                    </button>
                    <igx-drop-down [displayDensity]="column.grid.displayDensity" #operators (selectionChanging)="onLogicOperatorChanged($event, item)">
                            <igx-drop-down-item [value]="0" [selected]="item.afterOperator === 0">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_and}}</igx-drop-down-item>
                            <igx-drop-down-item [value]="1" [selected]="item.afterOperator === 1">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_or}}</igx-drop-down-item>
                    </igx-drop-down>
                </span>
            </ng-container>
        </igx-chips-area>
    </div>
</div>

<button igxIconButton="flat" type="button" class="igx-grid__filtering-row-scroll-end" *ngIf="showArrows" (click)="scrollChipsOnArrowPress('right')">
    <igx-icon>navigate_next</igx-icon>
</button>

<div #buttonsContainer [ngClass]="isNarrowWidth ? 'igx-grid__filtering-row-editing-buttons--small' : 'igx-grid__filtering-row-editing-buttons'">
    <ng-container *ngIf="!isNarrowWidth">
        <button [displayDensity]="displayDensity" igxButton="flat" type="button" igxRipple (click)="clearFiltering()" [disabled]="disabled" [tabindex]="disabled">
            <igx-icon>refresh</igx-icon>
            <span>{{ filteringService.grid.resourceStrings.igx_grid_filter_row_reset }}</span>
        </button>
        <button #closeButton [displayDensity]="displayDensity" igxButton="flat" type="button" igxRipple (click)="close()">
            <igx-icon>close</igx-icon>
            <span>{{ filteringService.grid.resourceStrings.igx_grid_filter_row_close }}</span>
        </button>
    </ng-container>
    <ng-container *ngIf="isNarrowWidth">
        <button igxIconButton="flat" type="button" [style.--component-size]="getIconBtnSize()" igxRipple (click)="clearFiltering()" [disabled]="disabled" [tabindex]="disabled">
            <igx-icon>refresh</igx-icon>
        </button>
        <button #closeButton igxIconButton="flat" type="button" [style.--component-size]="getIconBtnSize()" igxRipple (click)="close()">
            <igx-icon>close</igx-icon>
        </button>
    </ng-container>
</div>
` }]
}], ctorParameters: () => [{ type: IgxFilteringService }, { type: i0168.ElementRef }, { type: i0168.ChangeDetectorRef }, { type: PlatformUtil }], propDecorators: { column: [{
  type: Input103
}], value: [{
  type: Input103
}], defaultCSSClass: [{
  type: HostBinding77,
  args: ["class.igx-grid__filtering-row"]
}], compactCSSClass: [{
  type: HostBinding77,
  args: ["class.igx-grid__filtering-row--compact"]
}], cosyCSSClass: [{
  type: HostBinding77,
  args: ["class.igx-grid__filtering-row--cosy"]
}], defaultFilterUI: [{
  type: ViewChild43,
  args: ["defaultFilterUI", { read: TemplateRef24, static: true }]
}], defaultDateUI: [{
  type: ViewChild43,
  args: ["defaultDateUI", { read: TemplateRef24, static: true }]
}], defaultTimeUI: [{
  type: ViewChild43,
  args: ["defaultTimeUI", { read: TemplateRef24, static: true }]
}], defaultDateTimeUI: [{
  type: ViewChild43,
  args: ["defaultDateTimeUI", { read: TemplateRef24, static: true }]
}], input: [{
  type: ViewChild43,
  args: ["input", { read: ElementRef79 }]
}], dropDownConditions: [{
  type: ViewChild43,
  args: ["inputGroupConditions", { read: IgxDropDownComponent, static: true }]
}], chipsArea: [{
  type: ViewChild43,
  args: ["chipsArea", { read: IgxChipsAreaComponent, static: true }]
}], dropDownOperators: [{
  type: ViewChildren13,
  args: ["operators", { read: IgxDropDownComponent }]
}], inputGroup: [{
  type: ViewChild43,
  args: ["inputGroup", { read: ElementRef79 }]
}], picker: [{
  type: ViewChild43,
  args: ["picker"]
}], inputGroupPrefix: [{
  type: ViewChild43,
  args: ["inputGroupPrefix", { read: ElementRef79 }]
}], container: [{
  type: ViewChild43,
  args: ["container", { static: true }]
}], operand: [{
  type: ViewChild43,
  args: ["operand"]
}], closeButton: [{
  type: ViewChild43,
  args: ["closeButton", { static: true }]
}], onKeydownHandler: [{
  type: HostListener42,
  args: ["keydown", ["$event"]]
}] } });

// lib/grids/grid-public-row.mjs
import { mergeWith as mergeWith3 } from "lodash-es";
var BaseRow = class {
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   * Gets the row key.
   * A row in the grid is identified either by:
   * - primaryKey data value,
   * - the whole rowData, if the primaryKey is omitted.
   *
   * ```typescript
   * let rowKey = row.key;
   * ```
   */
  get key() {
    const data = this._data ?? this.grid.dataView[this.index];
    const primaryKey = this.grid.primaryKey;
    return primaryKey ? data[primaryKey] : data;
  }
  /**
   * Gets if this represents add row UI
   *
   * ```typescript
   * let isAddRow = row.addRowUI;
   * ```
   */
  get addRowUI() {
    return !!this.grid.crudService.row && this.grid.crudService.row.getClassName() === IgxAddRow.name && this.grid.crudService.row.id === this.key;
  }
  /** Gets the validation status and errors, if any.
  * ```typescript
  * let validation = row.validation;
  * let errors = validation.errors;
  * ```
  */
  get validation() {
    const formGroup = this.grid.validation.getFormGroup(this.key);
    return { status: formGroup?.status || "VALID", errors: formGroup?.errors };
  }
  /**
   * The data record that populates the row.
   *
   * ```typescript
   * let rowData = row.data;
   * ```
   */
  get data() {
    if (this.inEditMode) {
      return mergeWith3(this.grid.dataCloneStrategy.clone(this._data ?? this.grid.dataView[this.index]), this.grid.transactions.getAggregatedValue(this.key, false), (objValue, srcValue) => {
        if (Array.isArray(srcValue)) {
          return objValue = srcValue;
        }
      });
    }
    return this._data ?? this.grid.dataView[this.index];
  }
  /**
   * Returns if the row is currently in edit mode.
   */
  get inEditMode() {
    if (this.grid.rowEditable) {
      const editRowState = this.grid.crudService.row;
      return editRowState && editRowState.id === this.key || false;
    } else {
      return false;
    }
  }
  /**
   * Gets whether the row is pinned.
   * Default value is `false`.
   * ```typescript
   * const isPinned = row.pinned;
   * ```
   */
  get pinned() {
    return this.grid.isRecordPinned(this.data);
  }
  /**
   * Sets whether the row is pinned.
   * Default value is `false`.
   * ```typescript
   * row.pinned = !row.pinned;
   * ```
   */
  set pinned(val) {
    if (val) {
      this.pin();
    } else {
      this.unpin();
    }
  }
  /**
   * Gets the row expanded/collapsed state.
   *
   * ```typescript
   * const isExpanded = row.expanded;
   * ```
   */
  get expanded() {
    return this.grid.gridAPI.get_row_expansion_state(this.data);
  }
  /**
   * Expands/collapses the row.
   *
   * ```typescript
   * row.expanded = true;
   * ```
   */
  set expanded(val) {
    this.grid.gridAPI.set_row_expansion_state(this.key, val);
  }
  /**
   * Gets whether the row is selected.
   * Default value is `false`.
   * ```typescript
   * row.selected = true;
   * ```
   */
  get selected() {
    return this.grid.selectionService.isRowSelected(this.key);
  }
  /**
   * Sets whether the row is selected.
   * Default value is `false`.
   * ```typescript
   * row.selected = !row.selected;
   * ```
   */
  set selected(val) {
    if (val) {
      this.grid.selectionService.selectRowsWithNoEvent([this.key]);
    } else {
      this.grid.selectionService.deselectRowsWithNoEvent([this.key]);
    }
    this.grid.cdr.markForCheck();
  }
  /**
   * Returns if the row is in delete state.
   */
  get deleted() {
    return this.grid.gridAPI.row_deleted_transaction(this.key);
  }
  /**
   * Returns if the row has child rows. Always return false for IgxGridRow.
   */
  get hasChildren() {
    return false;
  }
  get disabled() {
    return this.grid.isGhostRecord(this.data);
  }
  /**
   * Gets the rendered cells in the row component.
   */
  get cells() {
    const res = [];
    this.grid.columns.forEach((col) => {
      const cell = new IgxGridCell(this.grid, this.index, col);
      res.push(cell);
    });
    return res;
  }
  /**
   * Pins the specified row.
   * This method emits `onRowPinning` event.
   *
   * ```typescript
   * // pin the selected row from the grid
   * this.grid.selectedRows[0].pin();
   * ```
   */
  pin() {
    return this.grid.pinRow(this.key, this.index);
  }
  /**
   * Unpins the specified row.
   * This method emits `onRowPinning` event.
   *
   * ```typescript
   * // unpin the selected row from the grid
   * this.grid.selectedRows[0].unpin();
   * ```
   */
  unpin() {
    return this.grid.unpinRow(this.key);
  }
  /**
   * Updates the specified row object and the data source record with the passed value.
   *
   * ```typescript
   * // update the second selected row's value
   * let newValue = "Apple";
   * this.grid.selectedRows[1].update(newValue);
   * ```
   */
  update(value) {
    const crudService = this.grid.crudService;
    if (crudService.cellInEditMode && crudService.cell.id.rowID === this.key) {
      this.grid.transactions.endPending(false);
    }
    const row = new IgxEditRow(this.key, this.index, this.data, this.grid);
    this.grid.gridAPI.update_row(row, value);
    this.grid.notifyChanges();
  }
  /**
   * Removes the specified row from the grid's data source.
   * This method emits `onRowDeleted` event.
   *
   * ```typescript
   * // delete the third selected row from the grid
   * this.grid.selectedRows[2].delete();
   * ```
   */
  delete() {
    this.grid.deleteRowById(this.key);
  }
};
var IgxGridRow = class extends BaseRow {
  /**
   * @hidden
   */
  constructor(grid, index, data) {
    super();
    this.grid = grid;
    this.index = index;
    this._data = data && data.addRow && data.recordRef ? data.recordRef : data;
  }
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    if (this.grid.paginator) {
      const precedingDetailRows = [];
      const precedingGroupRows = [];
      const firstRow = this.grid.dataView[0];
      const hasDetailRows = this.grid.expansionStates.size;
      const hasGroupedRows = this.grid.groupingExpressions.length;
      let precedingSummaryRows = 0;
      const firstRowInd = this.grid.groupingFlatResult.indexOf(firstRow);
      if (hasDetailRows || hasGroupedRows) {
        this.grid.groupingFlatResult.forEach((r, ind) => {
          const rowID = this.grid.primaryKey ? r[this.grid.primaryKey] : r;
          if (hasGroupedRows && ind < firstRowInd && this.grid.isGroupByRecord(r)) {
            precedingGroupRows.push(r);
          }
          if (this.grid.expansionStates.get(rowID) && ind < firstRowInd && !this.grid.isGroupByRecord(r)) {
            precedingDetailRows.push(r);
          }
        });
      }
      if (this.grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly) {
        precedingSummaryRows = precedingGroupRows.filter((gr) => this.grid.isExpandedGroup(gr)).length;
        if (this.grid.summaryPosition === GridSummaryPosition.bottom && precedingGroupRows.length && precedingGroupRows[precedingGroupRows.length - 1].records.indexOf(firstRow) > -1) {
          precedingSummaryRows += -1;
        }
      }
      return precedingDetailRows.length + precedingSummaryRows + firstRowInd + this.index;
    } else {
      return this.index;
    }
  }
  /**
   * Returns the parent row, if grid is grouped.
   */
  get parent() {
    let parent;
    if (!this.grid.groupingExpressions.length) {
      return void 0;
    }
    let i = this.index - 1;
    while (i >= 0 && !parent) {
      const rec = this.grid.dataView[i];
      if (this.grid.isGroupByRecord(rec)) {
        parent = new IgxGroupByRow(this.grid, i, rec);
      }
      i--;
    }
    return parent;
  }
};
var IgxTreeGridRow = class _IgxTreeGridRow extends BaseRow {
  /**
   * @hidden
   */
  constructor(grid, index, data, _treeRow) {
    super();
    this.grid = grid;
    this.index = index;
    this._treeRow = _treeRow;
    this._data = data && data.addRow && data.recordRef ? data.recordRef : data;
  }
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    if (this.grid.hasSummarizedColumns && this.grid.page > 0) {
      if (this.grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly) {
        const firstRowIndex = this.grid.processedExpandedFlatData.indexOf(this.grid.dataView[0].data);
        const precedingSummaryRows = this.grid.summaryPosition === GridSummaryPosition.bottom ? this.grid.rootRecords.indexOf(this.getRootParent(this.grid.dataView[0])) : this.grid.rootRecords.indexOf(this.getRootParent(this.grid.dataView[0])) + 1;
        return firstRowIndex + precedingSummaryRows + this.index;
      }
    }
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   *  The data passed to the row component.
   *
   * ```typescript
   * let selectedRowData = this.grid.selectedRows[0].data;
   * ```
   */
  get data() {
    if (this.inEditMode) {
      return mergeWith3(this.grid.dataCloneStrategy.clone(this._data ?? this.grid.dataView[this.index]), this.grid.transactions.getAggregatedValue(this.key, false), (objValue, srcValue) => {
        if (Array.isArray(srcValue)) {
          return objValue = srcValue;
        }
      });
    }
    const rec = this.grid.dataView[this.index];
    return this._data ? this._data : this.grid.isTreeRow(rec) ? rec.data : rec;
  }
  /**
   * Returns the child rows.
   */
  get children() {
    const children = [];
    if (this.treeRow.expanded) {
      this.treeRow.children.forEach((rec, i) => {
        const row = new _IgxTreeGridRow(this.grid, this.index + 1 + i, rec.data);
        children.push(row);
      });
    }
    return children;
  }
  /**
   * Returns the parent row.
   */
  get parent() {
    const row = this.grid.getRowByKey(this.treeRow.parent?.key);
    return row;
  }
  /**
   * Returns true if child rows exist. Always return false for IgxGridRow.
   */
  get hasChildren() {
    if (this.treeRow.children) {
      return this.treeRow.children.length > 0;
    } else {
      return false;
    }
  }
  /**
   * The `ITreeGridRecord` with metadata about the row in the context of the tree grid.
   *
   * ```typescript
   * const rowParent = this.treeGrid.getRowByKey(1).treeRow.parent;
   * ```
   */
  get treeRow() {
    return this._treeRow ?? this.grid.records.get(this.key);
  }
  /**
   * Gets whether the row is pinned.
   *
   * ```typescript
   * let isPinned = row.pinned;
   * ```
   */
  get pinned() {
    return this.grid.isRecordPinned(this);
  }
  /**
   * Sets whether the row is pinned.
   * Default value is `false`.
   * ```typescript
   * row.pinned = !row.pinned;
   * ```
   */
  set pinned(val) {
    if (val) {
      this.pin();
    } else {
      this.unpin();
    }
  }
  /**
   * Gets whether the row is expanded.
   *
   * ```typescript
   * let esExpanded = row.expanded;
   * ```
   */
  get expanded() {
    return this.grid.gridAPI.get_row_expansion_state(this.treeRow);
  }
  /**
   * Expands/collapses the row.
   *
   * ```typescript
   * row.expanded = true;
   * ```
   */
  set expanded(val) {
    this.grid.gridAPI.set_row_expansion_state(this.key, val);
  }
  get disabled() {
    return this.grid.isGhostRecord(this.data) ? this.treeRow.isFilteredOutParent === void 0 : false;
  }
  getRootParent(row) {
    while (row.parent) {
      row = row.parent;
    }
    return row;
  }
};
var IgxHierarchicalGridRow = class extends BaseRow {
  /**
   * @hidden
   */
  constructor(grid, index, data) {
    super();
    this.grid = grid;
    this.index = index;
    this._data = data && data.addRow && data.recordRef ? data.recordRef : data;
  }
  /**
   * Returns true if row islands exist.
   */
  get hasChildren() {
    return !!this.grid.childLayoutKeys.length;
  }
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    const firstRowInd = this.grid.filteredSortedData.indexOf(this.grid.dataView[0]);
    const expandedRows = this.grid.filteredSortedData.filter((rec, ind) => {
      const rowID = this.grid.primaryKey ? rec[this.grid.primaryKey] : rec;
      return this.grid.expansionStates.get(rowID) && ind < firstRowInd;
    });
    return firstRowInd + expandedRows.length + this.index;
  }
  /**
   * Gets the rendered cells in the row component.
   */
  get cells() {
    const res = [];
    this.grid.columns.forEach((col) => {
      const cell = new IgxGridCell(this.grid, this.index, col);
      res.push(cell);
    });
    return res;
  }
};
var IgxGroupByRow = class {
  /**
   * The IGroupByRecord object, representing the group record, if the row is a GroupByRow.
   */
  get groupRow() {
    return this._groupRow ? this._groupRow : this.grid.dataView[this.index];
  }
  /**
   * Returns the child rows.
   */
  get children() {
    const children = [];
    this.groupRow.records.forEach((rec, i) => {
      const row = new IgxGridRow(this.grid, this.index + 1 + i, rec);
      children.push(row);
    });
    return children;
  }
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    if (this.grid.page) {
      const precedingDetailRows = [];
      const precedingGroupRows = [];
      const firstRow = this.grid.dataView[0];
      const hasDetailRows = this.grid.expansionStates.size;
      const hasGroupedRows = this.grid.groupingExpressions.length;
      let precedingSummaryRows = 0;
      const firstRowInd = this.grid.groupingFlatResult.indexOf(firstRow);
      if (hasDetailRows || hasGroupedRows) {
        this.grid.groupingFlatResult.forEach((r, ind) => {
          const rowID = this.grid.primaryKey ? r[this.grid.primaryKey] : r;
          if (hasGroupedRows && ind < firstRowInd && this.grid.isGroupByRecord(r)) {
            precedingGroupRows.push(r);
          }
          if (this.grid.expansionStates.get(rowID) && ind < firstRowInd && !this.grid.isGroupByRecord(r)) {
            precedingDetailRows.push(r);
          }
        });
      }
      if (this.grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly) {
        precedingSummaryRows = precedingGroupRows.filter((gr) => this.grid.isExpandedGroup(gr)).length;
        if (this.grid.summaryPosition === GridSummaryPosition.bottom && precedingGroupRows.length && precedingGroupRows[precedingGroupRows.length - 1].records.indexOf(firstRow) > -1) {
          precedingSummaryRows += -1;
        }
      }
      return precedingDetailRows.length + precedingSummaryRows + firstRowInd + this.index;
    } else {
      return this.index;
    }
  }
  /**
   * @hidden
   */
  constructor(grid, index, _groupRow) {
    this._groupRow = _groupRow;
    this.grid = grid;
    this.index = index;
    this.isGroupByRow = true;
  }
  /**
   * Gets whether the row is selected.
   * Default value is `false`.
   * ```typescript
   * row.selected = true;
   * ```
   */
  get selected() {
    return this.children.every((row) => row.selected);
  }
  /**
   * Sets whether the row is selected.
   * Default value is `false`.
   * ```typescript
   * row.selected = !row.selected;
   * ```
   */
  set selected(val) {
    if (val) {
      this.children.forEach((row) => {
        this.grid.selectionService.selectRowsWithNoEvent([row.key]);
      });
    } else {
      this.children.forEach((row) => {
        this.grid.selectionService.deselectRowsWithNoEvent([row.key]);
      });
    }
    this.grid.cdr.markForCheck();
  }
  /**
   * Gets/sets whether the group row is expanded.
   * ```typescript
   * const groupRowExpanded = groupRow.expanded;
   * ```
   */
  get expanded() {
    return this.grid.isExpandedGroup(this.groupRow);
  }
  set expanded(value) {
    this.gridAPI.set_grouprow_expansion_state(this.groupRow, value);
  }
  isActive() {
    return this.grid.navigation.activeNode ? this.grid.navigation.activeNode.row === this.index : false;
  }
  /**
   * Toggles the group row expanded/collapsed state.
   * ```typescript
   * groupRow.toggle()
   * ```
   */
  toggle() {
    this.grid.toggleGroup(this.groupRow);
  }
  get gridAPI() {
    return this.grid.gridAPI;
  }
};
var IgxSummaryRow = class {
  /**
   * The IGroupByRecord object, representing the group record, if the row is a GroupByRow.
   */
  get summaries() {
    return this._summaries ? this._summaries : this.grid.dataView[this.index].summaries;
  }
  /**
   * Returns the view index calculated per the grid page.
   */
  get viewIndex() {
    if (this.grid.hasSummarizedColumns && this.grid.page > 0) {
      if (this.gridType === GridInstanceType.Grid) {
        if (this.grid.page) {
          const precedingDetailRows = [];
          const precedingGroupRows = [];
          const firstRow = this.grid.dataView[0];
          const hasDetailRows = this.grid.expansionStates.size;
          const hasGroupedRows = this.grid.groupingExpressions.length;
          let precedingSummaryRows = 0;
          const firstRowInd = this.grid.groupingFlatResult.indexOf(firstRow);
          if (hasDetailRows || hasGroupedRows) {
            this.grid.groupingFlatResult.forEach((r, ind) => {
              const rowID = this.grid.primaryKey ? r[this.grid.primaryKey] : r;
              if (hasGroupedRows && ind < firstRowInd && this.grid.isGroupByRecord(r)) {
                precedingGroupRows.push(r);
              }
              if (this.grid.expansionStates.get(rowID) && ind < firstRowInd && !this.grid.isGroupByRecord(r)) {
                precedingDetailRows.push(r);
              }
            });
          }
          if (this.grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly) {
            precedingSummaryRows = precedingGroupRows.filter((gr) => this.grid.isExpandedGroup(gr)).length;
            if (this.grid.summaryPosition === GridSummaryPosition.bottom && precedingGroupRows.length && precedingGroupRows[precedingGroupRows.length - 1].records.indexOf(firstRow) > -1) {
              precedingSummaryRows += -1;
            }
          }
          return precedingDetailRows.length + precedingSummaryRows + firstRowInd + this.index;
        } else {
          return this.index;
        }
      } else if (this.gridType === GridInstanceType.TreeGrid) {
        if (this.grid.summaryCalculationMode !== GridSummaryCalculationMode.rootLevelOnly) {
          const firstRowIndex = this.grid.processedExpandedFlatData.indexOf(this.grid.dataView[0].data);
          const precedingSummaryRows = this.grid.summaryPosition === GridSummaryPosition.bottom ? this.grid.rootRecords.indexOf(this.getRootParent(this.grid.dataView[0])) : this.grid.rootRecords.indexOf(this.getRootParent(this.grid.dataView[0])) + 1;
          return firstRowIndex + precedingSummaryRows + this.index;
        }
      }
    }
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   * @hidden
   */
  constructor(grid, index, _summaries, type) {
    this._summaries = _summaries;
    this.grid = grid;
    this.index = index;
    this.isSummaryRow = true;
    this.gridType = type;
  }
  getRootParent(row) {
    while (row.parent) {
      row = row.parent;
    }
    return row;
  }
};

// lib/grids/common/pipes.mjs
import { __decorate as __decorate4 } from "tslib";
import { Pipe as Pipe9, Inject as Inject65 } from "@angular/core";
import * as i0169 from "@angular/core";
var IgxGridCellStyleClassesPipe = class _IgxGridCellStyleClassesPipe {
  transform(cssClasses, _, data, field, index, __) {
    if (!cssClasses) {
      return "";
    }
    const result = [];
    for (const cssClass of Object.keys(cssClasses)) {
      const callbackOrValue = cssClasses[cssClass];
      const apply = typeof callbackOrValue === "function" ? callbackOrValue(data, field, resolveNestedPath(data, field), index) : callbackOrValue;
      if (apply) {
        result.push(cssClass);
      }
    }
    return result.join(" ");
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellStyleClassesPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellStyleClassesPipe, isStandalone: true, name: "igxCellStyleClasses" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridCellStyleClassesPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxCellStyleClasses",
    standalone: true
  }]
}] });
var IgxGridCellStylesPipe = class _IgxGridCellStylesPipe {
  transform(styles, _, data, field, index, __) {
    const css = {};
    if (!styles) {
      return css;
    }
    for (const prop of Object.keys(styles)) {
      const res = styles[prop];
      css[prop] = typeof res === "function" ? res(data, field, resolveNestedPath(data, field), index) : res;
    }
    return css;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellStylesPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellStylesPipe, isStandalone: true, name: "igxCellStyles" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridCellStylesPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxCellStyles",
    standalone: true
  }]
}] });
var IgxGridCellImageAltPipe = class _IgxGridCellImageAltPipe {
  transform(value) {
    if (value) {
      const val = value.split("/");
      const imagename = val[val.length - 1].split(".");
      return imagename.length ? imagename[0] : "";
    }
    return value;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellImageAltPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridCellImageAltPipe, isStandalone: true, name: "igxCellImageAlt" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridCellImageAltPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxCellImageAlt",
    standalone: true
  }]
}] });
var IgxGridRowClassesPipe = class _IgxGridRowClassesPipe {
  constructor(grid) {
    this.grid = grid;
    this.row = new IgxGridRow(this.grid, -1, {});
  }
  transform(cssClasses, row, editMode, selected, dirty, deleted, dragging, index, mrl, filteredOut, _rowData, _) {
    const result = /* @__PURE__ */ new Set(["igx-grid__tr", index % 2 ? "igx-grid__tr--even" : "igx-grid__tr--odd"]);
    const mapping = [
      [selected, "igx-grid__tr--selected"],
      [editMode, "igx-grid__tr--edit"],
      [dirty, "igx-grid__tr--edited"],
      [deleted, "igx-grid__tr--deleted"],
      [dragging, "igx-grid__tr--drag"],
      [mrl, "igx-grid__tr--mrl"],
      // Tree grid only
      [filteredOut, "igx-grid__tr--filtered"]
    ];
    for (const [state, _class] of mapping) {
      if (state) {
        result.add(_class);
      }
    }
    for (const cssClass of Object.keys(cssClasses ?? {})) {
      const callbackOrValue = cssClasses[cssClass];
      this.row.index = index;
      this.row._data = row.data;
      const apply = typeof callbackOrValue === "function" ? callbackOrValue(this.row) : callbackOrValue;
      if (apply) {
        result.add(cssClass);
      }
    }
    return result;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowClassesPipe, deps: [{ token: IGX_GRID_BASE }], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowClassesPipe, isStandalone: true, name: "igxGridRowClasses" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridRowClassesPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxGridRowClasses",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject65,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridRowStylesPipe = class _IgxGridRowStylesPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(styles, rowData, index, __) {
    const css = {};
    if (!styles) {
      return css;
    }
    for (const prop of Object.keys(styles)) {
      const cb = styles[prop];
      const data = this.grid.isTreeRow && this.grid.isTreeRow(rowData) ? rowData.data : rowData;
      const row = new IgxGridRow(this.grid, index, data);
      css[prop] = typeof cb === "function" ? cb(row) : cb;
    }
    return css;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowStylesPipe, deps: [{ token: IGX_GRID_BASE }], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowStylesPipe, isStandalone: true, name: "igxGridRowStyles" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridRowStylesPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxGridRowStyles",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject65,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridNotGroupedPipe = class _IgxGridNotGroupedPipe {
  transform(value) {
    return value.filter((item) => !item.columnGroup);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridNotGroupedPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridNotGroupedPipe, isStandalone: true, name: "igxNotGrouped" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridNotGroupedPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxNotGrouped",
    standalone: true
  }]
}] });
var IgxGridTopLevelColumns = class _IgxGridTopLevelColumns {
  transform(value) {
    return value.filter((item) => item.level === 0);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTopLevelColumns, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTopLevelColumns, isStandalone: true, name: "igxTopLevel" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridTopLevelColumns, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxTopLevel",
    standalone: true
  }]
}] });
var IgxGridFilterConditionPipe = class _IgxGridFilterConditionPipe {
  transform(value) {
    return value.split(/(?=[A-Z])/).join(" ");
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridFilterConditionPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridFilterConditionPipe, isStandalone: true, name: "filterCondition" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridFilterConditionPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "filterCondition",
    pure: true,
    standalone: true
  }]
}] });
var IgxGridTransactionPipe = class _IgxGridTransactionPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, _id, _pipeTrigger) {
    if (this.grid.transactions.enabled) {
      const result = DataUtil.mergeTransactions(cloneArray(collection), this.grid.transactions.getAggregatedChanges(true), this.grid.primaryKey, this.grid.dataCloneStrategy);
      return result;
    }
    return collection;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTransactionPipe, deps: [{ token: IGX_GRID_BASE }], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTransactionPipe, isStandalone: true, name: "gridTransaction" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridTransactionPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "gridTransaction",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject65,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridPaginatorOptionsPipe = class _IgxGridPaginatorOptionsPipe {
  transform(values) {
    return Array.from(/* @__PURE__ */ new Set([...values])).sort((a, b) => a - b);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridPaginatorOptionsPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridPaginatorOptionsPipe, isStandalone: true, name: "paginatorOptions" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridPaginatorOptionsPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "paginatorOptions",
    standalone: true
  }]
}] });
var IgxHasVisibleColumnsPipe = class _IgxHasVisibleColumnsPipe {
  transform(values, hasVisibleColumns) {
    if (!(values && values.length)) {
      return values;
    }
    return hasVisibleColumns ? values : [];
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxHasVisibleColumnsPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxHasVisibleColumnsPipe, isStandalone: true, name: "visibleColumns" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxHasVisibleColumnsPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "visibleColumns",
    standalone: true
  }]
}] });
function buildDataView() {
  return function(_target, _propertyKey, descriptor) {
    const original = descriptor.value;
    descriptor.value = function(...args) {
      const result = original.apply(this, args);
      this.grid.buildDataView();
      return result;
    };
    return descriptor;
  };
}
var IgxGridRowPinningPipe = class _IgxGridRowPinningPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, id, isPinned = false, _pipeTrigger) {
    if (this.grid.hasPinnedRecords && isPinned) {
      const result = collection.filter((rec) => !this.grid.isSummaryRow(rec) && this.grid.isRecordPinned(rec));
      result.sort((rec1, rec2) => this.grid.getInitialPinnedIndex(rec1) - this.grid.getInitialPinnedIndex(rec2));
      return result;
    }
    this.grid.unpinnedRecords = collection;
    if (!this.grid.hasPinnedRecords) {
      this.grid.pinnedRecords = [];
      return isPinned ? [] : collection;
    }
    return collection.map((rec) => !this.grid.isSummaryRow(rec) && this.grid.isRecordPinned(rec) ? { recordRef: rec, ghostRecord: true } : rec);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowPinningPipe, deps: [{ token: IGX_GRID_BASE }], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridRowPinningPipe, isStandalone: true, name: "gridRowPinning" });
  }
};
__decorate4([
  buildDataView()
], IgxGridRowPinningPipe.prototype, "transform", null);
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridRowPinningPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "gridRowPinning",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject65,
  args: [IGX_GRID_BASE]
}] }], propDecorators: { transform: [] } });
var IgxGridDataMapperPipe = class _IgxGridDataMapperPipe {
  transform(data, field, _, val, isNestedPath) {
    return isNestedPath ? resolveNestedPath(data, field) : val;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridDataMapperPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridDataMapperPipe, isStandalone: true, name: "dataMapper" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridDataMapperPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "dataMapper",
    standalone: true
  }]
}] });
var IgxStringReplacePipe = class _IgxStringReplacePipe {
  transform(value, search, replacement) {
    return value.replace(search, replacement);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxStringReplacePipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxStringReplacePipe, isStandalone: true, name: "igxStringReplace" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxStringReplacePipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "igxStringReplace",
    standalone: true
  }]
}] });
var IgxGridTransactionStatePipe = class _IgxGridTransactionStatePipe {
  transform(row_id, field, rowEditable, transactions, _, __, ___) {
    if (rowEditable) {
      const rowCurrentState = transactions.getAggregatedValue(row_id, false);
      if (rowCurrentState) {
        const value = resolveNestedPath(rowCurrentState, field);
        return value !== void 0 && value !== null;
      }
    } else {
      const transaction = transactions.getState(row_id);
      const value = resolveNestedPath(transaction?.value ?? {}, field);
      return transaction && transaction.value && (value || value === 0 || value === false);
    }
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTransactionStatePipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridTransactionStatePipe, isStandalone: true, name: "transactionState" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridTransactionStatePipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "transactionState",
    standalone: true
  }]
}] });
var IgxColumnFormatterPipe = class _IgxColumnFormatterPipe {
  transform(value, formatter, rowData, columnData) {
    return formatter(value, rowData, columnData);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxColumnFormatterPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxColumnFormatterPipe, isStandalone: true, name: "columnFormatter" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxColumnFormatterPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "columnFormatter",
    standalone: true
  }]
}] });
var IgxSummaryFormatterPipe = class _IgxSummaryFormatterPipe {
  transform(summaryResult, summaryOperand, summaryFormatter) {
    return summaryFormatter(summaryResult, summaryOperand);
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxSummaryFormatterPipe, deps: [], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxSummaryFormatterPipe, isStandalone: true, name: "summaryFormatter" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxSummaryFormatterPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "summaryFormatter",
    standalone: true
  }]
}] });
var IgxGridAddRowPipe = class _IgxGridAddRowPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, isPinned = false, _pipeTrigger) {
    if (!this.grid.rowEditable || !this.grid.crudService.row || this.grid.crudService.row.getClassName() !== IgxAddRow.name || !this.grid.crudService.addRowParent || isPinned !== this.grid.crudService.addRowParent.isPinned) {
      return collection;
    }
    const copy = collection.slice(0);
    const rec = this.grid.crudService.row.recordRef;
    copy.splice(this.grid.crudService.row.index, 0, rec);
    return copy;
  }
  static {
    this.ɵfac = i0169.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridAddRowPipe, deps: [{ token: IGX_GRID_BASE }], target: i0169.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0169.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: _IgxGridAddRowPipe, isStandalone: true, name: "gridAddRow" });
  }
};
i0169.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0169, type: IgxGridAddRowPipe, decorators: [{
  type: Pipe9,
  args: [{
    name: "gridAddRow",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject65,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/headers/grid-header-row.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy23, Component as Component77, HostBinding as HostBinding78, Input as Input104, ViewChild as ViewChild44, ViewChildren as ViewChildren14, booleanAttribute as booleanAttribute63 } from "@angular/core";
import { NgIf as NgIf51, NgTemplateOutlet as NgTemplateOutlet24, NgClass as NgClass20, NgFor as NgFor20, NgStyle as NgStyle4 } from "@angular/common";
import * as i0170 from "@angular/core";
var IgxGridHeaderRowComponent = class _IgxGridHeaderRowComponent {
  /**
   * @hidden
   * @internal
   */
  get cosyStyle() {
    return this.density === "cosy";
  }
  /**
   * @hidden
   * @internal
   */
  get compactStyle() {
    return this.density === "compact";
  }
  /**
   * The flattened header groups collection.
   *
   * @hidden @internal
   */
  get groups() {
    return flatten(this._groups?.toArray() ?? []);
  }
  /** Header components in the header row. */
  get headers() {
    return this.groups.map((group) => group.header);
  }
  /** Filtering cell components in the header row. */
  get filters() {
    return this.groups.map((group) => group.filter);
  }
  get headerForOf() {
    return this.headerContainer;
  }
  get navigation() {
    return this.grid.navigation;
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  /**
   * Returns whether the current grid instance is a hierarchical grid.
   * as only hierarchical grids have the `isHierarchicalRecord` method.
   *
   * @hidden @internal
   */
  get isHierarchicalGrid() {
    return !!this.grid.isHierarchicalRecord;
  }
  get indentationCSSClasses() {
    return `igx-grid__header-indentation igx-grid__row-indentation--level-${this.grid.groupingExpressions.length}`;
  }
  get rowSelectorsContext() {
    const ctx = {
      $implicit: {
        selectedCount: this.grid.selectionService.filteredSelectedRowIds.length,
        totalCount: this.grid.totalRowsCountAfterFilter
      }
    };
    if (this.isHierarchicalGrid) {
      ctx.$implicit.selectAll = () => this.grid.selectAllRows();
      ctx.$implicit.deselectAll = () => this.grid.deselectAllRows();
    }
    return ctx;
  }
  constructor(ref, cdr) {
    this.ref = ref;
    this.cdr = cdr;
    this.pinnedColumnCollection = [];
    this.unpinnedColumnCollection = [];
  }
  /**
   * This hook exists as a workaround for the unfortunate fact
   * that when we have pinned columns in the grid, the unpinned columns headers
   * are affected by a delayed change detection cycle after a horizontal scroll :(
   * Thus, we tell the parent grid change detector to check us at each cycle.
   *
   * @hidden @internal
   */
  ngDoCheck() {
    this.cdr.markForCheck();
  }
  /**
   * @hidden @internal
   */
  scroll(event) {
    this.grid.preventHeaderScroll(event);
  }
  headerRowSelection(event) {
    if (!this.grid.isMultiRowSelectionEnabled) {
      return;
    }
    if (this.grid.selectionService.areAllRowSelected()) {
      this.grid.selectionService.clearRowSelection(event);
    } else {
      this.grid.selectionService.selectAllRows(event);
    }
  }
  static {
    this.ɵfac = i0170.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0170, type: _IgxGridHeaderRowComponent, deps: [{ token: i0170.ElementRef }, { token: i0170.ChangeDetectorRef }], target: i0170.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0170.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridHeaderRowComponent, isStandalone: true, selector: "igx-grid-header-row", inputs: { grid: "grid", pinnedColumnCollection: "pinnedColumnCollection", unpinnedColumnCollection: "unpinnedColumnCollection", activeDescendant: "activeDescendant", hasMRL: ["hasMRL", "hasMRL", booleanAttribute63], width: "width", density: "density" }, host: { properties: { "class.igx-grid-thead--cosy": "this.cosyStyle", "class.igx-grid-thead--compact": "this.compactStyle" } }, viewQueries: [{ propertyName: "headerContainer", first: true, predicate: ["headerVirtualContainer"], descendants: true, read: IgxGridForOfDirective, static: true }, { propertyName: "headerDragContainer", first: true, predicate: ["headerDragContainer"], descendants: true }, { propertyName: "headerSelectorContainer", first: true, predicate: ["headerSelectorContainer"], descendants: true }, { propertyName: "headerGroupContainer", first: true, predicate: ["headerGroupContainer"], descendants: true }, { propertyName: "headSelectorBaseTemplate", first: true, predicate: ["headSelectorBaseTemplate"], descendants: true }, { propertyName: "filterRow", first: true, predicate: IgxGridFilteringRowComponent, descendants: true }, { propertyName: "headerHierarchyExpander", first: true, predicate: ["headerHierarchyExpander"], descendants: true }, { propertyName: "_groups", predicate: IgxGridHeaderGroupComponent, descendants: true }], ngImport: i0170, template: `<div role="rowgroup" class="igx-grid-thead__wrapper" (scroll)="scroll($event)" [style.width.px]="width"
    [class.igx-grid__tr--mrl]="hasMRL">

    <!-- Column headers area -->
    <div class="igx-grid__tr" role="row" [style.width.px]="width">

        <!-- Left column moving area -->
        <ng-container *ngIf="grid.moving && grid.columnInDrag && pinnedColumnCollection.length <= 0">
            <span id="left" class="igx-grid__scroll-on-drag-left" droppable="true" [style.left.px]="grid.pinnedWidth"
                [igxColumnMovingDrop]="headerContainer"></span>
        </ng-container>
        <ng-container *ngIf="grid.moving && grid.columnInDrag && pinnedColumnCollection.length > 0">
            <span id="left" class="igx-grid__scroll-on-drag-pinned" droppable="true" [style.left.px]="grid.pinnedWidth"
                [igxColumnMovingDrop]="headerContainer"></span>
        </ng-container>

        <!-- Row dragging area -->
        <ng-container *ngIf="grid.rowDraggable">
            <div #headerDragContainer class="igx-grid__drag-indicator igx-grid__tr-action" (pointerdown)="$event.preventDefault()" [class.igx-grid__drag-indicator--header]="!grid.isRowSelectable">
                <div style="visibility: hidden;">
                    <ng-container *ngTemplateOutlet="grid.dragIndicatorIconTemplate || grid.dragIndicatorIconBase"></ng-container>
                </div>
            </div>
        </ng-container>

        <!-- Row selectors area -->
        <ng-container *ngIf="grid.showRowSelectors">
            <div #headerSelectorContainer class="igx-grid__cbx-selection igx-grid__tr-action"
                [class.igx-grid__cbx-selection--push]="grid.filteringService.isFilterRowVisible"
                (click)="headerRowSelection($event)"
                (pointerdown)="$event.preventDefault()">
                <ng-container #headSelector
                    *ngTemplateOutlet="grid.headSelectorTemplate || headSelectorBaseTemplate; context: rowSelectorsContext">
                </ng-container>
            </div>
        </ng-container>

        <!-- Hierarchical grids expand all area -->
        <ng-container *ngIf="isHierarchicalGrid">
            <div #headerHierarchyExpander
                (click)="grid.toggleAll()"
                (pointerdown)="$event.preventDefault()"
                [hidden]="!grid.hasExpandableChildren || !grid.hasVisibleColumns"
                [ngClass]="{
                    'igx-grid__hierarchical-expander igx-grid__hierarchical-expander--header igx-grid__tr-action': grid.hasExpandableChildren,
                    'igx-grid__hierarchical-expander--push': grid.filteringService.isFilterRowVisible,
                    'igx-grid__hierarchical-expander--no-border': grid.isRowSelectable || grid.rowDraggable
                }">
                <ng-container *ngTemplateOutlet="grid.iconTemplate; context: { $implicit: grid }"></ng-container>
            </div>
        </ng-container>


        <!-- Grouping icon toggle area -->
        <ng-container *ngIf="grid?.groupingExpressions?.length">
            <div #headerGroupContainer class="{{ indentationCSSClasses }}"
                (click)="grid.toggleAllGroupRows()"
                (pointerdown)="$event.preventDefault()">
                <ng-container *ngTemplateOutlet="grid.iconTemplate; context: { $implicit: grid }"></ng-container>
            </div>
        </ng-container>

        <!-- Pinned columns collection from the start -->
        <ng-container *ngIf="pinnedColumnCollection.length && grid.isPinningToStart">
            <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                <igx-grid-header-group
                    [ngClass]="column.headerGroupClasses"
                    [ngStyle]="column.headerGroupStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
                    [column]="column"
                    [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL">
                </igx-grid-header-group>
            </ng-container>
        </ng-container>

        <!-- Unpinned columns collection -->
        <ng-template igxGridFor #headerVirtualContainer let-column
            [igxGridForOf]="unpinnedColumnCollection | igxTopLevel"
            [igxForScrollContainer]="grid.parentVirtDir"
            [igxForContainerSize]="grid.unpinnedWidth"
            [igxForTrackBy]="grid.trackColumnChanges"
            [igxForSizePropName]="'calcPixelWidth'"
            [igxForScrollOrientation]="'horizontal'"
        >
            <igx-grid-header-group
                [ngClass]="column.headerGroupClasses"
                [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger"
                [column]="column"
                [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL">
            </igx-grid-header-group>
        </ng-template>

        <!-- Pinned columns collection at the end -->
        <ng-container *ngIf="pinnedColumnCollection.length && !grid.isPinningToStart">
            <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                <igx-grid-header-group
                    [ngClass]="column.headerGroupClasses"
                    [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger"
                    [column]="column"
                    [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.left]="column.rightPinnedOffset">
                </igx-grid-header-group>
            </ng-container>
        </ng-container>
    </div>

    <!-- Filter row area -->
    <ng-container *ngIf="grid.filteringService.isFilterRowVisible">
        <igx-grid-filtering-row #filteringRow
            [column]="grid.filteringService.filteredColumn"
            [style.width.px]="width">
        </igx-grid-filtering-row>
    </ng-container>

    <!-- Right column moving area -->
    <ng-container *ngIf="grid.moving && grid.columnInDrag">
        <span id="right" class="igx-grid__scroll-on-drag-right" droppable="true" [igxColumnMovingDrop]="headerContainer"></span>
    </ng-container>
</div>

<!-- Header thumb area -->
<div class="igx-grid-thead__thumb" [hidden]="!grid.hasVerticalScroll()" [style.width.px]="grid.scrollSize"></div>

<!-- Default row selection header checkbox template -->
<ng-template #headSelectorBaseTemplate igxHeadSelector let-context>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [readonly]="true"
            [checked]="context.selectedCount > 0 && grid.selectionService.areAllRowSelected()"
            [disableRipple]="true"
            [ngStyle]="{'visibility': grid.isMultiRowSelectionEnabled? 'visible' : 'hidden' }"
            [indeterminate]="context.selectedCount > 0 && grid.selectionService.hasSomeRowSelected()"
            [aria-label]="grid.headSelectorBaseAriaLabel"
            #headerCheckbox>
        </igx-checkbox>
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf51, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "directive", type: NgTemplateOutlet24, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgClass20, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor20, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxGridHeaderGroupComponent, selector: "igx-grid-header-group", inputs: ["column"] }, { kind: "directive", type: NgStyle4, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxGridFilteringRowComponent, selector: "igx-grid-filtering-row", inputs: ["column", "value"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "pipe", type: IgxGridTopLevelColumns, name: "igxTopLevel" }, { kind: "pipe", type: IgxHeaderGroupWidthPipe, name: "igxHeaderGroupWidth" }, { kind: "pipe", type: IgxHeaderGroupStylePipe, name: "igxHeaderGroupStyle" }], changeDetection: i0170.ChangeDetectionStrategy.OnPush });
  }
};
i0170.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0170, type: IgxGridHeaderRowComponent, decorators: [{
  type: Component77,
  args: [{ changeDetection: ChangeDetectionStrategy23.OnPush, selector: "igx-grid-header-row", standalone: true, imports: [NgIf51, IgxColumnMovingDropDirective, NgTemplateOutlet24, NgClass20, NgFor20, IgxGridHeaderGroupComponent, NgStyle4, IgxGridForOfDirective, IgxGridFilteringRowComponent, IgxCheckboxComponent, IgxGridTopLevelColumns, IgxHeaderGroupWidthPipe, IgxHeaderGroupStylePipe], template: `<div role="rowgroup" class="igx-grid-thead__wrapper" (scroll)="scroll($event)" [style.width.px]="width"
    [class.igx-grid__tr--mrl]="hasMRL">

    <!-- Column headers area -->
    <div class="igx-grid__tr" role="row" [style.width.px]="width">

        <!-- Left column moving area -->
        <ng-container *ngIf="grid.moving && grid.columnInDrag && pinnedColumnCollection.length <= 0">
            <span id="left" class="igx-grid__scroll-on-drag-left" droppable="true" [style.left.px]="grid.pinnedWidth"
                [igxColumnMovingDrop]="headerContainer"></span>
        </ng-container>
        <ng-container *ngIf="grid.moving && grid.columnInDrag && pinnedColumnCollection.length > 0">
            <span id="left" class="igx-grid__scroll-on-drag-pinned" droppable="true" [style.left.px]="grid.pinnedWidth"
                [igxColumnMovingDrop]="headerContainer"></span>
        </ng-container>

        <!-- Row dragging area -->
        <ng-container *ngIf="grid.rowDraggable">
            <div #headerDragContainer class="igx-grid__drag-indicator igx-grid__tr-action" (pointerdown)="$event.preventDefault()" [class.igx-grid__drag-indicator--header]="!grid.isRowSelectable">
                <div style="visibility: hidden;">
                    <ng-container *ngTemplateOutlet="grid.dragIndicatorIconTemplate || grid.dragIndicatorIconBase"></ng-container>
                </div>
            </div>
        </ng-container>

        <!-- Row selectors area -->
        <ng-container *ngIf="grid.showRowSelectors">
            <div #headerSelectorContainer class="igx-grid__cbx-selection igx-grid__tr-action"
                [class.igx-grid__cbx-selection--push]="grid.filteringService.isFilterRowVisible"
                (click)="headerRowSelection($event)"
                (pointerdown)="$event.preventDefault()">
                <ng-container #headSelector
                    *ngTemplateOutlet="grid.headSelectorTemplate || headSelectorBaseTemplate; context: rowSelectorsContext">
                </ng-container>
            </div>
        </ng-container>

        <!-- Hierarchical grids expand all area -->
        <ng-container *ngIf="isHierarchicalGrid">
            <div #headerHierarchyExpander
                (click)="grid.toggleAll()"
                (pointerdown)="$event.preventDefault()"
                [hidden]="!grid.hasExpandableChildren || !grid.hasVisibleColumns"
                [ngClass]="{
                    'igx-grid__hierarchical-expander igx-grid__hierarchical-expander--header igx-grid__tr-action': grid.hasExpandableChildren,
                    'igx-grid__hierarchical-expander--push': grid.filteringService.isFilterRowVisible,
                    'igx-grid__hierarchical-expander--no-border': grid.isRowSelectable || grid.rowDraggable
                }">
                <ng-container *ngTemplateOutlet="grid.iconTemplate; context: { $implicit: grid }"></ng-container>
            </div>
        </ng-container>


        <!-- Grouping icon toggle area -->
        <ng-container *ngIf="grid?.groupingExpressions?.length">
            <div #headerGroupContainer class="{{ indentationCSSClasses }}"
                (click)="grid.toggleAllGroupRows()"
                (pointerdown)="$event.preventDefault()">
                <ng-container *ngTemplateOutlet="grid.iconTemplate; context: { $implicit: grid }"></ng-container>
            </div>
        </ng-container>

        <!-- Pinned columns collection from the start -->
        <ng-container *ngIf="pinnedColumnCollection.length && grid.isPinningToStart">
            <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                <igx-grid-header-group
                    [ngClass]="column.headerGroupClasses"
                    [ngStyle]="column.headerGroupStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
                    [column]="column"
                    [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL">
                </igx-grid-header-group>
            </ng-container>
        </ng-container>

        <!-- Unpinned columns collection -->
        <ng-template igxGridFor #headerVirtualContainer let-column
            [igxGridForOf]="unpinnedColumnCollection | igxTopLevel"
            [igxForScrollContainer]="grid.parentVirtDir"
            [igxForContainerSize]="grid.unpinnedWidth"
            [igxForTrackBy]="grid.trackColumnChanges"
            [igxForSizePropName]="'calcPixelWidth'"
            [igxForScrollOrientation]="'horizontal'"
        >
            <igx-grid-header-group
                [ngClass]="column.headerGroupClasses"
                [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger"
                [column]="column"
                [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL">
            </igx-grid-header-group>
        </ng-template>

        <!-- Pinned columns collection at the end -->
        <ng-container *ngIf="pinnedColumnCollection.length && !grid.isPinningToStart">
            <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                <igx-grid-header-group
                    [ngClass]="column.headerGroupClasses"
                    [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger"
                    [column]="column"
                    [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                    [style.left]="column.rightPinnedOffset">
                </igx-grid-header-group>
            </ng-container>
        </ng-container>
    </div>

    <!-- Filter row area -->
    <ng-container *ngIf="grid.filteringService.isFilterRowVisible">
        <igx-grid-filtering-row #filteringRow
            [column]="grid.filteringService.filteredColumn"
            [style.width.px]="width">
        </igx-grid-filtering-row>
    </ng-container>

    <!-- Right column moving area -->
    <ng-container *ngIf="grid.moving && grid.columnInDrag">
        <span id="right" class="igx-grid__scroll-on-drag-right" droppable="true" [igxColumnMovingDrop]="headerContainer"></span>
    </ng-container>
</div>

<!-- Header thumb area -->
<div class="igx-grid-thead__thumb" [hidden]="!grid.hasVerticalScroll()" [style.width.px]="grid.scrollSize"></div>

<!-- Default row selection header checkbox template -->
<ng-template #headSelectorBaseTemplate igxHeadSelector let-context>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [readonly]="true"
            [checked]="context.selectedCount > 0 && grid.selectionService.areAllRowSelected()"
            [disableRipple]="true"
            [ngStyle]="{'visibility': grid.isMultiRowSelectionEnabled? 'visible' : 'hidden' }"
            [indeterminate]="context.selectedCount > 0 && grid.selectionService.hasSomeRowSelected()"
            [aria-label]="grid.headSelectorBaseAriaLabel"
            #headerCheckbox>
        </igx-checkbox>
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0170.ElementRef }, { type: i0170.ChangeDetectorRef }], propDecorators: { grid: [{
  type: Input104
}], pinnedColumnCollection: [{
  type: Input104
}], unpinnedColumnCollection: [{
  type: Input104
}], activeDescendant: [{
  type: Input104
}], hasMRL: [{
  type: Input104,
  args: [{ transform: booleanAttribute63 }]
}], width: [{
  type: Input104
}], density: [{
  type: Input104
}], cosyStyle: [{
  type: HostBinding78,
  args: ["class.igx-grid-thead--cosy"]
}], compactStyle: [{
  type: HostBinding78,
  args: ["class.igx-grid-thead--compact"]
}], _groups: [{
  type: ViewChildren14,
  args: [IgxGridHeaderGroupComponent]
}], headerContainer: [{
  type: ViewChild44,
  args: ["headerVirtualContainer", { read: IgxGridForOfDirective, static: true }]
}], headerDragContainer: [{
  type: ViewChild44,
  args: ["headerDragContainer"]
}], headerSelectorContainer: [{
  type: ViewChild44,
  args: ["headerSelectorContainer"]
}], headerGroupContainer: [{
  type: ViewChild44,
  args: ["headerGroupContainer"]
}], headSelectorBaseTemplate: [{
  type: ViewChild44,
  args: ["headSelectorBaseTemplate"]
}], filterRow: [{
  type: ViewChild44,
  args: [IgxGridFilteringRowComponent]
}], headerHierarchyExpander: [{
  type: ViewChild44,
  args: ["headerHierarchyExpander"]
}] } });

// lib/grids/row-drag.directive.mjs
import { Directive as Directive74, Input as Input105 } from "@angular/core";
import { fromEvent as fromEvent11 } from "rxjs";
import * as i0171 from "@angular/core";
var ghostBackgroundClass = "igx-grid__tr--ghost";
var gridCellClass = "igx-grid__td";
var rowSelectedClass = "igx-grid__tr--selected";
var cellSelectedClass = "igx-grid__td--selected";
var cellActiveClass = "igx-grid__td--active";
var IgxRowDragDirective = class _IgxRowDragDirective extends IgxDragDirective {
  constructor() {
    super(...arguments);
    this._rowDragStarted = false;
    this.transitionEndEvent = () => {
      if (this.ghostElement) {
        this.ghostElement.removeEventListener("transitionend", this.transitionEndEvent, false);
      }
      this.endDragging();
    };
  }
  set data(value) {
    this._data = value;
  }
  get data() {
    return this._data.grid.createRow(this._data.index, this._data.data);
  }
  get row() {
    return this._data;
  }
  onPointerDown(event) {
    event.preventDefault();
    this._rowDragStarted = false;
    this._removeOnDestroy = false;
    super.onPointerDown(event);
  }
  onPointerMove(event) {
    super.onPointerMove(event);
    if (this._dragStarted && !this._rowDragStarted) {
      this._rowDragStarted = true;
      const args = {
        dragDirective: this,
        dragData: this.data,
        dragElement: this.row.nativeElement,
        cancel: false,
        owner: this.row.grid
      };
      this.row.grid.rowDragStart.emit(args);
      if (args.cancel) {
        this.ghostElement.parentNode.removeChild(this.ghostElement);
        this.ghostElement = null;
        this._dragStarted = false;
        this._clicked = false;
        return;
      }
      this.row.grid.dragRowID = this.row.key;
      this.row.grid.rowDragging = true;
      this.row.grid.cdr.detectChanges();
      this.subscription$ = fromEvent11(this.row.grid.document.defaultView, "keydown").subscribe((ev) => {
        if (ev.key === this.platformUtil.KEYMAP.ESCAPE) {
          this._lastDropArea = false;
          this.onPointerUp(event);
        }
      });
    }
  }
  onPointerUp(event) {
    if (!this._clicked) {
      return;
    }
    const args = {
      dragDirective: this,
      dragData: this.data,
      dragElement: this.row.nativeElement,
      animation: false,
      owner: this.row.grid
    };
    this.zone.run(() => {
      this.row.grid.rowDragEnd.emit(args);
    });
    const dropArea = this._lastDropArea;
    super.onPointerUp(event);
    if (!dropArea && this.ghostElement) {
      this.ghostElement.addEventListener("transitionend", this.transitionEndEvent, false);
    } else {
      this.endDragging();
    }
  }
  createGhost(pageX, pageY) {
    this.row.grid.gridAPI.crudService.endEdit(false);
    this.row.grid.cdr.detectChanges();
    this.ghostContext = {
      $implicit: this.row.data,
      data: this.row.data,
      grid: this.row.grid
    };
    super.createGhost(pageX, pageY, this.row.nativeElement);
    if (this.isHierarchicalGrid) {
      const row = this.row;
      if (row.expander) {
        const expanderWidth = row.expander.nativeElement.getBoundingClientRect().width;
        this._ghostHostX += expanderWidth;
      }
    }
    const ghost = this.ghostElement;
    const gridRect = this.row.grid.nativeElement.getBoundingClientRect();
    const rowRect = this.row.nativeElement.getBoundingClientRect();
    ghost.style.overflow = "hidden";
    ghost.style.width = gridRect.width + "px";
    ghost.style.height = rowRect.height + "px";
    ghost.classList.add(ghostBackgroundClass);
    ghost.classList.remove(rowSelectedClass);
    const ghostCells = ghost.getElementsByClassName(gridCellClass);
    for (const cell of ghostCells) {
      cell.classList.remove(cellSelectedClass);
      cell.classList.remove(cellActiveClass);
    }
  }
  _unsubscribe() {
    if (this.subscription$ && !this.subscription$.closed) {
      this.subscription$.unsubscribe();
    }
  }
  endDragging() {
    this.onTransitionEnd(null);
    this.row.grid.dragRowID = null;
    this.row.grid.rowDragging = false;
    this.row.grid.cdr.detectChanges();
    this._unsubscribe();
  }
  get isHierarchicalGrid() {
    return this.row.grid.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid";
  }
  static {
    this.ɵfac = i0171.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: _IgxRowDragDirective, deps: null, target: i0171.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0171.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowDragDirective, isStandalone: true, selector: "[igxRowDrag]", inputs: { data: ["igxRowDrag", "data"] }, usesInheritance: true, ngImport: i0171 });
  }
};
i0171.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: IgxRowDragDirective, decorators: [{
  type: Directive74,
  args: [{
    selector: "[igxRowDrag]",
    standalone: true
  }]
}], propDecorators: { data: [{
  type: Input105,
  args: ["igxRowDrag"]
}] } });
var IgxDragIndicatorIconDirective = class _IgxDragIndicatorIconDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0171.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: _IgxDragIndicatorIconDirective, deps: [], target: i0171.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0171.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDragIndicatorIconDirective, isStandalone: true, selector: "[igxDragIndicatorIcon]", ngImport: i0171 });
  }
};
i0171.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: IgxDragIndicatorIconDirective, decorators: [{
  type: Directive74,
  args: [{
    selector: "[igxDragIndicatorIcon]",
    standalone: true
  }]
}] });
var IgxRowDragGhostDirective = class _IgxRowDragGhostDirective {
  constructor(templateRef) {
    this.templateRef = templateRef;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0171.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: _IgxRowDragGhostDirective, deps: [{ token: i0171.TemplateRef }], target: i0171.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0171.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowDragGhostDirective, isStandalone: true, selector: "[igxRowDragGhost]", ngImport: i0171 });
  }
};
i0171.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0171, type: IgxRowDragGhostDirective, decorators: [{
  type: Directive74,
  args: [{
    selector: "[igxRowDragGhost]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0171.TemplateRef }] });

// lib/grids/selection/row-selectors.mjs
import { Directive as Directive75 } from "@angular/core";
import * as i0172 from "@angular/core";
var IgxRowSelectorDirective = class _IgxRowSelectorDirective {
  constructor(templateRef) {
    this.templateRef = templateRef;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0172.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: _IgxRowSelectorDirective, deps: [{ token: i0172.TemplateRef }], target: i0172.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0172.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowSelectorDirective, isStandalone: true, selector: "[igxRowSelector]", ngImport: i0172 });
  }
};
i0172.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: IgxRowSelectorDirective, decorators: [{
  type: Directive75,
  args: [{
    selector: "[igxRowSelector]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0172.TemplateRef }] });
var IgxGroupByRowSelectorDirective = class _IgxGroupByRowSelectorDirective {
  constructor(templateRef) {
    this.templateRef = templateRef;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0172.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: _IgxGroupByRowSelectorDirective, deps: [{ token: i0172.TemplateRef }], target: i0172.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0172.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGroupByRowSelectorDirective, isStandalone: true, selector: "[igxGroupByRowSelector]", ngImport: i0172 });
  }
};
i0172.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: IgxGroupByRowSelectorDirective, decorators: [{
  type: Directive75,
  args: [{
    selector: "[igxGroupByRowSelector]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0172.TemplateRef }] });
var IgxHeadSelectorDirective = class _IgxHeadSelectorDirective {
  constructor(templateRef) {
    this.templateRef = templateRef;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0172.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: _IgxHeadSelectorDirective, deps: [{ token: i0172.TemplateRef }], target: i0172.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0172.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHeadSelectorDirective, isStandalone: true, selector: "[igxHeadSelector]", ngImport: i0172 });
  }
};
i0172.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0172, type: IgxHeadSelectorDirective, decorators: [{
  type: Directive75,
  args: [{
    selector: "[igxHeadSelector]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0172.TemplateRef }] });

// lib/grids/grid.common.mjs
import { Directive as Directive76 } from "@angular/core";
import { scaleInVerBottom as scaleInVerBottom2, scaleInVerTop as scaleInVerTop3 } from "igniteui-angular/animations";
import * as i0173 from "@angular/core";
var IgxGridBodyDirective = class _IgxGridBodyDirective {
  static {
    this.ɵfac = i0173.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0173, type: _IgxGridBodyDirective, deps: [], target: i0173.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0173.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridBodyDirective, isStandalone: true, selector: "[igxGridBody]", providers: [IgxForOfSyncService], ngImport: i0173 });
  }
};
i0173.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0173, type: IgxGridBodyDirective, decorators: [{
  type: Directive76,
  args: [{
    selector: "[igxGridBody]",
    providers: [IgxForOfSyncService],
    standalone: true
  }]
}] });
var RowEditPositionStrategy = class extends ConnectedPositioningStrategy {
  constructor() {
    super(...arguments);
    this.isTop = false;
    this.isTopInitialPosition = null;
  }
  position(contentElement, size, document2, initialCall, target) {
    const container = this.settings.container;
    const targetElement = target || this.settings.target;
    this.isTop = this.isTopInitialPosition !== null ? this.isTopInitialPosition : container.getBoundingClientRect().bottom < targetElement.getBoundingClientRect().bottom + contentElement.getBoundingClientRect().height;
    contentElement.style.width = targetElement.clientWidth + "px";
    this.settings.verticalStartPoint = this.settings.verticalDirection = this.isTop ? VerticalAlignment.Top : VerticalAlignment.Bottom;
    this.settings.openAnimation = this.isTop ? scaleInVerBottom2 : scaleInVerTop3;
    super.position(contentElement, { width: targetElement.clientWidth, height: targetElement.clientHeight }, document2, initialCall, targetElement);
  }
};

// lib/grids/toolbar/token.mjs
var IgxToolbarToken = class {
};

// lib/grids/grid.rowEdit.directive.mjs
import { Directive as Directive77, HostListener as HostListener43, Inject as Inject66 } from "@angular/core";
import * as i0174 from "@angular/core";
var IgxRowEditTemplateDirective = class _IgxRowEditTemplateDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0174.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: _IgxRowEditTemplateDirective, deps: [], target: i0174.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0174.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowEditTemplateDirective, isStandalone: true, selector: "[igxRowEdit]", ngImport: i0174 });
  }
};
i0174.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: IgxRowEditTemplateDirective, decorators: [{
  type: Directive77,
  args: [{
    selector: "[igxRowEdit]",
    standalone: true
  }]
}] });
var IgxRowEditTextDirective = class _IgxRowEditTextDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0174.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: _IgxRowEditTextDirective, deps: [], target: i0174.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0174.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowEditTextDirective, isStandalone: true, selector: "[igxRowEditText]", ngImport: i0174 });
  }
};
i0174.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: IgxRowEditTextDirective, decorators: [{
  type: Directive77,
  args: [{
    selector: "[igxRowEditText]",
    standalone: true
  }]
}] });
var IgxRowAddTextDirective = class _IgxRowAddTextDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0174.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: _IgxRowAddTextDirective, deps: [], target: i0174.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0174.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowAddTextDirective, isStandalone: true, selector: "[igxRowAddText]", ngImport: i0174 });
  }
};
i0174.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: IgxRowAddTextDirective, decorators: [{
  type: Directive77,
  args: [{
    selector: "[igxRowAddText]",
    standalone: true
  }]
}] });
var IgxRowEditActionsDirective = class _IgxRowEditActionsDirective {
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0174.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: _IgxRowEditActionsDirective, deps: [], target: i0174.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0174.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowEditActionsDirective, isStandalone: true, selector: "[igxRowEditActions]", ngImport: i0174 });
  }
};
i0174.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: IgxRowEditActionsDirective, decorators: [{
  type: Directive77,
  args: [{
    selector: "[igxRowEditActions]",
    standalone: true
  }]
}] });
var IgxRowEditTabStopDirective = class _IgxRowEditTabStopDirective {
  constructor(grid, element) {
    this.grid = grid;
    this.element = element;
  }
  handleTab(event) {
    event.stopPropagation();
    if (this.grid.rowEditTabs.last === this && !event.shiftKey || this.grid.rowEditTabs.first === this && event.shiftKey) {
      this.move(event);
    }
  }
  handleEscape(event) {
    this.grid.crudService.endEdit(false, event);
    this.grid.tbody.nativeElement.focus();
  }
  handleEnter(event) {
    event.stopPropagation();
  }
  /**
   * Moves focus to first/last editable cell in the editable row and put the cell in edit mode.
   * If cell is out of view first scrolls to the cell
   *
   * @param event keyboard event containing information about whether SHIFT key was pressed
   */
  move(event) {
    event.preventDefault();
    this.currentCellIndex = event.shiftKey ? this.grid.lastEditableColumnIndex : this.grid.firstEditableColumnIndex;
    this.grid.navigation.activeNode.row = this.grid.crudService.rowInEditMode.index;
    this.grid.navigation.activeNode.column = this.currentCellIndex;
    this.grid.navigateTo(this.grid.crudService.rowInEditMode.index, this.currentCellIndex, (obj) => {
      obj.target.activate(event);
      this.grid.cdr.detectChanges();
    });
  }
  static {
    this.ɵfac = i0174.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: _IgxRowEditTabStopDirective, deps: [{ token: IGX_GRID_BASE }, { token: i0174.ElementRef }], target: i0174.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0174.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowEditTabStopDirective, isStandalone: true, selector: "[igxRowEditTabStop]", host: { listeners: { "keydown.Tab": "handleTab($event)", "keydown.Shift.Tab": "handleTab($event)", "keydown.Escape": "handleEscape($event)", "keydown.Enter": "handleEnter($event)" } }, ngImport: i0174 });
  }
};
i0174.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0174, type: IgxRowEditTabStopDirective, decorators: [{
  type: Directive77,
  args: [{
    selector: `[igxRowEditTabStop]`,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject66,
  args: [IGX_GRID_BASE]
}] }, { type: i0174.ElementRef }], propDecorators: { handleTab: [{
  type: HostListener43,
  args: ["keydown.Tab", [`$event`]]
}, {
  type: HostListener43,
  args: ["keydown.Shift.Tab", [`$event`]]
}], handleEscape: [{
  type: HostListener43,
  args: ["keydown.Escape", [`$event`]]
}], handleEnter: [{
  type: HostListener43,
  args: ["keydown.Enter", ["$event"]]
}] } });

// lib/grids/summaries/summary-cell.component.mjs
import { Component as Component78, Input as Input106, HostBinding as HostBinding79, HostListener as HostListener44, ChangeDetectionStrategy as ChangeDetectionStrategy25, booleanAttribute as booleanAttribute64 } from "@angular/core";
import { formatCurrency as formatCurrency2, formatDate as formatDate3, formatNumber as formatNumber3, formatPercent as formatPercent3, getLocaleCurrencyCode as getLocaleCurrencyCode4, getLocaleCurrencySymbol, NgIf as NgIf52, NgTemplateOutlet as NgTemplateOutlet25, NgFor as NgFor21 } from "@angular/common";
import * as i0175 from "@angular/core";
var IgxSummaryCellComponent = class _IgxSummaryCellComponent {
  constructor(element) {
    this.element = element;
    this.firstCellIndentation = 0;
    this.hasSummary = false;
  }
  get visibleColumnIndex() {
    return this.column.visibleIndex;
  }
  get attrCellID() {
    return `${this.grid.id}_${this.rowIndex}_${this.visibleColumnIndex}`;
  }
  activate() {
    const currNode = this.grid.navigation.activeNode;
    if (currNode && this.rowIndex === currNode.row && this.visibleColumnIndex === currNode.column) {
      return;
    }
    this.grid.navigation.setActiveNode({ row: this.rowIndex, column: this.visibleColumnIndex }, "summaryCell");
    this.grid.cdr.detectChanges();
  }
  get selectionNode() {
    return {
      row: this.rowIndex,
      column: this.column.columnLayoutChild ? this.column.parent.visibleIndex : this.visibleColumnIndex,
      isSummaryRow: true
    };
  }
  get width() {
    return this.column.getCellWidth();
  }
  get nativeElement() {
    return this.element.nativeElement;
  }
  get columnDatatype() {
    return this.column.dataType;
  }
  get itemHeight() {
    return this.column.grid.defaultSummaryHeight;
  }
  /**
   * @hidden
   */
  get grid() {
    return this.column.grid;
  }
  /**
   * @hidden @internal
   */
  get currencyCode() {
    return this.column.pipeArgs.currencyCode ? this.column.pipeArgs.currencyCode : getLocaleCurrencyCode4(this.grid.locale);
  }
  /**
   * @hidden @internal
   */
  get currencySymbol() {
    return this.column.pipeArgs.display ? this.column.pipeArgs.display : getLocaleCurrencySymbol(this.grid.locale);
  }
  translateSummary(summary) {
    return this.grid.resourceStrings[`igx_grid_summary_${summary.key}`] || summary.label;
  }
  /**
   * @hidden @internal
   */
  formatSummaryResult(summary) {
    if (summary.summaryResult === void 0 || summary.summaryResult === null || summary.summaryResult === "") {
      return "";
    }
    if (this.summaryFormatter) {
      return this.summaryFormatter(summary, this.column.summaries);
    }
    const args = this.column.pipeArgs;
    const locale = this.grid.locale;
    if (summary.key === "count") {
      return formatNumber3(summary.summaryResult, locale);
    }
    if (summary.defaultFormatting) {
      switch (this.column.dataType) {
        case GridColumnDataType.Number:
          return formatNumber3(summary.summaryResult, locale, args.digitsInfo);
        case GridColumnDataType.Date:
        case GridColumnDataType.DateTime:
        case GridColumnDataType.Time:
          return formatDate3(summary.summaryResult, args.format, locale, args.timezone);
        case GridColumnDataType.Currency:
          return formatCurrency2(summary.summaryResult, locale, this.currencySymbol, this.currencyCode, args.digitsInfo);
        case GridColumnDataType.Percent:
          return formatPercent3(summary.summaryResult, locale, args.digitsInfo);
      }
    }
    return summary.summaryResult;
  }
  static {
    this.ɵfac = i0175.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0175, type: _IgxSummaryCellComponent, deps: [{ token: i0175.ElementRef }], target: i0175.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0175.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSummaryCellComponent, isStandalone: true, selector: "igx-grid-summary-cell", inputs: { summaryResults: "summaryResults", column: "column", firstCellIndentation: "firstCellIndentation", hasSummary: ["hasSummary", "hasSummary", booleanAttribute64], density: "density", summaryFormatter: "summaryFormatter", summaryTemplate: "summaryTemplate", active: "active", rowIndex: "rowIndex" }, host: { listeners: { "pointerdown": "activate()" }, properties: { "class.igx-grid-summary--active": "this.active", "attr.data-rowIndex": "this.rowIndex", "attr.data-visibleIndex": "this.visibleColumnIndex", "attr.id": "this.attrCellID" } }, ngImport: i0175, template: '<ng-container *ngIf="hasSummary">\n    <ng-container *ngTemplateOutlet="summaryTemplate ? summaryTemplate : defaultSummary; context: { $implicit: summaryResults }">\n    </ng-container>\n</ng-container>\n    <ng-template #defaultSummary>\n        <ng-container *ngFor="let summary of summaryResults" >\n            <div class="igx-grid-summary__item" [style.height.px]="itemHeight">\n\n                <span class="igx-grid-summary__label" [title]="summary.label">{{ translateSummary(summary) }}</span>\n                <span class="igx-grid-summary__result" [title]="formatSummaryResult(summary)">\n                    {{\n                        formatSummaryResult(summary)\n                    }}\n                </span>\n            </div>\n        </ng-container>\n    </ng-template>\n', dependencies: [{ kind: "directive", type: NgIf52, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet25, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgFor21, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], changeDetection: i0175.ChangeDetectionStrategy.OnPush });
  }
};
i0175.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0175, type: IgxSummaryCellComponent, decorators: [{
  type: Component78,
  args: [{ changeDetection: ChangeDetectionStrategy25.OnPush, selector: "igx-grid-summary-cell", standalone: true, imports: [NgIf52, NgTemplateOutlet25, NgFor21], template: '<ng-container *ngIf="hasSummary">\n    <ng-container *ngTemplateOutlet="summaryTemplate ? summaryTemplate : defaultSummary; context: { $implicit: summaryResults }">\n    </ng-container>\n</ng-container>\n    <ng-template #defaultSummary>\n        <ng-container *ngFor="let summary of summaryResults" >\n            <div class="igx-grid-summary__item" [style.height.px]="itemHeight">\n\n                <span class="igx-grid-summary__label" [title]="summary.label">{{ translateSummary(summary) }}</span>\n                <span class="igx-grid-summary__result" [title]="formatSummaryResult(summary)">\n                    {{\n                        formatSummaryResult(summary)\n                    }}\n                </span>\n            </div>\n        </ng-container>\n    </ng-template>\n' }]
}], ctorParameters: () => [{ type: i0175.ElementRef }], propDecorators: { summaryResults: [{
  type: Input106
}], column: [{
  type: Input106
}], firstCellIndentation: [{
  type: Input106
}], hasSummary: [{
  type: Input106,
  args: [{ transform: booleanAttribute64 }]
}], density: [{
  type: Input106
}], summaryFormatter: [{
  type: Input106
}], summaryTemplate: [{
  type: Input106
}], active: [{
  type: Input106
}, {
  type: HostBinding79,
  args: ["class.igx-grid-summary--active"]
}], rowIndex: [{
  type: Input106
}, {
  type: HostBinding79,
  args: ["attr.data-rowIndex"]
}], visibleColumnIndex: [{
  type: HostBinding79,
  args: ["attr.data-visibleIndex"]
}], attrCellID: [{
  type: HostBinding79,
  args: ["attr.id"]
}], activate: [{
  type: HostListener44,
  args: ["pointerdown"]
}] } });

// lib/grids/summaries/summary-row.component.mjs
import { Component as Component79, Input as Input107, ViewChildren as ViewChildren15, QueryList as QueryList3, HostBinding as HostBinding80, ViewChild as ViewChild45, ChangeDetectionStrategy as ChangeDetectionStrategy27, Inject as Inject67 } from "@angular/core";
import { NgIf as NgIf53, NgTemplateOutlet as NgTemplateOutlet26, NgFor as NgFor22 } from "@angular/common";
import * as i0176 from "@angular/core";
var IgxSummaryRowComponent = class _IgxSummaryRowComponent {
  get dataRowIndex() {
    return this.index;
  }
  get minHeight() {
    return this.grid.summaryRowHeight - 1;
  }
  get summaryCells() {
    const res = new QueryList3();
    if (!this._summaryCells) {
      return res;
    }
    const cList = this._summaryCells.filter((c) => c.nativeElement.isConnected);
    res.reset(cList);
    return res;
  }
  set summaryCells(cells) {
  }
  constructor(grid, element, cdr) {
    this.grid = grid;
    this.element = element;
    this.cdr = cdr;
    this.firstCellIndentation = -1;
  }
  ngDoCheck() {
    this.cdr.markForCheck();
  }
  get nativeElement() {
    return this.element.nativeElement;
  }
  getColumnSummaries(columnName) {
    if (!this.summaries.get(columnName)) {
      return [];
    }
    return this.summaries.get(columnName);
  }
  /**
   * @hidden
   * @internal
   */
  isCellActive(visibleColumnIndex) {
    const node = this.grid.navigation.activeNode;
    return node ? node.row === this.index && node.column === visibleColumnIndex : false;
  }
  /**
   * @hidden
   */
  get pinnedColumns() {
    return this.grid.pinnedColumns;
  }
  /**
   * @hidden
   */
  get unpinnedColumns() {
    return this.grid.unpinnedColumns;
  }
  getContext(row) {
    return {
      $implicit: row
    };
  }
  static {
    this.ɵfac = i0176.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0176, type: _IgxSummaryRowComponent, deps: [{ token: IGX_GRID_BASE }, { token: i0176.ElementRef }, { token: i0176.ChangeDetectorRef }], target: i0176.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0176.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSummaryRowComponent, isStandalone: true, selector: "igx-grid-summary-row", inputs: { summaries: "summaries", gridID: "gridID", index: "index", firstCellIndentation: "firstCellIndentation" }, host: { properties: { "attr.data-rowIndex": "this.dataRowIndex" } }, providers: [IgxForOfSyncService], viewQueries: [{ propertyName: "virtDirRow", first: true, predicate: ["igxDirRef"], descendants: true, read: IgxGridForOfDirective }, { propertyName: "_summaryCells", predicate: IgxSummaryCellComponent, descendants: true, read: IgxSummaryCellComponent }], ngImport: i0176, template: `<ng-container *ngIf="summaries.size">
    <ng-container *ngIf="grid.summariesMargin">
        <div
        class="igx-grid__summaries-patch"
        [style.min-width.px]="grid.summariesMargin"
        [style.flex-basis.px]="grid.summariesMargin"
        (pointerdown)="$event.preventDefault()"
        ></div>
    </ng-container>
    <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
        <ng-container *ngTemplateOutlet="summaryCellTemplate; context: getContext(this)"></ng-container>
    </ng-container>
    <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForTrackBy]="grid.trackColumnChanges" [igxForSizePropName]='"calcPixelWidth"' #igxDirRef>
        <igx-grid-summary-cell
            class="igx-grid-summary igx-grid-summary--fw"
            role="cell"
            [class.igx-grid-summary--cosy]="grid.displayDensity === 'cosy'"
            [class.igx-grid-summary--compact]="grid.displayDensity === 'compact'"
            [class.igx-grid-summary--empty]="!col.hasSummary"
            [class.igx-grid-summary--pinned-last]="col.isLastPinned"
            [column]="col"
            [rowIndex]="index"
            [firstCellIndentation]="firstCellIndentation"
            [summaryResults]="getColumnSummaries(col.field)"
            [summaryTemplate]="col.summaryTemplate"
            [hasSummary]="col.hasSummary"
            [density]="grid.displayDensity"
            [summaryFormatter]="col.summaryFormatter"
            [active]="isCellActive(col.visibleIndex)"
            [style.max-height.px]="minHeight"
            [style.min-height.px]="minHeight"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth">
        </igx-grid-summary-cell>
    </ng-template>
    <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
        <ng-container *ngTemplateOutlet="summaryCellTemplate; context: getContext(this)"></ng-container>
    </ng-container>
</ng-container>

<ng-template #summaryCellTemplate let-col>
    <igx-grid-summary-cell *ngFor="let col of pinnedColumns | igxNotGrouped"
            role="cell"
            class="igx-grid-summary igx-grid-summary--fw igx-grid-summary--pinned"
            [class.igx-grid-summary--cosy]="grid.displayDensity === 'cosy'"
            [class.igx-grid-summary--compact]="grid.displayDensity === 'compact'"
            [class.igx-grid-summary--empty]="!col.hasSummary"
            [class.igx-grid-summary--pinned-first]="col.isFirstPinned"
            [class.igx-grid-summary--pinned-last]="col.isLastPinned"
            [column]="col"
            [firstCellIndentation]="firstCellIndentation"
            [rowIndex]="index"
            [summaryResults]="getColumnSummaries(col.field)"
            [summaryTemplate]="col.summaryTemplate"
            [hasSummary]="col.hasSummary"
            [density]="grid.displayDensity"
            [active]="isCellActive(col.visibleIndex)"
            [style.max-height.px]="minHeight"
            [style.min-height.px]="minHeight"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [style.left]="col.rightPinnedOffset">
        </igx-grid-summary-cell>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf53, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet26, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxSummaryCellComponent, selector: "igx-grid-summary-cell", inputs: ["summaryResults", "column", "firstCellIndentation", "hasSummary", "density", "summaryFormatter", "summaryTemplate", "active", "rowIndex"] }, { kind: "directive", type: NgFor22, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "pipe", type: IgxGridNotGroupedPipe, name: "igxNotGrouped" }], changeDetection: i0176.ChangeDetectionStrategy.OnPush });
  }
};
i0176.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0176, type: IgxSummaryRowComponent, decorators: [{
  type: Component79,
  args: [{ changeDetection: ChangeDetectionStrategy27.OnPush, selector: "igx-grid-summary-row", providers: [IgxForOfSyncService], standalone: true, imports: [NgIf53, NgTemplateOutlet26, IgxGridForOfDirective, IgxSummaryCellComponent, NgFor22, IgxGridNotGroupedPipe], template: `<ng-container *ngIf="summaries.size">
    <ng-container *ngIf="grid.summariesMargin">
        <div
        class="igx-grid__summaries-patch"
        [style.min-width.px]="grid.summariesMargin"
        [style.flex-basis.px]="grid.summariesMargin"
        (pointerdown)="$event.preventDefault()"
        ></div>
    </ng-container>
    <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
        <ng-container *ngTemplateOutlet="summaryCellTemplate; context: getContext(this)"></ng-container>
    </ng-container>
    <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForTrackBy]="grid.trackColumnChanges" [igxForSizePropName]='"calcPixelWidth"' #igxDirRef>
        <igx-grid-summary-cell
            class="igx-grid-summary igx-grid-summary--fw"
            role="cell"
            [class.igx-grid-summary--cosy]="grid.displayDensity === 'cosy'"
            [class.igx-grid-summary--compact]="grid.displayDensity === 'compact'"
            [class.igx-grid-summary--empty]="!col.hasSummary"
            [class.igx-grid-summary--pinned-last]="col.isLastPinned"
            [column]="col"
            [rowIndex]="index"
            [firstCellIndentation]="firstCellIndentation"
            [summaryResults]="getColumnSummaries(col.field)"
            [summaryTemplate]="col.summaryTemplate"
            [hasSummary]="col.hasSummary"
            [density]="grid.displayDensity"
            [summaryFormatter]="col.summaryFormatter"
            [active]="isCellActive(col.visibleIndex)"
            [style.max-height.px]="minHeight"
            [style.min-height.px]="minHeight"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth">
        </igx-grid-summary-cell>
    </ng-template>
    <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
        <ng-container *ngTemplateOutlet="summaryCellTemplate; context: getContext(this)"></ng-container>
    </ng-container>
</ng-container>

<ng-template #summaryCellTemplate let-col>
    <igx-grid-summary-cell *ngFor="let col of pinnedColumns | igxNotGrouped"
            role="cell"
            class="igx-grid-summary igx-grid-summary--fw igx-grid-summary--pinned"
            [class.igx-grid-summary--cosy]="grid.displayDensity === 'cosy'"
            [class.igx-grid-summary--compact]="grid.displayDensity === 'compact'"
            [class.igx-grid-summary--empty]="!col.hasSummary"
            [class.igx-grid-summary--pinned-first]="col.isFirstPinned"
            [class.igx-grid-summary--pinned-last]="col.isLastPinned"
            [column]="col"
            [firstCellIndentation]="firstCellIndentation"
            [rowIndex]="index"
            [summaryResults]="getColumnSummaries(col.field)"
            [summaryTemplate]="col.summaryTemplate"
            [hasSummary]="col.hasSummary"
            [density]="grid.displayDensity"
            [active]="isCellActive(col.visibleIndex)"
            [style.max-height.px]="minHeight"
            [style.min-height.px]="minHeight"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [style.left]="col.rightPinnedOffset">
        </igx-grid-summary-cell>
</ng-template>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject67,
  args: [IGX_GRID_BASE]
}] }, { type: i0176.ElementRef }, { type: i0176.ChangeDetectorRef }], propDecorators: { summaries: [{
  type: Input107
}], gridID: [{
  type: Input107
}], index: [{
  type: Input107
}], firstCellIndentation: [{
  type: Input107
}], dataRowIndex: [{
  type: HostBinding80,
  args: ["attr.data-rowIndex"]
}], _summaryCells: [{
  type: ViewChildren15,
  args: [IgxSummaryCellComponent, { read: IgxSummaryCellComponent }]
}], virtDirRow: [{
  type: ViewChild45,
  args: ["igxDirRef", { read: IgxGridForOfDirective }]
}] } });

// lib/grids/resizing/resizer.directive.mjs
import { Directive as Directive78, Inject as Inject68, Input as Input108, Output as Output54 } from "@angular/core";
import { DOCUMENT as DOCUMENT13 } from "@angular/common";
import { Subject as Subject46, fromEvent as fromEvent12, animationFrameScheduler as animationFrameScheduler3, interval as interval5 } from "rxjs";
import { map, switchMap as switchMap2, takeUntil as takeUntil38, throttle as throttle2 } from "rxjs/operators";
import * as i0177 from "@angular/core";
var IgxColumnResizerDirective = class _IgxColumnResizerDirective {
  constructor(element, document2, zone) {
    this.element = element;
    this.document = document2;
    this.zone = zone;
    this.restrictHResizeMin = Number.MIN_SAFE_INTEGER;
    this.restrictHResizeMax = Number.MAX_SAFE_INTEGER;
    this.resizeEnd = new Subject46();
    this.resizeStart = new Subject46();
    this.resize = new Subject46();
    this._destroy = new Subject46();
    this.resizeStart.pipe(takeUntil38(this._destroy), map((event) => event.clientX), switchMap2((offset) => this.resize.pipe(takeUntil38(this._destroy), takeUntil38(this.resizeEnd), map((event) => event.clientX - offset)))).subscribe((pos) => {
      const left = this._left + pos;
      const min = this._left - this.restrictHResizeMin;
      const max = this._left + this.restrictHResizeMax;
      this.left = left < min ? min : left;
      if (left > max) {
        this.left = max;
      }
    });
  }
  ngOnInit() {
    this.zone.runOutsideAngular(() => {
      fromEvent12(this.document.defaultView, "mousemove").pipe(takeUntil38(this._destroy), throttle2(() => interval5(0, animationFrameScheduler3))).subscribe((res) => this.onMousemove(res));
      fromEvent12(this.document.defaultView, "mouseup").pipe(takeUntil38(this._destroy)).subscribe((res) => this.onMouseup(res));
    });
  }
  ngOnDestroy() {
    this._destroy.next(true);
    this._destroy.complete();
  }
  set left(val) {
    requestAnimationFrame(() => this.element.nativeElement.style.left = val + "px");
  }
  set top(val) {
    if (this.restrictResizerTop != void 0) {
      requestAnimationFrame(() => this.element.nativeElement.style.top = this.restrictResizerTop + "px");
    } else {
      requestAnimationFrame(() => this.element.nativeElement.style.top = val + "px");
    }
  }
  onMouseup(event) {
    this.resizeEnd.next(event);
    this.resizeEnd.complete();
  }
  onMousedown(event) {
    event.preventDefault();
    const parent = this.element.nativeElement.parentElement.parentElement;
    this.left = this._left = event.clientX - parent.getBoundingClientRect().left;
    this.top = event.target.getBoundingClientRect().top - parent.getBoundingClientRect().top;
    this.resizeStart.next(event);
  }
  onMousemove(event) {
    event.preventDefault();
    this.resize.next(event);
  }
  static {
    this.ɵfac = i0177.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0177, type: _IgxColumnResizerDirective, deps: [{ token: i0177.ElementRef }, { token: DOCUMENT13 }, { token: i0177.NgZone }], target: i0177.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0177.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxColumnResizerDirective, isStandalone: true, selector: "[igxResizer]", inputs: { restrictHResizeMin: "restrictHResizeMin", restrictHResizeMax: "restrictHResizeMax", restrictResizerTop: "restrictResizerTop" }, outputs: { resizeEnd: "resizeEnd", resizeStart: "resizeStart", resize: "resize" }, ngImport: i0177 });
  }
};
i0177.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0177, type: IgxColumnResizerDirective, decorators: [{
  type: Directive78,
  args: [{
    selector: "[igxResizer]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0177.ElementRef }, { type: void 0, decorators: [{
  type: Inject68,
  args: [DOCUMENT13]
}] }, { type: i0177.NgZone }], propDecorators: { restrictHResizeMin: [{
  type: Input108
}], restrictHResizeMax: [{
  type: Input108
}], restrictResizerTop: [{
  type: Input108
}], resizeEnd: [{
  type: Output54
}], resizeStart: [{
  type: Output54
}], resize: [{
  type: Output54
}] } });

// lib/grids/resizing/resizer.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy29, Component as Component80, Input as Input109, ViewChild as ViewChild46 } from "@angular/core";
import * as i0178 from "@angular/core";
var IgxGridColumnResizerComponent = class _IgxGridColumnResizerComponent {
  constructor(colResizingService) {
    this.colResizingService = colResizingService;
  }
  static {
    this.ɵfac = i0178.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0178, type: _IgxGridColumnResizerComponent, deps: [{ token: IgxColumnResizingService }], target: i0178.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0178.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridColumnResizerComponent, isStandalone: true, selector: "igx-grid-column-resizer", inputs: { restrictResizerTop: "restrictResizerTop" }, viewQueries: [{ propertyName: "resizer", first: true, predicate: IgxColumnResizerDirective, descendants: true, static: true }], ngImport: i0178, template: '<div class="igx-grid-th__resize-line"\n    [style.left.px]="-99999" igxResizer\n    [style.height.px]="colResizingService.resizerHeight"\n    [restrictHResizeMax]="colResizingService.restrictResizeMax"\n    [restrictHResizeMin]="colResizingService.restrictResizeMin"\n    [restrictResizerTop]="restrictResizerTop"\n    (resizeEnd)="colResizingService.resizeColumn($event)">\n</div>\n', dependencies: [{ kind: "directive", type: IgxColumnResizerDirective, selector: "[igxResizer]", inputs: ["restrictHResizeMin", "restrictHResizeMax", "restrictResizerTop"], outputs: ["resizeEnd", "resizeStart", "resize"] }], changeDetection: i0178.ChangeDetectionStrategy.OnPush });
  }
};
i0178.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0178, type: IgxGridColumnResizerComponent, decorators: [{
  type: Component80,
  args: [{ changeDetection: ChangeDetectionStrategy29.OnPush, selector: "igx-grid-column-resizer", standalone: true, imports: [IgxColumnResizerDirective], template: '<div class="igx-grid-th__resize-line"\n    [style.left.px]="-99999" igxResizer\n    [style.height.px]="colResizingService.resizerHeight"\n    [restrictHResizeMax]="colResizingService.restrictResizeMax"\n    [restrictHResizeMin]="colResizingService.restrictResizeMin"\n    [restrictResizerTop]="restrictResizerTop"\n    (resizeEnd)="colResizingService.resizeColumn($event)">\n</div>\n' }]
}], ctorParameters: () => [{ type: IgxColumnResizingService }], propDecorators: { restrictResizerTop: [{
  type: Input109
}], resizer: [{
  type: ViewChild46,
  args: [IgxColumnResizerDirective, { static: true }]
}] } });

// lib/directives/notification/notifications.directive.mjs
import { Directive as Directive79, HostBinding as HostBinding81, Input as Input110, booleanAttribute as booleanAttribute65 } from "@angular/core";
import * as i0179 from "@angular/core";
var IgxNotificationsDirective = class _IgxNotificationsDirective extends IgxToggleDirective {
  constructor() {
    super(...arguments);
    this.ariaLive = "polite";
    this.autoHide = true;
    this.displayTime = 4e3;
    this.textMessage = "";
  }
  /**
   * Enables/Disables the visibility of the element.
   * If not set, the `isVisible` attribute will have value `false`.
   */
  get isVisible() {
    return !this.collapsed;
  }
  set isVisible(value) {
    if (value !== this.isVisible) {
      if (value) {
        requestAnimationFrame(() => {
          this.open();
        });
      } else {
        this.close();
      }
    }
  }
  /**
   * @hidden
   */
  open() {
    clearInterval(this.timeoutId);
    const overlaySettings = {
      positionStrategy: this.strategy,
      closeOnEscape: false,
      closeOnOutsideClick: false,
      modal: false,
      outlet: this.outlet
    };
    super.open(overlaySettings);
    if (this.autoHide) {
      this.timeoutId = window.setTimeout(() => {
        this.close();
      }, this.displayTime);
    }
  }
  /**
   * Hides the element.
   */
  close() {
    clearTimeout(this.timeoutId);
    super.close();
  }
  static {
    this.ɵfac = i0179.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0179, type: _IgxNotificationsDirective, deps: null, target: i0179.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0179.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxNotificationsDirective, inputs: { ariaLive: "ariaLive", autoHide: ["autoHide", "autoHide", booleanAttribute65], displayTime: "displayTime", outlet: "outlet", isVisible: ["isVisible", "isVisible", booleanAttribute65] }, host: { properties: { "attr.aria-live": "this.ariaLive" } }, usesInheritance: true, ngImport: i0179 });
  }
};
i0179.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0179, type: IgxNotificationsDirective, decorators: [{
  type: Directive79
}], propDecorators: { ariaLive: [{
  type: HostBinding81,
  args: ["attr.aria-live"]
}, {
  type: Input110
}], autoHide: [{
  type: Input110,
  args: [{ transform: booleanAttribute65 }]
}], displayTime: [{
  type: Input110
}], outlet: [{
  type: Input110
}], isVisible: [{
  type: Input110,
  args: [{ transform: booleanAttribute65 }]
}] } });

// lib/snackbar/snackbar.component.mjs
import { useAnimation as useAnimation4 } from "@angular/animations";
import { NgIf as NgIf54 } from "@angular/common";
import { Component as Component81, EventEmitter as EventEmitter64, HostBinding as HostBinding82, Input as Input111, Output as Output55 } from "@angular/core";
import { takeUntil as takeUntil39 } from "rxjs/operators";
import { fadeIn as fadeIn8, fadeOut as fadeOut7 } from "igniteui-angular/animations";
import * as i0180 from "@angular/core";
var NEXT_ID24 = 0;
var IgxSnackbarComponent = class _IgxSnackbarComponent extends IgxNotificationsDirective {
  constructor() {
    super(...arguments);
    this.id = `igx-snackbar-${NEXT_ID24++}`;
    this.cssClass = "igx-snackbar";
    this.clicked = new EventEmitter64();
    this.animationStarted = new EventEmitter64();
    this.animationDone = new EventEmitter64();
    this._positionSettings = {
      horizontalDirection: HorizontalAlignment.Center,
      verticalDirection: VerticalAlignment.Bottom,
      openAnimation: useAnimation4(fadeIn8, { params: {
        duration: ".35s",
        easing: "cubic-bezier(0.0, 0.0, 0.2, 1)",
        fromPosition: "translateY(100%)",
        toPosition: "translateY(0)"
      } }),
      closeAnimation: useAnimation4(fadeOut7, { params: {
        duration: ".2s",
        easing: "cubic-bezier(0.4, 0.0, 1, 1)",
        fromPosition: "translateY(0)",
        toPosition: "translateY(100%)"
      } })
    };
  }
  /**
   * Get the position and animation settings used by the snackbar.
   * ```typescript
   * @ViewChild('snackbar', { static: true }) public snackbar: IgxSnackbarComponent;
   * let currentPosition: PositionSettings = this.snackbar.positionSettings
   * ```
   */
  get positionSettings() {
    return this._positionSettings;
  }
  /**
   * Set the position and animation settings used by the snackbar.
   * ```html
   * <igx-snackbar [positionSettings]="newPositionSettings"></igx-snackbar>
   * ```
   * ```typescript
   * import { slideInTop, slideOutBottom } from 'igniteui-angular';
   * ...
   * @ViewChild('snackbar', { static: true }) public snackbar: IgxSnackbarComponent;
   *  public newPositionSettings: PositionSettings = {
   *      openAnimation: useAnimation(slideInTop, { params: { duration: '1000ms', fromPosition: 'translateY(100%)'}}),
   *      closeAnimation: useAnimation(slideOutBottom, { params: { duration: '1000ms', fromPosition: 'translateY(0)'}}),
   *      horizontalDirection: HorizontalAlignment.Left,
   *      verticalDirection: VerticalAlignment.Middle,
   *      horizontalStartPoint: HorizontalAlignment.Left,
   *      verticalStartPoint: VerticalAlignment.Middle,
   *      minSize: { height: 100, width: 100 }
   *  };
   * this.snackbar.positionSettings = this.newPositionSettings;
   * ```
   */
  set positionSettings(settings) {
    this._positionSettings = settings;
  }
  /**
   * Shows the snackbar and hides it after the `displayTime` is over if `autoHide` is set to `true`.
   * ```typescript
   * this.snackbar.open();
   * ```
   */
  open(message) {
    if (message !== void 0) {
      this.textMessage = message;
    }
    this.strategy = this.outlet ? new ContainerPositionStrategy(this.positionSettings) : new GlobalPositionStrategy(this.positionSettings);
    super.open();
  }
  /**
   * Opens or closes the snackbar, depending on its current state.
   *
   * ```typescript
   * this.snackbar.toggle();
   * ```
   */
  toggle() {
    if (this.collapsed || this.isClosing) {
      this.open();
    } else {
      this.close();
    }
  }
  /**
   * @hidden
   */
  triggerAction() {
    this.clicked.emit(this);
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.opened.pipe(takeUntil39(this.destroy$)).subscribe(() => {
      const openedEventArgs = { owner: this, id: this._overlayId };
      this.animationStarted.emit(openedEventArgs);
    });
    this.closed.pipe(takeUntil39(this.destroy$)).subscribe(() => {
      const closedEventArgs = { owner: this, id: this._overlayId };
      this.animationDone.emit(closedEventArgs);
    });
  }
  static {
    this.ɵfac = i0180.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0180, type: _IgxSnackbarComponent, deps: null, target: i0180.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0180.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSnackbarComponent, isStandalone: true, selector: "igx-snackbar", inputs: { id: "id", actionText: "actionText", positionSettings: "positionSettings" }, outputs: { clicked: "clicked", animationStarted: "animationStarted", animationDone: "animationDone" }, host: { properties: { "attr.id": "this.id", "class.igx-snackbar": "this.cssClass" } }, usesInheritance: true, ngImport: i0180, template: '<div class="igx-snackbar__message">\n    {{ textMessage }}\n    <ng-content></ng-content>\n</div>\n<div #customButton class="igx-snackbar__button">\n    <ng-content select="[igxButton]"></ng-content>\n</div>\n<button *ngIf="!customButton.children.length && actionText" igxButton (click)="triggerAction()">\n    {{ actionText }}\n</button>\n', dependencies: [{ kind: "directive", type: NgIf54, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }] });
  }
};
i0180.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0180, type: IgxSnackbarComponent, decorators: [{
  type: Component81,
  args: [{ selector: "igx-snackbar", standalone: true, imports: [NgIf54, IgxButtonDirective], template: '<div class="igx-snackbar__message">\n    {{ textMessage }}\n    <ng-content></ng-content>\n</div>\n<div #customButton class="igx-snackbar__button">\n    <ng-content select="[igxButton]"></ng-content>\n</div>\n<button *ngIf="!customButton.children.length && actionText" igxButton (click)="triggerAction()">\n    {{ actionText }}\n</button>\n' }]
}], propDecorators: { id: [{
  type: HostBinding82,
  args: ["attr.id"]
}, {
  type: Input111
}], cssClass: [{
  type: HostBinding82,
  args: ["class.igx-snackbar"]
}], actionText: [{
  type: Input111
}], clicked: [{
  type: Output55
}], animationStarted: [{
  type: Output55
}], animationDone: [{
  type: Output55
}], positionSettings: [{
  type: Input111
}] } });

// lib/paginator/token.mjs
var IgxPaginatorToken = class {
};

// lib/grids/grouping/grid-group-by-area.component.mjs
import { Component as Component82, Input as Input112 } from "@angular/core";
import { NgFor as NgFor23, NgTemplateOutlet as NgTemplateOutlet27 } from "@angular/common";
import * as i0181 from "@angular/core";
var IgxGridGroupByAreaComponent = class _IgxGridGroupByAreaComponent extends IgxGroupByAreaDirective {
  constructor(ref, platform) {
    super(ref, platform);
    this.sortingExpressions = [];
  }
  handleReorder(event) {
    const { chipsArray, originalEvent } = event;
    const newExpressions = this.getReorderedExpressions(chipsArray);
    this.grid.groupingExpansionState = [];
    this.expressions = newExpressions;
    if (originalEvent instanceof KeyboardEvent) {
      this.grid.groupingExpressions = newExpressions;
    }
  }
  handleMoveEnd() {
    this.grid.groupingExpressions = this.expressions;
  }
  groupBy(expression) {
    this.grid.groupBy(expression);
  }
  clearGrouping(name) {
    this.grid.clearGrouping(name);
  }
  static {
    this.ɵfac = i0181.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0181, type: _IgxGridGroupByAreaComponent, deps: [{ token: i0181.ElementRef }, { token: PlatformUtil }], target: i0181.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0181.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridGroupByAreaComponent, isStandalone: true, selector: "igx-grid-group-by-area", inputs: { sortingExpressions: "sortingExpressions", grid: "grid" }, providers: [{ provide: IgxGroupByAreaDirective, useExisting: _IgxGridGroupByAreaComponent }], usesInheritance: true, ngImport: i0181, template: `<igx-chips-area (reorder)="handleReorder($event)" (moveEnd)="handleMoveEnd()">
    <ng-container *ngFor="let expression of chipExpressions; let last = last;">
        <igx-chip
            [id]="expression.fieldName"
            [title]="(expression.fieldName | igxGroupByMeta:grid).title"
            [displayDensity]="grid.displayDensity"
            [removable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [draggable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [disabled]="!(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            (keyDown)="handleKeyDown($event.owner.id, $event.originalEvent)"
            (remove)="clearGrouping($event.owner.id)"
            (chipClick)="handleClick(expression.fieldName)"
        >
            <span>{{ (expression.fieldName | igxGroupByMeta:grid).title }}</span>
            <igx-icon igxSuffix>{{ expression.dir === 1 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
        </igx-chip>

        <span class="igx-grid-grouparea__connector">
            <igx-icon [hidden]="(last && !dropAreaVisible)">arrow_forward</igx-icon>
        </span>
    </ng-container>
    <div igxGroupAreaDrop
        class="igx-drop-area"
        [attr.gridId]="grid.id"
        [hidden]="!dropAreaVisible"
        (igxDrop)="onDragDrop($event)"
    >
        <ng-container *ngTemplateOutlet="dropAreaTemplate || default"></ng-container>
    </div>
</igx-chips-area>

<ng-template #default>
    <igx-icon class="igx-drop-area__icon">group_work</igx-icon>
    <span class="igx-drop-area__text">{{ dropAreaMessage }}</span>
</ng-template>
`, dependencies: [{ kind: "component", type: IgxChipsAreaComponent, selector: "igx-chips-area", inputs: ["width", "height"], outputs: ["reorder", "selectionChange", "moveStart", "moveEnd"] }, { kind: "directive", type: NgFor23, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: IgxGroupAreaDropDirective, selector: "[igxGroupAreaDrop]" }, { kind: "directive", type: IgxDropDirective, selector: "[igxDrop]", inputs: ["igxDrop", "dropChannel", "dropStrategy"], outputs: ["enter", "over", "leave", "dropped"], exportAs: ["drop"] }, { kind: "directive", type: NgTemplateOutlet27, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: IgxGroupByMetaPipe, name: "igxGroupByMeta" }] });
  }
};
i0181.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0181, type: IgxGridGroupByAreaComponent, decorators: [{
  type: Component82,
  args: [{ selector: "igx-grid-group-by-area", providers: [{ provide: IgxGroupByAreaDirective, useExisting: IgxGridGroupByAreaComponent }], standalone: true, imports: [IgxChipsAreaComponent, NgFor23, IgxChipComponent, IgxIconComponent, IgxSuffixDirective, IgxGroupAreaDropDirective, IgxDropDirective, NgTemplateOutlet27, IgxGroupByMetaPipe], template: `<igx-chips-area (reorder)="handleReorder($event)" (moveEnd)="handleMoveEnd()">
    <ng-container *ngFor="let expression of chipExpressions; let last = last;">
        <igx-chip
            [id]="expression.fieldName"
            [title]="(expression.fieldName | igxGroupByMeta:grid).title"
            [displayDensity]="grid.displayDensity"
            [removable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [draggable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [disabled]="!(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            (keyDown)="handleKeyDown($event.owner.id, $event.originalEvent)"
            (remove)="clearGrouping($event.owner.id)"
            (chipClick)="handleClick(expression.fieldName)"
        >
            <span>{{ (expression.fieldName | igxGroupByMeta:grid).title }}</span>
            <igx-icon igxSuffix>{{ expression.dir === 1 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
        </igx-chip>

        <span class="igx-grid-grouparea__connector">
            <igx-icon [hidden]="(last && !dropAreaVisible)">arrow_forward</igx-icon>
        </span>
    </ng-container>
    <div igxGroupAreaDrop
        class="igx-drop-area"
        [attr.gridId]="grid.id"
        [hidden]="!dropAreaVisible"
        (igxDrop)="onDragDrop($event)"
    >
        <ng-container *ngTemplateOutlet="dropAreaTemplate || default"></ng-container>
    </div>
</igx-chips-area>

<ng-template #default>
    <igx-icon class="igx-drop-area__icon">group_work</igx-icon>
    <span class="igx-drop-area__text">{{ dropAreaMessage }}</span>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0181.ElementRef }, { type: PlatformUtil }], propDecorators: { sortingExpressions: [{
  type: Input112
}], grid: [{
  type: Input112
}] } });

// lib/grids/common/types.mjs
import { InjectionToken as InjectionToken12 } from "@angular/core";
var IgxGridTransaction = /* @__PURE__ */ new InjectionToken12("IgxGridTransaction");

// lib/grids/grid/grid-validation.service.mjs
import { Injectable as Injectable27 } from "@angular/core";
import { FormControl, FormGroup as FormGroup2 } from "@angular/forms";
import * as i0182 from "@angular/core";
var IgxGridValidationService = class _IgxGridValidationService {
  constructor() {
    this._validityStates = /* @__PURE__ */ new Map();
    this._valid = true;
  }
  /** Gets whether state is valid.
  */
  get valid() {
    return this._valid;
  }
  /**
   * @hidden
   * @internal
   */
  create(rowId, data) {
    let formGroup = this.getFormGroup(rowId);
    if (!formGroup) {
      formGroup = new FormGroup2({});
      for (const col of this.grid.columns) {
        this.addFormControl(formGroup, data, col);
      }
      const args = {
        formGroup,
        owner: this.grid
      };
      this.grid.formGroupCreated.emit(args);
      this.add(rowId, formGroup);
    } else {
      for (const col of this.grid.columns) {
        const formControl = formGroup.get(col.field);
        if (formControl) {
          formControl.markAsPristine();
        } else {
          this.addFormControl(formGroup, data, col);
        }
      }
    }
    return formGroup;
  }
  /**
  * @hidden
  * @internal
  */
  addFormControl(formGroup, data, column) {
    const value = resolveNestedPath(data || {}, column.field);
    const field = this.getFieldKey(column.field);
    const control = new FormControl(value, { updateOn: this.grid.validationTrigger });
    control.addValidators(column.validators);
    formGroup.addControl(field, control);
    control.setValue(value);
  }
  /**
   * @hidden
   * @internal
   */
  getFieldKey(path) {
    const parts = path?.split(".") ?? [];
    return parts.join("_");
  }
  /**
   * @hidden
   * @internal
   */
  getFormGroup(id) {
    return this._validityStates.get(id);
  }
  /**
   * @hidden
   * @internal
   */
  getFormControl(rowId, columnKey) {
    const formControl = this.getFormGroup(rowId);
    const field = this.getFieldKey(columnKey);
    return formControl?.get(field);
  }
  /**
   * @hidden
   * @internal
   */
  add(rowId, form) {
    this._validityStates.set(rowId, form);
  }
  /**
   * @hidden
   * @internal
   */
  getValidity() {
    const states = [];
    this._validityStates.forEach((formGroup, key) => {
      const state = [];
      for (const col of this.grid.columns) {
        const colKey = this.getFieldKey(col.field);
        const control = formGroup.get(colKey);
        if (control) {
          state.push({ field: colKey, status: control.status, errors: control.errors });
        }
      }
      states.push({ key, status: formGroup.status, fields: state, errors: formGroup.errors });
    });
    return states;
  }
  /**
   * Returns all invalid record states.
   */
  getInvalid() {
    const validity = this.getValidity();
    return validity.filter((x) => x.status === "INVALID");
  }
  /**
   * @hidden
   * @internal
   */
  update(rowId, rowData) {
    if (!rowData)
      return;
    const keys = Object.keys(rowData);
    const rowGroup = this.getFormGroup(rowId);
    for (const key of keys) {
      const colKey = this.getFieldKey(key);
      const control = rowGroup?.get(colKey);
      if (control && control.value !== rowData[key]) {
        control.setValue(rowData[key], { emitEvent: false });
      }
    }
    this.updateStatus();
  }
  /**
   * @hidden
   * @internal
   * Update validity based on new data.
   */
  updateAll(newData) {
    if (!newData || this._validityStates.size === 0)
      return;
    for (const rec of newData) {
      const rowId = rec[this.grid.primaryKey] || rec;
      if (this.getFormGroup(rowId)) {
        const recAggregatedData = this.grid.transactions.getAggregatedValue(rowId, true) || rec;
        this.update(rowId, recAggregatedData);
      }
    }
  }
  /** Marks the associated record or field as touched.
   * @param key The id of the record that will be marked as touched.
   * @param field Optional. The field from the record that will be marked as touched. If not provided all fields will be touched.
  */
  markAsTouched(key, field) {
    const rowGroup = this.getFormGroup(key);
    if (!rowGroup)
      return;
    rowGroup.markAsTouched();
    const fields = field ? [field] : this.grid.columns.map((x) => x.field);
    for (const currField of fields) {
      const colKey = this.getFieldKey(currField);
      rowGroup?.get(colKey)?.markAsTouched();
    }
  }
  /**
   * @hidden
   * @internal
   */
  updateStatus() {
    const currentValid = this.valid;
    this._valid = this.getInvalid().length === 0;
    if (this.valid !== currentValid) {
      this.grid.validationStatusChange.emit({ status: this.valid ? "VALID" : "INVALID", owner: this.grid });
    }
  }
  /** Clears validation state by key or all states if none is provided.
   * @param key Optional. The key of the record for which to clear state.
  */
  clear(key) {
    if (key !== void 0) {
      this._validityStates.delete(key);
    } else {
      this._validityStates.clear();
    }
    this.updateStatus();
  }
  static {
    this.ɵfac = i0182.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0182, type: _IgxGridValidationService, deps: [], target: i0182.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0182.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0182, type: _IgxGridValidationService });
  }
};
i0182.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0182, type: IgxGridValidationService, decorators: [{
  type: Injectable27
}] });

// lib/grids/grid-navigation.service.mjs
import { Injectable as Injectable28 } from "@angular/core";
import { first as first8 } from "rxjs/operators";
import * as i0183 from "@angular/core";
var IgxGridNavigationService = class _IgxGridNavigationService {
  get activeNode() {
    return this._activeNode;
  }
  set activeNode(value) {
    this._activeNode = value;
  }
  constructor(platform) {
    this.platform = platform;
    this._activeNode = {};
    this.lastActiveNode = {};
    this.pendingNavigation = false;
  }
  handleNavigation(event) {
    const key = event.key.toLowerCase();
    if (NAVIGATION_KEYS.has(key)) {
      event.stopPropagation();
    }
    if (this.grid.crudService.cell && NAVIGATION_KEYS.has(key)) {
      return;
    }
    if (event.repeat && SUPPORTED_KEYS.has(key) || key === "tab" && this.grid.crudService.cell) {
      event.preventDefault();
    }
    if (event.repeat) {
      setTimeout(() => this.dispatchEvent(event), 1);
    } else {
      this.dispatchEvent(event);
    }
  }
  dispatchEvent(event) {
    const key = event.key.toLowerCase();
    if (!this.activeNode || !(SUPPORTED_KEYS.has(key) || key === "tab" && this.grid.crudService.cell) && !this.grid.crudService.rowEditingBlocked && !this.grid.crudService.rowInEditMode) {
      return;
    }
    const shift = event.shiftKey;
    const ctrl = event.ctrlKey;
    if (NAVIGATION_KEYS.has(key) && this.pendingNavigation) {
      event.preventDefault();
      return;
    }
    const type = this.isDataRow(this.activeNode.row) ? "dataCell" : this.isDataRow(this.activeNode.row, true) ? "summaryCell" : "groupRow";
    if (this.emitKeyDown(type, this.activeNode.row, event)) {
      return;
    }
    if (event.altKey) {
      this.handleAlt(key, event);
      return;
    }
    if ([" ", "spacebar", "space"].indexOf(key) === -1) {
      this.grid.selectionService.keyboardStateOnKeydown(this.activeNode, shift, shift && key === "tab");
    }
    const position = this.getNextPosition(this.activeNode.row, this.activeNode.column, key, shift, ctrl, event);
    if (NAVIGATION_KEYS.has(key)) {
      event.preventDefault();
      this.navigateInBody(position.rowIndex, position.colIndex, (obj) => {
        obj.target.activate(event);
        this.grid.cdr.detectChanges();
      });
    }
    this.grid.cdr.detectChanges();
  }
  summaryNav(event) {
    if (this.grid.hasSummarizedColumns) {
      this.horizontalNav(event, event.key.toLowerCase(), this.grid.dataView.length, "summaryCell");
    }
  }
  headerNavigation(event) {
    const key = event.key.toLowerCase();
    if (!HEADER_KEYS.has(key) || this.activeNode?.row !== -1) {
      return;
    }
    event.preventDefault();
    const ctrl = event.ctrlKey;
    const shift = event.shiftKey;
    const alt = event.altKey;
    this.performHeaderKeyCombination(this.currentActiveColumn, key, shift, ctrl, alt, event);
    if (shift || alt || ctrl && (key.includes("down") || key.includes("down"))) {
      return;
    }
    if (this.grid.hasColumnGroups) {
      this.handleMCHeaderNav(key, ctrl);
    } else {
      this.horizontalNav(event, key, -1, "headerCell");
    }
  }
  focusTbody(event) {
    const gridRows = this.grid.verticalScrollContainer.totalItemCount ?? this.grid.dataView.length;
    if (gridRows < 1) {
      this.activeNode = null;
      return;
    }
    if (!this.activeNode || !Object.keys(this.activeNode).length || this.activeNode.row < 0 || this.activeNode.row > gridRows - 1) {
      const hasLastActiveNode = Object.keys(this.lastActiveNode).length;
      const shouldClearSelection = hasLastActiveNode && (this.lastActiveNode.row < 0 || this.lastActiveNode.row > gridRows - 1);
      this.setActiveNode(this.lastActiveNode.row >= 0 && this.lastActiveNode.row < gridRows ? this.firstVisibleNode(this.lastActiveNode.row) : this.firstVisibleNode());
      if (shouldClearSelection || this.grid.cellSelection !== GridSelectionMode.multiple) {
        this.grid.clearCellSelection();
        this.grid.navigateTo(this.activeNode.row, this.activeNode.column, (obj) => {
          obj.target?.activate(event);
          this.grid.cdr.detectChanges();
        });
      } else {
        if (hasLastActiveNode && !this.grid.selectionService.selected(this.lastActiveNode)) {
          return;
        }
        const range2 = {
          rowStart: this.activeNode.row,
          rowEnd: this.activeNode.row,
          columnStart: this.activeNode.column,
          columnEnd: this.activeNode.column
        };
        this.grid.selectRange(range2);
        this.grid.notifyChanges();
      }
    }
  }
  focusFirstCell(header = true) {
    if ((header || this.grid.dataView.length) && this.activeNode && (this.activeNode.row === -1 || this.activeNode.row === this.grid.dataView.length || !header && !this.grid.hasSummarizedColumns)) {
      return;
    }
    const shouldScrollIntoView = this.lastActiveNode && (header && this.lastActiveNode.row !== -1) || !header && this.lastActiveNode.row !== this.grid.dataView.length;
    this.setActiveNode(this.firstVisibleNode(header ? -1 : this.grid.dataView.length));
    if (shouldScrollIntoView) {
      this.performHorizontalScrollToCell(this.activeNode.column);
    }
  }
  isColumnFullyVisible(columnIndex) {
    if (columnIndex < 0 || this.isColumnPinned(columnIndex, this.forOfDir())) {
      return true;
    }
    const index = this.getColumnUnpinnedIndex(columnIndex);
    const width = this.forOfDir().getColumnScrollLeft(index + 1) - this.forOfDir().getColumnScrollLeft(index);
    if (this.displayContainerWidth < width && this.displayContainerScrollLeft === this.forOfDir().getColumnScrollLeft(index)) {
      return true;
    }
    return this.displayContainerWidth >= this.forOfDir().getColumnScrollLeft(index + 1) - this.displayContainerScrollLeft && this.displayContainerScrollLeft <= this.forOfDir().getColumnScrollLeft(index);
  }
  shouldPerformHorizontalScroll(visibleColIndex, rowIndex = -1) {
    if (visibleColIndex < 0 || visibleColIndex > this.grid.visibleColumns.length - 1) {
      return false;
    }
    if (rowIndex < 0 || rowIndex > this.grid.dataView.length - 1) {
      return !this.isColumnFullyVisible(visibleColIndex);
    }
    const row = this.grid.dataView[rowIndex];
    return row.expression || row.detailsData ? false : !this.isColumnFullyVisible(visibleColIndex);
  }
  shouldPerformVerticalScroll(targetRowIndex, _visibleColIndex) {
    if (this.grid.isRecordPinnedByViewIndex(targetRowIndex)) {
      return false;
    }
    const scrollRowIndex = this.grid.hasPinnedRecords && this.grid.isRowPinningToTop ? targetRowIndex - this.grid.pinnedDataView.length : targetRowIndex;
    const targetRow = this.getRowElementByIndex(targetRowIndex);
    const rowHeight = this.grid.verticalScrollContainer.getSizeAt(scrollRowIndex);
    const containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
    const endTopOffset = targetRow ? targetRow.offsetTop + rowHeight + this.containerTopOffset : containerHeight + rowHeight;
    return !targetRow || targetRow.offsetTop < Math.abs(this.containerTopOffset) || containerHeight && endTopOffset - containerHeight > 5;
  }
  performVerticalScrollToCell(rowIndex, visibleColIndex = -1, cb) {
    if (!this.shouldPerformVerticalScroll(rowIndex, visibleColIndex)) {
      return;
    }
    this.pendingNavigation = true;
    const scrollRowIndex = this.grid.hasPinnedRecords && this.grid.isRowPinningToTop ? rowIndex - this.grid.pinnedDataView.length : rowIndex;
    this.grid.verticalScrollContainer.scrollTo(scrollRowIndex);
    this.grid.verticalScrollContainer.chunkLoad.pipe(first8()).subscribe(() => {
      this.pendingNavigation = false;
      if (cb) {
        cb();
      }
    });
  }
  performHorizontalScrollToCell(visibleColumnIndex, cb) {
    if (this.grid.rowList < 1 && this.grid.summariesRowList.length < 1 && this.grid.hasColumnGroups) {
      let column = this.grid.getColumnByVisibleIndex(visibleColumnIndex);
      while (column.parent) {
        column = column.parent;
      }
      visibleColumnIndex = this.forOfDir().igxForOf.indexOf(column);
    }
    if (!this.shouldPerformHorizontalScroll(visibleColumnIndex)) {
      return;
    }
    this.pendingNavigation = true;
    this.grid.parentVirtDir.chunkLoad.pipe(first8()).subscribe(() => {
      this.pendingNavigation = false;
      if (cb) {
        cb();
      }
    });
    this.forOfDir().scrollTo(this.getColumnUnpinnedIndex(visibleColumnIndex));
  }
  isDataRow(rowIndex, includeSummary = false) {
    let curRow;
    if (rowIndex < 0 || rowIndex > this.grid.dataView.length - 1) {
      curRow = this.grid.dataView[rowIndex - this.grid.virtualizationState.startIndex];
      if (!curRow) {
        return this.grid.verticalScrollContainer.isRemote && rowIndex >= 0 && rowIndex <= this.grid.totalItemCount - 1;
      }
    } else {
      curRow = this.grid.dataView[rowIndex];
    }
    return curRow && !this.grid.isGroupByRecord(curRow) && !this.grid.isDetailRecord(curRow) && !curRow.childGridsData && (includeSummary || !curRow.summaries);
  }
  isGroupRow(rowIndex) {
    if (rowIndex < 0 || rowIndex > this.grid.dataView.length - 1) {
      return false;
    }
    const curRow = this.grid.dataView[rowIndex];
    return curRow && this.grid.isGroupByRecord(curRow);
  }
  setActiveNode(activeNode) {
    if (!this.isActiveNodeChanged(activeNode)) {
      return;
    }
    if (!this.activeNode) {
      this.activeNode = activeNode;
    }
    Object.assign(this.activeNode, activeNode);
    const currRow = this.grid.dataView[activeNode.row];
    const type = activeNode.row < 0 ? "headerCell" : this.isDataRow(activeNode.row) ? "dataCell" : currRow && this.grid.isGroupByRecord(currRow) ? "groupRow" : currRow && this.grid.isDetailRecord(currRow) ? "masterDetailRow" : "summaryCell";
    const args = {
      row: this.activeNode.row,
      column: this.activeNode.column,
      level: this.activeNode.level,
      tag: type
    };
    this.grid.activeNodeChange.emit(args);
  }
  isActiveNodeChanged(activeNode) {
    let isChanged = false;
    const checkInnerProp = (aciveNode, prop) => {
      if (!aciveNode) {
        isChanged = true;
        return;
      }
      props = Object.getOwnPropertyNames(aciveNode);
      for (const propName of props) {
        if (this.activeNode[prop][propName] !== aciveNode[propName]) {
          isChanged = true;
        }
      }
    };
    if (!this.activeNode) {
      return isChanged = true;
    }
    let props = Object.getOwnPropertyNames(activeNode);
    for (const propName of props) {
      if (!!this.activeNode[propName] && typeof this.activeNode[propName] === "object") {
        checkInnerProp(activeNode[propName], propName);
      } else if (this.activeNode[propName] !== activeNode[propName]) {
        isChanged = true;
      }
    }
    return isChanged;
  }
  getNextPosition(rowIndex, colIndex, key, shift, ctrl, event) {
    if (!this.isDataRow(rowIndex, true) && (key.indexOf("down") < 0 || key.indexOf("up") < 0) && ctrl) {
      return { rowIndex, colIndex };
    }
    switch (key) {
      case "pagedown":
      case "pageup":
        event.preventDefault();
        if (key === "pagedown") {
          this.grid.verticalScrollContainer.scrollNextPage();
        } else {
          this.grid.verticalScrollContainer.scrollPrevPage();
        }
        const editCell = this.grid.crudService.cell;
        this.grid.verticalScrollContainer.chunkLoad.pipe(first8()).subscribe(() => {
          if (editCell && this.grid.rowList.map((r) => r.index).indexOf(editCell.rowIndex) < 0) {
            this.grid.tbody.nativeElement.focus({ preventScroll: true });
          }
        });
        break;
      case "tab":
        this.handleEditing(shift, event);
        break;
      case "end":
        rowIndex = ctrl ? this.findLastDataRowIndex() : this.activeNode.row;
        colIndex = this.lastColumnIndex;
        break;
      case "home":
        rowIndex = ctrl ? this.findFirstDataRowIndex() : this.activeNode.row;
        colIndex = 0;
        break;
      case "arrowleft":
      case "left":
        colIndex = ctrl ? 0 : this.activeNode.column - 1;
        break;
      case "arrowright":
      case "right":
        colIndex = ctrl ? this.lastColumnIndex : this.activeNode.column + 1;
        break;
      case "arrowup":
      case "up":
        if (ctrl && !this.isDataRow(rowIndex) || this.grid.rowEditable && this.grid.crudService.rowEditingBlocked) {
          break;
        }
        colIndex = this.activeNode.column !== void 0 ? this.activeNode.column : 0;
        rowIndex = ctrl ? this.findFirstDataRowIndex() : this.activeNode.row - 1;
        break;
      case "arrowdown":
      case "down":
        if (ctrl && !this.isDataRow(rowIndex) || this.grid.rowEditable && this.grid.crudService.rowEditingBlocked) {
          break;
        }
        colIndex = this.activeNode.column !== void 0 ? this.activeNode.column : 0;
        rowIndex = ctrl ? this.findLastDataRowIndex() : this.activeNode.row + 1;
        break;
      case "enter":
      case "f2":
        const cell = this.grid.gridAPI.get_cell_by_visible_index(this.activeNode.row, this.activeNode.column);
        if (!this.isDataRow(rowIndex) || !cell.editable) {
          break;
        }
        this.grid.crudService.enterEditMode(cell, event);
        break;
      case "escape":
      case "esc":
        if (!this.isDataRow(rowIndex)) {
          break;
        }
        if (this.grid.crudService.isInCompositionMode) {
          return;
        }
        if (this.grid.crudService.cellInEditMode || this.grid.crudService.rowInEditMode) {
          this.grid.crudService.endEdit(false, event);
          if (this.platform.isEdge) {
            this.grid.cdr.detectChanges();
          }
          this.grid.tbody.nativeElement.focus();
        }
        break;
      case " ":
      case "spacebar":
      case "space":
        const rowObj = this.grid.gridAPI.get_row_by_index(this.activeNode.row);
        if (this.grid.isRowSelectable && rowObj) {
          if (this.isDataRow(rowIndex)) {
            if (rowObj.selected) {
              this.grid.selectionService.deselectRow(rowObj.key, event);
            } else {
              this.grid.selectionService.selectRowById(rowObj.key, false, event);
            }
          }
          if (this.isGroupRow(rowIndex)) {
            rowObj.onGroupSelectorClick(event);
          }
        }
        break;
      default:
        return;
    }
    return { rowIndex, colIndex };
  }
  horizontalNav(event, key, rowIndex, tag) {
    const ctrl = event.ctrlKey;
    if (!HORIZONTAL_NAV_KEYS.has(event.key.toLowerCase())) {
      return;
    }
    event.preventDefault();
    this.activeNode.row = rowIndex;
    if (rowIndex > 0) {
      if (this.emitKeyDown("summaryCell", this.activeNode.row, event)) {
        return;
      }
    }
    const newActiveNode = {
      column: this.activeNode.column,
      mchCache: {
        level: this.activeNode.level,
        visibleIndex: this.activeNode.column
      }
    };
    if ((key.includes("left") || key === "home") && this.activeNode.column > 0) {
      newActiveNode.column = ctrl || key === "home" ? 0 : this.activeNode.column - 1;
    }
    if ((key.includes("right") || key === "end") && this.activeNode.column < this.lastColumnIndex) {
      newActiveNode.column = ctrl || key === "end" ? this.lastColumnIndex : this.activeNode.column + 1;
    }
    if (tag === "headerCell") {
      const column = this.grid.getColumnByVisibleIndex(newActiveNode.column);
      newActiveNode.mchCache.level = column.level;
      newActiveNode.mchCache.visibleIndex = column.visibleIndex;
    }
    this.setActiveNode({ row: this.activeNode.row, column: newActiveNode.column, mchCache: newActiveNode.mchCache });
    this.performHorizontalScrollToCell(this.activeNode.column);
  }
  get lastColumnIndex() {
    return Math.max(...this.grid.visibleColumns.map((col) => col.visibleIndex));
  }
  get displayContainerWidth() {
    return Math.round(this.grid.parentVirtDir.dc.instance._viewContainer.element.nativeElement.offsetWidth);
  }
  get displayContainerScrollLeft() {
    return Math.ceil(this.grid.headerContainer.scrollPosition);
  }
  get containerTopOffset() {
    return parseInt(this.grid.verticalScrollContainer.dc.instance._viewContainer.element.nativeElement.style.top, 10);
  }
  getColumnUnpinnedIndex(visibleColumnIndex) {
    const column = this.grid.unpinnedColumns.find((col) => !col.columnGroup && col.visibleIndex === visibleColumnIndex);
    return this.grid.pinnedColumns.length ? this.grid.unpinnedColumns.filter((c) => !c.columnGroup).indexOf(column) : visibleColumnIndex;
  }
  forOfDir() {
    const forOfDir = this.grid.dataRowList.length > 0 ? this.grid.dataRowList.first.virtDirRow : this.grid.summariesRowList.length ? this.grid.summariesRowList.first.virtDirRow : this.grid.headerContainer;
    return forOfDir;
  }
  handleAlt(key, event) {
    event.preventDefault();
    const row = this.grid.gridAPI.get_row_by_index(this.activeNode.row);
    if (!(this.isToggleKey(key) || this.isAddKey(key)) || !row) {
      return;
    }
    if (this.isAddKey(key)) {
      if (!this.grid.rowEditable) {
        console.warn("The grid must be in row edit mode to perform row adding!");
        return;
      }
      if (event.shiftKey && row.treeRow !== void 0) {
        this.grid.crudService.enterAddRowMode(row, true, event);
      } else if (!event.shiftKey) {
        this.grid.crudService.enterAddRowMode(row, false, event);
      }
    } else if (!row.expanded && ROW_EXPAND_KEYS.has(key)) {
      if (row.key === void 0) {
        row.toggle();
      } else {
        this.grid.gridAPI.set_row_expansion_state(row.key, true, event);
      }
    } else if (row.expanded && ROW_COLLAPSE_KEYS.has(key)) {
      if (row.key === void 0) {
        row.toggle();
      } else {
        this.grid.gridAPI.set_row_expansion_state(row.key, false, event);
      }
    }
    this.grid.notifyChanges();
  }
  handleEditing(shift, event) {
    const next = shift ? this.grid.getPreviousCell(this.activeNode.row, this.activeNode.column, (col) => col.editable) : this.grid.getNextCell(this.activeNode.row, this.activeNode.column, (col) => col.editable);
    if (!this.grid.crudService.rowInEditMode && this.isActiveNode(next.rowIndex, next.visibleColumnIndex)) {
      this.grid.crudService.endEdit(true, event);
      this.grid.tbody.nativeElement.focus();
      return;
    }
    event.preventDefault();
    if (this.grid.crudService.rowInEditMode && this.grid.rowEditTabs.length && (this.activeNode.row !== next.rowIndex || this.isActiveNode(next.rowIndex, next.visibleColumnIndex))) {
      const args = this.grid.crudService.updateCell(true, event);
      if (args.cancel) {
        return;
      } else if (shift) {
        this.grid.rowEditTabs.last.element.nativeElement.focus();
      } else {
        this.grid.rowEditTabs.first.element.nativeElement.focus();
      }
      return;
    }
    if (this.grid.crudService.rowInEditMode && !this.grid.rowEditTabs.length) {
      if (shift && next.rowIndex === this.activeNode.row && next.visibleColumnIndex === this.activeNode.column) {
        next.visibleColumnIndex = this.grid.lastEditableColumnIndex;
      } else if (!shift && next.rowIndex === this.activeNode.row && next.visibleColumnIndex === this.activeNode.column) {
        next.visibleColumnIndex = this.grid.firstEditableColumnIndex;
      } else {
        next.rowIndex = this.activeNode.row;
      }
    }
    this.navigateInBody(next.rowIndex, next.visibleColumnIndex, (obj) => {
      obj.target.activate(event);
      this.grid.cdr.detectChanges();
    });
  }
  navigateInBody(rowIndex, visibleColIndex, cb = null) {
    if (!this.isValidPosition(rowIndex, visibleColIndex) || this.isActiveNode(rowIndex, visibleColIndex)) {
      return;
    }
    this.grid.navigateTo(rowIndex, visibleColIndex, cb);
  }
  emitKeyDown(type, rowIndex, event) {
    const row = this.grid.summariesRowList.toArray().concat(this.grid.rowList.toArray()).find((r) => r.index === rowIndex);
    if (!row) {
      return;
    }
    const target = type === "groupRow" ? row : type === "dataCell" ? row.cells?.find((c) => c.visibleColumnIndex === this.activeNode.column) : row.summaryCells?.find((c) => c.visibleColumnIndex === this.activeNode.column);
    const keydownArgs = { targetType: type, event, cancel: false, target };
    this.grid.gridKeydown.emit(keydownArgs);
    if (keydownArgs.cancel && type === "dataCell") {
      this.grid.selectionService.clear();
      this.grid.selectionService.keyboardState.active = true;
      return keydownArgs.cancel;
    }
  }
  isColumnPinned(columnIndex, forOfDir) {
    const horizontalScroll = forOfDir.getScroll();
    return !horizontalScroll.clientWidth || this.grid.getColumnByVisibleIndex(columnIndex)?.pinned;
  }
  findFirstDataRowIndex() {
    return this.grid.dataView.findIndex((rec) => !this.grid.isGroupByRecord(rec) && !this.grid.isDetailRecord(rec) && !rec.summaries);
  }
  findLastDataRowIndex() {
    if (this.grid.totalItemCount) {
      return this.grid.totalItemCount - 1;
    }
    let i = this.grid.dataView.length;
    while (i--) {
      if (this.isDataRow(i)) {
        return i;
      }
    }
  }
  getRowElementByIndex(index) {
    if (this.grid.hasDetails) {
      const detail = this.grid.nativeElement.querySelector(`[detail="true"][data-rowindex="${index}"]`);
      if (detail) {
        return detail;
      }
    }
    return this.grid.rowList.toArray().concat(this.grid.summariesRowList.toArray()).find((r) => r.index === index)?.nativeElement;
  }
  isValidPosition(rowIndex, colIndex) {
    const length = this.grid.totalItemCount ?? this.grid.dataView.length;
    if (rowIndex < 0 || colIndex < 0 || length - 1 < rowIndex || this.lastColumnIndex < colIndex) {
      return false;
    }
    return this.activeNode.column !== colIndex && !this.isDataRow(rowIndex, true) ? false : true;
  }
  performHeaderKeyCombination(column, key, shift, ctrl, alt, event) {
    let direction = this.grid.sortingExpressions.find((expr) => expr.fieldName === column.field)?.dir;
    if (ctrl && key.includes("up") && column.sortable && !column.columnGroup) {
      direction = direction === SortingDirection.Asc ? SortingDirection.None : SortingDirection.Asc;
      this.grid.sort({ fieldName: column.field, dir: direction, ignoreCase: false });
      return;
    }
    if (ctrl && key.includes("down") && column.sortable && !column.columnGroup) {
      direction = direction === SortingDirection.Desc ? SortingDirection.None : SortingDirection.Desc;
      this.grid.sort({ fieldName: column.field, dir: direction, ignoreCase: false });
      return;
    }
    if (shift && alt && this.isToggleKey(key) && !column.columnGroup && column.groupable) {
      direction = direction || SortingDirection.Asc;
      if (key.includes("right")) {
        this.grid.groupBy({
          fieldName: column.field,
          dir: direction,
          ignoreCase: column.sortingIgnoreCase,
          strategy: column.sortStrategy,
          groupingComparer: column.groupingComparer
        });
      } else {
        this.grid.clearGrouping(column.field);
      }
      this.activeNode.column = key.includes("right") && this.grid.hideGroupedColumns && column.visibleIndex === this.lastColumnIndex ? this.lastColumnIndex - 1 : this.activeNode.column;
      return;
    }
    if (alt && (ROW_EXPAND_KEYS.has(key) || ROW_COLLAPSE_KEYS.has(key))) {
      this.handleMCHExpandCollapse(key, column);
      return;
    }
    if ([" ", "spacebar", "space"].indexOf(key) !== -1) {
      this.handleColumnSelection(column, event);
    }
    if (alt && (key === "l" || key === "¬") && this.grid.allowAdvancedFiltering) {
      this.grid.openAdvancedFilteringDialog();
    }
    if (ctrl && shift && key === "l" && this.grid.allowFiltering && !column.columnGroup && column.filterable) {
      if (this.grid.filterMode === FilterMode.excelStyleFilter) {
        const headerEl = this.grid.headerGroups.find((g) => g.active).nativeElement;
        this.grid.filteringService.toggleFilterDropdown(headerEl, column);
      } else {
        this.performHorizontalScrollToCell(column.visibleIndex);
        this.grid.filteringService.filteredColumn = column;
        this.grid.filteringService.isFilterRowVisible = true;
      }
    }
  }
  firstVisibleNode(rowIndex) {
    const colIndex = this.lastActiveNode.column !== void 0 ? this.lastActiveNode.column : this.grid.visibleColumns.sort((c1, c2) => c1.visibleIndex - c2.visibleIndex).find((c) => this.isColumnFullyVisible(c.visibleIndex))?.visibleIndex;
    const column = this.grid.visibleColumns.find((col) => !col.columnLayout && col.visibleIndex === colIndex);
    const rowInd = rowIndex ? rowIndex : this.grid.rowList.find((r) => !this.shouldPerformVerticalScroll(r.index, colIndex))?.index;
    const node = {
      row: rowInd ?? 0,
      column: column?.visibleIndex ?? 0,
      level: column?.level ?? 0,
      mchCache: column ? { level: column.level, visibleIndex: column.visibleIndex } : {},
      layout: column && column.columnLayoutChild ? {
        rowStart: column.rowStart,
        colStart: column.colStart,
        rowEnd: column.rowEnd,
        colEnd: column.colEnd,
        columnVisibleIndex: column.visibleIndex
      } : null
    };
    return node;
  }
  handleMCHeaderNav(key, ctrl) {
    const newHeaderNode = {
      visibleIndex: this.activeNode.mchCache.visibleIndex,
      level: this.activeNode.mchCache.level
    };
    const activeCol = this.currentActiveColumn;
    const lastGroupIndex = Math.max(...this.grid.visibleColumns.filter((c) => c.level <= this.activeNode.level).map((col) => col.visibleIndex));
    let nextCol = activeCol;
    if ((key.includes("left") || key === "home") && this.activeNode.column > 0) {
      const index = ctrl || key === "home" ? 0 : this.activeNode.column - 1;
      nextCol = this.getNextColumnMCH(index);
      newHeaderNode.visibleIndex = nextCol.visibleIndex;
    }
    if ((key.includes("right") || key === "end") && activeCol.visibleIndex < lastGroupIndex) {
      const nextVIndex = activeCol.children ? Math.max(...activeCol.allChildren.map((c) => c.visibleIndex)) + 1 : activeCol.visibleIndex + 1;
      nextCol = ctrl || key === "end" ? this.getNextColumnMCH(this.lastColumnIndex) : this.getNextColumnMCH(nextVIndex);
      newHeaderNode.visibleIndex = nextCol.visibleIndex;
    }
    if (!ctrl && key.includes("up") && this.activeNode.level > 0) {
      nextCol = activeCol.parent;
      newHeaderNode.level = nextCol.level;
    }
    if (!ctrl && key.includes("down") && activeCol.children) {
      nextCol = activeCol.children.find((c) => c.visibleIndex === newHeaderNode.visibleIndex) || activeCol.children.toArray().sort((a, b) => b.visibleIndex - a.visibleIndex).filter((col) => col.visibleIndex < newHeaderNode.visibleIndex)[0];
      newHeaderNode.level = nextCol.level;
    }
    this.setActiveNode({
      row: this.activeNode.row,
      column: nextCol.visibleIndex,
      level: nextCol.level,
      mchCache: newHeaderNode
    });
    this.performHorizontalScrollToCell(nextCol.visibleIndex);
  }
  handleMCHExpandCollapse(key, column) {
    if (!column.children || !column.collapsible) {
      return;
    }
    if (!column.expanded && ROW_EXPAND_KEYS.has(key)) {
      column.expanded = true;
    } else if (column.expanded && ROW_COLLAPSE_KEYS.has(key)) {
      column.expanded = false;
    }
  }
  handleColumnSelection(column, event) {
    if (!column.selectable || this.grid.columnSelection === GridSelectionMode.none) {
      return;
    }
    const clearSelection = this.grid.columnSelection === GridSelectionMode.single;
    const columnsToSelect = !column.children ? [column.field] : column.allChildren.filter((c) => !c.hidden && c.selectable && !c.columnGroup).map((c) => c.field);
    if (column.selected) {
      this.grid.selectionService.deselectColumns(columnsToSelect, event);
    } else {
      this.grid.selectionService.selectColumns(columnsToSelect, clearSelection, false, event);
    }
  }
  getNextColumnMCH(visibleIndex) {
    let col = this.grid.getColumnByVisibleIndex(visibleIndex);
    let parent = col.parent;
    while (parent && col.level > this.activeNode.mchCache.level) {
      col = col.parent;
      parent = col.parent;
    }
    return col;
  }
  get currentActiveColumn() {
    return this.grid.visibleColumns.find((c) => c.visibleIndex === this.activeNode.column && c.level === this.activeNode.level);
  }
  isActiveNode(rIndex, cIndex) {
    return this.activeNode ? this.activeNode.row === rIndex && this.activeNode.column === cIndex : false;
  }
  isToggleKey(key) {
    return ROW_COLLAPSE_KEYS.has(key) || ROW_EXPAND_KEYS.has(key);
  }
  isAddKey(key) {
    return ROW_ADD_KEYS.has(key);
  }
  static {
    this.ɵfac = i0183.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0183, type: _IgxGridNavigationService, deps: [{ token: PlatformUtil }], target: i0183.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0183.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0183, type: _IgxGridNavigationService });
  }
};
i0183.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0183, type: IgxGridNavigationService, decorators: [{
  type: Injectable28
}], ctorParameters: () => [{ type: PlatformUtil }] });

// lib/grids/summaries/grid-summary.service.mjs
import { Injectable as Injectable29 } from "@angular/core";
import * as i0184 from "@angular/core";
var IgxGridSummaryService = class _IgxGridSummaryService {
  constructor() {
    this.rootSummaryID = "igxGridRootSummary";
    this.summaryHeight = 0;
    this.maxSummariesLenght = 0;
    this.groupingExpressions = [];
    this.retriggerRootPipe = 0;
    this.deleteOperation = false;
    this.summaryCacheMap = /* @__PURE__ */ new Map();
  }
  recalculateSummaries() {
    this.resetSummaryHeight();
    this.grid.notifyChanges(true);
  }
  clearSummaryCache(args) {
    if (!this.summaryCacheMap.size) {
      return;
    }
    if (!args) {
      this.summaryCacheMap.clear();
      if (this.grid && this.grid.rootSummariesEnabled) {
        this.retriggerRootPipe++;
      }
      return;
    }
    if (args.data) {
      const rowID = this.grid.primaryKey ? args.data[this.grid.primaryKey] : args.data;
      this.removeSummaries(rowID);
    }
    if (args.rowID !== void 0 && args.rowID !== null) {
      let columnName = args.cellID ? this.grid.columns.find((col) => col.index === args.cellID.columnID).field : void 0;
      if (columnName && this.grid.rowEditable) {
        return;
      }
      const isGroupedColumn = this.grid.groupingExpressions && this.grid.groupingExpressions.map((expr) => expr.fieldName).indexOf(columnName) !== -1;
      if (columnName && isGroupedColumn) {
        columnName = void 0;
      }
      this.removeSummaries(args.rowID, columnName);
    }
  }
  removeSummaries(rowID, columnName) {
    this.deleteSummaryCache(this.rootSummaryID, columnName);
    if (this.summaryCacheMap.size === 1 && this.summaryCacheMap.has(this.rootSummaryID)) {
      return;
    }
    if (this.isTreeGrid) {
      if (this.grid.transactions.enabled && this.deleteOperation) {
        this.deleteOperation = false;
        this.summaryCacheMap.clear();
        return;
      }
      this.removeAllTreeGridSummaries(rowID, columnName);
    } else if (this.isHierarchicalGrid) {
      if (this.grid.transactions.enabled && this.deleteOperation) {
        this.deleteOperation = false;
        this.summaryCacheMap.clear();
      }
    } else {
      const summaryIds = this.getSummaryID(rowID, this.grid.groupingExpressions);
      summaryIds.forEach((id) => {
        this.deleteSummaryCache(id, columnName);
      });
    }
  }
  removeSummariesCachePerColumn(columnName) {
    this.summaryCacheMap.forEach((cache) => {
      if (cache.get(columnName)) {
        cache.delete(columnName);
      }
    });
    if (this.grid.rootSummariesEnabled) {
      this.retriggerRootPipe++;
    }
  }
  calcMaxSummaryHeight() {
    if (this.summaryHeight) {
      return this.summaryHeight;
    }
    if (!this.grid.data) {
      return this.summaryHeight = 0;
    }
    let maxSummaryLength = 0;
    this.grid.columns.filter((col) => col.hasSummary && !col.hidden).forEach((column) => {
      const getCurrentSummaryColumn = column.summaries.operate([], [], column.field).length;
      if (getCurrentSummaryColumn) {
        if (maxSummaryLength < getCurrentSummaryColumn) {
          maxSummaryLength = getCurrentSummaryColumn;
        }
      }
    });
    this.maxSummariesLenght = maxSummaryLength;
    this.summaryHeight = maxSummaryLength * this.grid.defaultSummaryHeight;
    return this.summaryHeight;
  }
  calculateSummaries(rowID, data, groupRecord) {
    let rowSummaries = this.summaryCacheMap.get(rowID);
    if (!rowSummaries) {
      rowSummaries = /* @__PURE__ */ new Map();
      this.summaryCacheMap.set(rowID, rowSummaries);
    }
    if (!this.hasSummarizedColumns || !data) {
      return rowSummaries;
    }
    this.grid.columns.filter((col) => col.hasSummary).forEach((column) => {
      if (!rowSummaries.get(column.field)) {
        const summaryResult = column.summaries.operate(data.map((r) => resolveNestedPath(r, column.field)), data, column.field, groupRecord, this.grid.locale, column.pipeArgs);
        rowSummaries.set(column.field, summaryResult);
      }
    });
    return rowSummaries;
  }
  resetSummaryHeight() {
    this.summaryHeight = 0;
    if (this.grid) {
      this.grid.summaryPipeTrigger++;
      if (this.grid.rootSummariesEnabled) {
        this.retriggerRootPipe++;
        Promise.resolve().then(() => this.grid.notifyChanges(true));
      }
    }
  }
  updateSummaryCache(groupingArgs) {
    if (this.summaryCacheMap.size === 0 || !this.hasSummarizedColumns) {
      return;
    }
    if (this.groupingExpressions.length === 0) {
      this.groupingExpressions = groupingArgs.expressions.map((record) => record.fieldName);
      return;
    }
    if (groupingArgs.length === 0) {
      this.groupingExpressions = [];
      this.clearSummaryCache();
      return;
    }
    this.compareGroupingExpressions(this.groupingExpressions, groupingArgs);
    this.groupingExpressions = groupingArgs.expressions.map((record) => record.fieldName);
  }
  get hasSummarizedColumns() {
    const summarizedColumns = this.grid.columns.filter((col) => col.hasSummary && !col.hidden);
    return summarizedColumns.length > 0;
  }
  deleteSummaryCache(id, columnName) {
    if (this.summaryCacheMap.get(id)) {
      const filteringApplied = columnName && this.grid.filteringExpressionsTree && this.grid.filteringExpressionsTree.filteringOperands.map((expr) => expr.fieldName).indexOf(columnName) !== -1;
      if (columnName && this.summaryCacheMap.get(id).get(columnName) && !filteringApplied) {
        this.summaryCacheMap.get(id).delete(columnName);
      } else {
        this.summaryCacheMap.delete(id);
      }
      if (id === this.rootSummaryID && this.grid.rootSummariesEnabled) {
        this.retriggerRootPipe++;
      }
    }
  }
  getSummaryID(rowID, groupingExpressions) {
    if (groupingExpressions.length === 0) {
      return [];
    }
    const summaryIDs = [];
    let data = this.grid.data;
    if (this.grid.transactions.enabled) {
      data = DataUtil.mergeTransactions(cloneArray(this.grid.data), this.grid.transactions.getAggregatedChanges(true), this.grid.primaryKey, this.grid.dataCloneStrategy);
    }
    const rowData = this.grid.primaryKey ? data.find((rec) => rec[this.grid.primaryKey] === rowID) : rowID;
    if (!rowData) {
      return summaryIDs;
    }
    let id = "{ ";
    groupingExpressions.forEach((expr) => {
      id += `'${expr.fieldName}': '${rowData[expr.fieldName]}'`;
      summaryIDs.push(id.concat(" }"));
      id += ", ";
    });
    return summaryIDs;
  }
  removeAllTreeGridSummaries(rowID, columnName) {
    let row = this.grid.records.get(rowID);
    if (!row) {
      return;
    }
    row = row.children ? row : row.parent;
    while (row) {
      rowID = row.key;
      this.deleteSummaryCache(rowID, columnName);
      row = row.parent;
    }
  }
  // TODO: remove only deleted rows
  // private removeChildRowSummaries(rowID, columnName?) {
  // }
  compareGroupingExpressions(current, groupingArgs) {
    const newExpressions = groupingArgs.expressions.map((record) => record.fieldName);
    const removedCols = groupingArgs.ungroupedColumns;
    if (current.length <= newExpressions.length) {
      const newExpr = newExpressions.slice(0, current.length).toString();
      if (current.toString() !== newExpr) {
        this.clearSummaryCache();
      }
    } else {
      const currExpr = current.slice(0, newExpressions.length).toString();
      if (currExpr !== newExpressions.toString()) {
        this.clearSummaryCache();
        return;
      }
      removedCols.map((col) => col.field).forEach((colName) => {
        this.summaryCacheMap.forEach((cache, id) => {
          if (id.indexOf(colName) !== -1) {
            this.summaryCacheMap.delete(id);
          }
        });
      });
    }
  }
  get isTreeGrid() {
    return this.grid.nativeElement.tagName.toLowerCase() === "igx-tree-grid";
  }
  get isHierarchicalGrid() {
    return this.grid.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid";
  }
  static {
    this.ɵfac = i0184.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0184, type: _IgxGridSummaryService, deps: [], target: i0184.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0184.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0184, type: _IgxGridSummaryService });
  }
};
i0184.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0184, type: IgxGridSummaryService, decorators: [{
  type: Injectable29
}] });

// lib/grids/grid-base.directive.mjs
import { __decorate as __decorate5 } from "tslib";
import { DOCUMENT as DOCUMENT14, formatNumber as formatNumber4, getLocaleNumberFormat, NumberFormatStyle } from "@angular/common";
import { booleanAttribute as booleanAttribute66, ContentChild as ContentChild18, ContentChildren as ContentChildren21, createComponent, Directive as Directive80, ElementRef as ElementRef87, EventEmitter as EventEmitter65, HostBinding as HostBinding83, HostListener as HostListener45, Inject as Inject69, Input as Input113, LOCALE_ID as LOCALE_ID8, Optional as Optional39, Output as Output56, QueryList as QueryList4, TemplateRef as TemplateRef27, ViewChild as ViewChild47, ViewChildren as ViewChildren16 } from "@angular/core";
import { IgcTrialWatermark } from "igniteui-trial-watermark";
import { Subject as Subject47, pipe, fromEvent as fromEvent13, animationFrameScheduler as animationFrameScheduler4, merge as merge3 } from "rxjs";
import { takeUntil as takeUntil40, first as first9, filter as filter5, throttleTime as throttleTime3, map as map2, shareReplay, takeWhile } from "rxjs/operators";
import { v4 as uuidv4 } from "uuid";
import * as i0185 from "@angular/core";
/* @__PURE__ */ IgcTrialWatermark.register();
var FAKE_ROW_ID = -1;
var DEFAULT_ITEMS_PER_PAGE = 15;
var MINIMUM_COLUMN_WIDTH = 136;
var MIN_ROW_EDITING_COUNT_THRESHOLD = 2;
var IgxGridBaseDirective = class _IgxGridBaseDirective extends DisplayDensityBase {
  /**
   * Get/Set IgxSummaryRow height
   */
  set summaryRowHeight(value) {
    this._summaryRowHeight = value | 0;
    this.summaryService.summaryHeight = value;
    if (!this._init) {
      this.reflow();
    }
  }
  get summaryRowHeight() {
    if (this.hasSummarizedColumns && this.rootSummariesEnabled) {
      return this._summaryRowHeight || this.summaryService.calcMaxSummaryHeight();
    }
    return 0;
  }
  /** @hidden @internal */
  get hasColumnsToAutosize() {
    return this._columns.some((x) => x.width === "fit-content");
  }
  /**
   * Gets/Sets the data clone strategy of the grid when in edit mode.
   *
   * @example
   * ```html
   *  <igx-grid #grid [data]="localData" [dataCloneStrategy]="customCloneStrategy"></igx-grid>
   * ```
   */
  get dataCloneStrategy() {
    return this._dataCloneStrategy;
  }
  set dataCloneStrategy(strategy) {
    if (strategy) {
      this._dataCloneStrategy = strategy;
      this._transactions.cloneStrategy = strategy;
    }
  }
  /** @hidden @internal */
  get excelStyleFilteringComponent() {
    return this.excelStyleFilteringComponents?.first;
  }
  /** @hidden @internal */
  get headerGroups() {
    return this.theadRow.groups;
  }
  /**
   * Gets the custom template, if any, used for row drag ghost.
   */
  get dragGhostCustomTemplate() {
    return this._dragGhostCustomTemplate || this.dragGhostCustomTemplates?.first;
  }
  /**
   * Sets a custom template for the row drag ghost.
   *```html
   * <ng-template #template igxRowDragGhost>
   *    <igx-icon>menu</igx-icon>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.dragGhostCustomTemplate = this.template;
   * ```
   */
  set dragGhostCustomTemplate(template) {
    this._dragGhostCustomTemplate = template;
  }
  /** @hidden @internal */
  get headerContainer() {
    return this.theadRow?.headerForOf;
  }
  /** @hidden @internal */
  get headerSelectorContainer() {
    return this.theadRow?.headerSelectorContainer;
  }
  /** @hidden @internal */
  get headerDragContainer() {
    return this.theadRow?.headerDragContainer;
  }
  /** @hidden @internal */
  get headerGroupContainer() {
    return this.theadRow?.headerGroupContainer;
  }
  /** @hidden @internal */
  get filteringRow() {
    return this.theadRow?.filterRow;
  }
  /**
   * Gets the row edit text template.
   */
  get rowEditTextTemplate() {
    return this._rowEditTextTemplate || this.rowEditTextDirectives?.first;
  }
  /**
   * Sets the row edit text template.
   *```html
   * <ng-template #template igxRowEditText let-rowChangesCount>
   * Changes: {{rowChangesCount}}
   * </ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.rowEditTextTemplate = this.template;
   * ```
   */
  set rowEditTextTemplate(template) {
    this._rowEditTextTemplate = template;
  }
  /**
   * Gets the row add text template.
   */
  get rowAddTextTemplate() {
    return this._rowAddTextTemplate || this.rowAddText;
  }
  /**
   * Sets the row add text template.
   *```html
   * <ng-template #template igxRowAddText>
   * Adding Row
   * </ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.rowAddTextTemplate = this.template;
   * ```
   */
  set rowAddTextTemplate(template) {
    this._rowAddTextTemplate = template;
  }
  /**
   * Gets the row edit actions template.
   */
  get rowEditActionsTemplate() {
    return this._rowEditActionsTemplate || this.rowEditActionsDirectives?.first;
  }
  /**
   * Sets the row edit actions template.
   *```html
   * <ng-template #template igxRowEditActions let-endRowEdit>
   *     <button type="button" igxButton igxRowEditTabStop (click)="endRowEdit(false)">Cancel</button>
   *     <button type="button" igxButton igxRowEditTabStop (click)="endRowEdit(true)">Apply</button>
   * </ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.rowEditActionsTemplate = this.template;
   * ```
   */
  set rowEditActionsTemplate(template) {
    this._rowEditActionsTemplate = template;
  }
  /**
   * Gets the row expand indicator template.
  */
  get rowExpandedIndicatorTemplate() {
    return this._rowExpandedIndicatorTemplate || this.rowExpandedIndicatorDirectiveTemplate;
  }
  /**
   * Sets the row expand indicator template.
   *```html
   *<ng-template igxRowExpandedIndicator>
   *  <igx-icon role="button">remove</igx-icon>
   *</ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.rowExpandedIndicatorTemplate = this.template;
   * ```
  */
  set rowExpandedIndicatorTemplate(template) {
    this._rowExpandedIndicatorTemplate = template;
  }
  /**
   * Gets the row collapse indicator template.
  */
  get rowCollapsedIndicatorTemplate() {
    return this._rowCollapsedIndicatorTemplate || this.rowCollapsedIndicatorDirectiveTemplate;
  }
  /**
   * Sets the row collapse indicator template.
   *```html
   *<ng-template igxRowCollapsedIndicator>
   *  <igx-icon role="button">add</igx-icon>
   *</ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.rowCollapsedIndicatorTemplate = this.template;
   * ```
  */
  set rowCollapsedIndicatorTemplate(template) {
    this._rowCollapsedIndicatorTemplate = template;
  }
  /**
   * Gets the header expand indicator template.
  */
  get headerExpandedIndicatorTemplate() {
    return this._headerExpandIndicatorTemplate || this.headerExpandedIndicatorDirectiveTemplate;
  }
  /**
   * Sets the header expand indicator template.
   *```html
   *<ng-template igxHeaderExpandedIndicator>
   *  <igx-icon role="button">remove</igx-icon>
   *</ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.headerExpandedIndicatorTemplate = this.template;
   * ```
  */
  set headerExpandedIndicatorTemplate(template) {
    this._headerExpandIndicatorTemplate = template;
  }
  /**
   * Gets the row collapse indicator template.
  */
  get headerCollapsedIndicatorTemplate() {
    return this._headerCollapseIndicatorTemplate || this.headerCollapsedIndicatorDirectiveTemplate;
  }
  /**
   * Sets the row collapse indicator template.
   *```html
   *<ng-template igxHeaderCollapsedIndicator>
   *  <igx-icon role="button">add</igx-icon>
   *</ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.headerCollapsedIndicatorTemplate = this.template;
   * ```
  */
  set headerCollapsedIndicatorTemplate(template) {
    this._headerCollapseIndicatorTemplate = template;
  }
  /**
   * Gets the excel style header icon.
  */
  get excelStyleHeaderIconTemplate() {
    return this._excelStyleHeaderIconTemplate || this.excelStyleHeaderIconDirectiveTemplate;
  }
  /**
   * Sets the excel style header icon.
   *```html
   *<ng-template #template igxExcelStyleHeaderIcon>
   * <igx-icon>filter_alt</igx-icon>
   *</ng-template>
   * ```
   *```typescript
   * @ViewChild('template', {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.excelStyleHeaderIconTemplate = this.template;
   * ```
  */
  set excelStyleHeaderIconTemplate(template) {
    this._excelStyleHeaderIconTemplate = template;
  }
  /**
   * The custom template, if any, that should be used when rendering a header sorting indicator when columns are sorted in asc order.
   */
  get sortAscendingHeaderIconTemplate() {
    return this._sortAscendingHeaderIconTemplate;
  }
  /**
   * Sets a custom template that should be used when rendering a header sorting indicator when columns are sorted in asc order.
   *```html
   * <ng-template #template igxSortAscendingHeaderIcon>
   *    <igx-icon>expand_less</igx-icon>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.sortAscendingHeaderIconTemplate = this.template;
   * ```
   */
  set sortAscendingHeaderIconTemplate(template) {
    this._sortAscendingHeaderIconTemplate = template;
  }
  /**
   * The custom template, if any, that should be used when rendering a header sorting indicator when columns are sorted in desc order.
   */
  get sortDescendingHeaderIconTemplate() {
    return this._sortDescendingHeaderIconTemplate;
  }
  /**
   * Sets a custom template that should be used when rendering a header sorting indicator when columns are sorted in desc order.
   *```html
   * <ng-template #template igxSortDescendingHeaderIcon>
   *    <igx-icon>expand_more</igx-icon>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.sortDescendingHeaderIconTemplate = this.template;
   * ```
   */
  set sortDescendingHeaderIconTemplate(template) {
    this._sortDescendingHeaderIconTemplate = template;
  }
  /**
   * Gets custom template, if any, that should be used when rendering a header sorting indicator when columns are not sorted.
   */
  get sortHeaderIconTemplate() {
    return this._sortHeaderIconTemplate;
  }
  /**
   * Sets a custom template that should be used when rendering a header sorting indicator when columns are not sorted.
   *```html
   * <ng-template #template igxSortHeaderIcon>
   *    <igx-icon>unfold_more</igx-icon>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.sortHeaderIconTemplate = this.template;
   * ```
   */
  set sortHeaderIconTemplate(template) {
    this._sortHeaderIconTemplate = template;
  }
  get hostStyles() {
    return this.getComponentSizeStyles();
  }
  /**
   * Gets/Sets the resource strings.
   *
   * @remarks
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Gets/Sets the filtering logic of the `IgxGridComponent`.
   *
   * @remarks
   * The default is AND.
   * @example
   * ```html
   * <igx-grid [data]="Data" [autoGenerate]="true" [filteringLogic]="filtering"></igx-grid>
   * ```
   */
  get filteringLogic() {
    return this._filteringExpressionsTree.operator;
  }
  set filteringLogic(value) {
    this._filteringExpressionsTree.operator = value;
  }
  /**
   * Gets/Sets the filtering state.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(filteringExpressionsTree)]="model.filteringExpressions"></igx-grid>
   * ```
   * @remarks
   * Supports two-way binding.
   */
  get filteringExpressionsTree() {
    return this._filteringExpressionsTree;
  }
  set filteringExpressionsTree(value) {
    if (value && value instanceof FilteringExpressionsTree) {
      const val = value;
      for (let index = 0; index < val.filteringOperands.length; index++) {
        if (!(val.filteringOperands[index] instanceof FilteringExpressionsTree)) {
          const newExpressionsTree = new FilteringExpressionsTree(FilteringLogic.And, val.filteringOperands[index].fieldName);
          newExpressionsTree.filteringOperands.push(val.filteringOperands[index]);
          val.filteringOperands[index] = newExpressionsTree;
        }
      }
      value.type = FilteringExpressionsTreeType.Regular;
      this._filteringExpressionsTree = value;
      this.filteringPipeTrigger++;
      this.filteringExpressionsTreeChange.emit(this._filteringExpressionsTree);
      if (this.filteringService.isFilteringExpressionsTreeEmpty(this._filteringExpressionsTree) && this.filteringService.isFilteringExpressionsTreeEmpty(this._advancedFilteringExpressionsTree)) {
        this._filteredData = null;
      }
      this.filteringService.refreshExpressions();
      this.selectionService.clearHeaderCBState();
      this.summaryService.clearSummaryCache();
      this.notifyChanges();
    }
  }
  /**
   * Gets/Sets the advanced filtering state.
   *
   * @example
   * ```typescript
   * let advancedFilteringExpressionsTree = this.grid.advancedFilteringExpressionsTree;
   * this.grid.advancedFilteringExpressionsTree = logic;
   * ```
   */
  get advancedFilteringExpressionsTree() {
    return this._advancedFilteringExpressionsTree;
  }
  set advancedFilteringExpressionsTree(value) {
    const filteringEventArgs = {
      owner: this,
      filteringExpressions: value,
      cancel: false
    };
    this.filtering.emit(filteringEventArgs);
    if (filteringEventArgs.cancel) {
      return;
    }
    if (value && value instanceof FilteringExpressionsTree) {
      value.type = FilteringExpressionsTreeType.Advanced;
      this._advancedFilteringExpressionsTree = value;
      this.filteringPipeTrigger++;
    } else {
      this._advancedFilteringExpressionsTree = null;
    }
    this.advancedFilteringExpressionsTreeChange.emit(this._advancedFilteringExpressionsTree);
    if (this.filteringService.isFilteringExpressionsTreeEmpty(this._filteringExpressionsTree) && this.filteringService.isFilteringExpressionsTreeEmpty(this._advancedFilteringExpressionsTree)) {
      this._filteredData = null;
    }
    this.selectionService.clearHeaderCBState();
    this.summaryService.clearSummaryCache();
    this.notifyChanges();
    requestAnimationFrame(() => this.filteringDone.emit(this._advancedFilteringExpressionsTree));
  }
  /**
   * Gets/Sets the locale.
   *
   * @remarks
   * If not set, returns browser's language.
   */
  get locale() {
    return this._locale;
  }
  set locale(value) {
    if (value !== this._locale) {
      this._locale = value;
      this._currencyPositionLeft = void 0;
      this.summaryService.clearSummaryCache();
      this.pipeTrigger++;
      this.notifyChanges();
      this.localeChange.emit();
    }
  }
  get pagingMode() {
    return this._pagingMode;
  }
  set pagingMode(val) {
    this._pagingMode = val;
    this.pipeTrigger++;
    this.notifyChanges(true);
  }
  /** @hidden @internal */
  get page() {
    return this.paginator?.page || 0;
  }
  set page(val) {
    if (this.paginator) {
      this.paginator.page = val;
    }
  }
  /** @hidden @internal */
  get perPage() {
    return this.paginator?.perPage || DEFAULT_ITEMS_PER_PAGE;
  }
  set perPage(val) {
    if (this.paginator) {
      this.paginator.perPage = val;
    }
  }
  /**
   * Gets/Sets if the row selectors are hidden.
   *
   * @remarks
   *  By default row selectors are shown
   */
  get hideRowSelectors() {
    return this._hideRowSelectors;
  }
  set hideRowSelectors(value) {
    this._hideRowSelectors = value;
    this.notifyChanges(true);
  }
  /**
   * Gets/Sets whether rows can be moved.
   *
   * @example
   * ```html
   * <igx-grid #grid [rowDraggable]="true"></igx-grid>
   * ```
   */
  get rowDraggable() {
    return this._rowDrag && this.hasVisibleColumns;
  }
  set rowDraggable(val) {
    this._rowDrag = val;
    this.notifyChanges(true);
  }
  /**
   * Gets/Sets whether the rows are editable.
   *
   * @remarks
   * By default it is set to false.
   * @example
   * ```html
   * <igx-grid #grid [rowEditable]="true" [primaryKey]="'ProductID'" ></igx-grid>
   * ```
   */
  get rowEditable() {
    return this._rowEditable;
  }
  set rowEditable(val) {
    if (!this._init) {
      this.refreshGridState();
    }
    this._rowEditable = val;
    this.notifyChanges();
  }
  /**
   * Gets/Sets the height.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [height]="'305px'" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get height() {
    return this._height;
  }
  set height(value) {
    if (this._height !== value) {
      this._height = value;
      this.nativeElement.style.height = value;
      this.notifyChanges(true);
    }
  }
  /**
   * @hidden @internal
   */
  get hostWidth() {
    return this._width || this._hostWidth;
  }
  /**
   * Gets/Sets the width of the grid.
   *
   * @example
   * ```typescript
   * let gridWidth = this.grid.width;
   * ```
   */
  get width() {
    return this._width;
  }
  set width(value) {
    if (this._width !== value) {
      this._width = value;
      this.nativeElement.style.width = value;
      this.notifyChanges(true);
    }
  }
  /** @hidden @internal */
  get headerWidth() {
    return parseInt(this.width, 10) - 17;
  }
  /**
   * Gets/Sets the row height.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [rowHeight]="100" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get rowHeight() {
    return this._rowHeight ? this._rowHeight : this.defaultRowHeight;
  }
  set rowHeight(value) {
    if (typeof value !== "number") {
      value = parseInt(value, 10);
    }
    this._rowHeight = value;
  }
  /**
   * Gets/Sets the default width of the columns.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [columnWidth]="100" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get columnWidth() {
    return this._columnWidth;
  }
  set columnWidth(value) {
    this._columnWidth = value;
    this.columnWidthSetByUser = true;
    this.notifyChanges(true);
  }
  /**
   * Get/Sets the message displayed when there are no records.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
   * ```
   */
  set emptyGridMessage(value) {
    this._emptyGridMessage = value;
  }
  get emptyGridMessage() {
    return this._emptyGridMessage || this.resourceStrings.igx_grid_emptyGrid_message;
  }
  /**
   * Gets/Sets whether the grid is going to show a loading indicator.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [isLoading]="true" [autoGenerate]="true"></igx-grid>
   * ```
   */
  set isLoading(value) {
    if (this._isLoading !== value) {
      this._isLoading = value;
      if (this.data) {
        this.evaluateLoadingState();
      }
    }
    Promise.resolve().then(() => {
      this.notifyChanges();
    });
  }
  get isLoading() {
    return this._isLoading;
  }
  /**
   * Gets/Sets the message displayed when there are no records and the grid is filtered.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
   * ```
   */
  set emptyFilteredGridMessage(value) {
    this._emptyFilteredGridMessage = value;
  }
  get emptyFilteredGridMessage() {
    return this._emptyFilteredGridMessage || this.resourceStrings.igx_grid_emptyFilteredGrid_message;
  }
  /**
   * Gets/Sets the initial pinning configuration.
   *
   * @remarks
   * Allows to apply pinning the columns to the start or the end.
   * Note that pinning to both sides at a time is not allowed.
   * @example
   * ```html
   * <igx-grid [pinning]="pinningConfig"></igx-grid>
   * ```
   */
  get pinning() {
    return this._pinning;
  }
  set pinning(value) {
    if (value !== this._pinning) {
      this.resetCaches();
    }
    this._pinning = value;
  }
  /**
   * Gets/Sets if the filtering is enabled.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [allowFiltering]="true" [height]="'305px'" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get allowFiltering() {
    return this._allowFiltering;
  }
  set allowFiltering(value) {
    if (this._allowFiltering !== value) {
      this._allowFiltering = value;
      this.filteringService.registerSVGIcons();
      if (!this._init) {
        this.calcGridHeadRow();
      }
      this.filteringService.isFilterRowVisible = false;
      this.filteringService.filteredColumn = null;
      this.notifyChanges(true);
    }
  }
  /**
   * Gets/Sets a value indicating whether the advanced filtering is enabled.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [allowAdvancedFiltering]="true" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get allowAdvancedFiltering() {
    return this._allowAdvancedFiltering;
  }
  set allowAdvancedFiltering(value) {
    if (this._allowAdvancedFiltering !== value) {
      this._allowAdvancedFiltering = value;
      this.filteringService.registerSVGIcons();
      if (!this._init) {
        this.notifyChanges(true);
      }
    }
  }
  /**
   * Gets/Sets the filter mode.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [filterMode]="'quickFilter'" [height]="'305px'" [autoGenerate]="true"></igx-grid>
   * ```
   * @remarks
   * By default it's set to FilterMode.quickFilter.
   */
  get filterMode() {
    return this._filterMode;
  }
  set filterMode(value) {
    switch (value) {
      case FilterMode.excelStyleFilter:
      case FilterMode.quickFilter:
        this._filterMode = value;
        break;
      default:
        break;
    }
    if (this.filteringService.isFilterRowVisible) {
      this.filteringRow.close();
    }
    this.notifyChanges(true);
  }
  /**
   * Gets/Sets the summary position.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" summaryPosition="top" [autoGenerate]="true"></igx-grid>
   * ```
   * @remarks
   * By default it is bottom.
   */
  get summaryPosition() {
    return this._summaryPosition;
  }
  set summaryPosition(value) {
    this._summaryPosition = value;
    this.notifyChanges();
  }
  /**
   * Gets/Sets the summary calculation mode.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" summaryCalculationMode="rootLevelOnly" [autoGenerate]="true"></igx-grid>
   * ```
   * @remarks
   * By default it is rootAndChildLevels which means the summaries are calculated for the root level and each child level.
   */
  get summaryCalculationMode() {
    return this._summaryCalculationMode;
  }
  set summaryCalculationMode(value) {
    this._summaryCalculationMode = value;
    if (!this._init) {
      this.crudService.endEdit(false);
      this.summaryService.resetSummaryHeight();
      this.notifyChanges(true);
    }
  }
  /**
   * Controls whether the summary row is visible when groupBy/parent row is collapsed.
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [showSummaryOnCollapse]="true" [autoGenerate]="true"></igx-grid>
   * ```
   * @remarks
   * By default showSummaryOnCollapse is set to 'false' which means that the summary row is not visible
   * when the groupBy/parent row is collapsed.
   */
  get showSummaryOnCollapse() {
    return this._showSummaryOnCollapse;
  }
  set showSummaryOnCollapse(value) {
    this._showSummaryOnCollapse = value;
    this.notifyChanges();
  }
  /**
   * Gets/Sets the filtering strategy of the grid.
   *
   * @example
   * ```html
   *  <igx-grid #grid [data]="localData" [filterStrategy]="filterStrategy"></igx-grid>
   * ```
   */
  get filterStrategy() {
    return this._filterStrategy;
  }
  set filterStrategy(classRef) {
    this._filterStrategy = classRef;
  }
  /**
   * Gets/Sets the sorting strategy of the grid.
   *
   * @example
   * ```html
   *  <igx-grid #grid [data]="localData" [sortStrategy]="sortStrategy"></igx-grid>
   * ```
   */
  get sortStrategy() {
    return this._sortingStrategy;
  }
  set sortStrategy(value) {
    this._sortingStrategy = value;
  }
  /**
   * Gets/Sets the sorting options - single or multiple sorting.
   * Accepts an `ISortingOptions` object with any of the `mode` properties.
   *
   * @example
   * ```typescript
   * const _sortingOptions: ISortingOptions = {
   *      mode: 'single'
   * }
   * ```html
   * <igx-grid [sortingOptions]="sortingOptions"><igx-grid>
   * ```
   */
  set sortingOptions(value) {
    if (!this._init) {
      this.clearSort();
    }
    this._sortingOptions = Object.assign(this._sortingOptions, value);
  }
  get sortingOptions() {
    return this._sortingOptions;
  }
  /**
   * Gets/Sets the current selection state.
   *
   * @remarks
   * Represents the selected rows' IDs (primary key or rowData)
   * @example
   * ```html
   * <igx-grid [data]="localData" primaryKey="ID" rowSelection="multiple" [selectedRows]="[0, 1, 2]"><igx-grid>
   * ```
   */
  set selectedRows(rowIDs) {
    this.selectRows(rowIDs || [], true);
  }
  get selectedRows() {
    return this.selectionService.getSelectedRows();
  }
  /** @hidden @internal */
  get headerGroupsList() {
    return this.theadRow.groups;
  }
  /** @hidden @internal */
  get headerCellList() {
    return this.headerGroupsList.map((headerGroup) => headerGroup.header).filter((header) => header);
  }
  /** @hidden @internal */
  get filterCellList() {
    return this.headerGroupsList.map((group) => group.filter).filter((cell) => cell);
  }
  /**
   * @hidden @internal
   */
  get summariesRowList() {
    const res = new QueryList4();
    if (!this._summaryRowList) {
      return res;
    }
    const sumList = this._summaryRowList.filter((item) => item.element.nativeElement.parentElement !== null);
    res.reset(sumList);
    return res;
  }
  /**
   * A list of `IgxGridRowComponent`.
   *
   * @example
   * ```typescript
   * const rowList = this.grid.rowList;
   * ```
   */
  get rowList() {
    const res = new QueryList4();
    if (!this._rowList) {
      return res;
    }
    const rList = this._rowList.filter((item) => item.element.nativeElement.parentElement !== null).sort((a, b) => a.index - b.index);
    res.reset(rList);
    return res;
  }
  /**
   * A list of currently rendered `IgxGridRowComponent`'s.
   *
   * @example
   * ```typescript
   * const dataList = this.grid.dataRowList;
   * ```
   */
  get dataRowList() {
    const res = new QueryList4();
    if (!this._dataRowList) {
      return res;
    }
    const rList = this._dataRowList.filter((item) => item.element.nativeElement.parentElement !== null).sort((a, b) => a.index - b.index);
    res.reset(rList);
    return res;
  }
  /**
   * Gets the header row selector template.
   */
  get headSelectorTemplate() {
    return this._headSelectorTemplate || this.headSelectorsTemplates?.first;
  }
  /**
   * Sets the header row selector template.
   * ```html
   * <ng-template #template igxHeadSelector let-headContext>
   * {{ headContext.selectedCount }} / {{ headContext.totalCount  }}
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.headSelectorTemplate = this.template;
   * ```
   */
  set headSelectorTemplate(template) {
    this._headSelectorTemplate = template;
  }
  /**
   * @hidden
   * @internal
   */
  get isPinningToStart() {
    return this.pinning.columns !== ColumnPinningPosition.End;
  }
  /**
   * @hidden
   * @internal
   */
  get isRowPinningToTop() {
    return this.pinning.rows !== RowPinningPosition.Bottom;
  }
  /**
   * Gets the row selector template.
   */
  get rowSelectorTemplate() {
    return this._rowSelectorTemplate || this.rowSelectorsTemplates?.first;
  }
  /**
       * Sets a custom template for the row selectors.
       * ```html
       * <ng-template #template igxRowSelector let-rowContext>
       *    <igx-checkbox [checked]="rowContext.selected"></igx-checkbox>
       * </ng-template>
       * ```
       * ```typescript
       * @ViewChild("'template'", {read: TemplateRef })
       * public template: TemplateRef<any>;
       * this.grid.rowSelectorTemplate = this.template;
       * ```
       */
  set rowSelectorTemplate(template) {
    this._rowSelectorTemplate = template;
  }
  /**
   * @hidden @internal
   */
  get rowOutletDirective() {
    return this.rowEditingOutletDirective;
  }
  /**
   * @hidden @internal
   */
  get parentRowOutletDirective() {
    return this.outlet;
  }
  /**
   * @hidden @internal
   */
  get rowEditCustom() {
    if (this.rowEditCustomDirectives && this.rowEditCustomDirectives.first) {
      return this.rowEditCustomDirectives.first;
    }
    return null;
  }
  /**
  
      /**
       * @hidden @internal
       */
  get rowEditContainer() {
    return this.rowEditCustom ? this.rowEditCustom : this.defaultRowEditTemplate;
  }
  /**
   * The custom template, if any, that should be used when rendering the row drag indicator icon
   */
  get dragIndicatorIconTemplate() {
    return this._customDragIndicatorIconTemplate || this.dragIndicatorIconTemplates?.first;
  }
  /**
   * Sets a custom template that should be used when rendering the row drag indicator icon.
   *```html
   * <ng-template #template igxDragIndicatorIcon>
   *    <igx-icon>expand_less</igx-icon>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.dragIndicatorIconTemplate = this.template;
   * ```
   */
  set dragIndicatorIconTemplate(val) {
    this._customDragIndicatorIconTemplate = val;
  }
  /**
   * @hidden @internal
   */
  get firstEditableColumnIndex() {
    const index = this.visibleColumns.filter((col) => col.editable).map((c) => c.visibleIndex).sort((a, b) => a - b);
    return index.length ? index[0] : null;
  }
  /**
   * @hidden @internal
   */
  get lastEditableColumnIndex() {
    const index = this.visibleColumns.filter((col) => col.editable).map((c) => c.visibleIndex).sort((a, b) => a > b ? -1 : 1);
    return index.length ? index[0] : null;
  }
  /**
   * @hidden @internal
   * TODO: Nav service logic doesn't handle 0 results from this querylist
   */
  get rowEditTabs() {
    return this.rowEditTabsCUSTOM.length ? this.rowEditTabsCUSTOM : this.rowEditTabsDEFAULT;
  }
  /** @hidden @internal */
  get activeDescendant() {
    const activeElem = this.navigation.activeNode;
    if (!activeElem || !Object.keys(activeElem).length) {
      return this.id;
    }
    return activeElem.row < 0 ? `${this.id}_${activeElem.row}_${activeElem.mchCache.level}_${activeElem.column}` : `${this.id}_${activeElem.row}_${activeElem.column}`;
  }
  /** @hidden @internal */
  get bannerClass() {
    const position = this.rowEditPositioningStrategy.isTop ? "igx-banner__border-top" : "igx-banner__border-bottom";
    return `igx-banner ${position}`;
  }
  /**
   * Gets/Sets the sorting state.
   *
   * @remarks
   * Supports two-way data binding.
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(sortingExpressions)]="model.sortingExpressions"></igx-grid>
   * ```
   */
  get sortingExpressions() {
    return this._sortingExpressions;
  }
  set sortingExpressions(value) {
    this._sortingExpressions = cloneArray(value);
    this.sortingExpressionsChange.emit(this._sortingExpressions);
    this.notifyChanges();
  }
  /**
   * @hidden @internal
   */
  get maxLevelHeaderDepth() {
    if (this._maxLevelHeaderDepth === null) {
      this._maxLevelHeaderDepth = this.hasColumnLayouts ? this._columns.reduce((acc, col) => Math.max(acc, col.rowStart), 0) : this._columns.reduce((acc, col) => Math.max(acc, col.level), 0);
    }
    return this._maxLevelHeaderDepth;
  }
  /**
   * Gets the number of hidden columns.
   *
   * @example
   * ```typescript
   * const hiddenCol = this.grid.hiddenColumnsCount;
   * ``
   */
  get hiddenColumnsCount() {
    return this._columns.filter((col) => col.columnGroup === false && col.hidden === true).length;
  }
  /**
   * Gets the number of pinned columns.
   */
  get pinnedColumnsCount() {
    return this.pinnedColumns.filter((col) => !col.columnLayout).length;
  }
  /**
   * Gets/Sets whether the grid has batch editing enabled.
   * When batch editing is enabled, changes are not made directly to the underlying data.
   * Instead, they are stored as transactions, which can later be committed w/ the `commit` method.
   *
   * @example
   * ```html
   * <igx-grid [batchEditing]="true" [data]="someData">
   * </igx-grid>
   * ```
   */
  get batchEditing() {
    return this._batchEditing;
  }
  set batchEditing(val) {
    if (val !== this._batchEditing) {
      delete this._transactions;
      this._batchEditing = val;
      this.switchTransactionService(val);
      this.subscribeToTransactions();
    }
  }
  /**
   * Get transactions service for the grid.
   */
  get transactions() {
    if (this._diTransactions && !this.batchEditing) {
      return this._diTransactions;
    }
    return this._transactions;
  }
  /**
   * @hidden @internal
   */
  get currentRowState() {
    return this._currentRowState;
  }
  /**
   * @hidden @internal
   */
  get currencyPositionLeft() {
    if (this._currencyPositionLeft !== void 0) {
      return this._currencyPositionLeft;
    }
    const format = getLocaleNumberFormat(this.locale, NumberFormatStyle.Currency);
    const formatParts = format.split(",");
    const i = formatParts.indexOf(formatParts.find((c) => c.includes("¤")));
    return this._currencyPositionLeft = i < 1;
  }
  /**
   * Gets/Sets cell selection mode.
   *
   * @remarks
   * By default the cell selection mode is multiple
   * @param selectionMode: GridSelectionMode
   */
  get cellSelection() {
    return this._cellSelectionMode;
  }
  set cellSelection(selectionMode) {
    this._cellSelectionMode = selectionMode;
    this.selectionService.clear(true);
    this.notifyChanges();
  }
  /**
   * Gets/Sets row selection mode
   *
   * @remarks
   * By default the row selection mode is 'none'
   * Note that in IgxGrid and IgxHierarchicalGrid 'multipleCascade' behaves like 'multiple'
   */
  get rowSelection() {
    return this._rowSelectionMode;
  }
  set rowSelection(selectionMode) {
    this._rowSelectionMode = selectionMode;
    if (!this._init) {
      this.selectionService.clearAllSelectedRows();
      this.notifyChanges(true);
    }
  }
  /**
   * Gets/Sets column selection mode
   *
   * @remarks
   * By default the row selection mode is none
   * @param selectionMode: GridSelectionMode
   */
  get columnSelection() {
    return this._columnSelectionMode;
  }
  set columnSelection(selectionMode) {
    this._columnSelectionMode = selectionMode;
    this.selectionService.clearAllSelectedColumns();
    this.notifyChanges(true);
  }
  /**
   * @hidden @internal
   */
  set pagingState(value) {
    this._pagingState = value;
    if (this.paginator && !this._init) {
      this.paginator.totalRecords = value.metadata.countRecords;
    }
  }
  get pagingState() {
    return this._pagingState;
  }
  /** @hidden @internal */
  get paginator() {
    return this.paginationComponents?.first;
  }
  /**
   * @hidden @internal
   */
  get scrollSize() {
    return this.verticalScrollContainer.getScrollNativeSize();
  }
  /**
   * @hidden @internal
   */
  get minColumnWidth() {
    return MINIMUM_COLUMN_WIDTH;
  }
  /**
   * Returns an array of objects containing the filtered data.
   *
   * @example
   * ```typescript
   * let filteredData = this.grid.filteredData;
   * ```
   */
  get filteredData() {
    return this._filteredData;
  }
  /**
   * Returns an array containing the filtered sorted data.
   *
   * @example
   * ```typescript
   * const filteredSortedData = this.grid1.filteredSortedData;
   * ```
   */
  get filteredSortedData() {
    return this._filteredSortedData;
  }
  /**
   * @hidden @internal
   */
  get rowChangesCount() {
    if (!this.crudService.row) {
      return 0;
    }
    const f = (obj) => {
      let changes = 0;
      Object.keys(obj).forEach((key) => isObject(obj[key]) ? changes += f(obj[key]) : changes++);
      return changes;
    };
    if (this.transactions.getState(this.crudService.row.id)?.type === TransactionType.ADD) {
      return this._columns.filter((c) => c.field).length;
    }
    const rowChanges = this.transactions.getAggregatedValue(this.crudService.row.id, false);
    return rowChanges ? f(rowChanges) : 0;
  }
  /**
   * @hidden @internal
   */
  get dataWithAddedInTransactionRows() {
    const result = cloneArray(this.gridAPI.get_all_data());
    if (this.transactions.enabled) {
      result.push(...this.transactions.getAggregatedChanges(true).filter((t) => t.type === TransactionType.ADD).map((t) => t.newValue));
    }
    if (this.crudService.row && this.crudService.row.getClassName() === IgxAddRow.name) {
      result.splice(this.crudService.row.index, 0, this.crudService.row.data);
    }
    return result;
  }
  /**
   * @hidden @internal
   */
  get dataLength() {
    return this.transactions.enabled ? this.dataWithAddedInTransactionRows.length : this.gridAPI.get_all_data().length;
  }
  /**
   * @hidden @internal
   */
  get template() {
    if (this.isLoading && (this.hasZeroResultFilter || this.hasNoData)) {
      return this.loadingGridTemplate ? this.loadingGridTemplate : this.loadingGridDefaultTemplate;
    }
    if (this.hasZeroResultFilter) {
      return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyFilteredGridTemplate;
    }
    if (this.hasNoData) {
      return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyGridDefaultTemplate;
    }
  }
  /**
   * @hidden @internal
   */
  get hasZeroResultFilter() {
    return this.filteredData && this.filteredData.length === 0;
  }
  /**
   * @hidden @internal
   */
  get hasNoData() {
    return !this.data || this.dataLength === 0;
  }
  /**
   * @hidden @internal
   */
  get shouldOverlayLoading() {
    return this.isLoading && !this.hasNoData && !this.hasZeroResultFilter;
  }
  /**
   * @hidden @internal
   */
  get isMultiRowSelectionEnabled() {
    return this.rowSelection === GridSelectionMode.multiple || this.rowSelection === GridSelectionMode.multipleCascade;
  }
  /**
   * @hidden @internal
   */
  get isRowSelectable() {
    return this.rowSelection !== GridSelectionMode.none;
  }
  /**
   * @hidden @internal
   */
  get isCellSelectable() {
    return this.cellSelection !== GridSelectionMode.none;
  }
  /**
   * @hidden @internal
   */
  get columnInDrag() {
    return this.gridAPI.cms.column;
  }
  constructor(validation, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions) {
    super(_displayDensityOptions, elementRef);
    this.validation = validation;
    this.selectionService = selectionService;
    this.colResizingService = colResizingService;
    this.gridAPI = gridAPI;
    this.transactionFactory = transactionFactory;
    this.elementRef = elementRef;
    this.zone = zone;
    this.document = document2;
    this.cdr = cdr;
    this.differs = differs;
    this.viewRef = viewRef;
    this.injector = injector;
    this.envInjector = envInjector;
    this.navigation = navigation;
    this.filteringService = filteringService;
    this.textHighlightService = textHighlightService;
    this.overlayService = overlayService;
    this.summaryService = summaryService;
    this._displayDensityOptions = _displayDensityOptions;
    this.localeId = localeId;
    this.platform = platform;
    this._diTransactions = _diTransactions;
    this.snackbarDisplayTime = 6e3;
    this.autoGenerate = false;
    this.autoGenerateExclude = [];
    this.moving = false;
    this.clipboardOptions = {
      /**
       * Enables/disables the copy behavior
       */
      enabled: true,
      /**
       * Include the columns headers in the clipboard output.
       */
      copyHeaders: true,
      /**
       * Apply the columns formatters (if any) on the data in the clipboard output.
       */
      copyFormatters: true,
      /**
       * The separator used for formatting the copy output. Defaults to `\t`.
       */
      separator: "	"
    };
    this.filteringExpressionsTreeChange = new EventEmitter65();
    this.advancedFilteringExpressionsTreeChange = new EventEmitter65();
    this.gridScroll = new EventEmitter65();
    this.rowStyles = null;
    this.cellClick = new EventEmitter65();
    this.rowClick = new EventEmitter65();
    this.formGroupCreated = new EventEmitter65();
    this.validationStatusChange = new EventEmitter65();
    this.selected = new EventEmitter65();
    this.rowSelectionChanging = new EventEmitter65();
    this.columnSelectionChanging = new EventEmitter65();
    this.columnPin = new EventEmitter65();
    this.columnPinned = new EventEmitter65();
    this.cellEditEnter = new EventEmitter65();
    this.cellEditExit = new EventEmitter65();
    this.cellEdit = new EventEmitter65();
    this.cellEditDone = new EventEmitter65();
    this.rowEditEnter = new EventEmitter65();
    this.rowEdit = new EventEmitter65();
    this.rowEditDone = new EventEmitter65();
    this.rowEditExit = new EventEmitter65();
    this.columnInit = new EventEmitter65();
    this.sorting = new EventEmitter65();
    this.sortingDone = new EventEmitter65();
    this.filtering = new EventEmitter65();
    this.filteringDone = new EventEmitter65();
    this.rowAdded = new EventEmitter65();
    this.rowDeleted = new EventEmitter65();
    this.rowDelete = new EventEmitter65();
    this.rowAdd = new EventEmitter65();
    this.columnResized = new EventEmitter65();
    this.contextMenu = new EventEmitter65();
    this.doubleClick = new EventEmitter65();
    this.columnVisibilityChanging = new EventEmitter65();
    this.columnVisibilityChanged = new EventEmitter65();
    this.columnMovingStart = new EventEmitter65();
    this.columnMoving = new EventEmitter65();
    this.columnMovingEnd = new EventEmitter65();
    this.gridKeydown = new EventEmitter65();
    this.rowDragStart = new EventEmitter65();
    this.rowDragEnd = new EventEmitter65();
    this.gridCopy = new EventEmitter65();
    this.expansionStatesChange = new EventEmitter65();
    this.rowToggle = new EventEmitter65();
    this.rowPinning = new EventEmitter65();
    this.rowPinned = new EventEmitter65();
    this.activeNodeChange = new EventEmitter65();
    this.sortingExpressionsChange = new EventEmitter65();
    this.toolbarExporting = new EventEmitter65();
    this.rangeSelected = new EventEmitter65();
    this.rendered = new EventEmitter65();
    this.localeChange = new EventEmitter65();
    this.dataChanging = new EventEmitter65();
    this.dataChanged = new EventEmitter65();
    this.columnList = new QueryList4();
    this.tmpOutlets = new QueryList4();
    this.rowExpandedIndicatorDirectiveTemplate = null;
    this.rowCollapsedIndicatorDirectiveTemplate = null;
    this.headerExpandedIndicatorDirectiveTemplate = null;
    this.headerCollapsedIndicatorDirectiveTemplate = null;
    this.excelStyleHeaderIconDirectiveTemplate = null;
    this.sortAscendingHeaderIconDirectiveTemplate = null;
    this.sortDescendingHeaderIconDirectiveTemplate = null;
    this.sortHeaderIconDirectiveTemplate = null;
    this.tabindex = 0;
    this.hostRole = "grid";
    this.baseClass = "igx-grid";
    this.validationTrigger = "change";
    this.rowDragging = false;
    this.dragRowID = null;
    this.calcHeight = 0;
    this.disableTransitions = false;
    this.lastSearchInfo = {
      searchText: "",
      caseSensitive: false,
      exactMatch: false,
      activeMatchIndex: 0,
      matchInfoCache: [],
      matchCount: 0,
      content: ""
    };
    this.columnWidthSetByUser = false;
    this.rendered$ = this.rendered.asObservable().pipe(shareReplay({ bufferSize: 1, refCount: true }));
    this.resizeNotify = new Subject47();
    this.rowAddedNotifier = new Subject47();
    this.rowDeletedNotifier = new Subject47();
    this.pipeTriggerNotifier = new Subject47();
    this._destroyed = false;
    this._totalRecords = -1;
    this.columnsWithNoSetWidths = null;
    this.pipeTrigger = 0;
    this.filteringPipeTrigger = 0;
    this.summaryPipeTrigger = 0;
    this.groupablePipeTrigger = 0;
    this.EMPTY_DATA = [];
    this.isPivot = false;
    this.destroy$ = new Subject47();
    this._pagingMode = GridPagingMode.Local;
    this._hideRowSelectors = false;
    this._rowDrag = false;
    this._columns = [];
    this._pinnedColumns = [];
    this._unpinnedColumns = [];
    this._filteringExpressionsTree = new FilteringExpressionsTree(FilteringLogic.And);
    this._sortingExpressions = [];
    this._maxLevelHeaderDepth = null;
    this._columnHiding = false;
    this._columnPinning = false;
    this._pinnedRecordIDs = [];
    this._allowFiltering = false;
    this._allowAdvancedFiltering = false;
    this._filterMode = FilterMode.quickFilter;
    this._defaultTargetRecordNumber = 10;
    this._expansionStates = /* @__PURE__ */ new Map();
    this._defaultExpandState = false;
    this._headerFeaturesWidth = NaN;
    this._init = true;
    this._cdrRequestRepaint = false;
    this._batchEditing = false;
    this._sortingOptions = { mode: "multiple" };
    this._filterStrategy = new FilteringStrategy();
    this._autoGeneratedCols = [];
    this._dataView = [];
    this._rowEditable = false;
    this._filteredSortedData = null;
    this._filteredData = null;
    this._cdrRequests = false;
    this._resourceStrings = getCurrentResourceStrings(GridResourceStringsEN);
    this._emptyGridMessage = null;
    this._emptyFilteredGridMessage = null;
    this._isLoading = false;
    this.overlayIDs = [];
    this._pinning = { columns: ColumnPinningPosition.Start };
    this._advancedFilteringPositionSettings = {
      verticalDirection: VerticalAlignment.Middle,
      horizontalDirection: HorizontalAlignment.Center,
      horizontalStartPoint: HorizontalAlignment.Center,
      verticalStartPoint: VerticalAlignment.Middle
    };
    this._advancedFilteringOverlaySettings = {
      closeOnOutsideClick: false,
      modal: false,
      positionStrategy: new ConnectedPositioningStrategy(this._advancedFilteringPositionSettings)
    };
    this._height = "100%";
    this._width = "100%";
    this._horizontalForOfs = [];
    this._multiRowLayoutRowSize = 1;
    this._totalWidth = NaN;
    this._pinnedVisible = [];
    this._unpinnedVisible = [];
    this._pinnedWidth = NaN;
    this._unpinnedWidth = NaN;
    this._visibleColumns = [];
    this._columnGroups = false;
    this._summaryPosition = GridSummaryPosition.bottom;
    this._summaryCalculationMode = GridSummaryCalculationMode.rootAndChildLevels;
    this._showSummaryOnCollapse = false;
    this._summaryRowHeight = 0;
    this._cellSelectionMode = GridSelectionMode.multiple;
    this._rowSelectionMode = GridSelectionMode.none;
    this._selectRowOnClick = true;
    this._columnSelectionMode = GridSelectionMode.none;
    this.rowEditPositioningStrategy = new RowEditPositionStrategy({
      horizontalDirection: HorizontalAlignment.Right,
      verticalDirection: VerticalAlignment.Bottom,
      horizontalStartPoint: HorizontalAlignment.Left,
      verticalStartPoint: VerticalAlignment.Bottom,
      closeAnimation: null
    });
    this.rowEditSettings = {
      scrollStrategy: new AbsoluteScrollStrategy(),
      modal: false,
      closeOnOutsideClick: false,
      outlet: this.rowOutletDirective,
      positionStrategy: this.rowEditPositioningStrategy
    };
    this.transactionChange$ = new Subject47();
    this._rendered = false;
    this.DRAG_SCROLL_DELTA = 10;
    this._dataCloneStrategy = new DefaultDataCloneStrategy();
    this._autoSize = false;
    this._sortHeaderIconTemplate = null;
    this._sortAscendingHeaderIconTemplate = null;
    this._sortDescendingHeaderIconTemplate = null;
    this.isHorizontalScrollHidden = false;
    this.preventContainerScroll = (evt) => {
      if (evt.target.scrollTop !== 0) {
        this.verticalScrollContainer.addScroll(evt.target.scrollTop);
        evt.target.scrollTop = 0;
      }
      if (evt.target.scrollLeft !== 0) {
        this.headerContainer.scrollPosition += evt.target.scrollLeft;
        evt.target.scrollLeft = 0;
      }
    };
    this.locale = this.locale || this.localeId;
    this._transactions = this.transactionFactory.create(
      "None"
      /* TRANSACTION_TYPE.None */
    );
    this._transactions.cloneStrategy = this.dataCloneStrategy;
    this.cdr.detach();
  }
  /**
   * @hidden
   * @internal
   */
  hideActionStrip() {
    this.actionStrip?.hide();
  }
  /**
   * @hidden
   * @internal
   */
  get headerFeaturesWidth() {
    return this._headerFeaturesWidth;
  }
  /**
   * @hidden
   * @internal
   */
  isDetailRecord(_rec) {
    return false;
  }
  /**
   * @hidden
   * @internal
   */
  isGroupByRecord(_rec) {
    return false;
  }
  /**
   * @hidden @internal
   */
  isGhostRecord(record) {
    return record.ghostRecord !== void 0;
  }
  /**
   * @hidden @internal
   */
  isAddRowRecord(record) {
    return record.addRow !== void 0;
  }
  /**
   * @hidden
   * Returns the row index of a row that takes into account the full view data like pinning.
   */
  getDataViewIndex(rowIndex, pinned) {
    if (pinned && !this.isRowPinningToTop) {
      rowIndex = rowIndex + this.unpinnedDataView.length;
    } else if (!pinned && this.isRowPinningToTop) {
      rowIndex = rowIndex + this.pinnedDataView.length;
    }
    return rowIndex;
  }
  /**
   * @hidden
   * @internal
   */
  get hasDetails() {
    return false;
  }
  /**
   * Returns the state of the grid virtualization.
   *
   * @remarks
   * Includes the start index and how many records are rendered.
   * @example
   * ```typescript
   * const gridVirtState = this.grid1.virtualizationState;
   * ```
   */
  get virtualizationState() {
    return this.verticalScrollContainer.state;
  }
  /**
   * @hidden
   * @internal
   */
  hideOverlays() {
    this.overlayIDs.forEach((overlayID) => {
      const overlay = this.overlayService.getOverlayById(overlayID);
      if (overlay?.visible && !overlay.closeAnimationPlayer?.hasStarted()) {
        this.overlayService.hide(overlayID);
        this.nativeElement.focus();
      }
    });
  }
  /**
   * Returns whether the record is pinned or not.
   *
   * @param rowIndex Index of the record in the `dataView` collection.
   *
   * @hidden
   * @internal
   */
  isRecordPinnedByViewIndex(rowIndex) {
    return this.hasPinnedRecords && (this.isRowPinningToTop && rowIndex < this.pinnedDataView.length) || !this.isRowPinningToTop && rowIndex >= this.unpinnedDataView.length;
  }
  /**
   * Returns whether the record is pinned or not.
   *
   * @param rowIndex Index of the record in the `filteredSortedData` collection.
   */
  isRecordPinnedByIndex(rowIndex) {
    return this.hasPinnedRecords && (this.isRowPinningToTop && rowIndex < this._filteredSortedPinnedData.length) || !this.isRowPinningToTop && rowIndex >= this._filteredSortedUnpinnedData.length;
  }
  /**
   * @hidden
   * @internal
   */
  isRecordPinned(rec) {
    return this.getInitialPinnedIndex(rec) !== -1;
  }
  /**
   * @hidden
   * @internal
   * Returns the record index in order of pinning by the user. Does not consider sorting/filtering.
   */
  getInitialPinnedIndex(rec) {
    const id = this.gridAPI.get_row_id(rec);
    return this._pinnedRecordIDs.indexOf(id);
  }
  /**
   * @hidden
   * @internal
   */
  get hasPinnedRecords() {
    return this._pinnedRecordIDs.length > 0;
  }
  /**
   * @hidden
   * @internal
   */
  get pinnedRecordsCount() {
    return this._pinnedRecordIDs.length;
  }
  /**
   * @hidden
   * @internal
   */
  get crudService() {
    return this.gridAPI.crudService;
  }
  /**
   * @hidden
   * @internal
   */
  _setupServices() {
    this.gridAPI.grid = this;
    this.crudService.grid = this;
    this.selectionService.grid = this;
    this.validation.grid = this;
    this.navigation.grid = this;
    this.filteringService.grid = this;
    this.summaryService.grid = this;
  }
  /**
   * @hidden
   * @internal
   */
  _setupListeners() {
    const destructor = takeUntil40(this.destroy$);
    fromEvent13(this.nativeElement, "focusout").pipe(filter5(() => !!this.navigation.activeNode), destructor).subscribe((event) => {
      if (!this.crudService.cell && !!this.navigation.activeNode && (event.target === this.tbody.nativeElement && this.navigation.activeNode.row >= 0 && this.navigation.activeNode.row < this.dataView.length || event.target === this.theadRow.nativeElement && this.navigation.activeNode.row === -1 || event.target === this.tfoot.nativeElement && this.navigation.activeNode.row === this.dataView.length) && !(this.rowEditable && this.crudService.rowEditingBlocked && this.crudService.rowInEditMode)) {
        this.navigation.lastActiveNode = this.navigation.activeNode;
        this.navigation.activeNode = {};
        this.notifyChanges();
      }
    });
    this.rowAddedNotifier.pipe(destructor).subscribe((args) => this.refreshGridState(args));
    this.rowDeletedNotifier.pipe(destructor).subscribe((args) => {
      this.summaryService.deleteOperation = true;
      this.summaryService.clearSummaryCache(args);
    });
    this.subscribeToTransactions();
    this.resizeNotify.pipe(filter5(() => !this._init), throttleTime3(40, animationFrameScheduler4, { leading: false, trailing: true }), destructor).subscribe(() => {
      this.zone.run(() => {
        if (this.document.contains(this.nativeElement)) {
          this.notifyChanges(true);
        }
      });
    });
    this.pipeTriggerNotifier.pipe(takeUntil40(this.destroy$)).subscribe(() => this.pipeTrigger++);
    this.columnMovingEnd.pipe(destructor).subscribe(() => this.crudService.endEdit(false));
    this.overlayService.opening.pipe(destructor).subscribe((event) => {
      if (this._advancedFilteringOverlayId === event.id) {
        const instance = event.componentRef.instance;
        if (instance) {
          instance.initialize(this, this.overlayService, event.id);
        }
      }
    });
    this.overlayService.opened.pipe(destructor).subscribe((event) => {
      const overlaySettings = this.overlayService.getOverlayById(event.id)?.settings;
      if (this._advancedFilteringOverlayId === event.id) {
        const instance = event.componentRef.instance;
        if (instance) {
          instance.lastActiveNode = this.navigation.activeNode;
          instance.queryBuilder.setAddButtonFocus();
        }
        return;
      }
      if (this.rowEditingOverlay?.overlayId === event.id) {
        return;
      }
      if (overlaySettings?.outlet === this.outlet && this.overlayIDs.indexOf(event.id) === -1) {
        this.overlayIDs.push(event.id);
      }
    });
    this.overlayService.closed.pipe(filter5(() => !this._init), destructor).subscribe((event) => {
      if (this._advancedFilteringOverlayId === event.id) {
        this.overlayService.detach(this._advancedFilteringOverlayId);
        this._advancedFilteringOverlayId = null;
        return;
      }
      const ind = this.overlayIDs.indexOf(event.id);
      if (ind !== -1) {
        this.overlayIDs.splice(ind, 1);
      }
    });
    this.verticalScrollContainer.dataChanging.pipe(filter5(() => !this._init), destructor).subscribe(($event) => {
      const shouldRecalcSize = this.isPercentHeight && (!this.calcHeight || this.calcHeight === this.getDataBasedBodyHeight() || this.calcHeight === this.renderedRowHeight * this._defaultTargetRecordNumber);
      if (shouldRecalcSize) {
        this.calculateGridHeight();
        $event.containerSize = this.calcHeight;
      }
      this.evaluateLoadingState();
    });
    this.verticalScrollContainer.scrollbarVisibilityChanged.pipe(filter5(() => !this._init), destructor).subscribe(() => {
      this.notifyChanges(true);
      this.cdr.detectChanges();
    });
    this.headerContainer?.scrollbarVisibilityChanged.pipe(filter5(() => !this._init), destructor).subscribe(() => {
      this.notifyChanges(true);
      this.cdr.detectChanges();
    });
    this.verticalScrollContainer.contentSizeChange.pipe(filter5(() => !this._init), throttleTime3(30), destructor).subscribe(() => {
      this.notifyChanges(true);
    });
    this.densityChanged.pipe(destructor).subscribe(() => {
      this._autoSize = this.isPercentHeight && this.calcHeight !== this.getDataBasedBodyHeight();
      this.crudService.endEdit(false);
      if (this._summaryRowHeight === 0) {
        this.summaryService.summaryHeight = 0;
      }
      this.notifyChanges(true);
    });
  }
  /**
   * @hidden
   */
  ngOnInit() {
    super.ngOnInit();
    this._setupServices();
    this._setupListeners();
    this.rowListDiffer = this.differs.find([]).create(null);
    this.columnListDiffer = this.differs.find([]).create((index, col) => col.field);
    this.calcWidth = this.width && this.width.indexOf("%") === -1 ? parseInt(this.width, 10) : 0;
    this.shouldGenerate = this.autoGenerate;
  }
  /**
   * @hidden
   * @internal
   */
  resetColumnsCaches() {
    this._columns.forEach((column) => column.resetCaches());
  }
  /**
   * @hidden @internal
   */
  generateRowID() {
    const primaryColumn = this._columns.find((col) => col.field === this.primaryKey);
    const idType = this.data.length ? this.resolveDataTypes(this.data[0][this.primaryKey]) : primaryColumn ? primaryColumn.dataType : "string";
    return idType === "string" ? uuidv4() : FAKE_ROW_ID--;
  }
  /**
   * @hidden
   * @internal
   */
  resetForOfCache() {
    const firstVirtRow = this.dataRowList.first;
    if (firstVirtRow) {
      if (this._cdrRequests) {
        firstVirtRow.virtDirRow.cdr.detectChanges();
      }
      firstVirtRow.virtDirRow.assumeMaster();
    }
  }
  /**
   * @hidden
   * @internal
   */
  setFilteredData(data, pinned) {
    if (this.hasPinnedRecords && pinned) {
      this._filteredPinnedData = data || [];
      const filteredUnpinned = this._filteredUnpinnedData || [];
      const filteredData = [...this._filteredPinnedData, ...filteredUnpinned];
      this._filteredData = filteredData.length > 0 ? filteredData : this._filteredUnpinnedData;
    } else if (this.hasPinnedRecords && !pinned) {
      this._filteredUnpinnedData = data;
    } else {
      this._filteredData = data;
    }
  }
  /**
   * @hidden
   * @internal
   */
  resetColumnCollections() {
    this._visibleColumns.length = 0;
    this._pinnedVisible.length = 0;
    this._unpinnedVisible.length = 0;
  }
  /**
   * @hidden
   * @internal
   */
  resetCachedWidths() {
    this._unpinnedWidth = NaN;
    this._pinnedWidth = NaN;
    this._totalWidth = NaN;
  }
  /**
   * @hidden
   * @internal
   */
  resetCaches(recalcFeatureWidth = true) {
    if (recalcFeatureWidth) {
      this._headerFeaturesWidth = NaN;
      this.summaryService.summaryHeight = 0;
    }
    this.resetForOfCache();
    this.resetColumnsCaches();
    this.resetColumnCollections();
    this.resetCachedWidths();
    this.hasVisibleColumns = void 0;
    this._columnGroups = this._columns.some((col) => col.columnGroup);
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    if (this.sortHeaderIconDirectiveTemplate) {
      this.sortHeaderIconTemplate = this.sortHeaderIconDirectiveTemplate;
    }
    if (this.sortAscendingHeaderIconDirectiveTemplate) {
      this.sortAscendingHeaderIconTemplate = this.sortAscendingHeaderIconDirectiveTemplate;
    }
    if (this.sortDescendingHeaderIconDirectiveTemplate) {
      this.sortDescendingHeaderIconTemplate = this.sortDescendingHeaderIconDirectiveTemplate;
    }
    this.setupColumns();
    this.toolbar.changes.pipe(filter5(() => !this._init), takeUntil40(this.destroy$)).subscribe(() => this.notifyChanges(true));
    this.setUpPaginator();
    this.paginationComponents.changes.pipe(takeUntil40(this.destroy$)).subscribe(() => {
      this.setUpPaginator();
    });
    if (this.actionStrip) {
      this.actionStrip.menuOverlaySettings.outlet = this.outlet;
    }
  }
  /**
   * @hidden @internal
   */
  dataRebinding(event) {
    this.dataChanging.emit(event);
  }
  /**
   * @hidden @internal
   */
  dataRebound(event) {
    this.selectionService.clearHeaderCBState();
    this.dataChanged.emit(event);
  }
  /** @hidden @internal */
  createFilterDropdown(column, options) {
    options.outlet = this.outlet;
    if (this.excelStyleFilteringComponent) {
      this.excelStyleFilteringComponent.initialize(column, this.overlayService);
      const id2 = this.overlayService.attach(this.excelStyleFilteringComponent.element, options);
      this.excelStyleFilteringComponent.overlayComponentId = id2;
      return id2;
    }
    const id = this.overlayService.attach(IgxGridExcelStyleFilteringComponent, this.viewRef, options);
    return id;
  }
  /** @hidden @internal */
  setUpPaginator() {
    if (this.paginator) {
      this.paginator.pageChange.pipe(takeWhile(() => !!this.paginator), filter5(() => !this._init)).subscribe(() => {
        this.selectionService.clear(true);
        this.crudService.endEdit(false);
        this.pipeTrigger++;
        this.navigateTo(0);
        this.notifyChanges();
      });
      this.paginator.perPageChange.pipe(takeWhile(() => !!this.paginator), filter5(() => !this._init)).subscribe(() => {
        this.selectionService.clear(true);
        this.page = 0;
        this.crudService.endEdit(false);
        this.notifyChanges();
      });
    } else {
      this.markForCheck();
    }
  }
  /**
   * @hidden
   * @internal
   */
  setFilteredSortedData(data, pinned) {
    data = data || [];
    if (this.pinnedRecordsCount > 0) {
      if (pinned) {
        this._filteredSortedPinnedData = data;
        this.pinnedRecords = data;
        this._filteredSortedData = this.isRowPinningToTop ? [...this._filteredSortedPinnedData, ...this._filteredSortedUnpinnedData] : [...this._filteredSortedUnpinnedData, ...this._filteredSortedPinnedData];
        this.refreshSearch(true, false);
      } else {
        this._filteredSortedUnpinnedData = data;
      }
    } else {
      this._filteredSortedData = data;
      this.refreshSearch(true, false);
    }
    this.buildDataView(data);
  }
  /**
   * @hidden @internal
   */
  resetHorizontalVirtualization() {
    const elementFilter = (item) => this.isDefined(item.nativeElement.parentElement);
    this._horizontalForOfs = [
      ...this._dataRowList.filter(elementFilter).map((item) => item.virtDirRow),
      ...this._summaryRowList.filter(elementFilter).map((item) => item.virtDirRow)
    ];
  }
  /**
   * @hidden @internal
   */
  _setupRowObservers() {
    const elementFilter = (item) => this.isDefined(item.nativeElement.parentElement);
    const extractForOfs = pipe(map2((collection) => collection.filter(elementFilter).map((item) => item.virtDirRow)));
    const rowListObserver = extractForOfs(this._dataRowList.changes);
    const summaryRowObserver = extractForOfs(this._summaryRowList.changes);
    rowListObserver.pipe(takeUntil40(this.destroy$)).subscribe(() => {
      this.resetHorizontalVirtualization();
    });
    summaryRowObserver.pipe(takeUntil40(this.destroy$)).subscribe(() => {
      this.resetHorizontalVirtualization();
    });
    this.resetHorizontalVirtualization();
  }
  /**
   * @hidden @internal
   */
  _zoneBegoneListeners() {
    this.zone.runOutsideAngular(() => {
      this.verticalScrollContainer.getScroll().addEventListener("scroll", this.verticalScrollHandler.bind(this));
      this.headerContainer?.getScroll().addEventListener("scroll", this.horizontalScrollHandler.bind(this));
      if (this.hasColumnsToAutosize) {
        this.headerContainer?.dataChanged.pipe(takeUntil40(this.destroy$)).subscribe(() => {
          this.cdr.detectChanges();
          this.zone.onStable.pipe(first9()).subscribe(() => {
            this.autoSizeColumnsInView();
          });
        });
      }
      fromEvent13(window, "resize").pipe(takeUntil40(this.destroy$)).subscribe(() => this.resizeNotify.next());
      resizeObservable(this.nativeElement).pipe(takeUntil40(this.destroy$)).subscribe(() => this.resizeNotify.next());
    });
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    this.initPinning();
    this.calculateGridSizes();
    this._init = false;
    this.cdr.reattach();
    this._setupRowObservers();
    this._zoneBegoneListeners();
    const vertScrDC = this.verticalScrollContainer.displayContainer;
    vertScrDC.addEventListener("scroll", this.preventContainerScroll.bind(this));
    this._pinnedRowList.changes.pipe(takeUntil40(this.destroy$)).subscribe((change) => {
      this.onPinnedRowsChanged(change);
    });
    this.addRowSnackbar?.clicked.subscribe(() => {
      const rec = this.filteredSortedData[this.lastAddedRowIndex];
      this.scrollTo(rec, 0);
      this.addRowSnackbar.close();
    });
    this.rendered$.pipe(takeUntil40(this.destroy$)).subscribe(() => {
      if (this.paginator) {
        this.paginator.totalRecords = this.totalRecords ? this.totalRecords : this.paginator.totalRecords;
        this.paginator.overlaySettings = { outlet: this.outlet };
      }
      if (this.hasColumnsToAutosize) {
        this.autoSizeColumnsInView();
      }
      this._rendered = true;
    });
    Promise.resolve().then(() => this.rendered.next(true));
  }
  /**
   * @hidden @internal
   */
  notifyChanges(repaint = false) {
    this._cdrRequests = true;
    this._cdrRequestRepaint = repaint;
    this.cdr.markForCheck();
  }
  /**
   * @hidden @internal
   */
  ngDoCheck() {
    super.ngDoCheck();
    if (this._init) {
      return;
    }
    if (this._cdrRequestRepaint) {
      this.resetNotifyChanges();
      this.calculateGridSizes();
      this.refreshSearch(true);
      return;
    }
    if (this._cdrRequests) {
      this.resetNotifyChanges();
      this.cdr.detectChanges();
    }
  }
  /**
   * @hidden
   * @internal
   */
  getDragGhostCustomTemplate() {
    return this.dragGhostCustomTemplate;
  }
  /**
   * @hidden @internal
   */
  ngOnDestroy() {
    this.tmpOutlets.forEach((tmplOutlet) => {
      tmplOutlet.cleanCache();
    });
    this.destroy$.next(true);
    this.destroy$.complete();
    this.transactionChange$.next();
    this.transactionChange$.complete();
    this._destroyed = true;
    this.textHighlightService.destroyGroup(this.id);
    if (this._advancedFilteringOverlayId) {
      this.overlayService.detach(this._advancedFilteringOverlayId);
      delete this._advancedFilteringOverlayId;
    }
    this.overlayIDs.forEach((overlayID) => {
      const overlay = this.overlayService.getOverlayById(overlayID);
      if (overlay && !overlay.detached) {
        this.overlayService.detach(overlayID);
      }
    });
    this.zone.runOutsideAngular(() => {
      this.verticalScrollContainer?.getScroll()?.removeEventListener("scroll", this.verticalScrollHandler);
      this.headerContainer?.getScroll()?.removeEventListener("scroll", this.horizontalScrollHandler);
      const vertScrDC = this.verticalScrollContainer?.displayContainer;
      vertScrDC?.removeEventListener("scroll", this.preventContainerScroll);
    });
  }
  /**
   * Toggles the specified column's visibility.
   *
   * @example
   * ```typescript
   * this.grid1.toggleColumnVisibility({
   *       column: this.grid1.columns[0],
   *       newValue: true
   * });
   * ```
   */
  toggleColumnVisibility(args) {
    const col = args.column ? this._columns.find((c) => c === args.column) : void 0;
    if (!col) {
      return;
    }
    col.toggleVisibility(args.newValue);
  }
  /**
   * Gets/Sets a list of key-value pairs [row ID, expansion state].
   *
   * @remarks
   * Includes only states that differ from the default one.
   * Supports two-way binding.
   * @example
   * ```html
   * <igx-grid #grid [data]="data" [(expansionStates)]="model.expansionStates">
   * </igx-grid>
   * ```
   */
  get expansionStates() {
    return this._expansionStates;
  }
  set expansionStates(value) {
    this._expansionStates = new Map(value);
    this.expansionStatesChange.emit(this._expansionStates);
    this.notifyChanges(true);
    if (this.gridAPI.grid) {
      this.cdr.detectChanges();
    }
  }
  /**
   * Expands all rows.
   *
   * @example
   * ```typescript
   * this.grid.expandAll();
   * ```
   */
  expandAll() {
    this._defaultExpandState = true;
    this.expansionStates = /* @__PURE__ */ new Map();
  }
  /**
   * Collapses all rows.
   *
   * @example
   * ```typescript
   * this.grid.collapseAll();
   * ```
   */
  collapseAll() {
    this._defaultExpandState = false;
    this.expansionStates = /* @__PURE__ */ new Map();
  }
  /**
   * Expands the row by its id.
   *
   * @remarks
   * ID is either the primaryKey value or the data record instance.
   * @example
   * ```typescript
   * this.grid.expandRow(rowID);
   * ```
   * @param rowID The row id - primaryKey value or the data record instance.
   */
  expandRow(rowID) {
    this.gridAPI.set_row_expansion_state(rowID, true);
  }
  /**
   * Collapses the row by its id.
   *
   * @remarks
   * ID is either the primaryKey value or the data record instance.
   * @example
   * ```typescript
   * this.grid.collapseRow(rowID);
   * ```
   * @param rowID The row id - primaryKey value or the data record instance.
   */
  collapseRow(rowID) {
    this.gridAPI.set_row_expansion_state(rowID, false);
  }
  /**
   * Toggles the row by its id.
   *
   * @remarks
   * ID is either the primaryKey value or the data record instance.
   * @example
   * ```typescript
   * this.grid.toggleRow(rowID);
   * ```
   * @param rowID The row id - primaryKey value or the data record instance.
   */
  toggleRow(rowID) {
    const rec = this.gridAPI.get_rec_by_id(rowID);
    const state = this.gridAPI.get_row_expansion_state(rec);
    this.gridAPI.set_row_expansion_state(rowID, !state);
  }
  /**
   * @hidden
   * @internal
   */
  getDefaultExpandState(_rec) {
    return this._defaultExpandState;
  }
  /**
   * Gets the native element.
   *
   * @example
   * ```typescript
   * const nativeEl = this.grid.nativeElement.
   * ```
   */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  /**
   * Gets/Sets the outlet used to attach the grid's overlays to.
   *
   * @remark
   * If set, returns the outlet defined outside the grid. Otherwise returns the grid's internal outlet directive.
   */
  get outlet() {
    return this.resolveOutlet();
  }
  set outlet(val) {
    this._userOutletDirective = val;
  }
  /**
   * Gets the default row height.
   *
   * @example
   * ```typescript
   * const rowHeigh = this.grid.defaultRowHeight;
   * ```
   */
  get defaultRowHeight() {
    switch (this.displayDensity) {
      case DisplayDensity.cosy:
        return 40;
      case DisplayDensity.compact:
        return 32;
      default:
        return 50;
    }
  }
  /**
   * @hidden @internal
   */
  get defaultSummaryHeight() {
    switch (this.displayDensity) {
      case DisplayDensity.cosy:
        return 30;
      case DisplayDensity.compact:
        return 24;
      default:
        return 36;
    }
  }
  /**
   * Returns the `IgxGridHeaderGroupComponent`'s minimum allowed width.
   *
   * @remarks
   * Used internally for restricting header group component width.
   * The values below depend on the header cell default right/left padding values.
   */
  get defaultHeaderGroupMinWidth() {
    switch (this.displayDensity) {
      case DisplayDensity.cosy:
        return 32;
      case DisplayDensity.compact:
        return 24;
      default:
        return 48;
    }
  }
  /** @hidden @internal */
  get pinnedWidth() {
    if (!isNaN(this._pinnedWidth)) {
      return this._pinnedWidth;
    }
    this._pinnedWidth = this.getPinnedWidth();
    return this._pinnedWidth;
  }
  /** @hidden @internal */
  get unpinnedWidth() {
    if (!isNaN(this._unpinnedWidth)) {
      return this._unpinnedWidth;
    }
    this._unpinnedWidth = this.getUnpinnedWidth();
    return this._unpinnedWidth;
  }
  /**
   * @hidden @internal
   * Gets the header cell inner width for auto-sizing.
   */
  getHeaderCellWidth(element) {
    const range2 = this.document.createRange();
    const headerWidth = this.platform.getNodeSizeViaRange(range2, element, element.parentElement);
    const headerStyle = this.document.defaultView.getComputedStyle(element);
    const headerPadding = parseFloat(headerStyle.paddingLeft) + parseFloat(headerStyle.paddingRight) + parseFloat(headerStyle.borderRightWidth);
    const headerGroupStyle = this.document.defaultView.getComputedStyle(element.parentElement);
    const borderSize = parseFloat(headerGroupStyle.borderRightWidth) + parseFloat(headerGroupStyle.borderLeftWidth);
    return { width: Math.ceil(headerWidth), padding: Math.ceil(headerPadding + borderSize) };
  }
  /**
   * @hidden @internal
   * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
   */
  featureColumnsWidth(expander) {
    if (Number.isNaN(this._headerFeaturesWidth)) {
      const rowSelectArea = this.headerSelectorContainer?.nativeElement?.getBoundingClientRect ? this.headerSelectorContainer.nativeElement.getBoundingClientRect().width : 0;
      const rowDragArea = this.rowDraggable && this.headerDragContainer?.nativeElement?.getBoundingClientRect ? this.headerDragContainer.nativeElement.getBoundingClientRect().width : 0;
      const groupableArea = this.headerGroupContainer?.nativeElement?.getBoundingClientRect ? this.headerGroupContainer.nativeElement.getBoundingClientRect().width : 0;
      const expanderWidth = expander?.nativeElement?.getBoundingClientRect ? expander.nativeElement.getBoundingClientRect().width : 0;
      this._headerFeaturesWidth = rowSelectArea + rowDragArea + groupableArea + expanderWidth;
    }
    return this._headerFeaturesWidth;
  }
  /**
   * @hidden @internal
   */
  get summariesMargin() {
    return this.featureColumnsWidth();
  }
  /**
   * Gets an array of `IgxColumnComponent`s.
   *
   * @example
   * ```typescript
   * const colums = this.grid.columns.
   * ```
   */
  get columns() {
    return this._columns || [];
  }
  /**
   * Gets an array of the pinned `IgxColumnComponent`s.
   *
   * @example
   * ```typescript
   * const pinnedColumns = this.grid.pinnedColumns.
   * ```
   */
  get pinnedColumns() {
    if (this._pinnedVisible.length) {
      return this._pinnedVisible;
    }
    this._pinnedVisible = this._pinnedColumns.filter((col) => !col.hidden);
    return this._pinnedVisible;
  }
  /**
   * Gets an array of the pinned `IgxRowComponent`s.
   *
   * @example
   * ```typescript
   * const pinnedRow = this.grid.pinnedRows;
   * ```
   */
  get pinnedRows() {
    return this._pinnedRowList.toArray().sort((a, b) => a.index - b.index);
  }
  /**
   * Gets an array of unpinned `IgxColumnComponent`s.
   *
   * @example
   * ```typescript
   * const unpinnedColumns = this.grid.unpinnedColumns.
   * ```
   */
  get unpinnedColumns() {
    if (this._unpinnedVisible.length) {
      return this._unpinnedVisible;
    }
    this._unpinnedVisible = this._unpinnedColumns.filter((col) => !col.hidden);
    return this._unpinnedVisible;
  }
  /**
   * Gets the `width` to be set on `IgxGridHeaderGroupComponent`.
   */
  getHeaderGroupWidth(column) {
    return this.hasColumnLayouts ? "" : `${Math.max(parseFloat(column.calcWidth), this.defaultHeaderGroupMinWidth)}px`;
  }
  /**
   * Returns the `IgxColumnComponent` by field name.
   *
   * @example
   * ```typescript
   * const myCol = this.grid1.getColumnByName("ID");
   * ```
   * @param name
   */
  getColumnByName(name) {
    return this._columns.find((col) => col.field === name);
  }
  getColumnByVisibleIndex(index) {
    return this.visibleColumns.find((col) => !col.columnGroup && !col.columnLayout && col.visibleIndex === index);
  }
  /**
   * Recalculates all widths of columns that have size set to `auto`.
   *
   * @example
   * ```typescript
   * this.grid1.recalculateAutoSizes();
   * ```
   */
  recalculateAutoSizes() {
    this._columns.forEach((x) => x.autoSize = void 0);
    this.resetCaches();
    this.zone.onStable.pipe(first9()).subscribe(() => {
      this.cdr.detectChanges();
      this.autoSizeColumnsInView();
    });
  }
  /**
   * Returns an array of visible `IgxColumnComponent`s.
   *
   * @example
   * ```typescript
   * const visibleColumns = this.grid.visibleColumns.
   * ```
   */
  get visibleColumns() {
    if (this._visibleColumns.length) {
      return this._visibleColumns;
    }
    this._visibleColumns = this._columns.filter((c) => !c.hidden);
    return this._visibleColumns;
  }
  /**
   * Returns the total number of records.
   *
   * @remarks
   * Only functions when paging is enabled.
   * @example
   * ```typescript
   * const totalRecords = this.grid.totalRecords;
   * ```
   */
  get totalRecords() {
    return this._totalRecords >= 0 ? this._totalRecords : this.pagingState?.metadata.countRecords;
  }
  set totalRecords(total) {
    if (total >= 0) {
      if (this.paginator) {
        this.paginator.totalRecords = total;
      }
      this._totalRecords = total;
      this.pipeTrigger++;
      this.notifyChanges();
    }
  }
  /** @hidden @internal */
  get totalWidth() {
    if (!isNaN(this._totalWidth)) {
      return this._totalWidth;
    }
    const cols = this.visibleColumns.filter((col) => col.level === 0 && !col.pinned);
    let totalWidth = 0;
    let i = 0;
    for (i; i < cols.length; i++) {
      totalWidth += parseInt(cols[i].calcWidth, 10) || 0;
    }
    this._totalWidth = totalWidth;
    return totalWidth;
  }
  /**
   * @hidden
   * @internal
   */
  get showRowSelectors() {
    return this.isRowSelectable && this.hasVisibleColumns && !this.hideRowSelectors;
  }
  /**
   * @hidden
   * @internal
   */
  get showAddButton() {
    return this.rowEditable && this.dataView.length === 0 && this._columns.length > 0;
  }
  /**
   * @hidden
   * @internal
   */
  get showDragIcons() {
    return this.rowDraggable && this._columns.length > this.hiddenColumnsCount;
  }
  /**
   * @hidden
   * @internal
   */
  _getDataViewIndex(index) {
    let newIndex = index;
    if ((index < 0 || index >= this.dataView.length) && this.pagingMode === 1 && this.page !== 0) {
      newIndex = index - this.perPage * this.page;
    } else if (this.gridAPI.grid.verticalScrollContainer.isRemote) {
      newIndex = index - this.gridAPI.grid.virtualizationState.startIndex;
    }
    return newIndex;
  }
  /**
   * @hidden
   * @internal
   */
  getDataIndex(dataViewIndex) {
    let newIndex = dataViewIndex;
    if (this.gridAPI.grid.verticalScrollContainer.isRemote) {
      newIndex = dataViewIndex + this.gridAPI.grid.virtualizationState.startIndex;
    }
    return newIndex;
  }
  /**
   * Places a column before or after the specified target column.
   *
   * @example
   * ```typescript
   * grid.moveColumn(column, target);
   * ```
   */
  moveColumn(column, target, pos = DropPosition.AfterDropTarget) {
    const eventArgs = { source: column, target, cancel: false };
    this.columnMovingEnd.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    if (column === target || column.level !== target.level || column.topLevelParent !== target.topLevelParent) {
      return;
    }
    if (column.level) {
      this._moveChildColumns(column.parent, column, target, pos);
    }
    if (target.pinned && !column.pinned) {
      const pinnedIndex = this._pinnedColumns.indexOf(target);
      const index = pos === DropPosition.AfterDropTarget ? pinnedIndex + 1 : pinnedIndex;
      column.pin(index);
    }
    if (!target.pinned && column.pinned) {
      const unpinnedIndex = this._unpinnedColumns.indexOf(target);
      const index = pos === DropPosition.AfterDropTarget ? unpinnedIndex + 1 : unpinnedIndex;
      column.unpin(index);
    }
    this._moveColumns(column, target, pos);
    this._columnsReordered(column);
  }
  /**
   * Triggers change detection for the `IgxGridComponent`.
   * Calling markForCheck also triggers the grid pipes explicitly, resulting in all updates being processed.
   * May degrade performance if used when not needed, or if misused:
   * ```typescript
   * // DON'Ts:
   * // don't call markForCheck from inside a loop
   * // don't call markForCheck when a primitive has changed
   * grid.data.forEach(rec => {
   *  rec = newValue;
   *  grid.markForCheck();
   * });
   *
   * // DOs
   * // call markForCheck after updating a nested property
   * grid.data.forEach(rec => {
   *  rec.nestedProp1.nestedProp2 = newValue;
   * });
   * grid.markForCheck();
   * ```
   *
   * @example
   * ```typescript
   * grid.markForCheck();
   * ```
   */
  markForCheck() {
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  /**
   * Creates a new `IgxGridRowComponent` and adds the data record to the end of the data source.
   *
   * @example
   * ```typescript
   * this.grid1.addRow(record);
   * ```
   * @param data
   */
  addRow(data) {
    this.crudService.endEdit(true);
    this.gridAPI.addRowToData(data);
    this.pipeTrigger++;
    this.rowAddedNotifier.next({ data, rowData: data, owner: this, primaryKey: data[this.primaryKey], rowKey: data[this.primaryKey] });
    this.notifyChanges();
  }
  /**
   * Removes the `IgxGridRowComponent` and the corresponding data record by primary key.
   *
   * @remarks
   * Requires that the `primaryKey` property is set.
   * The method accept rowSelector as a parameter, which is the rowID.
   * @example
   * ```typescript
   * this.grid1.deleteRow(0);
   * ```
   * @param rowSelector
   */
  deleteRow(rowSelector) {
    if (this.primaryKey !== void 0 && this.primaryKey !== null) {
      return this.deleteRowById(rowSelector);
    }
  }
  /** @hidden */
  deleteRowById(rowId) {
    const args = {
      rowID: rowId,
      primaryKey: rowId,
      rowKey: rowId,
      rowData: this.getRowData(rowId),
      data: this.getRowData(rowId),
      oldValue: this.getRowData(rowId),
      owner: this,
      isAddRow: false,
      cancel: false
    };
    this.rowDelete.emit(args);
    if (args.cancel) {
      return;
    }
    const record = this.gridAPI.deleteRowById(rowId);
    if (record !== null && record !== void 0) {
      const rowDeletedEventArgs = {
        data: record,
        rowData: record,
        owner: this,
        primaryKey: record[this.primaryKey],
        rowKey: record[this.primaryKey]
      };
      this.rowDeleted.emit(rowDeletedEventArgs);
    }
    return record;
  }
  /**
   * Updates the `IgxGridRowComponent` and the corresponding data record by primary key.
   *
   * @remarks
   * Requires that the `primaryKey` property is set.
   * @example
   * ```typescript
   * this.gridWithPK.updateCell('Updated', 1, 'ProductName');
   * ```
   * @param value the new value which is to be set.
   * @param rowSelector corresponds to rowID.
   * @param column corresponds to column field.
   */
  updateCell(value, rowSelector, column) {
    if (this.isDefined(this.primaryKey)) {
      const col = this._columns.find((c) => c.field === column);
      if (col) {
        const rowData = this.gridAPI.getRowData(rowSelector);
        const index = this.gridAPI.get_row_index_in_data(rowSelector);
        if (index < 0) {
          return;
        }
        const id = {
          rowID: rowSelector,
          columnID: col.index,
          rowIndex: index
        };
        const cell = new IgxCell(id, index, col, rowData[col.field], value, rowData, this);
        const formControl = this.validation.getFormControl(cell.id.rowID, cell.column.field);
        formControl.setValue(value);
        this.gridAPI.update_cell(cell);
        this.cdr.detectChanges();
      }
    }
  }
  /**
   * Updates the `IgxGridRowComponent`
   *
   * @remarks
   * The row is specified by
   * rowSelector parameter and the data source record with the passed value.
   * This method will apply requested update only if primary key is specified in the grid.
   * @example
   * ```typescript
   * grid.updateRow({
   *       ProductID: 1, ProductName: 'Spearmint', InStock: true, UnitsInStock: 1, OrderDate: new Date('2005-03-21')
   *   }, 1);
   * ```
   * @param value–
   * @param rowSelector correspond to rowID
   */
  // TODO: prevent event invocation
  updateRow(value, rowSelector) {
    if (this.isDefined(this.primaryKey)) {
      const editableCell = this.crudService.cell;
      if (editableCell && editableCell.id.rowID === rowSelector) {
        this.crudService.endCellEdit();
      }
      const row = new IgxEditRow(rowSelector, -1, this.gridAPI.getRowData(rowSelector), this);
      this.gridAPI.update_row(row, value);
      this.notifyChanges();
    }
  }
  /**
   * Returns the data that is contained in the row component.
   *
   * @remarks
   * If the primary key is not specified the row selector match the row data.
   * @example
   * ```typescript
   * const data = grid.getRowData(94741);
   * ```
   * @param rowSelector correspond to rowID
   */
  getRowData(rowSelector) {
    if (!this.primaryKey) {
      return rowSelector;
    }
    const data = this.gridAPI.get_all_data(this.transactions.enabled);
    const index = this.gridAPI.get_row_index_in_data(rowSelector);
    return index < 0 ? {} : data[index];
  }
  /**
   * Sort a single `IgxColumnComponent`.
   *
   * @remarks
   * Sort the `IgxGridComponent`'s `IgxColumnComponent` based on the provided array of sorting expressions.
   * @example
   * ```typescript
   * this.grid.sort({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
   * ```
   */
  sort(expression) {
    const sortingState = cloneArray(this.sortingExpressions);
    if (expression instanceof Array) {
      for (const each of expression) {
        this.gridAPI.prepare_sorting_expression([sortingState], each);
      }
    } else {
      if (this._sortingOptions.mode === "single") {
        this._columns.forEach((col) => {
          if (!(col.field === expression.fieldName)) {
            this.clearSort(col.field);
          }
        });
      }
      this.gridAPI.prepare_sorting_expression([sortingState], expression);
    }
    const eventArgs = { owner: this, sortingExpressions: sortingState, cancel: false };
    this.sorting.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.crudService.endEdit(false);
    if (expression instanceof Array) {
      this.gridAPI.sort_multiple(expression);
    } else {
      this.gridAPI.sort(expression);
    }
    requestAnimationFrame(() => this.sortingDone.emit(expression));
  }
  /**
   * Filters a single `IgxColumnComponent`.
   *
   * @example
   * ```typescript
   * public filter(term) {
   *      this.grid.filter("ProductName", term, IgxStringFilteringOperand.instance().condition("contains"));
   * }
   * ```
   * @param name
   * @param value
   * @param conditionOrExpressionTree
   * @param ignoreCase
   */
  filter(name, value, conditionOrExpressionTree, ignoreCase) {
    this.filteringService.filter(name, value, conditionOrExpressionTree, ignoreCase);
  }
  /**
   * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
   *
   * @example
   * ```typescript
   * grid.filterGlobal('some', IgxStringFilteringOperand.instance().condition('contains'));
   * ```
   * @param value
   * @param condition
   * @param ignoreCase
   */
  filterGlobal(value, condition, ignoreCase) {
    this.filteringService.filterGlobal(value, condition, ignoreCase);
  }
  /**
   * Enables summaries for the specified column and applies your customSummary.
   *
   * @remarks
   * If you do not provide the customSummary, then the default summary for the column data type will be applied.
   * @example
   * ```typescript
   * grid.enableSummaries([{ fieldName: 'ProductName' }, { fieldName: 'ID' }]);
   * ```
   * Enable summaries for the listed columns.
   * @example
   * ```typescript
   * grid.enableSummaries('ProductName');
   * ```
   * @param rest
   */
  enableSummaries(...rest) {
    if (rest.length === 1 && Array.isArray(rest[0])) {
      this._multipleSummaries(rest[0], true);
    } else {
      this._summaries(rest[0], true, rest[1]);
    }
  }
  /**
   * Disable summaries for the specified column.
   *
   * @example
   * ```typescript
   * grid.disableSummaries('ProductName');
   * ```
   * @remarks
   * Disable summaries for the listed columns.
   * @example
   * ```typescript
   * grid.disableSummaries([{ fieldName: 'ProductName' }]);
   * ```
   */
  disableSummaries(...rest) {
    if (rest.length === 1 && Array.isArray(rest[0])) {
      this._disableMultipleSummaries(rest[0]);
    } else {
      this._summaries(rest[0], false);
    }
  }
  /**
   * If name is provided, clears the filtering state of the corresponding `IgxColumnComponent`.
   *
   * @remarks
   * Otherwise clears the filtering state of all `IgxColumnComponent`s.
   * @example
   * ```typescript
   * this.grid.clearFilter();
   * ```
   * @param name
   */
  clearFilter(name) {
    this.filteringService.clearFilter(name);
  }
  /**
   * If name is provided, clears the sorting state of the corresponding `IgxColumnComponent`.
   *
   * @remarks
   * otherwise clears the sorting state of all `IgxColumnComponent`.
   * @example
   * ```typescript
   * this.grid.clearSort();
   * ```
   * @param name
   */
  clearSort(name) {
    if (!name) {
      this.sortingExpressions = [];
      return;
    }
    if (!this.gridAPI.get_column_by_name(name)) {
      return;
    }
    this.gridAPI.clear_sort(name);
  }
  /**
   * @hidden @internal
   */
  refreshGridState(_args) {
    this.crudService.endEdit(true);
    this.selectionService.clearHeaderCBState();
    this.summaryService.clearSummaryCache();
    this.summaryPipeTrigger++;
    this.cdr.detectChanges();
  }
  // TODO: We have return values here. Move them to event args ??
  /**
   * Pins a column by field name.
   *
   * @remarks
   * Returns whether the operation is successful.
   * @example
   * ```typescript
   * this.grid.pinColumn("ID");
   * ```
   * @param columnName
   * @param index
   */
  pinColumn(columnName, index) {
    const col = columnName instanceof IgxColumnComponent ? columnName : this.getColumnByName(columnName);
    return col.pin(index);
  }
  /**
   * Unpins a column by field name. Returns whether the operation is successful.
   *
   * @example
   * ```typescript
   * this.grid.pinColumn("ID");
   * ```
   * @param columnName
   * @param index
   */
  unpinColumn(columnName, index) {
    const col = columnName instanceof IgxColumnComponent ? columnName : this.getColumnByName(columnName);
    return col.unpin(index);
  }
  /**
   * Pin the row by its id.
   *
   * @remarks
   * ID is either the primaryKey value or the data record instance.
   * @example
   * ```typescript
   * this.grid.pinRow(rowID);
   * ```
   * @param rowID The row id - primaryKey value or the data record instance.
   * @param index The index at which to insert the row in the pinned collection.
   */
  pinRow(rowID, index, row) {
    if (this._pinnedRecordIDs.indexOf(rowID) !== -1) {
      return false;
    }
    const eventArgs = this.gridAPI.get_pin_row_event_args(rowID, index, row, true);
    this.rowPinning.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.crudService.endEdit(false);
    const insertIndex = typeof eventArgs.insertAtIndex === "number" ? eventArgs.insertAtIndex : this._pinnedRecordIDs.length;
    this._pinnedRecordIDs.splice(insertIndex, 0, rowID);
    this.pipeTrigger++;
    if (this.gridAPI.grid) {
      this.cdr.detectChanges();
      this.rowPinned.emit(eventArgs);
    }
    return true;
  }
  /**
   * Unpin the row by its id.
   *
   * @remarks
   * ID is either the primaryKey value or the data record instance.
   * @example
   * ```typescript
   * this.grid.unpinRow(rowID);
   * ```
   * @param rowID The row id - primaryKey value or the data record instance.
   */
  unpinRow(rowID, row) {
    const index = this._pinnedRecordIDs.indexOf(rowID);
    if (index === -1) {
      return false;
    }
    const eventArgs = this.gridAPI.get_pin_row_event_args(rowID, null, row, false);
    this.rowPinning.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    this.crudService.endEdit(false);
    this._pinnedRecordIDs.splice(index, 1);
    this.pipeTrigger++;
    if (this.gridAPI.grid) {
      this.cdr.detectChanges();
      this.rowPinned.emit(eventArgs);
    }
    return true;
  }
  /** @hidden @internal */
  get pinnedRowHeight() {
    const containerHeight = this.pinContainer ? this.pinContainer.nativeElement.offsetHeight : 0;
    return this.hasPinnedRecords ? containerHeight : 0;
  }
  /** @hidden @internal */
  get totalHeight() {
    return this.calcHeight ? this.calcHeight + this.pinnedRowHeight : this.calcHeight;
  }
  /**
   * Recalculates grid width/height dimensions.
   *
   * @remarks
   * Should be run when changing DOM elements dimentions manually that affect the grid's size.
   * @example
   * ```typescript
   * this.grid.reflow();
   * ```
   */
  reflow() {
    this.calculateGridSizes();
  }
  /**
   * Finds the next occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
   *
   * @remarks
   * Returns how many times the grid contains the string.
   * @example
   * ```typescript
   * this.grid.findNext("financial");
   * ```
   * @param text the string to search.
   * @param caseSensitive optionally, if the search should be case sensitive (defaults to false).
   * @param exactMatch optionally, if the text should match the entire value  (defaults to false).
   */
  findNext(text, caseSensitive2, exactMatch) {
    return this.find(text, 1, caseSensitive2, exactMatch);
  }
  /**
   * Finds the previous occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
   *
   * @remarks
   * Returns how many times the grid contains the string.
   * @example
   * ```typescript
   * this.grid.findPrev("financial");
   * ```
   * @param text the string to search.
   * @param caseSensitive optionally, if the search should be case sensitive (defaults to false).
   * @param exactMatch optionally, if the text should match the entire value (defaults to false).
   */
  findPrev(text, caseSensitive2, exactMatch) {
    return this.find(text, -1, caseSensitive2, exactMatch);
  }
  /**
   * Reapplies the existing search.
   *
   * @remarks
   * Returns how many times the grid contains the last search.
   * @example
   * ```typescript
   * this.grid.refreshSearch();
   * ```
   * @param updateActiveInfo
   */
  refreshSearch(updateActiveInfo, endEdit = true) {
    if (this.lastSearchInfo.searchText) {
      this.rebuildMatchCache();
      if (updateActiveInfo) {
        const activeInfo = this.textHighlightService.highlightGroupsMap.get(this.id);
        this.lastSearchInfo.matchInfoCache.forEach((match, i) => {
          if (match.column === activeInfo.column && match.row === activeInfo.row && match.index === activeInfo.index && compareMaps(match.metadata, activeInfo.metadata)) {
            this.lastSearchInfo.activeMatchIndex = i;
          }
        });
      }
      return this.find(this.lastSearchInfo.searchText, 0, this.lastSearchInfo.caseSensitive, this.lastSearchInfo.exactMatch, false, endEdit);
    } else {
      return 0;
    }
  }
  /**
   * Removes all the highlights in the cell.
   *
   * @example
   * ```typescript
   * this.grid.clearSearch();
   * ```
   */
  clearSearch() {
    this.lastSearchInfo = {
      searchText: "",
      caseSensitive: false,
      exactMatch: false,
      activeMatchIndex: 0,
      matchInfoCache: [],
      matchCount: 0,
      content: ""
    };
    this.rowList.forEach((row) => {
      if (row.cells) {
        row.cells.forEach((c) => {
          c.clearHighlight();
        });
      }
    });
  }
  /** @hidden @internal */
  get hasEditableColumns() {
    return this._columns.some((col) => col.editable);
  }
  /** @hidden @internal */
  get hasSummarizedColumns() {
    const summarizedColumns = this._columns.filter((col) => col.hasSummary && !col.hidden);
    return summarizedColumns.length > 0;
  }
  /**
   * @hidden @internal
   */
  get rootSummariesEnabled() {
    return this.summaryCalculationMode !== GridSummaryCalculationMode.childLevelsOnly;
  }
  /**
   * @hidden @internal
   */
  get hasVisibleColumns() {
    if (this._hasVisibleColumns === void 0) {
      return this._columns ? this._columns.some((c) => !c.hidden) : false;
    }
    return this._hasVisibleColumns;
  }
  set hasVisibleColumns(value) {
    this._hasVisibleColumns = value;
  }
  /** @hidden @internal */
  get hasMovableColumns() {
    return this.moving;
  }
  /** @hidden @internal */
  get hasColumnGroups() {
    return this._columnGroups;
  }
  /** @hidden @internal */
  get hasColumnLayouts() {
    return !!this._columns.some((col) => col.columnLayout);
  }
  /**
   * @hidden @internal
   */
  get multiRowLayoutRowSize() {
    return this._multiRowLayoutRowSize;
  }
  /**
   * @hidden
   */
  get rowBasedHeight() {
    return this.dataLength * this.rowHeight;
  }
  /**
   * @hidden
   */
  get isPercentWidth() {
    return this.width && this.width.indexOf("%") !== -1;
  }
  /**
   * @hidden @internal
   */
  get isPercentHeight() {
    return this._height && this._height.indexOf("%") !== -1;
  }
  /**
   * @hidden
   */
  get defaultTargetBodyHeight() {
    const allItems = this.dataLength;
    return this.renderedRowHeight * Math.min(this._defaultTargetRecordNumber, this.paginator ? Math.min(allItems, this.paginator.perPage) : allItems);
  }
  /**
   * @hidden @internal
   * The rowHeight input is bound to min-height css prop of rows that adds a 1px border in all cases
   */
  get renderedRowHeight() {
    return this.rowHeight + 1;
  }
  /**
   * @hidden @internal
   */
  get outerWidth() {
    return this.hasVerticalScroll() ? this.calcWidth + this.scrollSize : this.calcWidth;
  }
  /**
   * @hidden @internal
   * Gets the visible content height that includes header + tbody + footer.
   */
  getVisibleContentHeight() {
    let height = this.theadRow.nativeElement.clientHeight + this.tbody.nativeElement.clientHeight;
    if (this.hasSummarizedColumns) {
      height += this.tfoot.nativeElement.clientHeight;
    }
    return height;
  }
  /**
   * @hidden @internal
   */
  getPossibleColumnWidth(baseWidth = null) {
    let computedWidth;
    if (baseWidth !== null) {
      computedWidth = baseWidth;
    } else {
      computedWidth = this.calcWidth || parseInt(this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue("width"), 10);
    }
    const visibleChildColumns = this.visibleColumns.filter((c) => !c.columnGroup);
    let visibleCols = [];
    const columnBlocks = this.visibleColumns.filter((c) => c.columnGroup);
    const colsPerBlock = columnBlocks.map((block) => block.getInitialChildColumnSizes(block.children));
    const combinedBlocksSize = colsPerBlock.reduce((acc, item) => acc + item.length, 0);
    colsPerBlock.forEach((blockCols) => visibleCols = visibleCols.concat(blockCols));
    const columnsWithSetWidths = this.hasColumnLayouts ? visibleCols.filter((c) => c.widthSetByUser) : visibleChildColumns.filter((c) => c.widthSetByUser && c.width !== "fit-content");
    const columnsToSize = this.hasColumnLayouts ? combinedBlocksSize - columnsWithSetWidths.length : visibleChildColumns.length - columnsWithSetWidths.length;
    const sumExistingWidths = columnsWithSetWidths.reduce((prev, curr) => {
      const colWidth = curr.width;
      let widthValue = parseInt(colWidth, 10);
      if (isNaN(widthValue)) {
        widthValue = MINIMUM_COLUMN_WIDTH;
      }
      const currWidth = colWidth && typeof colWidth === "string" && colWidth.indexOf("%") !== -1 ? widthValue / 100 * computedWidth : widthValue;
      return prev + currWidth;
    }, 0);
    if (!sumExistingWidths && !columnsToSize) {
      return "0px";
    }
    computedWidth -= this.featureColumnsWidth();
    const columnWidth = Math.floor(!Number.isFinite(sumExistingWidths) ? Math.max(computedWidth / columnsToSize, this.minColumnWidth) : Math.max((computedWidth - sumExistingWidths) / columnsToSize, this.minColumnWidth));
    return columnWidth + "px";
  }
  /**
   * @hidden @internal
   */
  hasVerticalScroll() {
    if (this._init) {
      return false;
    }
    const isScrollable = this.verticalScrollContainer ? this.verticalScrollContainer.isScrollable() : false;
    return !!(this.calcWidth && this.dataView && this.dataView.length > 0 && isScrollable);
  }
  /**
   * Gets calculated width of the pinned area.
   *
   * @example
   * ```typescript
   * const pinnedWidth = this.grid.getPinnedWidth();
   * ```
   * @param takeHidden If we should take into account the hidden columns in the pinned area.
   */
  getPinnedWidth(takeHidden = false) {
    const fc = takeHidden ? this._pinnedColumns : this.pinnedColumns;
    let sum = 0;
    for (const col of fc) {
      if (col.level === 0) {
        sum += parseInt(col.calcWidth, 10);
      }
    }
    if (this.isPinningToStart) {
      sum += this.featureColumnsWidth();
    }
    return sum;
  }
  /**
   * @hidden @internal
   */
  isColumnGrouped(_fieldName) {
    return false;
  }
  /**
   * @hidden @internal
   * TODO: REMOVE
   */
  onHeaderSelectorClick(event) {
    if (!this.isMultiRowSelectionEnabled) {
      return;
    }
    if (this.selectionService.areAllRowSelected()) {
      this.selectionService.clearRowSelection(event);
    } else {
      this.selectionService.selectAllRows(event);
    }
  }
  /**
   * @hidden @internal
   */
  get headSelectorBaseAriaLabel() {
    if (this._filteringExpressionsTree.filteringOperands.length > 0) {
      return this.selectionService.areAllRowSelected() ? "Deselect all filtered" : "Select all filtered";
    }
    return this.selectionService.areAllRowSelected() ? "Deselect all" : "Select all";
  }
  /**
   * @hidden
   * @internal
   */
  get totalRowsCountAfterFilter() {
    if (this.data) {
      return this.selectionService.allData.length;
    }
    return 0;
  }
  /** @hidden @internal */
  get pinnedDataView() {
    return this.pinnedRecords ? this.pinnedRecords : [];
  }
  /** @hidden @internal */
  get unpinnedDataView() {
    return this.unpinnedRecords ? this.unpinnedRecords : this.verticalScrollContainer?.igxForOf || [];
  }
  /**
   * Returns the currently transformed paged/filtered/sorted/grouped/pinned/unpinned row data, displayed in the grid.
   *
   * @example
   * ```typescript
   *      const dataView = this.grid.dataView;
   * ```
   */
  get dataView() {
    return this._dataView;
  }
  /**
   * Gets/Sets whether clicking over a row should select/deselect it
   *
   * @remarks
   * By default it is set to true
   * @param enabled: boolean
   */
  get selectRowOnClick() {
    return this._selectRowOnClick;
  }
  set selectRowOnClick(enabled) {
    this._selectRowOnClick = enabled;
  }
  /**
   * Select specified rows by ID.
   *
   * @example
   * ```typescript
   * this.grid.selectRows([1,2,5], true);
   * ```
   * @param rowIDs
   * @param clearCurrentSelection if true clears the current selection
   */
  selectRows(rowIDs, clearCurrentSelection) {
    this.selectionService.selectRowsWithNoEvent(rowIDs, clearCurrentSelection);
    this.notifyChanges();
  }
  /**
   * Deselect specified rows by ID.
   *
   * @example
   * ```typescript
   * this.grid.deselectRows([1,2,5]);
   * ```
   * @param rowIDs
   */
  deselectRows(rowIDs) {
    this.selectionService.deselectRowsWithNoEvent(rowIDs);
    this.notifyChanges();
  }
  /**
   * Selects all rows
   *
   * @remarks
   * By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
   * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
   * @example
   * ```typescript
   * this.grid.selectAllRows();
   * this.grid.selectAllRows(false);
   * ```
   * @param onlyFilterData
   */
  selectAllRows(onlyFilterData = true) {
    const data = onlyFilterData && this.filteredData ? this.filteredData : this.gridAPI.get_all_data(true);
    const rowIDs = this.selectionService.getRowIDs(data).filter((rID) => !this.gridAPI.row_deleted_transaction(rID));
    this.selectRows(rowIDs);
  }
  /**
   * Deselects all rows
   *
   * @remarks
   * By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
   * If you set the parameter onlyFilterData to false that will deselect all rows in the grid exept deleted rows.
   * @example
   * ```typescript
   * this.grid.deselectAllRows();
   * ```
   * @param onlyFilterData
   */
  deselectAllRows(onlyFilterData = true) {
    if (onlyFilterData && this.filteredData && this.filteredData.length > 0) {
      this.deselectRows(this.selectionService.getRowIDs(this.filteredData));
    } else {
      this.selectionService.clearAllSelectedRows();
      this.notifyChanges();
    }
  }
  /**
   * Deselect selected cells.
   * @example
   * ```typescript
   * this.grid.clearCellSelection();
   * ```
   */
  clearCellSelection() {
    this.selectionService.clear(true);
    this.notifyChanges();
  }
  /**
   * @hidden @internal
   */
  dragScroll(delta) {
    const horizontal = this.headerContainer.getScroll();
    const vertical = this.verticalScrollContainer.getScroll();
    const { left, top } = delta;
    horizontal.scrollLeft += left * this.DRAG_SCROLL_DELTA;
    vertical.scrollTop += top * this.DRAG_SCROLL_DELTA;
  }
  /**
   * @hidden @internal
   */
  isDefined(arg) {
    return arg !== void 0 && arg !== null;
  }
  /**
   * Select range(s) of cells between certain rows and columns of the grid.
   */
  selectRange(arg) {
    if (!this.isDefined(arg)) {
      this.clearCellSelection();
      return;
    }
    if (arg instanceof Array) {
      arg.forEach((range2) => this.setSelection(range2));
    } else {
      this.setSelection(arg);
    }
    this.notifyChanges();
  }
  /**
   * @hidden @internal
   */
  columnToVisibleIndex(field) {
    const visibleColumns = this.visibleColumns;
    if (typeof field === "number") {
      return field;
    }
    return visibleColumns.find((column) => column.field === field).visibleIndex;
  }
  /**
   * @hidden @internal
   */
  setSelection(range2) {
    const startNode = { row: range2.rowStart, column: this.columnToVisibleIndex(range2.columnStart) };
    const endNode = { row: range2.rowEnd, column: this.columnToVisibleIndex(range2.columnEnd) };
    this.selectionService.pointerState.node = startNode;
    this.selectionService.selectRange(endNode, this.selectionService.pointerState);
    this.selectionService.addRangeMeta(endNode, this.selectionService.pointerState);
    this.selectionService.initPointerState();
  }
  /**
   * Get the currently selected ranges in the grid.
   */
  getSelectedRanges() {
    return this.selectionService.ranges;
  }
  /**
   *
   * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
   *
   * @remarks
   * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
   * If `headers` is enabled, it will use the column header (if any) instead of the column field.
   */
  getSelectedData(formatters = false, headers = false) {
    const source = this.filteredSortedData;
    return this.extractDataFromSelection(source, formatters, headers);
  }
  /**
   * Get current selected columns.
   *
   * @example
   * Returns an array with selected columns
   * ```typescript
   * const selectedColumns = this.grid.selectedColumns();
   * ```
   */
  selectedColumns() {
    const fields = this.selectionService.getSelectedColumns();
    return fields.map((field) => this.getColumnByName(field)).filter((field) => field);
  }
  /**
   * Select specified columns.
   *
   * @example
   * ```typescript
   * this.grid.selectColumns(['ID','Name'], true);
   * ```
   * @param columns
   * @param clearCurrentSelection if true clears the current selection
   */
  selectColumns(columns, clearCurrentSelection) {
    let fieldToSelect = [];
    if (columns.length === 0 || typeof columns[0] === "string") {
      fieldToSelect = columns;
    } else {
      columns.forEach((col) => {
        if (col.columnGroup) {
          const children = col.allChildren.filter((c) => !c.columnGroup).map((c) => c.field);
          fieldToSelect = [...fieldToSelect, ...children];
        } else {
          fieldToSelect.push(col.field);
        }
      });
    }
    this.selectionService.selectColumnsWithNoEvent(fieldToSelect, clearCurrentSelection);
    this.notifyChanges();
  }
  /**
   * Deselect specified columns by field.
   *
   * @example
   * ```typescript
   * this.grid.deselectColumns(['ID','Name']);
   * ```
   * @param columns
   */
  deselectColumns(columns) {
    let fieldToDeselect = [];
    if (columns.length === 0 || typeof columns[0] === "string") {
      fieldToDeselect = columns;
    } else {
      columns.forEach((col) => {
        if (col.columnGroup) {
          const children = col.allChildren.filter((c) => !c.columnGroup).map((c) => c.field);
          fieldToDeselect = [...fieldToDeselect, ...children];
        } else {
          fieldToDeselect.push(col.field);
        }
      });
    }
    this.selectionService.deselectColumnsWithNoEvent(fieldToDeselect);
    this.notifyChanges();
  }
  /**
   * Deselects all columns
   *
   * @example
   * ```typescript
   * this.grid.deselectAllColumns();
   * ```
   */
  deselectAllColumns() {
    this.selectionService.clearAllSelectedColumns();
    this.notifyChanges();
  }
  /**
   * Selects all columns
   *
   * @example
   * ```typescript
   * this.grid.deselectAllColumns();
   * ```
   */
  selectAllColumns() {
    this.selectColumns(this._columns.filter((c) => !c.columnGroup));
  }
  /**
   *
   * Returns an array of the current columns selection in the form of `[{ column.field: cell.value }, ...]`.
   *
   * @remarks
   * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
   * If `headers` is enabled, it will use the column header (if any) instead of the column field.
   */
  getSelectedColumnsData(formatters = false, headers = false) {
    const source = this.filteredSortedData ? this.filteredSortedData : this.data;
    return this.extractDataFromColumnsSelection(source, formatters, headers);
  }
  /** @hidden @internal **/
  combineSelectedCellAndColumnData(columnData, formatters = false, headers = false) {
    const source = this.filteredSortedData;
    return this.extractDataFromSelection(source, formatters, headers, columnData);
  }
  /**
   * @hidden
   * @internal
   */
  copyHandler(event) {
    const eventPathElements = event.composedPath().map((el) => el.tagName?.toLowerCase());
    if (eventPathElements.includes("igx-grid-filtering-row") || eventPathElements.includes("igx-grid-filtering-cell")) {
      return;
    }
    const selectedColumns = this.gridAPI.grid.selectedColumns();
    const columnData = this.getSelectedColumnsData(this.clipboardOptions.copyFormatters, this.clipboardOptions.copyHeaders);
    let selectedData;
    if (event.type === "copy") {
      selectedData = this.getSelectedData(this.clipboardOptions.copyFormatters, this.clipboardOptions.copyHeaders);
    }
    let data = [];
    let result;
    if (event.code === "KeyC" && (event.ctrlKey || event.metaKey) && event.currentTarget.className === "igx-grid-thead__wrapper") {
      if (selectedData.length) {
        if (columnData.length === 0) {
          result = this.prepareCopyData(event, selectedData);
        } else {
          data = this.combineSelectedCellAndColumnData(columnData, this.clipboardOptions.copyFormatters, this.clipboardOptions.copyHeaders);
          result = this.prepareCopyData(event, data[0], data[1]);
        }
      } else {
        data = columnData;
        result = this.prepareCopyData(event, data);
      }
      navigator.clipboard.writeText(result).then().catch((e) => console.error(e));
    } else if (!this.clipboardOptions.enabled || this.crudService.cellInEditMode || event.type === "keydown") {
      return;
    } else {
      if (selectedColumns.length) {
        data = this.combineSelectedCellAndColumnData(columnData, this.clipboardOptions.copyFormatters, this.clipboardOptions.copyHeaders);
        result = this.prepareCopyData(event, data[0], data[1]);
      } else {
        data = selectedData;
        result = this.prepareCopyData(event, data);
      }
      event.clipboardData.setData("text/plain", result);
    }
  }
  /**
   * @hidden @internal
   */
  prepareCopyData(event, data, keys) {
    const ev = { data, cancel: false };
    this.gridCopy.emit(ev);
    if (ev.cancel) {
      return;
    }
    const transformer = new CharSeparatedValueData(ev.data, this.clipboardOptions.separator);
    let result = keys ? transformer.prepareData(keys) : transformer.prepareData();
    if (!this.clipboardOptions.copyHeaders) {
      result = result.substring(result.indexOf("\n") + 1);
    }
    if (data && data.length > 0 && Object.values(data[0]).length === 1) {
      result = result.slice(0, -2);
    }
    event.preventDefault();
    event.stopPropagation();
    return result;
  }
  /**
   * @hidden @internal
   */
  showSnackbarFor(index) {
    this.addRowSnackbar.actionText = index === -1 ? "" : this.resourceStrings.igx_grid_snackbar_addrow_actiontext;
    this.lastAddedRowIndex = index;
    this.addRowSnackbar.open();
  }
  /**
   * Navigates to a position in the grid based on provided `rowindex` and `visibleColumnIndex`.
   *
   * @remarks
   * Also can execute a custom logic over the target element,
   * through a callback function that accepts { targetType: GridKeydownTargetType, target: Object }
   * @example
   * ```typescript
   *  this.grid.navigateTo(10, 3, (args) => { args.target.nativeElement.focus(); });
   * ```
   */
  navigateTo(rowIndex, visibleColIndex = -1, cb = null) {
    const totalItems = this.totalItemCount ?? this.dataView.length - 1;
    if (rowIndex < 0 || rowIndex > totalItems || visibleColIndex !== -1 && this._columns.map((col) => col.visibleIndex).indexOf(visibleColIndex) === -1) {
      return;
    }
    if (this.dataView.slice(rowIndex, rowIndex + 1).find((rec) => rec.expression || rec.childGridsData)) {
      visibleColIndex = -1;
    }
    const shouldScrollVertically = this.navigation.shouldPerformVerticalScroll(rowIndex, visibleColIndex);
    const shouldScrollHorizontally = this.navigation.shouldPerformHorizontalScroll(visibleColIndex, rowIndex);
    if (shouldScrollVertically) {
      this.navigation.performVerticalScrollToCell(rowIndex, visibleColIndex, () => {
        if (shouldScrollHorizontally) {
          this.navigation.performHorizontalScrollToCell(visibleColIndex, () => this.executeCallback(rowIndex, visibleColIndex, cb));
        } else {
          this.executeCallback(rowIndex, visibleColIndex, cb);
        }
      });
    } else if (shouldScrollHorizontally) {
      this.navigation.performHorizontalScrollToCell(visibleColIndex, () => {
        if (shouldScrollVertically) {
          this.navigation.performVerticalScrollToCell(rowIndex, visibleColIndex, () => this.executeCallback(rowIndex, visibleColIndex, cb));
        } else {
          this.executeCallback(rowIndex, visibleColIndex, cb);
        }
      });
    } else {
      this.executeCallback(rowIndex, visibleColIndex, cb);
    }
  }
  /**
   * Returns `ICellPosition` which defines the next cell,
   * according to the current position, that match specific criteria.
   *
   * @remarks
   * You can pass callback function as a third parameter of `getPreviousCell` method.
   * The callback function accepts IgxColumnComponent as a param
   * @example
   * ```typescript
   *  const nextEditableCellPosition = this.grid.getNextCell(0, 3, (column) => column.editable);
   * ```
   */
  getNextCell(currRowIndex, curVisibleColIndex, callback = null) {
    const columns = this._columns.filter((col) => !col.columnGroup && col.visibleIndex >= 0);
    const dataViewIndex = this._getDataViewIndex(currRowIndex);
    if (!this.isValidPosition(dataViewIndex, curVisibleColIndex)) {
      return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
    }
    const colIndexes = callback ? columns.filter((col) => callback(col)).map((editCol) => editCol.visibleIndex).sort((a, b) => a - b) : columns.map((editCol) => editCol.visibleIndex).sort((a, b) => a - b);
    const nextCellIndex = colIndexes.find((index) => index > curVisibleColIndex);
    if (this.dataView.slice(dataViewIndex, dataViewIndex + 1).find((rec) => !rec.expression && !rec.summaries && !rec.childGridsData && !rec.detailsData) && nextCellIndex !== void 0) {
      return { rowIndex: currRowIndex, visibleColumnIndex: nextCellIndex };
    } else {
      const nextIndex = this.getNextDataRowIndex(currRowIndex);
      if (colIndexes.length === 0 || nextIndex === currRowIndex) {
        return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
      } else {
        return { rowIndex: nextIndex, visibleColumnIndex: colIndexes[0] };
      }
    }
  }
  /**
   * Returns `ICellPosition` which defines the previous cell,
   * according to the current position, that match specific criteria.
   *
   * @remarks
   * You can pass callback function as a third parameter of `getPreviousCell` method.
   * The callback function accepts IgxColumnComponent as a param
   * @example
   * ```typescript
   *  const previousEditableCellPosition = this.grid.getPreviousCell(0, 3, (column) => column.editable);
   * ```
   */
  getPreviousCell(currRowIndex, curVisibleColIndex, callback = null) {
    const columns = this._columns.filter((col) => !col.columnGroup && col.visibleIndex >= 0);
    const dataViewIndex = this._getDataViewIndex(currRowIndex);
    if (!this.isValidPosition(dataViewIndex, curVisibleColIndex)) {
      return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
    }
    const colIndexes = callback ? columns.filter((col) => callback(col)).map((editCol) => editCol.visibleIndex).sort((a, b) => b - a) : columns.map((editCol) => editCol.visibleIndex).sort((a, b) => b - a);
    const prevCellIndex = colIndexes.find((index) => index < curVisibleColIndex);
    if (this.dataView.slice(dataViewIndex, dataViewIndex + 1).find((rec) => !rec.expression && !rec.summaries && !rec.childGridsData && !rec.detailsData) && prevCellIndex !== void 0) {
      return { rowIndex: currRowIndex, visibleColumnIndex: prevCellIndex };
    } else {
      const prevIndex = this.getNextDataRowIndex(currRowIndex, true);
      if (colIndexes.length === 0 || prevIndex === currRowIndex) {
        return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
      } else {
        return { rowIndex: prevIndex, visibleColumnIndex: colIndexes[0] };
      }
    }
  }
  /**
   * @hidden
   * @internal
   */
  endRowEditTabStop(commit = true, event) {
    const canceled = this.crudService.endEdit(commit, event);
    if (canceled) {
      return true;
    }
    const activeCell = this.gridAPI.grid.navigation.activeNode;
    if (activeCell && activeCell.row !== -1) {
      this.tbody.nativeElement.focus();
    }
  }
  /**
   * @hidden @internal
   */
  trackColumnChanges(index, col) {
    return col.field + col._calcWidth;
  }
  /**
   * @hidden
   */
  isExpandedGroup(_group) {
    return void 0;
  }
  /**
   * @hidden @internal
   * TODO: MOVE to CRUD
   */
  openRowOverlay(id) {
    this.configureRowEditingOverlay(id, this.rowList.length <= MIN_ROW_EDITING_COUNT_THRESHOLD);
    this.rowEditingOverlay.open(this.rowEditSettings);
    this.rowEditingOverlay.element.addEventListener("wheel", this.rowEditingWheelHandler.bind(this));
  }
  /**
   * @hidden @internal
   */
  closeRowEditingOverlay() {
    this.rowEditingOverlay.element.removeEventListener("wheel", this.rowEditingWheelHandler);
    this.rowEditPositioningStrategy.isTopInitialPosition = null;
    this.rowEditingOverlay.close();
    this.rowEditingOverlay.element.parentElement.style.display = "";
  }
  /**
   * @hidden @internal
   */
  toggleRowEditingOverlay(show) {
    const rowStyle = this.rowEditingOverlay.element.style;
    if (show) {
      rowStyle.display = "block";
    } else {
      rowStyle.display = "none";
    }
  }
  /**
   * @hidden @internal
   */
  repositionRowEditingOverlay(row) {
    if (row && !this.rowEditingOverlay.collapsed) {
      const rowStyle = this.rowEditingOverlay.element.parentElement.style;
      if (row) {
        rowStyle.display = "";
        this.configureRowEditingOverlay(row.key);
        this.rowEditingOverlay.reposition();
      } else {
        rowStyle.display = "none";
      }
    }
  }
  /**
   * @hidden @internal
   */
  cachedViewLoaded(args) {
    if (this.hasHorizontalScroll()) {
      const tmplId = args.context.templateID.type;
      const index = args.context.index;
      args.view.detectChanges();
      this.zone.onStable.pipe(first9()).subscribe(() => {
        const row = tmplId === "dataRow" ? this.gridAPI.get_row_by_index(index) : null;
        const summaryRow = tmplId === "summaryRow" ? this.summariesRowList.find((sr) => sr.dataRowIndex === index) : null;
        if (row && row instanceof IgxRowDirective) {
          this._restoreVirtState(row);
        } else if (summaryRow) {
          this._restoreVirtState(summaryRow);
        }
      });
    }
  }
  /**
   * Opens the advanced filtering dialog.
   */
  openAdvancedFilteringDialog(overlaySettings) {
    const settings = overlaySettings ? overlaySettings : this._advancedFilteringOverlaySettings;
    if (!this._advancedFilteringOverlayId) {
      this._advancedFilteringOverlaySettings.target = this.rootGrid ? this.rootGrid.nativeElement : this.nativeElement;
      this._advancedFilteringOverlaySettings.outlet = this.outlet;
      this._advancedFilteringOverlayId = this.overlayService.attach(IgxAdvancedFilteringDialogComponent, this.viewRef, settings);
      this.overlayService.show(this._advancedFilteringOverlayId);
    }
  }
  /**
   * Closes the advanced filtering dialog.
   *
   * @param applyChanges indicates whether the changes should be applied
   */
  closeAdvancedFilteringDialog(applyChanges) {
    if (this._advancedFilteringOverlayId) {
      const advancedFilteringOverlay = this.overlayService.getOverlayById(this._advancedFilteringOverlayId);
      const advancedFilteringDialog = advancedFilteringOverlay.componentRef.instance;
      if (applyChanges) {
        advancedFilteringDialog.applyChanges();
      }
      advancedFilteringDialog.closeDialog();
    }
  }
  /**
   * @hidden @internal
   */
  getEmptyRecordObjectFor(inRow) {
    const row = { ...inRow?.data };
    Object.keys(row).forEach((key) => row[key] = void 0);
    const id = this.generateRowID();
    row[this.primaryKey] = id;
    return { rowID: id, data: row, recordRef: row };
  }
  /**
   * @hidden @internal
   */
  hasHorizontalScroll() {
    return this.totalWidth - this.unpinnedWidth > 0 && this.width !== null;
  }
  /**
   * @hidden @internal
   */
  isSummaryRow(rowData) {
    return rowData && rowData.summaries && rowData.summaries instanceof Map;
  }
  /**
   * @hidden @internal
   */
  triggerPipes() {
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  /**
   * @hidden
   */
  rowEditingWheelHandler(event) {
    if (event.deltaY > 0) {
      this.verticalScrollContainer.scrollNext();
    } else {
      this.verticalScrollContainer.scrollPrev();
    }
  }
  /**
   * @hidden
   */
  getUnpinnedIndexById(id) {
    return this.unpinnedRecords.findIndex((x) => x[this.primaryKey] === id);
  }
  /**
   * Finishes the row transactions on the current row and returns whether the grid editing was canceled.
   *
   * @remarks
   * If `commit === true`, passes them from the pending state to the data (or transaction service)
   * @example
   * ```html
   * <button type="button" igxButton (click)="grid.endEdit(true)">Commit Row</button>
   * ```
   * @param commit
   */
  // TODO: Facade for crud service refactoring. To be removed
  // TODO: do not remove this, as it is used in rowEditTemplate, but mark is as internal and hidden
  endEdit(commit = true, event) {
    return this.crudService.endEdit(commit, event);
  }
  /**
   * Enters add mode by spawning the UI under the specified row by rowID.
   *
   * @remarks
   * If null is passed as rowID, the row adding UI is spawned as the first record in the data view
   * @remarks
   * Spawning the UI to add a child for a record only works if you provide a rowID
   * @example
   * ```typescript
   * this.grid.beginAddRowById('ALFKI');
   * this.grid.beginAddRowById('ALFKI', true);
   * this.grid.beginAddRowById(null);
   * ```
   * @param rowID - The rowID to spawn the add row UI for, or null to spawn it as the first record in the data view
   * @param asChild - Whether the record should be added as a child. Only applicable to igxTreeGrid.
   */
  beginAddRowById(rowID, asChild) {
    let index = rowID;
    if (rowID == null) {
      if (asChild) {
        console.warn("The record cannot be added as a child to an unspecified record.");
        return;
      }
      index = null;
    } else {
      index = this.gridAPI.get_rec_index_by_id(rowID, this.dataView);
      if (index === -1) {
        console.warn("No row with the specified ID was found.");
        return;
      }
    }
    this._addRowForIndex(index, asChild);
  }
  _addRowForIndex(index, asChild) {
    if (!this.dataView.length) {
      this.beginAddRowForIndex(index, asChild);
      return;
    }
    if (index >= 0 && index < this.dataView.length) {
      if ((index < this.virtualizationState.startIndex || index >= this.virtualizationState.startIndex + this.virtualizationState.chunkSize) && !this.isRecordPinnedByViewIndex(index)) {
        this.verticalScrollContainer.chunkLoad.pipe(first9(), takeUntil40(this.destroy$)).subscribe(() => {
          this.beginAddRowForIndex(index, asChild);
        });
        this.navigateTo(index);
        this.notifyChanges(true);
        return;
      }
      this.beginAddRowForIndex(index, asChild);
    } else {
      console.warn("The row with the specified PK or index is outside of the current data view.");
    }
  }
  /**
   * Enters add mode by spawning the UI at the specified index.
   *
   * @remarks
   * Accepted values for index are integers from 0 to this.grid.dataView.length
   * @example
   * ```typescript
   * this.grid.beginAddRowByIndex(0);
   * ```
   * @param index - The index to spawn the UI at. Accepts integers from 0 to this.grid.dataView.length
   */
  beginAddRowByIndex(index) {
    if (index === 0) {
      return this.beginAddRowById(null);
    }
    return this._addRowForIndex(index - 1);
  }
  /**
   * @hidden
   */
  preventHeaderScroll(args) {
    if (args.target.scrollLeft !== 0) {
      this.navigation.forOfDir().getScroll().scrollLeft = args.target.scrollLeft;
      args.target.scrollLeft = 0;
    }
  }
  beginAddRowForIndex(index, asChild = false) {
    const row = index == null ? null : this.rowList.find((r) => r.index === index);
    if (row !== void 0) {
      this.crudService.enterAddRowMode(row, asChild);
    } else {
      console.warn("No row with the specified PK or index was found.");
    }
  }
  switchTransactionService(val) {
    if (val) {
      this._transactions = this.transactionFactory.create(
        "Base"
        /* TRANSACTION_TYPE.Base */
      );
    } else {
      this._transactions = this.transactionFactory.create(
        "None"
        /* TRANSACTION_TYPE.None */
      );
    }
    if (this.dataCloneStrategy) {
      this._transactions.cloneStrategy = this.dataCloneStrategy;
    }
  }
  subscribeToTransactions() {
    this.transactionChange$.next();
    this.transactions.onStateUpdate.pipe(takeUntil40(merge3(this.destroy$, this.transactionChange$))).subscribe(this.transactionStatusUpdate.bind(this));
  }
  transactionStatusUpdate(event) {
    let actions = [];
    if (event.origin === TransactionEventOrigin.REDO) {
      actions = event.actions ? event.actions.filter((x) => x.transaction.type === TransactionType.DELETE) : [];
    } else if (event.origin === TransactionEventOrigin.UNDO) {
      actions = event.actions ? event.actions.filter((x) => x.transaction.type === TransactionType.ADD) : [];
    }
    if (actions.length > 0) {
      for (const action of actions) {
        if (this.selectionService.isRowSelected(action.transaction.id)) {
          this.selectionService.deselectRow(action.transaction.id);
        }
      }
    }
    if (event.origin === TransactionEventOrigin.REDO || event.origin === TransactionEventOrigin.UNDO) {
      event.actions.forEach((x) => {
        if (x.transaction.type === TransactionType.UPDATE) {
          const value = this.transactions.getAggregatedValue(x.transaction.id, true);
          this.validation.update(x.transaction.id, value ?? x.recordRef);
        } else if (x.transaction.type === TransactionType.DELETE || x.transaction.type === TransactionType.ADD) {
          const value = this.transactions.getAggregatedValue(x.transaction.id, true);
          if (value) {
            this.validation.create(x.transaction.id, value ?? x.recordRef);
            this.validation.update(x.transaction.id, value ?? x.recordRef);
            this.validation.markAsTouched(x.transaction.id);
          } else {
            this.validation.clear(x.transaction.id);
          }
        }
      });
    }
    this.selectionService.clearHeaderCBState();
    this.summaryService.clearSummaryCache();
    this.pipeTrigger++;
    this.notifyChanges();
  }
  writeToData(rowIndex, value) {
    mergeObjects(this.gridAPI.get_all_data()[rowIndex], value);
  }
  _restoreVirtState(row) {
    const rowForOf = row.virtDirRow;
    const gridScrLeft = rowForOf.getScroll().scrollLeft;
    const left = -parseInt(rowForOf.dc.instance._viewContainer.element.nativeElement.style.left, 10);
    const actualScrollLeft = left + rowForOf.getColumnScrollLeft(rowForOf.state.startIndex);
    if (gridScrLeft !== actualScrollLeft) {
      rowForOf.onHScroll(gridScrLeft);
      rowForOf.cdr.detectChanges();
    }
  }
  changeRowEditingOverlayStateOnScroll(row) {
    if (!this.rowEditable || !this.rowEditingOverlay || this.rowEditingOverlay.collapsed) {
      return;
    }
    if (!row) {
      this.toggleRowEditingOverlay(false);
    } else {
      this.repositionRowEditingOverlay(row);
    }
  }
  /**
   * Should be called when data and/or isLoading input changes so that the overlay can be
   * hidden/shown based on the current value of shouldOverlayLoading
   */
  evaluateLoadingState() {
    if (this.shouldOverlayLoading) {
      const overlaySettings = {
        outlet: this.loadingOutlet,
        closeOnOutsideClick: false,
        positionStrategy: new ContainerPositionStrategy()
      };
      this.loadingOverlay.open(overlaySettings);
    } else {
      this.loadingOverlay.close();
    }
  }
  /**
   * @hidden
   * Sets grid width i.e. this.calcWidth
   */
  calculateGridWidth() {
    let width;
    if (this.isPercentWidth) {
      const computed = this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue("width");
      width = computed.indexOf("%") === -1 ? parseFloat(computed) : null;
    } else {
      width = parseInt(this.width, 10);
    }
    if (!width && this.nativeElement) {
      width = this.nativeElement.offsetWidth;
    }
    if (this.width === null || !width) {
      width = this.getColumnWidthSum();
    }
    if (this.hasVerticalScroll() && this.width !== null) {
      width -= this.scrollSize;
    }
    if ((Number.isFinite(width) || width === null) && width !== this.calcWidth) {
      this.calcWidth = width;
    }
    this._derivePossibleWidth();
  }
  /**
   * @hidden
   * Sets columns defaultWidth property
   */
  _derivePossibleWidth() {
    if (!this.columnWidthSetByUser) {
      this._columnWidth = this.width !== null ? this.getPossibleColumnWidth() : this.minColumnWidth + "px";
    }
    this._columns.forEach((column) => {
      if (this.hasColumnLayouts && parseInt(this._columnWidth, 10)) {
        const columnWidthCombined = parseInt(this._columnWidth, 10) * (column.colEnd ? column.colEnd - column.colStart : 1);
        column.defaultWidth = columnWidthCombined + "px";
      } else {
        column.defaultWidth = this.getExtremumBasedColWidth(column);
        column.resetCaches();
      }
    });
    this.resetCachedWidths();
  }
  /**
   * @hidden
   * @internal
   */
  getExtremumBasedColWidth(column) {
    let width = this._columnWidth;
    if (width && typeof width !== "string") {
      width = String(width);
    }
    const minWidth = width.indexOf("%") === -1 ? column.minWidthPx : column.minWidthPercent;
    const maxWidth = width.indexOf("%") === -1 ? column.maxWidthPx : column.maxWidthPercent;
    if (column.hidden) {
      return width;
    }
    if (minWidth > parseFloat(width)) {
      width = String(column.minWidth);
    } else if (maxWidth < parseFloat(width)) {
      width = String(column.maxWidth);
    }
    if (width.indexOf("%") === -1 && width.indexOf("px") === -1) {
      width += "px";
    }
    return width;
  }
  resetNotifyChanges() {
    this._cdrRequestRepaint = false;
    this._cdrRequests = false;
  }
  /** @hidden @internal */
  resolveOutlet() {
    return this._userOutletDirective ? this._userOutletDirective : this._outletDirective;
  }
  /**
   * Reorder columns in the main columnList and _columns collections.
   *
   * @hidden
   */
  _moveColumns(from, to, pos) {
    const orderedList = this._pinnedColumns.concat(this._unpinnedColumns);
    const list = orderedList;
    this._reorderColumns(from, to, pos, list);
    const newList = this._resetColumnList(list);
    this.updateColumns(newList);
  }
  /**
   * Update internal column's collection.
   * @hidden
   */
  updateColumns(newColumns) {
    this._pinnedColumns = newColumns.filter((c) => c.pinned);
    this._unpinnedColumns = newColumns.filter((c) => !c.pinned);
    this._columns = newColumns;
    this.resetCaches();
  }
  /**
   * @hidden
   */
  _resetColumnList(list) {
    if (!list) {
      list = this._columns;
    }
    let newList = [];
    list.filter((c) => c.level === 0).forEach((p) => {
      newList.push(p);
      if (p.columnGroup) {
        newList = newList.concat(p.allChildren);
      }
    });
    return newList;
  }
  /**
   * Reorders columns inside the passed column collection.
   * When reordering column group collection, the collection is not flattened.
   * In all other cases, the columns collection is flattened, this is why adittional calculations on the dropIndex are done.
   *
   * @hidden
   */
  _reorderColumns(from, to, position, columnCollection, inGroup = false) {
    const fromIndex = columnCollection.indexOf(from);
    const childColumnsCount = inGroup ? 1 : from.allChildren.length + 1;
    columnCollection.splice(fromIndex, childColumnsCount);
    let dropIndex = columnCollection.indexOf(to);
    if (position === DropPosition.AfterDropTarget) {
      dropIndex++;
      if (!inGroup && to.columnGroup) {
        dropIndex += to.allChildren.length;
      }
    }
    columnCollection.splice(dropIndex, 0, from);
  }
  /**
   * Reorder column group collection.
   *
   * @hidden
   */
  _moveChildColumns(parent, from, to, pos) {
    const buffer = parent.children.toArray();
    this._reorderColumns(from, to, pos, buffer, true);
    parent.children.reset(buffer);
  }
  /**
   * @hidden @internal
   */
  setupColumns() {
    if (this.autoGenerate) {
      this.autogenerateColumns();
    } else {
      this._columns = this.getColumnList();
    }
    this.initColumns(this._columns, (col) => this.columnInit.emit(col));
    this.columnListDiffer.diff(this.columnList);
    this.columnList.changes.pipe(takeUntil40(this.destroy$)).subscribe((change) => {
      this.onColumnsChanged(change);
    });
  }
  getColumnList() {
    return this.columnList.toArray();
  }
  /**
   * @hidden
   */
  deleteRowFromData(rowID, index) {
    if (index !== -1) {
      if (this.transactions.enabled) {
        const transaction = { id: rowID, type: TransactionType.DELETE, newValue: null };
        this.transactions.add(transaction, this.data[index]);
      } else {
        this.data.splice(index, 1);
      }
    } else {
      const state = this.transactions.getState(rowID);
      this.transactions.add({ id: rowID, type: TransactionType.DELETE, newValue: null }, state && state.recordRef);
    }
  }
  /**
   * @hidden @internal
   */
  getDataBasedBodyHeight() {
    return !this.data || this.data.length < this._defaultTargetRecordNumber ? 0 : this.defaultTargetBodyHeight;
  }
  /**
   * @hidden @internal
   */
  onPinnedRowsChanged(change) {
    const diff = this.rowListDiffer.diff(change);
    if (diff) {
      this.notifyChanges(true);
    }
  }
  /**
   * @hidden
   */
  onColumnsChanged(change) {
    const diff = this.columnListDiffer.diff(change);
    if (this.autoGenerate && this._columns.length === 0 && this._autoGeneratedCols.length > 0) {
      this.updateColumns(this._autoGeneratedCols);
      return;
    }
    if (diff) {
      let added = false;
      let removed = false;
      let pinning = false;
      diff.forEachAddedItem((record) => {
        added = true;
        if (record.item.pinned) {
          this._pinnedColumns.push(record.item);
          pinning = true;
        } else {
          this._unpinnedColumns.push(record.item);
        }
      });
      this.initColumns(this.columnList.toArray(), (col) => this.columnInit.emit(col));
      if (pinning) {
        this.initPinning();
      }
      diff.forEachRemovedItem((record) => {
        const isColumnGroup = record.item instanceof IgxColumnGroupComponent;
        if (!isColumnGroup) {
          this.gridAPI.clear_groupby(record.item.field);
          this.filteringService.clear_filter(record.item.field);
          if (this.filteringService.isFilterRowVisible && this.filteringService.filteredColumn && this.filteringService.filteredColumn.field === record.item.field) {
            this.filteringRow.close();
          }
          this.gridAPI.clear_sort(record.item.field);
          this.selectionService.deselectColumnsWithNoEvent([record.item.field]);
        }
        removed = true;
      });
      this.resetCaches();
      if (added || removed) {
        this.onColumnsAddedOrRemoved();
      }
    }
  }
  /**
   * @hidden @internal
   */
  onColumnsAddedOrRemoved() {
    this.summaryService.clearSummaryCache();
    Promise.resolve().then(() => {
      this.notifyChanges(true);
    });
  }
  /**
   * @hidden
   */
  calculateGridSizes(recalcFeatureWidth = true) {
    this.cdr.detectChanges();
    this.resetCaches(recalcFeatureWidth);
    const hasScroll = this.hasVerticalScroll();
    const hasHScroll = !this.isHorizontalScrollHidden;
    this.calculateGridWidth();
    this.resetCaches(recalcFeatureWidth);
    this.cdr.detectChanges();
    this.calculateGridHeight();
    if (this.rowEditable) {
      this.repositionRowEditingOverlay(this.crudService.rowInEditMode);
    }
    if (this.filteringService.isFilterRowVisible) {
      this.filteringRow.resetChipsArea();
    }
    this.cdr.detectChanges();
    if (hasScroll !== this.hasVerticalScroll()) {
      this.calculateGridWidth();
      this.cdr.detectChanges();
    }
    if (hasHScroll !== this.hasHorizontalScroll()) {
      this.isHorizontalScrollHidden = !this.hasHorizontalScroll();
      this.cdr.detectChanges();
      this.calculateGridHeight();
      this.cdr.detectChanges();
    }
    if (this.zone.isStable) {
      this.zone.run(() => {
        this._applyWidthHostBinding();
        this.cdr.detectChanges();
      });
    } else {
      this.zone.onStable.pipe(first9()).subscribe(() => {
        this.zone.run(() => {
          this._applyWidthHostBinding();
        });
      });
    }
    this.resetCaches(recalcFeatureWidth);
    if (this.hasColumnsToAutosize) {
      this.cdr.detectChanges();
      this.zone.onStable.pipe(first9()).subscribe(() => {
        this.autoSizeColumnsInView();
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  calcGridHeadRow() {
    if (this.maxLevelHeaderDepth) {
      this._baseFontSize = parseFloat(getComputedStyle(this.document.documentElement).getPropertyValue("font-size"));
      const hasFilterRow = this._allowFiltering && this._filterMode === FilterMode.quickFilter;
      const minSize = (this.maxLevelHeaderDepth + 1 + (hasFilterRow ? 1 : 0)) * this.defaultRowHeight / this._baseFontSize;
      this.theadRow.nativeElement.style.minHeight = `${minSize}rem`;
    }
  }
  /**
   * @hidden
   * Sets TBODY height i.e. this.calcHeight
   */
  calculateGridHeight() {
    this.calcGridHeadRow();
    this.calcHeight = this._calculateGridBodyHeight();
    if (this.pinnedRowHeight && this.calcHeight) {
      this.calcHeight -= this.pinnedRowHeight;
    }
  }
  /**
   * @hidden
   */
  getGroupAreaHeight() {
    return 0;
  }
  /**
   * @hidden
   */
  getComputedHeight(elem) {
    return elem.offsetHeight ? parseFloat(this.document.defaultView.getComputedStyle(elem).getPropertyValue("height")) : 0;
  }
  /**
   * @hidden
   */
  getFooterHeight() {
    return this.summaryRowHeight || this.getComputedHeight(this.tfoot.nativeElement);
  }
  /**
   * @hidden
   */
  getTheadRowHeight() {
    const height = this.getComputedHeight(this.theadRow.nativeElement);
    return !this.allowFiltering || this.allowFiltering && this.filterMode !== FilterMode.quickFilter ? height - this.getFilterCellHeight() : height;
  }
  /**
   * @hidden
   */
  getToolbarHeight() {
    let toolbarHeight = 0;
    if (this.toolbar.first) {
      toolbarHeight = this.getComputedHeight(this.toolbar.first.nativeElement);
    }
    return toolbarHeight;
  }
  /**
   * @hidden
   */
  getPagingFooterHeight() {
    let pagingHeight = 0;
    if (this.footer) {
      const height = this.getComputedHeight(this.footer.nativeElement);
      pagingHeight = this.footer.nativeElement.firstElementChild ? height : 0;
    }
    return pagingHeight;
  }
  /**
   * @hidden
   */
  getFilterCellHeight() {
    const headerGroupNativeEl = this.headerGroupsList.length !== 0 ? this.headerGroupsList[0].nativeElement : null;
    const filterCellNativeEl = headerGroupNativeEl ? headerGroupNativeEl.querySelector("igx-grid-filtering-cell") : null;
    return filterCellNativeEl ? filterCellNativeEl.offsetHeight : 0;
  }
  /**
   * @hidden
   */
  _calculateGridBodyHeight() {
    if (!this._height) {
      return null;
    }
    const actualTheadRow = this.getTheadRowHeight();
    const footerHeight = this.getFooterHeight();
    const toolbarHeight = this.getToolbarHeight();
    const pagingHeight = this.getPagingFooterHeight();
    const groupAreaHeight = this.getGroupAreaHeight();
    const scrHeight = this.getComputedHeight(this.scr.nativeElement);
    const renderedHeight = toolbarHeight + actualTheadRow + footerHeight + pagingHeight + groupAreaHeight + scrHeight;
    let gridHeight = 0;
    if (this.isPercentHeight) {
      const computed = this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue("height");
      const autoSize = this._shouldAutoSize(renderedHeight);
      if (autoSize || computed.indexOf("%") !== -1) {
        const bodyHeight = this.getDataBasedBodyHeight();
        return bodyHeight > 0 ? bodyHeight : null;
      }
      gridHeight = parseFloat(computed);
    } else {
      gridHeight = parseInt(this._height, 10);
    }
    const height = Math.abs(gridHeight - renderedHeight);
    if (Math.round(height) === 0 || isNaN(gridHeight)) {
      const bodyHeight = this.defaultTargetBodyHeight;
      return bodyHeight > 0 ? bodyHeight : null;
    }
    return height;
  }
  checkContainerSizeChange() {
    const parentElement = this.nativeElement.parentElement || this.nativeElement.getRootNode().host;
    const origHeight = parentElement.offsetHeight;
    this.nativeElement.style.display = "none";
    const height = parentElement.offsetHeight;
    this.nativeElement.style.display = "";
    return origHeight !== height;
  }
  _shouldAutoSize(renderedHeight) {
    this.tbody.nativeElement.style.display = "none";
    const parentElement = this.nativeElement.parentElement || this.nativeElement.getRootNode().host;
    let res = !parentElement || parentElement.clientHeight === 0 || parentElement.clientHeight === renderedHeight;
    if (!this.platform.isChromium && !this.platform.isFirefox || this._autoSize) {
      this._autoSize = false;
      res = this.checkContainerSizeChange();
    }
    this.tbody.nativeElement.style.display = "";
    return res;
  }
  /**
   * @hidden
   * Gets calculated width of the unpinned area
   * @param takeHidden If we should take into account the hidden columns in the pinned area.
   */
  getUnpinnedWidth(takeHidden = false) {
    let width = this.isPercentWidth ? this.calcWidth : parseInt(this.width, 10) || parseInt(this.hostWidth, 10) || this.calcWidth;
    if (this.hasVerticalScroll() && !this.isPercentWidth) {
      width -= this.scrollSize;
    }
    if (!this.isPinningToStart) {
      width -= this.featureColumnsWidth();
    }
    return width - this.getPinnedWidth(takeHidden);
  }
  /**
   * @hidden
   */
  _summaries(fieldName, hasSummary, summaryOperand) {
    const column = this.gridAPI.get_column_by_name(fieldName);
    if (column) {
      column.hasSummary = hasSummary;
      if (summaryOperand) {
        if (this.rootSummariesEnabled) {
          this.summaryService.retriggerRootPipe++;
        }
        column.summaries = summaryOperand;
      }
    }
  }
  /**
   * @hidden
   */
  _multipleSummaries(expressions, hasSummary) {
    expressions.forEach((element) => {
      this._summaries(element.fieldName, hasSummary, element.customSummary);
    });
  }
  /**
   * @hidden
   */
  _disableMultipleSummaries(expressions) {
    expressions.forEach((column) => {
      const columnName = column && column.fieldName ? column.fieldName : column;
      this._summaries(columnName, false);
    });
  }
  /**
   * @hidden
   */
  resolveDataTypes(rec) {
    if (typeof rec === "number") {
      return GridColumnDataType.Number;
    } else if (typeof rec === "boolean") {
      return GridColumnDataType.Boolean;
    } else if (typeof rec === "object" && rec instanceof Date) {
      return GridColumnDataType.Date;
    } else if (typeof rec === "string" && /\.(gif|jpe?g|tiff?|png|webp|bmp)$/i.test(rec)) {
      return GridColumnDataType.Image;
    }
    return GridColumnDataType.String;
  }
  /**
   * @hidden
   */
  autogenerateColumns() {
    const data = this.gridAPI.get_data();
    const fields = this.generateDataFields(data);
    const columns = [];
    fields.forEach((field) => {
      const ref = createComponent(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
      ref.instance.field = field;
      ref.instance.dataType = this.resolveDataTypes(data[0][field]);
      ref.changeDetectorRef.detectChanges();
      columns.push(ref.instance);
    });
    this._autoGeneratedCols = columns;
    this.updateColumns(columns);
    if (data && data.length > 0) {
      this.shouldGenerate = false;
    }
  }
  generateDataFields(data) {
    return Object.keys(data && data.length !== 0 ? data[0] : []).filter((key) => !this.autoGenerateExclude.includes(key));
  }
  /**
   * @hidden
   */
  initColumns(collection, cb = null) {
    this._columnGroups = collection.some((col) => col.columnGroup);
    if (this.hasColumnLayouts) {
      collection.forEach((col) => {
        if (col.columnLayout) {
          const layoutSize = col.children ? col.children.reduce((acc, val) => Math.max(val.rowStart + val.gridRowSpan - 1, acc), 1) : 1;
          this._multiRowLayoutRowSize = Math.max(layoutSize, this._multiRowLayoutRowSize);
        }
      });
    }
    if (this.hasColumnLayouts && this.hasColumnGroups) {
      const columnLayoutColumns = collection.filter((col) => col.columnLayout || col.columnLayoutChild);
      collection = columnLayoutColumns;
    }
    this._maxLevelHeaderDepth = null;
    collection.forEach((column) => {
      column.defaultWidth = this.columnWidthSetByUser ? this._columnWidth : column.defaultWidth ? column.defaultWidth : "";
      if (cb) {
        cb(column);
      }
    });
    this.updateColumns(collection);
    if (this.hasColumnLayouts) {
      collection.forEach((column) => {
        column.populateVisibleIndexes();
      });
    }
  }
  /**
   * @hidden
   */
  reinitPinStates() {
    this._pinnedColumns = this._columns.filter((c) => c.pinned).sort((a, b) => this._pinnedColumns.indexOf(a) - this._pinnedColumns.indexOf(b));
    this._unpinnedColumns = this.hasColumnGroups ? this._columns.filter((c) => !c.pinned) : this._columns.filter((c) => !c.pinned).sort((a, b) => this._unpinnedColumns.indexOf(a) - this._unpinnedColumns.indexOf(b));
  }
  extractDataFromSelection(source, formatters = false, headers = false, columnData) {
    let columnsArray;
    let record = {};
    let selectedData = [];
    let keys = [];
    const selectionCollection = /* @__PURE__ */ new Map();
    const keysAndData = [];
    const activeEl = this.selectionService.activeElement;
    if (this.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid") {
      const expansionRowIndexes = [];
      for (const [key, value] of this.expansionStates.entries()) {
        if (value) {
          const rowIndex = this.gridAPI.get_rec_index_by_id(key, this.dataView);
          expansionRowIndexes.push(rowIndex);
        }
      }
      if (this.selectionService.selection.size > 0) {
        if (expansionRowIndexes.length > 0) {
          for (const [key, value] of this.selectionService.selection.entries()) {
            const updatedKey = key;
            let subtract = 0;
            expansionRowIndexes.forEach((row) => {
              if (updatedKey > Number(row)) {
                subtract++;
              }
            });
            selectionCollection.set(updatedKey - subtract, value);
          }
        }
      } else if (activeEl) {
        let subtract = 0;
        if (expansionRowIndexes.length > 0) {
          expansionRowIndexes.forEach((row) => {
            if (activeEl.row > Number(row)) {
              subtract++;
            }
          });
          activeEl.row -= subtract;
        }
      }
    }
    const totalItems = this.totalItemCount ?? 0;
    const isRemote = totalItems && totalItems > this.dataView.length;
    let selectionMap;
    if (this.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid" && selectionCollection.size > 0) {
      selectionMap = isRemote ? Array.from(selectionCollection) : Array.from(selectionCollection).filter((tuple) => tuple[0] < source.length);
    } else {
      selectionMap = isRemote ? Array.from(this.selectionService.selection) : Array.from(this.selectionService.selection).filter((tuple) => tuple[0] < source.length);
    }
    if (this.cellSelection === GridSelectionMode.single && activeEl) {
      selectionMap.push([activeEl.row, (/* @__PURE__ */ new Set()).add(activeEl.column)]);
    }
    if (this.cellSelection === GridSelectionMode.none && activeEl) {
      selectionMap.push([activeEl.row, (/* @__PURE__ */ new Set()).add(activeEl.column)]);
    }
    if (columnData) {
      selectedData = columnData;
    }
    for (let [row, set] of selectionMap) {
      row = this.paginator && (this.pagingMode === GridPagingMode.Local && source === this.filteredSortedData) ? row + this.perPage * this.page : row;
      row = isRemote ? row - this.virtualizationState.startIndex : row;
      if (!source[row] || source[row].detailsData !== void 0) {
        continue;
      }
      const temp = Array.from(set);
      for (const each of temp) {
        columnsArray = this.getSelectableColumnsAt(each);
        columnsArray.forEach((col) => {
          if (col) {
            const key = !this.isPivot && headers ? col.header || col.field : col.field;
            const rowData = source[row].ghostRecord ? source[row].recordRef : source[row];
            const value = this.isPivot ? rowData.aggregationValues.get(col.field) : resolveNestedPath(rowData, col.field);
            record[key] = formatters && col.formatter ? col.formatter(value, rowData) : value;
            if (columnData) {
              if (!record[key]) {
                record[key] = "";
              }
              record[key] = record[key].toString().concat("recordRow-" + row);
            }
          }
        });
      }
      if (Object.keys(record).length) {
        if (columnData) {
          if (!keys.length) {
            keys = Object.keys(columnData[0]);
          }
          for (const [key, value] of Object.entries(record)) {
            if (!keys.includes(key)) {
              keys.push(key);
            }
            let c = value;
            const rowNumber = +c.split("recordRow-")[1];
            c = c.split("recordRow-")[0];
            record[key] = c;
            const mergedObj = Object.assign(selectedData[rowNumber], record);
            selectedData[rowNumber] = mergedObj;
          }
        } else {
          selectedData.push(record);
        }
      }
      record = {};
    }
    if (keys.length) {
      keysAndData.push(selectedData);
      keysAndData.push(keys);
      return keysAndData;
    } else {
      return selectedData;
    }
  }
  getSelectableColumnsAt(index) {
    if (this.hasColumnLayouts) {
      const visibleLayoutColumns = this.visibleColumns.filter((col) => col.columnLayout).sort((a, b) => a.visibleIndex - b.visibleIndex);
      const colLayout = visibleLayoutColumns[index];
      return colLayout ? colLayout.children.toArray() : [];
    } else {
      const visibleColumns = this.visibleColumns.filter((col) => !col.columnGroup).sort((a, b) => a.visibleIndex - b.visibleIndex);
      return [visibleColumns[index]];
    }
  }
  autoSizeColumnsInView() {
    if (!this.hasColumnsToAutosize)
      return;
    const vState = this.headerContainer.state;
    let colResized = false;
    const unpinnedInView = this.headerContainer.igxGridForOf.slice(vState.startIndex, vState.startIndex + vState.chunkSize).flatMap((x) => x.columnGroup ? x.allChildren : x);
    const columnsInView = this.pinnedColumns.concat(unpinnedInView);
    for (const col of columnsInView) {
      if (!col.autoSize && col.headerCell) {
        const cellsContentWidths = [];
        if (col._cells.length !== this.rowList.length) {
          this.rowList.forEach((x) => x.cdr.detectChanges());
        }
        const cells = this._dataRowList.map((x) => x.cells.find((c) => c.column === col));
        cells.forEach((cell) => cellsContentWidths.push(cell?.nativeElement?.offsetWidth || 0));
        const header = this.headerCellList.find((x) => x.column === col);
        cellsContentWidths.push(header.nativeElement.offsetWidth);
        const max = Math.max(...cellsContentWidths);
        if (max === 0) {
          continue;
        }
        let maxSize = Math.ceil(Math.max(...cellsContentWidths)) + 1;
        if (col.maxWidth && maxSize > col.maxWidthPx) {
          maxSize = col.maxWidthPx;
        } else if (maxSize < col.minWidthPx) {
          maxSize = col.minWidthPx;
        }
        col.autoSize = maxSize;
        col.resetCaches();
        colResized = true;
      }
    }
    if (colResized) {
      this.resetCachedWidths();
      this.cdr.detectChanges();
    }
  }
  extractDataFromColumnsSelection(source, formatters = false, headers = false) {
    let record = {};
    const selectedData = [];
    const selectedColumns = this.selectedColumns();
    if (selectedColumns.length === 0) {
      return [];
    }
    for (const data of source) {
      selectedColumns.forEach((col) => {
        const key = headers ? col.header || col.field : col.field;
        record[key] = formatters && col.formatter ? col.formatter(data[col.field], data) : data[col.field];
      });
      if (Object.keys(record).length) {
        selectedData.push(record);
      }
      record = {};
    }
    return selectedData;
  }
  /**
   * @hidden
   */
  initPinning() {
    this.calculateGridWidth();
    this.resetCaches();
    this.handleColumnPinningForGroups();
    this.notifyChanges();
  }
  /**
   * @hidden
   */
  scrollTo(row, column, inCollection = this._filteredSortedUnpinnedData) {
    let delayScrolling = false;
    if (this.paginator && typeof row !== "number") {
      const rowIndex = inCollection.indexOf(row);
      const page = Math.floor(rowIndex / this.perPage);
      if (this.page !== page) {
        delayScrolling = true;
        this.page = page;
      }
    }
    if (delayScrolling) {
      this.verticalScrollContainer.dataChanged.pipe(first9()).subscribe(() => {
        this.scrollDirective(this.verticalScrollContainer, typeof row === "number" ? row : this.unpinnedDataView.indexOf(row));
      });
    } else {
      this.scrollDirective(this.verticalScrollContainer, typeof row === "number" ? row : this.unpinnedDataView.indexOf(row));
    }
    this.scrollToHorizontally(column);
  }
  /**
   * @hidden
   */
  scrollToHorizontally(column) {
    let columnIndex = typeof column === "number" ? column : this.getColumnByName(column).visibleIndex;
    const scrollRow = this.rowList.find((r) => !!r.virtDirRow);
    const virtDir = scrollRow ? scrollRow.virtDirRow : null;
    if (this.isPinningToStart && this.pinnedColumns.length) {
      if (columnIndex >= this.pinnedColumns.length) {
        columnIndex -= this.pinnedColumns.length;
        this.scrollDirective(virtDir, columnIndex);
      }
    } else {
      this.scrollDirective(virtDir, columnIndex);
    }
  }
  /**
   * @hidden
   */
  scrollDirective(directive, goal) {
    if (!directive) {
      return;
    }
    directive.scrollTo(goal);
  }
  /**
   * @hidden
   */
  getColumnWidthSum() {
    let colSum = 0;
    const cols = this.hasColumnLayouts ? this.visibleColumns.filter((x) => x.columnLayout) : this.visibleColumns.filter((x) => !x.columnGroup);
    cols.forEach((item) => {
      colSum += parseInt(item.calcWidth || item.defaultWidth, 10) || this.minColumnWidth;
    });
    if (!colSum) {
      return null;
    }
    this.cdr.detectChanges();
    colSum += this.featureColumnsWidth();
    return colSum;
  }
  /**
   * Notify changes, reset cache and populateVisibleIndexes.
   *
   * @hidden
   */
  _columnsReordered(column) {
    this.notifyChanges();
    if (this.hasColumnLayouts) {
      this._columns.filter((x) => x.columnLayout).forEach((x) => x.populateVisibleIndexes());
    }
    this.resetColumnCollections();
    column.resetCaches();
  }
  buildDataView(_data) {
    this._dataView = this.isRowPinningToTop ? [...this.pinnedDataView, ...this.unpinnedDataView] : [...this.unpinnedDataView, ...this.pinnedDataView];
  }
  _applyWidthHostBinding() {
    let width = this._width;
    if (width === null) {
      let currentWidth = this.calcWidth;
      if (this.hasVerticalScroll()) {
        currentWidth += this.scrollSize;
      }
      width = currentWidth + "px";
      this.resetCaches();
    }
    this._hostWidth = width;
    this.cdr.markForCheck();
  }
  verticalScrollHandler(event) {
    this.verticalScrollContainer.onScroll(event);
    this.disableTransitions = true;
    this.zone.run(() => {
      this.zone.onStable.pipe(first9()).subscribe(() => {
        this.verticalScrollContainer.chunkLoad.emit(this.verticalScrollContainer.state);
        if (this.rowEditable) {
          this.changeRowEditingOverlayStateOnScroll(this.crudService.rowInEditMode);
        }
      });
    });
    this.disableTransitions = false;
    this.hideOverlays();
    this.actionStrip?.hide();
    if (this.actionStrip) {
      this.actionStrip.context = null;
    }
    const args = {
      direction: "vertical",
      event,
      scrollPosition: this.verticalScrollContainer.scrollPosition
    };
    this.gridScroll.emit(args);
  }
  horizontalScrollHandler(event) {
    const scrollLeft = event.target.scrollLeft;
    this.headerContainer.onHScroll(scrollLeft);
    this._horizontalForOfs.forEach((vfor) => vfor.onHScroll(scrollLeft));
    this.cdr.markForCheck();
    this.zone.run(() => {
      this.zone.onStable.pipe(first9()).subscribe(() => {
        this.parentVirtDir.chunkLoad.emit(this.headerContainer.state);
        requestAnimationFrame(() => {
          this.autoSizeColumnsInView();
        });
      });
    });
    if (!this.navigation.isColumnFullyVisible(this.navigation.lastColumnIndex)) {
      this.hideOverlays();
    }
    const args = { direction: "horizontal", event, scrollPosition: this.headerContainer.scrollPosition };
    this.gridScroll.emit(args);
  }
  executeCallback(rowIndex, visibleColIndex = -1, cb = null) {
    if (!cb) {
      return;
    }
    let row = this.summariesRowList.filter((s) => s.index !== 0).concat(this.rowList.toArray()).find((r) => r.index === rowIndex);
    if (!row) {
      if (this.totalItemCount) {
        this.verticalScrollContainer.dataChanged.pipe(first9()).subscribe(() => {
          this.cdr.detectChanges();
          row = this.summariesRowList.filter((s) => s.index !== 0).concat(this.rowList.toArray()).find((r) => r.index === rowIndex);
          const cbArgs = this.getNavigationArguments(row, visibleColIndex);
          cb(cbArgs);
        });
      }
      const dataViewIndex = this._getDataViewIndex(rowIndex);
      if (this.dataView[dataViewIndex].detailsData) {
        this.navigation.setActiveNode({ row: rowIndex });
        this.cdr.detectChanges();
      }
      return;
    }
    const args = this.getNavigationArguments(row, visibleColIndex);
    cb(args);
  }
  getNavigationArguments(row, visibleColIndex) {
    let targetType;
    let target;
    switch (row.nativeElement.tagName.toLowerCase()) {
      case "igx-grid-groupby-row":
        targetType = "groupRow";
        target = row;
        break;
      case "igx-grid-summary-row":
        targetType = "summaryCell";
        target = visibleColIndex !== -1 ? row.summaryCells.find((c) => c.visibleColumnIndex === visibleColIndex) : row.summaryCells.first;
        break;
      case "igx-child-grid-row":
        targetType = "hierarchicalRow";
        target = row;
        break;
      default:
        targetType = "dataCell";
        target = visibleColIndex !== -1 ? row.cells.find((c) => c.visibleColumnIndex === visibleColIndex) : row.cells.first;
        break;
    }
    return { targetType, target };
  }
  getNextDataRowIndex(currentRowIndex, previous = false) {
    const resolvedIndex = this._getDataViewIndex(currentRowIndex);
    if (currentRowIndex < 0 || currentRowIndex === 0 && previous || resolvedIndex >= this.dataView.length - 1 && !previous) {
      return currentRowIndex;
    }
    const nextRowIndex = previous ? this.findPrevEditableDataRowIndex(currentRowIndex) : this.dataView.findIndex((rec, index) => index > resolvedIndex && this.isEditableDataRecordAtIndex(index));
    const nextDataIndex = this.getDataIndex(nextRowIndex);
    return nextDataIndex !== -1 ? nextDataIndex : currentRowIndex;
  }
  /**
   * Returns the previous editable row index or -1 if no such row is found.
   *
   * @param currentIndex The index of the current editable record.
   */
  findPrevEditableDataRowIndex(currentIndex) {
    let i = this.dataView.length;
    const resolvedIndex = this._getDataViewIndex(currentIndex);
    while (i--) {
      if (i < resolvedIndex && this.isEditableDataRecordAtIndex(i)) {
        return i;
      }
    }
    return -1;
  }
  /**
   * Returns if the record at the specified data view index is a an editable data record.
   * If record is group rec, summary rec, child rec, ghost rec. etc. it is not editable.
   *
   * @param dataViewIndex The index of that record in the data view.
   *
   */
  // TODO: Consider moving it into CRUD
  isEditableDataRecordAtIndex(dataViewIndex) {
    const rec = this.dataView[dataViewIndex];
    return !rec.expression && !rec.summaries && !rec.childGridsData && !rec.detailsData && !this.isGhostRecordAtIndex(dataViewIndex);
  }
  /**
   * Returns if the record at the specified data view index is a ghost.
   * If record is pinned but is not in pinned area then it is a ghost record.
   *
   * @param dataViewIndex The index of that record in the data view.
   */
  isGhostRecordAtIndex(dataViewIndex) {
    const isPinned = this.isRecordPinned(this.dataView[dataViewIndex]);
    const isInPinnedArea = this.isRecordPinnedByViewIndex(dataViewIndex);
    return isPinned && !isInPinnedArea;
  }
  isValidPosition(rowIndex, colIndex) {
    const rows = this.summariesRowList.filter((s) => s.index !== 0).concat(this.rowList.toArray()).length;
    const cols = this._columns.filter((col) => !col.columnGroup && col.visibleIndex >= 0 && !col.hidden).length;
    if (rows < 1 || cols < 1) {
      return false;
    }
    if (rowIndex > -1 && rowIndex < this.dataView.length && colIndex > -1 && colIndex <= Math.max(...this.visibleColumns.map((c) => c.visibleIndex))) {
      return true;
    }
    return false;
  }
  find(text, increment, caseSensitive2, exactMatch, scroll, endEdit = true) {
    if (!this.rowList) {
      return 0;
    }
    if (endEdit) {
      this.crudService.endEdit(false);
    }
    if (!text) {
      this.clearSearch();
      return 0;
    }
    const caseSensitiveResolved = caseSensitive2 ? true : false;
    const exactMatchResolved = exactMatch ? true : false;
    let rebuildCache = false;
    if (this.lastSearchInfo.searchText !== text || this.lastSearchInfo.caseSensitive !== caseSensitiveResolved || this.lastSearchInfo.exactMatch !== exactMatchResolved) {
      this.lastSearchInfo = {
        searchText: text,
        activeMatchIndex: 0,
        caseSensitive: caseSensitiveResolved,
        exactMatch: exactMatchResolved,
        matchInfoCache: [],
        matchCount: 0,
        content: ""
      };
      rebuildCache = true;
    } else {
      this.lastSearchInfo.activeMatchIndex += increment;
    }
    if (rebuildCache) {
      this.rowList.forEach((row) => {
        if (row.cells) {
          row.cells.forEach((c) => {
            c.highlightText(text, caseSensitiveResolved, exactMatchResolved);
          });
        }
      });
      this.rebuildMatchCache();
    }
    if (this.lastSearchInfo.activeMatchIndex >= this.lastSearchInfo.matchCount) {
      this.lastSearchInfo.activeMatchIndex = 0;
    } else if (this.lastSearchInfo.activeMatchIndex < 0) {
      this.lastSearchInfo.activeMatchIndex = this.lastSearchInfo.matchCount - 1;
    }
    if (this.lastSearchInfo.matchCount > 0) {
      const matchInfo = this.lastSearchInfo.matchInfoCache[this.lastSearchInfo.activeMatchIndex];
      this.lastSearchInfo = { ...this.lastSearchInfo };
      if (scroll !== false) {
        this.scrollTo(matchInfo.row, matchInfo.column);
      }
      this.textHighlightService.setActiveHighlight(this.id, {
        column: matchInfo.column,
        row: matchInfo.row,
        index: matchInfo.index,
        metadata: matchInfo.metadata
      });
    } else {
      this.textHighlightService.clearActiveHighlight(this.id);
    }
    return this.lastSearchInfo.matchCount;
  }
  rebuildMatchCache() {
    this.lastSearchInfo.matchInfoCache = [];
    const caseSensitive2 = this.lastSearchInfo.caseSensitive;
    const exactMatch = this.lastSearchInfo.exactMatch;
    const searchText = caseSensitive2 ? this.lastSearchInfo.searchText : this.lastSearchInfo.searchText.toLowerCase();
    const data = this.filteredSortedData;
    const columnItems = this.visibleColumns.filter((c) => !c.columnGroup).sort((c1, c2) => c1.visibleIndex - c2.visibleIndex);
    data.forEach((dataRow, rowIndex) => {
      columnItems.forEach((c) => {
        const pipeArgs = this.getColumnByName(c.field).pipeArgs;
        const value = c.formatter ? c.formatter(resolveNestedPath(dataRow, c.field), dataRow) : c.dataType === "number" ? formatNumber4(resolveNestedPath(dataRow, c.field), this.locale, pipeArgs.digitsInfo) : c.dataType === "date" ? formatDate(resolveNestedPath(dataRow, c.field), pipeArgs.format, this.locale, pipeArgs.timezone) : resolveNestedPath(dataRow, c.field);
        if (value !== void 0 && value !== null && c.searchable) {
          let searchValue = caseSensitive2 ? String(value) : String(value).toLowerCase();
          if (exactMatch) {
            if (searchValue === searchText) {
              const mic = {
                row: dataRow,
                column: c.field,
                index: 0,
                metadata: /* @__PURE__ */ new Map([["pinned", this.isRecordPinnedByIndex(rowIndex)]])
              };
              this.lastSearchInfo.matchInfoCache.push(mic);
            }
          } else {
            let occurrenceIndex = 0;
            let searchIndex = searchValue.indexOf(searchText);
            while (searchIndex !== -1) {
              const mic = {
                row: dataRow,
                column: c.field,
                index: occurrenceIndex++,
                metadata: /* @__PURE__ */ new Map([["pinned", this.isRecordPinnedByIndex(rowIndex)]])
              };
              this.lastSearchInfo.matchInfoCache.push(mic);
              searchValue = searchValue.substring(searchIndex + searchText.length);
              searchIndex = searchValue.indexOf(searchText);
            }
          }
        }
      });
    });
    this.lastSearchInfo.matchCount = this.lastSearchInfo.matchInfoCache.length;
  }
  // TODO: About to Move to CRUD
  configureRowEditingOverlay(rowID, useOuter = false) {
    let settings = this.rowEditSettings;
    const overlay = this.overlayService.getOverlayById(this.rowEditingOverlay.overlayId);
    if (overlay) {
      settings = overlay.settings;
    }
    settings.outlet = useOuter ? this.parentRowOutletDirective : this.rowOutletDirective;
    this.rowEditPositioningStrategy.settings.container = this.tbody.nativeElement;
    const pinned = this._pinnedRecordIDs.indexOf(rowID) !== -1;
    const targetRow = !pinned ? this.gridAPI.get_row_by_key(rowID) : this.pinnedRows.find((x) => x.key === rowID);
    if (!targetRow) {
      return;
    }
    settings.target = targetRow.element.nativeElement;
    this.toggleRowEditingOverlay(true);
  }
  handleColumnPinningForGroups() {
    const pinnedColumns = [];
    const unpinnedColumns = [];
    this._pinnedColumns.forEach((col) => {
      if (col.parent) {
        col.parent.pinned = true;
      }
      if (col.columnGroup) {
        col.children.forEach((child) => child.pinned = true);
      }
    });
    for (const column of this._columns) {
      if (column.pinned && !column.parent) {
        pinnedColumns.push(column);
      } else if (column.pinned && column.parent) {
        if (column.topLevelParent.pinned) {
          pinnedColumns.push(column);
        } else {
          column.pinned = false;
          unpinnedColumns.push(column);
        }
      } else {
        unpinnedColumns.push(column);
      }
    }
    this._pinnedColumns = pinnedColumns;
    this._unpinnedColumns = unpinnedColumns;
  }
  static {
    this.ɵfac = i0185.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0185, type: _IgxGridBaseDirective, deps: [{ token: IgxGridValidationService }, { token: IgxGridSelectionService }, { token: IgxColumnResizingService }, { token: IGX_GRID_SERVICE_BASE }, { token: IgxFlatTransactionFactory }, { token: i0185.ElementRef }, { token: i0185.NgZone }, { token: DOCUMENT14 }, { token: i0185.ChangeDetectorRef }, { token: i0185.IterableDiffers }, { token: i0185.ViewContainerRef }, { token: i0185.Injector }, { token: i0185.EnvironmentInjector }, { token: IgxGridNavigationService }, { token: IgxFilteringService }, { token: IgxTextHighlightService }, { token: IgxOverlayService }, { token: IgxGridSummaryService }, { token: DisplayDensityToken, optional: true }, { token: LOCALE_ID8 }, { token: PlatformUtil }, { token: IgxGridTransaction, optional: true }], target: i0185.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0185.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridBaseDirective, inputs: { snackbarDisplayTime: "snackbarDisplayTime", autoGenerate: ["autoGenerate", "autoGenerate", booleanAttribute66], autoGenerateExclude: "autoGenerateExclude", moving: ["moving", "moving", booleanAttribute66], emptyGridTemplate: "emptyGridTemplate", addRowEmptyTemplate: "addRowEmptyTemplate", loadingGridTemplate: "loadingGridTemplate", summaryRowHeight: "summaryRowHeight", dataCloneStrategy: "dataCloneStrategy", clipboardOptions: "clipboardOptions", rowClasses: "rowClasses", rowStyles: "rowStyles", primaryKey: "primaryKey", uniqueColumnValuesStrategy: "uniqueColumnValuesStrategy", dragGhostCustomTemplate: "dragGhostCustomTemplate", rowEditTextTemplate: "rowEditTextTemplate", rowAddTextTemplate: "rowAddTextTemplate", rowEditActionsTemplate: "rowEditActionsTemplate", rowExpandedIndicatorTemplate: "rowExpandedIndicatorTemplate", rowCollapsedIndicatorTemplate: "rowCollapsedIndicatorTemplate", headerExpandedIndicatorTemplate: "headerExpandedIndicatorTemplate", headerCollapsedIndicatorTemplate: "headerCollapsedIndicatorTemplate", excelStyleHeaderIconTemplate: "excelStyleHeaderIconTemplate", sortAscendingHeaderIconTemplate: "sortAscendingHeaderIconTemplate", sortDescendingHeaderIconTemplate: "sortDescendingHeaderIconTemplate", sortHeaderIconTemplate: "sortHeaderIconTemplate", resourceStrings: "resourceStrings", filteringLogic: "filteringLogic", filteringExpressionsTree: "filteringExpressionsTree", advancedFilteringExpressionsTree: "advancedFilteringExpressionsTree", locale: "locale", pagingMode: "pagingMode", hideRowSelectors: ["hideRowSelectors", "hideRowSelectors", booleanAttribute66], rowDraggable: ["rowDraggable", "rowDraggable", booleanAttribute66], validationTrigger: "validationTrigger", rowEditable: ["rowEditable", "rowEditable", booleanAttribute66], height: "height", width: "width", rowHeight: "rowHeight", columnWidth: "columnWidth", emptyGridMessage: "emptyGridMessage", isLoading: ["isLoading", "isLoading", booleanAttribute66], emptyFilteredGridMessage: "emptyFilteredGridMessage", pinning: "pinning", allowFiltering: ["allowFiltering", "allowFiltering", booleanAttribute66], allowAdvancedFiltering: ["allowAdvancedFiltering", "allowAdvancedFiltering", booleanAttribute66], filterMode: "filterMode", summaryPosition: "summaryPosition", summaryCalculationMode: "summaryCalculationMode", showSummaryOnCollapse: ["showSummaryOnCollapse", "showSummaryOnCollapse", booleanAttribute66], filterStrategy: "filterStrategy", sortStrategy: "sortStrategy", sortingOptions: "sortingOptions", selectedRows: "selectedRows", headSelectorTemplate: "headSelectorTemplate", rowSelectorTemplate: "rowSelectorTemplate", dragIndicatorIconTemplate: "dragIndicatorIconTemplate", sortingExpressions: "sortingExpressions", batchEditing: ["batchEditing", "batchEditing", booleanAttribute66], cellSelection: "cellSelection", rowSelection: "rowSelection", columnSelection: "columnSelection", expansionStates: "expansionStates", outlet: "outlet", totalRecords: "totalRecords", selectRowOnClick: ["selectRowOnClick", "selectRowOnClick", booleanAttribute66] }, outputs: { filteringExpressionsTreeChange: "filteringExpressionsTreeChange", advancedFilteringExpressionsTreeChange: "advancedFilteringExpressionsTreeChange", gridScroll: "gridScroll", cellClick: "cellClick", rowClick: "rowClick", formGroupCreated: "formGroupCreated", validationStatusChange: "validationStatusChange", selected: "selected", rowSelectionChanging: "rowSelectionChanging", columnSelectionChanging: "columnSelectionChanging", columnPin: "columnPin", columnPinned: "columnPinned", cellEditEnter: "cellEditEnter", cellEditExit: "cellEditExit", cellEdit: "cellEdit", cellEditDone: "cellEditDone", rowEditEnter: "rowEditEnter", rowEdit: "rowEdit", rowEditDone: "rowEditDone", rowEditExit: "rowEditExit", columnInit: "columnInit", sorting: "sorting", sortingDone: "sortingDone", filtering: "filtering", filteringDone: "filteringDone", rowAdded: "rowAdded", rowDeleted: "rowDeleted", rowDelete: "rowDelete", rowAdd: "rowAdd", columnResized: "columnResized", contextMenu: "contextMenu", doubleClick: "doubleClick", columnVisibilityChanging: "columnVisibilityChanging", columnVisibilityChanged: "columnVisibilityChanged", columnMovingStart: "columnMovingStart", columnMoving: "columnMoving", columnMovingEnd: "columnMovingEnd", gridKeydown: "gridKeydown", rowDragStart: "rowDragStart", rowDragEnd: "rowDragEnd", gridCopy: "gridCopy", expansionStatesChange: "expansionStatesChange", rowToggle: "rowToggle", rowPinning: "rowPinning", rowPinned: "rowPinned", activeNodeChange: "activeNodeChange", sortingExpressionsChange: "sortingExpressionsChange", toolbarExporting: "toolbarExporting", rangeSelected: "rangeSelected", rendered: "rendered", localeChange: "localeChange", dataChanging: "dataChanging", dataChanged: "dataChanged" }, host: { listeners: { "mouseleave": "hideActionStrip()" }, properties: { "attr.tabindex": "this.tabindex", "attr.role": "this.hostRole", "class.igx-grid": "this.baseClass", "style.--component-size": "this.hostStyles", "style.height": "this.height", "style.width": "this.hostWidth" } }, queries: [{ propertyName: "actionStrip", first: true, predicate: IgxActionStripToken, descendants: true }, { propertyName: "excelStyleLoadingValuesTemplateDirective", first: true, predicate: IgxExcelStyleLoadingValuesTemplateDirective, descendants: true, read: IgxExcelStyleLoadingValuesTemplateDirective, static: true }, { propertyName: "rowAddText", first: true, predicate: IgxRowAddTextDirective, descendants: true, read: TemplateRef27 }, { propertyName: "rowExpandedIndicatorDirectiveTemplate", first: true, predicate: IgxRowExpandedIndicatorDirective, descendants: true, read: TemplateRef27 }, { propertyName: "rowCollapsedIndicatorDirectiveTemplate", first: true, predicate: IgxRowCollapsedIndicatorDirective, descendants: true, read: TemplateRef27 }, { propertyName: "headerExpandedIndicatorDirectiveTemplate", first: true, predicate: IgxHeaderExpandedIndicatorDirective, descendants: true, read: TemplateRef27 }, { propertyName: "headerCollapsedIndicatorDirectiveTemplate", first: true, predicate: IgxHeaderCollapsedIndicatorDirective, descendants: true, read: TemplateRef27 }, { propertyName: "excelStyleHeaderIconDirectiveTemplate", first: true, predicate: IgxExcelStyleHeaderIconDirective, descendants: true, read: TemplateRef27 }, { propertyName: "sortAscendingHeaderIconDirectiveTemplate", first: true, predicate: IgxSortAscendingHeaderIconDirective, descendants: true, read: TemplateRef27 }, { propertyName: "sortDescendingHeaderIconDirectiveTemplate", first: true, predicate: IgxSortDescendingHeaderIconDirective, descendants: true, read: TemplateRef27 }, { propertyName: "sortHeaderIconDirectiveTemplate", first: true, predicate: IgxSortHeaderIconDirective, descendants: true, read: TemplateRef27 }, { propertyName: "excelStyleFilteringComponents", predicate: IgxGridExcelStyleFilteringComponent, read: IgxGridExcelStyleFilteringComponent }, { propertyName: "columnList", predicate: IgxColumnComponent, descendants: true, read: IgxColumnComponent }, { propertyName: "headSelectorsTemplates", predicate: IgxHeadSelectorDirective, read: TemplateRef27 }, { propertyName: "rowSelectorsTemplates", predicate: IgxRowSelectorDirective, read: TemplateRef27 }, { propertyName: "dragGhostCustomTemplates", predicate: IgxRowDragGhostDirective, read: TemplateRef27 }, { propertyName: "rowEditCustomDirectives", predicate: IgxRowEditTemplateDirective, read: TemplateRef27 }, { propertyName: "rowEditTextDirectives", predicate: IgxRowEditTextDirective, read: TemplateRef27 }, { propertyName: "rowEditActionsDirectives", predicate: IgxRowEditActionsDirective, read: TemplateRef27 }, { propertyName: "dragIndicatorIconTemplates", predicate: IgxDragIndicatorIconDirective, read: TemplateRef27 }, { propertyName: "rowEditTabsCUSTOM", predicate: IgxRowEditTabStopDirective, descendants: true }, { propertyName: "toolbar", predicate: IgxToolbarToken }, { propertyName: "paginationComponents", predicate: IgxPaginatorToken }], viewQueries: [{ propertyName: "addRowSnackbar", first: true, predicate: IgxSnackbarComponent, descendants: true }, { propertyName: "resizeLine", first: true, predicate: IgxGridColumnResizerComponent, descendants: true }, { propertyName: "loadingOverlay", first: true, predicate: ["loadingOverlay"], descendants: true, read: IgxToggleDirective, static: true }, { propertyName: "loadingOutlet", first: true, predicate: ["igxLoadingOverlayOutlet"], descendants: true, read: IgxOverlayOutletDirective, static: true }, { propertyName: "emptyFilteredGridTemplate", first: true, predicate: ["emptyFilteredGrid"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "emptyGridDefaultTemplate", first: true, predicate: ["defaultEmptyGrid"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "loadingGridDefaultTemplate", first: true, predicate: ["defaultLoadingGrid"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "parentVirtDir", first: true, predicate: ["scrollContainer"], descendants: true, read: IgxGridForOfDirective, static: true }, { propertyName: "verticalScrollContainer", first: true, predicate: ["verticalScrollContainer"], descendants: true, read: IgxGridForOfDirective, static: true }, { propertyName: "verticalScroll", first: true, predicate: ["verticalScrollHolder"], descendants: true, read: IgxGridForOfDirective, static: true }, { propertyName: "scr", first: true, predicate: ["scr"], descendants: true, read: ElementRef87, static: true }, { propertyName: "headerSelectorBaseTemplate", first: true, predicate: ["headSelectorBaseTemplate"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "footer", first: true, predicate: ["footer"], descendants: true, read: ElementRef87 }, { propertyName: "theadRow", first: true, predicate: IgxGridHeaderRowComponent, descendants: true, static: true }, { propertyName: "groupArea", first: true, predicate: IgxGridGroupByAreaComponent, descendants: true }, { propertyName: "tbody", first: true, predicate: ["tbody"], descendants: true, static: true }, { propertyName: "pinContainer", first: true, predicate: ["pinContainer"], descendants: true, read: ElementRef87 }, { propertyName: "tfoot", first: true, predicate: ["tfoot"], descendants: true, static: true }, { propertyName: "rowEditingOutletDirective", first: true, predicate: ["igxRowEditingOverlayOutlet"], descendants: true, read: IgxOverlayOutletDirective, static: true }, { propertyName: "dragIndicatorIconBase", first: true, predicate: ["dragIndicatorIconBase"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "rowEditingOverlay", first: true, predicate: ["rowEditingOverlay"], descendants: true, read: IgxToggleDirective }, { propertyName: "_outletDirective", first: true, predicate: ["igxFilteringOverlayOutlet"], descendants: true, read: IgxOverlayOutletDirective, static: true }, { propertyName: "defaultExpandedTemplate", first: true, predicate: ["defaultExpandedTemplate"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "defaultCollapsedTemplate", first: true, predicate: ["defaultCollapsedTemplate"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "defaultESFHeaderIconTemplate", first: true, predicate: ["defaultESFHeaderIcon"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "defaultRowEditTemplate", first: true, predicate: ["defaultRowEditTemplate"], descendants: true, read: TemplateRef27, static: true }, { propertyName: "tmpOutlets", predicate: IgxTemplateOutletDirective, descendants: true, read: IgxTemplateOutletDirective }, { propertyName: "rowEditTabsDEFAULT", predicate: IgxRowEditTabStopDirective, descendants: true }, { propertyName: "_summaryRowList", predicate: ["summaryRow"], descendants: true, read: IgxSummaryRowComponent }, { propertyName: "_rowList", predicate: ["row"], descendants: true }, { propertyName: "_pinnedRowList", predicate: ["pinnedRow"], descendants: true }, { propertyName: "_dataRowList", predicate: IgxRowDirective, descendants: true, read: IgxRowDirective }], usesInheritance: true, ngImport: i0185 });
  }
};
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "primaryKey", void 0);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "filteringLogic", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "filteringExpressionsTree", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "advancedFilteringExpressionsTree", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "hideRowSelectors", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "rowEditable", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "height", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "width", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "rowHeight", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "columnWidth", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "isLoading", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "sortingExpressions", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "cellSelection", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "rowSelection", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "columnSelection", null);
__decorate5([
  WatchChanges()
], IgxGridBaseDirective.prototype, "selectRowOnClick", null);
i0185.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0185, type: IgxGridBaseDirective, decorators: [{
  type: Directive80
}], ctorParameters: () => [{ type: IgxGridValidationService }, { type: IgxGridSelectionService }, { type: IgxColumnResizingService }, { type: void 0, decorators: [{
  type: Inject69,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: IgxFlatTransactionFactory }, { type: i0185.ElementRef }, { type: i0185.NgZone }, { type: void 0, decorators: [{
  type: Inject69,
  args: [DOCUMENT14]
}] }, { type: i0185.ChangeDetectorRef }, { type: i0185.IterableDiffers }, { type: i0185.ViewContainerRef }, { type: i0185.Injector }, { type: i0185.EnvironmentInjector }, { type: IgxGridNavigationService }, { type: IgxFilteringService }, { type: IgxTextHighlightService }, { type: IgxOverlayService, decorators: [{
  type: Inject69,
  args: [IgxOverlayService]
}] }, { type: IgxGridSummaryService }, { type: void 0, decorators: [{
  type: Optional39
}, {
  type: Inject69,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Inject69,
  args: [LOCALE_ID8]
}] }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Optional39
}, {
  type: Inject69,
  args: [IgxGridTransaction]
}] }], propDecorators: { snackbarDisplayTime: [{
  type: Input113
}], autoGenerate: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], autoGenerateExclude: [{
  type: Input113
}], moving: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], emptyGridTemplate: [{
  type: Input113
}], addRowEmptyTemplate: [{
  type: Input113
}], loadingGridTemplate: [{
  type: Input113
}], summaryRowHeight: [{
  type: Input113
}], dataCloneStrategy: [{
  type: Input113
}], clipboardOptions: [{
  type: Input113
}], filteringExpressionsTreeChange: [{
  type: Output56
}], advancedFilteringExpressionsTreeChange: [{
  type: Output56
}], gridScroll: [{
  type: Output56
}], rowClasses: [{
  type: Input113
}], rowStyles: [{
  type: Input113
}], primaryKey: [{
  type: Input113
}], uniqueColumnValuesStrategy: [{
  type: Input113
}], excelStyleFilteringComponents: [{
  type: ContentChildren21,
  args: [IgxGridExcelStyleFilteringComponent, { read: IgxGridExcelStyleFilteringComponent, descendants: false }]
}], cellClick: [{
  type: Output56
}], rowClick: [{
  type: Output56
}], formGroupCreated: [{
  type: Output56
}], validationStatusChange: [{
  type: Output56
}], selected: [{
  type: Output56
}], rowSelectionChanging: [{
  type: Output56
}], columnSelectionChanging: [{
  type: Output56
}], columnPin: [{
  type: Output56
}], columnPinned: [{
  type: Output56
}], cellEditEnter: [{
  type: Output56
}], cellEditExit: [{
  type: Output56
}], cellEdit: [{
  type: Output56
}], cellEditDone: [{
  type: Output56
}], rowEditEnter: [{
  type: Output56
}], rowEdit: [{
  type: Output56
}], rowEditDone: [{
  type: Output56
}], rowEditExit: [{
  type: Output56
}], columnInit: [{
  type: Output56
}], sorting: [{
  type: Output56
}], sortingDone: [{
  type: Output56
}], filtering: [{
  type: Output56
}], filteringDone: [{
  type: Output56
}], rowAdded: [{
  type: Output56
}], rowDeleted: [{
  type: Output56
}], rowDelete: [{
  type: Output56
}], rowAdd: [{
  type: Output56
}], columnResized: [{
  type: Output56
}], contextMenu: [{
  type: Output56
}], doubleClick: [{
  type: Output56
}], columnVisibilityChanging: [{
  type: Output56
}], columnVisibilityChanged: [{
  type: Output56
}], columnMovingStart: [{
  type: Output56
}], columnMoving: [{
  type: Output56
}], columnMovingEnd: [{
  type: Output56
}], gridKeydown: [{
  type: Output56
}], rowDragStart: [{
  type: Output56
}], rowDragEnd: [{
  type: Output56
}], gridCopy: [{
  type: Output56
}], expansionStatesChange: [{
  type: Output56
}], rowToggle: [{
  type: Output56
}], rowPinning: [{
  type: Output56
}], rowPinned: [{
  type: Output56
}], activeNodeChange: [{
  type: Output56
}], sortingExpressionsChange: [{
  type: Output56
}], toolbarExporting: [{
  type: Output56
}], rangeSelected: [{
  type: Output56
}], rendered: [{
  type: Output56
}], localeChange: [{
  type: Output56
}], dataChanging: [{
  type: Output56
}], dataChanged: [{
  type: Output56
}], addRowSnackbar: [{
  type: ViewChild47,
  args: [IgxSnackbarComponent]
}], resizeLine: [{
  type: ViewChild47,
  args: [IgxGridColumnResizerComponent]
}], loadingOverlay: [{
  type: ViewChild47,
  args: ["loadingOverlay", { read: IgxToggleDirective, static: true }]
}], loadingOutlet: [{
  type: ViewChild47,
  args: ["igxLoadingOverlayOutlet", { read: IgxOverlayOutletDirective, static: true }]
}], columnList: [{
  type: ContentChildren21,
  args: [IgxColumnComponent, { read: IgxColumnComponent, descendants: true }]
}], actionStrip: [{
  type: ContentChild18,
  args: [IgxActionStripToken]
}], excelStyleLoadingValuesTemplateDirective: [{
  type: ContentChild18,
  args: [IgxExcelStyleLoadingValuesTemplateDirective, { read: IgxExcelStyleLoadingValuesTemplateDirective, static: true }]
}], emptyFilteredGridTemplate: [{
  type: ViewChild47,
  args: ["emptyFilteredGrid", { read: TemplateRef27, static: true }]
}], emptyGridDefaultTemplate: [{
  type: ViewChild47,
  args: ["defaultEmptyGrid", { read: TemplateRef27, static: true }]
}], loadingGridDefaultTemplate: [{
  type: ViewChild47,
  args: ["defaultLoadingGrid", { read: TemplateRef27, static: true }]
}], parentVirtDir: [{
  type: ViewChild47,
  args: ["scrollContainer", { read: IgxGridForOfDirective, static: true }]
}], headSelectorsTemplates: [{
  type: ContentChildren21,
  args: [IgxHeadSelectorDirective, { read: TemplateRef27, descendants: false }]
}], rowSelectorsTemplates: [{
  type: ContentChildren21,
  args: [IgxRowSelectorDirective, { read: TemplateRef27, descendants: false }]
}], dragGhostCustomTemplates: [{
  type: ContentChildren21,
  args: [IgxRowDragGhostDirective, { read: TemplateRef27, descendants: false }]
}], dragGhostCustomTemplate: [{
  type: Input113
}], verticalScrollContainer: [{
  type: ViewChild47,
  args: ["verticalScrollContainer", { read: IgxGridForOfDirective, static: true }]
}], verticalScroll: [{
  type: ViewChild47,
  args: ["verticalScrollHolder", { read: IgxGridForOfDirective, static: true }]
}], scr: [{
  type: ViewChild47,
  args: ["scr", { read: ElementRef87, static: true }]
}], headerSelectorBaseTemplate: [{
  type: ViewChild47,
  args: ["headSelectorBaseTemplate", { read: TemplateRef27, static: true }]
}], footer: [{
  type: ViewChild47,
  args: ["footer", { read: ElementRef87 }]
}], theadRow: [{
  type: ViewChild47,
  args: [IgxGridHeaderRowComponent, { static: true }]
}], groupArea: [{
  type: ViewChild47,
  args: [IgxGridGroupByAreaComponent]
}], tbody: [{
  type: ViewChild47,
  args: ["tbody", { static: true }]
}], pinContainer: [{
  type: ViewChild47,
  args: ["pinContainer", { read: ElementRef87 }]
}], tfoot: [{
  type: ViewChild47,
  args: ["tfoot", { static: true }]
}], rowEditingOutletDirective: [{
  type: ViewChild47,
  args: ["igxRowEditingOverlayOutlet", { read: IgxOverlayOutletDirective, static: true }]
}], tmpOutlets: [{
  type: ViewChildren16,
  args: [IgxTemplateOutletDirective, { read: IgxTemplateOutletDirective }]
}], dragIndicatorIconBase: [{
  type: ViewChild47,
  args: ["dragIndicatorIconBase", { read: TemplateRef27, static: true }]
}], rowEditCustomDirectives: [{
  type: ContentChildren21,
  args: [IgxRowEditTemplateDirective, { descendants: false, read: TemplateRef27 }]
}], rowEditTextDirectives: [{
  type: ContentChildren21,
  args: [IgxRowEditTextDirective, { descendants: false, read: TemplateRef27 }]
}], rowEditTextTemplate: [{
  type: Input113
}], rowAddText: [{
  type: ContentChild18,
  args: [IgxRowAddTextDirective, { read: TemplateRef27 }]
}], rowAddTextTemplate: [{
  type: Input113
}], rowEditActionsDirectives: [{
  type: ContentChildren21,
  args: [IgxRowEditActionsDirective, { descendants: false, read: TemplateRef27 }]
}], rowEditActionsTemplate: [{
  type: Input113
}], rowExpandedIndicatorDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxRowExpandedIndicatorDirective, { read: TemplateRef27 }]
}], rowExpandedIndicatorTemplate: [{
  type: Input113
}], rowCollapsedIndicatorDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxRowCollapsedIndicatorDirective, { read: TemplateRef27 }]
}], rowCollapsedIndicatorTemplate: [{
  type: Input113
}], headerExpandedIndicatorDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxHeaderExpandedIndicatorDirective, { read: TemplateRef27 }]
}], headerExpandedIndicatorTemplate: [{
  type: Input113
}], headerCollapsedIndicatorDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxHeaderCollapsedIndicatorDirective, { read: TemplateRef27 }]
}], headerCollapsedIndicatorTemplate: [{
  type: Input113
}], excelStyleHeaderIconDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxExcelStyleHeaderIconDirective, { read: TemplateRef27 }]
}], excelStyleHeaderIconTemplate: [{
  type: Input113
}], sortAscendingHeaderIconDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxSortAscendingHeaderIconDirective, { read: TemplateRef27 }]
}], sortAscendingHeaderIconTemplate: [{
  type: Input113
}], sortDescendingHeaderIconDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxSortDescendingHeaderIconDirective, { read: TemplateRef27 }]
}], sortDescendingHeaderIconTemplate: [{
  type: Input113
}], sortHeaderIconDirectiveTemplate: [{
  type: ContentChild18,
  args: [IgxSortHeaderIconDirective, { read: TemplateRef27 }]
}], sortHeaderIconTemplate: [{
  type: Input113
}], dragIndicatorIconTemplates: [{
  type: ContentChildren21,
  args: [IgxDragIndicatorIconDirective, { read: TemplateRef27, descendants: false }]
}], rowEditTabsDEFAULT: [{
  type: ViewChildren16,
  args: [IgxRowEditTabStopDirective]
}], rowEditTabsCUSTOM: [{
  type: ContentChildren21,
  args: [IgxRowEditTabStopDirective, { descendants: true }]
}], rowEditingOverlay: [{
  type: ViewChild47,
  args: ["rowEditingOverlay", { read: IgxToggleDirective }]
}], tabindex: [{
  type: HostBinding83,
  args: ["attr.tabindex"]
}], hostRole: [{
  type: HostBinding83,
  args: ["attr.role"]
}], toolbar: [{
  type: ContentChildren21,
  args: [IgxToolbarToken]
}], paginationComponents: [{
  type: ContentChildren21,
  args: [IgxPaginatorToken]
}], _outletDirective: [{
  type: ViewChild47,
  args: ["igxFilteringOverlayOutlet", { read: IgxOverlayOutletDirective, static: true }]
}], defaultExpandedTemplate: [{
  type: ViewChild47,
  args: ["defaultExpandedTemplate", { read: TemplateRef27, static: true }]
}], defaultCollapsedTemplate: [{
  type: ViewChild47,
  args: ["defaultCollapsedTemplate", { read: TemplateRef27, static: true }]
}], defaultESFHeaderIconTemplate: [{
  type: ViewChild47,
  args: ["defaultESFHeaderIcon", { read: TemplateRef27, static: true }]
}], _summaryRowList: [{
  type: ViewChildren16,
  args: ["summaryRow", { read: IgxSummaryRowComponent }]
}], _rowList: [{
  type: ViewChildren16,
  args: ["row"]
}], _pinnedRowList: [{
  type: ViewChildren16,
  args: ["pinnedRow"]
}], defaultRowEditTemplate: [{
  type: ViewChild47,
  args: ["defaultRowEditTemplate", { read: TemplateRef27, static: true }]
}], _dataRowList: [{
  type: ViewChildren16,
  args: [IgxRowDirective, { read: IgxRowDirective }]
}], baseClass: [{
  type: HostBinding83,
  args: ["class.igx-grid"]
}], hostStyles: [{
  type: HostBinding83,
  args: ["style.--component-size"]
}], resourceStrings: [{
  type: Input113
}], filteringLogic: [{
  type: Input113
}], filteringExpressionsTree: [{
  type: Input113
}], advancedFilteringExpressionsTree: [{
  type: Input113
}], locale: [{
  type: Input113
}], pagingMode: [{
  type: Input113
}], hideRowSelectors: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], rowDraggable: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], validationTrigger: [{
  type: Input113
}], rowEditable: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], height: [{
  type: HostBinding83,
  args: ["style.height"]
}, {
  type: Input113
}], hostWidth: [{
  type: HostBinding83,
  args: ["style.width"]
}], width: [{
  type: Input113
}], rowHeight: [{
  type: Input113
}], columnWidth: [{
  type: Input113
}], emptyGridMessage: [{
  type: Input113
}], isLoading: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], emptyFilteredGridMessage: [{
  type: Input113
}], pinning: [{
  type: Input113
}], allowFiltering: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], allowAdvancedFiltering: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], filterMode: [{
  type: Input113
}], summaryPosition: [{
  type: Input113
}], summaryCalculationMode: [{
  type: Input113
}], showSummaryOnCollapse: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], filterStrategy: [{
  type: Input113
}], sortStrategy: [{
  type: Input113
}], sortingOptions: [{
  type: Input113
}], selectedRows: [{
  type: Input113
}], headSelectorTemplate: [{
  type: Input113
}], rowSelectorTemplate: [{
  type: Input113
}], dragIndicatorIconTemplate: [{
  type: Input113
}], sortingExpressions: [{
  type: Input113
}], batchEditing: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}], cellSelection: [{
  type: Input113
}], rowSelection: [{
  type: Input113
}], columnSelection: [{
  type: Input113
}], hideActionStrip: [{
  type: HostListener45,
  args: ["mouseleave"]
}], expansionStates: [{
  type: Input113
}], outlet: [{
  type: Input113
}], totalRecords: [{
  type: Input113
}], selectRowOnClick: [{
  type: Input113,
  args: [{ transform: booleanAttribute66 }]
}] } });

// lib/grids/api.service.mjs
import { Injectable as Injectable30 } from "@angular/core";
import * as i0186 from "@angular/core";
var GridBaseAPIService = class _GridBaseAPIService {
  constructor(crudService, cms) {
    this.crudService = crudService;
    this.cms = cms;
    this.destroyMap = /* @__PURE__ */ new Map();
  }
  get_column_by_name(name) {
    return this.grid.columns.find((col) => col.field === name);
  }
  get_summary_data() {
    const grid = this.grid;
    let data = grid.filteredData;
    if (data && grid.hasPinnedRecords) {
      data = grid._filteredUnpinnedData;
    }
    if (!data) {
      if (grid.transactions.enabled) {
        data = DataUtil.mergeTransactions(cloneArray(grid.data), grid.transactions.getAggregatedChanges(true), grid.primaryKey, grid.dataCloneStrategy);
        const deletedRows = grid.transactions.getTransactionLog().filter((t) => t.type === TransactionType.DELETE).map((t) => t.id);
        deletedRows.forEach((rowID) => {
          const tempData = grid.primaryKey ? data.map((rec) => rec[grid.primaryKey]) : data;
          const index = tempData.indexOf(rowID);
          if (index !== -1) {
            data.splice(index, 1);
          }
        });
      } else {
        data = grid.data;
      }
    }
    return data;
  }
  /**
   * @hidden
   * @internal
   */
  getRowData(rowID) {
    const data = this.get_all_data(this.grid.transactions.enabled);
    const index = this.get_row_index_in_data(rowID, data);
    return data[index];
  }
  get_row_index_in_data(rowID, dataCollection) {
    const grid = this.grid;
    if (!grid) {
      return -1;
    }
    const data = dataCollection ?? this.get_all_data(grid.transactions.enabled);
    return grid.primaryKey ? data.findIndex((record) => record.recordRef ? record.recordRef[grid.primaryKey] === rowID : record[grid.primaryKey] === rowID) : data.indexOf(rowID);
  }
  get_row_by_key(rowSelector) {
    if (!this.grid) {
      return null;
    }
    const primaryKey = this.grid.primaryKey;
    if (primaryKey !== void 0 && primaryKey !== null) {
      return this.grid.dataRowList.find((row) => row.data[primaryKey] === rowSelector);
    } else {
      return this.grid.dataRowList.find((row) => row.data === rowSelector);
    }
  }
  get_row_by_index(rowIndex) {
    return this.grid.rowList.find((row) => row.index === rowIndex);
  }
  /**
   * Gets the rowID of the record at the specified data view index
   *
   * @param index
   * @param dataCollection
   */
  get_rec_id_by_index(index, dataCollection) {
    dataCollection = dataCollection || this.grid.data;
    if (index >= 0 && index < dataCollection.length) {
      const rec = dataCollection[index];
      return this.grid.primaryKey ? rec[this.grid.primaryKey] : rec;
    }
    return null;
  }
  get_cell_by_key(rowSelector, field) {
    const row = this.get_row_by_key(rowSelector);
    if (row && row.cells) {
      return row.cells.find((cell) => cell.column.field === field);
    }
  }
  get_cell_by_index(rowIndex, columnID) {
    const row = this.get_row_by_index(rowIndex);
    const hasCells = row && row.cells;
    if (hasCells && typeof columnID === "number") {
      return row.cells.find((cell) => cell.column.index === columnID);
    }
    if (hasCells && typeof columnID === "string") {
      return row.cells.find((cell) => cell.column.field === columnID);
    }
  }
  get_cell_by_visible_index(rowIndex, columnIndex) {
    const row = this.get_row_by_index(rowIndex);
    if (row && row.cells) {
      return row.cells.find((cell) => cell.visibleColumnIndex === columnIndex);
    }
  }
  update_cell(cell) {
    if (!cell) {
      return;
    }
    const args = cell.createCellEditEventArgs(true);
    if (!this.grid.crudService.row) {
      this.grid.summaryService.clearSummaryCache(args);
    }
    const data = this.getRowData(cell.id.rowID);
    const newRowData = reverseMapper(cell.column.field, args.newValue);
    this.updateData(this.grid, cell.id.rowID, data, cell.rowData, newRowData);
    if (!this.grid.crudService.row) {
      this.grid.validation.update(cell.id.rowID, newRowData);
    }
    if (this.grid.primaryKey === cell.column.field) {
      if (this.grid.pinnedRecords.length > 0) {
        const rowIndex = this.grid.pinnedRecords.indexOf(cell.rowData);
        if (rowIndex !== -1) {
          const previousRowId = cell.value;
          const rowType = this.grid.getRowByIndex(cell.rowIndex);
          this.unpin_row(previousRowId, rowType);
          this.pin_row(args.newValue, rowIndex, rowType);
        }
      }
      if (this.grid.selectionService.isRowSelected(cell.id.rowID)) {
        this.grid.selectionService.deselectRow(cell.id.rowID);
        this.grid.selectionService.selectRowById(args.newValue);
      }
      if (this.grid.hasSummarizedColumns) {
        this.grid.summaryService.removeSummaries(cell.id.rowID);
      }
    }
    if (!this.grid.rowEditable || !this.crudService.row || this.crudService.row.id !== cell.id.rowID || !this.grid.transactions.enabled) {
      this.grid.summaryService.clearSummaryCache(args);
      this.grid.pipeTrigger++;
    }
    return args;
  }
  // TODO: CRUD refactor to not emit editing evts.
  update_row(row, value, event) {
    const grid = this.grid;
    const selected = grid.selectionService.isRowSelected(row.id);
    const rowInEditMode = this.crudService.row;
    const data = this.get_all_data(grid.transactions.enabled);
    const index = this.get_row_index_in_data(row.id, data);
    const hasSummarized = grid.hasSummarizedColumns;
    this.crudService.updateRowEditData(row, value);
    const args = row.createRowEditEventArgs(true, event);
    if (index === -1) {
      return args;
    }
    if (rowInEditMode) {
      const hasChanges = grid.transactions.getState(args.rowID, true);
      grid.transactions.endPending(false);
      if (!hasChanges) {
        return args;
      }
    }
    if (!args.newValue) {
      return args;
    }
    if (hasSummarized) {
      grid.summaryService.removeSummaries(args.rowID);
    }
    this.updateData(grid, row.id, data[index], args.oldValue, args.newValue);
    this.grid.validation.update(row.id, args.newValue);
    const newId = grid.primaryKey ? args.newValue[grid.primaryKey] : args.newValue;
    if (selected) {
      grid.selectionService.deselectRow(row.id);
      grid.selectionService.selectRowById(newId);
    }
    row.id = newId;
    if (hasSummarized) {
      grid.summaryService.removeSummaries(newId);
    }
    grid.pipeTrigger++;
    return args;
  }
  sort(expression) {
    if (expression.dir === SortingDirection.None) {
      this.remove_grouping_expression(expression.fieldName);
    }
    const sortingState = cloneArray(this.grid.sortingExpressions);
    this.prepare_sorting_expression([sortingState], expression);
    this.grid.sortingExpressions = sortingState;
  }
  sort_decoupled(expression) {
    if (expression.dir === SortingDirection.None) {
      this.remove_grouping_expression(expression.fieldName);
    }
    const groupingState = cloneArray(this.grid.groupingExpressions);
    this.prepare_grouping_expression([groupingState], expression);
    this.grid.groupingExpressions = groupingState;
  }
  sort_multiple(expressions) {
    const sortingState = cloneArray(this.grid.sortingExpressions);
    for (const each of expressions) {
      if (each.dir === SortingDirection.None) {
        this.remove_grouping_expression(each.fieldName);
      }
      this.prepare_sorting_expression([sortingState], each);
    }
    this.grid.sortingExpressions = sortingState;
  }
  sort_groupBy_multiple(expressions) {
    const groupingState = cloneArray(this.grid.groupingExpressions);
    for (const each of expressions) {
      if (each.dir === SortingDirection.None) {
        this.remove_grouping_expression(each.fieldName);
      }
      this.prepare_grouping_expression([groupingState], each);
    }
  }
  clear_sort(fieldName) {
    const sortingState = this.grid.sortingExpressions;
    const index = sortingState.findIndex((expr) => expr.fieldName === fieldName);
    if (index > -1) {
      sortingState.splice(index, 1);
      this.grid.sortingExpressions = sortingState;
    }
  }
  clear_groupby(_name) {
  }
  should_apply_number_style(column) {
    return column.dataType === GridColumnDataType.Number;
  }
  get_data() {
    const grid = this.grid;
    const data = grid.data ? grid.data : [];
    return data;
  }
  get_all_data(includeTransactions = false) {
    const grid = this.grid;
    let data = grid && grid.data ? grid.data : [];
    data = includeTransactions ? grid.dataWithAddedInTransactionRows : data;
    return data;
  }
  get_filtered_data() {
    return this.grid.filteredData;
  }
  addRowToData(rowData, _parentID) {
    const grid = this.grid;
    const rowId = grid.primaryKey ? rowData[grid.primaryKey] : rowData;
    if (grid.transactions.enabled) {
      const transaction = { id: rowId, type: TransactionType.ADD, newValue: rowData };
      grid.transactions.add(transaction);
    } else {
      grid.data.push(rowData);
    }
    grid.validation.markAsTouched(rowId);
    grid.validation.update(rowId, rowData);
  }
  deleteRowFromData(rowID, index) {
    const grid = this.grid;
    if (index !== -1) {
      if (grid.transactions.enabled) {
        const transaction = { id: rowID, type: TransactionType.DELETE, newValue: null };
        grid.transactions.add(transaction, grid.data[index]);
      } else {
        grid.data.splice(index, 1);
      }
    } else {
      const state = grid.transactions.getState(rowID);
      grid.transactions.add({ id: rowID, type: TransactionType.DELETE, newValue: null }, state && state.recordRef);
    }
    grid.validation.clear(rowID);
  }
  deleteRowById(rowId) {
    let index;
    const grid = this.grid;
    const data = this.get_all_data(grid.transactions.enabled);
    if (grid.primaryKey) {
      index = data.map((record2) => record2[grid.primaryKey]).indexOf(rowId);
    } else {
      index = data.indexOf(rowId);
    }
    const state = grid.transactions.getState(rowId);
    const hasRowInNonDeletedState = state && state.type !== TransactionType.DELETE;
    if (index !== -1 || hasRowInNonDeletedState) {
      this.crudService.endEdit(true);
    } else {
      return;
    }
    const record = data[index];
    const key = record ? record[grid.primaryKey] : void 0;
    grid.rowDeletedNotifier.next({ data: record, rowData: record, owner: grid, primaryKey: key, rowKey: key });
    this.deleteRowFromData(rowId, index);
    if (grid.selectionService.isRowSelected(rowId)) {
      grid.selectionService.deselectRowsWithNoEvent([rowId]);
    } else {
      grid.selectionService.clearHeaderCBState();
    }
    grid.pipeTrigger++;
    grid.notifyChanges();
    const dataAfterDelete = grid.transactions.enabled ? grid.dataWithAddedInTransactionRows : data;
    grid.refreshSearch();
    if (dataAfterDelete.length % grid.perPage === 0 && dataAfterDelete.length / grid.perPage - 1 < grid.page && grid.page !== 0) {
      grid.page--;
    }
    return record;
  }
  get_row_id(rowData) {
    return this.grid.primaryKey ? rowData[this.grid.primaryKey] : rowData;
  }
  row_deleted_transaction(rowID) {
    const grid = this.grid;
    if (!grid) {
      return false;
    }
    if (!grid.transactions.enabled) {
      return false;
    }
    const state = grid.transactions.getState(rowID);
    if (state) {
      return state.type === TransactionType.DELETE;
    }
    return false;
  }
  get_row_expansion_state(record) {
    const grid = this.grid;
    const states = grid.expansionStates;
    const rowID = grid.primaryKey ? record[grid.primaryKey] : record;
    const expanded = states.get(rowID);
    if (expanded !== void 0) {
      return expanded;
    } else {
      return grid.getDefaultExpandState(record);
    }
  }
  set_row_expansion_state(rowID, expanded, event) {
    const grid = this.grid;
    const expandedStates = grid.expansionStates;
    if (!this.allow_expansion_state_change(rowID, expanded)) {
      return;
    }
    const args = {
      rowKey: rowID,
      rowID,
      expanded,
      event,
      cancel: false
    };
    grid.rowToggle.emit(args);
    if (args.cancel) {
      return;
    }
    expandedStates.set(rowID, expanded);
    grid.expansionStates = expandedStates;
  }
  get_rec_by_id(rowID) {
    return this.grid.primaryKey ? this.getRowData(rowID) : rowID;
  }
  /**
   * Returns the index of the record in the data view by pk or -1 if not found or primaryKey is not set.
   *
   * @param pk
   * @param dataCollection
   */
  get_rec_index_by_id(pk, dataCollection) {
    dataCollection = dataCollection || this.grid.data;
    return this.grid.primaryKey ? dataCollection.findIndex((rec) => rec[this.grid.primaryKey] === pk) : -1;
  }
  allow_expansion_state_change(rowID, expanded) {
    return this.grid.expansionStates.get(rowID) !== expanded;
  }
  prepare_sorting_expression(stateCollections, expression) {
    if (expression.dir === SortingDirection.None) {
      stateCollections.forEach((state) => {
        state.splice(state.findIndex((expr) => expr.fieldName === expression.fieldName), 1);
      });
      return;
    }
    let maxCollection = stateCollections[0];
    for (let i = 1; i < stateCollections.length; i++) {
      if (maxCollection.length < stateCollections[i].length) {
        maxCollection = stateCollections[i];
      }
    }
    const maxExpr = maxCollection.find((expr) => expr.fieldName === expression.fieldName);
    stateCollections.forEach((collection) => {
      const myExpr = collection.find((expr) => expr.fieldName === expression.fieldName);
      if (!myExpr && !maxExpr) {
        collection.push(expression);
      } else if (!myExpr && maxExpr) {
        collection.push(maxExpr);
        Object.assign(maxExpr, expression);
      } else {
        Object.assign(myExpr, expression);
      }
    });
  }
  prepare_grouping_expression(stateCollections, expression) {
    if (expression.dir === SortingDirection.None) {
      stateCollections.forEach((state) => {
        state.splice(state.findIndex((expr) => expr.fieldName === expression.fieldName), 1);
      });
      return;
    }
    let maxCollection = stateCollections[0];
    for (let i = 1; i < stateCollections.length; i++) {
      if (maxCollection.length < stateCollections[i].length) {
        maxCollection = stateCollections[i];
      }
    }
    const maxExpr = maxCollection.find((expr) => expr.fieldName === expression.fieldName);
    stateCollections.forEach((collection) => {
      const myExpr = collection.find((expr) => expr.fieldName === expression.fieldName);
      if (!myExpr && !maxExpr) {
        collection.push(expression);
      } else if (!myExpr && maxExpr) {
        collection.push(maxExpr);
        Object.assign(maxExpr, expression);
      } else {
        Object.assign(myExpr, expression);
      }
    });
  }
  remove_grouping_expression(_fieldName) {
  }
  filterDataByExpressions(expressionsTree) {
    let data = this.get_all_data();
    if (expressionsTree.filteringOperands.length) {
      const state = { expressionsTree, strategy: this.grid.filterStrategy };
      data = FilterUtil.filter(cloneArray(data), state, this.grid);
    }
    return data;
  }
  sortDataByExpressions(data, expressions) {
    return DataUtil.sort(cloneArray(data), expressions, this.grid.sortStrategy, this.grid);
  }
  pin_row(rowID, index, row) {
    const grid = this.grid;
    if (grid._pinnedRecordIDs.indexOf(rowID) !== -1) {
      return;
    }
    const eventArgs = this.get_pin_row_event_args(rowID, index, row, true);
    grid.rowPinning.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    const insertIndex = typeof eventArgs.insertAtIndex === "number" ? eventArgs.insertAtIndex : grid._pinnedRecordIDs.length;
    grid._pinnedRecordIDs.splice(insertIndex, 0, rowID);
  }
  unpin_row(rowID, row) {
    const grid = this.grid;
    const index = grid._pinnedRecordIDs.indexOf(rowID);
    if (index === -1) {
      return;
    }
    const eventArgs = this.get_pin_row_event_args(rowID, null, row, false);
    grid.rowPinning.emit(eventArgs);
    if (eventArgs.cancel) {
      return;
    }
    grid._pinnedRecordIDs.splice(index, 1);
  }
  get_pin_row_event_args(rowID, index, row, pinned) {
    const eventArgs = {
      isPinned: pinned ? true : false,
      rowKey: rowID,
      rowID,
      row,
      cancel: false
    };
    if (typeof index === "number") {
      eventArgs.insertAtIndex = index <= this.grid.pinnedRecords.length ? index : this.grid.pinnedRecords.length;
    }
    return eventArgs;
  }
  /**
   * Updates related row of provided grid's data source with provided new row value
   *
   * @param grid Grid to update data for
   * @param rowID ID of the row to update
   * @param rowValueInDataSource Initial value of the row as it is in data source
   * @param rowCurrentValue Current value of the row as it is with applied previous transactions
   * @param rowNewValue New value of the row
   */
  updateData(grid, rowID, rowValueInDataSource, rowCurrentValue, rowNewValue) {
    if (grid.transactions.enabled) {
      const transaction = {
        id: rowID,
        type: TransactionType.UPDATE,
        newValue: rowNewValue
      };
      grid.transactions.add(transaction, rowCurrentValue);
    } else {
      mergeObjects(rowValueInDataSource, rowNewValue);
    }
  }
  update_row_in_array(value, rowID, index) {
    const grid = this.grid;
    grid.data[index] = value;
  }
  getSortStrategyPerColumn(fieldName) {
    return this.get_column_by_name(fieldName) ? this.get_column_by_name(fieldName).sortStrategy : void 0;
  }
  static {
    this.ɵfac = i0186.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0186, type: _GridBaseAPIService, deps: [{ token: IgxGridCRUDService }, { token: IgxColumnMovingService }], target: i0186.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0186.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0186, type: _GridBaseAPIService });
  }
};
i0186.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0186, type: GridBaseAPIService, decorators: [{
  type: Injectable30
}], ctorParameters: () => [{ type: IgxGridCRUDService }, { type: IgxColumnMovingService }] });

// lib/grids/grid/grid-api.service.mjs
import { Injectable as Injectable31 } from "@angular/core";
import * as i0187 from "@angular/core";
var IgxGridAPIService = class _IgxGridAPIService extends GridBaseAPIService {
  groupBy(expression) {
    const groupingState = cloneArray(this.grid.groupingExpressions);
    this.prepare_grouping_expression([groupingState], expression);
    this.grid.groupingExpressions = groupingState;
    this.arrange_sorting_expressions();
  }
  groupBy_multiple(expressions) {
    const groupingState = cloneArray(this.grid.groupingExpressions);
    for (const each of expressions) {
      this.prepare_grouping_expression([groupingState], each);
    }
    this.grid.groupingExpressions = groupingState;
    this.arrange_sorting_expressions();
  }
  clear_groupby(name) {
    const groupingState = cloneArray(this.grid.groupingExpressions);
    if (name) {
      const names = typeof name === "string" ? [name] : name;
      const groupedCols = groupingState.filter((state) => names.indexOf(state.fieldName) < 0);
      this.grid.groupingExpressions = groupedCols;
      names.forEach((colName) => {
        const grExprIndex = groupingState.findIndex((exp) => exp.fieldName === colName);
        const grpExpandState = this.grid.groupingExpansionState;
        const newExpandState = grpExpandState.filter((val) => val.hierarchy && val.hierarchy.length <= grExprIndex);
        if (newExpandState.length !== grpExpandState.length) {
          this.grid.groupingExpansionState = newExpandState;
        }
      });
    } else {
      this.grid.groupingExpressions = [];
      this.grid.groupingExpansionState = [];
    }
  }
  groupBy_get_expanded_for_group(groupRow) {
    const grState = this.grid.groupingExpansionState;
    const hierarchy = DataUtil.getHierarchy(groupRow);
    return grState.find((state) => DataUtil.isHierarchyMatch(state.hierarchy || [{ fieldName: groupRow.expression.fieldName, value: groupRow.value }], hierarchy, this.grid.groupingExpressions));
  }
  groupBy_is_row_in_group(groupRow, rowID) {
    const grid = this.grid;
    let rowInGroup = false;
    groupRow.records.forEach((row) => {
      if (grid.primaryKey ? row[grid.primaryKey] === rowID : row === rowID) {
        rowInGroup = true;
      }
    });
    return rowInGroup;
  }
  groupBy_toggle_group(groupRow) {
    const grid = this.grid;
    if (grid.gridAPI.crudService.cellInEditMode) {
      this.crudService.endEdit(false);
    }
    const expansionState = grid.groupingExpansionState;
    const state = this.groupBy_get_expanded_for_group(groupRow);
    if (state) {
      state.expanded = !state.expanded;
    } else {
      expansionState.push({
        expanded: !grid.groupsExpanded,
        hierarchy: DataUtil.getHierarchy(groupRow)
      });
    }
    this.grid.groupingExpansionState = [...expansionState];
    if (grid.rowEditable) {
      grid.repositionRowEditingOverlay(grid.gridAPI.crudService.rowInEditMode);
    }
  }
  set_grouprow_expansion_state(groupRow, value) {
    if (this.grid.isExpandedGroup(groupRow) !== value) {
      this.groupBy_toggle_group(groupRow);
    }
  }
  groupBy_fully_expand_group(groupRow) {
    const state = this.groupBy_get_expanded_for_group(groupRow);
    const expanded = state ? state.expanded : this.grid.groupsExpanded;
    if (!expanded) {
      this.groupBy_toggle_group(groupRow);
    }
    if (groupRow.groupParent) {
      this.groupBy_fully_expand_group(groupRow.groupParent);
    }
  }
  groupBy_select_all_rows_in_group(groupRow, clearPrevSelection) {
    this.grid.selectionService.selectRowsWithNoEvent(this.grid.primaryKey ? groupRow.records.map((x) => x[this.grid.primaryKey]) : groupRow.records, clearPrevSelection);
  }
  groupBy_deselect_all_rows_in_group(groupRow) {
    this.grid.selectionService.deselectRowsWithNoEvent(this.grid.primaryKey ? groupRow.records.map((x) => x[this.grid.primaryKey]) : groupRow.records);
  }
  arrange_sorting_expressions() {
    const groupingState = this.grid.groupingExpressions;
    const sortingState = cloneArray(this.grid.sortingExpressions);
    for (const grExpr of groupingState) {
      const sortExprIndex = sortingState.findIndex((exp) => exp.fieldName === grExpr.fieldName);
      if (sortExprIndex > -1) {
        sortingState.splice(sortExprIndex, 1);
      }
    }
    this.grid.sortingExpressions = sortingState;
  }
  get_groupBy_record_id(gRow) {
    let recordId = "{ ";
    const hierrarchy = DataUtil.getHierarchy(gRow);
    for (let i = 0; i < hierrarchy.length; i++) {
      const groupByKey = hierrarchy[i];
      recordId += `'${groupByKey.fieldName}': '${groupByKey.value}'`;
      if (i < hierrarchy.length - 1) {
        recordId += ", ";
      }
    }
    recordId += " }";
    return recordId;
  }
  remove_grouping_expression(fieldName) {
    const groupingExpressions = this.grid.groupingExpressions;
    const index = groupingExpressions.findIndex((expr) => expr.fieldName === fieldName);
    if (index !== -1) {
      groupingExpressions.splice(index, 1);
    }
  }
  static {
    this.ɵfac = i0187.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0187, type: _IgxGridAPIService, deps: null, target: i0187.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0187.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0187, type: _IgxGridAPIService });
  }
};
i0187.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0187, type: IgxGridAPIService, decorators: [{
  type: Injectable31
}] });

// lib/grids/grid/groupby-row.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy31, Component as Component83, HostBinding as HostBinding84, HostListener as HostListener46, Input as Input114, ViewChild as ViewChild48, TemplateRef as TemplateRef28, Inject as Inject70 } from "@angular/core";
import { NgIf as NgIf55, NgTemplateOutlet as NgTemplateOutlet28, DecimalPipe, DatePipe as DatePipe7, getLocaleCurrencyCode as getLocaleCurrencyCode5, PercentPipe, CurrencyPipe as CurrencyPipe2 } from "@angular/common";
import { takeUntil as takeUntil41 } from "rxjs/operators";
import { Subject as Subject48 } from "rxjs";
import * as i0188 from "@angular/core";
var IgxGridGroupByRowComponent = class _IgxGridGroupByRowComponent {
  /**
   * Returns whether the row is focused.
   * ```
   * let gridRowFocused = this.grid1.rowList.first.focused;
   * ```
   */
  get focused() {
    return this.isActive();
  }
  /** @hidden @internal */
  get currencyCode() {
    return this.groupRow.column.pipeArgs.currencyCode ? this.groupRow.column.pipeArgs.currencyCode : getLocaleCurrencyCode5(this.grid.locale);
  }
  constructor(grid, gridSelection, element, cdr, filteringService) {
    this.grid = grid;
    this.gridSelection = gridSelection;
    this.element = element;
    this.cdr = cdr;
    this.filteringService = filteringService;
    this.isFocused = false;
    this.destroy$ = new Subject48();
    this.defaultCssClass = "igx-grid__group-row";
    this.paddingIndentationCssClass = "igx-grid__group-row--padding-level";
    this.gridSelection.selectedRowsChange.pipe(takeUntil41(this.destroy$)).subscribe(() => {
      this.cdr.markForCheck();
    });
  }
  activate() {
    this.grid.navigation.setActiveNode({ row: this.index });
  }
  onClick(event) {
    this.grid.rowClick.emit({
      row: this.grid.createRow(this.index),
      event
    });
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  /**
   * Returns whether the group row is expanded.
   * ```typescript
   * const groupRowExpanded = this.grid1.rowList.first.expanded;
   * ```
   */
  get expanded() {
    return this.grid.isExpandedGroup(this.groupRow);
  }
  /**
   * @hidden
   */
  get describedBy() {
    const grRowExpr = this.groupRow.expression !== void 0 ? this.groupRow.expression.fieldName : "";
    return this.gridID + "_" + grRowExpr;
  }
  get dataRowIndex() {
    return this.index;
  }
  /**
   * Returns a reference to the underlying HTML element.
   * ```typescript
   * const groupRowElement = this.nativeElement;
   * ```
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  get attrCellID() {
    return `${this.gridID}_${this.index}`;
  }
  /**
   * Returns the style classes applied to the group rows.
   * ```typescript
   * const groupCssStyles = this.grid1.rowList.first.styleClasses;
   * ```
   */
  get styleClasses() {
    return `${this.defaultCssClass} ${this.paddingIndentationCssClass}-` + this.groupRow.level + (this.isActive() ? ` ${this.defaultCssClass}--active` : "");
  }
  isActive() {
    return this.grid.navigation.activeNode ? this.grid.navigation.activeNode.row === this.index : false;
  }
  /**
   * @hidden @internal
   */
  getRowID(rowData) {
    return this.grid.primaryKey ? rowData[this.grid.primaryKey] : rowData;
  }
  /**
   * @hidden @internal
   */
  onGroupSelectorClick(event) {
    if (!this.grid.isMultiRowSelectionEnabled) {
      return;
    }
    event.stopPropagation();
    if (this.areAllRowsInTheGroupSelected) {
      this.gridSelection.deselectRows(this.groupRow.records.map((x) => this.getRowID(x)));
    } else {
      this.gridSelection.selectRows(this.groupRow.records.map((x) => this.getRowID(x)));
    }
  }
  /**
   * Toggles the group row.
   * ```typescript
   * this.grid1.rowList.first.toggle()
   * ```
   */
  toggle() {
    this.grid.toggleGroup(this.groupRow);
  }
  get iconTemplate() {
    if (this.expanded) {
      return this.grid.rowExpandedIndicatorTemplate || this.defaultGroupByExpandedTemplate;
    } else {
      return this.grid.rowCollapsedIndicatorTemplate || this.defaultGroupByCollapsedTemplate;
    }
  }
  get selectionNode() {
    return {
      row: this.index,
      column: this.gridSelection.activeElement ? this.gridSelection.activeElement.column : 0
    };
  }
  /**
   * @hidden @internal
  */
  get dataType() {
    const column = this.groupRow.column;
    return column && column.dataType || GridColumnDataType.String;
  }
  /**
   * @hidden @internal
   */
  get formatter() {
    const column = this.groupRow.column;
    return column && column.formatter || null;
  }
  /**
   * @hidden @internal
   */
  get areAllRowsInTheGroupSelected() {
    return this.groupRow.records.every((x) => this.gridSelection.isRowSelected(this.getRowID(x)));
  }
  /**
   * @hidden @internal
   */
  get selectedRowsInTheGroup() {
    const selectedIds = new Set(this.gridSelection.filteredSelectedRowIds);
    return this.groupRow.records.filter((rowID) => selectedIds.has(this.getRowID(rowID)));
  }
  /**
   * @hidden @internal
   */
  get groupByRowCheckboxIndeterminateState() {
    if (this.selectedRowsInTheGroup.length > 0) {
      return !this.areAllRowsInTheGroupSelected;
    }
    return false;
  }
  /**
   * @hidden @internal
   */
  get groupByRowSelectorBaseAriaLabel() {
    const ariaLabel = this.areAllRowsInTheGroupSelected ? this.grid.resourceStrings.igx_grid_groupByArea_deselect_message : this.grid.resourceStrings.igx_grid_groupByArea_select_message;
    return ariaLabel.replace("{0}", this.groupRow.expression.fieldName).replace("{1}", this.groupRow.value);
  }
  /**
   * @hidden @internal
   */
  get showRowSelectors() {
    return this.grid.rowSelection !== GridSelectionMode.none && !this.hideGroupRowSelectors;
  }
  static {
    this.ɵfac = i0188.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0188, type: _IgxGridGroupByRowComponent, deps: [{ token: IGX_GRID_BASE }, { token: IgxGridSelectionService }, { token: i0188.ElementRef }, { token: i0188.ChangeDetectorRef }, { token: IgxFilteringService }], target: i0188.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0188.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridGroupByRowComponent, isStandalone: true, selector: "igx-grid-groupby-row", inputs: { hideGroupRowSelectors: "hideGroupRowSelectors", rowDraggable: "rowDraggable", index: "index", gridID: "gridID", groupRow: "groupRow", isFocused: "isFocused" }, host: { listeners: { "pointerdown": "activate()", "click": "onClick($event)" }, properties: { "attr.aria-expanded": "this.expanded", "attr.aria-describedby": "this.describedBy", "attr.data-rowIndex": "this.dataRowIndex", "attr.id": "this.attrCellID", "class": "this.styleClasses" } }, viewQueries: [{ propertyName: "groupContent", first: true, predicate: ["groupContent"], descendants: true, static: true }, { propertyName: "defaultGroupByExpandedTemplate", first: true, predicate: ["defaultGroupByExpandedTemplate"], descendants: true, read: TemplateRef28, static: true }, { propertyName: "defaultGroupByCollapsedTemplate", first: true, predicate: ["defaultGroupByCollapsedTemplate"], descendants: true, read: TemplateRef28, static: true }], ngImport: i0188, template: `<ng-container #defaultGroupRow>

    <ng-container *ngIf="rowDraggable">
        <div class="igx-grid__drag-indicator igx-grid__tr-action">
            <igx-icon [style.visibility]="'hidden'">drag_indicator</igx-icon>
        </div>
    </ng-container>

    <ng-container *ngIf="showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (pointerdown)="$event.preventDefault()"
            (click)="onGroupSelectorClick($event)">
            <ng-template #groupByRowSelector *ngTemplateOutlet="
                this.grid.groupByRowSelectorTemplate ? this.grid.groupByRowSelectorTemplate : groupByRowSelectorBaseTemplate;
                context: { $implicit: {
                    selectedCount: selectedRowsInTheGroup.length,
                    totalCount: this.groupRow.records.length,
                    groupRow: this.groupRow }}">
            </ng-template>
        </div>
    </ng-container>

    <div (click)="toggle()" class="igx-grid__grouping-indicator">
        <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit: this }">
        </ng-container>
    </div>

    <div class="igx-grid__group-content" #groupContent>
        <ng-container
            *ngTemplateOutlet="grid.groupRowTemplate ? grid.groupRowTemplate : defaultGroupByTemplate; context: { $implicit: groupRow }">
        </ng-container>
    </div>

    <ng-template #defaultGroupByExpandedTemplate>
        <igx-icon>expand_more</igx-icon>
    </ng-template>

    <ng-template #defaultGroupByCollapsedTemplate>
        <igx-icon>chevron_right</igx-icon>
    </ng-template>


    <ng-template #defaultGroupByTemplate>
        <div class="igx-group-label">
            <igx-icon class="igx-group-label__icon">group_work</igx-icon>
            <span class="igx-group-label__column-name">
                {{ groupRow.column && groupRow.column.header ?
                groupRow.column.header :
                (groupRow.expression ? groupRow.expression.fieldName : '') }}:
            </span>

            <span class="igx-group-label__text">{{
                formatter
                    ? (groupRow.value | columnFormatter:formatter:groupRow.records[0]:null)
                    : dataType === "number"
                    ? (groupRow.value | number:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : (dataType === 'date' || dataType === 'time' || dataType === 'dateTime')
                    ? (groupRow.value | date:groupRow.column.pipeArgs.format:groupRow.column.pipeArgs.timezone:grid.locale)
                    : dataType === 'currency'
                    ? (groupRow.value | currency:currencyCode:groupRow.column.pipeArgs.display:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : dataType === 'percent'
                    ? (groupRow.value | percent:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : groupRow.value
            }}</span>

            <igx-badge [value]="groupRow.records ? groupRow.records.length : 0" class='igx-group-label__count-badge'>
            </igx-badge>
        </div>
    </ng-template>
    <ng-template #groupByRowSelectorBaseTemplate let-context>
        <div class="igx-grid__cbx-padding">
            <igx-checkbox [tabindex]="-1" [readonly]="true" [checked]="areAllRowsInTheGroupSelected"
                [disableRipple]="true" [indeterminate]="groupByRowCheckboxIndeterminateState"
                [disabled]="this.grid.rowSelection === 'single'" [aria-label]="groupByRowSelectorBaseAriaLabel"
                #groupByRowCheckbox>
            </igx-checkbox>
        </div>
    </ng-template>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf55, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet28, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: DecimalPipe, name: "number" }, { kind: "pipe", type: DatePipe7, name: "date" }, { kind: "pipe", type: PercentPipe, name: "percent" }, { kind: "pipe", type: CurrencyPipe2, name: "currency" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxBadgeComponent, selector: "igx-badge", inputs: ["id", "type", "value", "icon", "iconSet", "shape"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "pipe", type: IgxColumnFormatterPipe, name: "columnFormatter" }], changeDetection: i0188.ChangeDetectionStrategy.OnPush });
  }
};
i0188.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0188, type: IgxGridGroupByRowComponent, decorators: [{
  type: Component83,
  args: [{ changeDetection: ChangeDetectionStrategy31.OnPush, selector: "igx-grid-groupby-row", standalone: true, imports: [
    NgIf55,
    NgTemplateOutlet28,
    DecimalPipe,
    DatePipe7,
    PercentPipe,
    CurrencyPipe2,
    IgxIconComponent,
    IgxBadgeComponent,
    IgxCheckboxComponent,
    IgxColumnFormatterPipe
  ], template: `<ng-container #defaultGroupRow>

    <ng-container *ngIf="rowDraggable">
        <div class="igx-grid__drag-indicator igx-grid__tr-action">
            <igx-icon [style.visibility]="'hidden'">drag_indicator</igx-icon>
        </div>
    </ng-container>

    <ng-container *ngIf="showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (pointerdown)="$event.preventDefault()"
            (click)="onGroupSelectorClick($event)">
            <ng-template #groupByRowSelector *ngTemplateOutlet="
                this.grid.groupByRowSelectorTemplate ? this.grid.groupByRowSelectorTemplate : groupByRowSelectorBaseTemplate;
                context: { $implicit: {
                    selectedCount: selectedRowsInTheGroup.length,
                    totalCount: this.groupRow.records.length,
                    groupRow: this.groupRow }}">
            </ng-template>
        </div>
    </ng-container>

    <div (click)="toggle()" class="igx-grid__grouping-indicator">
        <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit: this }">
        </ng-container>
    </div>

    <div class="igx-grid__group-content" #groupContent>
        <ng-container
            *ngTemplateOutlet="grid.groupRowTemplate ? grid.groupRowTemplate : defaultGroupByTemplate; context: { $implicit: groupRow }">
        </ng-container>
    </div>

    <ng-template #defaultGroupByExpandedTemplate>
        <igx-icon>expand_more</igx-icon>
    </ng-template>

    <ng-template #defaultGroupByCollapsedTemplate>
        <igx-icon>chevron_right</igx-icon>
    </ng-template>


    <ng-template #defaultGroupByTemplate>
        <div class="igx-group-label">
            <igx-icon class="igx-group-label__icon">group_work</igx-icon>
            <span class="igx-group-label__column-name">
                {{ groupRow.column && groupRow.column.header ?
                groupRow.column.header :
                (groupRow.expression ? groupRow.expression.fieldName : '') }}:
            </span>

            <span class="igx-group-label__text">{{
                formatter
                    ? (groupRow.value | columnFormatter:formatter:groupRow.records[0]:null)
                    : dataType === "number"
                    ? (groupRow.value | number:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : (dataType === 'date' || dataType === 'time' || dataType === 'dateTime')
                    ? (groupRow.value | date:groupRow.column.pipeArgs.format:groupRow.column.pipeArgs.timezone:grid.locale)
                    : dataType === 'currency'
                    ? (groupRow.value | currency:currencyCode:groupRow.column.pipeArgs.display:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : dataType === 'percent'
                    ? (groupRow.value | percent:groupRow.column.pipeArgs.digitsInfo:grid.locale)
                    : groupRow.value
            }}</span>

            <igx-badge [value]="groupRow.records ? groupRow.records.length : 0" class='igx-group-label__count-badge'>
            </igx-badge>
        </div>
    </ng-template>
    <ng-template #groupByRowSelectorBaseTemplate let-context>
        <div class="igx-grid__cbx-padding">
            <igx-checkbox [tabindex]="-1" [readonly]="true" [checked]="areAllRowsInTheGroupSelected"
                [disableRipple]="true" [indeterminate]="groupByRowCheckboxIndeterminateState"
                [disabled]="this.grid.rowSelection === 'single'" [aria-label]="groupByRowSelectorBaseAriaLabel"
                #groupByRowCheckbox>
            </igx-checkbox>
        </div>
    </ng-template>
</ng-container>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject70,
  args: [IGX_GRID_BASE]
}] }, { type: IgxGridSelectionService }, { type: i0188.ElementRef }, { type: i0188.ChangeDetectorRef }, { type: IgxFilteringService }], propDecorators: { hideGroupRowSelectors: [{
  type: Input114
}], rowDraggable: [{
  type: Input114
}], index: [{
  type: Input114
}], gridID: [{
  type: Input114
}], groupRow: [{
  type: Input114
}], groupContent: [{
  type: ViewChild48,
  args: ["groupContent", { static: true }]
}], isFocused: [{
  type: Input114
}], defaultGroupByExpandedTemplate: [{
  type: ViewChild48,
  args: ["defaultGroupByExpandedTemplate", { read: TemplateRef28, static: true }]
}], defaultGroupByCollapsedTemplate: [{
  type: ViewChild48,
  args: ["defaultGroupByCollapsedTemplate", { read: TemplateRef28, static: true }]
}], activate: [{
  type: HostListener46,
  args: ["pointerdown"]
}], onClick: [{
  type: HostListener46,
  args: ["click", ["$event"]]
}], expanded: [{
  type: HostBinding84,
  args: ["attr.aria-expanded"]
}], describedBy: [{
  type: HostBinding84,
  args: ["attr.aria-describedby"]
}], dataRowIndex: [{
  type: HostBinding84,
  args: ["attr.data-rowIndex"]
}], attrCellID: [{
  type: HostBinding84,
  args: ["attr.id"]
}], styleClasses: [{
  type: HostBinding84,
  args: ["class"]
}] } });

// lib/grids/grid-mrl-navigation.service.mjs
import { Injectable as Injectable32 } from "@angular/core";
import { first as first10 } from "rxjs/operators";
import * as i0189 from "@angular/core";
var IgxGridMRLNavigationService = class _IgxGridMRLNavigationService extends IgxGridNavigationService {
  isValidPosition(rowIndex, colIndex) {
    if (rowIndex < 0 || colIndex < 0 || this.grid.dataView.length - 1 < rowIndex || Math.max(...this.grid.visibleColumns.map((col) => col.visibleIndex)) < colIndex || this.activeNode.column !== colIndex && !this.isDataRow(rowIndex, true)) {
      return false;
    }
    return true;
  }
  shouldPerformVerticalScroll(targetRowIndex, visibleColIndex) {
    if (!super.shouldPerformVerticalScroll(targetRowIndex, visibleColIndex)) {
      return false;
    }
    if (!this.isDataRow(targetRowIndex) || visibleColIndex < 0) {
      return super.shouldPerformVerticalScroll(targetRowIndex, visibleColIndex);
    }
    const targetRow = super.getRowElementByIndex(targetRowIndex);
    const containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
    const scrollPos = this.getVerticalScrollPositions(targetRowIndex, visibleColIndex);
    return !targetRow || targetRow.offsetTop + scrollPos.topOffset < Math.abs(this.containerTopOffset) || containerHeight && containerHeight < scrollPos.rowBottom - Math.ceil(this.scrollTop);
  }
  isColumnFullyVisible(visibleColIndex) {
    const targetCol = this.grid.getColumnByVisibleIndex(visibleColIndex);
    if (this.isParentColumnFullyVisible(targetCol?.parent) || super.isColumnPinned(visibleColIndex, this.forOfDir())) {
      return true;
    }
    const scrollPos = this.getChildColumnScrollPositions(visibleColIndex);
    const colWidth = scrollPos.rightScroll - scrollPos.leftScroll;
    if (this.displayContainerWidth < colWidth && this.displayContainerScrollLeft === scrollPos.leftScroll) {
      return true;
    }
    return this.displayContainerWidth >= scrollPos.rightScroll - this.displayContainerScrollLeft && this.displayContainerScrollLeft <= scrollPos.leftScroll;
  }
  getVerticalScrollPositions(rowIndex, visibleIndex) {
    const targetCol = this.grid.getColumnByVisibleIndex(visibleIndex);
    const rowSpan = targetCol.rowEnd && targetCol.rowEnd - targetCol.rowStart ? targetCol.rowEnd - targetCol.rowStart : 1;
    const topOffset = this.grid.defaultRowHeight * (targetCol.rowStart - 1);
    const rowTop = this.grid.verticalScrollContainer.sizesCache[rowIndex] + topOffset;
    return { topOffset, rowTop, rowBottom: rowTop + this.grid.defaultRowHeight * rowSpan };
  }
  performHorizontalScrollToCell(visibleColumnIndex, cb) {
    if (!this.shouldPerformHorizontalScroll(visibleColumnIndex)) {
      return;
    }
    const scrollPos = this.getChildColumnScrollPositions(visibleColumnIndex);
    const startScroll = scrollPos.rightScroll - this.displayContainerScrollLeft;
    const nextScroll = !(this.displayContainerScrollLeft <= scrollPos.leftScroll) && this.displayContainerWidth >= startScroll ? scrollPos.leftScroll : scrollPos.rightScroll - this.displayContainerWidth;
    this.forOfDir().getScroll().scrollLeft = nextScroll;
    this.grid.parentVirtDir.chunkLoad.pipe(first10()).subscribe(() => {
      if (cb) {
        cb();
      }
    });
  }
  performVerticalScrollToCell(rowIndex, visibleColIndex, cb) {
    const children = this.parentByChildIndex(visibleColIndex || 0)?.children;
    if (!super.isDataRow(rowIndex) || children && children.length < 2 || visibleColIndex < 0) {
      return super.performVerticalScrollToCell(rowIndex, visibleColIndex, cb);
    }
    const containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
    const pos = this.getVerticalScrollPositions(rowIndex, visibleColIndex);
    const row = super.getRowElementByIndex(rowIndex);
    if (this.scrollTop > pos.rowTop && (!row || row.offsetTop + pos.topOffset < Math.abs(this.containerTopOffset))) {
      if (pos.topOffset === 0) {
        this.grid.verticalScrollContainer.scrollTo(rowIndex);
      } else {
        this.grid.verticalScrollContainer.scrollPosition = pos.rowTop;
      }
    } else {
      this.grid.verticalScrollContainer.addScrollTop(Math.abs(pos.rowBottom - this.scrollTop - containerHeight));
    }
    this.grid.verticalScrollContainer.chunkLoad.pipe(first10()).subscribe(() => {
      if (cb) {
        cb();
      }
    });
  }
  getNextHorizontalCellPosition(previous = false) {
    const parent = this.parentByChildIndex(this.activeNode.column);
    if (!this.hasNextHorizontalPosition(previous, parent)) {
      return { row: this.activeNode.row, column: this.activeNode.column };
    }
    const columns = previous ? parent.children.filter((c) => c.rowStart <= this.activeNode.layout.rowStart).sort((a, b) => b.visibleIndex - a.visibleIndex) : parent.children.filter((c) => c.rowStart <= this.activeNode.layout.rowStart);
    let column = columns.find((col) => previous ? col.visibleIndex < this.activeNode.column && this.rowEnd(col) > this.activeNode.layout.rowStart : col.visibleIndex > this.activeNode.column && col.colStart > this.activeNode.layout.colStart);
    if (!column || previous && this.activeNode.layout.colStart === 1) {
      const index = previous ? parent.visibleIndex - 1 : parent.visibleIndex + 1;
      const children = this.grid.columns.find((cols) => cols.columnLayout && cols.visibleIndex === index).children;
      column = previous ? children.toArray().reverse().find((child) => child.rowStart <= this.activeNode.layout.rowStart) : children.find((child) => this.rowEnd(child) > this.activeNode.layout.rowStart && child.colStart === 1);
    }
    return { row: this.activeNode.row, column: column.visibleIndex };
  }
  getNextVerticalPosition(previous = false) {
    this.activeNode.column = this.activeNode.column || 0;
    if (!this.hasNextVerticalPosition(previous)) {
      return { row: this.activeNode.row, column: this.activeNode.column };
    }
    const currentRowStart = this.grid.getColumnByVisibleIndex(this.activeNode.column).rowStart;
    const nextBlock = !this.isDataRow(this.activeNode.row) || (previous ? currentRowStart === 1 : currentRowStart === this.lastRowStartPerBlock());
    const nextRI = previous ? this.activeNode.row - 1 : this.activeNode.row + 1;
    if (nextBlock && !this.isDataRow(nextRI)) {
      return { row: nextRI, column: this.activeNode.column };
    }
    const children = this.parentByChildIndex(this.activeNode.column).children;
    const col = previous ? this.getPreviousRowIndex(children, nextBlock) : this.getNextRowIndex(children, nextBlock);
    return { row: nextBlock ? nextRI : this.activeNode.row, column: col.visibleIndex };
  }
  headerNavigation(event) {
    const key = event.key.toLowerCase();
    if (!HEADER_KEYS.has(key)) {
      return;
    }
    event.preventDefault();
    if (!this.activeNode.layout) {
      this.activeNode.layout = this.layout(this.activeNode.column || 0);
    }
    const alt = event.altKey;
    const ctrl = event.ctrlKey;
    this.performHeaderKeyCombination(this.grid.getColumnByVisibleIndex(this.activeNode.column), key, event.shiftKey, ctrl, alt, event);
    if (!ctrl && !alt && (key.includes("down") || key.includes("up"))) {
      const children = this.parentByChildIndex(this.activeNode.column).children;
      const col = key.includes("down") ? this.getNextRowIndex(children, false) : this.getPreviousRowIndex(children, false);
      if (!col) {
        return;
      }
      this.activeNode.column = col.visibleIndex;
      const layout = this.layout(this.activeNode.column);
      const nextLayout = { ...this.activeNode.layout, rowStart: layout.rowStart, rowEnd: layout.rowEnd };
      this.setActiveNode({ row: this.activeNode.row, layout: nextLayout });
      return;
    }
    this.horizontalNav(event, key, -1, "headerCell");
  }
  /**
   * @hidden
   * @internal
   */
  layout(visibleIndex) {
    const column = this.grid.getColumnByVisibleIndex(visibleIndex);
    return {
      colStart: column.colStart,
      rowStart: column.rowStart,
      colEnd: column.colEnd,
      rowEnd: column.rowEnd,
      columnVisibleIndex: column.visibleIndex
    };
  }
  getNextPosition(rowIndex, colIndex, key, shift, ctrl, event) {
    if (!this.activeNode.layout) {
      this.activeNode.layout = this.layout(this.activeNode.column || 0);
    }
    switch (key) {
      case "tab":
      case " ":
      case "spacebar":
      case "space":
      case "escape":
      case "esc":
      case "enter":
      case "f2":
        super.getNextPosition(rowIndex, colIndex, key, shift, ctrl, event);
        break;
      case "end":
        rowIndex = ctrl ? this.findLastDataRowIndex() : this.activeNode.row;
        colIndex = ctrl ? this.lastColIndexPerMRLBlock(this.lastIndexPerRow) : this.lastIndexPerRow;
        break;
      case "home":
        rowIndex = ctrl ? this.findFirstDataRowIndex() : this.activeNode.row;
        colIndex = ctrl ? 0 : this.firstIndexPerRow;
        break;
      case "arrowleft":
      case "left":
        colIndex = ctrl ? this.firstIndexPerRow : this.getNextHorizontalCellPosition(true).column;
        break;
      case "arrowright":
      case "right":
        colIndex = ctrl ? this.lastIndexPerRow : this.getNextHorizontalCellPosition().column;
        break;
      case "arrowup":
      case "up":
        const prevPos = this.getNextVerticalPosition(true);
        colIndex = ctrl ? this.activeNode.column : prevPos.column;
        rowIndex = ctrl ? this.findFirstDataRowIndex() : prevPos.row;
        break;
      case "arrowdown":
      case "down":
        const nextPos = this.getNextVerticalPosition();
        colIndex = ctrl ? this.activeNode.column : nextPos.column;
        rowIndex = ctrl ? this.findLastDataRowIndex() : nextPos.row;
        break;
      default:
        return;
    }
    const nextLayout = this.layout(colIndex);
    const newLayout = key.includes("up") || key.includes("down") ? { rowStart: nextLayout.rowStart } : { colStart: nextLayout.colStart };
    Object.assign(this.activeNode.layout, newLayout, { rowEnd: nextLayout.rowEnd });
    if (ctrl && (key === "home" || key === "end")) {
      this.activeNode.layout = nextLayout;
    }
    return { rowIndex, colIndex };
  }
  horizontalNav(event, key, rowIndex, tag) {
    const ctrl = event.ctrlKey;
    if (!HORIZONTAL_NAV_KEYS.has(key) || event.altKey) {
      return;
    }
    this.activeNode.row = rowIndex;
    const newActiveNode = {
      column: this.activeNode.column,
      mchCache: {
        level: this.activeNode.level,
        visibleIndex: this.activeNode.column
      }
    };
    if ((key.includes("left") || key === "home") && this.activeNode.column > 0) {
      newActiveNode.column = ctrl || key === "home" ? this.firstIndexPerRow : this.getNextHorizontalCellPosition(true).column;
    }
    if ((key.includes("right") || key === "end") && this.activeNode.column !== this.lastIndexPerRow) {
      newActiveNode.column = ctrl || key === "end" ? this.lastIndexPerRow : this.getNextHorizontalCellPosition().column;
    }
    if (tag === "headerCell") {
      const column = this.grid.getColumnByVisibleIndex(newActiveNode.column);
      newActiveNode.mchCache.level = column.level;
      newActiveNode.mchCache.visibleIndex = column.visibleIndex;
    }
    const layout = this.layout(newActiveNode.column);
    const newLayout = { ...this.activeNode.layout, colStart: layout.colStart, rowEnd: layout.rowEnd };
    this.setActiveNode({
      row: this.activeNode.row,
      column: newActiveNode.column,
      layout: newLayout,
      mchCache: newActiveNode.mchCache
    });
    this.performHorizontalScrollToCell(newActiveNode.column);
  }
  isParentColumnFullyVisible(parent) {
    if (!this.forOfDir().getScroll().clientWidth || parent?.pinned) {
      return true;
    }
    const index = this.forOfDir().igxForOf.indexOf(parent);
    return this.displayContainerWidth >= this.forOfDir().getColumnScrollLeft(index + 1) - this.displayContainerScrollLeft && this.displayContainerScrollLeft <= this.forOfDir().getColumnScrollLeft(index);
  }
  getChildColumnScrollPositions(visibleColIndex) {
    const targetCol = this.grid.getColumnByVisibleIndex(visibleColIndex);
    const parentVIndex = this.forOfDir().igxForOf.indexOf(targetCol.parent);
    let leftScroll = this.forOfDir().getColumnScrollLeft(parentVIndex);
    let rightScroll = this.forOfDir().getColumnScrollLeft(parentVIndex + 1);
    targetCol.parent.children.forEach((c) => {
      if (c.rowStart >= targetCol.rowStart && c.visibleIndex < targetCol.visibleIndex) {
        leftScroll += parseInt(c.width, 10);
      }
      if (c.rowStart <= targetCol.rowStart && c.visibleIndex > targetCol.visibleIndex) {
        rightScroll -= parseInt(c.width, 10);
      }
    });
    return { leftScroll, rightScroll };
  }
  getNextRowIndex(children, next) {
    const rowStart = next ? 1 : this.rowEnd(this.grid.getColumnByVisibleIndex(this.activeNode.column));
    const col = children.filter((c) => c.rowStart === rowStart);
    return col.find((co) => co.colStart === this.activeNode.layout.colStart) || col.sort((a, b) => b.visibleIndex - a.visibleIndex).find((co) => co.colStart <= this.activeNode.layout.colStart);
  }
  getPreviousRowIndex(children, prev) {
    const end = prev ? Math.max(...children.map((c) => this.rowEnd(c))) : this.grid.getColumnByVisibleIndex(this.activeNode.column).rowStart;
    const col = children.filter((c) => this.rowEnd(c) === end);
    return col.find((co) => co.colStart === this.activeNode.layout.colStart) || col.sort((a, b) => b.visibleIndex - a.visibleIndex).find((co) => co.colStart <= this.activeNode.layout.colStart);
  }
  get lastIndexPerRow() {
    const children = this.grid.visibleColumns.find((c) => c.visibleIndex === this.lastLayoutIndex && c.columnLayout).children.toArray().reverse();
    const column = children.find((co) => co.rowStart === this.activeNode.layout.rowStart) || children.find((co) => co.rowStart <= this.activeNode.layout.rowStart);
    return column.visibleIndex;
  }
  get firstIndexPerRow() {
    const children = this.grid.visibleColumns.find((c) => c.visibleIndex === 0 && c.columnLayout).children;
    const column = children.find((co) => co.rowStart === this.activeNode.layout.rowStart) || children.find((co) => co.rowStart <= this.activeNode.layout.rowStart);
    return column.visibleIndex;
  }
  get lastLayoutIndex() {
    return Math.max(...this.grid.visibleColumns.filter((c) => c.columnLayout).map((col) => col.visibleIndex));
  }
  get scrollTop() {
    return Math.abs(this.grid.verticalScrollContainer.getScroll().scrollTop);
  }
  lastColIndexPerMRLBlock(visibleIndex = this.activeNode.column) {
    return this.parentByChildIndex(visibleIndex).children.last.visibleIndex;
  }
  lastRowStartPerBlock(visibleIndex = this.activeNode.column) {
    return Math.max(...this.parentByChildIndex(visibleIndex).children.map((c) => c.rowStart));
  }
  rowEnd(column) {
    return column.rowEnd && column.rowEnd - column.rowStart ? column.rowStart + column.rowEnd - column.rowStart : column.rowStart + 1;
  }
  parentByChildIndex(visibleIndex) {
    return this.grid.getColumnByVisibleIndex(visibleIndex)?.parent;
  }
  hasNextHorizontalPosition(previous = false, parent) {
    if (previous && parent.visibleIndex === 0 && this.activeNode.layout.colStart === 1 || !previous && parent.visibleIndex === this.lastLayoutIndex && this.activeNode.column === this.lastIndexPerRow) {
      return false;
    }
    return true;
  }
  hasNextVerticalPosition(prev = false) {
    if (prev && this.activeNode.row === 0 && (!this.isDataRow(this.activeNode.row) || this.activeNode.layout.rowStart === 1) || !prev && this.activeNode.row >= this.grid.dataView.length - 1 && this.activeNode.column === this.lastColIndexPerMRLBlock()) {
      return false;
    }
    return true;
  }
  static {
    this.ɵfac = i0189.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0189, type: _IgxGridMRLNavigationService, deps: null, target: i0189.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0189.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0189, type: _IgxGridMRLNavigationService });
  }
};
i0189.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0189, type: IgxGridMRLNavigationService, decorators: [{
  type: Injectable32
}] });

// lib/grids/grid/grid.details.pipe.mjs
import { Pipe as Pipe10, Inject as Inject71 } from "@angular/core";
import * as i0190 from "@angular/core";
var IgxGridDetailsPipe = class _IgxGridDetailsPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, hasDetails, expansionStates, _pipeTrigger) {
    if (!hasDetails) {
      return collection;
    }
    const res = this.addDetailRows(collection, expansionStates);
    return res;
  }
  addDetailRows(collection, _expansionStates) {
    const result = [];
    collection.forEach((v) => {
      result.push(v);
      if (!this.grid.isGroupByRecord(v) && !this.grid.isSummaryRow(v) && this.grid.gridAPI.get_row_expansion_state(v)) {
        const detailsObj = { detailsData: v };
        result.push(detailsObj);
      }
    });
    return result;
  }
  static {
    this.ɵfac = i0190.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0190, type: _IgxGridDetailsPipe, deps: [{ token: IGX_GRID_BASE }], target: i0190.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0190.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0190, type: _IgxGridDetailsPipe, isStandalone: true, name: "gridDetails" });
  }
};
i0190.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0190, type: IgxGridDetailsPipe, decorators: [{
  type: Pipe10,
  args: [{
    name: "gridDetails",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject71,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/grid/grid.summary.pipe.mjs
import { Inject as Inject72, Pipe as Pipe11 } from "@angular/core";
import * as i0191 from "@angular/core";
var IgxGridSummaryPipe = class _IgxGridSummaryPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, hasSummary, summaryCalculationMode, summaryPosition, id, showSummary, _, __) {
    if (!collection.data || !hasSummary || summaryCalculationMode === GridSummaryCalculationMode.rootLevelOnly) {
      return collection.data;
    }
    return this.addSummaryRows(id, collection, summaryPosition, showSummary);
  }
  addSummaryRows(gridId, collection, summaryPosition, showSummary) {
    const recordsWithSummary = [];
    const lastChildMap = /* @__PURE__ */ new Map();
    const maxSummaryHeight = this.grid.summaryService.calcMaxSummaryHeight();
    if (collection.metadata.length && !this.grid.isGroupByRecord(collection.data[0]) && this.grid.isGroupByRecord(collection.metadata[0]) && summaryPosition === GridSummaryPosition.bottom) {
      const groups = [];
      groups.push(collection.metadata[0]);
      while (groups[groups.length - 1].groupParent) {
        groups.push(groups[groups.length - 1].groupParent);
      }
      groups.reverse();
      groups.forEach((g) => g.skip = true);
      collection.data.splice(0, 0, ...groups);
    }
    for (const record of collection.data) {
      let skipAdd = false;
      let recordId;
      let groupByRecord = null;
      if (this.grid.isGroupByRecord(record)) {
        skipAdd = !!record.skip;
        record.skip = null;
        groupByRecord = record;
        recordId = this.grid.gridAPI.get_groupBy_record_id(groupByRecord);
      } else {
        recordId = this.grid.gridAPI.get_row_id(record);
      }
      if (!skipAdd) {
        recordsWithSummary.push(record);
      }
      if (summaryPosition === GridSummaryPosition.bottom && showSummary && (groupByRecord && !this.grid.isExpandedGroup(groupByRecord))) {
        const records = this.removeDeletedRecord(this.grid, groupByRecord.records.slice());
        const summaries = this.grid.summaryService.calculateSummaries(recordId, records);
        const summaryRecord = {
          summaries,
          max: maxSummaryHeight
        };
        recordsWithSummary.push(summaryRecord);
      }
      if (summaryPosition === GridSummaryPosition.bottom && lastChildMap.has(recordId)) {
        const groupRecords = lastChildMap.get(recordId);
        for (const groupRecord of groupRecords) {
          const groupRecordId = this.grid.gridAPI.get_groupBy_record_id(groupRecord);
          const records = this.removeDeletedRecord(this.grid, groupRecord.records.slice());
          const summaries = this.grid.summaryService.calculateSummaries(groupRecordId, records, groupRecord);
          const summaryRecord = {
            summaries,
            max: maxSummaryHeight
          };
          recordsWithSummary.push(summaryRecord);
        }
      }
      const showSummaries = showSummary ? false : groupByRecord && !this.grid.isExpandedGroup(groupByRecord);
      if (groupByRecord === null || showSummaries) {
        continue;
      }
      if (summaryPosition === GridSummaryPosition.top) {
        const records = this.removeDeletedRecord(this.grid, groupByRecord.records.slice());
        const summaries = this.grid.summaryService.calculateSummaries(recordId, records, groupByRecord);
        const summaryRecord = {
          summaries,
          max: maxSummaryHeight
        };
        recordsWithSummary.push(summaryRecord);
      } else if (summaryPosition === GridSummaryPosition.bottom) {
        let lastChild = groupByRecord;
        while (lastChild.groups && lastChild.groups.length > 0 && this.grid.isExpandedGroup(lastChild)) {
          lastChild = lastChild.groups[lastChild.groups.length - 1];
        }
        let lastChildId;
        if (this.grid.isExpandedGroup(lastChild)) {
          lastChildId = this.grid.gridAPI.get_row_id(lastChild.records[lastChild.records.length - 1]);
        } else {
          lastChildId = this.grid.gridAPI.get_groupBy_record_id(lastChild);
        }
        let groupRecords = lastChildMap.get(lastChildId);
        if (!groupRecords) {
          groupRecords = [];
          lastChildMap.set(lastChildId, groupRecords);
        }
        groupRecords.unshift(groupByRecord);
      }
    }
    return recordsWithSummary;
  }
  removeDeletedRecord(grid, data) {
    if (!grid.transactions.enabled) {
      return data;
    }
    const deletedRows = grid.transactions.getTransactionLog().filter((t) => t.type === "delete").map((t) => t.id);
    deletedRows.forEach((rowID) => {
      const tempData = grid.primaryKey ? data.map((rec) => rec[grid.primaryKey]) : data;
      const index = tempData.indexOf(rowID);
      if (index !== -1) {
        data.splice(index, 1);
      }
    });
    return data;
  }
  static {
    this.ɵfac = i0191.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0191, type: _IgxGridSummaryPipe, deps: [{ token: IGX_GRID_BASE }], target: i0191.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0191.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0191, type: _IgxGridSummaryPipe, isStandalone: true, name: "gridSummary" });
  }
};
i0191.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0191, type: IgxGridSummaryPipe, decorators: [{
  type: Pipe11,
  args: [{
    name: "gridSummary",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject72,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/grid/grid.pipes.mjs
import { Inject as Inject73, Pipe as Pipe12 } from "@angular/core";
import * as i0192 from "@angular/core";
var IgxGridSortingPipe = class _IgxGridSortingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, sortExpressions, groupExpressions, sorting, id, pipeTrigger, pinned) {
    let result;
    const expressions = groupExpressions.concat(sortExpressions);
    if (!expressions.length) {
      result = collection;
    } else {
      result = DataUtil.sort(cloneArray(collection), expressions, sorting, this.grid);
    }
    this.grid.setFilteredSortedData(result, pinned);
    return result;
  }
  static {
    this.ɵfac = i0192.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridSortingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0192.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0192.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridSortingPipe, isStandalone: true, name: "gridSort" });
  }
};
i0192.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: IgxGridSortingPipe, decorators: [{
  type: Pipe12,
  args: [{
    name: "gridSort",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject73,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridGroupingPipe = class _IgxGridGroupingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, expression, expansion, groupingStrategy, defaultExpanded, id, groupsRecords, _pipeTrigger) {
    const state = { expressions: [], expansion: [], defaultExpanded };
    state.expressions = this.grid.groupingExpressions;
    let result;
    const fullResult = { data: [], metadata: [] };
    if (!state.expressions.length) {
      groupsRecords.splice(0, groupsRecords.length);
      result = {
        data: collection,
        metadata: collection
      };
    } else {
      state.expansion = this.grid.groupingExpansionState;
      state.defaultExpanded = this.grid.groupsExpanded;
      result = DataUtil.group(cloneArray(collection), state, groupingStrategy, this.grid, groupsRecords, fullResult);
    }
    this.grid.groupingFlatResult = result.data;
    this.grid.groupingResult = fullResult.data;
    this.grid.groupingMetadata = fullResult.metadata;
    return result;
  }
  static {
    this.ɵfac = i0192.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridGroupingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0192.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0192.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridGroupingPipe, isStandalone: true, name: "gridGroupBy" });
  }
};
i0192.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: IgxGridGroupingPipe, decorators: [{
  type: Pipe12,
  args: [{
    name: "gridGroupBy",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject73,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridPagingPipe = class _IgxGridPagingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, enabled, page = 0, perPage = 15, _) {
    if (!enabled || this.grid.pagingMode !== GridPagingMode.Local) {
      return collection;
    }
    const state = {
      index: page,
      recordsPerPage: perPage
    };
    const total = this.grid._totalRecords >= 0 ? this.grid._totalRecords : collection.data?.length;
    DataUtil.correctPagingState(state, total);
    const result = {
      data: DataUtil.page(cloneArray(collection.data), state, total),
      metadata: DataUtil.page(cloneArray(collection.metadata), state, total)
    };
    if (this.grid.page !== state.index) {
      this.grid.page = state.index;
    }
    this.grid.pagingState = state;
    return result;
  }
  static {
    this.ɵfac = i0192.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridPagingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0192.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0192.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridPagingPipe, isStandalone: true, name: "gridPaging" });
  }
};
i0192.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: IgxGridPagingPipe, decorators: [{
  type: Pipe12,
  args: [{
    name: "gridPaging",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject73,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridFilteringPipe = class _IgxGridFilteringPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, expressionsTree, filterStrategy, advancedExpressionsTree, id, pipeTrigger, filteringPipeTrigger, pinned) {
    const state = {
      expressionsTree,
      strategy: filterStrategy,
      advancedExpressionsTree
    };
    if (FilteringExpressionsTree.empty(state.expressionsTree) && FilteringExpressionsTree.empty(state.advancedExpressionsTree)) {
      return collection;
    }
    const result = FilterUtil.filter(cloneArray(collection), state, this.grid);
    this.grid.setFilteredData(result, pinned);
    return result;
  }
  static {
    this.ɵfac = i0192.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridFilteringPipe, deps: [{ token: IGX_GRID_BASE }], target: i0192.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0192.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: _IgxGridFilteringPipe, isStandalone: true, name: "gridFiltering" });
  }
};
i0192.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0192, type: IgxGridFilteringPipe, decorators: [{
  type: Pipe12,
  args: [{
    name: "gridFiltering",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject73,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/summaries/grid-root-summary.pipe.mjs
import { Inject as Inject74, Pipe as Pipe13 } from "@angular/core";
import * as i0193 from "@angular/core";
var IgxSummaryDataPipe = class _IgxSummaryDataPipe {
  constructor(grid) {
    this.grid = grid;
  }
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  transform(id, trigger = 0) {
    const summaryService = this.grid.summaryService;
    return summaryService.calculateSummaries(summaryService.rootSummaryID, this.grid.gridAPI.get_summary_data());
  }
  static {
    this.ɵfac = i0193.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0193, type: _IgxSummaryDataPipe, deps: [{ token: IGX_GRID_BASE }], target: i0193.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0193.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0193, type: _IgxSummaryDataPipe, isStandalone: true, name: "igxGridSummaryDataPipe" });
  }
};
i0193.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0193, type: IgxSummaryDataPipe, decorators: [{
  type: Pipe13,
  args: [{
    name: "igxGridSummaryDataPipe",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject74,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/cell.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy33, Component as Component84, HostBinding as HostBinding85, HostListener as HostListener47, Input as Input115, TemplateRef as TemplateRef29, ViewChild as ViewChild49, Inject as Inject75, ViewChildren as ViewChildren17, booleanAttribute as booleanAttribute67 } from "@angular/core";
import { formatPercent as formatPercent4, NgIf as NgIf56, NgClass as NgClass21, NgTemplateOutlet as NgTemplateOutlet29, DecimalPipe as DecimalPipe2, PercentPipe as PercentPipe2, CurrencyPipe as CurrencyPipe3, DatePipe as DatePipe8, getLocaleCurrencyCode as getLocaleCurrencyCode6, getCurrencySymbol } from "@angular/common";
import { ReactiveFormsModule } from "@angular/forms";
import { first as first11, takeUntil as takeUntil42, takeWhile as takeWhile2 } from "rxjs/operators";
import { Subject as Subject49 } from "rxjs";
import * as i0194 from "@angular/core";
import * as i42 from "@angular/forms";
var IgxGridCellComponent = class _IgxGridCellComponent {
  /**
   * @hidden
   * @internal
   */
  get isEmptyAddRowCell() {
    return this.intRow.addRowUI && (this.value === void 0 || this.value === null);
  }
  /**
   * @hidden
   * @internal
   */
  get formGroup() {
    return this.grid.validation.getFormGroup(this.intRow.key);
  }
  /**
   * Gets the row of the cell.
   * ```typescript
   * let cellRow = this.cell.row;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get row() {
    return this.grid.createRow(this.intRow.index);
  }
  /**
   * Gets the cell template context object.
   * ```typescript
   *  let context = this.cell.context();
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get context() {
    const getCellType = () => this.getCellType(true);
    const ctx = {
      $implicit: this.value,
      additionalTemplateContext: this.column.additionalTemplateContext,
      get cell() {
        return getCellType();
      }
    };
    if (this.editMode) {
      ctx.formControl = this.formControl;
    }
    if (this.isInvalid) {
      ctx.defaultErrorTemplate = this.defaultErrorTemplate;
    }
    return ctx;
  }
  /**
   * Gets the cell template.
   * ```typescript
   * let template = this.cell.template;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get template() {
    if (this.editMode && this.formGroup) {
      const inlineEditorTemplate = this.column.inlineEditorTemplate;
      return inlineEditorTemplate ? inlineEditorTemplate : this.inlineEditorTemplate;
    }
    if (this.cellTemplate) {
      return this.cellTemplate;
    }
    if (this.grid.rowEditable && this.intRow.addRowUI) {
      return this.addRowCellTemplate;
    }
    return this.defaultCellTemplate;
  }
  /**
   * Gets the pinned indicator template.
   * ```typescript
   * let template = this.cell.pinnedIndicatorTemplate;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get pinnedIndicatorTemplate() {
    if (this.pinnedIndicator) {
      return this.pinnedIndicator;
    }
    return this.defaultPinnedIndicator;
  }
  /**
   * Gets the `id` of the grid in which the cell is stored.
   * ```typescript
   * let gridId = this.cell.gridID;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get gridID() {
    return this.intRow.gridID;
  }
  /**
   * Gets the `index` of the row where the cell is stored.
   * ```typescript
   * let rowIndex = this.cell.rowIndex;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get rowIndex() {
    return this.intRow.index;
  }
  /**
   * Gets the `index` of the cell column.
   * ```typescript
   * let columnIndex = this.cell.columnIndex;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get columnIndex() {
    return this.column.index;
  }
  /**
   * Returns the column visible index.
   * ```typescript
   * let visibleColumnIndex = this.cell.visibleColumnIndex;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get visibleColumnIndex() {
    return this.column.columnLayoutChild ? this.column.visibleIndex : this._vIndex;
  }
  set visibleColumnIndex(val) {
    this._vIndex = val;
  }
  /**
   * Gets the ID of the cell.
   * ```typescript
   * let cellID = this.cell.cellID;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get cellID() {
    const primaryKey = this.grid.primaryKey;
    const rowID = primaryKey ? this.rowData[primaryKey] : this.rowData;
    return { rowID, columnID: this.columnIndex, rowIndex: this.rowIndex };
  }
  get attrCellID() {
    return `${this.intRow.gridID}_${this.rowIndex}_${this.visibleColumnIndex}`;
  }
  get title() {
    if (this.editMode || this.cellTemplate || this.errorShowing) {
      return "";
    }
    if (this.formatter) {
      return this.formatter(this.value, this.rowData, this.columnData);
    }
    const args = this.column.pipeArgs;
    const locale = this.grid.locale;
    switch (this.column.dataType) {
      case GridColumnDataType.Percent:
        return formatPercent4(this.value, locale, args.digitsInfo);
      case GridColumnDataType.Currency:
        return formatCurrency(this.value, this.currencyCode, args.display, args.digitsInfo, locale);
      case GridColumnDataType.Date:
      case GridColumnDataType.DateTime:
      case GridColumnDataType.Time:
        return formatDate(this.value, args.format, locale, args.timezone);
    }
    return this.value;
  }
  get booleanClass() {
    return this.column.dataType === "boolean" && this.value;
  }
  /**
   * Returns a reference to the nativeElement of the cell.
   * ```typescript
   * let cellNativeElement = this.cell.nativeElement;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /**
   * @hidden
   * @internal
   */
  get cellSelectionMode() {
    return this._cellSelection;
  }
  set cellSelectionMode(value) {
    if (this._cellSelection === value) {
      return;
    }
    this.zone.runOutsideAngular(() => {
      if (value === GridSelectionMode.multiple) {
        this.addPointerListeners(value);
      } else {
        this.removePointerListeners(this._cellSelection);
      }
    });
    this._cellSelection = value;
  }
  /**
   * @hidden
   * @internal
   */
  set lastSearchInfo(value) {
    this._lastSearchInfo = value;
    this.highlightText(this._lastSearchInfo.searchText, this._lastSearchInfo.caseSensitive, this._lastSearchInfo.exactMatch);
  }
  /**
   * Gets whether the cell is editable.
   * ```typescript
   * let isCellReadonly = this.cell.readonly;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get readonly() {
    return !this.editable;
  }
  /** @hidden @internal */
  get ariaDescribeBy() {
    let describeBy = (this.gridID + "_" + this.column.field).replace(".", "_");
    if (this.isInvalid) {
      describeBy += " " + this.ariaErrorMessage;
    }
    return describeBy;
  }
  /** @hidden @internal */
  get ariaErrorMessage() {
    return this.grid.id + "_" + this.column.field + "_" + this.intRow.index + "_error";
  }
  /**
   * @hidden
   * @internal
   */
  get isInvalid() {
    const isInvalid = this.formGroup?.get(this.column?.field)?.invalid && this.formGroup?.get(this.column?.field)?.touched;
    return !this.intRow.deleted && isInvalid;
  }
  /**
   * @hidden
   * @internal
   */
  get isValidAfterEdit() {
    const formControl = this.formGroup?.get(this.column?.field);
    return this.editMode && formControl && !formControl.invalid && formControl.dirty;
  }
  /**
   * Gets the formControl responsible for value changes and validation for this cell.
   */
  get formControl() {
    return this.grid.validation.getFormControl(this.intRow.key, this.column.field);
  }
  get gridRowSpan() {
    return this.column.gridRowSpan;
  }
  get gridColumnSpan() {
    return this.column.gridColumnSpan;
  }
  get rowEnd() {
    return this.column.rowEnd;
  }
  get colEnd() {
    return this.column.colEnd;
  }
  get rowStart() {
    return this.column.rowStart;
  }
  get colStart() {
    return this.column.colStart;
  }
  get ariaSelected() {
    return this.selected || this.column.selected || this.intRow.selected;
  }
  /**
   * Gets whether the cell is selected.
   * ```typescript
   * let isSelected = this.cell.selected;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get selected() {
    return this.selectionService.selected(this.selectionNode);
  }
  /**
   * Selects/deselects the cell.
   * ```typescript
   * this.cell.selected = true.
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  set selected(val) {
    const node = this.selectionNode;
    if (val) {
      this.selectionService.add(node);
    } else {
      this.selectionService.remove(node);
    }
    this.grid.notifyChanges();
  }
  /**
   * Gets whether the cell column is selected.
   * ```typescript
   * let isCellColumnSelected = this.cell.columnSelected;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get columnSelected() {
    return this.selectionService.isColumnSelected(this.column.field);
  }
  /**
   * Sets the current edit value while a cell is in edit mode.
   * Only for cell editing mode.
   * ```typescript
   * this.cell.editValue = value;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  set editValue(value) {
    if (this.grid.crudService.cellInEditMode) {
      this.grid.crudService.cell.editValue = value;
    }
  }
  /**
   * Gets the current edit value while a cell is in edit mode.
   * Only for cell editing mode.
   * ```typescript
   * let editValue = this.cell.editValue;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get editValue() {
    if (this.grid.crudService.cellInEditMode) {
      return this.grid.crudService.cell.editValue;
    }
  }
  /**
   * Returns whether the cell is editable.
   */
  get editable() {
    return this.column.editable && !this.intRow.disabled;
  }
  set highlight(value) {
    this._highlight = value;
    if (this._highlight && this.grid.lastSearchInfo.searchText) {
      this._highlight.highlight(this.grid.lastSearchInfo.searchText, this.grid.lastSearchInfo.caseSensitive, this.grid.lastSearchInfo.exactMatch);
      this._highlight.activateIfNecessary();
    }
  }
  get highlight() {
    return this._highlight;
  }
  get selectionNode() {
    return {
      row: this.rowIndex,
      column: this.column.columnLayoutChild ? this.column.parent.visibleIndex : this.visibleColumnIndex,
      layout: this.column.columnLayoutChild ? {
        rowStart: this.column.rowStart,
        colStart: this.column.colStart,
        rowEnd: this.column.rowEnd,
        colEnd: this.column.colEnd,
        columnVisibleIndex: this.visibleColumnIndex
      } : null
    };
  }
  /** @hidden @internal */
  get step() {
    const digitsInfo = this.column.pipeArgs.digitsInfo;
    if (!digitsInfo) {
      return 1;
    }
    const step = +digitsInfo.substr(digitsInfo.indexOf(".") + 1, 1);
    return 1 / Math.pow(10, step);
  }
  /** @hidden @internal */
  get currencyCode() {
    return this.column.pipeArgs.currencyCode ? this.column.pipeArgs.currencyCode : getLocaleCurrencyCode6(this.grid.locale);
  }
  /** @hidden @internal */
  get currencyCodeSymbol() {
    return getCurrencySymbol(this.currencyCode, "wide", this.grid.locale);
  }
  constructor(selectionService, grid, overlayService, cdr, element, zone, touchManager, platformUtil) {
    this.selectionService = selectionService;
    this.grid = grid;
    this.overlayService = overlayService;
    this.cdr = cdr;
    this.element = element;
    this.zone = zone;
    this.touchManager = touchManager;
    this.platformUtil = platformUtil;
    this._destroy$ = new Subject49();
    this.lastPinned = false;
    this.firstPinned = false;
    this.editMode = false;
    this.role = "gridcell";
    this.width = "";
    this.active = false;
    this.displayPinnedChip = false;
    this.highlightClass = "igx-highlight";
    this.activeHighlightClass = "igx-highlight__active";
    this._cellSelection = GridSelectionMode.multiple;
    this._vIndex = -1;
    this.onDoubleClick = (event) => {
      if (event.type === "doubletap") {
        event.preventDefault();
      }
      if (this.editable && !this.editMode && !this.intRow.deleted && !this.grid.crudService.rowEditingBlocked) {
        this.grid.crudService.enterEditMode(this, event);
      }
      this.grid.doubleClick.emit({
        cell: this.getCellType(),
        event
      });
    };
    this.errorShowing = false;
    this.pointerdown = (event) => {
      if (this.cellSelectionMode !== GridSelectionMode.multiple) {
        this.activate(event);
        return;
      }
      if (!this.platformUtil.isLeftClick(event)) {
        event.preventDefault();
        this.grid.navigation.setActiveNode({ rowIndex: this.rowIndex, colIndex: this.visibleColumnIndex });
        this.selectionService.addKeyboardRange();
        this.selectionService.initKeyboardState();
        this.selectionService.primaryButton = false;
        if (!this.selected) {
          this.grid.crudService.updateCell(true, event);
        }
        return;
      } else {
        this.selectionService.primaryButton = true;
      }
      this.selectionService.pointerDown(this.selectionNode, event.shiftKey, event.ctrlKey);
      this.activate(event);
    };
    this.pointerenter = (event) => {
      const isHierarchicalGrid = this.grid.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid";
      if (isHierarchicalGrid && (!this.grid.navigation?.activeNode?.gridID || this.grid.navigation.activeNode.gridID !== this.gridID)) {
        return;
      }
      const dragMode = this.selectionService.pointerEnter(this.selectionNode, event);
      if (dragMode) {
        this.grid.cdr.detectChanges();
      }
    };
    this.focusout = () => {
      this.closeErrorTooltip();
    };
    this.pointerup = (event) => {
      const isHierarchicalGrid = this.grid.nativeElement.tagName.toLowerCase() === "igx-hierarchical-grid";
      if (!this.platformUtil.isLeftClick(event) || isHierarchicalGrid && (!this.grid.navigation?.activeNode?.gridID || this.grid.navigation.activeNode.gridID !== this.gridID)) {
        return;
      }
      if (this.selectionService.pointerUp(this.selectionNode, this.grid.rangeSelected)) {
        this.grid.cdr.detectChanges();
      }
    };
  }
  /**
   * @hidden
   * @internal
   */
  onClick(event) {
    this.grid.cellClick.emit({
      cell: this.getCellType(),
      event
    });
  }
  /**
   * @hidden
   * @internal
   */
  onContextMenu(event) {
    this.grid.contextMenu.emit({
      cell: this.getCellType(),
      event
    });
  }
  /**
   * @hidden
   * @internal
   */
  ngOnInit() {
    this.zone.runOutsideAngular(() => {
      this.nativeElement.addEventListener("pointerdown", this.pointerdown);
      this.addPointerListeners(this.cellSelectionMode);
    });
    if (this.platformUtil.isIOS) {
      this.touchManager.addEventListener(this.nativeElement, "doubletap", this.onDoubleClick, {
        cssProps: {}
        /* don't disable user-select, etc */
      });
    }
  }
  ngAfterViewInit() {
    this.errorTooltip.changes.pipe(takeUntil42(this._destroy$)).subscribe(() => {
      if (this.errorTooltip.length > 0 && this.active) {
        this.cdr.detectChanges();
        this.openErrorTooltip();
      }
    });
  }
  openErrorTooltip() {
    const tooltip = this.errorTooltip.first;
    tooltip.open({
      target: this.errorIcon.el.nativeElement,
      closeOnOutsideClick: true,
      excludeFromOutsideClick: [this.nativeElement],
      closeOnEscape: false,
      outlet: this.grid.outlet,
      modal: false,
      positionStrategy: new AutoPositionStrategy({
        horizontalStartPoint: HorizontalAlignment.Center,
        horizontalDirection: HorizontalAlignment.Center
      })
    });
  }
  /**
   * @hidden
   * @internal
   */
  ngOnDestroy() {
    this.zone.runOutsideAngular(() => {
      this.nativeElement.removeEventListener("pointerdown", this.pointerdown);
      this.removePointerListeners(this.cellSelectionMode);
    });
    this.touchManager.destroy();
    this._destroy$.next();
    this._destroy$.complete();
  }
  /**
   * @hidden
   * @internal
   */
  ngOnChanges(changes) {
    if (changes.editMode && changes.editMode.currentValue && this.formControl) {
      this.formControl.valueChanges.pipe(takeWhile2(() => this.editMode)).subscribe(() => this.formControl.markAsTouched());
      this.formControl.statusChanges.pipe(takeWhile2(() => this.editMode)).subscribe((status) => {
        if (status === "INVALID" && this.errorTooltip.length > 0) {
          this.cdr.detectChanges();
          const tooltip = this.errorTooltip.first;
          this.resizeAndRepositionOverlayById(tooltip.overlayId, this.errorTooltip.first.element.offsetWidth);
        }
      });
    }
    if (changes.value && !changes.value.firstChange) {
      if (this.highlight) {
        this.highlight.lastSearchInfo.searchText = this.grid.lastSearchInfo.searchText;
        this.highlight.lastSearchInfo.caseSensitive = this.grid.lastSearchInfo.caseSensitive;
        this.highlight.lastSearchInfo.exactMatch = this.grid.lastSearchInfo.exactMatch;
      }
    }
  }
  /**
   * @hidden @internal
   */
  resizeAndRepositionOverlayById(overlayId, newSize) {
    const overlay = this.overlayService.getOverlayById(overlayId);
    if (!overlay)
      return;
    overlay.initialSize.width = newSize;
    overlay.elementRef.nativeElement.parentElement.style.width = newSize + "px";
    this.overlayService.reposition(overlayId);
  }
  /**
   * Starts/ends edit mode for the cell.
   *
   * ```typescript
   * cell.setEditMode(true);
   * ```
   */
  setEditMode(value) {
    if (this.intRow.deleted) {
      return;
    }
    if (this.editable && value) {
      if (this.grid.crudService.cellInEditMode) {
        this.grid.gridAPI.update_cell(this.grid.crudService.cell);
        this.grid.crudService.endCellEdit();
      }
      this.grid.crudService.enterEditMode(this);
    } else {
      this.grid.crudService.endCellEdit();
    }
    this.grid.notifyChanges();
  }
  /**
   * Sets new value to the cell.
   * ```typescript
   * this.cell.update('New Value');
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  // TODO: Refactor
  update(val) {
    if (this.intRow.deleted) {
      return;
    }
    let cell = this.grid.crudService.cell;
    if (!cell) {
      cell = this.grid.crudService.createCell(this);
    }
    cell.editValue = val;
    this.grid.gridAPI.update_cell(cell);
    this.grid.crudService.endCellEdit();
    this.cdr.markForCheck();
  }
  closeErrorTooltip() {
    const tooltip = this.errorTooltip.first;
    if (tooltip) {
      tooltip.close();
    }
  }
  /**
   * @hidden
   * @internal
   */
  activate(event) {
    const node = this.selectionNode;
    let shouldEmitSelection = !this.selectionService.isActiveNode(node);
    if (this.selectionService.primaryButton) {
      const currentActive = this.selectionService.activeElement;
      if (this.cellSelectionMode === GridSelectionMode.single && event?.ctrlKey && this.selected) {
        this.selectionService.activeElement = null;
        shouldEmitSelection = true;
      } else {
        this.selectionService.activeElement = node;
      }
      const cancel = this._updateCRUDStatus(event);
      if (cancel) {
        this.selectionService.activeElement = currentActive;
        return;
      }
      const activeElement = this.selectionService.activeElement;
      const row = activeElement ? this.grid.gridAPI.get_row_by_index(activeElement.row) : null;
      if (this.grid.crudService.rowEditingBlocked && row && this.intRow.key !== row.key) {
        return;
      }
    } else {
      this.selectionService.activeElement = null;
      if (this.grid.crudService.cellInEditMode && !this.editMode) {
        this.grid.crudService.updateCell(true, event);
      }
    }
    this.grid.navigation.setActiveNode({ row: this.rowIndex, column: this.visibleColumnIndex });
    const isTargetErrorIcon = event && event.target && event.target === this.errorIcon?.el.nativeElement;
    if (this.isInvalid && !isTargetErrorIcon) {
      this.cdr.detectChanges();
      this.openErrorTooltip();
      this.grid.activeNodeChange.pipe(first11()).subscribe(() => {
        this.closeErrorTooltip();
      });
    }
    this.selectionService.primaryButton = true;
    if (this.cellSelectionMode === GridSelectionMode.multiple && this.selectionService.activeElement) {
      if (this.selectionService.isInMap(this.selectionService.activeElement) && event?.ctrlKey && !event?.shiftKey) {
        this.selectionService.remove(this.selectionService.activeElement);
        shouldEmitSelection = true;
      } else {
        this.selectionService.add(this.selectionService.activeElement, false);
        this.selectionService.keyboardStateOnFocus(node, this.grid.rangeSelected, this.nativeElement);
      }
    }
    if (this.grid.isCellSelectable && shouldEmitSelection) {
      this.zone.run(() => this.grid.selected.emit({ cell: this.getCellType(), event }));
    }
  }
  /**
   * If the provided string matches the text in the cell, the text gets highlighted.
   * ```typescript
   * this.cell.highlightText('Cell Value', true);
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  highlightText(text, caseSensitive2, exactMatch) {
    return this.highlight && this.column.searchable ? this.highlight.highlight(text, caseSensitive2, exactMatch) : 0;
  }
  /**
   * Clears the highlight of the text in the cell.
   * ```typescript
   * this.cell.clearHighLight();
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  clearHighlight() {
    if (this.highlight && this.column.searchable) {
      this.highlight.clearHighlight();
    }
  }
  /**
   * @hidden
   * @internal
   */
  calculateSizeToFit(range2) {
    return this.platformUtil.getNodeSizeViaRange(range2, this.nativeElement);
  }
  /**
   * @hidden
   * @internal
   */
  get searchMetadata() {
    const meta = /* @__PURE__ */ new Map();
    meta.set("pinned", this.grid.isRecordPinnedByViewIndex(this.intRow.index));
    return meta;
  }
  /**
   * @hidden
   * @internal
   */
  _updateCRUDStatus(event) {
    if (this.editMode) {
      return;
    }
    let editableArgs;
    const crud = this.grid.crudService;
    const editableCell = this.grid.crudService.cell;
    const editMode = !!(crud.row || crud.cell);
    if (this.editable && editMode && !this.intRow.deleted) {
      if (editableCell) {
        editableArgs = this.grid.crudService.updateCell(false, event);
        if (this.grid.sortingExpressions.length && this.grid.sortingExpressions.indexOf(editableCell.column.field)) {
          this.grid.cdr.detectChanges();
        }
        if (editableArgs && editableArgs.cancel) {
          return true;
        }
        crud.exitCellEdit(event);
      }
      this.grid.tbody.nativeElement.focus({ preventScroll: true });
      this.grid.notifyChanges();
      crud.enterEditMode(this, event);
      return false;
    }
    if (editableCell && crud.sameRow(this.cellID.rowID)) {
      this.grid.crudService.updateCell(true, event);
    } else if (editMode && !crud.sameRow(this.cellID.rowID)) {
      this.grid.crudService.endEdit(true, event);
    }
  }
  addPointerListeners(selection) {
    if (selection !== GridSelectionMode.multiple) {
      return;
    }
    this.nativeElement.addEventListener("pointerenter", this.pointerenter);
    this.nativeElement.addEventListener("pointerup", this.pointerup);
    this.nativeElement.addEventListener("focusout", this.focusout);
  }
  removePointerListeners(selection) {
    if (selection !== GridSelectionMode.multiple) {
      return;
    }
    this.nativeElement.removeEventListener("pointerenter", this.pointerenter);
    this.nativeElement.removeEventListener("pointerup", this.pointerup);
    this.nativeElement.removeEventListener("focusout", this.focusout);
  }
  getCellType(useRow) {
    const rowID = useRow ? this.grid.createRow(this.intRow.index, this.intRow.data) : this.intRow.index;
    return new IgxGridCell(this.grid, rowID, this.column);
  }
  static {
    this.ɵfac = i0194.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0194, type: _IgxGridCellComponent, deps: [{ token: IgxGridSelectionService }, { token: IGX_GRID_BASE }, { token: IgxOverlayService }, { token: i0194.ChangeDetectorRef }, { token: i0194.ElementRef }, { token: i0194.NgZone }, { token: HammerGesturesManager }, { token: PlatformUtil }], target: i0194.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0194.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridCellComponent, isStandalone: true, selector: "igx-grid-cell", inputs: { column: "column", intRow: "intRow", row: "row", rowData: "rowData", columnData: "columnData", cellTemplate: "cellTemplate", cellValidationErrorTemplate: "cellValidationErrorTemplate", pinnedIndicator: "pinnedIndicator", value: "value", formatter: "formatter", visibleColumnIndex: "visibleColumnIndex", cellSelectionMode: "cellSelectionMode", lastSearchInfo: "lastSearchInfo", lastPinned: "lastPinned", firstPinned: "firstPinned", editMode: ["editMode", "editMode", booleanAttribute67], width: "width", active: "active", displayPinnedChip: "displayPinnedChip" }, host: { listeners: { "dblclick": "onDoubleClick($event)", "click": "onClick($event)", "contextmenu": "onContextMenu($event)" }, properties: { "class.igx-grid__td--new": "this.isEmptyAddRowCell", "attr.data-rowIndex": "this.rowIndex", "attr.data-visibleIndex": "this.visibleColumnIndex", "attr.id": "this.attrCellID", "attr.title": "this.title", "class.igx-grid__td--bool-true": "this.booleanClass", "class.igx-grid__td--pinned-last": "this.lastPinned", "class.igx-grid__td--pinned-first": "this.firstPinned", "class.igx-grid__td--editing": "this.editMode", "attr.role": "this.role", "attr.aria-readonly": "this.readonly", "attr.aria-describedby": "this.ariaDescribeBy", "class.igx-grid__td--invalid": "this.isInvalid", "attr.aria-invalid": "this.isInvalid", "class.igx-grid__td--valid": "this.isValidAfterEdit", "class.igx-grid__td--active": "this.active", "attr.aria-selected": "this.ariaSelected", "class.igx-grid__td--selected": "this.selected", "class.igx-grid__td--column-selected": "this.columnSelected", "class.igx-grid__td--row-pinned-first": "this.displayPinnedChip" } }, providers: [HammerGesturesManager], viewQueries: [{ propertyName: "errorIcon", first: true, predicate: ["errorIcon"], descendants: true, read: IgxIconComponent }, { propertyName: "defaultErrorTemplate", first: true, predicate: ["defaultError"], descendants: true, read: TemplateRef29, static: true }, { propertyName: "defaultCellTemplate", first: true, predicate: ["defaultCell"], descendants: true, read: TemplateRef29, static: true }, { propertyName: "defaultPinnedIndicator", first: true, predicate: ["defaultPinnedIndicator"], descendants: true, read: TemplateRef29, static: true }, { propertyName: "inlineEditorTemplate", first: true, predicate: ["inlineEditor"], descendants: true, read: TemplateRef29, static: true }, { propertyName: "addRowCellTemplate", first: true, predicate: ["addRowCell"], descendants: true, read: TemplateRef29, static: true }, { propertyName: "highlight", first: true, predicate: IgxTextHighlightDirective, descendants: true, read: IgxTextHighlightDirective }, { propertyName: "errorTooltip", predicate: ["error"], descendants: true, read: IgxTooltipDirective }], usesOnChanges: true, ngImport: i0194, template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency' ?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"></ng-container>

<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef"  [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf56, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass21, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgTemplateOutlet29, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: DecimalPipe2, name: "number" }, { kind: "pipe", type: PercentPipe2, name: "percent" }, { kind: "pipe", type: CurrencyPipe3, name: "currency" }, { kind: "pipe", type: DatePipe8, name: "date" }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i42.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i42.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i42.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i42.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i42.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i42.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "directive", type: IgxTextHighlightDirective, selector: "[igxTextHighlight]", inputs: ["cssClass", "activeCssClass", "containerClass", "groupName", "value", "row", "column", "metadata"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxFocusDirective, selector: "[igxFocus]", inputs: ["igxFocus"], exportAs: ["igxFocus"] }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: IgxTooltipTargetDirective, selector: "[igxTooltipTarget]", inputs: ["showDelay", "hideDelay", "tooltipDisabled", "igxTooltipTarget", "tooltip"], outputs: ["tooltipShow", "tooltipHide"], exportAs: ["tooltipTarget"] }, { kind: "directive", type: IgxTooltipDirective, selector: "[igxTooltip]", inputs: ["context", "id"], exportAs: ["tooltip"] }, { kind: "pipe", type: IgxGridCellImageAltPipe, name: "igxCellImageAlt" }, { kind: "pipe", type: IgxStringReplacePipe, name: "igxStringReplace" }, { kind: "pipe", type: IgxColumnFormatterPipe, name: "columnFormatter" }], changeDetection: i0194.ChangeDetectionStrategy.OnPush });
  }
};
i0194.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0194, type: IgxGridCellComponent, decorators: [{
  type: Component84,
  args: [{ changeDetection: ChangeDetectionStrategy33.OnPush, selector: "igx-grid-cell", providers: [HammerGesturesManager], standalone: true, imports: [
    NgIf56,
    NgClass21,
    NgTemplateOutlet29,
    DecimalPipe2,
    PercentPipe2,
    CurrencyPipe3,
    DatePipe8,
    ReactiveFormsModule,
    IgxChipComponent,
    IgxTextHighlightDirective,
    IgxIconComponent,
    IgxInputGroupComponent,
    IgxInputDirective,
    IgxFocusDirective,
    IgxTextSelectionDirective,
    IgxCheckboxComponent,
    IgxDatePickerComponent,
    IgxTimePickerComponent,
    IgxDateTimeEditorDirective,
    IgxPrefixDirective,
    IgxSuffixDirective,
    IgxTooltipTargetDirective,
    IgxTooltipDirective,
    IgxGridCellImageAltPipe,
    IgxStringReplacePipe,
    IgxColumnFormatterPipe
  ], template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency' ?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"></ng-container>

<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef"  [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: IgxGridSelectionService }, { type: void 0, decorators: [{
  type: Inject75,
  args: [IGX_GRID_BASE]
}] }, { type: IgxOverlayService, decorators: [{
  type: Inject75,
  args: [IgxOverlayService]
}] }, { type: i0194.ChangeDetectorRef }, { type: i0194.ElementRef }, { type: i0194.NgZone }, { type: HammerGesturesManager }, { type: PlatformUtil }], propDecorators: { isEmptyAddRowCell: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--new"]
}], errorTooltip: [{
  type: ViewChildren17,
  args: ["error", { read: IgxTooltipDirective }]
}], errorIcon: [{
  type: ViewChild49,
  args: ["errorIcon", { read: IgxIconComponent, static: false }]
}], defaultErrorTemplate: [{
  type: ViewChild49,
  args: ["defaultError", { read: TemplateRef29, static: true }]
}], column: [{
  type: Input115
}], intRow: [{
  type: Input115
}], row: [{
  type: Input115
}], rowData: [{
  type: Input115
}], columnData: [{
  type: Input115
}], cellTemplate: [{
  type: Input115
}], cellValidationErrorTemplate: [{
  type: Input115
}], pinnedIndicator: [{
  type: Input115
}], value: [{
  type: Input115
}], formatter: [{
  type: Input115
}], rowIndex: [{
  type: HostBinding85,
  args: ["attr.data-rowIndex"]
}], visibleColumnIndex: [{
  type: HostBinding85,
  args: ["attr.data-visibleIndex"]
}, {
  type: Input115
}], attrCellID: [{
  type: HostBinding85,
  args: ["attr.id"]
}], title: [{
  type: HostBinding85,
  args: ["attr.title"]
}], booleanClass: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--bool-true"]
}], cellSelectionMode: [{
  type: Input115
}], lastSearchInfo: [{
  type: Input115
}], lastPinned: [{
  type: Input115
}, {
  type: HostBinding85,
  args: ["class.igx-grid__td--pinned-last"]
}], firstPinned: [{
  type: Input115
}, {
  type: HostBinding85,
  args: ["class.igx-grid__td--pinned-first"]
}], editMode: [{
  type: Input115,
  args: [{ transform: booleanAttribute67 }]
}, {
  type: HostBinding85,
  args: ["class.igx-grid__td--editing"]
}], role: [{
  type: HostBinding85,
  args: ["attr.role"]
}], readonly: [{
  type: HostBinding85,
  args: ["attr.aria-readonly"]
}], ariaDescribeBy: [{
  type: HostBinding85,
  args: ["attr.aria-describedby"]
}], isInvalid: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--invalid"]
}, {
  type: HostBinding85,
  args: ["attr.aria-invalid"]
}], isValidAfterEdit: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--valid"]
}], width: [{
  type: Input115
}], active: [{
  type: Input115
}, {
  type: HostBinding85,
  args: ["class.igx-grid__td--active"]
}], ariaSelected: [{
  type: HostBinding85,
  args: ["attr.aria-selected"]
}], selected: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--selected"]
}], columnSelected: [{
  type: HostBinding85,
  args: ["class.igx-grid__td--column-selected"]
}], displayPinnedChip: [{
  type: Input115
}, {
  type: HostBinding85,
  args: ["class.igx-grid__td--row-pinned-first"]
}], defaultCellTemplate: [{
  type: ViewChild49,
  args: ["defaultCell", { read: TemplateRef29, static: true }]
}], defaultPinnedIndicator: [{
  type: ViewChild49,
  args: ["defaultPinnedIndicator", { read: TemplateRef29, static: true }]
}], inlineEditorTemplate: [{
  type: ViewChild49,
  args: ["inlineEditor", { read: TemplateRef29, static: true }]
}], addRowCellTemplate: [{
  type: ViewChild49,
  args: ["addRowCell", { read: TemplateRef29, static: true }]
}], highlight: [{
  type: ViewChild49,
  args: [IgxTextHighlightDirective, { read: IgxTextHighlightDirective }]
}], onDoubleClick: [{
  type: HostListener47,
  args: ["dblclick", ["$event"]]
}], onClick: [{
  type: HostListener47,
  args: ["click", ["$event"]]
}], onContextMenu: [{
  type: HostListener47,
  args: ["contextmenu", ["$event"]]
}] } });

// lib/grids/grid/expandable-cell.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy35, Component as Component85, ElementRef as ElementRef91, Inject as Inject76, Input as Input116, TemplateRef as TemplateRef30, ViewChild as ViewChild50 } from "@angular/core";
import { DOCUMENT as DOCUMENT15, NgIf as NgIf57, NgClass as NgClass22, NgTemplateOutlet as NgTemplateOutlet30, DecimalPipe as DecimalPipe3, PercentPipe as PercentPipe3, CurrencyPipe as CurrencyPipe4, DatePipe as DatePipe9 } from "@angular/common";
import { FormsModule as FormsModule6, ReactiveFormsModule as ReactiveFormsModule2 } from "@angular/forms";
import * as i0195 from "@angular/core";
import * as i43 from "@angular/forms";
var IgxGridExpandableCellComponent = class _IgxGridExpandableCellComponent extends IgxGridCellComponent {
  constructor(selectionService, grid, overlayService, cdr, element, zone, touchManager, document2, platformUtil) {
    super(selectionService, grid, overlayService, cdr, element, zone, touchManager, platformUtil);
    this.document = document2;
    this.expanded = false;
  }
  /**
   * @hidden
   */
  toggle(event) {
    event.stopPropagation();
    const expansionState = this.grid.gridAPI.get_row_expansion_state(this.intRow.data);
    this.grid.gridAPI.set_row_expansion_state(this.intRow.key, !expansionState, event);
  }
  /**
   * @hidden
   */
  onIndicatorFocus() {
    this.grid.gridAPI.update_cell(this.grid.crudService.cell);
  }
  /**
   * @hidden
   */
  calculateSizeToFit(range2) {
    let leftPadding = 0;
    if (this.indentationDiv) {
      const indentationStyle = this.document.defaultView.getComputedStyle(this.indentationDiv.nativeElement);
      leftPadding = parseFloat(indentationStyle.paddingLeft);
    }
    const contentWidth = this.platformUtil.getNodeSizeViaRange(range2, this.nativeElement);
    return contentWidth + leftPadding;
  }
  /**
   * @hidden
   */
  get iconTemplate() {
    if (this.expanded) {
      return this.grid.rowExpandedIndicatorTemplate || this.defaultExpandedTemplate;
    } else {
      return this.grid.rowCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
    }
  }
  /**
   * @hidden
   */
  get showExpanderIndicator() {
    const isGhost = this.intRow.pinned && this.intRow.disabled;
    return !this.editMode && (!this.intRow.pinned || isGhost);
  }
  static {
    this.ɵfac = i0195.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0195, type: _IgxGridExpandableCellComponent, deps: [{ token: IgxGridSelectionService }, { token: IGX_GRID_BASE }, { token: IgxOverlayService }, { token: i0195.ChangeDetectorRef }, { token: i0195.ElementRef }, { token: i0195.NgZone }, { token: HammerGesturesManager }, { token: DOCUMENT15 }, { token: PlatformUtil }], target: i0195.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0195.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridExpandableCellComponent, isStandalone: true, selector: "igx-expandable-grid-cell", inputs: { expanded: "expanded" }, providers: [HammerGesturesManager], viewQueries: [{ propertyName: "indicator", first: true, predicate: ["indicator"], descendants: true, read: ElementRef91 }, { propertyName: "indentationDiv", first: true, predicate: ["indentationDiv"], descendants: true, read: ElementRef91 }, { propertyName: "defaultExpandedTemplate", first: true, predicate: ["defaultExpandedTemplate"], descendants: true, read: TemplateRef30, static: true }, { propertyName: "defaultCollapsedTemplate", first: true, predicate: ["defaultCollapsedTemplate"], descendants: true, read: TemplateRef30, static: true }], usesInheritance: true, ngImport: i0195, template: `<ng-template #defaultPinnedIndicator>
    <igx-chip *ngIf="displayPinnedChip" class="igx-grid__td--pinned-chip" [disabled]="true" [displayDensity]="'compact'">{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip>
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="formatter ? (value | columnFormatter:formatter:rowData)
            : column.dataType === 'number'
            ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
            : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
            ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
            : column.dataType === 'currency'
            ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
            : column.dataType === 'percent'
            ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
            : value"
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata">{{ formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === "number"
            ? (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
            ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'
            ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent'
            ? (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value}}</div>

    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
    >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        value ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngIf="showExpanderIndicator">
    <div #indicator
         class="igx-grid__tree-grouping-indicator"
         (click)="toggle($event)" (focus)="onIndicatorFocus()">
         <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit:  row }">
        </ng-container>
    </div>
</ng-container>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context">
</ng-container>
<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef" [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultExpandedTemplate>
        <igx-icon>expand_more</igx-icon>
</ng-template>
<ng-template #defaultCollapsedTemplate>
        <igx-icon>chevron_right</igx-icon>
</ng-template>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf57, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "directive", type: IgxTextHighlightDirective, selector: "[igxTextHighlight]", inputs: ["cssClass", "activeCssClass", "containerClass", "groupName", "value", "row", "column", "metadata"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgClass22, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "ngmodule", type: FormsModule6 }, { kind: "directive", type: i43.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i43.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i43.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i43.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule2 }, { kind: "directive", type: i43.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i43.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxFocusDirective, selector: "[igxFocus]", inputs: ["igxFocus"], exportAs: ["igxFocus"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: NgTemplateOutlet30, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxTooltipTargetDirective, selector: "[igxTooltipTarget]", inputs: ["showDelay", "hideDelay", "tooltipDisabled", "igxTooltipTarget", "tooltip"], outputs: ["tooltipShow", "tooltipHide"], exportAs: ["tooltipTarget"] }, { kind: "directive", type: IgxTooltipDirective, selector: "[igxTooltip]", inputs: ["context", "id"], exportAs: ["tooltip"] }, { kind: "pipe", type: IgxGridCellImageAltPipe, name: "igxCellImageAlt" }, { kind: "pipe", type: IgxStringReplacePipe, name: "igxStringReplace" }, { kind: "pipe", type: IgxColumnFormatterPipe, name: "columnFormatter" }, { kind: "pipe", type: DecimalPipe3, name: "number" }, { kind: "pipe", type: PercentPipe3, name: "percent" }, { kind: "pipe", type: CurrencyPipe4, name: "currency" }, { kind: "pipe", type: DatePipe9, name: "date" }], changeDetection: i0195.ChangeDetectionStrategy.OnPush });
  }
};
i0195.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0195, type: IgxGridExpandableCellComponent, decorators: [{
  type: Component85,
  args: [{ changeDetection: ChangeDetectionStrategy35.OnPush, selector: "igx-expandable-grid-cell", providers: [HammerGesturesManager], standalone: true, imports: [NgIf57, IgxChipComponent, IgxTextHighlightDirective, IgxIconComponent, NgClass22, FormsModule6, ReactiveFormsModule2, IgxInputGroupComponent, IgxInputDirective, IgxFocusDirective, IgxCheckboxComponent, IgxDatePickerComponent, IgxTimePickerComponent, IgxDateTimeEditorDirective, IgxPrefixDirective, IgxSuffixDirective, NgTemplateOutlet30, IgxTooltipTargetDirective, IgxTooltipDirective, IgxGridCellImageAltPipe, IgxStringReplacePipe, IgxColumnFormatterPipe, DecimalPipe3, PercentPipe3, CurrencyPipe4, DatePipe9], template: `<ng-template #defaultPinnedIndicator>
    <igx-chip *ngIf="displayPinnedChip" class="igx-grid__td--pinned-chip" [disabled]="true" [displayDensity]="'compact'">{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip>
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="formatter ? (value | columnFormatter:formatter:rowData)
            : column.dataType === 'number'
            ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
            : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
            ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
            : column.dataType === 'currency'
            ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
            : column.dataType === 'percent'
            ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
            : value"
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata">{{ formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === "number"
            ? (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
            ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'
            ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent'
            ? (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value}}</div>

    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
    >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        value ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngIf="showExpanderIndicator">
    <div #indicator
         class="igx-grid__tree-grouping-indicator"
         (click)="toggle($event)" (focus)="onIndicatorFocus()">
         <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit:  row }">
        </ng-container>
    </div>
</ng-container>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context">
</ng-container>
<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef" [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultExpandedTemplate>
        <igx-icon>expand_more</igx-icon>
</ng-template>
<ng-template #defaultCollapsedTemplate>
        <igx-icon>chevron_right</igx-icon>
</ng-template>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: IgxGridSelectionService }, { type: void 0, decorators: [{
  type: Inject76,
  args: [IGX_GRID_BASE]
}] }, { type: IgxOverlayService, decorators: [{
  type: Inject76,
  args: [IgxOverlayService]
}] }, { type: i0195.ChangeDetectorRef }, { type: i0195.ElementRef }, { type: i0195.NgZone }, { type: HammerGesturesManager }, { type: void 0, decorators: [{
  type: Inject76,
  args: [DOCUMENT15]
}] }, { type: PlatformUtil }], propDecorators: { expanded: [{
  type: Input116
}], indicator: [{
  type: ViewChild50,
  args: ["indicator", { read: ElementRef91 }]
}], indentationDiv: [{
  type: ViewChild50,
  args: ["indentationDiv", { read: ElementRef91 }]
}], defaultExpandedTemplate: [{
  type: ViewChild50,
  args: ["defaultExpandedTemplate", { read: TemplateRef30, static: true }]
}], defaultCollapsedTemplate: [{
  type: ViewChild50,
  args: ["defaultCollapsedTemplate", { read: TemplateRef30, static: true }]
}] } });

// lib/grids/grid/grid-row.component.mjs
import { Component as Component86, ChangeDetectionStrategy as ChangeDetectionStrategy37, forwardRef as forwardRef21 } from "@angular/core";
import { NgTemplateOutlet as NgTemplateOutlet31, NgIf as NgIf58, NgFor as NgFor24, NgStyle as NgStyle5, NgClass as NgClass23 } from "@angular/common";
import * as i0196 from "@angular/core";
var IgxGridRowComponent = class _IgxGridRowComponent extends IgxRowDirective {
  getContext(col, row) {
    return {
      $implicit: col,
      row
    };
  }
  get mrlRightPinnedOffset() {
    return !this.grid.isPinningToStart ? -this.grid.pinnedWidth - this.grid.headerFeaturesWidth + "px" : null;
  }
  getContextMRL(pinnedCols, row) {
    return {
      $implicit: pinnedCols,
      row
    };
  }
  static {
    this.ɵfac = i0196.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0196, type: _IgxGridRowComponent, deps: null, target: i0196.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0196.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridRowComponent, isStandalone: true, selector: "igx-grid-row", providers: [{ provide: IgxRowDirective, useExisting: forwardRef21(() => _IgxGridRowComponent) }], usesInheritance: true, ngImport: i0196, template: `<ng-container *ngTemplateOutlet="addRowUI ? addTemp : defaultTemp"></ng-container>

<ng-template #addTemp>
    <div class="igx-grid__tr--inner" [class.igx-grid__tr--add-animate]="triggerAddAnimationClass" (animationend)="animationEndHandler()">
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
    <ng-container *ngIf="rowDraggable">
        <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()">
            <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
        </div>
    </ng-container>
    <ng-container *ngIf="this.showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (pointerdown)="$event.preventDefault()" (click)="onRowSelectorClick($event)">
            <ng-template *ngTemplateOutlet="
                this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
                context: { $implicit: { index: viewIndex, rowID: key, key, selected: selected }}">
            </ng-template>
        </div>
    </ng-container>
    <ng-container *ngIf="grid.groupingExpressions.length > 0">
        <div class="igx-grid__row-indentation igx-grid__row-indentation--level-{{grid.groupingExpressions.length}}" (pointerdown)="$event.preventDefault()" (click)="$event.stopPropagation()"></div>
    </ng-container>


    <ng-container *ngIf="!grid.hasColumnLayouts">
        <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
            <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
                    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
            </ng-template>
        </ng-container>
        <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]="grid.trackColumnChanges" #igxDirRef>
            <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
        </ng-template>
        <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
            <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
                    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
            </ng-template>
        </ng-container>
    </ng-container>

    <ng-container *ngIf="grid.hasColumnLayouts">
        <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
            <ng-container *ngTemplateOutlet="mrlPinnedTemplate; context: getContextMRL(pinnedColumns, this)"></ng-container>
        </ng-container>
        <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxTopLevel" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]="grid.trackColumnChanges" #igxDirRef>
            <div class="igx-grid__mrl-block" [ngStyle]="{
                'grid-template-rows':col.getGridTemplate(true),
                'grid-template-columns':col.getGridTemplate(false)
            }">
                <ng-template ngFor let-col [ngForOf]="col.children">
                        <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? mrlExpandableCellTemplate : mrlCellTemplate; context: getContext(col, this)"></ng-container>
                </ng-template>
            </div>
        </ng-template>

        <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
            <ng-container *ngTemplateOutlet="mrlPinnedTemplate; context: getContextMRL(pinnedColumns, this)"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>

<ng-template #mrlPinnedTemplate let-pinnedColumns>
    <div *ngFor="let col of pinnedColumns | igxTopLevel" class="igx-grid__mrl-block"
        [class.igx-grid__td--pinned-last]="col.hasLastPinnedChildColumn"
        [class.igx-grid__td--pinned-first]="col.hasFirstPinnedChildColumn"
        [style.left]="mrlRightPinnedOffset"
        [ngStyle]="{
            'grid-template-rows':col.getGridTemplate(true),
            'grid-template-columns':col.getGridTemplate(false),
            'z-index': col.pinned ? 1 : null
        }">
        <ng-template ngFor let-col [ngForOf]="col.children">
                <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails? mrlExpandableCellTemplate : mrlCellTemplate; context: getContext(col, this)"></ng-container>
        </ng-template>
    </div>
</ng-template>

<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [checked]="selected"
            [readonly]="true"
            [disabled]="deleted"
            [disableRipple]="true"
            [disableTransitions]="grid.disableTransitions"
            [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

<ng-template #cellTemplate let-col>
    <igx-grid-cell
        class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [class.igx-grid__td--bool]="col.dataType === 'boolean'"
        [class.igx-grid__td--image]="col.dataType === 'image'"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [formatter]="col.formatter"
        [intRow]="this"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [firstPinned]="col.columnLayoutChild ? null : col.isFirstPinned"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [style.min-width]="col.resolvedWidth"
        [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth"
        [style.left]="col.rightPinnedOffset"
        [width]="col.getCellWidth()"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-grid-cell>
</ng-template>

<ng-template #expandableCellTemplate let-col>
    <igx-expandable-grid-cell
        [class.igx-grid__td--pinned]="col.pinned"
        class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
        [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [expanded]="expanded"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [formatter]="col.formatter"
        [intRow]="this"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [style.min-width]="col.resolvedWidth"
        [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth"
        [width]="col.getCellWidth()"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-expandable-grid-cell>
</ng-template>

<ng-template #mrlCellTemplate let-col>
    <igx-grid-cell
        class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [style.grid-row-end]="col.rowEnd"
        [style.grid-column-end]="col.colEnd"
        [style.grid-row-start]="col.rowStart"
        [style.grid-column-start]="col.colStart"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [firstPinned]="col.columnLayoutChild ? null : col.isFirstPinned"
        [formatter]="col.formatter"
        [intRow]="this"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-grid-cell>
</ng-template>

<ng-template #mrlExpandableCellTemplate let-col>
    <igx-expandable-grid-cell
        class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [expanded]="expanded"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [style.grid-row-end]="col.rowEnd"
        [style.grid-column-end]="col.colEnd"
        [style.grid-row-start]="col.rowStart"
        [style.grid-column-start]="col.colStart"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [formatter]="col.formatter"
        [intRow]="this"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-expandable-grid-cell>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgTemplateOutlet31, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf58, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxRowDragDirective, selector: "[igxRowDrag]", inputs: ["igxRowDrag"] }, { kind: "directive", type: NgFor24, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "directive", type: NgStyle5, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxGridCellComponent, selector: "igx-grid-cell", inputs: ["column", "intRow", "row", "rowData", "columnData", "cellTemplate", "cellValidationErrorTemplate", "pinnedIndicator", "value", "formatter", "visibleColumnIndex", "cellSelectionMode", "lastSearchInfo", "lastPinned", "firstPinned", "editMode", "width", "active", "displayPinnedChip"] }, { kind: "directive", type: NgClass23, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxGridExpandableCellComponent, selector: "igx-expandable-grid-cell", inputs: ["expanded"] }, { kind: "pipe", type: IgxGridNotGroupedPipe, name: "igxNotGrouped" }, { kind: "pipe", type: IgxGridTopLevelColumns, name: "igxTopLevel" }, { kind: "pipe", type: IgxGridCellStylesPipe, name: "igxCellStyles" }, { kind: "pipe", type: IgxGridCellStyleClassesPipe, name: "igxCellStyleClasses" }, { kind: "pipe", type: IgxGridDataMapperPipe, name: "dataMapper" }, { kind: "pipe", type: IgxGridTransactionStatePipe, name: "transactionState" }], changeDetection: i0196.ChangeDetectionStrategy.OnPush });
  }
};
i0196.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0196, type: IgxGridRowComponent, decorators: [{
  type: Component86,
  args: [{ changeDetection: ChangeDetectionStrategy37.OnPush, selector: "igx-grid-row", providers: [{ provide: IgxRowDirective, useExisting: forwardRef21(() => IgxGridRowComponent) }], standalone: true, imports: [NgTemplateOutlet31, NgIf58, IgxRowDragDirective, NgFor24, IgxGridForOfDirective, NgStyle5, IgxCheckboxComponent, IgxGridCellComponent, NgClass23, IgxGridExpandableCellComponent, IgxGridNotGroupedPipe, IgxGridTopLevelColumns, IgxGridCellStylesPipe, IgxGridCellStyleClassesPipe, IgxGridDataMapperPipe, IgxGridTransactionStatePipe], template: `<ng-container *ngTemplateOutlet="addRowUI ? addTemp : defaultTemp"></ng-container>

<ng-template #addTemp>
    <div class="igx-grid__tr--inner" [class.igx-grid__tr--add-animate]="triggerAddAnimationClass" (animationend)="animationEndHandler()">
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
    <ng-container *ngIf="rowDraggable">
        <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()">
            <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
        </div>
    </ng-container>
    <ng-container *ngIf="this.showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (pointerdown)="$event.preventDefault()" (click)="onRowSelectorClick($event)">
            <ng-template *ngTemplateOutlet="
                this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
                context: { $implicit: { index: viewIndex, rowID: key, key, selected: selected }}">
            </ng-template>
        </div>
    </ng-container>
    <ng-container *ngIf="grid.groupingExpressions.length > 0">
        <div class="igx-grid__row-indentation igx-grid__row-indentation--level-{{grid.groupingExpressions.length}}" (pointerdown)="$event.preventDefault()" (click)="$event.stopPropagation()"></div>
    </ng-container>


    <ng-container *ngIf="!grid.hasColumnLayouts">
        <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
            <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
                    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
            </ng-template>
        </ng-container>
        <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]="grid.trackColumnChanges" #igxDirRef>
            <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
        </ng-template>
        <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
            <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
                    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? expandableCellTemplate : cellTemplate; context: getContext(col, this)"></ng-container>
            </ng-template>
        </ng-container>
    </ng-container>

    <ng-container *ngIf="grid.hasColumnLayouts">
        <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
            <ng-container *ngTemplateOutlet="mrlPinnedTemplate; context: getContextMRL(pinnedColumns, this)"></ng-container>
        </ng-container>
        <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxTopLevel" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]="grid.unpinnedWidth" [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]="grid.trackColumnChanges" #igxDirRef>
            <div class="igx-grid__mrl-block" [ngStyle]="{
                'grid-template-rows':col.getGridTemplate(true),
                'grid-template-columns':col.getGridTemplate(false)
            }">
                <ng-template ngFor let-col [ngForOf]="col.children">
                        <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails ? mrlExpandableCellTemplate : mrlCellTemplate; context: getContext(col, this)"></ng-container>
                </ng-template>
            </div>
        </ng-template>

        <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
            <ng-container *ngTemplateOutlet="mrlPinnedTemplate; context: getContextMRL(pinnedColumns, this)"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>

<ng-template #mrlPinnedTemplate let-pinnedColumns>
    <div *ngFor="let col of pinnedColumns | igxTopLevel" class="igx-grid__mrl-block"
        [class.igx-grid__td--pinned-last]="col.hasLastPinnedChildColumn"
        [class.igx-grid__td--pinned-first]="col.hasFirstPinnedChildColumn"
        [style.left]="mrlRightPinnedOffset"
        [ngStyle]="{
            'grid-template-rows':col.getGridTemplate(true),
            'grid-template-columns':col.getGridTemplate(false),
            'z-index': col.pinned ? 1 : null
        }">
        <ng-template ngFor let-col [ngForOf]="col.children">
                <ng-container *ngTemplateOutlet="col.visibleIndex === 0 && grid.hasDetails? mrlExpandableCellTemplate : mrlCellTemplate; context: getContext(col, this)"></ng-container>
        </ng-template>
    </div>
</ng-template>

<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [checked]="selected"
            [readonly]="true"
            [disabled]="deleted"
            [disableRipple]="true"
            [disableTransitions]="grid.disableTransitions"
            [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

<ng-template #cellTemplate let-col>
    <igx-grid-cell
        class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [class.igx-grid__td--bool]="col.dataType === 'boolean'"
        [class.igx-grid__td--image]="col.dataType === 'image'"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [formatter]="col.formatter"
        [intRow]="this"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [firstPinned]="col.columnLayoutChild ? null : col.isFirstPinned"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [style.min-width]="col.resolvedWidth"
        [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth"
        [style.left]="col.rightPinnedOffset"
        [width]="col.getCellWidth()"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-grid-cell>
</ng-template>

<ng-template #expandableCellTemplate let-col>
    <igx-expandable-grid-cell
        [class.igx-grid__td--pinned]="col.pinned"
        class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
        [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [expanded]="expanded"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [formatter]="col.formatter"
        [intRow]="this"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [style.min-width]="col.resolvedWidth"
        [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth"
        [width]="col.getCellWidth()"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-expandable-grid-cell>
</ng-template>

<ng-template #mrlCellTemplate let-col>
    <igx-grid-cell
        class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [style.grid-row-end]="col.rowEnd"
        [style.grid-column-end]="col.colEnd"
        [style.grid-row-start]="col.rowStart"
        [style.grid-column-start]="col.colStart"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [firstPinned]="col.columnLayoutChild ? null : col.isFirstPinned"
        [formatter]="col.formatter"
        [intRow]="this"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-grid-cell>
</ng-template>

<ng-template #mrlExpandableCellTemplate let-col>
    <igx-expandable-grid-cell
        class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--pinned]="col.pinned"
        [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
        [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
        [expanded]="expanded"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
        [column]="col"
        [style.grid-row-end]="col.rowEnd"
        [style.grid-column-end]="col.colEnd"
        [style.grid-row-start]="col.rowStart"
        [style.grid-column-start]="col.colStart"
        [lastPinned]="col.columnLayoutChild ? null : col.isLastPinned"
        [formatter]="col.formatter"
        [intRow]="this"
        [style.min-height.px]="cellHeight"
        [rowData]="data"
        [visibleColumnIndex]="col.visibleIndex"
        [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate"
        [cellValidationErrorTemplate]="col.errorTemplate"
        [lastSearchInfo]="grid.lastSearchInfo"
        [active]="isCellActive(col.visibleIndex)"
        [cellSelectionMode]="grid.cellSelection"
        [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        #cell>
    </igx-expandable-grid-cell>
</ng-template>
` }]
}] });

// lib/grids/selection/drag-select.directive.mjs
import { Directive as Directive81, Input as Input117, Output as Output57, EventEmitter as EventEmitter66, booleanAttribute as booleanAttribute68 } from "@angular/core";
import { interval as interval6, Subject as Subject50, animationFrameScheduler as animationFrameScheduler5 } from "rxjs";
import { filter as filter6, takeUntil as takeUntil43 } from "rxjs/operators";
import * as i0197 from "@angular/core";
var DragScrollDirection2;
(function(DragScrollDirection3) {
  DragScrollDirection3[DragScrollDirection3["NONE"] = 0] = "NONE";
  DragScrollDirection3[DragScrollDirection3["LEFT"] = 1] = "LEFT";
  DragScrollDirection3[DragScrollDirection3["TOP"] = 2] = "TOP";
  DragScrollDirection3[DragScrollDirection3["RIGHT"] = 3] = "RIGHT";
  DragScrollDirection3[DragScrollDirection3["BOTTOM"] = 4] = "BOTTOM";
  DragScrollDirection3[DragScrollDirection3["TOPLEFT"] = 5] = "TOPLEFT";
  DragScrollDirection3[DragScrollDirection3["TOPRIGHT"] = 6] = "TOPRIGHT";
  DragScrollDirection3[DragScrollDirection3["BOTTOMLEFT"] = 7] = "BOTTOMLEFT";
  DragScrollDirection3[DragScrollDirection3["BOTTOMRIGHT"] = 8] = "BOTTOMRIGHT";
})(DragScrollDirection2 || (DragScrollDirection2 = {}));
var IgxGridDragSelectDirective = class _IgxGridDragSelectDirective {
  get activeDrag() {
    return this._activeDrag;
  }
  set activeDrag(val) {
    if (val !== this._activeDrag) {
      this.unsubscribe();
      this._activeDrag = val;
    }
  }
  get nativeElement() {
    return this.ref.nativeElement;
  }
  constructor(ref, zone) {
    this.ref = ref;
    this.zone = zone;
    this.dragStop = new EventEmitter66();
    this.dragScroll = new EventEmitter66();
    this.end$ = new Subject50();
    this.lastDirection = DragScrollDirection2.NONE;
    this.startDragSelection = (ev) => {
      if (!this.activeDrag) {
        return;
      }
      const x = ev.clientX;
      const y = ev.clientY;
      const { direction, delta } = this._measureDimensions(x, y);
      if (direction === this.lastDirection) {
        return;
      }
      this.unsubscribe();
      this._sub = this._interval$.subscribe(() => this.dragScroll.emit(delta));
      this.lastDirection = direction;
    };
    this.stopDragSelection = () => {
      if (!this.activeDrag) {
        return;
      }
      this.dragStop.emit(false);
      this.unsubscribe();
      this.lastDirection = DragScrollDirection2.NONE;
    };
    this._interval$ = interval6(0, animationFrameScheduler5).pipe(takeUntil43(this.end$), filter6(() => this.activeDrag));
  }
  ngOnInit() {
    this.zone.runOutsideAngular(() => {
      this.nativeElement.addEventListener("pointerover", this.startDragSelection);
      this.nativeElement.addEventListener("pointerleave", this.stopDragSelection);
    });
  }
  ngOnDestroy() {
    this.zone.runOutsideAngular(() => {
      this.nativeElement.removeEventListener("pointerover", this.startDragSelection);
      this.nativeElement.removeEventListener("pointerleave", this.stopDragSelection);
    });
    this.unsubscribe();
    this.end$.complete();
  }
  _measureDimensions(x, y) {
    let direction;
    let delta = { left: 0, top: 0 };
    const { left, top, width, height } = this.nativeElement.getBoundingClientRect();
    const RATIO = 0.15;
    const offsetX = Math.trunc(x - left);
    const offsetY = Math.trunc(y - top);
    const leftDirection = offsetX <= width * RATIO;
    const rightDirection = offsetX >= width * (1 - RATIO);
    const topDirection = offsetY <= height * RATIO;
    const bottomDirection = offsetY >= height * (1 - RATIO);
    if (topDirection && leftDirection) {
      direction = DragScrollDirection2.TOPLEFT;
      delta = { left: -1, top: -1 };
    } else if (topDirection && rightDirection) {
      direction = DragScrollDirection2.TOPRIGHT;
      delta = { left: 1, top: -1 };
    } else if (bottomDirection && leftDirection) {
      direction = DragScrollDirection2.BOTTOMLEFT;
      delta = { left: -1, top: 1 };
    } else if (bottomDirection && rightDirection) {
      direction = DragScrollDirection2.BOTTOMRIGHT;
      delta = { top: 1, left: 1 };
    } else if (topDirection) {
      direction = DragScrollDirection2.TOP;
      delta.top = -1;
    } else if (bottomDirection) {
      direction = DragScrollDirection2.BOTTOM;
      delta.top = 1;
    } else if (leftDirection) {
      direction = DragScrollDirection2.LEFT;
      delta.left = -1;
    } else if (rightDirection) {
      direction = DragScrollDirection2.RIGHT;
      delta.left = 1;
    } else {
      direction = DragScrollDirection2.NONE;
    }
    return { direction, delta };
  }
  unsubscribe() {
    if (this._sub) {
      this._sub.unsubscribe();
    }
  }
  static {
    this.ɵfac = i0197.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0197, type: _IgxGridDragSelectDirective, deps: [{ token: i0197.ElementRef }, { token: i0197.NgZone }], target: i0197.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0197.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridDragSelectDirective, isStandalone: true, selector: "[igxGridDragSelect]", inputs: { activeDrag: ["igxGridDragSelect", "activeDrag", booleanAttribute68] }, outputs: { dragStop: "dragStop", dragScroll: "dragScroll" }, ngImport: i0197 });
  }
};
i0197.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0197, type: IgxGridDragSelectDirective, decorators: [{
  type: Directive81,
  args: [{
    selector: "[igxGridDragSelect]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0197.ElementRef }, { type: i0197.NgZone }], propDecorators: { dragStop: [{
  type: Output57
}], dragScroll: [{
  type: Output57
}], activeDrag: [{
  type: Input117,
  args: [{ alias: "igxGridDragSelect", transform: booleanAttribute68 }]
}] } });

// lib/grids/grid/grid.component.mjs
import { Component as Component87, ChangeDetectionStrategy as ChangeDetectionStrategy39, Input as Input118, Output as Output58, EventEmitter as EventEmitter67, ContentChild as ContentChild19, ViewChildren as ViewChildren18, QueryList as QueryList5, ViewChild as ViewChild51, TemplateRef as TemplateRef31, HostBinding as HostBinding86, ContentChildren as ContentChildren22, CUSTOM_ELEMENTS_SCHEMA, booleanAttribute as booleanAttribute69 } from "@angular/core";
import { NgIf as NgIf59, NgTemplateOutlet as NgTemplateOutlet32, NgClass as NgClass24, NgFor as NgFor25, NgStyle as NgStyle6 } from "@angular/common";
import { take as take2, takeUntil as takeUntil44 } from "rxjs/operators";
import { Subject as Subject51 } from "rxjs";
import * as i0198 from "@angular/core";
var NEXT_ID25 = 0;
var IgxGridComponent = class _IgxGridComponent extends IgxGridBaseDirective {
  constructor() {
    super(...arguments);
    this.dataPreLoad = new EventEmitter67();
    this.groupingExpressionsChange = new EventEmitter67();
    this.groupingExpansionStateChange = new EventEmitter67();
    this.groupingDone = new EventEmitter67();
    this.groupsExpanded = true;
    this.role = "grid";
    this.id = `igx-grid-${NEXT_ID25++}`;
    this._groupsRecords = [];
    this._groupingExpressions = [];
    this._groupingExpandState = [];
    this._hideGroupedColumns = false;
    this._dropAreaMessage = null;
    this._showGroupArea = true;
    this.childDetailTemplates = /* @__PURE__ */ new Map();
    this.groupingPerformedSubject = new Subject51();
    this.groupingPerformed$ = this.groupingPerformedSubject.asObservable();
  }
  /**
   * Returns a reference to the master-detail template.
   * ```typescript
   * let detailTemplate = this.grid.detailTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  get detailTemplate() {
    return this._detailTemplate;
  }
  /**
   * Sets the master-detail template.
   * ```html
   * <ng-template #detailTemplate igxGridDetail let-dataItem>
   *    <div>
   *       <div><span class='categoryStyle'>City:</span> {{dataItem.City}}</div>
   *       <div><span class='categoryStyle'>Address:</span> {{dataItem.Address}}</div>
   *    </div>
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'detailTemplate'", {read: TemplateRef })
   * public detailTemplate: TemplateRef<any>;
   * this.grid.detailTemplate = this.detailTemplate;
   * ```
   *
   * @memberof IgxColumnComponent
   */
  set detailTemplate(template) {
    this._detailTemplate = template;
  }
  /**
   * Gets the hierarchical representation of the group by records.
   *
   * @example
   * ```typescript
   * let groupRecords = this.grid.groupsRecords;
   * ```
   */
  get groupsRecords() {
    return this._groupsRecords;
  }
  /**
   * Gets/Sets the array of data that populates the component.
   *
   * @example
   * ```html
   * <igx-grid [data]="Data" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get data() {
    return this._data;
  }
  set data(value) {
    const dataLoaded = (!this._data || this._data.length === 0) && value && value.length > 0;
    this._data = value || [];
    this.summaryService.clearSummaryCache();
    if (!this._init) {
      this.validation.updateAll(this._data);
    }
    if (this.shouldGenerate) {
      this.setupColumns();
    }
    this.cdr.markForCheck();
    if (this.isPercentHeight) {
      this.notifyChanges(true);
    }
    if (dataLoaded && this._columns.some((x) => x._width === "auto")) {
      this.recalculateAutoSizes();
    }
  }
  /**
   * Gets/Sets the total number of records in the data source.
   *
   * @remarks
   * This property is required for remote grid virtualization to function when it is bound to remote data.
   * @example
   * ```typescript
   * const itemCount = this.grid1.totalItemCount;
   * this.grid1.totalItemCount = 55;
   * ```
   */
  set totalItemCount(count) {
    this.verticalScrollContainer.totalItemCount = count;
  }
  get totalItemCount() {
    return this.verticalScrollContainer.totalItemCount;
  }
  get _gridAPI() {
    return this.gridAPI;
  }
  /**
   * Gets/Sets the group by state.
   *
   * @example
   * ```typescript
   * let groupByState = this.grid.groupingExpressions;
   * this.grid.groupingExpressions = [...];
   * ```
   * @remarks
   * Supports two-way data binding.
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpressions)]="model.groupingExpressions"></igx-grid>
   * ```
   */
  get groupingExpressions() {
    return this._groupingExpressions;
  }
  set groupingExpressions(value) {
    if (this.groupingExpressions === value) {
      return;
    }
    if (value && value.length > 10) {
      throw Error("Maximum amount of grouped columns is 10.");
    }
    const oldExpressions = this.groupingExpressions;
    const newExpressions = value;
    this._groupingExpressions = cloneArray(value);
    this.groupingExpressionsChange.emit(this._groupingExpressions);
    if (this._gridAPI.grid) {
      this._applyGrouping();
      this.notifyChanges();
    }
    if (!this._init && JSON.stringify(oldExpressions) !== JSON.stringify(newExpressions) && this._columns) {
      const groupedCols = [];
      const ungroupedCols = [];
      const groupedColsArr = newExpressions.filter((obj) => !oldExpressions.some((obj2) => obj.fieldName === obj2.fieldName));
      groupedColsArr.forEach((elem) => {
        groupedCols.push(this.getColumnByName(elem.fieldName));
      }, this);
      const ungroupedColsArr = oldExpressions.filter((obj) => !newExpressions.some((obj2) => obj.fieldName === obj2.fieldName));
      ungroupedColsArr.forEach((elem) => {
        ungroupedCols.push(this.getColumnByName(elem.fieldName));
      }, this);
      this.notifyChanges();
      const groupingDoneArgs = {
        expressions: newExpressions,
        groupedColumns: groupedCols,
        ungroupedColumns: ungroupedCols
      };
      this.groupingPerformed$.pipe(take2(1)).subscribe(() => {
        this.groupingDone.emit(groupingDoneArgs);
      });
    }
  }
  /**
   * Gets/Sets a list of expansion states for group rows.
   *
   * @remarks
   * Includes only states that differ from the default one (controlled through groupsExpanded and states that the user has changed.
   * Contains the expansion state (expanded: boolean) and the unique identifier for the group row (Array).
   * Supports two-way data binding.
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpansionState)]="model.groupingExpansionState"></igx-grid>
   * ```
   */
  get groupingExpansionState() {
    return this._groupingExpandState;
  }
  set groupingExpansionState(value) {
    if (value !== this._groupingExpandState) {
      this.groupingExpansionStateChange.emit(value);
    }
    this._groupingExpandState = value;
    if (this.gridAPI.grid) {
      this.cdr.detectChanges();
    }
  }
  /**
   * Gets/Sets whether the grouped columns should be hidden.
   *
   * @remarks
   * The default value is "false"
   * @example
   * ```html
   * <igx-grid #grid [data]="localData" [hideGroupedColumns]="true" [autoGenerate]="true"></igx-grid>
   * ```
   */
  get hideGroupedColumns() {
    return this._hideGroupedColumns;
  }
  set hideGroupedColumns(value) {
    if (value) {
      this.groupingDiffer = this.differs.find(this.groupingExpressions).create();
    } else {
      this.groupingDiffer = null;
    }
    if (this._columns && this.groupingExpressions) {
      this._setGroupColsVisibility(value);
    }
    this._hideGroupedColumns = value;
  }
  /**
   * Gets/Sets the grouping strategy of the grid.
   *
   * @remarks The default IgxGrouping extends from IgxSorting and a custom one can be used as a `sortStrategy` as well.
   *
   * @example
   * ```html
   *  <igx-grid #grid [data]="localData" [groupStrategy]="groupStrategy"></igx-grid>
   * ```
   */
  get groupStrategy() {
    return this._groupStrategy;
  }
  set groupStrategy(value) {
    this._groupStrategy = value;
  }
  /**
   * Gets/Sets the message displayed inside the GroupBy drop area where columns can be dragged on.
   *
   * @remarks
   * The grid needs to have at least one groupable column in order the GroupBy area to be displayed.
   * @example
   * ```html
   * <igx-grid dropAreaMessage="Drop here to group!">
   *      <igx-column [groupable]="true" field="ID"></igx-column>
   * </igx-grid>
   * ```
   */
  set dropAreaMessage(value) {
    this._dropAreaMessage = value;
    this.notifyChanges();
  }
  get dropAreaMessage() {
    return this._dropAreaMessage || this.resourceStrings.igx_grid_groupByArea_message;
  }
  /**
   * @hidden @internal
   */
  get groupsRowList() {
    const res = new QueryList5();
    if (!this._groupsRowList) {
      return res;
    }
    const rList = this._groupsRowList.filter((item) => item.element.nativeElement.parentElement !== null).sort((item1, item2) => item1.index - item2.index);
    res.reset(rList);
    return res;
  }
  /**
   * Gets the group by row selector template.
   */
  get groupByRowSelectorTemplate() {
    return this._groupByRowSelectorTemplate || this.groupByRowSelectorsTemplates?.first;
  }
  /**
   * Sets the group by row selector template.
   * ```html
   * <ng-template #template igxGroupByRowSelector let-groupByRowContext>
   * {{ groupByRowContext.selectedCount }} / {{ groupByRowContext.totalCount  }}
   * </ng-template>
   * ```
   * ```typescript
   * @ViewChild("'template'", {read: TemplateRef })
   * public template: TemplateRef<any>;
   * this.grid.groupByRowSelectorTemplate = this.template;
   * ```
   */
  set groupByRowSelectorTemplate(template) {
    this._groupByRowSelectorTemplate = template;
  }
  /**
   * @hidden @internal
   */
  getDetailsContext(rowData, index) {
    return {
      $implicit: rowData,
      index
    };
  }
  /**
   * @hidden @internal
   */
  detailsViewFocused(container, rowIndex) {
    this.navigation.setActiveNode({ row: rowIndex });
  }
  /**
   * @hidden @internal
   */
  get hasDetails() {
    return !!this.detailTemplate;
  }
  /**
   * @hidden @internal
   */
  getRowTemplate(rowData) {
    if (this.isGroupByRecord(rowData)) {
      return this.defaultGroupTemplate;
    } else if (this.isSummaryRow(rowData)) {
      return this.summaryTemplate;
    } else if (this.hasDetails && this.isDetailRecord(rowData)) {
      return this.detailTemplateContainer;
    } else {
      return this.recordTemplate;
    }
  }
  /**
   * @hidden @internal
   */
  isDetailRecord(record) {
    return record && record.detailsData !== void 0;
  }
  /**
   * @hidden @internal
   */
  isDetailActive(rowIndex) {
    return this.navigation.activeNode ? this.navigation.activeNode.row === rowIndex : false;
  }
  /**
   * Gets/Sets the template reference for the group row.
   *
   * @example
   * ```
   * const groupRowTemplate = this.grid.groupRowTemplate;
   * this.grid.groupRowTemplate = myRowTemplate;
   * ```
   */
  get groupRowTemplate() {
    return this._groupRowTemplate;
  }
  set groupRowTemplate(template) {
    this._groupRowTemplate = template;
    this.notifyChanges();
  }
  /**
   * Groups by a new `IgxColumnComponent` based on the provided expression, or modifies an existing one.
   *
   * @remarks
   * Also allows for multiple columns to be grouped at once if an array of `ISortingExpression` is passed.
   * The `groupingDone` event would get raised only **once** if this method gets called multiple times with the same arguments.
   * @example
   * ```typescript
   * this.grid.groupBy({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
   * this.grid.groupBy([
   *     { fieldName: name1, dir: SortingDirection.Asc, ignoreCase: false },
   *     { fieldName: name2, dir: SortingDirection.Desc, ignoreCase: true },
   *     { fieldName: name3, dir: SortingDirection.Desc, ignoreCase: false }
   * ]);
   * ```
   */
  groupBy(expression) {
    if (this.checkIfNoColumnField(expression)) {
      return;
    }
    this.crudService.endEdit(false);
    if (expression instanceof Array) {
      this._gridAPI.groupBy_multiple(expression);
    } else {
      this._gridAPI.groupBy(expression);
    }
    this.notifyChanges(true);
  }
  /**
   * Clears grouping for particular column, array of columns or all columns.
   *
   * @remarks
   * Clears all grouping in the grid, if no parameter is passed.
   * If a parameter is provided, clears grouping for a particular column or an array of columns.
   * @example
   * ```typescript
   * this.grid.clearGrouping(); //clears all grouping
   * this.grid.clearGrouping("ID"); //ungroups a single column
   * this.grid.clearGrouping(["ID", "Column1", "Column2"]); //ungroups multiple columns
   * ```
   * @param name Name of column or array of column names to be ungrouped.
   */
  clearGrouping(name) {
    this._gridAPI.clear_groupby(name);
    this.calculateGridSizes();
    this.notifyChanges(true);
    this.groupingPerformedSubject.next();
  }
  /**
   * Returns if a group is expanded or not.
   *
   * @param group The group record.
   * @example
   * ```typescript
   * public groupRow: IGroupByRecord;
   * const expandedGroup = this.grid.isExpandedGroup(this.groupRow);
   * ```
   */
  isExpandedGroup(group) {
    const state = this._getStateForGroupRow(group);
    return state ? state.expanded : this.groupsExpanded;
  }
  /**
   * Toggles the expansion state of a group.
   *
   * @param groupRow The group record to toggle.
   * @example
   * ```typescript
   * public groupRow: IGroupByRecord;
   * const toggleExpGroup = this.grid.toggleGroup(this.groupRow);
   * ```
   */
  toggleGroup(groupRow) {
    this._toggleGroup(groupRow);
    this.notifyChanges();
  }
  /**
   * Select all rows within a group.
   *
   * @param groupRow: The group record which rows would be selected.
   * @param clearCurrentSelection if true clears the current selection
   * @example
   * ```typescript
   * this.grid.selectRowsInGroup(this.groupRow, true);
   * ```
   */
  selectRowsInGroup(groupRow, clearPrevSelection) {
    this._gridAPI.groupBy_select_all_rows_in_group(groupRow, clearPrevSelection);
    this.notifyChanges();
  }
  /**
   * Deselect all rows within a group.
   *
   * @param groupRow The group record which rows would be deselected.
   * @example
   * ```typescript
   * public groupRow: IGroupByRecord;
   * this.grid.deselectRowsInGroup(this.groupRow);
   * ```
   */
  deselectRowsInGroup(groupRow) {
    this._gridAPI.groupBy_deselect_all_rows_in_group(groupRow);
    this.notifyChanges();
  }
  /**
   * Expands the specified group and all of its parent groups.
   *
   * @param groupRow The group record to fully expand.
   * @example
   * ```typescript
   * public groupRow: IGroupByRecord;
   * this.grid.fullyExpandGroup(this.groupRow);
   * ```
   */
  fullyExpandGroup(groupRow) {
    this._fullyExpandGroup(groupRow);
    this.notifyChanges();
  }
  /**
   * @hidden @internal
   */
  isGroupByRecord(record) {
    return record && record?.records && record.records?.length && record.expression && record.expression?.fieldName;
  }
  /**
   * Toggles the expansion state of all group rows recursively.
   *
   * @example
   * ```typescript
   * this.grid.toggleAllGroupRows;
   * ```
   */
  toggleAllGroupRows() {
    this.groupingExpansionState = [];
    this.groupsExpanded = !this.groupsExpanded;
    this.notifyChanges();
  }
  /** @hidden @internal */
  get hasGroupableColumns() {
    return this._columns.some((col) => col.groupable && !col.columnGroup);
  }
  /**
   * Returns whether the `IgxGridComponent` has group area.
   *
   * @example
   * ```typescript
   * let isGroupAreaVisible = this.grid.showGroupArea;
   * ```
   *
   * @example
   * ```html
   * <igx-grid #grid [data]="Data" [showGroupArea]="false"></igx-grid>
   * ```
   */
  get showGroupArea() {
    return this._showGroupArea;
  }
  set showGroupArea(value) {
    this._showGroupArea = value;
    this.notifyChanges(true);
  }
  /**
   * @hidden @internal
   */
  isColumnGrouped(fieldName) {
    return this.groupingExpressions.find((exp) => exp.fieldName === fieldName) ? true : false;
  }
  /**
   * @hidden @internal
   */
  getContext(rowData, rowIndex, pinned) {
    if (this.isDetailRecord(rowData)) {
      const cachedData = this.childDetailTemplates.get(rowData.detailsData);
      const rowID = this.primaryKey ? rowData.detailsData[this.primaryKey] : rowData.detailsData;
      if (cachedData) {
        const view = cachedData.view;
        const tmlpOutlet = cachedData.owner;
        return {
          $implicit: rowData.detailsData,
          moveView: view,
          owner: tmlpOutlet,
          index: this.dataView.indexOf(rowData),
          templateID: {
            type: "detailRow",
            id: rowID
          }
        };
      } else {
        return {
          $implicit: rowData.detailsData,
          templateID: {
            type: "detailRow",
            id: rowID
          },
          index: this.dataView.indexOf(rowData)
        };
      }
    }
    return {
      $implicit: this.isGhostRecord(rowData) ? rowData.recordRef : rowData,
      index: this.getDataViewIndex(rowIndex, pinned),
      templateID: {
        type: this.isGroupByRecord(rowData) ? "groupRow" : this.isSummaryRow(rowData) ? "summaryRow" : "dataRow",
        id: null
      },
      disabled: this.isGhostRecord(rowData)
    };
  }
  /**
   * @hidden @internal
   */
  viewCreatedHandler(args) {
    if (args.context.templateID.type === "detailRow") {
      this.childDetailTemplates.set(args.context.$implicit, args);
    }
  }
  /**
   * @hidden @internal
   */
  viewMovedHandler(args) {
    if (args.context.templateID.type === "detailRow") {
      const key = args.context.$implicit;
      const cachedData = this.childDetailTemplates.get(key);
      cachedData.owner = args.owner;
    }
  }
  /**
   * @hidden @internal
   */
  get iconTemplate() {
    if (this.groupsExpanded) {
      return this.headerExpandedIndicatorTemplate || this.defaultExpandedTemplate;
    } else {
      return this.headerCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
    }
  }
  /**
   * @hidden @internal
   */
  ngAfterContentInit() {
    super.ngAfterContentInit();
    if (this.allowFiltering && this.hasColumnLayouts) {
      this.filterMode = FilterMode.excelStyleFilter;
    }
    if (this.groupTemplate) {
      this._groupRowTemplate = this.groupTemplate.template;
    }
    if (this.detailTemplateDirective) {
      this._detailTemplate = this.detailTemplateDirective;
    }
    if (this.hideGroupedColumns && this._columns && this.groupingExpressions) {
      this._setGroupColsVisibility(this.hideGroupedColumns);
    }
    this._setupNavigationService();
  }
  /**
   * @hidden @internal
   */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.verticalScrollContainer.beforeViewDestroyed.pipe(takeUntil44(this.destroy$)).subscribe((view) => {
      const rowData = view.context.$implicit;
      if (this.isDetailRecord(rowData)) {
        const cachedData = this.childDetailTemplates.get(rowData.detailsData);
        if (cachedData) {
          const tmlpOutlet = cachedData.owner;
          tmlpOutlet._viewContainerRef.detach(0);
        }
      }
    });
    this.sortingExpressionsChange.pipe(takeUntil44(this.destroy$)).subscribe((sortingExpressions) => {
      if (!this.groupingExpressions || !this.groupingExpressions.length) {
        return;
      }
      sortingExpressions.forEach((sortExpr) => {
        const fieldName = sortExpr.fieldName;
        const groupingExpr = this.groupingExpressions.find((ex) => ex.fieldName === fieldName);
        if (groupingExpr) {
          groupingExpr.dir = sortExpr.dir;
        }
      });
    });
  }
  /**
   * @hidden @internal
   */
  ngOnInit() {
    super.ngOnInit();
    this.trackChanges = (_, rec) => rec?.detailsData !== void 0 ? rec.detailsData : rec;
    this.groupingDone.pipe(takeUntil44(this.destroy$)).subscribe((args) => {
      this.crudService.endEdit(false);
      this.summaryService.updateSummaryCache(args);
      this._headerFeaturesWidth = NaN;
    });
  }
  /**
   * @hidden @internal
   */
  ngDoCheck() {
    if (this.groupingDiffer && this._columns && !this.hasColumnLayouts) {
      const changes = this.groupingDiffer.diff(this.groupingExpressions);
      if (changes && this._columns.length > 0) {
        changes.forEachAddedItem((rec) => {
          const col = this.getColumnByName(rec.item.fieldName);
          if (col) {
            col.hidden = true;
          }
        });
        changes.forEachRemovedItem((rec) => {
          const col = this.getColumnByName(rec.item.fieldName);
          col.hidden = false;
        });
      }
    }
    super.ngDoCheck();
  }
  /**
   * @hidden @internal
   */
  dataLoading(event) {
    this.dataPreLoad.emit(event);
  }
  /**
   *
   * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
   *
   * @remarks
   * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
   * If `headers` is enabled, it will use the column header (if any) instead of the column field.
   */
  getSelectedData(formatters = false, headers = false) {
    if (this.groupingExpressions.length || this.hasDetails) {
      const source = [];
      const process = (record) => {
        if (record.expression || record.summaries || this.isDetailRecord(record)) {
          source.push(null);
          return;
        }
        source.push(record);
      };
      this.dataView.forEach(process);
      return this.extractDataFromSelection(source, formatters, headers);
    } else {
      return super.getSelectedData(formatters, headers);
    }
  }
  /**
   * Returns the `IgxGridRow` by index.
   *
   * @example
   * ```typescript
   * const myRow = grid.getRowByIndex(1);
   * ```
   * @param index
   */
  getRowByIndex(index) {
    let row;
    if (index < 0) {
      return void 0;
    }
    if (this.dataView.length >= this.virtualizationState.startIndex + this.virtualizationState.chunkSize) {
      row = this.createRow(index);
    } else {
      if (!(index < this.virtualizationState.startIndex) && !(index > this.virtualizationState.startIndex + this.virtualizationState.chunkSize)) {
        row = this.createRow(index);
      }
    }
    if (this.pagingMode === 1 && this.page !== 0) {
      row.index = index + this.perPage * this.page;
    }
    return row;
  }
  /**
   * Returns `IgxGridRow` object by the specified primary key.
   *
   * @remarks
   * Requires that the `primaryKey` property is set.
   * @example
   * ```typescript
   * const myRow = this.grid1.getRowByKey("cell5");
   * ```
   * @param keyValue
   */
  getRowByKey(key) {
    const rec = this.filteredSortedData ? this.primaryKey ? this.filteredSortedData.find((record) => record[this.primaryKey] === key) : this.filteredSortedData.find((record) => record === key) : void 0;
    const index = this.dataView.indexOf(rec);
    if (index < 0 || index > this.dataView.length) {
      return void 0;
    }
    return new IgxGridRow(this, index, rec);
  }
  /**
   * @hidden @internal
   */
  allRows() {
    return this.dataView.map((rec, index) => {
      this.pagingMode === 1 && this.page !== 0 ? index = index + this.perPage * this.page : index = this.dataRowList.first.index + index;
      return this.createRow(index);
    });
  }
  /**
   * Returns the collection of `IgxGridRow`s for current page.
   *
   * @hidden @internal
   */
  dataRows() {
    return this.allRows().filter((row) => row instanceof IgxGridRow);
  }
  /**
   * Returns an array of the selected `IgxGridCell`s.
   *
   * @example
   * ```typescript
   * const selectedCells = this.grid.selectedCells;
   * ```
   */
  get selectedCells() {
    return this.dataRows().map((row) => row.cells.filter((cell) => cell.selected)).reduce((a, b) => a.concat(b), []);
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @example
   * ```typescript
   * const myCell = this.grid1.getCellByColumn(2, "UnitPrice");
   * ```
   * @param rowIndex
   * @param columnField
   */
  getCellByColumn(rowIndex, columnField) {
    const row = this.getRowByIndex(rowIndex);
    const column = this._columns.find((col) => col.field === columnField);
    if (row && row instanceof IgxGridRow && !row.data?.detailsData && column) {
      if (this.pagingMode === 1 && this.page !== 0) {
        row.index = rowIndex + this.perPage * this.page;
      }
      return new IgxGridCell(this, row.index, column);
    }
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @remarks
   * Requires that the primaryKey property is set.
   * @example
   * ```typescript
   * grid.getCellByKey(1, 'index');
   * ```
   * @param rowSelector match any rowID
   * @param columnField
   */
  getCellByKey(rowSelector, columnField) {
    const row = this.getRowByKey(rowSelector);
    const column = this._columns.find((col) => col.field === columnField);
    if (row && column) {
      return new IgxGridCell(this, row.index, column);
    }
  }
  pinRow(rowID, index) {
    const row = this.getRowByKey(rowID);
    return super.pinRow(rowID, index, row);
  }
  unpinRow(rowID) {
    const row = this.getRowByKey(rowID);
    return super.unpinRow(rowID, row);
  }
  /**
   * @hidden @internal
   */
  createRow(index, data) {
    let row;
    const dataIndex = this._getDataViewIndex(index);
    const rec = data ?? this.dataView[dataIndex];
    if (rec && this.isGroupByRecord(rec)) {
      row = new IgxGroupByRow(this, index, rec);
    }
    if (rec && this.isSummaryRow(rec)) {
      row = new IgxSummaryRow(this, index, rec.summaries, GridInstanceType.Grid);
    }
    if (!row && rec) {
      row = new IgxGridRow(this, index, rec);
    }
    return row;
  }
  /**
   * @hidden @internal
   */
  get defaultTargetBodyHeight() {
    const allItems = this.totalItemCount || this.dataLength;
    return this.renderedRowHeight * Math.min(this._defaultTargetRecordNumber, this.paginator ? Math.min(allItems, this.perPage) : allItems);
  }
  /**
   * @hidden @internal
   */
  getGroupAreaHeight() {
    return this.groupArea ? this.getComputedHeight(this.groupArea.nativeElement) : 0;
  }
  /**
   * @hidden @internal
   */
  onColumnsAddedOrRemoved() {
    this.groupablePipeTrigger++;
    if (this.groupingExpressions && this.hideGroupedColumns) {
      this._setGroupColsVisibility(this.hideGroupedColumns);
    }
    super.onColumnsAddedOrRemoved();
  }
  /**
   * @hidden @internal
   */
  scrollTo(row, column) {
    if (this.groupingExpressions && this.groupingExpressions.length && typeof row !== "number") {
      const rowIndex = this.groupingResult.indexOf(row);
      const groupByRecord = this.groupingMetadata[rowIndex];
      if (groupByRecord) {
        this._fullyExpandGroup(groupByRecord);
      }
    }
    super.scrollTo(row, column, this.groupingFlatResult);
  }
  /**
   * @hidden @internal
   */
  _getStateForGroupRow(groupRow) {
    return this._gridAPI.groupBy_get_expanded_for_group(groupRow);
  }
  /**
   * @hidden
   */
  _toggleGroup(groupRow) {
    this._gridAPI.groupBy_toggle_group(groupRow);
  }
  /**
   * @hidden @internal
   */
  _fullyExpandGroup(groupRow) {
    this._gridAPI.groupBy_fully_expand_group(groupRow);
  }
  /**
   * @hidden @internal
   */
  _applyGrouping() {
    this._gridAPI.sort_groupBy_multiple(this._groupingExpressions);
  }
  _setupNavigationService() {
    if (this.hasColumnLayouts) {
      this.navigation = new IgxGridMRLNavigationService(this.platform);
      this.navigation.grid = this;
    }
  }
  checkIfNoColumnField(expression) {
    if (expression instanceof Array) {
      for (const singleExpression of expression) {
        if (!singleExpression.fieldName) {
          return true;
        }
      }
      return false;
    }
    return !expression.fieldName;
  }
  _setGroupColsVisibility(value) {
    if (this._columns.length > 0 && !this.hasColumnLayouts) {
      this.groupingExpressions.forEach((expr) => {
        const col = this.getColumnByName(expr.fieldName);
        col.hidden = value;
      });
    }
  }
  static {
    this.ɵfac = i0198.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0198, type: _IgxGridComponent, deps: null, target: i0198.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0198.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridComponent, isStandalone: true, selector: "igx-grid", inputs: { groupsExpanded: ["groupsExpanded", "groupsExpanded", booleanAttribute69], dropAreaTemplate: "dropAreaTemplate", detailTemplate: "detailTemplate", id: "id", data: "data", totalItemCount: "totalItemCount", groupingExpressions: "groupingExpressions", groupingExpansionState: "groupingExpansionState", hideGroupedColumns: ["hideGroupedColumns", "hideGroupedColumns", booleanAttribute69], groupStrategy: "groupStrategy", dropAreaMessage: "dropAreaMessage", groupByRowSelectorTemplate: "groupByRowSelectorTemplate", groupRowTemplate: "groupRowTemplate", showGroupArea: ["showGroupArea", "showGroupArea", booleanAttribute69] }, outputs: { dataPreLoad: "dataPreLoad", groupingExpressionsChange: "groupingExpressionsChange", groupingExpansionStateChange: "groupingExpansionStateChange", groupingDone: "groupingDone" }, host: { properties: { "attr.role": "this.role", "attr.id": "this.id" } }, providers: [
      IgxGridCRUDService,
      IgxGridNavigationService,
      IgxGridSummaryService,
      IgxGridSelectionService,
      IgxGridValidationService,
      { provide: IGX_GRID_SERVICE_BASE, useClass: IgxGridAPIService },
      { provide: IGX_GRID_BASE, useExisting: _IgxGridComponent },
      IgxFilteringService,
      IgxColumnResizingService,
      IgxForOfSyncService,
      IgxForOfScrollSyncService
    ], queries: [{ propertyName: "detailTemplateDirective", first: true, predicate: IgxGridDetailTemplateDirective, descendants: true, read: TemplateRef31 }, { propertyName: "groupTemplate", first: true, predicate: IgxGroupByRowTemplateDirective, descendants: true, read: IgxGroupByRowTemplateDirective }, { propertyName: "groupByRowSelectorsTemplates", predicate: IgxGroupByRowSelectorDirective, read: TemplateRef31 }], viewQueries: [{ propertyName: "recordTemplate", first: true, predicate: ["record_template"], descendants: true, read: TemplateRef31, static: true }, { propertyName: "detailTemplateContainer", first: true, predicate: ["detail_template_container"], descendants: true, read: TemplateRef31, static: true }, { propertyName: "defaultGroupTemplate", first: true, predicate: ["group_template"], descendants: true, read: TemplateRef31, static: true }, { propertyName: "summaryTemplate", first: true, predicate: ["summary_template"], descendants: true, read: TemplateRef31, static: true }, { propertyName: "_groupsRowList", predicate: IgxGridGroupByRowComponent, descendants: true, read: IgxGridGroupByRowComponent }], usesInheritance: true, ngImport: i0198, template: `<!-- Toolbar area -->
<ng-content select="igx-grid-toolbar"></ng-content>

<!-- Group-by area -->
<ng-container *ngIf="showGroupArea && (groupingExpressions.length > 0 || hasGroupableColumns)">
    <igx-grid-group-by-area #groupArea [style.flex-basis.px]="outerWidth"
        [grid]="this"
        [expressions]="groupingExpressions"
        [sortingExpressions]="sortingExpressions"
        [density]="displayDensity"
        [dropAreaTemplate]="dropAreaTemplate"
        [dropAreaMessage]="dropAreaMessage"
    >
    </igx-grid-group-by-area>
</ng-container>

<!-- Grid table head row area -->
<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [density]="displayDensity"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (scroll)="preventHeaderScroll($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content" tabindex="0" [attr.role]="dataView.length ? null : 'row'" (keydown)="navigation.handleNavigation($event)" (focus)="navigation.focusTbody($event)"
        (dragStop)="selectionService.dragMode = $event" (scroll)="preventContainerScroll($event)"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]="totalHeight" [style.width.px]="calcWidth || null" #tbody [attr.aria-activedescendant]="activeDescendant">
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
    <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null">
    </ng-container>
    <ng-template #pinnedRecordsTemplate>
        <ng-container *ngIf="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridAddRow:true:pipeTrigger
        | gridRowPinning:id:true:pipeTrigger
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger:true
        | gridSort:sortingExpressions:groupingExpressions:sortStrategy:id:pipeTrigger:true as pinnedData">
            <div #pinContainer *ngIf="pinnedData.length > 0"
                [ngClass]="{
                    'igx-grid__tr--pinned-bottom':  !isRowPinningToTop,
                    'igx-grid__tr--pinned-top': isRowPinningToTop
                }"
                class="igx-grid__tr--pinned" [style.width.px]="calcWidth">
                <ng-container *ngFor="let rowData of pinnedData; let rowIndex = index">
                    <ng-container *ngTemplateOutlet="pinned_record_template; context: getContext(rowData, rowIndex, true)">
                    </ng-container>
                </ng-container>
            </div>
        </ng-container>
    </ng-template>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger
        | gridSort:sortingExpressions:groupingExpressions:sortStrategy:id:pipeTrigger
        | gridGroupBy:groupingExpressions:groupingExpansionState:groupStrategy:groupsExpanded:id:groupsRecords:pipeTrigger
        | gridPaging:!!paginator:page:perPage:pipeTrigger
        | gridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:id:showSummaryOnCollapse:pipeTrigger:summaryPipeTrigger
        | gridDetails:hasDetails:expansionStates:pipeTrigger
        | gridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight"
            [igxForItemSize]="hasColumnLayouts ? rowHeight * multiRowLayoutRowSize + 1 : renderedRowHeight"
            [igxForTrackBy]="trackChanges"
            #verticalScrollContainer (chunkPreload)="dataLoading($event)" (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template
                [igxTemplateOutlet]="getRowTemplate(rowData)"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex)"
                (cachedViewLoaded)="cachedViewLoaded($event)"
                (viewCreated)="viewCreatedHandler($event)"
                (viewMoved)="viewMovedHandler($event)">
            </ng-template>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-template #record_template let-rowIndex="index" let-rowData let-disabledRow="disabled">
            <igx-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData" [disabled]="disabledRow"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-grid-row>
        </ng-template>
        <ng-template #pinned_record_template let-rowIndex="index" let-rowData>
            <igx-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger"#row #pinnedRow>
            </igx-grid-row>
        </ng-template>
        <ng-template #group_template let-rowIndex="index" let-rowData>
            <igx-grid-groupby-row [gridID]="id" [index]="rowIndex" [groupRow]="rowData" [hideGroupRowSelectors]="hideRowSelectors" [rowDraggable]="rowDraggable" #row>
            </igx-grid-groupby-row>
        </ng-template>
        <ng-template #summary_template let-rowIndex="index" let-rowData>
            <igx-grid-summary-row role="row" [gridID]="id" [summaries]="rowData.summaries" [index]="rowIndex"
                class="igx-grid__summaries--body" #summaryRow>
            </igx-grid-summary-row>
        </ng-template>
        <ng-template #detail_template_container let-rowIndex="index" let-rowData>
            <div detail="true" id="{{id}}_{{rowIndex}}" (pointerdown)="detailsViewFocused(detailsContainer, rowIndex)" #detailsContainer [attr.data-rowindex]="rowIndex"
                [ngClass]="{
                'igx-grid__tr-container': true,
                'igx-grid__tr-container--active': isDetailActive(rowIndex)
            }">
                <div class="igx-grid__hierarchical-indent">
                        <ng-container *ngIf="this.groupingExpressions.length > 0">
                                <div class="igx-grid__row-indentation igx-grid__row-indentation--level-{{groupingExpressions.length}}"></div>
                        </ng-container>
                        <ng-template
                    [ngTemplateOutlet]="detailTemplate"
                    [ngTemplateOutletContext]="getDetailsContext(rowData, rowIndex)">
                    </ng-template>
                </div>
            </div>
        </ng-template>

        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]="isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>

    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div #igxBodyOverlayOutlet="overlay-outlet" igxOverlayOutlet></div>
    <div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
</div>


<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]="summaryRowHeight" #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)" (keydown)="navigation.summaryNav($event)" [attr.aria-activedescendant]="activeDescendant">
        <igx-grid-summary-row [style.width.px]="calcWidth"  [style.height.px]="summaryRowHeight"
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]="!hasVerticalScroll()" [style.height.px]="summaryRowHeight"
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth" [style.min-width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="unpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="EMPTY_DATA" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.float]="'right'" [style.width.px]="pinnedWidth" [style.min-width.px]="pinnedWidth" [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<ng-template #defaultExpandedTemplate>
    <igx-icon role="button" class="igx-grid__group-expand-btn"
   [ngClass]="{
    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible
}">unfold_less</igx-icon>
</ng-template>

 <ng-template #defaultCollapsedTemplate>
    <igx-icon role="button" class="igx-grid__group-expand-btn"
    [ngClass]="{
    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible
}">unfold_more</igx-icon>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>

<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>

<ng-template #defaultRowEditActions>
    <button igxButton igxRowEditTabStop type="button" (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button igxButton igxRowEditTabStop type="button" (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>

<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : rowEditTextTemplate ? rowEditTextTemplate : defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="rowEditActionsTemplate ? rowEditActionsTemplate : defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
`, dependencies: [{ kind: "directive", type: NgIf59, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass24, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor25, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgStyle6, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgTemplateOutlet32, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxGridGroupByAreaComponent, selector: "igx-grid-group-by-area", inputs: ["sortingExpressions", "grid"] }, { kind: "component", type: IgxGridHeaderRowComponent, selector: "igx-grid-header-row", inputs: ["grid", "pinnedColumnCollection", "unpinnedColumnCollection", "activeDescendant", "hasMRL", "width", "density"] }, { kind: "directive", type: IgxGridBodyDirective, selector: "[igxGridBody]" }, { kind: "directive", type: IgxGridDragSelectDirective, selector: "[igxGridDragSelect]", inputs: ["igxGridDragSelect"], outputs: ["dragStop", "dragScroll"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "directive", type: IgxTemplateOutletDirective, selector: "[igxTemplateOutlet]", inputs: ["igxTemplateOutletContext", "igxTemplateOutlet"], outputs: ["viewCreated", "viewMoved", "cachedViewLoaded", "beforeViewDetach"] }, { kind: "component", type: IgxGridRowComponent, selector: "igx-grid-row" }, { kind: "component", type: IgxGridGroupByRowComponent, selector: "igx-grid-groupby-row", inputs: ["hideGroupRowSelectors", "rowDraggable", "index", "gridID", "groupRow", "isFocused"] }, { kind: "component", type: IgxSummaryRowComponent, selector: "igx-grid-summary-row", inputs: ["summaries", "gridID", "index", "firstCellIndentation"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "component", type: IgxSnackbarComponent, selector: "igx-snackbar", inputs: ["id", "actionText", "positionSettings"], outputs: ["clicked", "animationStarted", "animationDone"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxRowEditTabStopDirective, selector: "[igxRowEditTabStop]" }, { kind: "component", type: IgxGridColumnResizerComponent, selector: "igx-grid-column-resizer", inputs: ["restrictResizerTop"] }, { kind: "pipe", type: IgxGridTransactionPipe, name: "gridTransaction" }, { kind: "pipe", type: IgxHasVisibleColumnsPipe, name: "visibleColumns" }, { kind: "pipe", type: IgxGridRowPinningPipe, name: "gridRowPinning" }, { kind: "pipe", type: IgxGridAddRowPipe, name: "gridAddRow" }, { kind: "pipe", type: IgxGridRowClassesPipe, name: "igxGridRowClasses" }, { kind: "pipe", type: IgxGridRowStylesPipe, name: "igxGridRowStyles" }, { kind: "pipe", type: IgxSummaryDataPipe, name: "igxGridSummaryDataPipe" }, { kind: "pipe", type: IgxGridGroupingPipe, name: "gridGroupBy" }, { kind: "pipe", type: IgxGridPagingPipe, name: "gridPaging" }, { kind: "pipe", type: IgxGridSortingPipe, name: "gridSort" }, { kind: "pipe", type: IgxGridFilteringPipe, name: "gridFiltering" }, { kind: "pipe", type: IgxGridSummaryPipe, name: "gridSummary" }, { kind: "pipe", type: IgxGridDetailsPipe, name: "gridDetails" }], changeDetection: i0198.ChangeDetectionStrategy.OnPush });
  }
};
i0198.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0198, type: IgxGridComponent, decorators: [{
  type: Component87,
  args: [{ changeDetection: ChangeDetectionStrategy39.OnPush, preserveWhitespaces: false, providers: [
    IgxGridCRUDService,
    IgxGridNavigationService,
    IgxGridSummaryService,
    IgxGridSelectionService,
    IgxGridValidationService,
    { provide: IGX_GRID_SERVICE_BASE, useClass: IgxGridAPIService },
    { provide: IGX_GRID_BASE, useExisting: IgxGridComponent },
    IgxFilteringService,
    IgxColumnResizingService,
    IgxForOfSyncService,
    IgxForOfScrollSyncService
  ], selector: "igx-grid", standalone: true, imports: [
    NgIf59,
    NgClass24,
    NgFor25,
    NgStyle6,
    NgTemplateOutlet32,
    IgxGridGroupByAreaComponent,
    IgxGridHeaderRowComponent,
    IgxGridBodyDirective,
    IgxGridDragSelectDirective,
    IgxColumnMovingDropDirective,
    IgxGridForOfDirective,
    IgxTemplateOutletDirective,
    IgxGridRowComponent,
    IgxGridGroupByRowComponent,
    IgxSummaryRowComponent,
    IgxOverlayOutletDirective,
    IgxToggleDirective,
    IgxCircularProgressBarComponent,
    IgxSnackbarComponent,
    IgxButtonDirective,
    IgxRippleDirective,
    IgxIconComponent,
    IgxRowEditTabStopDirective,
    IgxGridColumnResizerComponent,
    IgxGridTransactionPipe,
    IgxHasVisibleColumnsPipe,
    IgxGridRowPinningPipe,
    IgxGridAddRowPipe,
    IgxGridRowClassesPipe,
    IgxGridRowStylesPipe,
    IgxSummaryDataPipe,
    IgxGridGroupingPipe,
    IgxGridPagingPipe,
    IgxGridSortingPipe,
    IgxGridFilteringPipe,
    IgxGridSummaryPipe,
    IgxGridDetailsPipe
  ], schemas: [CUSTOM_ELEMENTS_SCHEMA], template: `<!-- Toolbar area -->
<ng-content select="igx-grid-toolbar"></ng-content>

<!-- Group-by area -->
<ng-container *ngIf="showGroupArea && (groupingExpressions.length > 0 || hasGroupableColumns)">
    <igx-grid-group-by-area #groupArea [style.flex-basis.px]="outerWidth"
        [grid]="this"
        [expressions]="groupingExpressions"
        [sortingExpressions]="sortingExpressions"
        [density]="displayDensity"
        [dropAreaTemplate]="dropAreaTemplate"
        [dropAreaMessage]="dropAreaMessage"
    >
    </igx-grid-group-by-area>
</ng-container>

<!-- Grid table head row area -->
<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [density]="displayDensity"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (scroll)="preventHeaderScroll($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content" tabindex="0" [attr.role]="dataView.length ? null : 'row'" (keydown)="navigation.handleNavigation($event)" (focus)="navigation.focusTbody($event)"
        (dragStop)="selectionService.dragMode = $event" (scroll)="preventContainerScroll($event)"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]="totalHeight" [style.width.px]="calcWidth || null" #tbody [attr.aria-activedescendant]="activeDescendant">
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
    <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null">
    </ng-container>
    <ng-template #pinnedRecordsTemplate>
        <ng-container *ngIf="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridAddRow:true:pipeTrigger
        | gridRowPinning:id:true:pipeTrigger
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger:true
        | gridSort:sortingExpressions:groupingExpressions:sortStrategy:id:pipeTrigger:true as pinnedData">
            <div #pinContainer *ngIf="pinnedData.length > 0"
                [ngClass]="{
                    'igx-grid__tr--pinned-bottom':  !isRowPinningToTop,
                    'igx-grid__tr--pinned-top': isRowPinningToTop
                }"
                class="igx-grid__tr--pinned" [style.width.px]="calcWidth">
                <ng-container *ngFor="let rowData of pinnedData; let rowIndex = index">
                    <ng-container *ngTemplateOutlet="pinned_record_template; context: getContext(rowData, rowIndex, true)">
                    </ng-container>
                </ng-container>
            </div>
        </ng-container>
    </ng-template>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger
        | gridSort:sortingExpressions:groupingExpressions:sortStrategy:id:pipeTrigger
        | gridGroupBy:groupingExpressions:groupingExpansionState:groupStrategy:groupsExpanded:id:groupsRecords:pipeTrigger
        | gridPaging:!!paginator:page:perPage:pipeTrigger
        | gridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:id:showSummaryOnCollapse:pipeTrigger:summaryPipeTrigger
        | gridDetails:hasDetails:expansionStates:pipeTrigger
        | gridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight"
            [igxForItemSize]="hasColumnLayouts ? rowHeight * multiRowLayoutRowSize + 1 : renderedRowHeight"
            [igxForTrackBy]="trackChanges"
            #verticalScrollContainer (chunkPreload)="dataLoading($event)" (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template
                [igxTemplateOutlet]="getRowTemplate(rowData)"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex)"
                (cachedViewLoaded)="cachedViewLoaded($event)"
                (viewCreated)="viewCreatedHandler($event)"
                (viewMoved)="viewMovedHandler($event)">
            </ng-template>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-template #record_template let-rowIndex="index" let-rowData let-disabledRow="disabled">
            <igx-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData" [disabled]="disabledRow"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-grid-row>
        </ng-template>
        <ng-template #pinned_record_template let-rowIndex="index" let-rowData>
            <igx-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger"#row #pinnedRow>
            </igx-grid-row>
        </ng-template>
        <ng-template #group_template let-rowIndex="index" let-rowData>
            <igx-grid-groupby-row [gridID]="id" [index]="rowIndex" [groupRow]="rowData" [hideGroupRowSelectors]="hideRowSelectors" [rowDraggable]="rowDraggable" #row>
            </igx-grid-groupby-row>
        </ng-template>
        <ng-template #summary_template let-rowIndex="index" let-rowData>
            <igx-grid-summary-row role="row" [gridID]="id" [summaries]="rowData.summaries" [index]="rowIndex"
                class="igx-grid__summaries--body" #summaryRow>
            </igx-grid-summary-row>
        </ng-template>
        <ng-template #detail_template_container let-rowIndex="index" let-rowData>
            <div detail="true" id="{{id}}_{{rowIndex}}" (pointerdown)="detailsViewFocused(detailsContainer, rowIndex)" #detailsContainer [attr.data-rowindex]="rowIndex"
                [ngClass]="{
                'igx-grid__tr-container': true,
                'igx-grid__tr-container--active': isDetailActive(rowIndex)
            }">
                <div class="igx-grid__hierarchical-indent">
                        <ng-container *ngIf="this.groupingExpressions.length > 0">
                                <div class="igx-grid__row-indentation igx-grid__row-indentation--level-{{groupingExpressions.length}}"></div>
                        </ng-container>
                        <ng-template
                    [ngTemplateOutlet]="detailTemplate"
                    [ngTemplateOutletContext]="getDetailsContext(rowData, rowIndex)">
                    </ng-template>
                </div>
            </div>
        </ng-template>

        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]="isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>

    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div #igxBodyOverlayOutlet="overlay-outlet" igxOverlayOutlet></div>
    <div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
</div>


<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]="summaryRowHeight" #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)" (keydown)="navigation.summaryNav($event)" [attr.aria-activedescendant]="activeDescendant">
        <igx-grid-summary-row [style.width.px]="calcWidth"  [style.height.px]="summaryRowHeight"
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]="!hasVerticalScroll()" [style.height.px]="summaryRowHeight"
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth" [style.min-width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="unpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="EMPTY_DATA" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.float]="'right'" [style.width.px]="pinnedWidth" [style.min-width.px]="pinnedWidth" [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<ng-template #defaultExpandedTemplate>
    <igx-icon role="button" class="igx-grid__group-expand-btn"
   [ngClass]="{
    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible
}">unfold_less</igx-icon>
</ng-template>

 <ng-template #defaultCollapsedTemplate>
    <igx-icon role="button" class="igx-grid__group-expand-btn"
    [ngClass]="{
    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible
}">unfold_more</igx-icon>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>

<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>

<ng-template #defaultRowEditActions>
    <button igxButton igxRowEditTabStop type="button" (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button igxButton igxRowEditTabStop type="button" (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>

<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : rowEditTextTemplate ? rowEditTextTemplate : defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="rowEditActionsTemplate ? rowEditActionsTemplate : defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
` }]
}], propDecorators: { dataPreLoad: [{
  type: Output58
}], groupingExpressionsChange: [{
  type: Output58
}], groupingExpansionStateChange: [{
  type: Output58
}], groupingDone: [{
  type: Output58
}], groupsExpanded: [{
  type: Input118,
  args: [{ transform: booleanAttribute69 }]
}], dropAreaTemplate: [{
  type: Input118
}], detailTemplateDirective: [{
  type: ContentChild19,
  args: [IgxGridDetailTemplateDirective, { read: TemplateRef31 }]
}], detailTemplate: [{
  type: Input118,
  args: ["detailTemplate"]
}], role: [{
  type: HostBinding86,
  args: ["attr.role"]
}], id: [{
  type: HostBinding86,
  args: ["attr.id"]
}, {
  type: Input118
}], recordTemplate: [{
  type: ViewChild51,
  args: ["record_template", { read: TemplateRef31, static: true }]
}], detailTemplateContainer: [{
  type: ViewChild51,
  args: ["detail_template_container", { read: TemplateRef31, static: true }]
}], defaultGroupTemplate: [{
  type: ViewChild51,
  args: ["group_template", { read: TemplateRef31, static: true }]
}], summaryTemplate: [{
  type: ViewChild51,
  args: ["summary_template", { read: TemplateRef31, static: true }]
}], groupTemplate: [{
  type: ContentChild19,
  args: [IgxGroupByRowTemplateDirective, { read: IgxGroupByRowTemplateDirective }]
}], groupByRowSelectorsTemplates: [{
  type: ContentChildren22,
  args: [IgxGroupByRowSelectorDirective, { read: TemplateRef31, descendants: false }]
}], _groupsRowList: [{
  type: ViewChildren18,
  args: [IgxGridGroupByRowComponent, { read: IgxGridGroupByRowComponent }]
}], data: [{
  type: Input118
}], totalItemCount: [{
  type: Input118
}], groupingExpressions: [{
  type: Input118
}], groupingExpansionState: [{
  type: Input118
}], hideGroupedColumns: [{
  type: Input118,
  args: [{ transform: booleanAttribute69 }]
}], groupStrategy: [{
  type: Input118
}], dropAreaMessage: [{
  type: Input118
}], groupByRowSelectorTemplate: [{
  type: Input118
}], groupRowTemplate: [{
  type: Input118
}], showGroupArea: [{
  type: Input118,
  args: [{ transform: booleanAttribute69 }]
}] } });

// lib/grids/pivot-grid/pivot-header-row.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy41, Component as Component88, Inject as Inject77, ViewChild as ViewChild52, ViewChildren as ViewChildren19 } from "@angular/core";
import { NgIf as NgIf60, NgFor as NgFor26, NgTemplateOutlet as NgTemplateOutlet33, NgClass as NgClass25, NgStyle as NgStyle7 } from "@angular/common";
import * as i0199 from "@angular/core";
var IgxPivotHeaderRowComponent = class _IgxPivotHeaderRowComponent extends IgxGridHeaderRowComponent {
  get headerForOf() {
    return this.headerContainers?.last;
  }
  constructor(grid, ref, cdr, renderer) {
    super(ref, cdr);
    this.grid = grid;
    this.renderer = renderer;
    this.aggregateList = [];
    this.filterDropdownDimensions = /* @__PURE__ */ new Set();
    this.filterAreaDimensions = /* @__PURE__ */ new Set();
    this._dropPos = DropPosition.AfterDropTarget;
    this._subMenuPositionSettings = {
      verticalStartPoint: VerticalAlignment.Bottom,
      closeAnimation: void 0
    };
    this._subMenuOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      positionStrategy: new AutoPositionStrategy(this._subMenuPositionSettings),
      scrollStrategy: new AbsoluteScrollStrategy()
    };
    this.columnDimensionsByLevel = [[]];
  }
  /**
  * @hidden @internal
  */
  get isFiltersButton() {
    let chipsWidth = 0;
    this.filterDropdownDimensions.clear();
    this.filterAreaDimensions.clear();
    if (this.filterArea?.chipsList && this.filterArea.chipsList.length !== 0) {
      const styles = getComputedStyle(this.pivotFilterContainer.nativeElement);
      const containerPaddings = parseFloat(styles.paddingLeft) + parseFloat(styles.paddingRight);
      chipsWidth += containerPaddings + (this.filtersButton && this.filterArea?.chipsList.length > 1 ? this.filtersButton.el.nativeElement.getBoundingClientRect().width : 0);
      this.filterArea.chipsList.forEach((chip) => {
        const dim = this.grid.filterDimensions.find((x) => x.memberName === chip.id);
        if (dim) {
          const currentChipWidth = chip.nativeElement.getBoundingClientRect().width + 8;
          if (chipsWidth + currentChipWidth < this.grid.pivotRowWidths) {
            this.filterAreaDimensions.add(dim);
          } else {
            this.filterDropdownDimensions.add(dim);
          }
          chipsWidth += currentChipWidth;
        }
      });
      return this.filterDropdownDimensions.size > 0;
    }
    return false;
  }
  /**
  * @hidden
  * @internal
  */
  get totalDepth() {
    const columnDimensions = this.grid.columnDimensions;
    if (columnDimensions.length === 0) {
      return 1;
    }
    let totalDepth = columnDimensions.map((x) => PivotUtil.getDimensionDepth(x) + 1).reduce((acc, val) => acc + val);
    if (this.grid.hasMultipleValues) {
      totalDepth += 1;
    }
    return totalDepth;
  }
  /**
  * @hidden
  * @internal
  */
  get maxContainerHeight() {
    return this.totalDepth * this.grid.renderedRowHeight;
  }
  /**
  * @hidden
  * @internal
  */
  calcHeight(col, index) {
    return !col.columnGroup && col.level < this.totalDepth && col.level === index ? (this.totalDepth - col.level) * this.grid.rowHeight : this.grid.rowHeight;
  }
  /**
  * @hidden
  * @internal
  */
  isDuplicateOfExistingParent(col, lvl) {
    const parentCollection = lvl > 0 ? this.columnDimensionsByLevel[lvl - 1] : [];
    const duplicate = parentCollection.indexOf(col) !== -1;
    return duplicate;
  }
  /**
  * @hidden
  * @internal
  */
  isMultiRow(col, lvl) {
    const isLeaf = !col.columnGroup;
    return isLeaf && lvl !== this.totalDepth - 1;
  }
  /**
  * @hidden
  * @internal
  */
  populateColumnDimensionsByLevel() {
    const res = [];
    for (let i = 0; i < this.totalDepth; i++) {
      res[i] = [];
    }
    const cols = this.unpinnedColumnCollection;
    this.populateDimensionRecursively(cols.filter((x) => x.level === 0), 0, res);
    this.columnDimensionsByLevel = res;
  }
  populateDimensionRecursively(currentLevelColumns, level = 0, res) {
    currentLevelColumns.forEach((col) => {
      if (res[level]) {
        res[level].push(col);
        if (col.columnGroup && col.children.length > 0) {
          const visibleColumns = col.children.toArray().filter((x) => !x.hidden);
          this.populateDimensionRecursively(visibleColumns, level + 1, res);
        } else if (level < this.totalDepth - 1) {
          for (let i = level + 1; i <= this.totalDepth - 1; i++) {
            res[i].push(col);
          }
        }
      }
    });
  }
  /**
  * @hidden
  * @internal
  */
  ngOnChanges(changes) {
    if (changes.unpinnedColumnCollection) {
      this.populateColumnDimensionsByLevel();
    }
  }
  /**
  * @hidden
  * @internal
  */
  onDimDragStart(event, area) {
    this.cdr.detectChanges();
    for (const chip of this.notificationChips) {
      const parent = chip.nativeElement.parentElement;
      if (area.chipsList.toArray().indexOf(chip) === -1 && parent.children.length > 0 && parent.children.item(0).id !== "empty") {
        chip.nativeElement.hidden = false;
        parent.parentElement.scrollTo({ left: chip.nativeElement.offsetLeft });
      }
    }
  }
  /**
  * @hidden
  * @internal
  */
  onDimDragEnd() {
    for (const chip of this.notificationChips) {
      chip.nativeElement.hidden = true;
    }
  }
  /**
  * @hidden
  * @internal
  */
  getAreaHeight(area) {
    const chips = area.chipsList;
    return chips && chips.length > 0 ? chips.first.nativeElement.offsetHeight : 0;
  }
  /**
  * @hidden
  * @internal
  */
  rowRemoved(event) {
    const row = this.grid.pivotConfiguration.rows.find((x) => x.memberName === event.owner.id);
    this.grid.toggleDimension(row);
  }
  /**
  * @hidden
  * @internal
  */
  columnRemoved(event) {
    const col = this.grid.pivotConfiguration.columns.find((x) => x.memberName === event.owner.id);
    this.grid.toggleDimension(col);
  }
  /**
  * @hidden
  * @internal
  */
  valueRemoved(event) {
    const value = this.grid.pivotConfiguration.values.find((x) => x.member === event.owner.id || x.displayName === event.owner.id);
    this.grid.toggleValue(value);
  }
  /**
  * @hidden
  * @internal
  */
  filterRemoved(event) {
    const filter9 = this.grid.pivotConfiguration.filters.find((x) => x.memberName === event.owner.id);
    this.grid.toggleDimension(filter9);
    if (this.filterDropdownDimensions.size > 0) {
      this.onFiltersAreaDropdownClick({ target: this.filtersButton.el.nativeElement }, void 0, false);
    } else {
      this.grid.filteringService.hideESF();
    }
  }
  onFiltersSelectionChanged(event) {
    this.dropdownChips.chipsList.forEach((chip) => {
      if (chip.id !== event.owner.id) {
        chip.selected = false;
      }
    });
    this.onFiltersAreaDropdownClick({ target: this.filtersButton.el.nativeElement }, this.grid.filterDimensions.find((dim) => dim.memberName === event.owner.id), false);
  }
  /**
  * @hidden
  * @internal
  */
  onFilteringIconPointerDown(event) {
    event.stopPropagation();
    event.preventDefault();
  }
  /**
  * @hidden
  * @internal
  */
  onFilteringIconClick(event, dimension) {
    event.stopPropagation();
    event.preventDefault();
    const dim = dimension;
    const col = this.grid.dimensionDataColumns.find((x) => x.field === dim.memberName || x.field === dim.member);
    this.grid.filteringService.toggleFilterDropdown(event.target, col);
  }
  /**
  * @hidden
  * @internal
  */
  onSummaryClick(eventArgs, value, dropdown, chip) {
    this._subMenuOverlaySettings.target = eventArgs.currentTarget;
    this.updateDropDown(value, dropdown, chip);
  }
  /**
   * @hidden @internal
   */
  onFiltersAreaDropdownClick(event, dimension, shouldReattach = true) {
    const dim = dimension || this.filterDropdownDimensions.values().next().value;
    const col = this.grid.dimensionDataColumns.find((x) => x.field === dim.memberName || x.field === dim.member);
    if (shouldReattach) {
      this.dropdownChips.chipsList.forEach((chip) => {
        chip.selected = false;
      });
      this.dropdownChips.chipsList.first.selected = true;
    }
    this.grid.filteringService.toggleFiltersESF(this.esf, event.target, col, shouldReattach);
  }
  /**
  * @hidden
  * @internal
  */
  onAggregationChange(event) {
    if (!this.isSelected(event.newSelection.value)) {
      this.value.aggregate = event.newSelection.value;
      this.grid.pipeTrigger++;
    }
  }
  /**
  * @hidden
  * @internal
  */
  isSelected(val) {
    return this.value.aggregate.key === val.key;
  }
  /**
  * @hidden
  * @internal
  */
  onChipSort(_event, dimension) {
    const startDirection = dimension.sortDirection || SortingDirection.None;
    const direction = startDirection + 1 > SortingDirection.Desc ? SortingDirection.None : startDirection + 1;
    this.grid.sortDimension(dimension, direction);
  }
  /**
  * @hidden
  * @internal
  */
  onDimDragOver(event, dimension) {
    if (!event.dragChip || !event.dragChip.data?.pivotArea)
      return;
    const typeMismatch = dimension !== void 0 ? this.grid.pivotConfiguration.values.find((x) => x.member === event.dragChip.id || x.displayName === event.dragChip.id) : !this.grid.pivotConfiguration.values.find((x) => x.member === event.dragChip.id || x.displayName === event.dragChip.id);
    if (typeMismatch) {
      return;
    }
    const clientRect = event.owner.nativeElement.getBoundingClientRect();
    const pos = clientRect.width / 2;
    this._dropPos = event.originalEvent.offsetX > pos ? DropPosition.AfterDropTarget : DropPosition.BeforeDropTarget;
    if (this._dropPos === DropPosition.AfterDropTarget) {
      event.owner.nativeElement.previousElementSibling.style.visibility = "hidden";
      event.owner.nativeElement.nextElementSibling.style.visibility = "";
    } else {
      event.owner.nativeElement.nextElementSibling.style.visibility = "hidden";
      event.owner.nativeElement.previousElementSibling.style.visibility = "";
    }
  }
  /**
  * @hidden
  * @internal
  */
  onDimDragLeave(event) {
    event.owner.nativeElement.previousElementSibling.style.visibility = "hidden";
    event.owner.nativeElement.nextElementSibling.style.visibility = "hidden";
    this._dropPos = DropPosition.AfterDropTarget;
  }
  /**
  * @hidden
  * @internal
  */
  onAreaDragLeave(event, area) {
    const dataChips = area.chipsList.toArray().filter((x) => this.notificationChips.toArray().indexOf(x) === -1);
    dataChips.forEach((element) => {
      if (element.nativeElement.previousElementSibling) {
        element.nativeElement.previousElementSibling.style.visibility = "hidden";
      }
      if (element.nativeElement.nextElementSibling) {
        element.nativeElement.nextElementSibling.style.visibility = "hidden";
      }
    });
  }
  /**
  * @hidden
  * @internal
  */
  onValueDrop(event, area) {
    if (!(event.dragChip && event.dragChip.data?.pivotArea) && !(event.dragData?.chip && !!event.dragData.chip.data.pivotArea))
      return;
    const values = this.grid.pivotConfiguration.values;
    const dragId = event.dragChip?.id || event.dragData?.chip.id;
    const chipsArray = area.chipsList.toArray();
    let chipIndex = chipsArray.indexOf(event.owner) !== -1 ? chipsArray.indexOf(event.owner) : chipsArray.length;
    chipIndex = this._dropPos === DropPosition.AfterDropTarget ? chipIndex + 1 : chipIndex;
    const value = values.find((x) => x.member === dragId || x.displayName === dragId);
    if (value) {
      const dragChipIndex = chipsArray.indexOf(event.dragChip || event.dragData.chip);
      this.grid.moveValue(value, dragChipIndex >= chipIndex ? chipIndex : chipIndex - 1);
    }
  }
  /**
  * @hidden
  * @internal
  */
  onDimDrop(event, area, dimensionType) {
    if (!(event.dragChip && event.dragChip.data?.pivotArea) && !(event.dragData?.chip && !!event.dragData.chip.data.pivotArea))
      return;
    const dragId = event.dragChip?.id || event.dragData?.chip.id;
    const currentDim = this.grid.getDimensionsByType(dimensionType);
    const chipsArray = area.chipsList.toArray();
    const chip = chipsArray.find((x) => x.id === dragId);
    const isNewChip = chip === void 0;
    const isReorder = event.owner.id !== void 0;
    const chipIndex = currentDim.findIndex((x) => x.memberName === event.owner.id) !== -1 ? currentDim.findIndex((x) => x.memberName === event.owner.id) : currentDim.length;
    const targetIndex = this._dropPos === DropPosition.AfterDropTarget ? chipIndex + 1 : chipIndex;
    if (isNewChip) {
      const dim = this.grid.allDimensions.find((x) => x && x.memberName === dragId);
      if (!dim) {
        return;
      }
      this.grid.moveDimension(dim, dimensionType, targetIndex);
    } else if (isReorder) {
      const newDim = currentDim.find((x) => x.memberName === dragId);
      const dragChipIndex = currentDim.findIndex((x) => x.memberName === dragId);
      this.grid.moveDimension(newDim, dimensionType, dragChipIndex > chipIndex ? targetIndex : targetIndex - 1);
    }
    this.grid.pipeTrigger++;
    this.grid.dimensionsChange.emit({ dimensions: currentDim, dimensionCollectionType: dimensionType });
    this.onDimDragEnd();
    this.onAreaDragLeave(event, area);
  }
  updateDropDown(value, dropdown, chip) {
    this.value = value;
    dropdown.width = chip.nativeElement.clientWidth + "px";
    this.aggregateList = PivotUtil.getAggregateList(value, this.grid);
    this.cdr.detectChanges();
    dropdown.open(this._subMenuOverlaySettings);
  }
  static {
    this.ɵfac = i0199.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0199, type: _IgxPivotHeaderRowComponent, deps: [{ token: IGX_GRID_BASE }, { token: i0199.ElementRef }, { token: i0199.ChangeDetectorRef }, { token: i0199.Renderer2 }], target: i0199.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0199.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotHeaderRowComponent, isStandalone: true, selector: "igx-pivot-header-row", viewQueries: [{ propertyName: "esf", first: true, predicate: ["esf"], descendants: true }, { propertyName: "filterArea", first: true, predicate: ["filterAreaHidden"], descendants: true }, { propertyName: "filtersButton", first: true, predicate: ["filterIcon"], descendants: true }, { propertyName: "dropdownChips", first: true, predicate: ["dropdownChips"], descendants: true }, { propertyName: "pivotFilterContainer", first: true, predicate: ["pivotFilterContainer"], descendants: true }, { propertyName: "notificationChips", predicate: ["notifyChip"], descendants: true }, { propertyName: "headerContainers", predicate: ["headerVirtualContainer"], descendants: true, read: IgxGridForOfDirective }], usesInheritance: true, usesOnChanges: true, ngImport: i0199, template: `<div>
    <div class="igx-grid-thead__wrapper igx-grid-thead__wrapper--pivot" role="row" [style.width.px]="width">
        <div class="igx-grid__tr" role="row" [style.width.px]="width">
            <div class='igx-grid__tr-pivot--filter-container'>
                <div #pivotFilterContainer *ngIf="grid.showPivotConfigurationUI"
                     class="igx-grid__tr-pivot igx-grid__tr-pivot--filter" [style.min-width.px]="grid.pivotRowWidths - 1"
                     [style.max-width.px]="grid.pivotRowWidths - 1" (igxDragLeave)="onAreaDragLeave($event, filterArea)"
                     igxDrop (dropped)="onDimDrop($event, filterArea, 2)" (pointerdown)="$event.preventDefault()">
                    <!-- Filter area -->
                    <igx-chips-area #filterArea droppable='true'>
                    <span id='empty' igxDrop (dropped)="onDimDrop($event, filterArea, 2)"
                          *ngIf="grid.filterDimensions.length === 0"
                          class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_filter_drop_area}}</span>
                        <ng-container *ngFor="let filter of this.filterAreaDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(filterArea)'></span>
                            <igx-chip [id]="filter.memberName" [draggable]="true" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'filter' }"
                                      [removable]="true" (remove)="filterRemoved($event)" (dragOver)="onDimDragOver($event, 2)"
                                      (dragLeave)="onDimDragLeave($event)" (dragDrop)="onDimDrop($event, filterArea, 2)"
                                      (moveStart)='onDimDragStart($event, filterArea)' (moveEnd)='onDimDragEnd()'>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, filter)'>filter_list</igx-icon>
                                {{filter.displayName || filter.memberName}}
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(filterArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, filterArea, 2)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_filter_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                    <div class="igx-grid__pivot-filter-toggle" *ngIf="isFiltersButton && grid.filterDimensions.length !== 0">
                        <igx-icon #filterIcon (pointerdown)='onFilteringIconPointerDown($event)' (click)='onFiltersAreaDropdownClick($event)'>filter_list</igx-icon>
                        <igx-badge value="{{this.filterDropdownDimensions.size}}"></igx-badge>
                    </div>
                </div>
                <div class='igx-grid__tr-pivot--drop-row-area' (igxDragLeave)="onAreaDragLeave($event, rowArea)" igxDrop
                     (dropped)="onDimDrop($event, rowArea, 0)">
                </div>
            </div>

            <div class="igx-grid__tr-pivot-group">
                <div #pivotColumnContainer *ngIf="grid.showPivotConfigurationUI" class="igx-grid__tr-pivot"
                     (dropped)="onDimDrop($event, colArea, 1)" igxDrop (igxDragLeave)="onAreaDragLeave($event, colArea)">
                    <!-- Columns area -->
                    <igx-chips-area #colArea droppable='true'>
                    <span id='empty' (dropped)="onDimDrop($event, colArea, 1)" igxDrop
                        *ngIf="grid.columnDimensions.length === 0" class='igx-grid__pivot-empty-chip-area'>
                        {{grid.resourceStrings.igx_grid_pivot_empty_column_drop_area}}</span>
                        <ng-container *ngFor="let col of grid.columnDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(colArea)'></span>
                            <igx-chip [draggable]="true" [id]="col.memberName" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'column' }"
                                      [removable]="true" (remove)="columnRemoved($event)" (dragOver)="onDimDragOver($event, 1)"
                                      (dragLeave)="onDimDragLeave($event)" (dragDrop)="onDimDrop($event, colArea, 1)"
                                      (moveStart)='onDimDragStart($event, colArea)' (moveEnd)='onDimDragEnd()'
                                      (click)="onChipSort($event, col)">
                                <igx-icon igxPrefix>view_column</igx-icon>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, col)'>filter_list</igx-icon>
                                {{col.displayName || col.memberName}}
                                <igx-icon *ngIf="col.sortDirection" igxSuffix> {{ col.sortDirection < 2 ? 'arrow_upward'
                                    : 'arrow_downward' }}</igx-icon>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(colArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, colArea, 1)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_column_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                </div>

                <div #pivotValueContainer *ngIf="grid.showPivotConfigurationUI" class="igx-grid__tr-pivot"
                     (pointerdown)="$event.preventDefault()" (dropped)="onValueDrop($event, valueArea)" igxDrop
                     (igxDragLeave)="onAreaDragLeave($event, valueArea)">
                    <!-- Value area -->
                    <igx-chips-area #valueArea droppable='true'>
                    <span id='empty' (dropped)="onValueDrop($event, valueArea)" igxDrop *ngIf="grid.values.length === 0"
                        class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_value_drop_area}}</span>
                    <ng-container *ngFor="let value of grid.values; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(valueArea)'></span>
                            <igx-chip #currChip [draggable]="true" [id]="value.displayName || value.member" [data]="{ pivotArea: 'value' }"
                                      [displayDensity]="grid.displayDensity" [removable]="true" (remove)="valueRemoved($event)"
                                      (dragLeave)="onDimDragLeave($event)" (dragOver)="onDimDragOver($event)"
                                      (dragDrop)="onValueDrop($event, valueArea)">
                                <div class="igx-grid__tr-pivot-toggle-icons" igxPrefix
                                     (click)='onSummaryClick($event, value, dropdown, currChip)'
                                     (pointerdown)='$event.stopPropagation()' [igxDropDownItemNavigation]="dropdown">
                                    <igx-icon>functions</igx-icon>
                                    <igx-icon>arrow_drop_down</igx-icon>
                                </div>
                                <ng-container *ngTemplateOutlet="grid.valueChipTemplate ? grid.valueChipTemplate : valueChipDefaultTemplate; context: { $implicit: value }"></ng-container>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(valueArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onValueDrop($event, valueArea)" #notifyValueChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_value_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                </div>
            </div>
        </div>
    </div>
    <div role="rowgroup" class="igx-grid-thead__wrapper" [style.width.px]="width"
         [attr.aria-activedescendant]="activeDescendant" [class.igx-grid__tr--mrl]="hasMRL">

        <!-- Column headers area -->
        <div class="igx-grid__tr" role="row" [style.width.px]="width">
            <div #pivotContainer class="igx-grid__tr-pivot igx-grid__tr-pivot--row-area"
                 [style.width.px]="grid.pivotRowWidths - 1" (igxDragLeave)="onAreaDragLeave($event, rowArea)" igxDrop
                 (dropped)="onDimDrop($event, rowArea, 0)" (pointerdown)="$event.preventDefault()">
                <!-- Row area -->
                <igx-chips-area #rowArea droppable='true'>
                    <ng-container *ngIf="grid.showPivotConfigurationUI">
                    <span id='empty' igxDrop (dropped)="onDimDrop($event, rowArea, 0)"
                        *ngIf="grid.rowDimensions.length === 0 && grid.showPivotConfigurationUI"
                        class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_row_drop_area}}</span>
                    <ng-container *ngFor="let row of grid.rowDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(rowArea)'></span>
                            <igx-chip [draggable]="true" [id]="row.memberName" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'row' }"
                                      [removable]="true" (remove)="rowRemoved($event)" (dragLeave)="onDimDragLeave($event)"
                                      (dragDrop)="onDimDrop($event, rowArea, 0)" (dragOver)="onDimDragOver($event, 0)"
                                      (moveStart)='onDimDragStart($event, rowArea)' (moveEnd)='onDimDragEnd()'
                                      (click)="onChipSort($event, row)">
                                <igx-icon igxPrefix>table_rows</igx-icon>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, row)'>filter_list</igx-icon>
                                {{ row.displayName || row.memberName}}
                                <igx-icon *ngIf="row.sortDirection" igxSuffix> {{ row.sortDirection < 2 ? 'arrow_upward'
                                    : 'arrow_downward' }}</igx-icon>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(rowArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, rowArea, 0)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_row_drop_chip}}
                        </igx-chip>
                    </ng-container>
                </igx-chips-area>
            </div>

            <!-- Pinned columns collection from the start -->
            <ng-container *ngIf="pinnedColumnCollection.length && grid.isPinningToStart">
                <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                    <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                           [ngStyle]="column.headerGroupStyles | igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                           [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           (pointerdown)="grid.navigation.focusOutRowHeader($event)">
                    </igx-grid-header-group>
                </ng-container>
            </ng-container>
            <div class="igx-grid-thead--virtualizationWrapper" [style.max-height.px]='maxContainerHeight'>
                <div class="igx-grid-thead__group igx-grid-thead--virtualizationContainer" [style.height.px]='totalDepth > 1 ? grid.rowHeight : undefined' *ngFor='let dimLevelColumns of columnDimensionsByLevel; let i = index' [style.width.px]='grid.unpinnedWidth'>
                    <ng-template igxGridFor #headerVirtualContainer let-column
                                 [igxGridForOf]="dimLevelColumns" [igxGridForOfUniqueSizeCache] = 'true' [igxForScrollContainer]="grid.parentVirtDir"
                                 [igxForContainerSize]="grid.unpinnedWidth" [igxForTrackBy]="grid.trackColumnChanges"
                                 [igxForSizePropName]="'calcPixelWidth'" [igxForScrollOrientation]="'horizontal'">
                        <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                               [style.height.px]='totalDepth > 1 ? calcHeight(column, i) : undefined'
                                               [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                               [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                               [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                               [class.igx-grid__tr-pivot--columnDimensionLeaf] = 'isDuplicateOfExistingParent(column, i)'
                                               [class.igx-grid__tr-pivot--columnMultiRowSpan] = 'isMultiRow(column, i)'
                        >
                        </igx-grid-header-group>
                    </ng-template>
                </div>
            </div>

            <!-- Pinned columns collection at the end -->
            <ng-container *ngIf="pinnedColumnCollection.length && !grid.isPinningToStart">
                <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                    <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                           [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                           [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.left]="column.rightPinnedOffset" (pointerdown)="grid.navigation.focusOutRowHeader($event)">
                    </igx-grid-header-group>
                </ng-container>
            </ng-container>
        </div>
    </div>
</div>
<!-- Header thumb area -->
<div class="igx-grid-thead__thumb" [hidden]="!grid.hasVerticalScroll()" [style.width.px]="grid.scrollSize">
</div>

<igx-drop-down #dropdown (selectionChanging)='onAggregationChange($event)'>
    <igx-drop-down-item *ngFor="let item of aggregateList" [selected]='isSelected(item)' [value]='item'>
        {{ item.label }}
    </igx-drop-down-item>
</igx-drop-down>

<div [hidden]='true'>
    <igx-grid-excel-style-filtering [maxHeight]='grid.excelStyleFilterMaxHeight' [minHeight]='grid.excelStyleFilterMinHeight' #esf>
        <div igxExcelStyleColumnOperations>
            <igx-chips-area #dropdownChips>
                <igx-chip *ngFor="let filter of this.filterDropdownDimensions" [id]="filter.memberName"
                [displayDensity]="grid.displayDensity" [removable]="true" (remove)="filterRemoved($event)"
                (chipClick)='onFiltersSelectionChanged($event)' [selectable]='true' [selected]='filter === this.filterDropdownDimensions.values().next().value'>
                {{filter.displayName || filter.memberName}}
            </igx-chip>
        </igx-chips-area>
        </div>
        <igx-excel-style-filter-operations>
            <igx-excel-style-search></igx-excel-style-search>
        </igx-excel-style-filter-operations>
    </igx-grid-excel-style-filtering>
</div>

<div style="visibility: hidden; position: absolute; top: -10000px">
    <igx-chips-area #filterAreaHidden droppable='true'>
        <igx-chip *ngFor="let filter of grid.filterDimensions" [id]="filter.memberName" [draggable]="true"
            [displayDensity]="grid.displayDensity" [removable]="true" (remove)="filterRemoved($event)">
            <igx-icon igxPrefix>filter_list</igx-icon>
            {{filter.displayName || filter.memberName}}
        </igx-chip>
    </igx-chips-area>
</div>

<ng-template #valueChipDefaultTemplate let-value>
    {{value.aggregate.key}}({{value.displayName || value.member}})
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf60, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxDropDirective, selector: "[igxDrop]", inputs: ["igxDrop", "dropChannel", "dropStrategy"], outputs: ["enter", "over", "leave", "dropped"], exportAs: ["drop"] }, { kind: "component", type: IgxChipsAreaComponent, selector: "igx-chips-area", inputs: ["width", "height"], outputs: ["reorder", "selectionChange", "moveStart", "moveEnd"] }, { kind: "directive", type: NgFor26, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "component", type: IgxBadgeComponent, selector: "igx-badge", inputs: ["id", "type", "value", "icon", "iconSet", "shape"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "directive", type: NgTemplateOutlet33, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxGridHeaderGroupComponent, selector: "igx-grid-header-group", inputs: ["column"] }, { kind: "directive", type: NgClass25, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle7, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxDropDownComponent, selector: "igx-drop-down", inputs: ["allowItemsFocus", "labelledBy"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "component", type: IgxDropDownItemComponent, selector: "igx-drop-down-item" }, { kind: "component", type: IgxGridExcelStyleFilteringComponent, selector: "igx-grid-excel-style-filtering", inputs: ["column", "minHeight", "maxHeight"], outputs: ["loadingStart", "loadingEnd", "initialized", "sortingChanged", "columnChange", "listDataLoaded"] }, { kind: "directive", type: IgxExcelStyleColumnOperationsTemplateDirective, selector: "igx-excel-style-column-operations,[igxExcelStyleColumnOperations]" }, { kind: "directive", type: IgxExcelStyleFilterOperationsTemplateDirective, selector: "igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]" }, { kind: "component", type: IgxExcelStyleSearchComponent, selector: "igx-excel-style-search", inputs: ["id"] }, { kind: "pipe", type: IgxHeaderGroupWidthPipe, name: "igxHeaderGroupWidth" }, { kind: "pipe", type: IgxHeaderGroupStylePipe, name: "igxHeaderGroupStyle" }, { kind: "pipe", type: IgxGridTopLevelColumns, name: "igxTopLevel" }], changeDetection: i0199.ChangeDetectionStrategy.OnPush });
  }
};
i0199.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0199, type: IgxPivotHeaderRowComponent, decorators: [{
  type: Component88,
  args: [{ changeDetection: ChangeDetectionStrategy41.OnPush, selector: "igx-pivot-header-row", standalone: true, imports: [NgIf60, IgxDropDirective, IgxChipsAreaComponent, NgFor26, IgxChipComponent, IgxIconComponent, IgxPrefixDirective, IgxBadgeComponent, IgxSuffixDirective, IgxDropDownItemNavigationDirective, NgTemplateOutlet33, IgxGridHeaderGroupComponent, NgClass25, NgStyle7, IgxGridForOfDirective, IgxDropDownComponent, IgxDropDownItemComponent, IgxGridExcelStyleFilteringComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleSearchComponent, IgxHeaderGroupWidthPipe, IgxHeaderGroupStylePipe, IgxGridTopLevelColumns], template: `<div>
    <div class="igx-grid-thead__wrapper igx-grid-thead__wrapper--pivot" role="row" [style.width.px]="width">
        <div class="igx-grid__tr" role="row" [style.width.px]="width">
            <div class='igx-grid__tr-pivot--filter-container'>
                <div #pivotFilterContainer *ngIf="grid.showPivotConfigurationUI"
                     class="igx-grid__tr-pivot igx-grid__tr-pivot--filter" [style.min-width.px]="grid.pivotRowWidths - 1"
                     [style.max-width.px]="grid.pivotRowWidths - 1" (igxDragLeave)="onAreaDragLeave($event, filterArea)"
                     igxDrop (dropped)="onDimDrop($event, filterArea, 2)" (pointerdown)="$event.preventDefault()">
                    <!-- Filter area -->
                    <igx-chips-area #filterArea droppable='true'>
                    <span id='empty' igxDrop (dropped)="onDimDrop($event, filterArea, 2)"
                          *ngIf="grid.filterDimensions.length === 0"
                          class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_filter_drop_area}}</span>
                        <ng-container *ngFor="let filter of this.filterAreaDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(filterArea)'></span>
                            <igx-chip [id]="filter.memberName" [draggable]="true" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'filter' }"
                                      [removable]="true" (remove)="filterRemoved($event)" (dragOver)="onDimDragOver($event, 2)"
                                      (dragLeave)="onDimDragLeave($event)" (dragDrop)="onDimDrop($event, filterArea, 2)"
                                      (moveStart)='onDimDragStart($event, filterArea)' (moveEnd)='onDimDragEnd()'>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, filter)'>filter_list</igx-icon>
                                {{filter.displayName || filter.memberName}}
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(filterArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, filterArea, 2)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_filter_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                    <div class="igx-grid__pivot-filter-toggle" *ngIf="isFiltersButton && grid.filterDimensions.length !== 0">
                        <igx-icon #filterIcon (pointerdown)='onFilteringIconPointerDown($event)' (click)='onFiltersAreaDropdownClick($event)'>filter_list</igx-icon>
                        <igx-badge value="{{this.filterDropdownDimensions.size}}"></igx-badge>
                    </div>
                </div>
                <div class='igx-grid__tr-pivot--drop-row-area' (igxDragLeave)="onAreaDragLeave($event, rowArea)" igxDrop
                     (dropped)="onDimDrop($event, rowArea, 0)">
                </div>
            </div>

            <div class="igx-grid__tr-pivot-group">
                <div #pivotColumnContainer *ngIf="grid.showPivotConfigurationUI" class="igx-grid__tr-pivot"
                     (dropped)="onDimDrop($event, colArea, 1)" igxDrop (igxDragLeave)="onAreaDragLeave($event, colArea)">
                    <!-- Columns area -->
                    <igx-chips-area #colArea droppable='true'>
                    <span id='empty' (dropped)="onDimDrop($event, colArea, 1)" igxDrop
                        *ngIf="grid.columnDimensions.length === 0" class='igx-grid__pivot-empty-chip-area'>
                        {{grid.resourceStrings.igx_grid_pivot_empty_column_drop_area}}</span>
                        <ng-container *ngFor="let col of grid.columnDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(colArea)'></span>
                            <igx-chip [draggable]="true" [id]="col.memberName" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'column' }"
                                      [removable]="true" (remove)="columnRemoved($event)" (dragOver)="onDimDragOver($event, 1)"
                                      (dragLeave)="onDimDragLeave($event)" (dragDrop)="onDimDrop($event, colArea, 1)"
                                      (moveStart)='onDimDragStart($event, colArea)' (moveEnd)='onDimDragEnd()'
                                      (click)="onChipSort($event, col)">
                                <igx-icon igxPrefix>view_column</igx-icon>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, col)'>filter_list</igx-icon>
                                {{col.displayName || col.memberName}}
                                <igx-icon *ngIf="col.sortDirection" igxSuffix> {{ col.sortDirection < 2 ? 'arrow_upward'
                                    : 'arrow_downward' }}</igx-icon>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(colArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, colArea, 1)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_column_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                </div>

                <div #pivotValueContainer *ngIf="grid.showPivotConfigurationUI" class="igx-grid__tr-pivot"
                     (pointerdown)="$event.preventDefault()" (dropped)="onValueDrop($event, valueArea)" igxDrop
                     (igxDragLeave)="onAreaDragLeave($event, valueArea)">
                    <!-- Value area -->
                    <igx-chips-area #valueArea droppable='true'>
                    <span id='empty' (dropped)="onValueDrop($event, valueArea)" igxDrop *ngIf="grid.values.length === 0"
                        class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_value_drop_area}}</span>
                    <ng-container *ngFor="let value of grid.values; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(valueArea)'></span>
                            <igx-chip #currChip [draggable]="true" [id]="value.displayName || value.member" [data]="{ pivotArea: 'value' }"
                                      [displayDensity]="grid.displayDensity" [removable]="true" (remove)="valueRemoved($event)"
                                      (dragLeave)="onDimDragLeave($event)" (dragOver)="onDimDragOver($event)"
                                      (dragDrop)="onValueDrop($event, valueArea)">
                                <div class="igx-grid__tr-pivot-toggle-icons" igxPrefix
                                     (click)='onSummaryClick($event, value, dropdown, currChip)'
                                     (pointerdown)='$event.stopPropagation()' [igxDropDownItemNavigation]="dropdown">
                                    <igx-icon>functions</igx-icon>
                                    <igx-icon>arrow_drop_down</igx-icon>
                                </div>
                                <ng-container *ngTemplateOutlet="grid.valueChipTemplate ? grid.valueChipTemplate : valueChipDefaultTemplate; context: { $implicit: value }"></ng-container>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(valueArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onValueDrop($event, valueArea)" #notifyValueChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_value_drop_chip}}
                        </igx-chip>
                    </igx-chips-area>
                </div>
            </div>
        </div>
    </div>
    <div role="rowgroup" class="igx-grid-thead__wrapper" [style.width.px]="width"
         [attr.aria-activedescendant]="activeDescendant" [class.igx-grid__tr--mrl]="hasMRL">

        <!-- Column headers area -->
        <div class="igx-grid__tr" role="row" [style.width.px]="width">
            <div #pivotContainer class="igx-grid__tr-pivot igx-grid__tr-pivot--row-area"
                 [style.width.px]="grid.pivotRowWidths - 1" (igxDragLeave)="onAreaDragLeave($event, rowArea)" igxDrop
                 (dropped)="onDimDrop($event, rowArea, 0)" (pointerdown)="$event.preventDefault()">
                <!-- Row area -->
                <igx-chips-area #rowArea droppable='true'>
                    <ng-container *ngIf="grid.showPivotConfigurationUI">
                    <span id='empty' igxDrop (dropped)="onDimDrop($event, rowArea, 0)"
                        *ngIf="grid.rowDimensions.length === 0 && grid.showPivotConfigurationUI"
                        class='igx-grid__pivot-empty-chip-area'>{{grid.resourceStrings.igx_grid_pivot_empty_row_drop_area}}</span>
                    <ng-container *ngFor="let row of grid.rowDimensions; let last = last;">
                        <span class="igx-grid__tr-pivot--chip_drop_indicator"
                              [style.height.px]='getAreaHeight(rowArea)'></span>
                            <igx-chip [draggable]="true" [id]="row.memberName" [displayDensity]="grid.displayDensity" [data]="{ pivotArea: 'row' }"
                                      [removable]="true" (remove)="rowRemoved($event)" (dragLeave)="onDimDragLeave($event)"
                                      (dragDrop)="onDimDrop($event, rowArea, 0)" (dragOver)="onDimDragOver($event, 0)"
                                      (moveStart)='onDimDragStart($event, rowArea)' (moveEnd)='onDimDragEnd()'
                                      (click)="onChipSort($event, row)">
                                <igx-icon igxPrefix>table_rows</igx-icon>
                                <igx-icon igxPrefix (pointerdown)='onFilteringIconPointerDown($event)'
                                          (click)='onFilteringIconClick($event, row)'>filter_list</igx-icon>
                                {{ row.displayName || row.memberName}}
                                <igx-icon *ngIf="row.sortDirection" igxSuffix> {{ row.sortDirection < 2 ? 'arrow_upward'
                                    : 'arrow_downward' }}</igx-icon>
                            </igx-chip>
                            <ng-container *ngIf='last'>
                            <span class="igx-grid__tr-pivot--chip_drop_indicator"
                                  [style.height.px]='getAreaHeight(rowArea)'></span>
                            </ng-container>
                        </ng-container>
                        <igx-chip igxDrop (dragDrop)="onDimDrop($event, rowArea, 0)" #notifyChip [hidden]='true'
                                  [displayDensity]="grid.displayDensity">
                            {{grid.resourceStrings.igx_grid_pivot_row_drop_chip}}
                        </igx-chip>
                    </ng-container>
                </igx-chips-area>
            </div>

            <!-- Pinned columns collection from the start -->
            <ng-container *ngIf="pinnedColumnCollection.length && grid.isPinningToStart">
                <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                    <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                           [ngStyle]="column.headerGroupStyles | igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                           [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           (pointerdown)="grid.navigation.focusOutRowHeader($event)">
                    </igx-grid-header-group>
                </ng-container>
            </ng-container>
            <div class="igx-grid-thead--virtualizationWrapper" [style.max-height.px]='maxContainerHeight'>
                <div class="igx-grid-thead__group igx-grid-thead--virtualizationContainer" [style.height.px]='totalDepth > 1 ? grid.rowHeight : undefined' *ngFor='let dimLevelColumns of columnDimensionsByLevel; let i = index' [style.width.px]='grid.unpinnedWidth'>
                    <ng-template igxGridFor #headerVirtualContainer let-column
                                 [igxGridForOf]="dimLevelColumns" [igxGridForOfUniqueSizeCache] = 'true' [igxForScrollContainer]="grid.parentVirtDir"
                                 [igxForContainerSize]="grid.unpinnedWidth" [igxForTrackBy]="grid.trackColumnChanges"
                                 [igxForSizePropName]="'calcPixelWidth'" [igxForScrollOrientation]="'horizontal'">
                        <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                               [style.height.px]='totalDepth > 1 ? calcHeight(column, i) : undefined'
                                               [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                               [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                               [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                               [class.igx-grid__tr-pivot--columnDimensionLeaf] = 'isDuplicateOfExistingParent(column, i)'
                                               [class.igx-grid__tr-pivot--columnMultiRowSpan] = 'isMultiRow(column, i)'
                        >
                        </igx-grid-header-group>
                    </ng-template>
                </div>
            </div>

            <!-- Pinned columns collection at the end -->
            <ng-container *ngIf="pinnedColumnCollection.length && !grid.isPinningToStart">
                <ng-container *ngFor="let column of pinnedColumnCollection | igxTopLevel">
                    <igx-grid-header-group [ngClass]="column.headerGroupClasses"
                                           [ngStyle]="column.headerGroupStyles |igxHeaderGroupStyle:column:grid.pipeTrigger" [column]="column"
                                           [style.min-width]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.flex-basis]="column.resolvedWidth | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                                           [style.left]="column.rightPinnedOffset" (pointerdown)="grid.navigation.focusOutRowHeader($event)">
                    </igx-grid-header-group>
                </ng-container>
            </ng-container>
        </div>
    </div>
</div>
<!-- Header thumb area -->
<div class="igx-grid-thead__thumb" [hidden]="!grid.hasVerticalScroll()" [style.width.px]="grid.scrollSize">
</div>

<igx-drop-down #dropdown (selectionChanging)='onAggregationChange($event)'>
    <igx-drop-down-item *ngFor="let item of aggregateList" [selected]='isSelected(item)' [value]='item'>
        {{ item.label }}
    </igx-drop-down-item>
</igx-drop-down>

<div [hidden]='true'>
    <igx-grid-excel-style-filtering [maxHeight]='grid.excelStyleFilterMaxHeight' [minHeight]='grid.excelStyleFilterMinHeight' #esf>
        <div igxExcelStyleColumnOperations>
            <igx-chips-area #dropdownChips>
                <igx-chip *ngFor="let filter of this.filterDropdownDimensions" [id]="filter.memberName"
                [displayDensity]="grid.displayDensity" [removable]="true" (remove)="filterRemoved($event)"
                (chipClick)='onFiltersSelectionChanged($event)' [selectable]='true' [selected]='filter === this.filterDropdownDimensions.values().next().value'>
                {{filter.displayName || filter.memberName}}
            </igx-chip>
        </igx-chips-area>
        </div>
        <igx-excel-style-filter-operations>
            <igx-excel-style-search></igx-excel-style-search>
        </igx-excel-style-filter-operations>
    </igx-grid-excel-style-filtering>
</div>

<div style="visibility: hidden; position: absolute; top: -10000px">
    <igx-chips-area #filterAreaHidden droppable='true'>
        <igx-chip *ngFor="let filter of grid.filterDimensions" [id]="filter.memberName" [draggable]="true"
            [displayDensity]="grid.displayDensity" [removable]="true" (remove)="filterRemoved($event)">
            <igx-icon igxPrefix>filter_list</igx-icon>
            {{filter.displayName || filter.memberName}}
        </igx-chip>
    </igx-chips-area>
</div>

<ng-template #valueChipDefaultTemplate let-value>
    {{value.aggregate.key}}({{value.displayName || value.member}})
</ng-template>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject77,
  args: [IGX_GRID_BASE]
}] }, { type: i0199.ElementRef }, { type: i0199.ChangeDetectorRef }, { type: i0199.Renderer2 }], propDecorators: { esf: [{
  type: ViewChild52,
  args: ["esf"]
}], filterArea: [{
  type: ViewChild52,
  args: ["filterAreaHidden", { static: false }]
}], filtersButton: [{
  type: ViewChild52,
  args: ["filterIcon"]
}], dropdownChips: [{
  type: ViewChild52,
  args: ["dropdownChips"]
}], pivotFilterContainer: [{
  type: ViewChild52,
  args: ["pivotFilterContainer"]
}], notificationChips: [{
  type: ViewChildren19,
  args: ["notifyChip"]
}], headerContainers: [{
  type: ViewChildren19,
  args: ["headerVirtualContainer", { read: IgxGridForOfDirective }]
}] } });

// lib/data-operations/pivot-strategy.mjs
var NoopPivotDimensionsStrategy = class _NoopPivotDimensionsStrategy {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new _NoopPivotDimensionsStrategy());
  }
  process(collection, _, __) {
    return collection;
  }
};
var PivotRowDimensionsStrategy = class _PivotRowDimensionsStrategy {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new _PivotRowDimensionsStrategy());
  }
  process(collection, rows, values, cloneStrategy, pivotKeys = DEFAULT_PIVOT_KEYS) {
    let hierarchies;
    let data;
    const prevRowDims = [];
    const currRows = cloneArray(rows, true);
    PivotUtil.assignLevels(currRows);
    if (currRows.length === 0) {
      hierarchies = PivotUtil.getFieldsHierarchy(collection, [{ memberName: "", enabled: true }], PivotDimensionType.Row, pivotKeys, cloneStrategy);
      data = PivotUtil.processHierarchy(hierarchies, pivotKeys, 0, true);
      return data;
    }
    for (const row of currRows) {
      if (!data) {
        hierarchies = PivotUtil.getFieldsHierarchy(collection, [row], PivotDimensionType.Row, pivotKeys, cloneStrategy);
        data = PivotUtil.processHierarchy(hierarchies, pivotKeys, 0, true);
        prevRowDims.push(row);
      } else {
        PivotUtil.processGroups(data, row, pivotKeys, cloneStrategy);
      }
    }
    return data;
  }
};
var PivotColumnDimensionsStrategy = class _PivotColumnDimensionsStrategy {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new _PivotColumnDimensionsStrategy());
  }
  process(collection, columns, values, cloneStrategy, pivotKeys = DEFAULT_PIVOT_KEYS) {
    const res = this.processHierarchy(collection, columns, values, pivotKeys, cloneStrategy);
    return res;
  }
  processHierarchy(collection, columns, values, pivotKeys, cloneStrategy) {
    const result = [];
    collection.forEach((rec) => {
      this.groupColumns(rec, columns, values, pivotKeys, cloneStrategy);
      result.push(rec);
    });
    return result;
  }
  groupColumns(rec, columns, values, pivotKeys, cloneStrategy) {
    const children = rec.children;
    if (children && children.size > 0) {
      children.forEach((childRecs) => {
        if (childRecs) {
          childRecs.forEach((child) => {
            this.groupColumns(child, columns, values, pivotKeys, cloneStrategy);
          });
        }
      });
    }
    this.applyAggregates(rec, columns, values, pivotKeys, cloneStrategy);
  }
  applyAggregates(rec, columns, values, pivotKeys, cloneStrategy) {
    const leafRecords = this.getLeafs(rec.records, pivotKeys);
    const hierarchy = PivotUtil.getFieldsHierarchy(leafRecords, columns, PivotDimensionType.Column, pivotKeys, cloneStrategy);
    PivotUtil.applyAggregations(rec, hierarchy, values, pivotKeys);
  }
  getLeafs(records, pivotKeys) {
    let leafs = [];
    for (const rec of records) {
      if (rec[pivotKeys.records]) {
        leafs = leafs.concat(this.getLeafs(rec[pivotKeys.records], pivotKeys));
      } else {
        leafs.push(rec);
      }
    }
    return leafs;
  }
};
var DimensionValuesFilteringStrategy = class extends FilteringStrategy {
  /**
   * Creates a new instance of FormattedValuesFilteringStrategy.
   *
   * @param fields An array of column field names that should be formatted.
   * If omitted the values of all columns which has formatter will be formatted.
   */
  constructor(fields) {
    super();
    this.fields = fields;
  }
  getFieldValue(rec, fieldName, _isDate = false, _isTime = false, grid) {
    const allDimensions = grid.allDimensions;
    const enabledDimensions = allDimensions.filter((x) => x && x.enabled);
    const dim = PivotUtil.flatten(enabledDimensions).find((x) => x.memberName === fieldName);
    const value = dim.childLevel ? this._getDimensionValueHierarchy(dim, rec).map((x) => `[` + x + `]`).join(".") : PivotUtil.extractValueFromDimension(dim, rec);
    return value;
  }
  getFilterItems(column, tree) {
    const grid = column.grid;
    const enabledDimensions = grid.allDimensions.filter((x) => x && x.enabled);
    const data = column.grid.gridAPI.filterDataByExpressions(tree);
    const dim = enabledDimensions.find((x) => x.memberName === column.field);
    const allValuesHierarchy = PivotUtil.getFieldsHierarchy(data, [dim], PivotDimensionType.Column, grid.pivotKeys, grid.pivotValueCloneStrategy);
    const isNoop = grid.pivotConfiguration.columnStrategy instanceof NoopPivotDimensionsStrategy || grid.pivotConfiguration.rowStrategy instanceof NoopPivotDimensionsStrategy;
    const items = !isNoop ? this._getFilterItems(allValuesHierarchy, grid.pivotKeys) : [{ value: "" }];
    return Promise.resolve(items);
  }
  _getFilterItems(hierarchy, pivotKeys) {
    const items = [];
    hierarchy.forEach((value) => {
      const val = value.value;
      const path = val.split(pivotKeys.columnDimensionSeparator);
      const hierarchicalValue = path.length > 1 ? path.map((x) => `[` + x + `]`).join(".") : val;
      const text = path[path.length - 1];
      items.push({
        value: hierarchicalValue,
        label: text,
        children: this._getFilterItems(value.children, pivotKeys)
      });
    });
    return items;
  }
  _getDimensionValueHierarchy(dim, rec) {
    let path = [];
    const value = PivotUtil.extractValueFromDimension(dim, rec);
    path.push(value);
    if (dim.childLevel) {
      const childVals = this._getDimensionValueHierarchy(dim.childLevel, rec);
      path = path.concat(childVals);
    }
    return path;
  }
};

// lib/grids/pivot-grid/pivot-grid-navigation.service.mjs
import { Injectable as Injectable33 } from "@angular/core";
import * as i0200 from "@angular/core";
var IgxPivotGridNavigationService = class _IgxPivotGridNavigationService extends IgxGridNavigationService {
  get lastRowDimensionsIndex() {
    return this.grid.rowDimensions.length - 1;
  }
  focusOutRowHeader() {
    this.isRowHeaderActive = false;
  }
  handleNavigation(event) {
    if (this.isRowHeaderActive) {
      const key = event.key.toLowerCase();
      const ctrl = event.ctrlKey;
      if (!HEADER_KEYS.has(key)) {
        return;
      }
      event.preventDefault();
      const newActiveNode = {
        row: this.activeNode.row,
        column: this.activeNode.column,
        level: null,
        mchCache: null,
        layout: null
      };
      if ((key.includes("left") || key === "home") && this.activeNode.column > 0) {
        newActiveNode.column = ctrl || key === "home" ? 0 : this.activeNode.column - 1;
      }
      if ((key.includes("right") || key === "end") && this.activeNode.column < this.lastRowDimensionsIndex) {
        newActiveNode.column = ctrl || key === "end" ? this.lastRowDimensionsIndex : this.activeNode.column + 1;
      }
      const verticalContainer = this.grid.verticalRowDimScrollContainers.toArray()[newActiveNode.column];
      if (key.includes("up") && this.activeNode.row > 0) {
        newActiveNode.row = ctrl ? 0 : this.activeNode.row - 1;
      }
      if (key.includes("down") && this.activeNode.row < this.findLastDataRowIndex()) {
        newActiveNode.row = ctrl ? verticalContainer.igxForOf.length - 1 : Math.min(this.activeNode.row + 1, verticalContainer.igxForOf.length - 1);
      }
      if (key.includes("left") || key.includes("right")) {
        const prevRIndex = this.activeNode.row;
        const prevScrContainer = this.grid.verticalRowDimScrollContainers.toArray()[this.activeNode.column];
        const src = prevScrContainer.getScrollForIndex(prevRIndex);
        newActiveNode.row = this.activeNode.mchCache && this.activeNode.mchCache.level === newActiveNode.column ? this.activeNode.mchCache.visibleIndex : verticalContainer.getIndexAtScroll(src);
        newActiveNode.mchCache = {
          visibleIndex: this.activeNode.row,
          level: this.activeNode.column
        };
      }
      this.setActiveNode(newActiveNode);
      if (verticalContainer.isIndexOutsideView(newActiveNode.row)) {
        verticalContainer.scrollTo(newActiveNode.row);
      }
    } else {
      super.handleNavigation(event);
    }
  }
  focusTbody(event) {
    if (!this.activeNode || this.activeNode.row === null || this.activeNode.row === void 0) {
      this.activeNode = this.lastActiveNode;
    } else {
      super.focusTbody(event);
    }
  }
  static {
    this.ɵfac = i0200.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0200, type: _IgxPivotGridNavigationService, deps: null, target: i0200.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0200.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0200, type: _IgxPivotGridNavigationService });
  }
};
i0200.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0200, type: IgxPivotGridNavigationService, decorators: [{
  type: Injectable33
}] });

// lib/grids/resizing/pivot-grid/pivot-resizing.service.mjs
import { Injectable as Injectable34 } from "@angular/core";
import * as i0201 from "@angular/core";
var IgxPivotColumnResizingService = class _IgxPivotColumnResizingService extends IgxColumnResizingService {
  /**
   * @hidden
   */
  getColumnHeaderRenderedWidth() {
    return this.rowHeaderGroup.header.nativeElement.getBoundingClientRect().width;
  }
  _handlePixelResize(diff, column) {
    const rowDim = this.rowHeaderGroup.parent.rootDimension;
    if (!rowDim)
      return;
    const currentColWidth = parseFloat(column.width);
    const colMinWidth = column.minWidthPx;
    const colMaxWidth = column.maxWidthPx;
    let newWidth = currentColWidth;
    if (currentColWidth + diff < colMinWidth) {
      newWidth = colMinWidth;
    } else if (colMaxWidth && currentColWidth + diff > colMaxWidth) {
      newWidth = colMaxWidth;
    } else {
      newWidth = currentColWidth + diff;
    }
    this.rowHeaderGroup.grid.resizeRowDimensionPixels(rowDim, newWidth);
  }
  _handlePercentageResize() {
  }
  static {
    this.ɵfac = i0201.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0201, type: _IgxPivotColumnResizingService, deps: null, target: i0201.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0201.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0201, type: _IgxPivotColumnResizingService });
  }
};
i0201.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0201, type: IgxPivotColumnResizingService, decorators: [{
  type: Injectable34
}] });

// lib/grids/pivot-grid/pivot-filtering.service.mjs
import { Injectable as Injectable35 } from "@angular/core";
import { first as first12, takeUntil as takeUntil45 } from "rxjs/operators";
import * as i0202 from "@angular/core";
var IgxPivotFilteringService = class _IgxPivotFilteringService extends IgxFilteringService {
  clearFilter(field) {
    this.clear_filter(field);
  }
  clear_filter(fieldName) {
    super.clear_filter(fieldName);
    const grid = this.grid;
    const allDimensions = grid.allDimensions;
    const allDimensionsFlat = PivotUtil.flatten(allDimensions);
    const dim = allDimensionsFlat.find((x) => x.memberName === fieldName);
    dim.filter = void 0;
    grid.filteringPipeTrigger++;
    if (allDimensions.indexOf(dim) !== -1) {
      grid.setupColumns();
    }
  }
  filter_internal(fieldName, term, conditionOrExpressionsTree, ignoreCase) {
    super.filter_internal(fieldName, term, conditionOrExpressionsTree, ignoreCase);
    const grid = this.grid;
    const config = grid.pivotConfiguration;
    const allDimensions = PivotUtil.flatten(config.rows.concat(config.columns).concat(config.filters).filter((x) => x !== null && x !== void 0));
    const enabledDimensions = allDimensions.filter((x) => x && x.enabled);
    const dim = enabledDimensions.find((x) => x.memberName === fieldName || x.member === fieldName);
    const filteringTree = dim.filter || new FilteringExpressionsTree(FilteringLogic.And);
    const fieldFilterIndex = filteringTree.findIndex(fieldName);
    if (fieldFilterIndex > -1) {
      filteringTree.filteringOperands.splice(fieldFilterIndex, 1);
    }
    this.prepare_filtering_expression(filteringTree, fieldName, term, conditionOrExpressionsTree, ignoreCase, fieldFilterIndex);
    dim.filter = filteringTree;
    grid.filteringPipeTrigger++;
    grid.filterStrategy = grid.filterStrategy ?? new DimensionValuesFilteringStrategy();
    if (allDimensions.indexOf(dim) !== -1) {
      grid.setupColumns();
    }
  }
  toggleFiltersESF(dropdown, element, column, shouldReattach) {
    const filterIcon = column.filteringExpressionsTree ? "igx-excel-filter__icon--filtered" : "igx-excel-filter__icon";
    const filterIconTarget = element.querySelector(`.${filterIcon}`) || element;
    const { id, ref } = this.grid.createFilterESF(dropdown, column, {
      ...this._filterMenuOverlaySettings,
      ...{ target: filterIconTarget }
    }, shouldReattach);
    this.filtersESFId = id;
    if (shouldReattach) {
      this._overlayService.opening.pipe(first12((overlay) => overlay.id === id), takeUntil45(this.destroy$)).subscribe(() => this.lastActiveNode = this.grid.navigation.activeNode);
      this._overlayService.closed.pipe(first12((overlay) => overlay.id === id), takeUntil45(this.destroy$)).subscribe(() => {
        this._overlayService.detach(id);
        ref?.destroy();
        this.grid.navigation.activeNode = this.lastActiveNode;
        this.grid.theadRow.nativeElement.focus();
      });
      this.grid.columnPinned.pipe(first12()).subscribe(() => ref?.destroy());
      this._overlayService.show(id);
    }
  }
  hideESF() {
    this._overlayService.hide(this.filtersESFId);
  }
  static {
    this.ɵfac = i0202.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0202, type: _IgxPivotFilteringService, deps: null, target: i0202.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0202.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0202, type: _IgxPivotFilteringService });
  }
};
i0202.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0202, type: IgxPivotFilteringService, decorators: [{
  type: Injectable35
}] });

// lib/grids/pivot-grid/pivot-row-dimension-header.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy43, Component as Component89, HostListener as HostListener48, Inject as Inject78 } from "@angular/core";
import { NgTemplateOutlet as NgTemplateOutlet34, NgIf as NgIf61, NgClass as NgClass26 } from "@angular/common";
import * as i0203 from "@angular/core";
var IgxPivotRowDimensionHeaderComponent = class _IgxPivotRowDimensionHeaderComponent extends IgxGridHeaderComponent {
  constructor(grid, colResizingService, cdr, refInstance) {
    super(grid, colResizingService, cdr, refInstance);
    this.colResizingService = colResizingService;
    this.refInstance = refInstance;
  }
  onClick(event) {
    event.preventDefault();
  }
  get selectable() {
    return false;
  }
  static {
    this.ɵfac = i0203.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0203, type: _IgxPivotRowDimensionHeaderComponent, deps: [{ token: IGX_GRID_BASE }, { token: IgxPivotColumnResizingService }, { token: i0203.ChangeDetectorRef }, { token: i0203.ElementRef }], target: i0203.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0203.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotRowDimensionHeaderComponent, isStandalone: true, selector: "igx-pivot-row-dimension-header", host: { listeners: { "click": "onClick($event)" } }, usesInheritance: true, ngImport: i0203, template: `<ng-template #defaultColumn>
    <span [title]="title">{{ column.header || column.field }}</span>
</ng-template>

<ng-template #defaultESFHeaderIconTemplate>
    <igx-icon>more_vert</igx-icon>
</ng-template>

<ng-template #defaultSortHeaderIconTemplate>
    <igx-icon>{{ sortDirection < 2 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
</ng-template>

<span class="igx-grid-th__title">
    <ng-container
        *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
    </ng-container>
</span>
<ng-container *ngIf="!column.columnGroup">
    <div class="igx-grid-th__icons">
        <ng-container *ngIf="column.sortable && !disabled">
            <div class="sort-icon"
                [attr.data-sortIndex]="(grid.sortingOptions.mode === 'single' && grid.sortingExpressions.length <=1) ? null : column.field | sortingIndex:grid.sortingExpressions"
                (pointerdown)="onPointerDownIndicator($event)" (click)="onSortingIconClick($event)">
                <ng-container *ngTemplateOutlet="sortIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
        <ng-container *ngIf="grid.allowFiltering && column.filterable && grid.filterMode === 'excelStyleFilter'">
            <div [ngClass]="filterIconClassName" (pointerdown)="onPointerDownIndicator($event)" (click)="onFilteringIconClick($event)" >
                <ng-container *ngTemplateOutlet="esfIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
    </div>
</ng-container>
`, dependencies: [{ kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgTemplateOutlet34, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf61, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass26, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "pipe", type: SortingIndexPipe, name: "sortingIndex" }], changeDetection: i0203.ChangeDetectionStrategy.OnPush });
  }
};
i0203.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0203, type: IgxPivotRowDimensionHeaderComponent, decorators: [{
  type: Component89,
  args: [{ changeDetection: ChangeDetectionStrategy43.OnPush, selector: "igx-pivot-row-dimension-header", standalone: true, imports: [IgxIconComponent, NgTemplateOutlet34, NgIf61, NgClass26, SortingIndexPipe], template: `<ng-template #defaultColumn>
    <span [title]="title">{{ column.header || column.field }}</span>
</ng-template>

<ng-template #defaultESFHeaderIconTemplate>
    <igx-icon>more_vert</igx-icon>
</ng-template>

<ng-template #defaultSortHeaderIconTemplate>
    <igx-icon>{{ sortDirection < 2 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
</ng-template>

<span class="igx-grid-th__title">
    <ng-container
        *ngTemplateOutlet="column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}">
    </ng-container>
</span>
<ng-container *ngIf="!column.columnGroup">
    <div class="igx-grid-th__icons">
        <ng-container *ngIf="column.sortable && !disabled">
            <div class="sort-icon"
                [attr.data-sortIndex]="(grid.sortingOptions.mode === 'single' && grid.sortingExpressions.length <=1) ? null : column.field | sortingIndex:grid.sortingExpressions"
                (pointerdown)="onPointerDownIndicator($event)" (click)="onSortingIconClick($event)">
                <ng-container *ngTemplateOutlet="sortIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
        <ng-container *ngIf="grid.allowFiltering && column.filterable && grid.filterMode === 'excelStyleFilter'">
            <div [ngClass]="filterIconClassName" (pointerdown)="onPointerDownIndicator($event)" (click)="onFilteringIconClick($event)" >
                <ng-container *ngTemplateOutlet="esfIconTemplate; context: { $implicit:  this }"></ng-container>
            </div>
        </ng-container>
    </div>
</ng-container>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject78,
  args: [IGX_GRID_BASE]
}] }, { type: IgxPivotColumnResizingService }, { type: i0203.ChangeDetectorRef }, { type: i0203.ElementRef }], propDecorators: { onClick: [{
  type: HostListener48,
  args: ["click", ["$event"]]
}] } });

// lib/grids/resizing/pivot-grid/pivot-resize-handle.directive.mjs
import { Directive as Directive82, Input as Input119 } from "@angular/core";
import * as i0204 from "@angular/core";
var IgxPivotResizeHandleDirective = class _IgxPivotResizeHandleDirective extends IgxResizeHandleDirective {
  /**
   * @hidden
   */
  set pivotColumn(value) {
    this.column = value;
  }
  get pivotColumn() {
    return this.column;
  }
  constructor(zone, element, colResizingService) {
    super(zone, element, colResizingService);
    this.colResizingService = colResizingService;
  }
  /**
   * @hidden
   */
  onDoubleClick() {
    this._dblClick = true;
    this.initResizeService();
    this.rowHeaderGroup.grid.autoSizeRowDimension(this.rowHeaderGroup.parent.rootDimension);
  }
  /**
   * @hidden
   */
  initResizeService(event = null) {
    super.initResizeService(event);
    this.colResizingService.rowHeaderGroup = this.rowHeaderGroup;
  }
  static {
    this.ɵfac = i0204.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0204, type: _IgxPivotResizeHandleDirective, deps: [{ token: i0204.NgZone }, { token: i0204.ElementRef }, { token: IgxPivotColumnResizingService }], target: i0204.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0204.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotResizeHandleDirective, isStandalone: true, selector: "[igxPivotResizeHandle]", inputs: { pivotColumn: ["igxPivotResizeHandle", "pivotColumn"], rowHeaderGroup: ["igxPivotResizeHandleHeader", "rowHeaderGroup"] }, usesInheritance: true, ngImport: i0204 });
  }
};
i0204.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0204, type: IgxPivotResizeHandleDirective, decorators: [{
  type: Directive82,
  args: [{
    selector: "[igxPivotResizeHandle]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0204.NgZone }, { type: i0204.ElementRef }, { type: IgxPivotColumnResizingService }], propDecorators: { pivotColumn: [{
  type: Input119,
  args: ["igxPivotResizeHandle"]
}], rowHeaderGroup: [{
  type: Input119,
  args: ["igxPivotResizeHandleHeader"]
}] } });

// lib/grids/pivot-grid/pivot-row-dimension-header-group.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy45, Component as Component90, HostBinding as HostBinding87, HostListener as HostListener49, Inject as Inject79, Input as Input120, ViewChild as ViewChild53 } from "@angular/core";
import { NgIf as NgIf62, NgClass as NgClass27, NgStyle as NgStyle8 } from "@angular/common";
import * as i0205 from "@angular/core";
var IgxPivotRowDimensionHeaderGroupComponent = class _IgxPivotRowDimensionHeaderGroupComponent extends IgxGridHeaderGroupComponent {
  constructor(cdRef, grid, elementRef, colResizingService, filteringService, platform, zone) {
    super(cdRef, grid, elementRef, colResizingService, filteringService, platform);
    this.cdRef = cdRef;
    this.grid = grid;
    this.elementRef = elementRef;
    this.colResizingService = colResizingService;
    this.zone = zone;
    this.userSelect = "none";
  }
  get headerID() {
    return `${this.grid.id}_-2_${this.rowIndex}_${this.visibleIndex}`;
  }
  get title() {
    return this.column.header;
  }
  /**
   * @hidden @internal
   */
  onClick(event) {
    if (this.grid.rowSelection === "none") {
      return;
    }
    event?.stopPropagation();
    const key = this.parent.getRowDimensionKey(this.column);
    if (this.grid.selectionService.isRowSelected(key)) {
      this.grid.selectionService.deselectRow(key, event);
    } else {
      this.grid.selectionService.selectRowById(key, true, event);
    }
    this.zone.run(() => {
    });
  }
  /**
   * @hidden
   * @internal
   */
  get visibleIndex() {
    const field = this.column.field;
    const rows = this.grid.rowDimensions;
    const rootDimension = this.findRootDimension(field);
    return rows.indexOf(rootDimension);
  }
  get active() {
    const nav = this.grid.navigation;
    const node = nav.activeNode;
    return node && !this.column.columnGroup ? nav.isRowHeaderActive && node.row === this.rowIndex && node.column === this.visibleIndex : false;
  }
  get activeNode() {
    this.grid.navigation.isRowHeaderActive = true;
    return {
      row: this.rowIndex,
      column: this.visibleIndex,
      level: null,
      mchCache: null,
      layout: null
    };
  }
  findRootDimension(field) {
    const rows = this.grid.rowDimensions;
    let tempRow;
    let result = null;
    rows.forEach((row) => {
      tempRow = row;
      do {
        if (tempRow.memberName === field) {
          result = row;
        }
        tempRow = tempRow.childLevel;
      } while (tempRow);
    });
    return result;
  }
  activate() {
    this.grid.navigation.isRowHeader = true;
    this.grid.navigation.setActiveNode(this.activeNode);
  }
  /**
   * @hidden @internal
   */
  pointerdown(_event) {
    this.activate();
  }
  /**
   * @hidden @internal
   */
  onMouseDown(_event) {
    this.activate();
  }
  get selectable() {
    return false;
  }
  static {
    this.ɵfac = i0205.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0205, type: _IgxPivotRowDimensionHeaderGroupComponent, deps: [{ token: i0205.ChangeDetectorRef }, { token: IGX_GRID_BASE }, { token: i0205.ElementRef }, { token: IgxPivotColumnResizingService }, { token: IgxFilteringService }, { token: PlatformUtil }, { token: i0205.NgZone }], target: i0205.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0205.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotRowDimensionHeaderGroupComponent, isStandalone: true, selector: "igx-pivot-row-dimension-header-group", inputs: { rowIndex: "rowIndex", parent: "parent" }, host: { listeners: { "click": "onClick($event)" }, properties: { "style.user-select": "this.userSelect", "attr.id": "this.headerID", "attr.title": "this.title", "class.igx-grid-th--active": "this.active" } }, viewQueries: [{ propertyName: "header", first: true, predicate: IgxPivotRowDimensionHeaderComponent, descendants: true }], usesInheritance: true, ngImport: i0205, template: `<ng-template #defaultColumn>
    <span class="igx-grid-th__group-title" [title]="title">{{column.header}}</span>
</ng-template>

<ng-template #defaultCollapseIndicator>
    <igx-icon>{{column.expanded ? 'expand_more' : 'chevron_right'}}</igx-icon>
</ng-template>

<ng-container *ngIf="!column.columnGroup">
    <span *ngIf="grid.hasMovableColumns" class="igx-grid-th__drop-indicator-left"></span>
    <igx-pivot-row-dimension-header
        role="columnheader"
        class="igx-grid-th--fw"
        [id]="grid.id + '_' + column.field"
        [ngClass]="column.headerClasses"
        [ngStyle]="column.headerStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        (pointerdown)="pointerdown($event)"
        [igxColumnMovingDrop]="column"
        [column]="column"
        [density]="grid.displayDensity"
    >
    </igx-pivot-row-dimension-header>
    <igx-grid-filtering-cell *ngIf="grid.allowFiltering && grid.filterMode === 'quickFilter'" [column]="column" [attr.draggable]="false"></igx-grid-filtering-cell>
    <span *ngIf="!column.columnGroup && column.resizable" class="igx-grid-th__resize-handle"
        [igxPivotResizeHandle]="column"
        [igxPivotResizeHandleHeader]="this"
        [attr.draggable]="false"
        [style.cursor]="colResizingService.resizeCursor">
    </span>
    <span *ngIf="grid.hasMovableColumns" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>
`, dependencies: [{ kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgIf62, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxPivotRowDimensionHeaderComponent, selector: "igx-pivot-row-dimension-header" }, { kind: "directive", type: NgClass27, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle8, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: IgxColumnMovingDragDirective, selector: "[igxColumnMovingDrag]", inputs: ["igxColumnMovingDrag"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "component", type: IgxGridFilteringCellComponent, selector: "igx-grid-filtering-cell", inputs: ["column"] }, { kind: "directive", type: IgxPivotResizeHandleDirective, selector: "[igxPivotResizeHandle]", inputs: ["igxPivotResizeHandle", "igxPivotResizeHandleHeader"] }, { kind: "pipe", type: IgxHeaderGroupStylePipe, name: "igxHeaderGroupStyle" }], changeDetection: i0205.ChangeDetectionStrategy.OnPush });
  }
};
i0205.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0205, type: IgxPivotRowDimensionHeaderGroupComponent, decorators: [{
  type: Component90,
  args: [{ changeDetection: ChangeDetectionStrategy45.OnPush, selector: "igx-pivot-row-dimension-header-group", standalone: true, imports: [IgxIconComponent, NgIf62, IgxPivotRowDimensionHeaderComponent, NgClass27, NgStyle8, IgxColumnMovingDragDirective, IgxColumnMovingDropDirective, IgxGridFilteringCellComponent, IgxPivotResizeHandleDirective, IgxHeaderGroupStylePipe], template: `<ng-template #defaultColumn>
    <span class="igx-grid-th__group-title" [title]="title">{{column.header}}</span>
</ng-template>

<ng-template #defaultCollapseIndicator>
    <igx-icon>{{column.expanded ? 'expand_more' : 'chevron_right'}}</igx-icon>
</ng-template>

<ng-container *ngIf="!column.columnGroup">
    <span *ngIf="grid.hasMovableColumns" class="igx-grid-th__drop-indicator-left"></span>
    <igx-pivot-row-dimension-header
        role="columnheader"
        class="igx-grid-th--fw"
        [id]="grid.id + '_' + column.field"
        [ngClass]="column.headerClasses"
        [ngStyle]="column.headerStyles | igxHeaderGroupStyle:column:grid.pipeTrigger"
        [igxColumnMovingDrag]="column"
        [ghostHost]="grid.outlet.nativeElement"
        [attr.droppable]="true"
        (pointerdown)="pointerdown($event)"
        [igxColumnMovingDrop]="column"
        [column]="column"
        [density]="grid.displayDensity"
    >
    </igx-pivot-row-dimension-header>
    <igx-grid-filtering-cell *ngIf="grid.allowFiltering && grid.filterMode === 'quickFilter'" [column]="column" [attr.draggable]="false"></igx-grid-filtering-cell>
    <span *ngIf="!column.columnGroup && column.resizable" class="igx-grid-th__resize-handle"
        [igxPivotResizeHandle]="column"
        [igxPivotResizeHandleHeader]="this"
        [attr.draggable]="false"
        [style.cursor]="colResizingService.resizeCursor">
    </span>
    <span *ngIf="grid.hasMovableColumns" class="igx-grid-th__drop-indicator-right"></span>
</ng-container>
` }]
}], ctorParameters: () => [{ type: i0205.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Inject79,
  args: [IGX_GRID_BASE]
}] }, { type: i0205.ElementRef }, { type: IgxPivotColumnResizingService }, { type: IgxFilteringService }, { type: PlatformUtil }, { type: i0205.NgZone }], propDecorators: { userSelect: [{
  type: HostBinding87,
  args: ["style.user-select"]
}], rowIndex: [{
  type: Input120
}], parent: [{
  type: Input120
}], header: [{
  type: ViewChild53,
  args: [IgxPivotRowDimensionHeaderComponent]
}], headerID: [{
  type: HostBinding87,
  args: ["attr.id"]
}], title: [{
  type: HostBinding87,
  args: ["attr.title"]
}], onClick: [{
  type: HostListener49,
  args: ["click", ["$event"]]
}], active: [{
  type: HostBinding87,
  args: ["class.igx-grid-th--active"]
}] } });

// lib/grids/pivot-grid/pivot-row-dimension-content.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy47, Component as Component91, createComponent as createComponent2, Inject as Inject80, Input as Input121, TemplateRef as TemplateRef32, ViewChild as ViewChild54, ViewChildren as ViewChildren20 } from "@angular/core";
import { NgClass as NgClass28, NgStyle as NgStyle9 } from "@angular/common";
import * as i0206 from "@angular/core";
var IgxPivotRowDimensionContentComponent = class _IgxPivotRowDimensionContentComponent extends IgxGridHeaderRowComponent {
  constructor(grid, ref, injector, envInjector, cdr, viewRef) {
    super(ref, cdr);
    this.grid = grid;
    this.injector = injector;
    this.envInjector = envInjector;
    this.viewRef = viewRef;
  }
  get rowDimensionColumn() {
    return this.rowDimensionData?.column;
  }
  /**
  * @hidden
  * @internal
  */
  ngOnChanges(changes) {
    if (changes.rowData) {
      this.rowDimensionData = null;
      this.viewRef.clear();
      this.extractFromDimensions();
      this.viewRef.clear();
    }
    if (changes.width && this.rowDimensionData) {
      const data = this.rowDimensionData;
      data.column.width = this.grid.rowDimensionWidthToPixels(this.rootDimension) + "px";
    }
  }
  /**
  * @hidden
  * @internal
  */
  toggleRowDimension(event) {
    this.grid.toggleRow(this.getRowDimensionKey());
    event?.stopPropagation();
  }
  /**
   * @hidden
   * @internal
   */
  getRowDimensionKey() {
    const dimData = this.rowDimensionData;
    const key = PivotUtil.getRecordKey(this.rowData, dimData.dimension);
    return key;
  }
  getExpandState() {
    return this.grid.gridAPI.get_row_expansion_state(this.getRowDimensionKey());
  }
  getLevel() {
    return this.dimension.level;
  }
  extractFromDimensions() {
    const col = this.extractFromDimension(this.dimension, this.rowData);
    const prevDims = [];
    this.rowDimensionData = {
      column: col,
      dimension: this.dimension,
      prevDimensions: prevDims
    };
  }
  extractFromDimension(dim, rowData) {
    const field = dim.memberName;
    const header = rowData?.dimensionValues.get(field);
    const col = this._createColComponent(field, header, dim);
    return col;
  }
  _createColComponent(field, header, dim) {
    const ref = createComponent2(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
    ref.instance.field = field;
    ref.instance.header = header;
    ref.instance.width = this.grid.rowDimensionWidthToPixels(this.rootDimension) + "px";
    ref.instance.resizable = this.grid.rowDimensionResizing;
    ref.instance._vIndex = this.grid.columns.length + this.rowIndex + this.rowIndex * this.grid.pivotConfiguration.rows.length;
    if (dim.childLevel) {
      ref.instance.headerTemplate = this.headerTemplate;
    } else {
      ref.instance.headerTemplate = this.headerTemplateDefault;
    }
    return ref.instance;
  }
  static {
    this.ɵfac = i0206.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0206, type: _IgxPivotRowDimensionContentComponent, deps: [{ token: IGX_GRID_BASE }, { token: i0206.ElementRef }, { token: i0206.Injector }, { token: i0206.EnvironmentInjector }, { token: i0206.ChangeDetectorRef }, { token: i0206.ViewContainerRef }], target: i0206.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0206.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotRowDimensionContentComponent, isStandalone: true, selector: "igx-pivot-row-dimension-content", inputs: { rowIndex: "rowIndex", dimension: "dimension", rootDimension: "rootDimension", rowData: "rowData" }, viewQueries: [{ propertyName: "headerTemplate", first: true, predicate: ["headerTemplate"], descendants: true, read: TemplateRef32, static: true }, { propertyName: "headerTemplateDefault", first: true, predicate: ["headerDefaultTemplate"], descendants: true, read: TemplateRef32, static: true }, { propertyName: "headerGroups", predicate: IgxPivotRowDimensionHeaderGroupComponent, descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0206, template: `<div role="rowgroup" class="igx-grid-thead__wrapper" [style.width.px]="width"
    [class.igx-grid__tr--mrl]="hasMRL">
    <div class="igx-grid__tr igx-grid__tr-header-row" role="row" [style.width.px]="width">
            <igx-pivot-row-dimension-header-group [ngClass]="rowDimensionColumn.headerGroupClasses"
                [ngStyle]="rowDimensionColumn.headerGroupStyles | igxHeaderGroupStyle:rowDimensionColumn:grid.pipeTrigger" [column]="rowDimensionColumn"
                [style.min-width]="grid.rowDimensionWidthToPixels(rootDimension) | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [style.flex-basis]="grid.rowDimensionWidthToPixels(rootDimension) | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [rowIndex]="rowIndex"
                [parent]='this'>
            </igx-pivot-row-dimension-header-group>
    </div>
</div>

<ng-template #headerTemplate let-column>
    <div class='igx-grid__tr--header igx-grid__row-indentation--level-{{getLevel()}}'>
        <igx-icon [attr.draggable]="false" (click)="toggleRowDimension($event)" style="--component-size: 3">
            {{ getExpandState() ? 'expand_more' : 'chevron_right'}}</igx-icon>
        {{column.header}}
    </div>
</ng-template>

<ng-template #headerDefaultTemplate let-column>
    <div class='igx-grid__tr--header igx-grid__row-indentation--level-{{getLevel()}}' style="--component-size: 3">
        <igx-icon style='flex-shrink: 0;' [attr.draggable]="false">
        </igx-icon>
        {{column.header}}
    </div>
</ng-template>
`, dependencies: [{ kind: "component", type: IgxPivotRowDimensionHeaderGroupComponent, selector: "igx-pivot-row-dimension-header-group", inputs: ["rowIndex", "parent"] }, { kind: "directive", type: NgClass28, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle9, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "pipe", type: IgxHeaderGroupWidthPipe, name: "igxHeaderGroupWidth" }, { kind: "pipe", type: IgxHeaderGroupStylePipe, name: "igxHeaderGroupStyle" }], changeDetection: i0206.ChangeDetectionStrategy.OnPush });
  }
};
i0206.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0206, type: IgxPivotRowDimensionContentComponent, decorators: [{
  type: Component91,
  args: [{ changeDetection: ChangeDetectionStrategy47.OnPush, selector: "igx-pivot-row-dimension-content", standalone: true, imports: [IgxPivotRowDimensionHeaderGroupComponent, NgClass28, NgStyle9, IgxIconComponent, IgxHeaderGroupWidthPipe, IgxHeaderGroupStylePipe], template: `<div role="rowgroup" class="igx-grid-thead__wrapper" [style.width.px]="width"
    [class.igx-grid__tr--mrl]="hasMRL">
    <div class="igx-grid__tr igx-grid__tr-header-row" role="row" [style.width.px]="width">
            <igx-pivot-row-dimension-header-group [ngClass]="rowDimensionColumn.headerGroupClasses"
                [ngStyle]="rowDimensionColumn.headerGroupStyles | igxHeaderGroupStyle:rowDimensionColumn:grid.pipeTrigger" [column]="rowDimensionColumn"
                [style.min-width]="grid.rowDimensionWidthToPixels(rootDimension) | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [style.flex-basis]="grid.rowDimensionWidthToPixels(rootDimension) | igxHeaderGroupWidth:grid.defaultHeaderGroupMinWidth:hasMRL"
                [rowIndex]="rowIndex"
                [parent]='this'>
            </igx-pivot-row-dimension-header-group>
    </div>
</div>

<ng-template #headerTemplate let-column>
    <div class='igx-grid__tr--header igx-grid__row-indentation--level-{{getLevel()}}'>
        <igx-icon [attr.draggable]="false" (click)="toggleRowDimension($event)" style="--component-size: 3">
            {{ getExpandState() ? 'expand_more' : 'chevron_right'}}</igx-icon>
        {{column.header}}
    </div>
</ng-template>

<ng-template #headerDefaultTemplate let-column>
    <div class='igx-grid__tr--header igx-grid__row-indentation--level-{{getLevel()}}' style="--component-size: 3">
        <igx-icon style='flex-shrink: 0;' [attr.draggable]="false">
        </igx-icon>
        {{column.header}}
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject80,
  args: [IGX_GRID_BASE]
}] }, { type: i0206.ElementRef }, { type: i0206.Injector }, { type: i0206.EnvironmentInjector }, { type: i0206.ChangeDetectorRef }, { type: i0206.ViewContainerRef }], propDecorators: { rowIndex: [{
  type: Input121
}], dimension: [{
  type: Input121
}], rootDimension: [{
  type: Input121
}], rowData: [{
  type: Input121
}], headerTemplate: [{
  type: ViewChild54,
  args: ["headerTemplate", { read: TemplateRef32, static: true }]
}], headerTemplateDefault: [{
  type: ViewChild54,
  args: ["headerDefaultTemplate", { read: TemplateRef32, static: true }]
}], headerGroups: [{
  type: ViewChildren20,
  args: [IgxPivotRowDimensionHeaderGroupComponent]
}] } });

// lib/grids/resizing/pivot-grid/pivot-resizer.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy49, Component as Component92 } from "@angular/core";
import * as i0207 from "@angular/core";
var IgxPivotGridColumnResizerComponent = class _IgxPivotGridColumnResizerComponent extends IgxGridColumnResizerComponent {
  constructor(colResizingService) {
    super(colResizingService);
    this.colResizingService = colResizingService;
  }
  static {
    this.ɵfac = i0207.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0207, type: _IgxPivotGridColumnResizerComponent, deps: [{ token: IgxPivotColumnResizingService }], target: i0207.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0207.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotGridColumnResizerComponent, isStandalone: true, selector: "igx-pivot-grid-column-resizer", usesInheritance: true, ngImport: i0207, template: '<div class="igx-grid-th__resize-line"\n    [style.left.px]="-99999" igxResizer\n    [style.height.px]="colResizingService.resizerHeight"\n    [restrictHResizeMax]="colResizingService.restrictResizeMax"\n    [restrictHResizeMin]="colResizingService.restrictResizeMin"\n    [restrictResizerTop]="restrictResizerTop"\n    (resizeEnd)="colResizingService.resizeColumn($event)">\n</div>\n', dependencies: [{ kind: "directive", type: IgxColumnResizerDirective, selector: "[igxResizer]", inputs: ["restrictHResizeMin", "restrictHResizeMax", "restrictResizerTop"], outputs: ["resizeEnd", "resizeStart", "resize"] }], changeDetection: i0207.ChangeDetectionStrategy.OnPush });
  }
};
i0207.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0207, type: IgxPivotGridColumnResizerComponent, decorators: [{
  type: Component92,
  args: [{ changeDetection: ChangeDetectionStrategy49.OnPush, selector: "igx-pivot-grid-column-resizer", standalone: true, imports: [IgxColumnResizerDirective], template: '<div class="igx-grid-th__resize-line"\n    [style.left.px]="-99999" igxResizer\n    [style.height.px]="colResizingService.resizerHeight"\n    [restrictHResizeMax]="colResizingService.restrictResizeMax"\n    [restrictHResizeMin]="colResizingService.restrictResizeMin"\n    [restrictResizerTop]="restrictResizerTop"\n    (resizeEnd)="colResizingService.resizeColumn($event)">\n</div>\n' }]
}], ctorParameters: () => [{ type: IgxPivotColumnResizingService }] });

// lib/data-operations/pivot-sort-strategy.mjs
var DefaultPivotGridRecordSortingStrategy = class extends DefaultSortingStrategy {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  sort(data, fieldName, dir, ignoreCase, valueResolver, isDate2, isTime, _grid) {
    const reverse = dir === SortingDirection.Desc ? -1 : 1;
    const cmpFunc = (obj1, obj2) => this.compareObjects(obj1, obj2, fieldName, reverse, ignoreCase, this.getFieldValue, isDate2, isTime);
    return this.arraySort(data, cmpFunc);
  }
  getFieldValue(obj, key, _isDate = false, _isTime = false) {
    return obj.aggregationValues.get(key);
  }
};
var DefaultPivotSortingStrategy = class extends DefaultSortingStrategy {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new this());
  }
  sort(data, fieldName, dir, ignoreCase, valueResolver, isDate2, isTime, grid) {
    const key = fieldName;
    const allDimensions = grid.allDimensions;
    const enabledDimensions = allDimensions.filter((x) => x && x.enabled);
    this.dimension = PivotUtil.flatten(enabledDimensions).find((x) => x.memberName === key);
    const reverse = dir === SortingDirection.Desc ? -1 : 1;
    const cmpFunc = (obj1, obj2) => this.compareObjects(obj1, obj2, key, reverse, ignoreCase, this.getFieldValue, isDate2, isTime);
    return this.arraySort(data, cmpFunc);
  }
  getFieldValue(obj, key, _isDate = false, isTime = false) {
    let resolvedValue = PivotUtil.extractValueFromDimension(this.dimension, obj) || obj[0];
    const formatAsDate = this.dimension.dataType === GridColumnDataType.Date || this.dimension.dataType === GridColumnDataType.DateTime;
    if (formatAsDate) {
      const date = parseDate(resolvedValue);
      resolvedValue = isTime && date ? (/* @__PURE__ */ new Date()).setHours(date.getHours(), date.getMinutes(), date.getSeconds(), date.getMilliseconds()) : date;
    }
    return resolvedValue;
  }
};

// lib/grids/pivot-grid/pivot-sort-util.mjs
var PivotSortUtil = class {
  static generateDimensionSortingExpressions(dimensions) {
    const expressions = [];
    PivotUtil.flatten(dimensions).forEach((x) => {
      if (x.sortDirection) {
        expressions.push({
          dir: x.sortDirection,
          fieldName: x.memberName,
          strategy: DefaultPivotSortingStrategy.instance()
        });
      } else {
        expressions.push({
          dir: SortingDirection.None,
          fieldName: x.memberName,
          strategy: DefaultPivotSortingStrategy.instance()
        });
      }
    });
    return expressions;
  }
};

// lib/grids/pivot-grid/pivot-grid.directives.mjs
import { Directive as Directive83 } from "@angular/core";
import * as i0208 from "@angular/core";
var IgxPivotValueChipTemplateDirective = class _IgxPivotValueChipTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_directive, context) {
    return true;
  }
  static {
    this.ɵfac = i0208.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0208, type: _IgxPivotValueChipTemplateDirective, deps: [{ token: i0208.TemplateRef }], target: i0208.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0208.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotValueChipTemplateDirective, isStandalone: true, selector: "[igxPivotValueChip]", ngImport: i0208 });
  }
};
i0208.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0208, type: IgxPivotValueChipTemplateDirective, decorators: [{
  type: Directive83,
  args: [{
    selector: "[igxPivotValueChip]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0208.TemplateRef }] });

// lib/grids/pivot-grid/pivot-grid.pipes.mjs
import { Inject as Inject81, Pipe as Pipe14 } from "@angular/core";
import * as i0209 from "@angular/core";
var IgxPivotRowPipe = class _IgxPivotRowPipe {
  constructor() {
  }
  transform(collection, config, cloneStrategy, _, _pipeTrigger, __) {
    const pivotKeys = config.pivotKeys || DEFAULT_PIVOT_KEYS;
    const enabledRows = config.rows?.filter((x) => x.enabled) || [];
    const enabledColumns = config.columns?.filter((x) => x.enabled) || [];
    const enabledValues = config.values?.filter((x) => x.enabled) || [];
    if (enabledRows.length === 0 && enabledColumns.length === 0 && enabledValues.length === 0) {
      return [];
    }
    const rowStrategy = config.rowStrategy || PivotRowDimensionsStrategy.instance();
    const data = cloneArray(collection, true);
    return rowStrategy.process(data, enabledRows, config.values, cloneStrategy, pivotKeys);
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotRowPipe, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotRowPipe, isStandalone: true, name: "pivotGridRow" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotRowPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridRow",
    pure: true,
    standalone: true
  }]
}], ctorParameters: () => [] });
var IgxPivotAutoTransform = class _IgxPivotAutoTransform {
  transform(collection, config, _pipeTrigger, __) {
    let needsTransformation = false;
    if (collection.length > 0) {
      needsTransformation = !this.isPivotRecord(collection[0]);
    }
    if (!needsTransformation)
      return collection;
    const res = this.processCollectionToPivotRecord(config, collection);
    return res;
  }
  isPivotRecord(arg) {
    return !!arg.aggregationValues;
  }
  processCollectionToPivotRecord(config, collection) {
    const pivotKeys = config.pivotKeys || DEFAULT_PIVOT_KEYS;
    const enabledRows = config.rows.filter((x) => x.enabled);
    const allFlat = PivotUtil.flatten(enabledRows);
    const result = [];
    for (const rec of collection) {
      const pivotRec = {
        dimensionValues: /* @__PURE__ */ new Map(),
        aggregationValues: /* @__PURE__ */ new Map(),
        children: /* @__PURE__ */ new Map(),
        dimensions: []
      };
      const keys = Object.keys(rec);
      for (const key of keys) {
        const dim = allFlat.find((x) => x.memberName === key);
        if (dim) {
          pivotRec.dimensions.push(dim);
          pivotRec.dimensionValues.set(key, rec[key]);
        } else if (key.indexOf(pivotKeys.rowDimensionSeparator + pivotKeys.records) !== -1) {
          const dimKey = key.slice(0, key.indexOf(pivotKeys.rowDimensionSeparator + pivotKeys.records));
          const childData = rec[key];
          const childPivotData = this.processCollectionToPivotRecord(config, childData);
          pivotRec.children.set(dimKey, childPivotData);
        } else {
          pivotRec.aggregationValues.set(key, rec[key]);
        }
      }
      const flattened = PivotUtil.flatten(config.rows);
      pivotRec.dimensions.sort((x, y) => flattened.indexOf(x) - flattened.indexOf(y));
      result.push(pivotRec);
    }
    return result;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotAutoTransform, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotAutoTransform, isStandalone: true, name: "pivotGridAutoTransform" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotAutoTransform, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridAutoTransform",
    pure: true,
    standalone: true
  }]
}] });
var IgxPivotRowExpansionPipe = class _IgxPivotRowExpansionPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, config, expansionStates, defaultExpand, _pipeTrigger, __) {
    const enabledRows = config.rows?.filter((x) => x.enabled) || [];
    const data = collection ? cloneArray(collection, true) : [];
    for (const row of enabledRows) {
      PivotUtil.flattenGroups(data, row, expansionStates, defaultExpand);
    }
    const finalData = enabledRows.length > 0 ? data.filter((x) => x.dimensions.length === enabledRows.length) : data;
    if (this.grid) {
      this.grid.setFilteredSortedData(finalData, false);
    }
    return finalData;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotRowExpansionPipe, deps: [{ token: IGX_GRID_BASE }], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotRowExpansionPipe, isStandalone: true, name: "pivotGridRowExpansion" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotRowExpansionPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridRowExpansion",
    pure: true,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject81,
  args: [IGX_GRID_BASE]
}] }] });
var IgxPivotCellMergingPipe = class _IgxPivotCellMergingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, config, dim, _pipeTrigger) {
    if (collection.length === 0 || config.rows.length === 0)
      return collection;
    const data = collection ? cloneArray(collection, true) : [];
    const res = [];
    const enabledRows = config.rows?.filter((x) => x.enabled);
    let groupData = [];
    let prevId;
    const index = enabledRows.indexOf(dim);
    for (const rec of data) {
      const currentDim = rec.dimensions[index];
      const id = PivotUtil.getRecordKey(rec, currentDim);
      if (groupData.length > 0 && prevId !== id) {
        const h = groupData.length > 1 ? groupData.length * this.grid.renderedRowHeight : void 0;
        groupData[0].height = h;
        groupData[0].rowSpan = groupData.length;
        res.push(groupData[0]);
        groupData = [];
      }
      groupData.push(rec);
      prevId = id;
    }
    if (groupData.length > 0) {
      const h = groupData.length > 1 ? groupData.length * this.grid.rowHeight + (groupData.length - 1) + 1 : void 0;
      groupData[0].height = h;
      groupData[0].rowSpan = groupData.length;
      res.push(groupData[0]);
    }
    return res;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotCellMergingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotCellMergingPipe, isStandalone: true, name: "pivotGridCellMerging" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotCellMergingPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridCellMerging",
    pure: true,
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject81,
  args: [IGX_GRID_BASE]
}] }] });
var IgxPivotColumnPipe = class _IgxPivotColumnPipe {
  transform(collection, config, cloneStrategy, _, _pipeTrigger, __) {
    const pivotKeys = config.pivotKeys || DEFAULT_PIVOT_KEYS;
    const enabledColumns = config.columns?.filter((x) => x.enabled) || [];
    const enabledValues = config.values?.filter((x) => x.enabled) || [];
    const colStrategy = config.columnStrategy || PivotColumnDimensionsStrategy.instance();
    const data = cloneArray(collection, true);
    return colStrategy.process(data, enabledColumns, enabledValues, cloneStrategy, pivotKeys);
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotColumnPipe, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotColumnPipe, isStandalone: true, name: "pivotGridColumn" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotColumnPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridColumn",
    pure: true,
    standalone: true
  }]
}] });
var IgxPivotGridFilterPipe = class _IgxPivotGridFilterPipe {
  constructor(gridAPI) {
    this.gridAPI = gridAPI;
  }
  transform(collection, config, filterStrategy, advancedExpressionsTree, _filterPipeTrigger, _pipeTrigger) {
    const expressionsTree = PivotUtil.buildExpressionTree(config);
    const state = {
      expressionsTree,
      strategy: filterStrategy || new DimensionValuesFilteringStrategy(),
      advancedExpressionsTree
    };
    if (FilteringExpressionsTree.empty(state.expressionsTree) && FilteringExpressionsTree.empty(state.advancedExpressionsTree)) {
      return collection;
    }
    const result = FilterUtil.filter(cloneArray(collection, true), state, this.gridAPI.grid);
    return result;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridFilterPipe, deps: [{ token: GridBaseAPIService }], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridFilterPipe, isStandalone: true, name: "pivotGridFilter" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotGridFilterPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridFilter",
    pure: true,
    standalone: true
  }]
}], ctorParameters: () => [{ type: GridBaseAPIService }] });
var IgxPivotGridColumnSortingPipe = class _IgxPivotGridColumnSortingPipe {
  transform(collection, expressions, sorting, _pipeTrigger) {
    let result;
    if (!expressions.length) {
      result = collection;
    } else {
      for (const expr of expressions) {
        expr.strategy = DefaultPivotGridRecordSortingStrategy.instance();
      }
      result = PivotUtil.sort(cloneArray(collection, true), expressions, sorting);
    }
    return result;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridColumnSortingPipe, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridColumnSortingPipe, isStandalone: true, name: "pivotGridColumnSort" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotGridColumnSortingPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridColumnSort",
    pure: true,
    standalone: true
  }]
}] });
var IgxPivotGridSortingPipe = class _IgxPivotGridSortingPipe {
  constructor(gridAPI) {
    this.gridAPI = gridAPI;
  }
  transform(collection, config, sorting, _pipeTrigger) {
    let result;
    const allDimensions = config.rows || [];
    const enabledDimensions = allDimensions.filter((x) => x && x.enabled);
    const expressions = PivotSortUtil.generateDimensionSortingExpressions(enabledDimensions);
    if (!expressions.length) {
      result = collection;
    } else {
      result = DataUtil.sort(cloneArray(collection, true), expressions, sorting, this.gridAPI.grid);
    }
    return result;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridSortingPipe, deps: [{ token: GridBaseAPIService }], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridSortingPipe, isStandalone: true, name: "pivotGridSort" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotGridSortingPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "pivotGridSort",
    pure: true,
    standalone: true
  }]
}], ctorParameters: () => [{ type: GridBaseAPIService }] });
var IgxFilterPivotItemsPipe = class _IgxFilterPivotItemsPipe {
  transform(collection, filterCriteria, _pipeTrigger) {
    if (!collection) {
      return collection;
    }
    let copy = collection.slice(0);
    if (filterCriteria && filterCriteria.length > 0) {
      const filterFunc = (c) => {
        const filterText = c.member || c.memberName;
        if (!filterText) {
          return false;
        }
        return filterText.toLocaleLowerCase().indexOf(filterCriteria.toLocaleLowerCase()) >= 0 || (c.children?.some(filterFunc) ?? false);
      };
      copy = collection.filter(filterFunc);
    }
    return copy;
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxFilterPivotItemsPipe, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxFilterPivotItemsPipe, isStandalone: true, name: "filterPivotItems" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxFilterPivotItemsPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "filterPivotItems",
    standalone: true
  }]
}] });
var IgxPivotGridCellStyleClassesPipe = class _IgxPivotGridCellStyleClassesPipe {
  transform(cssClasses, _, rowData, columnData, index, __) {
    if (!cssClasses) {
      return "";
    }
    const result = [];
    for (const cssClass of Object.keys(cssClasses)) {
      const callbackOrValue = cssClasses[cssClass];
      const apply = typeof callbackOrValue === "function" ? callbackOrValue(rowData, columnData, resolveNestedPath(rowData, columnData.field), index) : callbackOrValue;
      if (apply) {
        result.push(cssClass);
      }
    }
    return result.join(" ");
  }
  static {
    this.ɵfac = i0209.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridCellStyleClassesPipe, deps: [], target: i0209.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0209.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: _IgxPivotGridCellStyleClassesPipe, isStandalone: true, name: "igxPivotCellStyleClasses" });
  }
};
i0209.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0209, type: IgxPivotGridCellStyleClassesPipe, decorators: [{
  type: Pipe14,
  args: [{
    name: "igxPivotCellStyleClasses",
    standalone: true
  }]
}] });

// lib/grids/pivot-grid/pivot-row.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy51, Component as Component93, forwardRef as forwardRef22, HostBinding as HostBinding88, Inject as Inject82, Input as Input122 } from "@angular/core";
import { NgClass as NgClass29, NgStyle as NgStyle10 } from "@angular/common";
import * as i0210 from "@angular/core";
var IgxPivotRowComponent = class _IgxPivotRowComponent extends IgxRowDirective {
  /**
   * @hidden
   */
  get selected() {
    let isSelected = false;
    for (const rowDim of this.data.dimensions) {
      const key = PivotUtil.getRecordKey(this.data, rowDim);
      if (this.selectionService.isPivotRowSelected(key)) {
        isSelected = true;
      }
    }
    return isSelected;
  }
  constructor(grid, selectionService, element, cdr, viewRef) {
    super(grid, selectionService, element, cdr);
    this.grid = grid;
    this.viewRef = viewRef;
    this.disabled = false;
  }
  /**
   * @hidden
   * @internal
   */
  get viewIndex() {
    return this.index;
  }
  /**
   * @hidden
   * @internal
   */
  get addRowUI() {
    return false;
  }
  /**
   * @hidden
   * @internal
   */
  get inEditMode() {
    return false;
  }
  /**
   * @hidden
   * @internal
   */
  set pinned(_value) {
  }
  get pinned() {
    return false;
  }
  /**
   * @hidden
   * @internal
   */
  delete() {
  }
  /**
   * @hidden
   * @internal
   */
  beginAddRow() {
  }
  /**
   * @hidden
   * @internal
   */
  update(_value) {
  }
  /**
   * @hidden
   * @internal
   */
  pin() {
    return false;
  }
  /**
  * @hidden
  * @internal
  */
  unpin() {
    return false;
  }
  /**
  *  The pivot record data passed to the row component.
  *
  * ```typescript
  * // get the pivot row data for the first selected row
  * let selectedRowData = this.grid.selectedRows[0].data;
  * ```
  */
  get data() {
    return this._data;
  }
  set data(v) {
    this._data = v;
  }
  /**
   * @hidden
   * @internal
   */
  get pivotAggregationData() {
    const aggregations = this.data.aggregationValues;
    const obj = {};
    aggregations.forEach((value, key) => {
      obj[key] = value;
    });
    return obj;
  }
  getCellClass(col) {
    const values = this.grid.values;
    if (values.length === 1) {
      return values[0].styles;
    }
    const colName = col.field.split(this.grid.pivotKeys.columnDimensionSeparator);
    const measureName = colName[colName.length - 1];
    return values.find((v) => v.member === measureName)?.styles;
  }
  isCellActive(visibleColumnIndex) {
    const nav = this.grid.navigation;
    const node = nav.activeNode;
    return node && Object.keys(node).length !== 0 ? !nav.isRowHeaderActive && super.isCellActive(visibleColumnIndex) : false;
  }
  getColumnData(col) {
    const path = col.field.split(this.grid.pivotKeys.columnDimensionSeparator);
    const keyValueMap = /* @__PURE__ */ new Map();
    const colDimensions = PivotUtil.flatten(this.grid.columnDimensions);
    for (const dim of colDimensions) {
      keyValueMap.set(dim.memberName, path.shift());
    }
    let pivotValue;
    if (this.grid.hasMultipleValues) {
      pivotValue = this.grid.values.find((x) => x.member === path.shift());
    } else {
      pivotValue = this.grid.values ? this.grid.values[0] : void 0;
    }
    return {
      field: col.field,
      dimensions: this.grid.columnDimensions,
      dimensionValues: keyValueMap,
      value: pivotValue
    };
  }
  static {
    this.ɵfac = i0210.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0210, type: _IgxPivotRowComponent, deps: [{ token: IGX_GRID_BASE }, { token: IgxGridSelectionService }, { token: i0210.ElementRef }, { token: i0210.ChangeDetectorRef }, { token: i0210.ViewContainerRef }], target: i0210.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0210.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPivotRowComponent, isStandalone: true, selector: "igx-pivot-row", inputs: { selected: "selected", data: "data" }, host: { properties: { "attr.aria-selected": "this.selected" } }, providers: [{ provide: IgxRowDirective, useExisting: forwardRef22(() => _IgxPivotRowComponent) }], usesInheritance: true, ngImport: i0210, template: `<ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped"
    [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForSizePropName]='"calcPixelWidth"'
    [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth'
    [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
    <igx-grid-cell #cell class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [class.igx-grid__td--bool]="col.dataType === 'boolean'"
        [ngClass]="this.getCellClass(col) | igxPivotCellStyleClasses:data[col.field]:data:getColumnData(col):viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:pivotAggregationData[col.field]:pivotAggregationData:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)" [column]="col"
        [formatter]="col.formatter" [intRow]="this" [active]="isCellActive(col.visibleIndex)"
        [style.min-height.px]="cellHeight" [rowData]="data" [columnData]='getColumnData(col)'
        [style.min-width]="col.resolvedWidth" [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth" [width]="col.getCellWidth()" [visibleColumnIndex]="col.visibleIndex"
        [value]="pivotAggregationData[col.field] | dataMapper:col.field:grid.pipeTrigger:pivotAggregationData[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate" [lastSearchInfo]="grid.lastSearchInfo"
        [cellSelectionMode]="grid.cellSelection" [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        (pointerdown)="grid.navigation.focusOutRowHeader($event)">
    </igx-grid-cell>
</ng-template>

<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox [tabindex]="-1" [readonly]="true" [checked]="selected" [disableRipple]="true" [disabled]="deleted"
            [disableTransitions]="grid.disableTransitions" [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

`, dependencies: [{ kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxGridCellComponent, selector: "igx-grid-cell", inputs: ["column", "intRow", "row", "rowData", "columnData", "cellTemplate", "cellValidationErrorTemplate", "pinnedIndicator", "value", "formatter", "visibleColumnIndex", "cellSelectionMode", "lastSearchInfo", "lastPinned", "firstPinned", "editMode", "width", "active", "displayPinnedChip"] }, { kind: "directive", type: NgClass29, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle10, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "pipe", type: IgxGridNotGroupedPipe, name: "igxNotGrouped" }, { kind: "pipe", type: IgxGridCellStylesPipe, name: "igxCellStyles" }, { kind: "pipe", type: IgxGridDataMapperPipe, name: "dataMapper" }, { kind: "pipe", type: IgxGridTransactionStatePipe, name: "transactionState" }, { kind: "pipe", type: IgxPivotGridCellStyleClassesPipe, name: "igxPivotCellStyleClasses" }], changeDetection: i0210.ChangeDetectionStrategy.OnPush });
  }
};
i0210.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0210, type: IgxPivotRowComponent, decorators: [{
  type: Component93,
  args: [{ changeDetection: ChangeDetectionStrategy51.OnPush, selector: "igx-pivot-row", providers: [{ provide: IgxRowDirective, useExisting: forwardRef22(() => IgxPivotRowComponent) }], standalone: true, imports: [IgxGridForOfDirective, IgxGridCellComponent, NgClass29, NgStyle10, IgxCheckboxComponent, IgxGridNotGroupedPipe, IgxGridCellStylesPipe, IgxGridDataMapperPipe, IgxGridTransactionStatePipe, IgxPivotGridCellStyleClassesPipe], template: `<ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped"
    [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForSizePropName]='"calcPixelWidth"'
    [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth'
    [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
    <igx-grid-cell #cell class="igx-grid__td igx-grid__td--fw"
        [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

        [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
        [class.igx-grid__td--bool]="col.dataType === 'boolean'"
        [ngClass]="this.getCellClass(col) | igxPivotCellStyleClasses:data[col.field]:data:getColumnData(col):viewIndex:grid.pipeTrigger"
        [ngStyle]="col.cellStyles | igxCellStyles:pivotAggregationData[col.field]:pivotAggregationData:col.field:viewIndex:grid.pipeTrigger"
        [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)" [column]="col"
        [formatter]="col.formatter" [intRow]="this" [active]="isCellActive(col.visibleIndex)"
        [style.min-height.px]="cellHeight" [rowData]="data" [columnData]='getColumnData(col)'
        [style.min-width]="col.resolvedWidth" [style.max-width]="col.resolvedWidth"
        [style.flex-basis]="col.resolvedWidth" [width]="col.getCellWidth()" [visibleColumnIndex]="col.visibleIndex"
        [value]="pivotAggregationData[col.field] | dataMapper:col.field:grid.pipeTrigger:pivotAggregationData[col.field]:col.hasNestedPath"
        [cellTemplate]="col.bodyTemplate" [lastSearchInfo]="grid.lastSearchInfo"
        [cellSelectionMode]="grid.cellSelection" [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
        (pointerdown)="grid.navigation.focusOutRowHeader($event)">
    </igx-grid-cell>
</ng-template>

<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox [tabindex]="-1" [readonly]="true" [checked]="selected" [disableRipple]="true" [disabled]="deleted"
            [disableTransitions]="grid.disableTransitions" [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

` }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject82,
  args: [IGX_GRID_BASE]
}] }, { type: IgxGridSelectionService }, { type: i0210.ElementRef }, { type: i0210.ChangeDetectorRef }, { type: i0210.ViewContainerRef }], propDecorators: { selected: [{
  type: Input122
}, {
  type: HostBinding88,
  args: ["attr.aria-selected"]
}], data: [{
  type: Input122
}] } });

// lib/grids/pivot-grid/pivot-grid.component.mjs
import { __decorate as __decorate6 } from "tslib";
import { ChangeDetectionStrategy as ChangeDetectionStrategy53, Component as Component94, EventEmitter as EventEmitter68, HostBinding as HostBinding89, Inject as Inject83, Input as Input123, LOCALE_ID as LOCALE_ID9, Output as Output59, Optional as Optional40, TemplateRef as TemplateRef34, ViewChild as ViewChild55, ViewChildren as ViewChildren21, ContentChild as ContentChild20, createComponent as createComponent3, CUSTOM_ELEMENTS_SCHEMA as CUSTOM_ELEMENTS_SCHEMA2, booleanAttribute as booleanAttribute70 } from "@angular/core";
import { DOCUMENT as DOCUMENT16, NgTemplateOutlet as NgTemplateOutlet35, NgIf as NgIf63, NgClass as NgClass30, NgStyle as NgStyle11, NgFor as NgFor27 } from "@angular/common";
import * as i0211 from "@angular/core";
var NEXT_ID26 = 0;
var MINIMUM_COLUMN_WIDTH2 = 200;
var MINIMUM_COLUMN_WIDTH_SUPER_COMPACT = 104;
var IgxPivotGridComponent = class _IgxPivotGridComponent extends IgxGridBaseDirective {
  /**
   * Gets the sorting expressions generated for the dimensions.
   *
   * @example
   * ```typescript
   * const expressions = this.grid.dimensionsSortingExpressions;
   * ```
   */
  get dimensionsSortingExpressions() {
    const allEnabledDimensions = this.rowDimensions.concat(this.columnDimensions);
    const dimensionsSortingExpressions = PivotSortUtil.generateDimensionSortingExpressions(allEnabledDimensions);
    return dimensionsSortingExpressions;
  }
  set pivotConfiguration(value) {
    this._pivotConfiguration = value;
    this.emitInitEvents(this._pivotConfiguration);
    this.filteringExpressionsTree = PivotUtil.buildExpressionTree(value);
    if (!this._init) {
      this.setupColumns();
    }
    this.notifyChanges(true);
  }
  get pivotConfiguration() {
    return this._pivotConfiguration || { rows: null, columns: null, values: null, filters: null };
  }
  /**
   * Enables a super compact theme for the component.
   * @remarks
   * Overrides the displayDensity option if one is set.
   * @example
   * ```html
   * <igx-pivot-grid [superCompactMode]="true"></igx-pivot-grid>
   * ```
   */
  get superCompactMode() {
    return this._superCompactMode;
  }
  set superCompactMode(value) {
    Promise.resolve().then(() => {
      this._superCompactMode = value;
      this.cdr.detectChanges();
    });
  }
  /**
  * Returns the theme of the component.
  * The default theme is `comfortable`.
  * Available options are `comfortable`, `cosy`, `compact`.
  * @remarks
  * If set while superCompactMode is enabled will have no affect.
  * ```typescript
  * let componentTheme = this.component.displayDensity;
  * ```
  */
  get displayDensity() {
    if (this.superCompactMode) {
      return DisplayDensity.compact;
    }
    return super.displayDensity;
  }
  /**
  * Sets the theme of the component.
  */
  set displayDensity(val) {
    const currentDisplayDensity = this._displayDensity;
    this._displayDensity = val;
    if (currentDisplayDensity !== this._displayDensity) {
      const densityChangedArgs = {
        oldDensity: currentDisplayDensity,
        newDensity: this._displayDensity
      };
      this.densityChanged.emit(densityChangedArgs);
    }
  }
  /**
   * Gets/Sets the values clone strategy of the pivot grid when assigning them to different dimensions.
   *
   * @example
   * ```html
   *  <igx-pivot-grid #grid [data]="localData" [pivotValueCloneStrategy]="customCloneStrategy"></igx-pivot-grid>
   * ```
   * @hidden @internal
   */
  get pivotValueCloneStrategy() {
    return this._pivotValueCloneStrategy;
  }
  set pivotValueCloneStrategy(strategy) {
    if (strategy) {
      this._pivotValueCloneStrategy = strategy;
    }
  }
  /**
   * @hidden @internal
   */
  get minColumnWidth() {
    if (this.superCompactMode) {
      return MINIMUM_COLUMN_WIDTH_SUPER_COMPACT;
    } else {
      return MINIMUM_COLUMN_WIDTH2;
    }
  }
  /** @hidden @internal */
  get pivotKeys() {
    return this.pivotConfiguration.pivotKeys || DEFAULT_PIVOT_KEYS;
  }
  /**
  * @hidden @internal
  */
  get rootSummariesEnabled() {
    return false;
  }
  /**
   * @hidden @internal
   */
  get emptyRowDimension() {
    return this._emptyRowDimension;
  }
  /**
  * Gets/Sets the default expand state for all rows.
  */
  get defaultExpandState() {
    return this._defaultExpandState;
  }
  set defaultExpandState(val) {
    this._defaultExpandState = val;
  }
  /**
   * @hidden @internal
   */
  get pagingMode() {
    return;
  }
  set pagingMode(_val) {
  }
  /**
   * @hidden @internal
   */
  get hideRowSelectors() {
    return;
  }
  set hideRowSelectors(_value) {
  }
  /**
   * @hidden @internal
   */
  get rowDraggable() {
    return;
  }
  set rowDraggable(_val) {
  }
  /**
   * @hidden @internal
   */
  get allowAdvancedFiltering() {
    return false;
  }
  set allowAdvancedFiltering(_value) {
  }
  /**
   * @hidden @internal
   */
  get filterMode() {
    return FilterMode.quickFilter;
  }
  set filterMode(_value) {
  }
  /**
   * @hidden @internal
   */
  get allowFiltering() {
    return false;
  }
  set allowFiltering(_value) {
  }
  /**
   * @hidden @internal
   */
  get page() {
    return 0;
  }
  set page(_val) {
  }
  /**
   * @hidden @internal
   */
  get perPage() {
    return;
  }
  set perPage(_val) {
  }
  /**
   * @hidden @internal
   */
  get pinnedColumns() {
    return [];
  }
  /**
  * @hidden @internal
  */
  get unpinnedColumns() {
    return super.unpinnedColumns;
  }
  /**
  * @hidden @internal
  */
  get unpinnedDataView() {
    return super.unpinnedDataView;
  }
  /**
  * @hidden @internal
  */
  get unpinnedWidth() {
    return super.unpinnedWidth;
  }
  /**
   * @hidden @internal
   */
  get pinnedWidth() {
    return super.pinnedWidth;
  }
  /**
   * @hidden @internal
   */
  set summaryRowHeight(_value) {
  }
  get summaryRowHeight() {
    return 0;
  }
  /**
   * @hidden @internal
   */
  get transactions() {
    return this._transactions;
  }
  /**
   * @hidden @internal
   */
  get dragIndicatorIconTemplate() {
    return;
  }
  set dragIndicatorIconTemplate(_val) {
  }
  /**
   * @hidden @internal
   */
  get rowEditable() {
    return;
  }
  set rowEditable(_val) {
  }
  /**
   * @hidden @internal
   */
  get pinning() {
    return {};
  }
  set pinning(_value) {
  }
  /**
   * @hidden @internal
   */
  get summaryPosition() {
    return;
  }
  set summaryPosition(_value) {
  }
  /**
   * @hidden @interal
   */
  get summaryCalculationMode() {
    return;
  }
  set summaryCalculationMode(_value) {
  }
  /**
   * @hidden @interal
   */
  get showSummaryOnCollapse() {
    return;
  }
  set showSummaryOnCollapse(_value) {
  }
  /**
   * @hidden @internal
   */
  get hiddenColumnsCount() {
    return null;
  }
  /**
   * @hidden @internal
   */
  get pinnedColumnsCount() {
    return null;
  }
  /**
   * @hidden @internal
   */
  get batchEditing() {
    return;
  }
  set batchEditing(_val) {
  }
  get selectedRows() {
    if (this.selectionService.getSelectedRows().length === 0) {
      return [];
    }
    const selectedRowIds = [];
    this.dataView.forEach((record) => {
      const prev = [];
      for (const dim of this.rowDimensions) {
        let currDim = dim;
        let shouldBreak = false;
        do {
          const key = PivotUtil.getRecordKey(record, currDim);
          if (this.selectionService.isPivotRowSelected(key) && !selectedRowIds.find((x) => x === record)) {
            selectedRowIds.push(record);
            shouldBreak = true;
            break;
          }
          currDim = currDim.childLevel;
        } while (currDim);
        prev.push(dim);
        if (shouldBreak) {
          break;
        }
      }
    });
    return selectedRowIds;
  }
  /**
   * Gets the default row height.
   *
   * @example
   * ```typescript
   * const rowHeigh = this.grid.defaultRowHeight;
   * ```
   */
  get defaultRowHeight() {
    if (this.superCompactMode) {
      return 24;
    }
    return super.defaultRowHeight;
  }
  constructor(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions) {
    super(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions);
    this.dimensionsChange = new EventEmitter68();
    this.pivotConfigurationChange = new EventEmitter68();
    this.dimensionInit = new EventEmitter68();
    this.valueInit = new EventEmitter68();
    this.dimensionsSortingExpressionsChange = new EventEmitter68();
    this.valuesChange = new EventEmitter68();
    this.showPivotConfigurationUI = true;
    this.role = "grid";
    this.autoGenerateExclude = [];
    this.snackbarDisplayTime = 6e3;
    this.cellEdit = new EventEmitter68();
    this.cellEditDone = new EventEmitter68();
    this.cellEditEnter = new EventEmitter68();
    this.cellEditExit = new EventEmitter68();
    this.columnMovingStart = new EventEmitter68();
    this.columnMoving = new EventEmitter68();
    this.columnMovingEnd = new EventEmitter68();
    this.columnPin = new EventEmitter68();
    this.columnPinned = new EventEmitter68();
    this.rowAdd = new EventEmitter68();
    this.rowAdded = new EventEmitter68();
    this.rowDeleted = new EventEmitter68();
    this.rowDelete = new EventEmitter68();
    this.rowDragStart = new EventEmitter68();
    this.rowDragEnd = new EventEmitter68();
    this.rowEditEnter = new EventEmitter68();
    this.rowEdit = new EventEmitter68();
    this.rowEditDone = new EventEmitter68();
    this.rowEditExit = new EventEmitter68();
    this.rowPinning = new EventEmitter68();
    this.rowPinned = new EventEmitter68();
    this.columnGroupStates = /* @__PURE__ */ new Map();
    this.isPivot = true;
    this.dragRowID = null;
    this.rowDimensionResizing = true;
    this._emptyRowDimension = { memberName: "", enabled: true, level: 0 };
    this._pivotValueCloneStrategy = new DefaultDataCloneStrategy();
    this._defaultExpandState = false;
    this._filterStrategy = new DimensionValuesFilteringStrategy();
    this._pivotConfiguration = { rows: null, columns: null, values: null, filters: null };
    this.p_id = `igx-pivot-grid-${NEXT_ID26++}`;
    this._superCompactMode = false;
    this.autoGenerate = true;
    this.moving = false;
    this.toolbarExporting = new EventEmitter68();
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.autoGenerate = true;
    super.ngOnInit();
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    this.updateColumns([]);
    Promise.resolve().then(() => {
      this.setupColumns();
    });
    if (this.valueChipTemplateDirective) {
      this.valueChipTemplate = this.valueChipTemplateDirective.template;
    }
  }
  /**
   * @hidden @internal
   */
  ngAfterViewInit() {
    Promise.resolve().then(() => {
      super.ngAfterViewInit();
    });
  }
  /**
   * Notifies for dimension change.
   */
  notifyDimensionChange(regenerateColumns = false) {
    if (regenerateColumns) {
      this.setupColumns();
    }
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  /**
   * Gets the full list of dimensions.
   *
   * @example
   * ```typescript
   * const dimensions = this.grid.allDimensions;
   * ```
   */
  get allDimensions() {
    const config = this._pivotConfiguration;
    if (!config)
      return [];
    return (config.rows || []).concat(config.columns || []).concat(config.filters || []).filter((x) => x !== null && x !== void 0);
  }
  /** @hidden @internal */
  createFilterESF(dropdown, column, options, shouldReatach) {
    options.outlet = this.outlet;
    if (dropdown) {
      dropdown.initialize(column, this.overlayService);
      if (shouldReatach) {
        const id = this.overlayService.attach(dropdown.element, options);
        dropdown.overlayComponentId = id;
        return { id, ref: void 0 };
      }
      return { id: dropdown.overlayComponentId, ref: void 0 };
    }
  }
  /** @hidden */
  featureColumnsWidth() {
    return this.pivotRowWidths;
  }
  /**
   * Gets/Sets the value of the `id` attribute.
   *
   * @remarks
   * If not provided it will be automatically generated.
   * @example
   * ```html
   * <igx-pivot-grid [id]="'igx-pivot-1'" [data]="Data"></igx-pivot-grid>
   * ```
   */
  get id() {
    return this.p_id;
  }
  set id(value) {
    this.p_id = value;
  }
  /**
   * Gets/Sets the array of data that populates the component.
   * ```html
   * <igx-pivot-grid [data]="Data"></igx-pivot-grid>
   * ```
   */
  set data(value) {
    this._data = value || [];
    if (!this._init) {
      this.setupColumns();
      this.reflow();
    }
    this.cdr.markForCheck();
    if (this.height === null || this.height.indexOf("%") !== -1) {
      this.notifyChanges(true);
    }
  }
  /**
   * Returns an array of data set to the component.
   * ```typescript
   * let data = this.grid.data;
   * ```
   */
  get data() {
    return this._data;
  }
  /**
   * @hidden
   */
  getContext(rowData, rowIndex) {
    return {
      $implicit: rowData,
      templateID: {
        type: "dataRow",
        id: null
      },
      index: this.getDataViewIndex(rowIndex, false)
    };
  }
  /**
   * @hidden @internal
   */
  get pivotRowWidths() {
    return this.rowDimensions.length ? this.rowDimensions.reduce((accumulator, dim) => accumulator + this.rowDimensionWidthToPixels(dim), 0) : this.rowDimensionWidthToPixels(this.emptyRowDimension);
  }
  /**
   * @hidden @internal
   */
  rowDimensionWidthToPixels(dim, ignoreBeforeInit = false) {
    if (!ignoreBeforeInit && this.shouldGenerate) {
      return 0;
    }
    if (!dim.width) {
      return MINIMUM_COLUMN_WIDTH2;
    }
    const isPercent = dim.width && dim.width.indexOf("%") !== -1;
    if (isPercent) {
      return parseFloat(dim.width) / 100 * this.calcWidth;
    } else {
      return parseInt(dim.width, 10);
    }
  }
  /**
   * @hidden @internal
   */
  reverseDimensionWidthToPercent(width) {
    return width * 100 / this.calcWidth;
  }
  /** @hidden @internal */
  get pivotContentCalcWidth() {
    const totalDimWidth = this.rowDimensions.length > 0 ? this.rowDimensions.map((dim) => this.rowDimensionWidthToPixels(dim)).reduce((prev, cur) => prev + cur) : 0;
    return this.calcWidth - totalDimWidth;
  }
  /** @hidden @internal */
  get pivotPinnedWidth() {
    return !this.shouldGenerate ? this.isPinningToStart ? this.pinnedWidth : this.headerFeaturesWidth : 0;
  }
  /** @hidden @internal */
  get pivotUnpinnedWidth() {
    return !this.shouldGenerate ? this.unpinnedWidth : 0;
  }
  /** @hidden @internal */
  get rowDimensions() {
    return this.pivotConfiguration.rows?.filter((x) => x.enabled) || [];
  }
  /** @hidden @internal */
  get columnDimensions() {
    return this.pivotConfiguration.columns?.filter((x) => x.enabled) || [];
  }
  /** @hidden @internal */
  get filterDimensions() {
    return this.pivotConfiguration.filters?.filter((x) => x.enabled) || [];
  }
  /** @hidden @internal */
  get values() {
    return this.pivotConfiguration.values?.filter((x) => x.enabled) || [];
  }
  toggleColumn(col) {
    const state = this.columnGroupStates.get(col.field);
    const newState = !state;
    this.columnGroupStates.set(col.field, newState);
    this.toggleRowGroup(col, newState);
    this.reflow();
  }
  getColumnWidthSum() {
    let colSum = super.getColumnWidthSum();
    colSum += this.rowDimensions.map((dim) => this.rowDimensionWidthToPixels(dim, true)).reduce((prev, cur) => prev + cur, 0);
    return colSum;
  }
  /**
   * @hidden @internal
   */
  isRecordPinnedByIndex(_rowIndex) {
    return null;
  }
  /**
   * @hidden @internal
   */
  toggleColumnVisibility(_args) {
    return;
  }
  /**
   * @hidden @internal
   */
  expandAll() {
  }
  /**
   * @hidden @internal
   */
  collapseAll() {
  }
  /**
   * @hidden @internal
   */
  expandRow(_rowID) {
  }
  /**
   * @hidden @internal
   */
  collapseRow(_rowID) {
  }
  /**
   * @hidden @internal
   */
  get pinnedRows() {
    return;
  }
  /**
   * @hidden @internal
   */
  get totalRecords() {
    return;
  }
  set totalRecords(_total) {
  }
  /**
   * @hidden @internal
   */
  moveColumn(_column, _target, _pos = DropPosition.AfterDropTarget) {
  }
  /**
   * @hidden @internal
   */
  addRow(_data) {
  }
  /**
   * @hidden @internal
   */
  deleteRow(_rowSelector) {
  }
  /**
   * @hidden @internal
   */
  updateCell(_value, _rowSelector, _column) {
  }
  /**
   * @hidden @internal
   */
  updateRow(_value, _rowSelector) {
  }
  /**
   * @hidden @internal
   */
  enableSummaries(..._rest) {
  }
  /**
   * @hidden @internal
   */
  disableSummaries(..._rest) {
  }
  /**
   * @hidden @internal
   */
  pinColumn(_columnName, _index) {
    return;
  }
  /**
   * @hidden @internal
   */
  unpinColumn(_columnName, _index) {
    return;
  }
  /**
   * @hidden @internal
   */
  pinRow(_rowID, _index, _row) {
    return;
  }
  /**
   * @hidden @internal
   */
  unpinRow(_rowID, _row) {
    return;
  }
  /**
   * @hidden @internal
   */
  get pinnedRowHeight() {
    return;
  }
  /**
   * @hidden @internal
   */
  get hasEditableColumns() {
    return;
  }
  /**
   * @hidden @internal
   */
  get hasSummarizedColumns() {
    return;
  }
  /**
   * @hidden @internal
   */
  get hasMovableColumns() {
    return;
  }
  /**
   * @hidden @internal
   */
  get pinnedDataView() {
    return [];
  }
  /**
   * @hidden @internal
   */
  openAdvancedFilteringDialog(_overlaySettings) {
  }
  /**
   * @hidden @internal
   */
  closeAdvancedFilteringDialog(_applyChanges) {
  }
  /**
   * @hidden @internal
   */
  endEdit(_commit = true, _event) {
    return;
  }
  /**
   * @hidden @internal
   */
  beginAddRowById(_rowID, _asChild) {
  }
  /**
   * @hidden @internal
   */
  beginAddRowByIndex(_index) {
  }
  /**
   * @hidden @internal
   */
  clearSearch() {
  }
  /**
  * @hidden @internal
  */
  refreshSearch(_updateActiveInfo, _endEdit = true) {
    return 0;
  }
  /**
  * @hidden @internal
  */
  findNext(_text, _caseSensitive, _exactMatch) {
    return 0;
  }
  /**
  * @hidden @internal
  */
  findPrev(_text, _caseSensitive, _exactMatch) {
    return 0;
  }
  /**
  * @hidden @internal
  */
  getNextCell(currRowIndex, curVisibleColIndex, callback = null) {
    return super.getNextCell(currRowIndex, curVisibleColIndex, callback);
  }
  /**
  * @hidden @internal
  */
  getPreviousCell(currRowIndex, curVisibleColIndex, callback = null) {
    return super.getPreviousCell(currRowIndex, curVisibleColIndex, callback);
  }
  /**
  * @hidden @internal
  */
  getPinnedWidth(takeHidden = false) {
    return super.getPinnedWidth(takeHidden);
  }
  /**
   * @hidden @internal
   */
  get totalHeight() {
    return this.calcHeight;
  }
  getColumnGroupExpandState(col) {
    const state = this.columnGroupStates.get(col.field);
    return state !== void 0 && state !== null ? state : false;
  }
  toggleRowGroup(col, newState) {
    if (!col)
      return;
    if (this.hasMultipleValues) {
      const parentCols = col.parent ? col.parent.children.toArray() : this._autoGeneratedCols.filter((x) => x.level === 0);
      const siblingCol = parentCols.filter((x) => x.header === col.header && x !== col)[0];
      const currIndex = parentCols.indexOf(col);
      const siblingIndex = parentCols.indexOf(siblingCol);
      if (currIndex < siblingIndex) {
        this.resolveToggle(col, newState);
        siblingCol.headerTemplate = this.headerTemplate;
      } else {
        col.headerTemplate = void 0;
        this.resolveToggle(siblingCol, newState);
      }
    } else {
      const parentCols = col.parent ? col.parent.children : this._autoGeneratedCols.filter((x) => x.level === 0);
      const fieldColumn = parentCols.filter((x) => x.header === col.header && !x.columnGroup)[0];
      const groupColumn = parentCols.filter((x) => x.header === col.header && x.columnGroup)[0];
      this.resolveToggle(groupColumn, newState);
      if (newState) {
        fieldColumn.headerTemplate = this.headerTemplate;
      } else {
        fieldColumn.headerTemplate = void 0;
      }
    }
  }
  /**
  * @hidden @internal
  */
  setupColumns() {
    super.setupColumns();
  }
  /**
   * Auto-sizes row dimension cells.
   *
   * @remarks
   * Only sizes based on the dimension cells in view.
   * @example
   * ```typescript
   * this.grid.autoSizeRowDimension(dimension);
   * ```
   * @param dimension The row dimension to size.
   */
  autoSizeRowDimension(dimension) {
    if (this.getDimensionType(dimension) === PivotDimensionType.Row) {
      const relatedDims = PivotUtil.flatten([dimension]).map((x) => x.memberName);
      const content = this.rowDimensionContentCollection.filter((x) => relatedDims.indexOf(x.dimension.memberName) !== -1);
      const headers = content.map((x) => x.headerGroups.toArray()).flat().map((x) => x.header && x.header.refInstance);
      const autoWidth = this.getLargesContentWidth(headers);
      dimension.width = autoWidth;
      this.pipeTrigger++;
      this.cdr.detectChanges();
    }
  }
  /**
   * Inserts dimension in target collection by type at specified index or at the collection's end.
   *
   * @example
   * ```typescript
   * this.grid.insertDimensionAt(dimension, PivotDimensionType.Row, 1);
   * ```
   * @param dimension The dimension that will be added.
   * @param targetCollectionType The target collection type to add to. Can be Row, Column or Filter.
   * @param index The index in the collection at which to add.
   * This parameter is optional. If not set it will add it to the end of the collection.
   */
  insertDimensionAt(dimension, targetCollectionType, index) {
    const targetCollection = this.getDimensionsByType(targetCollectionType);
    if (index !== void 0) {
      targetCollection.splice(index, 0, dimension);
    } else {
      targetCollection.push(dimension);
    }
    if (targetCollectionType === PivotDimensionType.Column) {
      this.setupColumns();
    }
    this.pipeTrigger++;
    this.dimensionsChange.emit({ dimensions: targetCollection, dimensionCollectionType: targetCollectionType });
    if (targetCollectionType === PivotDimensionType.Filter) {
      this.dimensionDataColumns = this.generateDimensionColumns();
      this.reflow();
    }
    this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
  }
  /**
   * Move dimension from its currently collection to the specified target collection by type at specified index or at the collection's end.
   *
   * @example
   * ```typescript
   * this.grid.moveDimension(dimension, PivotDimensionType.Row, 1);
   * ```
   * @param dimension The dimension that will be moved.
   * @param targetCollectionType The target collection type to move it to. Can be Row, Column or Filter.
   * @param index The index in the collection at which to add.
   * This parameter is optional. If not set it will add it to the end of the collection.
   */
  moveDimension(dimension, targetCollectionType, index) {
    const prevCollectionType = this.getDimensionType(dimension);
    if (prevCollectionType === null)
      return;
    this._removeDimensionInternal(dimension);
    this.insertDimensionAt(dimension, targetCollectionType, index);
    if (prevCollectionType === PivotDimensionType.Column) {
      this.setupColumns();
    }
  }
  /**
   * Removes dimension from its currently collection.
   * @remarks
   * This is different than toggleDimension that enabled/disables the dimension.
   * This completely removes the specified dimension from the collection.
   * @example
   * ```typescript
   * this.grid.removeDimension(dimension);
   * ```
   * @param dimension The dimension to be removed.
   */
  removeDimension(dimension) {
    const prevCollectionType = this.getDimensionType(dimension);
    this._removeDimensionInternal(dimension);
    if (prevCollectionType === PivotDimensionType.Column) {
      this.setupColumns();
    }
    if (prevCollectionType === PivotDimensionType.Filter) {
      this.reflow();
    }
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  /**
   * Toggles the dimension's enabled state on or off.
   * @remarks
   * The dimension remains in its current collection. This just changes its enabled state.
   * @example
   * ```typescript
   * this.grid.toggleDimension(dimension);
   * ```
   * @param dimension The dimension to be toggled.
   */
  toggleDimension(dimension) {
    const dimType = this.getDimensionType(dimension);
    if (dimType === null)
      return;
    const collection = this.getDimensionsByType(dimType);
    dimension.enabled = !dimension.enabled;
    if (dimType === PivotDimensionType.Column) {
      this.setupColumns();
    }
    if (!dimension.enabled && dimension.filter) {
      this.filteringService.clearFilter(dimension.memberName);
    }
    this.pipeTrigger++;
    this.dimensionsChange.emit({ dimensions: collection, dimensionCollectionType: dimType });
    this.cdr.detectChanges();
    if (dimType === PivotDimensionType.Filter) {
      this.reflow();
    }
    this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
  }
  /**
   * Inserts value at specified index or at the end.
   *
   * @example
   * ```typescript
   * this.grid.insertValueAt(value, 1);
   * ```
   * @param value The value definition that will be added.
   * @param index The index in the collection at which to add.
   * This parameter is optional. If not set it will add it to the end of the collection.
   */
  insertValueAt(value, index) {
    if (!this.pivotConfiguration.values) {
      this.pivotConfiguration.values = [];
    }
    const values = this.pivotConfiguration.values;
    if (index !== void 0) {
      values.splice(index, 0, value);
    } else {
      values.push(value);
    }
    this.setupColumns();
    this.pipeTrigger++;
    this.cdr.detectChanges();
    this.valuesChange.emit({ values });
    this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
  }
  /**
   * Move value from its currently at specified index or at the end.
   *
   * @example
   * ```typescript
   * this.grid.moveValue(value, 1);
   * ```
   * @param value The value that will be moved.
   * @param index The index in the collection at which to add.
   * This parameter is optional. If not set it will add it to the end of the collection.
   */
  moveValue(value, index) {
    if (this.pivotConfiguration.values.indexOf(value) === -1)
      return;
    this.removeValue(value);
    this.insertValueAt(value, index);
  }
  /**
   * Removes value from collection.
   * @remarks
   * This is different than toggleValue that enabled/disables the value.
   * This completely removes the specified value from the collection.
   * @example
   * ```typescript
   * this.grid.removeValue(dimension);
   * ```
   * @param value The value to be removed.
   */
  removeValue(value) {
    const values = this.pivotConfiguration.values;
    const currentIndex = values.indexOf(value);
    if (currentIndex !== -1) {
      values.splice(currentIndex, 1);
      this.setupColumns();
      this.pipeTrigger++;
      this.valuesChange.emit({ values });
      this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
    }
  }
  /**
   * Toggles the value's enabled state on or off.
   * @remarks
   * The value remains in its current collection. This just changes its enabled state.
   * @example
   * ```typescript
   * this.grid.toggleValue(value);
   * ```
   * @param value The value to be toggled.
   */
  toggleValue(value) {
    if (this.pivotConfiguration.values.indexOf(value) === -1)
      return;
    value.enabled = !value.enabled;
    this.setupColumns();
    this.pipeTrigger++;
    this.valuesChange.emit({ values: this.pivotConfiguration.values });
    this.reflow();
    this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
  }
  /**
   * Sort the dimension and its children in the provided direction.
   * @example
   * ```typescript
   * this.grid.sortDimension(dimension, SortingDirection.Asc);
   * ```
   * @param value The value to be toggled.
   */
  sortDimension(dimension, sortDirection) {
    const dimensionType = this.getDimensionType(dimension);
    dimension.sortDirection = sortDirection;
    let dim = dimension;
    while (dim.childLevel) {
      dim.childLevel.sortDirection = dimension.sortDirection;
      dim = dim.childLevel;
    }
    this.pipeTrigger++;
    this.dimensionsSortingExpressionsChange.emit(this.dimensionsSortingExpressions);
    if (dimensionType === PivotDimensionType.Column) {
      this.setupColumns();
    }
    this.cdr.detectChanges();
    this.pivotConfigurationChange.emit({ pivotConfiguration: this.pivotConfiguration });
  }
  /**
   * Filters a single `IPivotDimension`.
   *
   * @example
   * ```typescript
   * public filter() {
   *      const set = new Set();
   *      set.add('Value 1');
   *      set.add('Value 2');
   *      this.grid1.filterDimension(this.pivotConfigHierarchy.rows[0], set, IgxStringFilteringOperand.instance().condition('in'));
   * }
   * ```
   */
  filterDimension(dimension, value, conditionOrExpressionTree) {
    this.filteringService.filter(dimension.memberName, value, conditionOrExpressionTree);
    const dimensionType = this.getDimensionType(dimension);
    if (dimensionType === PivotDimensionType.Column) {
      this.setupColumns();
    }
    this.cdr.detectChanges();
  }
  /**
   * @hidden @internal
   */
  getDimensionsByType(dimension) {
    switch (dimension) {
      case PivotDimensionType.Row:
        if (!this.pivotConfiguration.rows) {
          this.pivotConfiguration.rows = [];
        }
        return this.pivotConfiguration.rows;
      case PivotDimensionType.Column:
        if (!this.pivotConfiguration.columns) {
          this.pivotConfiguration.columns = [];
        }
        return this.pivotConfiguration.columns;
      case PivotDimensionType.Filter:
        if (!this.pivotConfiguration.filters) {
          this.pivotConfiguration.filters = [];
        }
        return this.pivotConfiguration.filters;
      default:
        return null;
    }
  }
  /**
   * @hidden @internal
   */
  resizeRowDimensionPixels(dimension, newWidth) {
    const isPercentageWidth = dimension.width && typeof dimension.width === "string" && dimension.width.indexOf("%") !== -1;
    if (isPercentageWidth) {
      dimension.width = this.reverseDimensionWidthToPercent(newWidth).toFixed(2) + "%";
    } else {
      dimension.width = newWidth + "px";
    }
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  /*
  * @hidden
  * @internal
  */
  _removeDimensionInternal(dimension) {
    const prevCollectionType = this.getDimensionType(dimension);
    if (prevCollectionType === null)
      return;
    const prevCollection = this.getDimensionsByType(prevCollectionType);
    const currentIndex = prevCollection.indexOf(dimension);
    prevCollection.splice(currentIndex, 1);
    this.pipeTrigger++;
    this.cdr.detectChanges();
  }
  getDimensionType(dimension) {
    return PivotUtil.flatten(this.pivotConfiguration.rows).indexOf(dimension) !== -1 ? PivotDimensionType.Row : PivotUtil.flatten(this.pivotConfiguration.columns).indexOf(dimension) !== -1 ? PivotDimensionType.Column : !!this.pivotConfiguration.filters && PivotUtil.flatten(this.pivotConfiguration.filters).indexOf(dimension) !== -1 ? PivotDimensionType.Filter : null;
  }
  getLargesContentWidth(contents) {
    const largest = /* @__PURE__ */ new Map();
    if (contents.length > 0) {
      const cellsContentWidths = [];
      contents.forEach((elem) => cellsContentWidths.push(this.getHeaderCellWidth(elem.nativeElement).width));
      const index = cellsContentWidths.indexOf(Math.max(...cellsContentWidths));
      const cellStyle = this.document.defaultView.getComputedStyle(contents[index].nativeElement);
      const cellPadding = parseFloat(cellStyle.paddingLeft) + parseFloat(cellStyle.paddingRight) + parseFloat(cellStyle.borderLeftWidth) + parseFloat(cellStyle.borderRightWidth);
      largest.set(Math.max(...cellsContentWidths), cellPadding);
    }
    const largestCell = Math.max(...Array.from(largest.keys()));
    const width = Math.ceil(largestCell + largest.get(largestCell));
    if (Number.isNaN(width)) {
      return null;
    } else {
      return width + "px";
    }
  }
  /**
  * @hidden
  */
  get hasMultipleValues() {
    return this.values.length > 1;
  }
  /**
  * @hidden
  */
  get excelStyleFilterMaxHeight() {
    const maxHeight = this.renderedRowHeight * 10;
    return `${maxHeight}px`;
  }
  /**
  * @hidden
  */
  get excelStyleFilterMinHeight() {
    const minHeight = this.renderedRowHeight * 5;
    return `${minHeight}px`;
  }
  resolveToggle(groupColumn, state) {
    if (!groupColumn)
      return;
    groupColumn.hidden = state;
    this.columnGroupStates.set(groupColumn.field, state);
    const childrenTotal = this.hasMultipleValues ? groupColumn.children.filter((x) => x.columnGroup && x.children.filter((y) => !y.columnGroup).length === this.values.length) : groupColumn.children.filter((x) => !x.columnGroup);
    const childrenSubgroups = this.hasMultipleValues ? groupColumn.children.filter((x) => x.columnGroup && x.children.filter((y) => !y.columnGroup).length === 0) : groupColumn.children.filter((x) => x.columnGroup);
    childrenTotal.forEach((group) => {
      const newState = this.columnGroupStates.get(group.field) || state;
      if (newState) {
        group.headerTemplate = this.headerTemplate;
      } else {
        group.headerTemplate = void 0;
      }
    });
    if (!groupColumn.hidden && childrenSubgroups.length > 0) {
      childrenSubgroups.forEach((group) => {
        const newState = this.columnGroupStates.get(group.field) || state;
        this.resolveToggle(group, newState);
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  calcGridHeadRow() {
  }
  buildDataView(data) {
    this._dataView = data;
  }
  /**
   * @hidden @internal
   */
  getDataBasedBodyHeight() {
    const dvl = this.dataView?.length || 0;
    return dvl < this._defaultTargetRecordNumber ? 0 : this.defaultTargetBodyHeight;
  }
  horizontalScrollHandler(event) {
    const scrollLeft = event.target.scrollLeft;
    this.theadRow.headerContainers.forEach((headerForOf) => {
      headerForOf.onHScroll(scrollLeft);
    });
    super.horizontalScrollHandler(event);
  }
  verticalScrollHandler(event) {
    this.verticalRowDimScrollContainers.forEach((x) => {
      x.onScroll(event);
    });
    super.verticalScrollHandler(event);
  }
  /**
   * @hidden
   */
  autogenerateColumns() {
    let columns = [];
    const data = this.gridAPI.filterDataByExpressions(this.filteringExpressionsTree);
    this.dimensionDataColumns = this.generateDimensionColumns();
    const flattenedColumnsWithSorting = PivotUtil.flatten(this.columnDimensions).filter((dim) => dim.sortDirection);
    const expressions = flattenedColumnsWithSorting.length > 0 ? PivotSortUtil.generateDimensionSortingExpressions(flattenedColumnsWithSorting) : [];
    let sortedData = data;
    if (expressions.length > 0) {
      sortedData = DataUtil.sort(cloneArray(data), expressions, this.sortStrategy, this);
    }
    let fieldsMap;
    if (this.pivotConfiguration.columnStrategy && this.pivotConfiguration.columnStrategy instanceof NoopPivotDimensionsStrategy) {
      const fields = this.generateDataFields(sortedData);
      if (fields.length === 0)
        return;
      const rowFields = PivotUtil.flatten(this.pivotConfiguration.rows).map((x) => x.memberName);
      const keyFields = Object.values(this.pivotKeys);
      const filteredFields = fields.filter((x) => rowFields.indexOf(x) === -1 && keyFields.indexOf(x) === -1 && x.indexOf(this.pivotKeys.rowDimensionSeparator + this.pivotKeys.level) === -1 && x.indexOf(this.pivotKeys.rowDimensionSeparator + this.pivotKeys.records) === -1);
      fieldsMap = this.generateFromData(filteredFields);
    } else {
      fieldsMap = PivotUtil.getFieldsHierarchy(sortedData, this.columnDimensions, PivotDimensionType.Column, this.pivotKeys, this.pivotValueCloneStrategy);
    }
    columns = this.generateColumnHierarchy(fieldsMap, sortedData);
    this._autoGeneratedCols = columns;
    this.columnGroupStates.forEach((value, key) => {
      if (value) {
        const primaryColumn = columns.find((x) => x.field === key && x.headerTemplate === this.headerTemplate);
        const groupSummaryColumn = columns.find((x) => x.field === key && x.headerTemplate !== this.headerTemplate);
        this.toggleRowGroup(primaryColumn, value);
        if (groupSummaryColumn) {
          groupSummaryColumn.headerTemplate = this.headerTemplate;
        }
      }
    });
    this.updateColumns(columns);
    this.reflow();
    if (data && data.length > 0) {
      this.shouldGenerate = false;
    }
  }
  getComponentDensityClass(baseStyleClass) {
    if (this.superCompactMode) {
      return `${baseStyleClass}--${DisplayDensity.compact} igx-grid__pivot--super-compact`;
    }
    return super.getComponentDensityClass(baseStyleClass);
  }
  generateDimensionColumns() {
    const rootFields = this.allDimensions.map((x) => x.memberName);
    const columns = [];
    rootFields.forEach((field) => {
      const ref = createComponent3(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
      ref.instance.field = field;
      ref.changeDetectorRef.detectChanges();
      columns.push(ref.instance);
    });
    return columns;
  }
  generateFromData(fields) {
    const separator = this.pivotKeys.columnDimensionSeparator;
    const dataArr = fields.map((x) => x.split(separator)).sort((x) => x.length);
    const hierarchy = /* @__PURE__ */ new Map();
    const columnDimensions = PivotUtil.flatten(this.columnDimensions);
    dataArr.forEach((arr) => {
      let currentHierarchy = hierarchy;
      const path = [];
      let index = 0;
      for (const val of arr) {
        path.push(val);
        const newPath = path.join(separator);
        let targetHierarchy = currentHierarchy.get(newPath);
        if (!targetHierarchy) {
          const currentColumnDimension = columnDimensions[index];
          currentHierarchy.set(newPath, { value: newPath, expandable: !!currentColumnDimension.childLevel, children: /* @__PURE__ */ new Map(), dimension: currentColumnDimension });
          targetHierarchy = currentHierarchy.get(newPath);
        }
        currentHierarchy = targetHierarchy.children;
        index++;
      }
    });
    return hierarchy;
  }
  generateColumnHierarchy(fields, data, parent = null) {
    let columns = [];
    if (fields.size === 0) {
      this.values.forEach((value) => {
        const ref = createComponent3(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
        ref.instance.header = value.displayName;
        ref.instance.field = value.member;
        ref.instance.parent = parent;
        ref.instance.sortable = true;
        ref.instance.dataType = value.dataType || this.resolveDataTypes(data[0][value.member]);
        ref.instance.formatter = value.formatter;
        columns.push(ref.instance);
      });
      return columns;
    }
    const currentFields = fields;
    currentFields.forEach((value) => {
      let shouldGenerate = true;
      if (data.length === 0) {
        shouldGenerate = false;
      }
      if (shouldGenerate && (value.children == null || value.children.length === 0 || value.children.size === 0)) {
        const col = this.createColumnForDimension(value, data, parent, this.hasMultipleValues);
        columns.push(col);
        if (this.hasMultipleValues) {
          const measureChildren = this.getMeasureChildren(data, col, false, value.dimension.width);
          col.children.reset(measureChildren);
          columns = columns.concat(measureChildren);
        }
      } else if (shouldGenerate) {
        const col = this.createColumnForDimension(value, data, parent, true);
        if (value.expandable) {
          col.headerTemplate = this.headerTemplate;
        }
        const children = this.generateColumnHierarchy(value.children, data, col);
        const filteredChildren = children.filter((x) => x.level === col.level + 1);
        columns.push(col);
        if (this.hasMultipleValues) {
          let measureChildren = this.getMeasureChildren(data, col, true, value.dimension.width);
          const nestedChildren = filteredChildren;
          col.children.reset(nestedChildren);
          columns = columns.concat(children);
          if (value.dimension.childLevel) {
            const sibling = this.createColumnForDimension(value, data, parent, true);
            columns.push(sibling);
            measureChildren = this.getMeasureChildren(data, sibling, false, value.dimension?.width);
            sibling.children.reset(measureChildren);
            columns = columns.concat(measureChildren);
          }
        } else {
          col.children.reset(filteredChildren);
          columns = columns.concat(children);
          if (value.dimension.childLevel) {
            const sibling = this.createColumnForDimension(value, data, parent, false);
            columns.push(sibling);
          }
        }
      }
    });
    return columns;
  }
  createColumnForDimension(value, data, parent, isGroup) {
    const key = value.value;
    const ref = isGroup ? createComponent3(IgxColumnGroupComponent, { environmentInjector: this.envInjector, elementInjector: this.injector }) : createComponent3(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
    ref.instance.header = parent != null ? key.split(parent.header + this.pivotKeys.columnDimensionSeparator)[1] : key;
    ref.instance.field = key;
    ref.instance.parent = parent;
    if (value.dimension.width) {
      ref.instance.width = value.dimension.width;
    }
    const valueDefinition = this.values[0];
    ref.instance.dataType = valueDefinition?.dataType || this.resolveDataTypes(data[0][valueDefinition?.member]);
    ref.instance.formatter = valueDefinition?.formatter;
    ref.instance.sortable = true;
    ref.changeDetectorRef.detectChanges();
    return ref.instance;
  }
  resolveColumnDimensionWidth(dim) {
    if (dim.width) {
      return dim.width;
    }
    return this.minColumnWidth + "px";
  }
  getMeasureChildren(data, parent, hidden, parentWidth) {
    const cols = [];
    const count = this.values.length;
    const childWidth = parseInt(parentWidth, 10) / count;
    const isPercent = parentWidth && parentWidth.indexOf("%") !== -1;
    this.values.forEach((val) => {
      const ref = createComponent3(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
      ref.instance.header = val.displayName || val.member;
      ref.instance.field = parent.field + this.pivotKeys.columnDimensionSeparator + val.member;
      ref.instance.parent = parent;
      if (parentWidth) {
        ref.instance.width = isPercent ? childWidth + "%" : childWidth + "px";
      }
      ref.instance.hidden = hidden;
      ref.instance.sortable = true;
      ref.instance.dataType = val.dataType || this.resolveDataTypes(data[0][val.member]);
      ref.instance.formatter = val.formatter;
      ref.changeDetectorRef.detectChanges();
      cols.push(ref.instance);
    });
    return cols;
  }
  /**
  * @hidden @internal
  */
  get template() {
    const allEnabledDimensions = this.rowDimensions.concat(this.columnDimensions);
    if (allEnabledDimensions.length === 0 && this.values.length === 0) {
      return this.emptyPivotGridTemplate || this.defaultEmptyPivotGridTemplate;
    }
    super.template;
  }
  emitInitEvents(pivotConfig) {
    const dimensions = PivotUtil.flatten(this.allDimensions);
    dimensions.forEach((dim) => {
      this.dimensionInit.emit(dim);
    });
    const values = pivotConfig?.values;
    values?.forEach((val) => {
      this.valueInit.emit(val);
    });
  }
  static {
    this.ɵfac = i0211.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0211, type: _IgxPivotGridComponent, deps: [{ token: IgxGridValidationService }, { token: IgxGridSelectionService }, { token: IgxPivotColumnResizingService }, { token: GridBaseAPIService }, { token: IgxFlatTransactionFactory }, { token: i0211.ElementRef }, { token: i0211.NgZone }, { token: DOCUMENT16 }, { token: i0211.ChangeDetectorRef }, { token: i0211.IterableDiffers }, { token: i0211.ViewContainerRef }, { token: i0211.Injector }, { token: i0211.EnvironmentInjector }, { token: IgxPivotGridNavigationService }, { token: IgxFilteringService }, { token: IgxTextHighlightService }, { token: IgxOverlayService }, { token: IgxGridSummaryService }, { token: DisplayDensityToken, optional: true }, { token: LOCALE_ID9 }, { token: PlatformUtil }, { token: IgxGridTransaction, optional: true }], target: i0211.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0211.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxPivotGridComponent, isStandalone: true, selector: "igx-pivot-grid", inputs: { valueChipTemplate: "valueChipTemplate", pivotConfiguration: "pivotConfiguration", showPivotConfigurationUI: ["showPivotConfigurationUI", "showPivotConfigurationUI", booleanAttribute70], superCompactMode: ["superCompactMode", "superCompactMode", booleanAttribute70], displayDensity: "displayDensity", pivotValueCloneStrategy: "pivotValueCloneStrategy", addRowEmptyTemplate: "addRowEmptyTemplate", autoGenerateExclude: "autoGenerateExclude", snackbarDisplayTime: "snackbarDisplayTime", defaultExpandState: ["defaultExpandState", "defaultExpandState", booleanAttribute70], pagingMode: "pagingMode", hideRowSelectors: ["hideRowSelectors", "hideRowSelectors", booleanAttribute70], rowDraggable: ["rowDraggable", "rowDraggable", booleanAttribute70], allowAdvancedFiltering: ["allowAdvancedFiltering", "allowAdvancedFiltering", booleanAttribute70], filterMode: "filterMode", allowFiltering: ["allowFiltering", "allowFiltering", booleanAttribute70], page: "page", perPage: "perPage", summaryRowHeight: "summaryRowHeight", rowEditable: ["rowEditable", "rowEditable", booleanAttribute70], pinning: "pinning", summaryPosition: "summaryPosition", summaryCalculationMode: "summaryCalculationMode", showSummaryOnCollapse: ["showSummaryOnCollapse", "showSummaryOnCollapse", booleanAttribute70], batchEditing: ["batchEditing", "batchEditing", booleanAttribute70], id: "id", data: "data", totalRecords: "totalRecords", emptyPivotGridTemplate: "emptyPivotGridTemplate" }, outputs: { dimensionsChange: "dimensionsChange", pivotConfigurationChange: "pivotConfigurationChange", dimensionInit: "dimensionInit", valueInit: "valueInit", dimensionsSortingExpressionsChange: "dimensionsSortingExpressionsChange", valuesChange: "valuesChange", cellEdit: "cellEdit", cellEditDone: "cellEditDone", cellEditEnter: "cellEditEnter", cellEditExit: "cellEditExit", columnMovingStart: "columnMovingStart", columnMoving: "columnMoving", columnMovingEnd: "columnMovingEnd", columnPin: "columnPin", columnPinned: "columnPinned", rowAdd: "rowAdd", rowAdded: "rowAdded", rowDeleted: "rowDeleted", rowDelete: "rowDelete", rowDragStart: "rowDragStart", rowDragEnd: "rowDragEnd", rowEditEnter: "rowEditEnter", rowEdit: "rowEdit", rowEditDone: "rowEditDone", rowEditExit: "rowEditExit", rowPinning: "rowPinning", rowPinned: "rowPinned" }, host: { properties: { "attr.role": "this.role", "class.igx-grid__pivot--super-compact": "this.superCompactMode", "attr.id": "this.id" } }, providers: [
      IgxGridCRUDService,
      IgxGridValidationService,
      IgxGridSummaryService,
      IgxGridSelectionService,
      IgxColumnResizingService,
      GridBaseAPIService,
      { provide: IGX_GRID_BASE, useExisting: _IgxPivotGridComponent },
      { provide: IgxFilteringService, useClass: IgxPivotFilteringService },
      IgxPivotGridNavigationService,
      IgxPivotColumnResizingService,
      IgxForOfSyncService,
      IgxForOfScrollSyncService
    ], queries: [{ propertyName: "valueChipTemplateDirective", first: true, predicate: IgxPivotValueChipTemplateDirective, descendants: true, read: IgxPivotValueChipTemplateDirective }], viewQueries: [{ propertyName: "theadRow", first: true, predicate: IgxPivotHeaderRowComponent, descendants: true, static: true }, { propertyName: "recordTemplate", first: true, predicate: ["record_template"], descendants: true, read: TemplateRef34, static: true }, { propertyName: "headerTemplate", first: true, predicate: ["headerTemplate"], descendants: true, read: TemplateRef34, static: true }, { propertyName: "resizeLine", first: true, predicate: IgxPivotGridColumnResizerComponent, descendants: true }, { propertyName: "defaultEmptyPivotGridTemplate", first: true, predicate: ["emptyPivotGridTemplate"], descendants: true, read: TemplateRef34, static: true }, { propertyName: "excelStyleFilteringComponents", predicate: IgxGridExcelStyleFilteringComponent, descendants: true, read: IgxGridExcelStyleFilteringComponent }, { propertyName: "rowDimensionContentCollection", predicate: IgxPivotRowDimensionContentComponent, descendants: true }, { propertyName: "verticalRowDimScrollContainers", predicate: ["verticalRowDimScrollContainer"], descendants: true, read: IgxGridForOfDirective }], usesInheritance: true, ngImport: i0211, template: `<!-- Toolbar area -->
<ng-content select="igx-grid-toolbar"></ng-content>

<!-- Grid table head row area -->
<igx-pivot-header-row class="igx-grid-thead igx-grid-thead--pivot" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [density]="displayDensity"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (scroll)="preventHeaderScroll($event)"
>
</igx-pivot-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <ng-container *ngTemplateOutlet="rowDimensions.length ? defaultRowDimensionsTemplate : emptyRowDimensionsTemplate; context: this"></ng-container>
    <div class="igx-grid__tbody-content" tabindex="0" [attr.role]="dataView.length ? null : 'row'" (keydown)="navigation.handleNavigation($event)" (focus)="navigation.focusTbody($event)"
        (dragStop)="selectionService.dragMode = $event" (scroll)="preventContainerScroll($event)"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]="totalHeight" [style.width.px]="pivotContentCalcWidth || null" #tbody [attr.aria-activedescendant]="activeDescendant">
        <span *ngIf="hasMovableColumns && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="hasMovableColumns && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | pivotGridFilter:pivotConfiguration:filterStrategy:advancedFilteringExpressionsTree:filteringPipeTrigger:pipeTrigger
        | pivotGridSort:pivotConfiguration:sortStrategy:pipeTrigger
        | pivotGridRow:pivotConfiguration:pivotValueCloneStrategy:expansionStates:pipeTrigger:sortingExpressions
        | pivotGridColumn:pivotConfiguration:pivotValueCloneStrategy:expansionStates:pipeTrigger:sortingExpressions
        | pivotGridAutoTransform:pivotConfiguration:pipeTrigger
        | pivotGridColumnSort:sortingExpressions:sortStrategy:pipeTrigger
        | pivotGridRowExpansion:pivotConfiguration:expansionStates:defaultExpandState:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight"
            [igxForItemSize]="hasColumnLayouts ? rowHeight * multiRowLayoutRowSize + 1 : renderedRowHeight"
            [igxGridForOfVariableSizes]="false"
            #verticalScrollContainer>
            <ng-template
                [igxTemplateOutlet]="recordTemplate"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex)"
                (cachedViewLoaded)="cachedViewLoaded($event)">
            </ng-template>
        </ng-template>
        <ng-template #record_template let-rowIndex="index" let-rowData>
            <igx-pivot-row [style.height.px]="renderedRowHeight" [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-pivot-row>
        </ng-template>

        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="hasMovableColumns && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]=" isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>

    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div #igxBodyOverlayOutlet="overlay-outlet" igxOverlayOutlet></div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="pivotPinnedWidth" [style.min-width.px]="pivotPinnedWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="pivotUnpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="EMPTY_DATA" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]="pivotPinnedWidth" [style.min-width.px]="pivotPinnedWidth" [hidden]="pivotPinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" #tfoot>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
    </span>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>
<igx-pivot-grid-column-resizer [restrictResizerTop]="theadRow.nativeElement.clientHeight" *ngIf="colResizingService.showResizer"></igx-pivot-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>

<ng-template #headerTemplate let-column>
    <div class="igx-grid__tr--header">
        <igx-icon [attr.draggable]="false"
                  (click)="toggleColumn(column)">
                  {{getColumnGroupExpandState(column) ? "chevron_right" : "expand_more"}}</igx-icon>
        {{column.header}}
    </div>
</ng-template>

<ng-template #defaultRowDimensionsTemplate>
    <div tabindex="0" [style.height.px]="totalHeight" *ngFor="let dim of rowDimensions; let dimIndex = index;" #rowDimensionContainer role="rowgroup" class="igx-grid__tbody-pivot-dimension" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)">
        <ng-template igxGridFor let-rowData [igxGridForOf]="dataView
        | pivotGridCellMerging:pivotConfiguration:dim:pipeTrigger"
                     let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
                     [igxForContainerSize]="calcHeight"
                     [igxForItemSize]="renderedRowHeight"
                     [igxForSizePropName]="'height'"
                     #verticalRowDimScrollContainer>
            <igx-pivot-row-dimension-content role="row" class="igx-grid-thead" [grid]="this"
                                             [dimension]="rowData.dimensions[dimIndex]"
                                             [rootDimension]="dim"
                                             [style.height.px]="renderedRowHeight * (rowData.rowSpan || 1)"
                                             [rowIndex]="rowIndex" [rowData]="rowData"
                                             [density]="displayDensity" [width]="rowDimensionWidthToPixels(dim)">
            </igx-pivot-row-dimension-content>
        </ng-template>
    </div>
</ng-template>
<ng-template #emptyRowDimensionsTemplate>
    <div tabindex="0" *ngIf="columnDimensions.length > 0 || values.length > 0" #rowDimensionContainer role="rowgroup" class="igx-grid__tbody-pivot-dimension" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)">
        <igx-pivot-row-dimension-content role="row" class="igx-grid-thead" [grid]="this"
            [dimension]="emptyRowDimension"
            [rootDimension]="emptyRowDimension"
            [rowIndex]="0" [rowData]="dataView[0]"
            [density]="displayDensity" [width]="rowDimensionWidthToPixels(emptyRowDimension)">
        </igx-pivot-row-dimension-content>
    </div>
</ng-template>

<ng-template #emptyPivotGridTemplate>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{resourceStrings.igx_grid_pivot_empty_message}}</span>
    </span>
</ng-template>

<div [hidden]="true">
    <igx-grid-excel-style-filtering [maxHeight]="excelStyleFilterMaxHeight" [minHeight]="excelStyleFilterMinHeight">
        <div igxExcelStyleColumnOperations [hidden]="true"></div>
        <igx-excel-style-filter-operations>
            <igx-excel-style-search></igx-excel-style-search>
        </igx-excel-style-filter-operations>
    </igx-grid-excel-style-filtering>
</div>
`, dependencies: [{ kind: "directive", type: NgIf63, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor27, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgClass30, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle11, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgTemplateOutlet35, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxPivotHeaderRowComponent, selector: "igx-pivot-header-row" }, { kind: "directive", type: IgxGridBodyDirective, selector: "[igxGridBody]" }, { kind: "directive", type: IgxGridDragSelectDirective, selector: "[igxGridDragSelect]", inputs: ["igxGridDragSelect"], outputs: ["dragStop", "dragScroll"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "directive", type: IgxTemplateOutletDirective, selector: "[igxTemplateOutlet]", inputs: ["igxTemplateOutletContext", "igxTemplateOutlet"], outputs: ["viewCreated", "viewMoved", "cachedViewLoaded", "beforeViewDetach"] }, { kind: "component", type: IgxPivotRowComponent, selector: "igx-pivot-row", inputs: ["selected", "data"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "component", type: IgxSnackbarComponent, selector: "igx-snackbar", inputs: ["id", "actionText", "positionSettings"], outputs: ["clicked", "animationStarted", "animationDone"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "component", type: IgxPivotGridColumnResizerComponent, selector: "igx-pivot-grid-column-resizer" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxPivotRowDimensionContentComponent, selector: "igx-pivot-row-dimension-content", inputs: ["rowIndex", "dimension", "rootDimension", "rowData"] }, { kind: "component", type: IgxGridExcelStyleFilteringComponent, selector: "igx-grid-excel-style-filtering", inputs: ["column", "minHeight", "maxHeight"], outputs: ["loadingStart", "loadingEnd", "initialized", "sortingChanged", "columnChange", "listDataLoaded"] }, { kind: "directive", type: IgxExcelStyleColumnOperationsTemplateDirective, selector: "igx-excel-style-column-operations,[igxExcelStyleColumnOperations]" }, { kind: "directive", type: IgxExcelStyleFilterOperationsTemplateDirective, selector: "igx-excel-style-filter-operations,[igxExcelStyleFilterOperations]" }, { kind: "component", type: IgxExcelStyleSearchComponent, selector: "igx-excel-style-search", inputs: ["id"] }, { kind: "pipe", type: IgxGridRowClassesPipe, name: "igxGridRowClasses" }, { kind: "pipe", type: IgxGridRowStylesPipe, name: "igxGridRowStyles" }, { kind: "pipe", type: IgxPivotRowPipe, name: "pivotGridRow" }, { kind: "pipe", type: IgxPivotRowExpansionPipe, name: "pivotGridRowExpansion" }, { kind: "pipe", type: IgxPivotAutoTransform, name: "pivotGridAutoTransform" }, { kind: "pipe", type: IgxPivotColumnPipe, name: "pivotGridColumn" }, { kind: "pipe", type: IgxPivotGridFilterPipe, name: "pivotGridFilter" }, { kind: "pipe", type: IgxPivotGridSortingPipe, name: "pivotGridSort" }, { kind: "pipe", type: IgxPivotGridColumnSortingPipe, name: "pivotGridColumnSort" }, { kind: "pipe", type: IgxPivotCellMergingPipe, name: "pivotGridCellMerging" }], changeDetection: i0211.ChangeDetectionStrategy.OnPush });
  }
};
__decorate6([
  WatchChanges()
], IgxPivotGridComponent.prototype, "hideRowSelectors", null);
__decorate6([
  WatchChanges()
], IgxPivotGridComponent.prototype, "rowEditable", null);
i0211.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0211, type: IgxPivotGridComponent, decorators: [{
  type: Component94,
  args: [{ changeDetection: ChangeDetectionStrategy53.OnPush, preserveWhitespaces: false, selector: "igx-pivot-grid", providers: [
    IgxGridCRUDService,
    IgxGridValidationService,
    IgxGridSummaryService,
    IgxGridSelectionService,
    IgxColumnResizingService,
    GridBaseAPIService,
    { provide: IGX_GRID_BASE, useExisting: IgxPivotGridComponent },
    { provide: IgxFilteringService, useClass: IgxPivotFilteringService },
    IgxPivotGridNavigationService,
    IgxPivotColumnResizingService,
    IgxForOfSyncService,
    IgxForOfScrollSyncService
  ], standalone: true, imports: [
    NgIf63,
    NgFor27,
    NgClass30,
    NgStyle11,
    NgTemplateOutlet35,
    IgxPivotHeaderRowComponent,
    IgxGridBodyDirective,
    IgxGridDragSelectDirective,
    IgxColumnMovingDropDirective,
    IgxGridForOfDirective,
    IgxTemplateOutletDirective,
    IgxPivotRowComponent,
    IgxToggleDirective,
    IgxCircularProgressBarComponent,
    IgxSnackbarComponent,
    IgxOverlayOutletDirective,
    IgxPivotGridColumnResizerComponent,
    IgxIconComponent,
    IgxPivotRowDimensionContentComponent,
    IgxGridExcelStyleFilteringComponent,
    IgxExcelStyleColumnOperationsTemplateDirective,
    IgxExcelStyleFilterOperationsTemplateDirective,
    IgxExcelStyleSearchComponent,
    IgxGridRowClassesPipe,
    IgxGridRowStylesPipe,
    IgxPivotRowPipe,
    IgxPivotRowExpansionPipe,
    IgxPivotAutoTransform,
    IgxPivotColumnPipe,
    IgxPivotGridFilterPipe,
    IgxPivotGridSortingPipe,
    IgxPivotGridColumnSortingPipe,
    IgxPivotCellMergingPipe
  ], schemas: [CUSTOM_ELEMENTS_SCHEMA2], template: `<!-- Toolbar area -->
<ng-content select="igx-grid-toolbar"></ng-content>

<!-- Grid table head row area -->
<igx-pivot-header-row class="igx-grid-thead igx-grid-thead--pivot" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [density]="displayDensity"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (scroll)="preventHeaderScroll($event)"
>
</igx-pivot-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <ng-container *ngTemplateOutlet="rowDimensions.length ? defaultRowDimensionsTemplate : emptyRowDimensionsTemplate; context: this"></ng-container>
    <div class="igx-grid__tbody-content" tabindex="0" [attr.role]="dataView.length ? null : 'row'" (keydown)="navigation.handleNavigation($event)" (focus)="navigation.focusTbody($event)"
        (dragStop)="selectionService.dragMode = $event" (scroll)="preventContainerScroll($event)"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]="totalHeight" [style.width.px]="pivotContentCalcWidth || null" #tbody [attr.aria-activedescendant]="activeDescendant">
        <span *ngIf="hasMovableColumns && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="hasMovableColumns && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | pivotGridFilter:pivotConfiguration:filterStrategy:advancedFilteringExpressionsTree:filteringPipeTrigger:pipeTrigger
        | pivotGridSort:pivotConfiguration:sortStrategy:pipeTrigger
        | pivotGridRow:pivotConfiguration:pivotValueCloneStrategy:expansionStates:pipeTrigger:sortingExpressions
        | pivotGridColumn:pivotConfiguration:pivotValueCloneStrategy:expansionStates:pipeTrigger:sortingExpressions
        | pivotGridAutoTransform:pivotConfiguration:pipeTrigger
        | pivotGridColumnSort:sortingExpressions:sortStrategy:pipeTrigger
        | pivotGridRowExpansion:pivotConfiguration:expansionStates:defaultExpandState:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight"
            [igxForItemSize]="hasColumnLayouts ? rowHeight * multiRowLayoutRowSize + 1 : renderedRowHeight"
            [igxGridForOfVariableSizes]="false"
            #verticalScrollContainer>
            <ng-template
                [igxTemplateOutlet]="recordTemplate"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex)"
                (cachedViewLoaded)="cachedViewLoaded($event)">
            </ng-template>
        </ng-template>
        <ng-template #record_template let-rowIndex="index" let-rowData>
            <igx-pivot-row [style.height.px]="renderedRowHeight" [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-pivot-row>
        </ng-template>

        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="hasMovableColumns && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]=" isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>

    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div #igxBodyOverlayOutlet="overlay-outlet" igxOverlayOutlet></div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="pivotPinnedWidth" [style.min-width.px]="pivotPinnedWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="pivotUnpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="EMPTY_DATA" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]="pivotPinnedWidth" [style.min-width.px]="pivotPinnedWidth" [hidden]="pivotPinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" #tfoot>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
    </span>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>
<igx-pivot-grid-column-resizer [restrictResizerTop]="theadRow.nativeElement.clientHeight" *ngIf="colResizingService.showResizer"></igx-pivot-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>

<ng-template #headerTemplate let-column>
    <div class="igx-grid__tr--header">
        <igx-icon [attr.draggable]="false"
                  (click)="toggleColumn(column)">
                  {{getColumnGroupExpandState(column) ? "chevron_right" : "expand_more"}}</igx-icon>
        {{column.header}}
    </div>
</ng-template>

<ng-template #defaultRowDimensionsTemplate>
    <div tabindex="0" [style.height.px]="totalHeight" *ngFor="let dim of rowDimensions; let dimIndex = index;" #rowDimensionContainer role="rowgroup" class="igx-grid__tbody-pivot-dimension" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)">
        <ng-template igxGridFor let-rowData [igxGridForOf]="dataView
        | pivotGridCellMerging:pivotConfiguration:dim:pipeTrigger"
                     let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
                     [igxForContainerSize]="calcHeight"
                     [igxForItemSize]="renderedRowHeight"
                     [igxForSizePropName]="'height'"
                     #verticalRowDimScrollContainer>
            <igx-pivot-row-dimension-content role="row" class="igx-grid-thead" [grid]="this"
                                             [dimension]="rowData.dimensions[dimIndex]"
                                             [rootDimension]="dim"
                                             [style.height.px]="renderedRowHeight * (rowData.rowSpan || 1)"
                                             [rowIndex]="rowIndex" [rowData]="rowData"
                                             [density]="displayDensity" [width]="rowDimensionWidthToPixels(dim)">
            </igx-pivot-row-dimension-content>
        </ng-template>
    </div>
</ng-template>
<ng-template #emptyRowDimensionsTemplate>
    <div tabindex="0" *ngIf="columnDimensions.length > 0 || values.length > 0" #rowDimensionContainer role="rowgroup" class="igx-grid__tbody-pivot-dimension" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)">
        <igx-pivot-row-dimension-content role="row" class="igx-grid-thead" [grid]="this"
            [dimension]="emptyRowDimension"
            [rootDimension]="emptyRowDimension"
            [rowIndex]="0" [rowData]="dataView[0]"
            [density]="displayDensity" [width]="rowDimensionWidthToPixels(emptyRowDimension)">
        </igx-pivot-row-dimension-content>
    </div>
</ng-template>

<ng-template #emptyPivotGridTemplate>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{resourceStrings.igx_grid_pivot_empty_message}}</span>
    </span>
</ng-template>

<div [hidden]="true">
    <igx-grid-excel-style-filtering [maxHeight]="excelStyleFilterMaxHeight" [minHeight]="excelStyleFilterMinHeight">
        <div igxExcelStyleColumnOperations [hidden]="true"></div>
        <igx-excel-style-filter-operations>
            <igx-excel-style-search></igx-excel-style-search>
        </igx-excel-style-filter-operations>
    </igx-grid-excel-style-filtering>
</div>
` }]
}], ctorParameters: () => [{ type: IgxGridValidationService }, { type: IgxGridSelectionService }, { type: IgxPivotColumnResizingService }, { type: GridBaseAPIService }, { type: IgxFlatTransactionFactory }, { type: i0211.ElementRef }, { type: i0211.NgZone }, { type: void 0, decorators: [{
  type: Inject83,
  args: [DOCUMENT16]
}] }, { type: i0211.ChangeDetectorRef }, { type: i0211.IterableDiffers }, { type: i0211.ViewContainerRef }, { type: i0211.Injector }, { type: i0211.EnvironmentInjector }, { type: IgxPivotGridNavigationService }, { type: IgxFilteringService }, { type: IgxTextHighlightService }, { type: IgxOverlayService, decorators: [{
  type: Inject83,
  args: [IgxOverlayService]
}] }, { type: IgxGridSummaryService }, { type: void 0, decorators: [{
  type: Optional40
}, {
  type: Inject83,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Inject83,
  args: [LOCALE_ID9]
}] }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Optional40
}, {
  type: Inject83,
  args: [IgxGridTransaction]
}] }], propDecorators: { dimensionsChange: [{
  type: Output59
}], pivotConfigurationChange: [{
  type: Output59
}], dimensionInit: [{
  type: Output59
}], valueInit: [{
  type: Output59
}], dimensionsSortingExpressionsChange: [{
  type: Output59
}], valuesChange: [{
  type: Output59
}], theadRow: [{
  type: ViewChild55,
  args: [IgxPivotHeaderRowComponent, { static: true }]
}], valueChipTemplateDirective: [{
  type: ContentChild20,
  args: [IgxPivotValueChipTemplateDirective, { read: IgxPivotValueChipTemplateDirective }]
}], valueChipTemplate: [{
  type: Input123
}], pivotConfiguration: [{
  type: Input123
}], showPivotConfigurationUI: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], role: [{
  type: HostBinding89,
  args: ["attr.role"]
}], superCompactMode: [{
  type: HostBinding89,
  args: ["class.igx-grid__pivot--super-compact"]
}, {
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], displayDensity: [{
  type: Input123
}], pivotValueCloneStrategy: [{
  type: Input123
}], recordTemplate: [{
  type: ViewChild55,
  args: ["record_template", { read: TemplateRef34, static: true }]
}], headerTemplate: [{
  type: ViewChild55,
  args: ["headerTemplate", { read: TemplateRef34, static: true }]
}], resizeLine: [{
  type: ViewChild55,
  args: [IgxPivotGridColumnResizerComponent]
}], excelStyleFilteringComponents: [{
  type: ViewChildren21,
  args: [IgxGridExcelStyleFilteringComponent, { read: IgxGridExcelStyleFilteringComponent }]
}], rowDimensionContentCollection: [{
  type: ViewChildren21,
  args: [IgxPivotRowDimensionContentComponent]
}], verticalRowDimScrollContainers: [{
  type: ViewChildren21,
  args: ["verticalRowDimScrollContainer", { read: IgxGridForOfDirective }]
}], addRowEmptyTemplate: [{
  type: Input123
}], autoGenerateExclude: [{
  type: Input123
}], snackbarDisplayTime: [{
  type: Input123
}], cellEdit: [{
  type: Output59
}], cellEditDone: [{
  type: Output59
}], cellEditEnter: [{
  type: Output59
}], cellEditExit: [{
  type: Output59
}], columnMovingStart: [{
  type: Output59
}], columnMoving: [{
  type: Output59
}], columnMovingEnd: [{
  type: Output59
}], columnPin: [{
  type: Output59
}], columnPinned: [{
  type: Output59
}], rowAdd: [{
  type: Output59
}], rowAdded: [{
  type: Output59
}], rowDeleted: [{
  type: Output59
}], rowDelete: [{
  type: Output59
}], rowDragStart: [{
  type: Output59
}], rowDragEnd: [{
  type: Output59
}], rowEditEnter: [{
  type: Output59
}], rowEdit: [{
  type: Output59
}], rowEditDone: [{
  type: Output59
}], rowEditExit: [{
  type: Output59
}], rowPinning: [{
  type: Output59
}], rowPinned: [{
  type: Output59
}], defaultExpandState: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], pagingMode: [{
  type: Input123
}], hideRowSelectors: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], rowDraggable: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], allowAdvancedFiltering: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], filterMode: [{
  type: Input123
}], allowFiltering: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], page: [{
  type: Input123
}], perPage: [{
  type: Input123
}], summaryRowHeight: [{
  type: Input123
}], rowEditable: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], pinning: [{
  type: Input123
}], summaryPosition: [{
  type: Input123
}], summaryCalculationMode: [{
  type: Input123
}], showSummaryOnCollapse: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], batchEditing: [{
  type: Input123,
  args: [{ transform: booleanAttribute70 }]
}], id: [{
  type: HostBinding89,
  args: ["attr.id"]
}, {
  type: Input123
}], data: [{
  type: Input123
}], totalRecords: [{
  type: Input123
}], defaultEmptyPivotGridTemplate: [{
  type: ViewChild55,
  args: ["emptyPivotGridTemplate", { read: TemplateRef34, static: true }]
}], emptyPivotGridTemplate: [{
  type: Input123
}] } });

// lib/grids/pivot-grid/pivot-grid-dimensions.mjs
var IgxPivotDateDimension = class {
  /**
   * Gets/Sets the resource strings.
   *
   * @remarks
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  get resourceStrings() {
    return this._resourceStrings;
  }
  /**
   * Gets/Sets the base dimension that is used by this class to determine the other dimensions and their values.
   * Having base dimension set is required in order for the Date Dimensions to show.
   */
  get baseDimension() {
    return this._baseDimension;
  }
  set baseDimension(value) {
    this._baseDimension = value;
    this.initialize(this.baseDimension, this.options);
  }
  /**
   * Gets/Sets the options for the predefined date dimensions whether to show quarter, years and etc.
   */
  get options() {
    return this._options;
  }
  set options(value) {
    this._options = value;
    if (this.baseDimension) {
      this.initialize(this.baseDimension, this.options);
    }
  }
  /**
   * @deprecated since version 15.1.0. Use the `baseDimension` property instead.
   *
   * Gets the base dimension that is used by this class to determine the other dimensions and their values.
   * Having base dimension set is required in order for the Date Dimensions to show.
   */
  get inBaseDimension() {
    return this._baseDimension;
  }
  /**
   * @deprecated since version 15.1.0. Use the `options` property instead.
   *
   * Gets the options for the predefined date dimensions whether to show quarter, years and etc.
   */
  get inOptions() {
    return this._options;
  }
  /**
   * Creates additional pivot date dimensions based on a provided dimension describing date data:
   *
   * @param inDateDimension Base dimension that is used by this class to determine the other dimensions and their values.
   * @param inOptions Options for the predefined date dimensions whether to show quarter, years and etc.
   * @example
   * ```typescript
   * // Displays only years as parent dimension to the base dimension provided.
   * new IgxPivotDateDimension({ memberName: 'Date', enabled: true }, { total: false, months: false });
   * ```
   */
  constructor(inBaseDimension, inOptions = {}) {
    this.enabled = true;
    this.defaultOptions = {
      total: true,
      years: true,
      months: true,
      fullDate: true
    };
    this.memberName = "AllPeriods";
    this._resourceStrings = getCurrentResourceStrings(GridResourceStringsEN);
    this._options = {};
    this._monthIntl = new Intl.DateTimeFormat("default", { month: "long" });
    this.memberFunction = (_data) => this.resourceStrings.igx_grid_pivot_date_dimension_total;
    this._baseDimension = inBaseDimension;
    this._options = inOptions;
    if (this.baseDimension && this.options) {
      this.initialize(this.baseDimension, this.options);
    }
  }
  initialize(inBaseDimension, inOptions) {
    const options = { ...this.defaultOptions, ...inOptions };
    this.dataType = GridColumnDataType.Date;
    inBaseDimension.dataType = GridColumnDataType.Date;
    this.displayName = inBaseDimension.displayName || this.resourceStrings.igx_grid_pivot_date_dimension_total;
    const baseDimension = options.fullDate ? inBaseDimension : null;
    const monthDimensionDef = {
      memberName: "Months",
      memberFunction: (rec) => {
        const recordValue = PivotUtil.extractValueFromDimension(inBaseDimension, rec);
        return recordValue ? this._monthIntl.format(new Date(recordValue)) : rec["Months"];
      },
      enabled: true,
      childLevel: baseDimension
    };
    const monthDimension = options.months ? monthDimensionDef : baseDimension;
    const quarterDimensionDef = {
      memberName: "Quarters",
      memberFunction: (rec) => {
        const recordValue = PivotUtil.extractValueFromDimension(inBaseDimension, rec);
        return recordValue ? `Q` + Math.ceil((new Date(recordValue).getMonth() + 1) / 3) : rec["Quarters"];
      },
      enabled: true,
      childLevel: monthDimension
    };
    const quarterDimension = options.quarters ? quarterDimensionDef : monthDimension;
    const yearsDimensionDef = {
      memberName: "Years",
      memberFunction: (rec) => {
        const recordValue = PivotUtil.extractValueFromDimension(inBaseDimension, rec);
        return recordValue ? new Date(recordValue).getFullYear().toString() : rec["Years"];
      },
      enabled: true,
      childLevel: quarterDimension
    };
    const yearsDimension = options.years ? yearsDimensionDef : quarterDimension;
    this.childLevel = yearsDimension;
    if (!options.total) {
      this.memberName = yearsDimension.memberName;
      this.memberFunction = yearsDimension.memberFunction;
      this.childLevel = yearsDimension.childLevel;
      this.displayName = yearsDimension.displayName;
    }
  }
};

// lib/grids/state.directive.mjs
import { Directive as Directive84, Optional as Optional41, Input as Input124, Host as Host3, Inject as Inject84, Output as Output60, EventEmitter as EventEmitter69, createComponent as createComponent4 } from "@angular/core";
import * as i0212 from "@angular/core";
var IgxGridStateDirective = class _IgxGridStateDirective {
  /**
   *  An object with options determining if a certain feature state should be saved.
   * ```html
   * <igx-grid [igxGridState]="options"></igx-grid>
   * ```
   * ```typescript
   * public options = {selection: false, advancedFiltering: false};
   * ```
   */
  get options() {
    return this._options;
  }
  set options(value) {
    Object.assign(this._options, value);
    if (!(this.grid instanceof IgxGridComponent)) {
      delete this._options.groupBy;
    } else {
      delete this._options.rowIslands;
    }
  }
  /**
   * @hidden
   */
  constructor(grid, viewRef, envInjector, injector) {
    this.grid = grid;
    this.viewRef = viewRef;
    this.envInjector = envInjector;
    this.injector = injector;
    this.featureKeys = [];
    this._options = {
      columns: true,
      filtering: true,
      advancedFiltering: true,
      sorting: true,
      groupBy: true,
      paging: true,
      cellSelection: true,
      rowSelection: true,
      columnSelection: true,
      rowPinning: true,
      expansion: true,
      moving: true,
      rowIslands: true,
      pivotConfiguration: true
    };
    this.FEATURES = {
      sorting: {
        getFeatureState: (context) => {
          const sortingState = context.currGrid.sortingExpressions;
          sortingState.forEach((s) => {
            delete s.strategy;
            delete s.owner;
          });
          return { sorting: sortingState };
        },
        restoreFeatureState: (context, state) => {
          context.currGrid.sortingExpressions = state;
        }
      },
      filtering: {
        getFeatureState: (context) => {
          const filteringState = context.currGrid.filteringExpressionsTree;
          if (filteringState) {
            delete filteringState.owner;
            for (const item of filteringState.filteringOperands) {
              delete item.owner;
            }
          }
          return { filtering: filteringState };
        },
        restoreFeatureState: (context, state) => {
          const filterTree = context.createExpressionsTreeFromObject(state);
          context.currGrid.filteringExpressionsTree = filterTree;
        }
      },
      advancedFiltering: {
        getFeatureState: (context) => {
          const filteringState = context.currGrid.advancedFilteringExpressionsTree;
          let advancedFiltering;
          if (filteringState) {
            delete filteringState.owner;
            for (const item of filteringState.filteringOperands) {
              delete item.owner;
            }
            advancedFiltering = filteringState;
          } else {
            advancedFiltering = {};
          }
          return { advancedFiltering };
        },
        restoreFeatureState: (context, state) => {
          const filterTree = context.createExpressionsTreeFromObject(state);
          context.currGrid.advancedFilteringExpressionsTree = filterTree;
        }
      },
      columns: {
        getFeatureState: (context) => {
          const gridColumns = context.currGrid.columns.map((c) => ({
            pinned: c.pinned,
            sortable: c.sortable,
            filterable: c.filterable,
            editable: c.editable,
            sortingIgnoreCase: c.sortingIgnoreCase,
            filteringIgnoreCase: c.filteringIgnoreCase,
            headerClasses: c.headerClasses,
            headerGroupClasses: c.headerGroupClasses,
            maxWidth: c.maxWidth,
            groupable: c.groupable,
            movable: c.movable,
            hidden: c.hidden,
            dataType: c.dataType,
            hasSummary: c.hasSummary,
            field: c.field,
            width: c.width,
            header: c.header,
            resizable: c.resizable,
            searchable: c.searchable,
            selectable: c.selectable,
            parent: c.parent ? c.parent.header : null,
            columnGroup: c.columnGroup,
            disableHiding: c.disableHiding,
            disablePinning: c.disablePinning,
            collapsible: c.columnGroup ? c.collapsible : void 0,
            expanded: c.columnGroup ? c.expanded : void 0,
            visibleWhenCollapsed: c.parent?.columnGroup ? c.visibleWhenCollapsed : void 0
          }));
          return { columns: gridColumns };
        },
        restoreFeatureState: (context, state) => {
          const newColumns = [];
          state.forEach((colState) => {
            const hasColumnGroup = colState.columnGroup;
            delete colState.columnGroup;
            if (hasColumnGroup) {
              const ref1 = createComponent4(IgxColumnGroupComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
              Object.assign(ref1.instance, colState);
              ref1.instance.grid = context.currGrid;
              if (ref1.instance.parent) {
                const columnGroup = newColumns.find((e) => e.header === ref1.instance.parent);
                columnGroup.children.reset([...columnGroup.children.toArray(), ref1.instance]);
                ref1.instance.parent = columnGroup;
              }
              ref1.changeDetectorRef.detectChanges();
              newColumns.push(ref1.instance);
            } else {
              const ref = createComponent4(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
              Object.assign(ref.instance, colState);
              ref.instance.grid = context.currGrid;
              if (ref.instance.parent) {
                const columnGroup = newColumns.find((e) => e.header === ref.instance.parent);
                if (columnGroup) {
                  ref.instance.parent = columnGroup;
                  columnGroup.children.reset([...columnGroup.children.toArray(), ref.instance]);
                }
              }
              ref.changeDetectorRef.detectChanges();
              newColumns.push(ref.instance);
            }
          });
          context.currGrid.updateColumns(newColumns);
          newColumns.forEach((col) => {
            context.currGrid.columnInit.emit(col);
          });
        }
      },
      groupBy: {
        getFeatureState: (context) => {
          const grid2 = context.currGrid;
          const groupingExpressions = grid2.groupingExpressions;
          groupingExpressions.forEach((expr) => {
            delete expr.strategy;
          });
          const expansionState = grid2.groupingExpansionState;
          const groupsExpanded = grid2.groupsExpanded;
          return { groupBy: { expressions: groupingExpressions, expansion: expansionState, defaultExpanded: groupsExpanded } };
        },
        restoreFeatureState: (context, state) => {
          const grid2 = context.currGrid;
          grid2.groupingExpressions = state.expressions;
          if (grid2.groupsExpanded !== state.defaultExpanded) {
            grid2.toggleAllGroupRows();
          } else {
            grid2.groupingExpansionState = state.expansion;
          }
        }
      },
      paging: {
        getFeatureState: (context) => {
          const pagingState = context.currGrid.pagingState;
          return { paging: pagingState };
        },
        restoreFeatureState: (context, state) => {
          if (!context.currGrid.paginator) {
            return;
          }
          if (context.currGrid.perPage !== state.recordsPerPage) {
            context.currGrid.perPage = state.recordsPerPage;
            context.currGrid.cdr.detectChanges();
          }
          context.currGrid.page = state.index;
        }
      },
      moving: {
        getFeatureState: (context) => {
          return { moving: context.currGrid.moving };
        },
        restoreFeatureState: (context, state) => {
          context.currGrid.moving = state;
        }
      },
      rowSelection: {
        getFeatureState: (context) => {
          const selection = context.currGrid.selectionService.getSelectedRows();
          return { rowSelection: selection };
        },
        restoreFeatureState: (context, state) => {
          context.currGrid.selectRows(state, true);
        }
      },
      cellSelection: {
        getFeatureState: (context) => {
          const selection = context.currGrid.getSelectedRanges().map((range2) => ({ rowStart: range2.rowStart, rowEnd: range2.rowEnd, columnStart: range2.columnStart, columnEnd: range2.columnEnd }));
          return { cellSelection: selection };
        },
        restoreFeatureState: (context, state) => {
          state.forEach((r) => {
            const range2 = { rowStart: r.rowStart, rowEnd: r.rowEnd, columnStart: r.columnStart, columnEnd: r.columnEnd };
            context.currGrid.selectRange(range2);
          });
        }
      },
      columnSelection: {
        getFeatureState: (context) => {
          const selection = context.currGrid.selectedColumns().map((c) => c.field);
          return { columnSelection: selection };
        },
        restoreFeatureState: (context, state) => {
          context.currGrid.deselectAllColumns();
          context.currGrid.selectColumns(state);
        }
      },
      rowPinning: {
        getFeatureState: (context) => {
          const pinned = context.currGrid.pinnedRows?.map((x) => x.key);
          return { rowPinning: pinned };
        },
        restoreFeatureState: (context, state) => {
          context.currGrid.pinnedRows.forEach((row) => row.unpin());
          state.forEach((rowID) => context.currGrid.pinRow(rowID));
        }
      },
      pinningConfig: {
        getFeatureState: (context) => ({ pinningConfig: context.currGrid.pinning }),
        restoreFeatureState: (context, state) => {
          context.currGrid.pinning = state;
        }
      },
      expansion: {
        getFeatureState: (context) => {
          const expansionStates = Array.from(context.currGrid.expansionStates);
          return { expansion: expansionStates };
        },
        restoreFeatureState: (context, state) => {
          const expansionStates = new Map(state);
          context.currGrid.expansionStates = expansionStates;
        }
      },
      rowIslands: {
        getFeatureState(context) {
          const childGridStates = [];
          const rowIslands = context.currGrid.allLayoutList;
          if (rowIslands) {
            rowIslands.forEach((rowIsland) => {
              const childGrids = rowIsland.rowIslandAPI.getChildGrids();
              childGrids.forEach((chGrid) => {
                const parentRowID = this.getParentRowID(chGrid);
                context.currGrid = chGrid;
                if (context.currGrid) {
                  const childGridState = context.buildState(context.featureKeys);
                  childGridStates.push({ id: `${rowIsland.id}`, parentRowID, state: childGridState });
                }
              });
            });
          }
          context.currGrid = context.grid;
          return { rowIslands: childGridStates };
        },
        restoreFeatureState(context, state) {
          const rowIslands = context.currGrid.allLayoutList;
          if (rowIslands) {
            rowIslands.forEach((rowIsland) => {
              const childGrids = rowIsland.rowIslandAPI.getChildGrids();
              childGrids.forEach((chGrid) => {
                const parentRowID = this.getParentRowID(chGrid);
                context.currGrid = chGrid;
                const childGridState = state.find((st) => st.id === rowIsland.id && st.parentRowID === parentRowID);
                if (childGridState && context.currGrid) {
                  context.restoreGridState(childGridState.state, context.featureKeys);
                }
              });
            });
          }
          context.currGrid = context.grid;
        },
        /**
         * Traverses the hierarchy up to the root grid to return the ID of the expanded row.
         */
        getParentRowID: (grid2) => {
          let childGrid;
          while (grid2.parent) {
            childGrid = grid2;
            grid2 = grid2.parent;
          }
          return grid2.gridAPI.getParentRowId(childGrid);
        }
      },
      pivotConfiguration: {
        getFeatureState(context) {
          const config = context.currGrid.pivotConfiguration;
          if (!config || !(context.currGrid instanceof IgxPivotGridComponent)) {
            return { pivotConfiguration: void 0 };
          }
          const configCopy = cloneValue(config);
          configCopy.rows = cloneArray(config.rows, true);
          configCopy.columns = cloneArray(config.columns, true);
          configCopy.filters = cloneArray(config.filters, true);
          const dims = [...configCopy.rows || [], ...configCopy.columns || [], ...configCopy.filters || []];
          const dateDimensions = dims.filter((x) => context.isDateDimension(x));
          dateDimensions?.forEach((dim) => {
            dim.resourceStrings = {};
          });
          return { pivotConfiguration: configCopy };
        },
        restoreFeatureState(context, state) {
          const config = state;
          if (!config || !(context.currGrid instanceof IgxPivotGridComponent)) {
            return;
          }
          context.restoreValues(config, context.currGrid);
          context.restoreDimensions(config);
          context.currGrid.pivotConfiguration = config;
        }
      }
    };
    this.stateParsed = new EventEmitter69();
  }
  /**
   * Gets the state of a feature or states of all grid features, unless a certain feature is disabled through the `options` property.
   *
   * @param `serialize` determines whether the returned object will be serialized to JSON string. Default value is true.
   * @param `feature` string or array of strings determining the features to be added in the state. If skipped, all features are added.
   * @returns Returns the serialized to JSON string IGridState object, or the non-serialized IGridState object.
   * ```html
   * <igx-grid [igxGridState]="options"></igx-grid>
   * ```
   * ```typescript
   * @ViewChild(IgxGridStateDirective, { static: true }) public state;
   * let state = this.state.getState(); // returns string
   * let state = this.state(false) // returns `IGridState` object
   * ```
   */
  getState(serialize = true, features) {
    let state;
    this.currGrid = this.grid;
    this.state = state = this.buildState(features);
    if (serialize) {
      state = JSON.stringify(state, this.stringifyCallback);
    }
    return state;
  }
  /**
   * Restores grid features' state based on the IGridState object passed as an argument.
   *
   * @param IGridState object to restore state from.
   * @returns
   * ```html
   * <igx-grid [igxGridState]="options"></igx-grid>
   * ```
   * ```typescript
   * @ViewChild(IgxGridStateDirective, { static: true }) public state;
   * this.state.setState(gridState);
   * ```
   */
  setState(state, features) {
    if (typeof state === "string") {
      state = JSON.parse(state);
      this.stateParsed.emit(state);
    }
    this.state = state;
    this.currGrid = this.grid;
    this.restoreGridState(state, features);
    this.grid.cdr.detectChanges();
  }
  /**
   * Builds an IGridState object.
   */
  buildState(keys) {
    this.applyFeatures(keys);
    let gridState = {};
    this.featureKeys.forEach((f) => {
      if (this.options[f]) {
        if (!(this.grid instanceof IgxGridComponent) && f === "groupBy") {
          return;
        }
        const feature = this.getFeature(f);
        const featureState = feature.getFeatureState(this);
        gridState = Object.assign(gridState, featureState);
      }
    });
    return gridState;
  }
  /**
   * The method that calls corresponding methods to restore features from the passed IGridState object.
   */
  restoreGridState(state, features) {
    this.applyFeatures(features);
    this.restoreFeatures(state);
  }
  restoreFeatures(state) {
    this.featureKeys.forEach((f) => {
      if (this.options[f]) {
        const featureState = state[f];
        if (f === "moving" || featureState) {
          const feature = this.getFeature(f);
          feature.restoreFeatureState(this, featureState);
        }
      }
    });
  }
  /**
   * Returns a collection of all grid features.
   */
  applyFeatures(keys) {
    this.featureKeys = [];
    if (!keys) {
      for (const key of Object.keys(this.options)) {
        this.featureKeys.push(key);
      }
    } else if (Array.isArray(keys)) {
      this.featureKeys = [...keys];
    } else {
      this.featureKeys.push(keys);
    }
  }
  /**
   * This method restores complex objects in the pivot dimensions
   * Like the IgxPivotDateDimension and filters.
   */
  restoreDimensions(config) {
    const collections = [config.rows, config.columns, config.filters];
    for (const collection of collections) {
      for (let index = 0; index < collection?.length; index++) {
        const dim = collection[index];
        if (this.isDateDimension(dim)) {
          this.restoreDateDimension(dim);
        }
        if (dim.filter) {
          dim.filter = this.createExpressionsTreeFromObject(dim.filter);
        }
      }
    }
  }
  /**
   * This method restores the IgxPivotDateDimension with its default functions and resource strings.
   */
  restoreDateDimension(dim) {
    const dateDim = new IgxPivotDateDimension(dim._baseDimension, dim._options);
    dim.resourceStrings = dateDim.resourceStrings;
    dim.memberFunction = dateDim.memberFunction;
    let currDim = dim;
    let originDim = dateDim;
    while (currDim.childLevel) {
      currDim = currDim.childLevel;
      originDim = originDim.childLevel;
      currDim.memberFunction = originDim.memberFunction;
    }
  }
  /**
   * Returns if this is a IgxPivotDateDimension.
   */
  isDateDimension(dim) {
    return dim._baseDimension;
  }
  /**
   * This method restores complex objects in the pivot values.
   * Like the default aggregator methods.
   */
  restoreValues(config, grid) {
    const values = config.values;
    for (const value of values) {
      const aggregateList = value.aggregateList;
      const aggregators = PivotUtil.getAggregatorsForValue(value, grid);
      value.aggregate.aggregator = aggregators.find((x) => x.key === value.aggregate.key && x.label === value.aggregate.label)?.aggregator;
      if (aggregateList) {
        for (const ag of aggregateList) {
          ag.aggregator = aggregators.find((x) => x.key === ag.key && x.label === ag.label)?.aggregator;
        }
      }
    }
  }
  /**
   * This method builds a FilteringExpressionsTree from a provided object.
   */
  createExpressionsTreeFromObject(exprTreeObject) {
    if (!exprTreeObject || !exprTreeObject.filteringOperands) {
      return null;
    }
    const expressionsTree = new FilteringExpressionsTree(exprTreeObject.operator, exprTreeObject.fieldName);
    for (const item of exprTreeObject.filteringOperands) {
      if (item.filteringOperands) {
        const subTree = this.createExpressionsTreeFromObject(item);
        expressionsTree.filteringOperands.push(subTree);
      } else {
        const expr = item;
        let dataType;
        if (this.currGrid instanceof IgxPivotGridComponent) {
          dataType = this.currGrid.allDimensions.find((x) => x.memberName === expr.fieldName).dataType;
        } else if (this.currGrid.columns.length > 0) {
          dataType = this.currGrid.columns.find((c) => c.field === expr.fieldName).dataType;
        } else if (this.state.columns) {
          dataType = this.state.columns.find((c) => c.field === expr.fieldName).dataType;
        } else {
          return null;
        }
        if (Array.isArray(expr.searchVal)) {
          expr.searchVal = new Set(expr.searchVal);
        } else {
          expr.searchVal = expr.searchVal && (dataType === "date" || dataType === "dateTime") ? new Date(Date.parse(expr.searchVal)) : expr.searchVal;
        }
        const condition = this.generateFilteringCondition(dataType, expr.condition.name) || this.currGrid.columns.find((c) => c.field === expr.fieldName).filters.condition(expr.condition.name);
        if (condition) {
          expr.condition = condition;
          expressionsTree.filteringOperands.push(expr);
        }
      }
    }
    return expressionsTree;
  }
  /**
   * Returns the filtering logic function for a given dataType and condition (contains, greaterThan, etc.)
   */
  generateFilteringCondition(dataType, name) {
    let filters;
    switch (dataType) {
      case GridColumnDataType.Boolean:
        filters = IgxBooleanFilteringOperand.instance();
        break;
      case GridColumnDataType.Number:
        filters = IgxNumberFilteringOperand.instance();
        break;
      case GridColumnDataType.Date:
        filters = IgxDateFilteringOperand.instance();
        break;
      case GridColumnDataType.DateTime:
        filters = IgxDateTimeFilteringOperand.instance();
        break;
      case GridColumnDataType.String:
      default:
        filters = IgxStringFilteringOperand.instance();
        break;
    }
    return filters.condition(name);
  }
  stringifyCallback(key, val) {
    if (key === "searchVal" && val instanceof Set) {
      return Array.from(val);
    }
    return val;
  }
  getFeature(key) {
    const feature = this.FEATURES[key];
    return feature;
  }
  static {
    this.ɵfac = i0212.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0212, type: _IgxGridStateDirective, deps: [{ token: IGX_GRID_BASE, host: true, optional: true }, { token: i0212.ViewContainerRef }, { token: i0212.EnvironmentInjector }, { token: i0212.Injector }], target: i0212.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0212.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridStateDirective, isStandalone: true, selector: "[igxGridState]", inputs: { options: ["igxGridState", "options"] }, outputs: { stateParsed: "stateParsed" }, ngImport: i0212 });
  }
};
i0212.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0212, type: IgxGridStateDirective, decorators: [{
  type: Directive84,
  args: [{
    selector: "[igxGridState]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Host3
}, {
  type: Optional41
}, {
  type: Inject84,
  args: [IGX_GRID_BASE]
}] }, { type: i0212.ViewContainerRef }, { type: i0212.EnvironmentInjector }, { type: i0212.Injector }], propDecorators: { stateParsed: [{
  type: Output60
}], options: [{
  type: Input124,
  args: ["igxGridState"]
}] } });

// lib/grids/toolbar/common.mjs
import { Component as Component95, Directive as Directive85, HostBinding as HostBinding90 } from "@angular/core";
import * as i0213 from "@angular/core";
var IgxExcelTextDirective = class _IgxExcelTextDirective {
  static {
    this.ɵfac = i0213.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: _IgxExcelTextDirective, deps: [], target: i0213.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0213.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxExcelTextDirective, isStandalone: true, selector: "[excelText],excel-text", ngImport: i0213 });
  }
};
i0213.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: IgxExcelTextDirective, decorators: [{
  type: Directive85,
  args: [{
    selector: "[excelText],excel-text",
    standalone: true
  }]
}] });
var IgxCSVTextDirective = class _IgxCSVTextDirective {
  static {
    this.ɵfac = i0213.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: _IgxCSVTextDirective, deps: [], target: i0213.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0213.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxCSVTextDirective, isStandalone: true, selector: "[csvText],csv-text", ngImport: i0213 });
  }
};
i0213.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: IgxCSVTextDirective, decorators: [{
  type: Directive85,
  args: [{
    selector: "[csvText],csv-text",
    standalone: true
  }]
}] });
var IgxGridToolbarTitleComponent = class _IgxGridToolbarTitleComponent {
  constructor() {
    this.cssClass = "igx-grid-toolbar__title";
  }
  static {
    this.ɵfac = i0213.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: _IgxGridToolbarTitleComponent, deps: [], target: i0213.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0213.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarTitleComponent, isStandalone: true, selector: "igx-grid-toolbar-title", host: { properties: { "class.igx-grid-toolbar__title": "this.cssClass" } }, ngImport: i0213, template: "<ng-content></ng-content>", isInline: true });
  }
};
i0213.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: IgxGridToolbarTitleComponent, decorators: [{
  type: Component95,
  args: [{
    selector: "igx-grid-toolbar-title",
    template: "<ng-content></ng-content>",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding90,
  args: ["class.igx-grid-toolbar__title"]
}] } });
var IgxGridToolbarActionsComponent = class _IgxGridToolbarActionsComponent {
  constructor() {
    this.cssClass = "igx-grid-toolbar__actions";
  }
  static {
    this.ɵfac = i0213.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: _IgxGridToolbarActionsComponent, deps: [], target: i0213.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0213.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarActionsComponent, isStandalone: true, selector: "igx-grid-toolbar-actions", host: { properties: { "class.igx-grid-toolbar__actions": "this.cssClass" } }, ngImport: i0213, template: "<ng-content></ng-content>", isInline: true });
  }
};
i0213.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: IgxGridToolbarActionsComponent, decorators: [{
  type: Component95,
  args: [{
    selector: "igx-grid-toolbar-actions",
    template: "<ng-content></ng-content>",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding90,
  args: ["class.igx-grid-toolbar__actions"]
}] } });
var IgxGridToolbarDirective = class _IgxGridToolbarDirective {
  constructor(template) {
    this.template = template;
  }
  static ngTemplateContextGuard(_dir, ctx) {
    return true;
  }
  static {
    this.ɵfac = i0213.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: _IgxGridToolbarDirective, deps: [{ token: i0213.TemplateRef }], target: i0213.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0213.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarDirective, isStandalone: true, selector: "[igxGridToolbar]", ngImport: i0213 });
  }
};
i0213.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0213, type: IgxGridToolbarDirective, decorators: [{
  type: Directive85,
  args: [{
    selector: "[igxGridToolbar]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0213.TemplateRef }] });

// lib/grids/toolbar/grid-toolbar-advanced-filtering.component.mjs
import { Component as Component96, Inject as Inject85, Input as Input125 } from "@angular/core";
import { NgClass as NgClass31, NgIf as NgIf64 } from "@angular/common";
import * as i0214 from "@angular/core";
var IgxGridToolbarAdvancedFilteringComponent = class _IgxGridToolbarAdvancedFilteringComponent {
  /**
   * Returns the grid containing this component.
   */
  get grid() {
    return this.toolbar.grid;
  }
  constructor(toolbar) {
    this.toolbar = toolbar;
  }
  static {
    this.ɵfac = i0214.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0214, type: _IgxGridToolbarAdvancedFilteringComponent, deps: [{ token: IgxToolbarToken }], target: i0214.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0214.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarAdvancedFilteringComponent, isStandalone: true, selector: "igx-grid-toolbar-advanced-filtering", inputs: { overlaySettings: "overlaySettings" }, ngImport: i0214, template: `<button igxButton="outlined" type="button" [displayDensity]="grid.displayDensity" name="btnAdvancedFiltering" igxRipple
    [title]="grid?.resourceStrings.igx_grid_toolbar_advanced_filtering_button_tooltip"
    (click)="grid.openAdvancedFilteringDialog(overlaySettings)"
    [ngClass]="grid.advancedFilteringExpressionsTree ? 'igx-grid-toolbar__adv-filter--filtered' : 'igx-grid-toolbar__adv-filter'">
    <igx-icon>filter_list</igx-icon>
    <span #ref>
        <ng-content></ng-content>
    </span>
    <span *ngIf="!ref.childNodes.length">{{ grid?.resourceStrings.igx_grid_toolbar_advanced_filtering_button_label }}</span>
</button>
`, dependencies: [{ kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: NgClass31, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgIf64, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0214.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0214, type: IgxGridToolbarAdvancedFilteringComponent, decorators: [{
  type: Component96,
  args: [{ selector: "igx-grid-toolbar-advanced-filtering", standalone: true, imports: [IgxButtonDirective, IgxRippleDirective, NgClass31, IgxIconComponent, NgIf64], template: `<button igxButton="outlined" type="button" [displayDensity]="grid.displayDensity" name="btnAdvancedFiltering" igxRipple
    [title]="grid?.resourceStrings.igx_grid_toolbar_advanced_filtering_button_tooltip"
    (click)="grid.openAdvancedFilteringDialog(overlaySettings)"
    [ngClass]="grid.advancedFilteringExpressionsTree ? 'igx-grid-toolbar__adv-filter--filtered' : 'igx-grid-toolbar__adv-filter'">
    <igx-icon>filter_list</igx-icon>
    <span #ref>
        <ng-content></ng-content>
    </span>
    <span *ngIf="!ref.childNodes.length">{{ grid?.resourceStrings.igx_grid_toolbar_advanced_filtering_button_label }}</span>
</button>
` }]
}], ctorParameters: () => [{ type: IgxToolbarToken, decorators: [{
  type: Inject85,
  args: [IgxToolbarToken]
}] }], propDecorators: { overlaySettings: [{
  type: Input125
}] } });

// lib/grids/toolbar/grid-toolbar.component.mjs
import { Component as Component97, ContentChild as ContentChild21, HostBinding as HostBinding91, Inject as Inject86, Input as Input126, Optional as Optional42, booleanAttribute as booleanAttribute71 } from "@angular/core";
import { pinLeft as pinLeft3, unpinLeft as unpinLeft3 } from "@igniteui/material-icons-extended";
import { NgIf as NgIf65, NgTemplateOutlet as NgTemplateOutlet36 } from "@angular/common";
import * as i0215 from "@angular/core";
var IgxGridToolbarComponent = class _IgxGridToolbarComponent extends DisplayDensityBase {
  /**
   * Gets/sets the grid component for the toolbar component.
   *
   * @deprecated since version 17.1.0.
   * No longer required to be set for the Hierarchical Grid child grid template
   *
   * @remarks
   * Usually you should not set this property in the context of the default grid/tree grid.
   * The only grids that demands this to be set are the hierarchical child grids. For additional
   * information check the toolbar topic.
   */
  get grid() {
    if (this._grid) {
      return this._grid;
    }
    return this.api.grid;
  }
  set grid(value) {
    this._grid = value;
  }
  /** Returns the native DOM element of the toolbar component */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /**
   * @hidden
   * @internal
   */
  get cosyStyle() {
    return this.displayDensity === "cosy";
  }
  /**
   * @hidden
   * @internal
   */
  get compactStyle() {
    return this.displayDensity === "compact";
  }
  constructor(_displayDensityOptions, api, iconService, element) {
    super(_displayDensityOptions, element);
    this._displayDensityOptions = _displayDensityOptions;
    this.api = api;
    this.iconService = iconService;
    this.element = element;
    this.showProgress = false;
    this.defaultStyle = true;
    this.iconService.addSvgIconFromText(pinLeft3.name, pinLeft3.value, "imx-icons");
    this.iconService.addSvgIconFromText(unpinLeft3.name, unpinLeft3.value, "imx-icons");
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.sub?.unsubscribe();
  }
  static {
    this.ɵfac = i0215.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0215, type: _IgxGridToolbarComponent, deps: [{ token: DisplayDensityToken, optional: true }, { token: IGX_GRID_SERVICE_BASE }, { token: IgxIconService }, { token: i0215.ElementRef }], target: i0215.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0215.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridToolbarComponent, isStandalone: true, selector: "igx-grid-toolbar", inputs: { showProgress: ["showProgress", "showProgress", booleanAttribute71], grid: "grid" }, host: { properties: { "class.igx-grid-toolbar": "this.defaultStyle", "class.igx-grid-toolbar--cosy": "this.cosyStyle", "class.igx-grid-toolbar--compact": "this.compactStyle" } }, providers: [{ provide: IgxToolbarToken, useExisting: _IgxGridToolbarComponent }], queries: [{ propertyName: "hasActions", first: true, predicate: IgxGridToolbarActionsComponent, descendants: true }], usesInheritance: true, ngImport: i0215, template: '<ng-content select="[igxGridToolbarTitle],igx-grid-toolbar-title"></ng-content>\n\n<div class="igx-grid-toolbar__custom-content">\n    <ng-content></ng-content>\n</div>\n\n<ng-template #actions>\n    <ng-content select="[igxGridToolbarActions],igx-grid-toolbar-actions"></ng-content>\n</ng-template>\n<igx-grid-toolbar-actions *ngIf="!hasActions">\n    <igx-grid-toolbar-advanced-filtering *ngIf="grid.allowAdvancedFiltering"></igx-grid-toolbar-advanced-filtering>\n</igx-grid-toolbar-actions>\n<ng-container *ngTemplateOutlet="actions"></ng-container>\n\n\n<div class="igx-grid-toolbar__progress-bar" *ngIf="showProgress">\n    <igx-linear-bar [indeterminate]="true"></igx-linear-bar>\n</div>\n', dependencies: [{ kind: "directive", type: NgIf65, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxGridToolbarActionsComponent, selector: "igx-grid-toolbar-actions" }, { kind: "component", type: IgxGridToolbarAdvancedFilteringComponent, selector: "igx-grid-toolbar-advanced-filtering", inputs: ["overlaySettings"] }, { kind: "directive", type: NgTemplateOutlet36, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxLinearProgressBarComponent, selector: "igx-linear-bar", inputs: ["striped", "role", "id", "textAlign", "textVisibility", "textTop", "text", "type"] }] });
  }
};
i0215.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0215, type: IgxGridToolbarComponent, decorators: [{
  type: Component97,
  args: [{ selector: "igx-grid-toolbar", providers: [{ provide: IgxToolbarToken, useExisting: IgxGridToolbarComponent }], standalone: true, imports: [NgIf65, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, NgTemplateOutlet36, IgxLinearProgressBarComponent], template: '<ng-content select="[igxGridToolbarTitle],igx-grid-toolbar-title"></ng-content>\n\n<div class="igx-grid-toolbar__custom-content">\n    <ng-content></ng-content>\n</div>\n\n<ng-template #actions>\n    <ng-content select="[igxGridToolbarActions],igx-grid-toolbar-actions"></ng-content>\n</ng-template>\n<igx-grid-toolbar-actions *ngIf="!hasActions">\n    <igx-grid-toolbar-advanced-filtering *ngIf="grid.allowAdvancedFiltering"></igx-grid-toolbar-advanced-filtering>\n</igx-grid-toolbar-actions>\n<ng-container *ngTemplateOutlet="actions"></ng-container>\n\n\n<div class="igx-grid-toolbar__progress-bar" *ngIf="showProgress">\n    <igx-linear-bar [indeterminate]="true"></igx-linear-bar>\n</div>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Optional42
}, {
  type: Inject86,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Inject86,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: IgxIconService }, { type: i0215.ElementRef }], propDecorators: { showProgress: [{
  type: Input126,
  args: [{ transform: booleanAttribute71 }]
}], grid: [{
  type: Input126
}], hasActions: [{
  type: ContentChild21,
  args: [IgxGridToolbarActionsComponent]
}], defaultStyle: [{
  type: HostBinding91,
  args: ["class.igx-grid-toolbar"]
}], cosyStyle: [{
  type: HostBinding91,
  args: ["class.igx-grid-toolbar--cosy"]
}], compactStyle: [{
  type: HostBinding91,
  args: ["class.igx-grid-toolbar--compact"]
}] } });

// lib/grids/toolbar/grid-toolbar.base.mjs
import { Directive as Directive86, Input as Input127, EventEmitter as EventEmitter70, Output as Output61, Inject as Inject87, booleanAttribute as booleanAttribute72 } from "@angular/core";
import { Subject as Subject52 } from "rxjs";
import { first as first13, takeUntil as takeUntil46 } from "rxjs/operators";
import * as i0216 from "@angular/core";
var BaseToolbarDirective = class _BaseToolbarDirective {
  /**
   * Sets overlay settings
   */
  set overlaySettings(overlaySettings) {
    this._overlaySettings = overlaySettings;
  }
  /**
   * Returns overlay settings
   */
  get overlaySettings() {
    return this._overlaySettings;
  }
  /**
   * Returns the grid containing this component.
   */
  get grid() {
    return this.toolbar.grid;
  }
  constructor(toolbar) {
    this.toolbar = toolbar;
    this.opening = new EventEmitter70();
    this.opened = new EventEmitter70();
    this.closing = new EventEmitter70();
    this.closed = new EventEmitter70();
    this.columnToggle = new EventEmitter70();
    this.$destroy = new Subject52();
    this._overlaySettings = {
      positionStrategy: new ConnectedPositioningStrategy({
        horizontalDirection: HorizontalAlignment.Left,
        horizontalStartPoint: HorizontalAlignment.Right,
        verticalDirection: VerticalAlignment.Bottom,
        verticalStartPoint: VerticalAlignment.Bottom
      }),
      scrollStrategy: new AbsoluteScrollStrategy(),
      modal: false,
      closeOnEscape: true,
      closeOnOutsideClick: true
    };
  }
  /** @hidden @internal **/
  ngOnDestroy() {
    this.$destroy.next();
    this.$destroy.complete();
  }
  /** @hidden @internal */
  toggle(anchorElement, toggleRef, actions) {
    if (actions) {
      this._setupListeners(toggleRef, actions);
      const setHeight = () => actions.columnsAreaMaxHeight = actions.columnsAreaMaxHeight !== "100%" ? actions.columnsAreaMaxHeight : this.columnListHeight ?? `${Math.max(this.grid.calcHeight * 0.5, 200)}px`;
      toggleRef.opening.pipe(first13()).subscribe(setHeight);
    }
    toggleRef.toggle({
      ...this.overlaySettings,
      ...{
        target: anchorElement,
        outlet: this.grid.outlet,
        excludeFromOutsideClick: [anchorElement]
      }
    });
  }
  /** @hidden @internal */
  focusSearch(columnActions) {
    columnActions.querySelector("input")?.focus();
  }
  _setupListeners(toggleRef, actions) {
    if (actions) {
      if (!this.$sub || this.$sub.closed) {
        this.$sub = actions.columnToggled.pipe(takeUntil46(this.$destroy)).subscribe((event) => this.columnToggle.emit(event));
      }
    }
    if (toggleRef.collapsed) {
      toggleRef.opening.pipe(first13(), takeUntil46(this.$destroy)).subscribe((event) => this.opening.emit(event));
      toggleRef.opened.pipe(first13(), takeUntil46(this.$destroy)).subscribe((event) => this.opened.emit(event));
    } else {
      toggleRef.closing.pipe(first13(), takeUntil46(this.$destroy)).subscribe((event) => this.closing.emit(event));
      toggleRef.closed.pipe(first13(), takeUntil46(this.$destroy)).subscribe((event) => this.closed.emit(event));
    }
  }
  static {
    this.ɵfac = i0216.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0216, type: _BaseToolbarDirective, deps: [{ token: IgxToolbarToken }], target: i0216.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0216.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _BaseToolbarDirective, inputs: { columnListHeight: "columnListHeight", title: "title", prompt: "prompt", overlaySettings: "overlaySettings" }, outputs: { opening: "opening", opened: "opened", closing: "closing", closed: "closed", columnToggle: "columnToggle" }, ngImport: i0216 });
  }
};
i0216.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0216, type: BaseToolbarDirective, decorators: [{
  type: Directive86
}], ctorParameters: () => [{ type: IgxToolbarToken, decorators: [{
  type: Inject87,
  args: [IgxToolbarToken]
}] }], propDecorators: { columnListHeight: [{
  type: Input127
}], title: [{
  type: Input127
}], prompt: [{
  type: Input127
}], overlaySettings: [{
  type: Input127
}], opening: [{
  type: Output61
}], opened: [{
  type: Output61
}], closing: [{
  type: Output61
}], closed: [{
  type: Output61
}], columnToggle: [{
  type: Output61
}] } });
var BaseToolbarColumnActionsDirective = class _BaseToolbarColumnActionsDirective extends BaseToolbarDirective {
  constructor() {
    super(...arguments);
    this.hideFilter = false;
    this.filterCriteria = "";
    this.columnDisplayOrder = ColumnDisplayOrder.DisplayOrder;
    this.columnsAreaMaxHeight = "100%";
    this.indentetion = 30;
  }
  checkAll() {
    this.columnActionsUI.checkAllColumns();
  }
  uncheckAll() {
    this.columnActionsUI.uncheckAllColumns();
  }
  static {
    this.ɵfac = i0216.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0216, type: _BaseToolbarColumnActionsDirective, deps: null, target: i0216.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0216.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _BaseToolbarColumnActionsDirective, inputs: { hideFilter: ["hideFilter", "hideFilter", booleanAttribute72], filterCriteria: "filterCriteria", columnDisplayOrder: "columnDisplayOrder", columnsAreaMaxHeight: "columnsAreaMaxHeight", uncheckAllText: "uncheckAllText", checkAllText: "checkAllText", indentetion: "indentetion", buttonText: "buttonText" }, usesInheritance: true, ngImport: i0216 });
  }
};
i0216.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0216, type: BaseToolbarColumnActionsDirective, decorators: [{
  type: Directive86
}], propDecorators: { hideFilter: [{
  type: Input127,
  args: [{ transform: booleanAttribute72 }]
}], filterCriteria: [{
  type: Input127
}], columnDisplayOrder: [{
  type: Input127
}], columnsAreaMaxHeight: [{
  type: Input127
}], uncheckAllText: [{
  type: Input127
}], checkAllText: [{
  type: Input127
}], indentetion: [{
  type: Input127
}], buttonText: [{
  type: Input127
}] } });

// lib/grids/toolbar/grid-toolbar-exporter.component.mjs
import { Component as Component98, ContentChild as ContentChild22, Input as Input128, Output as Output62, EventEmitter as EventEmitter71, Inject as Inject88, booleanAttribute as booleanAttribute73 } from "@angular/core";
import { first as first14 } from "rxjs/operators";
import { NgIf as NgIf66, NgTemplateOutlet as NgTemplateOutlet37 } from "@angular/common";
import * as i0217 from "@angular/core";
var IgxGridToolbarExporterComponent = class _IgxGridToolbarExporterComponent extends BaseToolbarDirective {
  constructor(toolbar, excelExporter, csvExporter) {
    super(toolbar);
    this.excelExporter = excelExporter;
    this.csvExporter = csvExporter;
    this.exportCSV = true;
    this.exportExcel = true;
    this.filename = "ExportedData";
    this.exportStarted = new EventEmitter71();
    this.exportEnded = new EventEmitter71();
    this.isExporting = false;
  }
  export(type, toggleRef) {
    let options;
    let exporter;
    toggleRef?.close();
    switch (type) {
      case "csv":
        options = new IgxCsvExporterOptions(this.filename, CsvFileTypes.CSV);
        exporter = this.csvExporter;
        break;
      case "excel":
        options = new IgxExcelExporterOptions(this.filename);
        exporter = this.excelExporter;
    }
    const args = { exporter, options, grid: this.grid, cancel: false };
    this.exportStarted.emit(args);
    this.grid.toolbarExporting.emit(args);
    this.isExporting = true;
    this.toolbar.showProgress = true;
    if (args.cancel) {
      return;
    }
    exporter.exportEnded.pipe(first14()).subscribe(() => {
      this.exportEnded.emit();
      this.isExporting = false;
      this.toolbar.showProgress = false;
    });
    exporter.export(this.grid, options);
  }
  static {
    this.ɵfac = i0217.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0217, type: _IgxGridToolbarExporterComponent, deps: [{ token: IgxToolbarToken }, { token: IgxExcelExporterService }, { token: IgxCsvExporterService }], target: i0217.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0217.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxGridToolbarExporterComponent, isStandalone: true, selector: "igx-grid-toolbar-exporter", inputs: { exportCSV: ["exportCSV", "exportCSV", booleanAttribute73], exportExcel: ["exportExcel", "exportExcel", booleanAttribute73], filename: "filename" }, outputs: { exportStarted: "exportStarted", exportEnded: "exportEnded" }, queries: [{ propertyName: "hasExcelAttr", first: true, predicate: IgxExcelTextDirective, descendants: true }, { propertyName: "hasCSVAttr", first: true, predicate: IgxCSVTextDirective, descendants: true }], usesInheritance: true, ngImport: i0217, template: `<button [title]="grid?.resourceStrings.igx_grid_toolbar_exporter_button_tooltip" [disabled]="isExporting"
    igxButton="outlined" type="button" [displayDensity]="grid.displayDensity" igxRipple #btn (click)="toggle(btn, toggleRef)">

    <igx-icon>import_export</igx-icon>
    <span #ref>
        <ng-content></ng-content>
    </span>
    <span *ngIf="!ref.childNodes.length">
        {{ grid?.resourceStrings.igx_grid_toolbar_exporter_button_label }}
    </span>
    <igx-icon>arrow_drop_down</igx-icon>
</button>

<div class="igx-grid-toolbar__dropdown" id="btnExport">
    <ul class="igx-grid-toolbar__dd-list" igxToggle #toggleRef="toggle">
        <li *ngIf="exportExcel" #btnExportExcel id="btnExportExcel"
            class="igx-grid-toolbar__dd-list-items" igxRipple (click)="export('excel', toggleRef)">
            <ng-template #excel>
                <ng-content select=[excelText],excel-text></ng-content>
            </ng-template>
            <excel-text *ngIf="!hasExcelAttr">
                {{ grid?.resourceStrings.igx_grid_toolbar_exporter_excel_entry_text}}
            </excel-text>
            <ng-container *ngTemplateOutlet="excel"></ng-container>
        </li>

        <li *ngIf="exportCSV" #btnExportCsv id="btnExportCsv" class="igx-grid-toolbar__dd-list-items"
            igxRipple (click)="export('csv', toggleRef)">
            <ng-template #csv>
                <ng-content select=[csvText],csv-text></ng-content>
            </ng-template>
            <csv-text *ngIf="!hasCSVAttr">
                {{ grid?.resourceStrings.igx_grid_toolbar_exporter_csv_entry_text }}</csv-text>
            <ng-container *ngTemplateOutlet="csv"></ng-container>
        </li>
    </ul>
</div>
`, dependencies: [{ kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgIf66, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "directive", type: IgxExcelTextDirective, selector: "[excelText],excel-text" }, { kind: "directive", type: NgTemplateOutlet37, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxCSVTextDirective, selector: "[csvText],csv-text" }] });
  }
};
i0217.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0217, type: IgxGridToolbarExporterComponent, decorators: [{
  type: Component98,
  args: [{ selector: "igx-grid-toolbar-exporter", standalone: true, imports: [IgxButtonDirective, IgxRippleDirective, IgxIconComponent, NgIf66, IgxToggleDirective, IgxExcelTextDirective, NgTemplateOutlet37, IgxCSVTextDirective], template: `<button [title]="grid?.resourceStrings.igx_grid_toolbar_exporter_button_tooltip" [disabled]="isExporting"
    igxButton="outlined" type="button" [displayDensity]="grid.displayDensity" igxRipple #btn (click)="toggle(btn, toggleRef)">

    <igx-icon>import_export</igx-icon>
    <span #ref>
        <ng-content></ng-content>
    </span>
    <span *ngIf="!ref.childNodes.length">
        {{ grid?.resourceStrings.igx_grid_toolbar_exporter_button_label }}
    </span>
    <igx-icon>arrow_drop_down</igx-icon>
</button>

<div class="igx-grid-toolbar__dropdown" id="btnExport">
    <ul class="igx-grid-toolbar__dd-list" igxToggle #toggleRef="toggle">
        <li *ngIf="exportExcel" #btnExportExcel id="btnExportExcel"
            class="igx-grid-toolbar__dd-list-items" igxRipple (click)="export('excel', toggleRef)">
            <ng-template #excel>
                <ng-content select=[excelText],excel-text></ng-content>
            </ng-template>
            <excel-text *ngIf="!hasExcelAttr">
                {{ grid?.resourceStrings.igx_grid_toolbar_exporter_excel_entry_text}}
            </excel-text>
            <ng-container *ngTemplateOutlet="excel"></ng-container>
        </li>

        <li *ngIf="exportCSV" #btnExportCsv id="btnExportCsv" class="igx-grid-toolbar__dd-list-items"
            igxRipple (click)="export('csv', toggleRef)">
            <ng-template #csv>
                <ng-content select=[csvText],csv-text></ng-content>
            </ng-template>
            <csv-text *ngIf="!hasCSVAttr">
                {{ grid?.resourceStrings.igx_grid_toolbar_exporter_csv_entry_text }}</csv-text>
            <ng-container *ngTemplateOutlet="csv"></ng-container>
        </li>
    </ul>
</div>
` }]
}], ctorParameters: () => [{ type: IgxToolbarToken, decorators: [{
  type: Inject88,
  args: [IgxToolbarToken]
}] }, { type: IgxExcelExporterService }, { type: IgxCsvExporterService }], propDecorators: { hasExcelAttr: [{
  type: ContentChild22,
  args: [IgxExcelTextDirective]
}], hasCSVAttr: [{
  type: ContentChild22,
  args: [IgxCSVTextDirective]
}], exportCSV: [{
  type: Input128,
  args: [{ transform: booleanAttribute73 }]
}], exportExcel: [{
  type: Input128,
  args: [{ transform: booleanAttribute73 }]
}], filename: [{
  type: Input128
}], exportStarted: [{
  type: Output62
}], exportEnded: [{
  type: Output62
}] } });

// lib/grids/toolbar/grid-toolbar-hiding.component.mjs
import { Component as Component99, ViewChild as ViewChild56 } from "@angular/core";
import { NgIf as NgIf67, AsyncPipe } from "@angular/common";
import * as i0218 from "@angular/core";
var IgxGridToolbarHidingComponent = class _IgxGridToolbarHidingComponent extends BaseToolbarColumnActionsDirective {
  set content(content) {
    this.columnActionsUI = content;
  }
  static {
    this.ɵfac = i0218.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0218, type: _IgxGridToolbarHidingComponent, deps: null, target: i0218.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0218.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarHidingComponent, isStandalone: true, selector: "igx-grid-toolbar-hiding", viewQueries: [{ propertyName: "content", first: true, predicate: IgxColumnHidingDirective, descendants: true, read: IgxColumnActionsComponent }], usesInheritance: true, ngImport: i0218, template: `<ng-container *ngIf="grid.rendered$ | async">
    <button [title]="grid?.resourceStrings.igx_grid_toolbar_hiding_button_tooltip" #btn igxButton="outlined" type="button"
        name="btnColumnHiding" (click)="toggle(btn, ref, actions)" [displayDensity]="grid.displayDensity">
        <igx-icon>{{ !grid.hiddenColumnsCount ? 'visibility' : 'visibility_off' }}</igx-icon>
        <span>{{ grid.hiddenColumnsCount }}</span>
        <span>{{ buttonText }}</span>
    </button>
    <igx-column-actions #actions igxColumnHiding igxToggle (opened)="focusSearch(ref.element)" #ref="toggle"
        [grid]="grid" [title]="title || grid?.resourceStrings.igx_grid_toolbar_hiding_title"
        [filterColumnsPrompt]="prompt || grid?.resourceStrings.igx_grid_toolbar_actions_filter_prompt"
        [hideFilter]="hideFilter" [filterCriteria]="filterCriteria" [columnDisplayOrder]="columnDisplayOrder" [columnsAreaMaxHeight]="columnsAreaMaxHeight"
        [uncheckAllText]="uncheckAllText" [checkAllText]="checkAllText" [indentation]="indentetion">
    </igx-column-actions>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf67, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxColumnActionsComponent, selector: "igx-column-actions", inputs: ["grid", "indentation", "columnsAreaMaxHeight", "hideFilter", "title", "filterColumnsPrompt", "filterCriteria", "columnDisplayOrder", "uncheckAllText", "checkAllText", "id"], outputs: ["columnToggled"] }, { kind: "directive", type: IgxColumnHidingDirective, selector: "[igxColumnHiding]" }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "pipe", type: AsyncPipe, name: "async" }] });
  }
};
i0218.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0218, type: IgxGridToolbarHidingComponent, decorators: [{
  type: Component99,
  args: [{ selector: "igx-grid-toolbar-hiding", standalone: true, imports: [NgIf67, IgxButtonDirective, IgxIconComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxToggleDirective, AsyncPipe], template: `<ng-container *ngIf="grid.rendered$ | async">
    <button [title]="grid?.resourceStrings.igx_grid_toolbar_hiding_button_tooltip" #btn igxButton="outlined" type="button"
        name="btnColumnHiding" (click)="toggle(btn, ref, actions)" [displayDensity]="grid.displayDensity">
        <igx-icon>{{ !grid.hiddenColumnsCount ? 'visibility' : 'visibility_off' }}</igx-icon>
        <span>{{ grid.hiddenColumnsCount }}</span>
        <span>{{ buttonText }}</span>
    </button>
    <igx-column-actions #actions igxColumnHiding igxToggle (opened)="focusSearch(ref.element)" #ref="toggle"
        [grid]="grid" [title]="title || grid?.resourceStrings.igx_grid_toolbar_hiding_title"
        [filterColumnsPrompt]="prompt || grid?.resourceStrings.igx_grid_toolbar_actions_filter_prompt"
        [hideFilter]="hideFilter" [filterCriteria]="filterCriteria" [columnDisplayOrder]="columnDisplayOrder" [columnsAreaMaxHeight]="columnsAreaMaxHeight"
        [uncheckAllText]="uncheckAllText" [checkAllText]="checkAllText" [indentation]="indentetion">
    </igx-column-actions>
</ng-container>
` }]
}], propDecorators: { content: [{
  type: ViewChild56,
  args: [IgxColumnHidingDirective, { read: IgxColumnActionsComponent }]
}] } });

// lib/grids/toolbar/grid-toolbar-pinning.component.mjs
import { Component as Component100, ViewChild as ViewChild57 } from "@angular/core";
import { NgIf as NgIf68, AsyncPipe as AsyncPipe2 } from "@angular/common";
import * as i0219 from "@angular/core";
var IgxGridToolbarPinningComponent = class _IgxGridToolbarPinningComponent extends BaseToolbarColumnActionsDirective {
  set content(content) {
    this.columnActionsUI = content;
  }
  static {
    this.ɵfac = i0219.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0219, type: _IgxGridToolbarPinningComponent, deps: null, target: i0219.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0219.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxGridToolbarPinningComponent, isStandalone: true, selector: "igx-grid-toolbar-pinning", viewQueries: [{ propertyName: "content", first: true, predicate: IgxColumnPinningDirective, descendants: true, read: IgxColumnActionsComponent }], usesInheritance: true, ngImport: i0219, template: `<ng-container *ngIf="grid.rendered$ | async">
    <button [title]="grid?.resourceStrings.igx_grid_toolbar_pinning_button_tooltip" #btn igxButton="outlined" type="button"
        name="btnColumnPinning" (click)="toggle(btn, ref, actions)" [displayDensity]="grid.displayDensity">
        <igx-icon family="imx-icons" [name]="!grid.pinnedColumnsCount ? 'unpin-left' : 'pin-left'"></igx-icon>
        <span>{{ grid.pinnedColumnsCount }}</span>
        <span>{{ buttonText }}</span>
    </button>
    <igx-column-actions #actions igxColumnPinning igxToggle (opened)="focusSearch(ref.element)" #ref="toggle"
        [grid]="grid" [title]="title || grid?.resourceStrings.igx_grid_toolbar_pinning_title"
        [filterColumnsPrompt]="prompt || grid?.resourceStrings.igx_grid_toolbar_actions_filter_prompt"
        [hideFilter]="hideFilter" [filterCriteria]="filterCriteria" [columnDisplayOrder]="columnDisplayOrder" [columnsAreaMaxHeight]="columnsAreaMaxHeight"
        [uncheckAllText]="uncheckAllText" [checkAllText]="checkAllText" [indentation]="indentetion">
    </igx-column-actions>
</ng-container>
`, dependencies: [{ kind: "directive", type: NgIf68, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxColumnActionsComponent, selector: "igx-column-actions", inputs: ["grid", "indentation", "columnsAreaMaxHeight", "hideFilter", "title", "filterColumnsPrompt", "filterCriteria", "columnDisplayOrder", "uncheckAllText", "checkAllText", "id"], outputs: ["columnToggled"] }, { kind: "directive", type: IgxColumnPinningDirective, selector: "[igxColumnPinning]" }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "pipe", type: AsyncPipe2, name: "async" }] });
  }
};
i0219.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0219, type: IgxGridToolbarPinningComponent, decorators: [{
  type: Component100,
  args: [{ selector: "igx-grid-toolbar-pinning", standalone: true, imports: [NgIf68, IgxButtonDirective, IgxIconComponent, IgxColumnActionsComponent, IgxColumnPinningDirective, IgxToggleDirective, AsyncPipe2], template: `<ng-container *ngIf="grid.rendered$ | async">
    <button [title]="grid?.resourceStrings.igx_grid_toolbar_pinning_button_tooltip" #btn igxButton="outlined" type="button"
        name="btnColumnPinning" (click)="toggle(btn, ref, actions)" [displayDensity]="grid.displayDensity">
        <igx-icon family="imx-icons" [name]="!grid.pinnedColumnsCount ? 'unpin-left' : 'pin-left'"></igx-icon>
        <span>{{ grid.pinnedColumnsCount }}</span>
        <span>{{ buttonText }}</span>
    </button>
    <igx-column-actions #actions igxColumnPinning igxToggle (opened)="focusSearch(ref.element)" #ref="toggle"
        [grid]="grid" [title]="title || grid?.resourceStrings.igx_grid_toolbar_pinning_title"
        [filterColumnsPrompt]="prompt || grid?.resourceStrings.igx_grid_toolbar_actions_filter_prompt"
        [hideFilter]="hideFilter" [filterCriteria]="filterCriteria" [columnDisplayOrder]="columnDisplayOrder" [columnsAreaMaxHeight]="columnsAreaMaxHeight"
        [uncheckAllText]="uncheckAllText" [checkAllText]="checkAllText" [indentation]="indentetion">
    </igx-column-actions>
</ng-container>
` }]
}], propDecorators: { content: [{
  type: ViewChild57,
  args: [IgxColumnPinningDirective, { read: IgxColumnActionsComponent }]
}] } });

// lib/grids/public_api.mjs
var IGX_GRID_COMMON_DIRECTIVES = [
  IgxRowDirective,
  IgxGridFooterComponent,
  IgxAdvancedFilteringDialogComponent,
  IgxRowExpandedIndicatorDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxExcelStyleHeaderIconDirective,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxDragIndicatorIconDirective,
  IgxRowDragGhostDirective,
  IgxGridStateDirective,
  // IGX_GRID_HEADERS_DIRECTIVES:
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  // IGX_GRID_COLUMN_DIRECTIVES:
  IgxFilterCellTemplateDirective,
  IgxSummaryTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellEditorTemplateDirective,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumnComponent,
  IgxColumnGroupComponent,
  IgxColumnLayoutComponent,
  // IGX_GRID_COLUMN_ACTIONS_DIRECTIVES:
  IgxColumnActionsComponent,
  IgxColumnHidingDirective,
  IgxColumnPinningDirective,
  // IGX_GRID_SELECTION_DIRECTIVES:
  IgxRowSelectorDirective,
  IgxGroupByRowSelectorDirective,
  IgxHeadSelectorDirective,
  // IGX_GRID_TOOLBAR_DIRECTIVES:
  IgxCSVTextDirective,
  IgxExcelTextDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarDirective,
  // IGX_GRID_EXCEL_STYLE_FILTER_DIRECTIVES:
  IgxGridExcelStyleFilteringComponent,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleMovingComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleLoadingValuesTemplateDirective
];

// lib/paginator/paginator-interfaces.mjs
import { Directive as Directive87 } from "@angular/core";
import * as i0220 from "@angular/core";
var IgxPaginatorDirective = class _IgxPaginatorDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0220.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0220, type: _IgxPaginatorDirective, deps: [{ token: i0220.TemplateRef }], target: i0220.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0220.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPaginatorDirective, isStandalone: true, selector: "[igxPaginator]", ngImport: i0220 });
  }
};
i0220.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0220, type: IgxPaginatorDirective, decorators: [{
  type: Directive87,
  args: [{
    selector: "[igxPaginator]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0220.TemplateRef }] });

// lib/core/i18n/paginator-resources.mjs
var PaginatorResourceStringsEN = {
  igx_paginator_label: "Items per page",
  igx_paginator_pager_text: "of",
  igx_paginator_first_page_button_text: "Go to first page",
  igx_paginator_previous_page_button_text: "Previous page",
  igx_paginator_last_page_button_text: "Go to last page",
  igx_paginator_next_page_button_text: "Next page"
};

// lib/paginator/paginator.component.mjs
import { Component as Component101, ContentChild as ContentChild23, Directive as Directive88, EventEmitter as EventEmitter72, Host as Host4, HostBinding as HostBinding92, Inject as Inject89, Input as Input129, Optional as Optional43, Output as Output63, forwardRef as forwardRef23 } from "@angular/core";
import { FormsModule as FormsModule7 } from "@angular/forms";
import { NgIf as NgIf69, NgFor as NgFor28 } from "@angular/common";
import * as i0221 from "@angular/core";
import * as i19 from "@angular/forms";
var IgxPaginatorContentDirective = class _IgxPaginatorContentDirective {
  constructor() {
    this.cssClass = "igx-paginator-content";
  }
  static {
    this.ɵfac = i0221.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: _IgxPaginatorContentDirective, deps: [], target: i0221.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0221.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPaginatorContentDirective, isStandalone: true, selector: "[igxPaginatorContent],igx-paginator-content", host: { properties: { "class.igx-paginator-content": "this.cssClass" } }, ngImport: i0221 });
  }
};
i0221.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: IgxPaginatorContentDirective, decorators: [{
  type: Directive88,
  args: [{
    selector: "[igxPaginatorContent],igx-paginator-content",
    standalone: true
  }]
}], propDecorators: { cssClass: [{
  type: HostBinding92,
  args: ["class.igx-paginator-content"]
}] } });
var IgxPaginatorComponent = class _IgxPaginatorComponent extends DisplayDensityBase {
  /** @hidden @internal */
  get componentSize() {
    return this.getComponentSizeStyles();
  }
  /**
   * Gets/Sets the current page of the paginator.
   * The default is 0.
   * ```typescript
   * let page = this.paginator.page;
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  get page() {
    return this._page;
  }
  set page(value) {
    if (this._page === value || value < 0 || value > this.totalPages) {
      return;
    }
    const cancelEventArgs = { current: this._page, next: value, cancel: false };
    const eventArgs = { previous: this._page, current: value };
    this.paging.emit(cancelEventArgs);
    if (cancelEventArgs.cancel) {
      return;
    }
    this._page = value;
    this.pageChange.emit(this._page);
    this.pagingDone.emit(eventArgs);
  }
  /**
   * Gets/Sets the number of visible items per page in the paginator.
   * The default is 15.
   * ```typescript
   * let itemsPerPage = this.paginator.perPage;
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  get perPage() {
    return this._perPage;
  }
  set perPage(value) {
    if (value < 0 || this.perPage === value) {
      return;
    }
    this._perPage = Number(value);
    this.perPageChange.emit(this._perPage);
    this._selectOptions = this.sortUniqueOptions(this.defaultSelectValues, this._perPage);
    this.totalPages = Math.ceil(this.totalRecords / this._perPage);
    if (this.totalPages !== 0 && this.page >= this.totalPages) {
      this.page = this.totalPages - 1;
    }
  }
  /**
   * Sets the total records.
   * ```typescript
   * let totalRecords = this.paginator.totalRecords;
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  get totalRecords() {
    return this._totalRecords;
  }
  set totalRecords(value) {
    this._totalRecords = value;
    this.totalPages = Math.ceil(this.totalRecords / this.perPage);
    if (this.page > this.totalPages) {
      this.page = 0;
    }
    this.cdr.detectChanges();
  }
  /**
   * Sets custom options in the select of the paginator
   * ```typescript
   * let options = this.paginator.selectOptions;
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  get selectOptions() {
    return this._selectOptions;
  }
  set selectOptions(value) {
    this._selectOptions = this.sortUniqueOptions(value, this._perPage);
    this.defaultSelectValues = [...value];
  }
  /**
   * Sets custom OverlaySettings.
   * ```html
   * <igx-paginator [overlaySettings] = "customOverlaySettings"></igx-paginator>
   * ```
   */
  get overlaySettings() {
    return this._overlaySettings;
  }
  set overlaySettings(value) {
    this._overlaySettings = Object.assign({}, this._overlaySettings, value);
  }
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  constructor(_displayDensityOptions, elementRef, cdr) {
    super(_displayDensityOptions, elementRef);
    this._displayDensityOptions = _displayDensityOptions;
    this.elementRef = elementRef;
    this.cdr = cdr;
    this.perPageChange = new EventEmitter72();
    this.pageChange = new EventEmitter72();
    this.paging = new EventEmitter72();
    this.pagingDone = new EventEmitter72();
    this._page = 0;
    this._selectOptions = [5, 10, 15, 25, 50, 100, 500];
    this._perPage = 15;
    this._resourceStrings = getCurrentResourceStrings(PaginatorResourceStringsEN);
    this._overlaySettings = {};
    this.defaultSelectValues = [5, 10, 15, 25, 50, 100, 500];
    this.cssClass = "igx-paginator";
  }
  /**
   * Returns if the current page is the last page.
   * ```typescript
   * const lastPage = this.paginator.isLastPage;
   * ```
   */
  get isLastPage() {
    return this.page + 1 >= this.totalPages;
  }
  /**
   * Returns if the current page is the first page.
   * ```typescript
   * const lastPage = this.paginator.isFirstPage;
   * ```
   */
  get isFirstPage() {
    return this.page === 0;
  }
  /**
   * Returns if the first pager buttons should be disabled
   */
  get isFirstPageDisabled() {
    return this.isFirstPage;
  }
  /**
   * Returns if the last pager buttons should be disabled
   */
  get isLastPageDisabled() {
    return this.isLastPage;
  }
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  /**
   * Goes to the next page of the `IgxPaginatorComponent`, if the paginator is not already at the last page.
   * ```typescript
   * this.paginator.nextPage();
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  nextPage() {
    if (!this.isLastPage) {
      this.page += 1;
    }
  }
  /**
   * Goes to the previous page of the `IgxPaginatorComponent`, if the paginator is not already at the first page.
   * ```typescript
   * this.paginator.previousPage();
   * ```
   *
   * @memberof IgxPaginatorComponent
   */
  previousPage() {
    if (!this.isFirstPage) {
      this.page -= 1;
    }
  }
  /**
   * Goes to the desired page index.
   * ```typescript
   * this.paginator.paginate(1);
   * ```
   *
   * @param val
   * @memberof IgxPaginatorComponent
   */
  paginate(val) {
    if (val < 0 || val > this.totalPages - 1) {
      return;
    }
    this.page = val;
  }
  sortUniqueOptions(values, newOption) {
    return Array.from(/* @__PURE__ */ new Set([...values, newOption])).sort((a, b) => a - b);
  }
  static {
    this.ɵfac = i0221.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: _IgxPaginatorComponent, deps: [{ token: DisplayDensityToken, optional: true }, { token: i0221.ElementRef }, { token: i0221.ChangeDetectorRef }], target: i0221.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0221.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPaginatorComponent, isStandalone: true, selector: "igx-paginator", inputs: { page: "page", perPage: "perPage", totalRecords: "totalRecords", selectOptions: "selectOptions", overlaySettings: "overlaySettings", resourceStrings: "resourceStrings" }, outputs: { perPageChange: "perPageChange", pageChange: "pageChange", paging: "paging", pagingDone: "pagingDone" }, host: { properties: { "class.igx-paginator": "this.cssClass", "style.--component-size": "this.componentSize" } }, providers: [
      { provide: IgxPaginatorToken, useExisting: _IgxPaginatorComponent }
    ], queries: [{ propertyName: "customContent", first: true, predicate: IgxPaginatorContentDirective, descendants: true }], usesInheritance: true, ngImport: i0221, template: '<ng-content select="[igxPaginatorContent],igx-paginator-content"></ng-content>\n\n<igx-page-size *ngIf="!customContent"></igx-page-size>\n<igx-page-nav *ngIf="!customContent"></igx-page-nav>\n', dependencies: [{ kind: "directive", type: i0221.forwardRef(() => NgIf69), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0221.forwardRef(() => IgxPageSizeSelectorComponent), selector: "igx-page-size" }, { kind: "component", type: i0221.forwardRef(() => IgxPageNavigationComponent), selector: "igx-page-nav", inputs: ["role"] }] });
  }
};
i0221.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: IgxPaginatorComponent, decorators: [{
  type: Component101,
  args: [{ selector: "igx-paginator", standalone: true, imports: [NgIf69, forwardRef23(() => IgxPageSizeSelectorComponent), forwardRef23(() => IgxPageNavigationComponent)], providers: [
    { provide: IgxPaginatorToken, useExisting: IgxPaginatorComponent }
  ], template: '<ng-content select="[igxPaginatorContent],igx-paginator-content"></ng-content>\n\n<igx-page-size *ngIf="!customContent"></igx-page-size>\n<igx-page-nav *ngIf="!customContent"></igx-page-nav>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Optional43
}, {
  type: Inject89,
  args: [DisplayDensityToken]
}] }, { type: i0221.ElementRef }, { type: i0221.ChangeDetectorRef }], propDecorators: { customContent: [{
  type: ContentChild23,
  args: [IgxPaginatorContentDirective]
}], perPageChange: [{
  type: Output63
}], pageChange: [{
  type: Output63
}], paging: [{
  type: Output63
}], pagingDone: [{
  type: Output63
}], cssClass: [{
  type: HostBinding92,
  args: ["class.igx-paginator"]
}], componentSize: [{
  type: HostBinding92,
  args: ["style.--component-size"]
}], page: [{
  type: Input129
}], perPage: [{
  type: Input129
}], totalRecords: [{
  type: Input129
}], selectOptions: [{
  type: Input129
}], overlaySettings: [{
  type: Input129
}], resourceStrings: [{
  type: Input129
}] } });
var IgxPageSizeSelectorComponent = class _IgxPageSizeSelectorComponent {
  constructor(paginator) {
    this.paginator = paginator;
    this.cssClass = "igx-page-size";
  }
  static {
    this.ɵfac = i0221.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: _IgxPageSizeSelectorComponent, deps: [{ token: IgxPaginatorComponent, host: true }], target: i0221.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0221.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPageSizeSelectorComponent, isStandalone: true, selector: "igx-page-size", host: { properties: { "class.igx-page-size": "this.cssClass" } }, ngImport: i0221, template: '<label class="igx-page-size__label">{{ paginator.resourceStrings.igx_paginator_label }}</label>\n<div class="igx-page-size__select">\n    <igx-select [overlaySettings]="paginator.overlaySettings" [(ngModel)]="paginator.perPage" type="border">\n        <igx-select-item [value]="val" *ngFor="let val of paginator.selectOptions">\n            {{ val }}\n        </igx-select-item>\n    </igx-select>\n</div>\n', dependencies: [{ kind: "component", type: IgxSelectComponent, selector: "igx-select", inputs: ["placeholder", "disabled", "overlaySettings", "value", "type"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "ngmodule", type: FormsModule7 }, { kind: "directive", type: i19.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i19.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: NgFor28, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxSelectItemComponent, selector: "igx-select-item", inputs: ["text"] }] });
  }
};
i0221.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: IgxPageSizeSelectorComponent, decorators: [{
  type: Component101,
  args: [{ selector: "igx-page-size", standalone: true, imports: [IgxSelectComponent, FormsModule7, IgxLabelDirective, NgFor28, IgxSelectItemComponent], template: '<label class="igx-page-size__label">{{ paginator.resourceStrings.igx_paginator_label }}</label>\n<div class="igx-page-size__select">\n    <igx-select [overlaySettings]="paginator.overlaySettings" [(ngModel)]="paginator.perPage" type="border">\n        <igx-select-item [value]="val" *ngFor="let val of paginator.selectOptions">\n            {{ val }}\n        </igx-select-item>\n    </igx-select>\n</div>\n' }]
}], ctorParameters: () => [{ type: IgxPaginatorComponent, decorators: [{
  type: Host4
}] }], propDecorators: { cssClass: [{
  type: HostBinding92,
  args: ["class.igx-page-size"]
}] } });
var IgxPageNavigationComponent = class _IgxPageNavigationComponent {
  constructor(paginator) {
    this.paginator = paginator;
    this.cssClass = "igx-page-nav";
    this.role = "navigation";
  }
  static {
    this.ɵfac = i0221.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: _IgxPageNavigationComponent, deps: [{ token: IgxPaginatorComponent, host: true }], target: i0221.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0221.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxPageNavigationComponent, isStandalone: true, selector: "igx-page-nav", inputs: { role: "role" }, host: { properties: { "class.igx-page-nav": "this.cssClass", "attr.role": "this.role" } }, ngImport: i0221, template: '<button\n    [title]="paginator.resourceStrings.igx_paginator_first_page_button_text"\n    [disabled]="paginator.isFirstPageDisabled"\n    [attr.aria-disabled]="paginator.isFirstPageDisabled"\n    (click)="paginator.paginate(0)"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>first_page</igx-icon>\n</button>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_previous_page_button_text"\n    [disabled]="paginator.isFirstPageDisabled"\n    [attr.aria-disabled]="paginator.isFirstPageDisabled"\n    (click)="paginator.previousPage()"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>chevron_left</igx-icon>\n</button>\n<div class="igx-page-nav__text" aria-current="page">\n    <span>{{ paginator.page + 1 }}</span>\n    <span\n        >&nbsp;{{\n            paginator.resourceStrings.igx_paginator_pager_text\n        }}&nbsp;</span\n    >\n    <span>{{ paginator.totalPages || 1 }}</span>\n</div>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_next_page_button_text"\n    [disabled]="paginator.isLastPageDisabled"\n    [attr.aria-disabled]="paginator.isLastPageDisabled"\n    (click)="paginator.nextPage()"\n    igxRipple\n    [igxRippleCentered]="true"\n    igxIconButton="flat"\n    type="button"\n>\n    <igx-icon>chevron_right</igx-icon>\n</button>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_last_page_button_text"\n    [disabled]="paginator.isLastPageDisabled"\n    [attr.aria-disabled]="paginator.isLastPageDisabled"\n    (click)="paginator.paginate(paginator.totalPages - 1)"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>last_page</igx-icon>\n</button>\n\n', dependencies: [{ kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxIconButtonDirective, selector: "[igxIconButton]", inputs: ["igxIconButton"] }] });
  }
};
i0221.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0221, type: IgxPageNavigationComponent, decorators: [{
  type: Component101,
  args: [{ selector: "igx-page-nav", standalone: true, imports: [IgxButtonDirective, IgxRippleDirective, IgxIconComponent, IgxIconButtonDirective], template: '<button\n    [title]="paginator.resourceStrings.igx_paginator_first_page_button_text"\n    [disabled]="paginator.isFirstPageDisabled"\n    [attr.aria-disabled]="paginator.isFirstPageDisabled"\n    (click)="paginator.paginate(0)"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>first_page</igx-icon>\n</button>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_previous_page_button_text"\n    [disabled]="paginator.isFirstPageDisabled"\n    [attr.aria-disabled]="paginator.isFirstPageDisabled"\n    (click)="paginator.previousPage()"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>chevron_left</igx-icon>\n</button>\n<div class="igx-page-nav__text" aria-current="page">\n    <span>{{ paginator.page + 1 }}</span>\n    <span\n        >&nbsp;{{\n            paginator.resourceStrings.igx_paginator_pager_text\n        }}&nbsp;</span\n    >\n    <span>{{ paginator.totalPages || 1 }}</span>\n</div>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_next_page_button_text"\n    [disabled]="paginator.isLastPageDisabled"\n    [attr.aria-disabled]="paginator.isLastPageDisabled"\n    (click)="paginator.nextPage()"\n    igxRipple\n    [igxRippleCentered]="true"\n    igxIconButton="flat"\n    type="button"\n>\n    <igx-icon>chevron_right</igx-icon>\n</button>\n<button\n    [title]="paginator.resourceStrings.igx_paginator_last_page_button_text"\n    [disabled]="paginator.isLastPageDisabled"\n    [attr.aria-disabled]="paginator.isLastPageDisabled"\n    (click)="paginator.paginate(paginator.totalPages - 1)"\n    igxIconButton="flat"\n    igxRipple\n    [igxRippleCentered]="true"\n    type="button"\n>\n    <igx-icon>last_page</igx-icon>\n</button>\n\n' }]
}], ctorParameters: () => [{ type: IgxPaginatorComponent, decorators: [{
  type: Host4
}] }], propDecorators: { cssClass: [{
  type: HostBinding92,
  args: ["class.igx-page-nav"]
}], role: [{
  type: HostBinding92,
  args: ["attr.role"]
}, {
  type: Input129
}] } });

// lib/paginator/public_api.mjs
var IGX_PAGINATOR_DIRECTIVES = [
  IgxPaginatorComponent,
  IgxPageNavigationComponent,
  IgxPageSizeSelectorComponent,
  IgxPaginatorContentDirective,
  IgxPaginatorDirective
];

// lib/grids/grid/public_api.mjs
var IGX_GRID_DIRECTIVES = [
  IgxGridComponent,
  IgxGroupByRowTemplateDirective,
  IgxGridDetailTemplateDirective,
  IgxRowAddTextDirective,
  IgxRowEditActionsDirective,
  IgxRowEditTextDirective,
  IgxRowEditTabStopDirective,
  // IGX_GRID_COMMON_DIRECTIVES:
  IgxRowDirective,
  IgxGridFooterComponent,
  IgxAdvancedFilteringDialogComponent,
  IgxRowExpandedIndicatorDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxExcelStyleHeaderIconDirective,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxDragIndicatorIconDirective,
  IgxRowDragGhostDirective,
  IgxGridStateDirective,
  // IGX_GRID_HEADERS_DIRECTIVES:
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  // IGX_GRID_COLUMN_DIRECTIVES:
  IgxFilterCellTemplateDirective,
  IgxSummaryTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellEditorTemplateDirective,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumnComponent,
  IgxColumnGroupComponent,
  IgxColumnLayoutComponent,
  // IGX_GRID_COLUMN_ACTIONS_DIRECTIVES:
  IgxColumnActionsComponent,
  IgxColumnHidingDirective,
  IgxColumnPinningDirective,
  // IGX_GRID_SELECTION_DIRECTIVES:
  IgxRowSelectorDirective,
  IgxGroupByRowSelectorDirective,
  IgxHeadSelectorDirective,
  // IGX_GRID_TOOLBAR_DIRECTIVES:
  IgxCSVTextDirective,
  IgxExcelTextDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarDirective,
  // IGX_GRID_EXCEL_STYLE_FILTER_DIRECTIVES:
  IgxGridExcelStyleFilteringComponent,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleMovingComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleLoadingValuesTemplateDirective,
  // IGX_GRID_VALIDATION_DIRECTIVES:
  IgxColumnRequiredValidatorDirective,
  IgxColumnMinValidatorDirective,
  IgxColumnMaxValidatorDirective,
  IgxColumnEmailValidatorDirective,
  IgxColumnMinLengthValidatorDirective,
  IgxColumnMaxLengthValidatorDirective,
  IgxColumPatternValidatorDirective,
  // IGX_PAGINATOR_DIRECTIVES:
  IgxPaginatorComponent,
  IgxPageNavigationComponent,
  IgxPageSizeSelectorComponent,
  IgxPaginatorContentDirective,
  IgxPaginatorDirective
];

// lib/grids/pivot-grid/pivot-data-selector.component.mjs
import { useAnimation as useAnimation5 } from "@angular/animations";
import { Component as Component102, EventEmitter as EventEmitter73, HostBinding as HostBinding93, Input as Input130, Output as Output64, booleanAttribute as booleanAttribute74 } from "@angular/core";
import { first as first15 } from "rxjs/operators";
import { NgFor as NgFor29, NgIf as NgIf70 } from "@angular/common";
import { fadeIn as fadeIn9, fadeOut as fadeOut8 } from "igniteui-angular/animations";
import * as i0222 from "@angular/core";
var IgxPivotDataSelectorComponent = class _IgxPivotDataSelectorComponent {
  /** @hidden @internal */
  get dims() {
    return this._grid?.allDimensions || [];
  }
  /** @hidden @internal */
  get values() {
    return this._grid?.pivotConfiguration.values || [];
  }
  constructor(renderer, cdr) {
    this.renderer = renderer;
    this.cdr = cdr;
    this.columnsExpanded = true;
    this.columnsExpandedChange = new EventEmitter73();
    this.rowsExpanded = true;
    this.rowsExpandedChange = new EventEmitter73();
    this.filtersExpanded = true;
    this.filtersExpandedChange = new EventEmitter73();
    this.valuesExpanded = true;
    this.valuesExpandedChange = new EventEmitter73();
    this._dropDelta = 0;
    this.cssClass = "igx-pivot-data-selector";
    this._subMenuPositionSettings = {
      verticalStartPoint: VerticalAlignment.Bottom,
      closeAnimation: void 0
    };
    this._subMenuOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      positionStrategy: new AutoPositionStrategy(this._subMenuPositionSettings),
      scrollStrategy: new AbsoluteScrollStrategy()
    };
    this.animationSettings = {
      closeAnimation: useAnimation5(fadeOut8, {
        params: {
          duration: "0ms"
        }
      }),
      openAnimation: useAnimation5(fadeIn9, {
        params: {
          duration: "0ms"
        }
      })
    };
    this.aggregateList = [];
    this._panels = [
      {
        name: "Filters",
        i18n: "igx_grid_pivot_selector_filters",
        type: PivotDimensionType.Filter,
        dataKey: "filterDimensions",
        icon: "filter_list",
        itemKey: "memberName",
        displayKey: "displayName",
        sortable: false,
        dragChannels: ["Filters", "Columns", "Rows"]
      },
      {
        name: "Columns",
        i18n: "igx_grid_pivot_selector_columns",
        type: PivotDimensionType.Column,
        dataKey: "columnDimensions",
        icon: "view_column",
        itemKey: "memberName",
        displayKey: "displayName",
        sortable: true,
        dragChannels: ["Filters", "Columns", "Rows"]
      },
      {
        name: "Rows",
        i18n: "igx_grid_pivot_selector_rows",
        type: PivotDimensionType.Row,
        dataKey: "rowDimensions",
        icon: "table_rows",
        itemKey: "memberName",
        displayKey: "displayName",
        sortable: true,
        dragChannels: ["Filters", "Columns", "Rows"]
      },
      {
        name: "Values",
        i18n: "igx_grid_pivot_selector_values",
        type: null,
        dataKey: "values",
        icon: "functions",
        itemKey: "member",
        displayKey: "displayName",
        sortable: false,
        dragChannels: ["Values"]
      }
    ];
  }
  /**
   * @hidden @internal
   */
  get displayDensity() {
    return this.grid?.displayDensity;
  }
  /**
   * Sets the grid.
   */
  set grid(value) {
    this._grid = value;
  }
  /**
   * Returns the grid.
   */
  get grid() {
    return this._grid;
  }
  /**
   * @hidden
   * @internal
   */
  onItemSort(_, dimension, dimensionType) {
    if (!this._panels.find((panel) => panel.type === dimensionType).sortable)
      return;
    const startDirection = dimension.sortDirection || SortingDirection.None;
    const direction = startDirection + 1 > SortingDirection.Desc ? SortingDirection.None : startDirection + 1;
    this.grid.sortDimension(dimension, direction);
  }
  /**
   * @hidden
   * @internal
   */
  onFilteringIconPointerDown(event) {
    event.stopPropagation();
    event.preventDefault();
  }
  /**
   * @hidden
   * @internal
   */
  onFilteringIconClick(event, dimension) {
    event.stopPropagation();
    event.preventDefault();
    let dim = dimension;
    let col;
    while (dim) {
      col = this.grid.dimensionDataColumns.find((x) => x.field === dim.memberName);
      if (col) {
        break;
      } else {
        dim = dim.childLevel;
      }
    }
    this.grid.filteringService.toggleFilterDropdown(event.target, col);
  }
  /**
   * @hidden
   * @internal
   */
  getDimensionState(dimensionType) {
    switch (dimensionType) {
      case PivotDimensionType.Row:
        return this.grid.rowDimensions;
      case PivotDimensionType.Column:
        return this.grid.columnDimensions;
      case PivotDimensionType.Filter:
        return this.grid.filterDimensions;
      default:
        return null;
    }
  }
  /**
   * @hidden
   * @internal
   */
  moveValueItem(itemId) {
    const aggregation = this.grid.pivotConfiguration.values;
    const valueIndex = aggregation.findIndex((x) => x.member === itemId) !== -1 ? aggregation?.findIndex((x) => x.member === itemId) : aggregation.length;
    const newValueIndex = valueIndex + this._dropDelta < 0 ? 0 : valueIndex + this._dropDelta;
    const aggregationItem = aggregation.find((x) => x.member === itemId || x.displayName === itemId);
    if (aggregationItem) {
      this.grid.moveValue(aggregationItem, newValueIndex);
      this.grid.valuesChange.emit({
        values: this.grid.pivotConfiguration.values
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  onItemDropped(event, dimensionType) {
    if (!this.dropAllowed) {
      return;
    }
    const dimension = this.grid.getDimensionsByType(dimensionType);
    const dimensionState = this.getDimensionState(dimensionType);
    const itemId = event.drag.element.nativeElement.id;
    const targetId = event.owner.element.nativeElement.id;
    const dimensionItem = dimension?.find((x) => x.memberName === itemId);
    const itemIndex = dimension?.findIndex((x) => x?.memberName === itemId) !== -1 ? dimension?.findIndex((x) => x.memberName === itemId) : dimension?.length;
    const dimensions = this.grid.allDimensions.filter((x) => x && x.memberName === itemId);
    const reorder = dimensionState?.findIndex((item) => item.memberName === itemId) !== -1;
    let targetIndex = targetId !== "" ? dimension?.findIndex((x) => x.memberName === targetId) : dimension?.length;
    if (!dimension) {
      this.moveValueItem(itemId);
    }
    if (reorder) {
      targetIndex = itemIndex + this._dropDelta < 0 ? 0 : itemIndex + this._dropDelta;
    }
    if (dimensionItem) {
      this.grid.moveDimension(dimensionItem, dimensionType, targetIndex);
    } else {
      const newDim = dimensions.find((x) => x.memberName === itemId);
      this.grid.moveDimension(newDim, dimensionType, targetIndex);
    }
    this.grid.dimensionsChange.emit({
      dimensions: dimension,
      dimensionCollectionType: dimensionType
    });
  }
  /**
   * @hidden
   * @internal
   */
  updateDropDown(value, dropdown) {
    this.value = value;
    dropdown.width = "200px";
    this.aggregateList = PivotUtil.getAggregateList(value, this.grid);
    this.cdr.detectChanges();
    dropdown.open(this._subMenuOverlaySettings);
  }
  /**
   * @hidden
   * @internal
   */
  onSummaryClick(event, value, dropdown) {
    this._subMenuOverlaySettings.target = event.currentTarget;
    if (dropdown.collapsed) {
      this.updateDropDown(value, dropdown);
    } else {
      dropdown.close();
      dropdown.closed.pipe(first15()).subscribe(() => {
        this.updateDropDown(value, dropdown);
      });
    }
  }
  /**
   * @hidden
   * @internal
   */
  onAggregationChange(event) {
    if (!this.isSelected(event.newSelection.value)) {
      this.value.aggregate = event.newSelection.value;
      this.grid.pipeTrigger++;
      this.grid.cdr.markForCheck();
    }
  }
  /**
   * @hidden
   * @internal
   */
  isSelected(val) {
    return this.value.aggregate.key === val.key;
  }
  /**
   * @hidden
   * @internal
   */
  ghostCreated(event, value) {
    const { width: itemWidth } = event.owner.element.nativeElement.getBoundingClientRect();
    this.ghostWidth = itemWidth;
    this.ghostText = value;
    this.renderer.setStyle(event.owner.element.nativeElement, "position", "absolute");
    this.renderer.setStyle(event.owner.element.nativeElement, "visibility", "hidden");
  }
  /**
   * @hidden
   * @internal
   */
  toggleItem(item) {
    if (item) {
      this.grid.toggleValue(item);
    }
    if (item) {
      this.grid.toggleDimension(item);
    }
  }
  /**
   * @hidden
   * @internal
   */
  onPanelEntry(event, panel) {
    this.dropAllowed = event.dragData.gridID === this.grid.id && event.dragData.selectorChannels?.some((channel) => channel === panel);
  }
  /**
   * @hidden
   * @internal
   */
  onItemDragMove(event) {
    const clientRect = event.owner.element.nativeElement.getBoundingClientRect();
    this._dropDelta = Math.round((event.nextPageY - event.startY) / clientRect.height);
  }
  /**
   * @hidden
   * @internal
   */
  onItemDragEnd(event) {
    this.renderer.setStyle(event.owner.element.nativeElement, "position", "static");
    this.renderer.setStyle(event.owner.element.nativeElement, "visibility", "visible");
  }
  /**
   * @hidden
   * @internal
   */
  onItemDragOver(event) {
    if (this.dropAllowed) {
      this.renderer.addClass(event.owner.element.nativeElement, "igx-drag--push");
    }
  }
  /**
   * @hidden
   * @internal
   */
  onItemDragLeave(event) {
    if (this.dropAllowed) {
      this.renderer.removeClass(event.owner.element.nativeElement, "igx-drag--push");
    }
  }
  /**
   * @hidden
   * @internal
   */
  getPanelCollapsed(panelType) {
    switch (panelType) {
      case PivotDimensionType.Column:
        return !this.columnsExpanded;
      case PivotDimensionType.Filter:
        return !this.filtersExpanded;
      case PivotDimensionType.Row:
        return !this.rowsExpanded;
      default:
        return !this.valuesExpanded;
    }
  }
  /**
   * @hidden
   * @internal
   */
  onCollapseChange(value, panelType) {
    switch (panelType) {
      case PivotDimensionType.Column:
        this.columnsExpanded = !value;
        this.columnsExpandedChange.emit(this.columnsExpanded);
        break;
      case PivotDimensionType.Filter:
        this.filtersExpanded = !value;
        this.filtersExpandedChange.emit(this.filtersExpanded);
        break;
      case PivotDimensionType.Row:
        this.rowsExpanded = !value;
        this.rowsExpandedChange.emit(this.rowsExpanded);
        break;
      default:
        this.valuesExpanded = !value;
        this.valuesExpandedChange.emit(this.valuesExpanded);
    }
  }
  static {
    this.ɵfac = i0222.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0222, type: _IgxPivotDataSelectorComponent, deps: [{ token: i0222.Renderer2 }, { token: i0222.ChangeDetectorRef }], target: i0222.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0222.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxPivotDataSelectorComponent, isStandalone: true, selector: "igx-pivot-data-selector", inputs: { columnsExpanded: ["columnsExpanded", "columnsExpanded", booleanAttribute74], rowsExpanded: ["rowsExpanded", "rowsExpanded", booleanAttribute74], filtersExpanded: ["filtersExpanded", "filtersExpanded", booleanAttribute74], valuesExpanded: ["valuesExpanded", "valuesExpanded", booleanAttribute74], grid: "grid" }, outputs: { columnsExpandedChange: "columnsExpandedChange", rowsExpandedChange: "rowsExpandedChange", filtersExpandedChange: "filtersExpandedChange", valuesExpandedChange: "valuesExpandedChange" }, host: { properties: { "class.igx-pivot-data-selector": "this.cssClass" } }, ngImport: i0222, template: '<div class="igx-pivot-data-selector__filter">\n    <igx-input-group type="box" [displayDensity]="displayDensity">\n        <igx-icon igxPrefix>search</igx-icon>\n        <input\n            #input\n            igxInput\n            tabindex="0"\n            placeholder="Search"\n            autocomplete="off"\n        />\n    </igx-input-group>\n    <igx-list [displayDensity]="displayDensity">\n        <igx-list-item\n            *ngFor="\n                let item of dims\n                    | filterPivotItems: input.value:grid?.pipeTrigger\n            "\n            [id]="item.memberName"\n        >\n            <igx-checkbox\n                [aria-labelledby]="item.memberName"\n                [disableRipple]="true"\n                [checked]="item.enabled"\n                (click)="toggleItem(item)"\n            ></igx-checkbox>\n            <span>{{ item.displayName || item.memberName }}</span>\n        </igx-list-item>\n        <igx-list-item\n            *ngFor="\n                let item of values\n                    | filterPivotItems: input.value:grid?.pipeTrigger\n            "\n            [id]="item.member"\n        >\n            <igx-checkbox\n                [aria-labelledby]="item.member"\n                [disableRipple]="true"\n                [checked]="item.enabled"\n                (click)="toggleItem(item)"\n            ></igx-checkbox>\n            <span>{{ item.displayName || item.member }}</span>\n        </igx-list-item>\n    </igx-list>\n</div>\n\n<igx-accordion>\n    <igx-expansion-panel\n        *ngFor="let panel of _panels"\n        [animationSettings]="animationSettings"\n        [collapsed]="getPanelCollapsed(panel.type)"\n        (collapsedChange)="onCollapseChange($event, panel.type)"\n    >\n        <igx-expansion-panel-header\n            iconPosition="left"\n            [disabled]="false"\n            igxDrop\n            (enter)="onPanelEntry($event, panel.name)"\n            (dropped)="onItemDropped($event, panel.type)"\n        >\n            <igx-expansion-panel-title class="igx-pivot-data-selector__header">\n                <h6 class="igx-pivot-data-selector__header-title">\n                    {{ grid?.resourceStrings[panel.i18n] }}\n                </h6>\n                <div class="igx-pivot-data-selector__header-extra">\n                    <igx-icon>{{ panel.icon }}</igx-icon>\n                    <igx-chip>{{ this.grid ? this.grid[panel.dataKey].length : 0 }}</igx-chip>\n                </div>\n            </igx-expansion-panel-title>\n        </igx-expansion-panel-header>\n        <igx-expansion-panel-body\n            igxDrop\n            (enter)="onPanelEntry($event, panel.name)"\n            (dropped)="onItemDropped($event, panel.type)"\n        >\n            <igx-list\n                *ngIf="this.grid && this.grid[panel.dataKey].length > 0"\n                [displayDensity]="displayDensity"\n            >\n                <igx-list-item\n                    igxDrop\n                    [igxDrag]="{ gridID: grid.id, selectorChannels: panel.dragChannels }"\n                    [ghostTemplate]="itemGhost"\n                    (ghostCreate)="ghostCreated($event, item[panel.itemKey])"\n                    (over)="onItemDragOver($event)"\n                    (leave)="onItemDragLeave($event)"\n                    (dragMove)="onItemDragMove($event)"\n                    (dragEnd)="onItemDragEnd($event)"\n                    (dropped)="onItemDropped($event, panel.type)"\n                    *ngFor="\n                        let item of this.grid[panel.dataKey];\n                        let index\n                    "\n                    [id]="item[panel.itemKey]"\n                >\n                    <div class="igx-pivot-data-selector__item">\n                        <div\n                            class="igx-pivot-data-selector__item-start"\n                            (click)="onItemSort($event, item, panel.type)"\n                            [class.igx-pivot-data-selector__action-sort]="\n                                panel.sortable\n                            "\n                        >\n                            <div class="igx-pivot-data-selector__item-text">\n                                <span *ngIf="panel.type === null">{{\n                                    item.aggregate.key\n                                }}</span>\n                                <span *ngIf="panel.type === null">(</span>\n                                <span>{{ item[panel.displayKey] || item[panel.itemKey] }}</span>\n                                <span *ngIf="panel.type === null">)</span>\n                            </div>\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-sort"\n                                *ngIf="panel.sortable && item.sortDirection"\n                            >\n                                {{\n                                    item.sortDirection < 2\n                                        ? "arrow_upward"\n                                        : "arrow_downward"\n                                }}\n                            </igx-icon>\n                        </div>\n                        <div class="igx-pivot-data-selector__item-end">\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-filter"\n                                *ngIf="panel.type !== null"\n                                (pointerdown)="\n                                    onFilteringIconPointerDown($event)\n                                "\n                                (click)="onFilteringIconClick($event, item)"\n                                >filter_list\n                            </igx-icon>\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-summary"\n                                *ngIf="panel.type === null"\n                                (click)="onSummaryClick($event, item, dropdown)"\n                                [igxDropDownItemNavigation]="dropdown"\n                            >\n                                functions\n                            </igx-icon>\n                            <igx-icon\n                                igxDragHandle\n                                class="igx-pivot-data-selector__action-move"\n                                *ngIf="panel.dragChannels.length > 0"\n                                >drag_handle</igx-icon\n                            >\n                        </div>\n                    </div>\n                </igx-list-item>\n            </igx-list>\n            <div\n                class="igx-pivot-data-selector__empty"\n                *ngIf="this.grid && this.grid[panel.dataKey].length === 0"\n            >\n                {{ grid?.resourceStrings.igx_grid_pivot_selector_panel_empty }}\n            </div>\n        </igx-expansion-panel-body>\n    </igx-expansion-panel>\n</igx-accordion>\n\n<igx-drop-down #dropdown (selectionChanging)="onAggregationChange($event)">\n    <igx-drop-down-item\n        *ngFor="let item of aggregateList"\n        [selected]="isSelected(item)"\n        [value]="item"\n    >\n        {{ item.label }}\n    </igx-drop-down-item>\n</igx-drop-down>\n\n<ng-template #itemGhost>\n    <div\n        class="igx-pivot-data-selector__item-ghost"\n        [style.width.px]="ghostWidth"\n        [class.igx-pivot-data-selector__item-ghost--no-drop]="!dropAllowed"\n    >\n        <div class="igx-pivot-data-selector__item-ghost-text">\n            <igx-icon>unfold_more</igx-icon>\n            <span>{{ ghostText }}</span>\n        </div>\n        <igx-icon>drag_handle</igx-icon>\n    </div>\n</ng-template>\n', dependencies: [{ kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "component", type: IgxListComponent, selector: "igx-list", inputs: ["panEndTriggeringThreshold", "id", "allowLeftPanning", "allowRightPanning", "isLoading", "resourceStrings", "role"], outputs: ["leftPan", "rightPan", "startPan", "endPan", "resetPan", "panStateChange", "itemClicked"] }, { kind: "directive", type: NgFor29, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxListItemComponent, selector: "igx-list-item", inputs: ["isHeader", "hidden", "index", "role"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxAccordionComponent, selector: "igx-accordion", inputs: ["id", "animationSettings", "singleBranchExpand"], outputs: ["panelExpanding", "panelExpanded", "panelCollapsing", "panelCollapsed"] }, { kind: "component", type: IgxExpansionPanelComponent, selector: "igx-expansion-panel", inputs: ["animationSettings", "id", "collapsed"], outputs: ["collapsedChange", "contentCollapsing", "contentCollapsed", "contentExpanding", "contentExpanded"] }, { kind: "component", type: IgxExpansionPanelHeaderComponent, selector: "igx-expansion-panel-header", inputs: ["lv", "role", "iconPosition", "disabled"], outputs: ["interaction"] }, { kind: "directive", type: IgxDropDirective, selector: "[igxDrop]", inputs: ["igxDrop", "dropChannel", "dropStrategy"], outputs: ["enter", "over", "leave", "dropped"], exportAs: ["drop"] }, { kind: "directive", type: IgxExpansionPanelTitleDirective, selector: "igx-expansion-panel-title" }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxExpansionPanelBodyComponent, selector: "igx-expansion-panel-body", inputs: ["role", "label", "labelledBy"] }, { kind: "directive", type: NgIf70, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxDragDirective, selector: "[igxDrag]", inputs: ["igxDrag", "dragTolerance", "dragDirection", "dragChannel", "ghost", "ghostClass", "ghostStyle", "ghostTemplate", "ghostHost", "scrollContainer", "ghostOffsetX", "ghostOffsetY"], outputs: ["dragStart", "dragMove", "dragEnd", "dragClick", "ghostCreate", "ghostDestroy", "transitioned"], exportAs: ["drag"] }, { kind: "directive", type: IgxDropDownItemNavigationDirective, selector: "[igxDropDownItemNavigation]", inputs: ["igxDropDownItemNavigation"] }, { kind: "directive", type: IgxDragHandleDirective, selector: "[igxDragHandle]" }, { kind: "component", type: IgxDropDownComponent, selector: "igx-drop-down", inputs: ["allowItemsFocus", "labelledBy"], outputs: ["opening", "opened", "closing", "closed"] }, { kind: "component", type: IgxDropDownItemComponent, selector: "igx-drop-down-item" }, { kind: "pipe", type: IgxFilterPivotItemsPipe, name: "filterPivotItems" }] });
  }
};
i0222.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0222, type: IgxPivotDataSelectorComponent, decorators: [{
  type: Component102,
  args: [{ selector: "igx-pivot-data-selector", standalone: true, imports: [IgxInputGroupComponent, IgxIconComponent, IgxPrefixDirective, IgxInputDirective, IgxListComponent, NgFor29, IgxListItemComponent, IgxCheckboxComponent, IgxAccordionComponent, IgxExpansionPanelComponent, IgxExpansionPanelHeaderComponent, IgxDropDirective, IgxExpansionPanelTitleDirective, IgxChipComponent, IgxExpansionPanelBodyComponent, NgIf70, IgxDragDirective, IgxDropDownItemNavigationDirective, IgxDragHandleDirective, IgxDropDownComponent, IgxDropDownItemComponent, IgxFilterPivotItemsPipe], template: '<div class="igx-pivot-data-selector__filter">\n    <igx-input-group type="box" [displayDensity]="displayDensity">\n        <igx-icon igxPrefix>search</igx-icon>\n        <input\n            #input\n            igxInput\n            tabindex="0"\n            placeholder="Search"\n            autocomplete="off"\n        />\n    </igx-input-group>\n    <igx-list [displayDensity]="displayDensity">\n        <igx-list-item\n            *ngFor="\n                let item of dims\n                    | filterPivotItems: input.value:grid?.pipeTrigger\n            "\n            [id]="item.memberName"\n        >\n            <igx-checkbox\n                [aria-labelledby]="item.memberName"\n                [disableRipple]="true"\n                [checked]="item.enabled"\n                (click)="toggleItem(item)"\n            ></igx-checkbox>\n            <span>{{ item.displayName || item.memberName }}</span>\n        </igx-list-item>\n        <igx-list-item\n            *ngFor="\n                let item of values\n                    | filterPivotItems: input.value:grid?.pipeTrigger\n            "\n            [id]="item.member"\n        >\n            <igx-checkbox\n                [aria-labelledby]="item.member"\n                [disableRipple]="true"\n                [checked]="item.enabled"\n                (click)="toggleItem(item)"\n            ></igx-checkbox>\n            <span>{{ item.displayName || item.member }}</span>\n        </igx-list-item>\n    </igx-list>\n</div>\n\n<igx-accordion>\n    <igx-expansion-panel\n        *ngFor="let panel of _panels"\n        [animationSettings]="animationSettings"\n        [collapsed]="getPanelCollapsed(panel.type)"\n        (collapsedChange)="onCollapseChange($event, panel.type)"\n    >\n        <igx-expansion-panel-header\n            iconPosition="left"\n            [disabled]="false"\n            igxDrop\n            (enter)="onPanelEntry($event, panel.name)"\n            (dropped)="onItemDropped($event, panel.type)"\n        >\n            <igx-expansion-panel-title class="igx-pivot-data-selector__header">\n                <h6 class="igx-pivot-data-selector__header-title">\n                    {{ grid?.resourceStrings[panel.i18n] }}\n                </h6>\n                <div class="igx-pivot-data-selector__header-extra">\n                    <igx-icon>{{ panel.icon }}</igx-icon>\n                    <igx-chip>{{ this.grid ? this.grid[panel.dataKey].length : 0 }}</igx-chip>\n                </div>\n            </igx-expansion-panel-title>\n        </igx-expansion-panel-header>\n        <igx-expansion-panel-body\n            igxDrop\n            (enter)="onPanelEntry($event, panel.name)"\n            (dropped)="onItemDropped($event, panel.type)"\n        >\n            <igx-list\n                *ngIf="this.grid && this.grid[panel.dataKey].length > 0"\n                [displayDensity]="displayDensity"\n            >\n                <igx-list-item\n                    igxDrop\n                    [igxDrag]="{ gridID: grid.id, selectorChannels: panel.dragChannels }"\n                    [ghostTemplate]="itemGhost"\n                    (ghostCreate)="ghostCreated($event, item[panel.itemKey])"\n                    (over)="onItemDragOver($event)"\n                    (leave)="onItemDragLeave($event)"\n                    (dragMove)="onItemDragMove($event)"\n                    (dragEnd)="onItemDragEnd($event)"\n                    (dropped)="onItemDropped($event, panel.type)"\n                    *ngFor="\n                        let item of this.grid[panel.dataKey];\n                        let index\n                    "\n                    [id]="item[panel.itemKey]"\n                >\n                    <div class="igx-pivot-data-selector__item">\n                        <div\n                            class="igx-pivot-data-selector__item-start"\n                            (click)="onItemSort($event, item, panel.type)"\n                            [class.igx-pivot-data-selector__action-sort]="\n                                panel.sortable\n                            "\n                        >\n                            <div class="igx-pivot-data-selector__item-text">\n                                <span *ngIf="panel.type === null">{{\n                                    item.aggregate.key\n                                }}</span>\n                                <span *ngIf="panel.type === null">(</span>\n                                <span>{{ item[panel.displayKey] || item[panel.itemKey] }}</span>\n                                <span *ngIf="panel.type === null">)</span>\n                            </div>\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-sort"\n                                *ngIf="panel.sortable && item.sortDirection"\n                            >\n                                {{\n                                    item.sortDirection < 2\n                                        ? "arrow_upward"\n                                        : "arrow_downward"\n                                }}\n                            </igx-icon>\n                        </div>\n                        <div class="igx-pivot-data-selector__item-end">\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-filter"\n                                *ngIf="panel.type !== null"\n                                (pointerdown)="\n                                    onFilteringIconPointerDown($event)\n                                "\n                                (click)="onFilteringIconClick($event, item)"\n                                >filter_list\n                            </igx-icon>\n                            <igx-icon\n                                class="igx-pivot-data-selector__action-summary"\n                                *ngIf="panel.type === null"\n                                (click)="onSummaryClick($event, item, dropdown)"\n                                [igxDropDownItemNavigation]="dropdown"\n                            >\n                                functions\n                            </igx-icon>\n                            <igx-icon\n                                igxDragHandle\n                                class="igx-pivot-data-selector__action-move"\n                                *ngIf="panel.dragChannels.length > 0"\n                                >drag_handle</igx-icon\n                            >\n                        </div>\n                    </div>\n                </igx-list-item>\n            </igx-list>\n            <div\n                class="igx-pivot-data-selector__empty"\n                *ngIf="this.grid && this.grid[panel.dataKey].length === 0"\n            >\n                {{ grid?.resourceStrings.igx_grid_pivot_selector_panel_empty }}\n            </div>\n        </igx-expansion-panel-body>\n    </igx-expansion-panel>\n</igx-accordion>\n\n<igx-drop-down #dropdown (selectionChanging)="onAggregationChange($event)">\n    <igx-drop-down-item\n        *ngFor="let item of aggregateList"\n        [selected]="isSelected(item)"\n        [value]="item"\n    >\n        {{ item.label }}\n    </igx-drop-down-item>\n</igx-drop-down>\n\n<ng-template #itemGhost>\n    <div\n        class="igx-pivot-data-selector__item-ghost"\n        [style.width.px]="ghostWidth"\n        [class.igx-pivot-data-selector__item-ghost--no-drop]="!dropAllowed"\n    >\n        <div class="igx-pivot-data-selector__item-ghost-text">\n            <igx-icon>unfold_more</igx-icon>\n            <span>{{ ghostText }}</span>\n        </div>\n        <igx-icon>drag_handle</igx-icon>\n    </div>\n</ng-template>\n' }]
}], ctorParameters: () => [{ type: i0222.Renderer2 }, { type: i0222.ChangeDetectorRef }], propDecorators: { columnsExpanded: [{
  type: Input130,
  args: [{ transform: booleanAttribute74 }]
}], columnsExpandedChange: [{
  type: Output64
}], rowsExpanded: [{
  type: Input130,
  args: [{ transform: booleanAttribute74 }]
}], rowsExpandedChange: [{
  type: Output64
}], filtersExpanded: [{
  type: Input130,
  args: [{ transform: booleanAttribute74 }]
}], filtersExpandedChange: [{
  type: Output64
}], valuesExpanded: [{
  type: Input130,
  args: [{ transform: booleanAttribute74 }]
}], valuesExpandedChange: [{
  type: Output64
}], cssClass: [{
  type: HostBinding93,
  args: ["class.igx-pivot-data-selector"]
}], grid: [{
  type: Input130
}] } });

// lib/grids/pivot-grid/public_api.mjs
var IGX_PIVOT_GRID_DIRECTIVES = [
  IgxPivotGridComponent,
  IgxPivotDataSelectorComponent,
  IgxPivotValueChipTemplateDirective,
  // IGX_GRID_COMMON_DIRECTIVES:
  IgxRowDirective,
  IgxGridFooterComponent,
  IgxAdvancedFilteringDialogComponent,
  IgxRowExpandedIndicatorDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxExcelStyleHeaderIconDirective,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxDragIndicatorIconDirective,
  IgxRowDragGhostDirective,
  IgxGridStateDirective,
  // IGX_GRID_HEADERS_DIRECTIVES:
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  // IGX_GRID_COLUMN_DIRECTIVES:
  IgxFilterCellTemplateDirective,
  IgxSummaryTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellEditorTemplateDirective,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumnComponent,
  IgxColumnGroupComponent,
  IgxColumnLayoutComponent,
  // IGX_GRID_COLUMN_ACTIONS_DIRECTIVES:
  IgxColumnActionsComponent,
  IgxColumnHidingDirective,
  IgxColumnPinningDirective,
  // IGX_GRID_SELECTION_DIRECTIVES:
  IgxRowSelectorDirective,
  IgxGroupByRowSelectorDirective,
  IgxHeadSelectorDirective,
  // IGX_GRID_TOOLBAR_DIRECTIVES:
  IgxCSVTextDirective,
  IgxExcelTextDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarDirective,
  // IGX_GRID_EXCEL_STYLE_FILTER_DIRECTIVES:
  IgxGridExcelStyleFilteringComponent,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleMovingComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleLoadingValuesTemplateDirective
];

// lib/grids/tree-grid/tree-grid-api.service.mjs
import { Injectable as Injectable36 } from "@angular/core";
import * as i0223 from "@angular/core";
var IgxTreeGridAPIService = class _IgxTreeGridAPIService extends GridBaseAPIService {
  get_all_data(transactions) {
    const grid = this.grid;
    let data = grid && grid.flatData ? grid.flatData : [];
    data = transactions ? grid.dataWithAddedInTransactionRows : data;
    return data;
  }
  get_summary_data() {
    const grid = this.grid;
    const data = grid.processedRootRecords?.filter((row) => row.isFilteredOutParent === void 0 || row.isFilteredOutParent === false).map((rec) => rec.data);
    if (data && grid.transactions.enabled) {
      const deletedRows = grid.transactions.getTransactionLog().filter((t) => t.type === TransactionType.DELETE).map((t) => t.id);
      deletedRows.forEach((rowID) => {
        const tempData = grid.primaryKey ? data.map((rec) => rec[grid.primaryKey]) : data;
        const index = tempData.indexOf(rowID);
        if (index !== -1) {
          data.splice(index, 1);
        }
      });
    }
    return data;
  }
  allow_expansion_state_change(rowID, expanded) {
    const grid = this.grid;
    const row = grid.records.get(rowID);
    if (row.expanded === expanded || (!row.children || !row.children.length) && (!grid.loadChildrenOnDemand || grid.hasChildrenKey && !row.data[grid.hasChildrenKey])) {
      return false;
    }
    return true;
  }
  expand_path_to_record(record) {
    const grid = this.grid;
    const expandedStates = grid.expansionStates;
    while (record.parent) {
      record = record.parent;
      const expanded = this.get_row_expansion_state(record);
      if (!expanded) {
        expandedStates.set(record.key, true);
      }
    }
    grid.expansionStates = expandedStates;
    if (grid.rowEditable) {
      grid.gridAPI.crudService.endEdit(false);
    }
  }
  get_row_expansion_state(record) {
    const grid = this.grid;
    const states = grid.expansionStates;
    const expanded = states.get(record.key);
    if (expanded !== void 0) {
      return expanded;
    } else {
      return record.children && record.children.length && record.level < grid.expansionDepth;
    }
  }
  should_apply_number_style(column) {
    return column.dataType === GridColumnDataType.Number && column.visibleIndex !== 0;
  }
  deleteRowById(rowID) {
    const treeGrid = this.grid;
    const flatDataWithCascadeOnDeleteAndTransactions = treeGrid.primaryKey && treeGrid.foreignKey && treeGrid.cascadeOnDelete && treeGrid.transactions.enabled;
    if (flatDataWithCascadeOnDeleteAndTransactions) {
      treeGrid.transactions.startPending();
    }
    const record = super.deleteRowById(rowID);
    if (flatDataWithCascadeOnDeleteAndTransactions) {
      treeGrid.transactions.endPending(true);
    }
    return record;
  }
  deleteRowFromData(rowID, index) {
    const treeGrid = this.grid;
    const record = treeGrid.records.get(rowID);
    if (treeGrid.primaryKey && treeGrid.foreignKey) {
      index = treeGrid.primaryKey ? treeGrid.data.map((c) => c[treeGrid.primaryKey]).indexOf(rowID) : treeGrid.data.indexOf(rowID);
      super.deleteRowFromData(rowID, index);
      if (treeGrid.cascadeOnDelete) {
        if (record && record.children) {
          for (const child of record.children) {
            super.deleteRowById(child.key);
          }
        }
      }
    } else {
      const collection = record.parent ? record.parent.data[treeGrid.childDataKey] : treeGrid.data;
      index = treeGrid.primaryKey ? collection.map((c) => c[treeGrid.primaryKey]).indexOf(rowID) : collection.indexOf(rowID);
      const selectedChildren = [];
      this.get_selected_children(record, selectedChildren);
      if (selectedChildren.length > 0) {
        treeGrid.deselectRows(selectedChildren);
      }
      if (treeGrid.transactions.enabled) {
        const path = treeGrid.generateRowPath(rowID);
        treeGrid.transactions.add({
          id: rowID,
          type: TransactionType.DELETE,
          newValue: null,
          path
        }, collection[index]);
      } else {
        collection.splice(index, 1);
      }
      this.grid.validation.clear(rowID);
    }
  }
  get_selected_children(record, selectedRowIDs) {
    const grid = this.grid;
    if (!record.children || record.children.length === 0) {
      return;
    }
    for (const child of record.children) {
      if (grid.selectionService.isRowSelected(child.key)) {
        selectedRowIDs.push(child.key);
      }
      this.get_selected_children(child, selectedRowIDs);
    }
  }
  row_deleted_transaction(rowID) {
    return this.row_deleted_parent(rowID) || super.row_deleted_transaction(rowID);
  }
  get_rec_by_id(rowID) {
    return this.grid.records.get(rowID);
  }
  /**
   * Returns the index of the record in the data view by pk or -1 if not found or primaryKey is not set.
   *
   * @param pk
   * @param dataCollection
   */
  get_rec_index_by_id(pk, dataCollection) {
    dataCollection = dataCollection || this.grid.data;
    return this.grid.primaryKey ? dataCollection.findIndex((rec) => rec.data[this.grid.primaryKey] === pk) : -1;
  }
  addRowToData(data, parentRowID) {
    if (parentRowID !== void 0 && parentRowID !== null) {
      const state = this.grid.transactions.getState(parentRowID);
      if (state && state.type === TransactionType.DELETE) {
        throw Error(`Cannot add child row to deleted parent row`);
      }
      const parentRecord = this.grid.records.get(parentRowID);
      if (!parentRecord) {
        throw Error("Invalid parent row ID!");
      }
      this.grid.summaryService.clearSummaryCache({ rowID: parentRecord.key });
      if (this.grid.primaryKey && this.grid.foreignKey) {
        data[this.grid.foreignKey] = parentRowID;
        super.addRowToData(data);
      } else {
        const parentData = parentRecord.data;
        const childKey = this.grid.childDataKey;
        if (this.grid.transactions.enabled) {
          const rowId = this.grid.primaryKey ? data[this.grid.primaryKey] : data;
          const path = [];
          path.push(...this.grid.generateRowPath(parentRowID));
          path.push(parentRowID);
          this.grid.transactions.add({
            id: rowId,
            path,
            newValue: data,
            type: TransactionType.ADD
          }, null);
        } else {
          if (!parentData[childKey]) {
            parentData[childKey] = [];
          }
          parentData[childKey].push(data);
        }
      }
    } else {
      super.addRowToData(data);
    }
  }
  filterDataByExpressions(expressionsTree) {
    const records = this.filterTreeDataByExpressions(expressionsTree);
    const data = [];
    this.getFlatDataFromFilteredRecords(records, data);
    return data;
  }
  sortDataByExpressions(data, expressions) {
    const records = DataUtil.sort(cloneArray(data), expressions, this.grid.sortStrategy ?? new IgxDataRecordSorting(), this.grid);
    return records.map((r) => r.data);
  }
  filterTreeDataByExpressions(expressionsTree) {
    let records = this.grid.rootRecords;
    if (expressionsTree.filteringOperands.length) {
      const state = {
        expressionsTree,
        strategy: this.grid.filterStrategy ?? new TreeGridFilteringStrategy()
      };
      records = FilterUtil.filter(cloneArray(records), state, this.grid);
    }
    return records;
  }
  update_row_in_array(value, rowID, index) {
    const grid = this.grid;
    if (grid.primaryKey && grid.foreignKey) {
      super.update_row_in_array(value, rowID, index);
    } else {
      const record = grid.records.get(rowID);
      const childData = record.parent ? record.parent.data[grid.childDataKey] : grid.data;
      index = grid.primaryKey ? childData.map((c) => c[grid.primaryKey]).indexOf(rowID) : childData.indexOf(rowID);
      childData[index] = value;
    }
  }
  /**
   * Updates related row of provided grid's data source with provided new row value
   *
   * @param grid Grid to update data for
   * @param rowID ID of the row to update
   * @param rowValueInDataSource Initial value of the row as it is in data source
   * @param rowCurrentValue Current value of the row as it is with applied previous transactions
   * @param rowNewValue New value of the row
   */
  updateData(grid, rowID, rowValueInDataSource, rowCurrentValue, rowNewValue) {
    if (grid.transactions.enabled) {
      const path = grid.generateRowPath(rowID);
      const transaction = {
        id: rowID,
        type: TransactionType.UPDATE,
        newValue: rowNewValue,
        path
      };
      grid.transactions.add(transaction, rowCurrentValue);
    } else {
      mergeObjects(rowValueInDataSource, rowNewValue);
    }
  }
  row_deleted_parent(rowID) {
    const grid = this.grid;
    if (!grid) {
      return false;
    }
    if (grid.cascadeOnDelete && grid.foreignKey || grid.childDataKey) {
      let node = grid.records.get(rowID);
      while (node) {
        const state = grid.transactions.getState(node.key);
        if (state && state.type === TransactionType.DELETE) {
          return true;
        }
        node = node.parent;
      }
    }
    return false;
  }
  getFlatDataFromFilteredRecords(records, data) {
    if (!records || records.length === 0) {
      return;
    }
    for (const record of records) {
      if (!record.isFilteredOutParent) {
        data.push(record);
      }
      this.getFlatDataFromFilteredRecords(record.children, data);
    }
  }
  static {
    this.ɵfac = i0223.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0223, type: _IgxTreeGridAPIService, deps: null, target: i0223.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0223.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0223, type: _IgxTreeGridAPIService });
  }
};
i0223.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0223, type: IgxTreeGridAPIService, decorators: [{
  type: Injectable36
}] });

// lib/grids/tree-grid/tree-grid.directives.mjs
import { Directive as Directive89 } from "@angular/core";
import * as i0224 from "@angular/core";
var IgxRowLoadingIndicatorTemplateDirective = class _IgxRowLoadingIndicatorTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0224.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0224, type: _IgxRowLoadingIndicatorTemplateDirective, deps: [{ token: i0224.TemplateRef }], target: i0224.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0224.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxRowLoadingIndicatorTemplateDirective, isStandalone: true, selector: "[igxRowLoadingIndicator]", ngImport: i0224 });
  }
};
i0224.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0224, type: IgxRowLoadingIndicatorTemplateDirective, decorators: [{
  type: Directive89,
  args: [{
    selector: "[igxRowLoadingIndicator]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0224.TemplateRef }] });

// lib/grids/tree-grid/tree-grid-selection.service.mjs
import { Injectable as Injectable37 } from "@angular/core";
import * as i0225 from "@angular/core";
var IgxTreeGridSelectionService = class _IgxTreeGridSelectionService extends IgxGridSelectionService {
  /** Select specified rows. No event is emitted. */
  selectRowsWithNoEvent(rowIDs, clearPrevSelection) {
    if (this.grid && this.grid.rowSelection === GridSelectionMode.multipleCascade) {
      this.cascadeSelectRowsWithNoEvent(rowIDs, clearPrevSelection);
      return;
    }
    super.selectRowsWithNoEvent(rowIDs, clearPrevSelection);
  }
  /** Deselect specified rows. No event is emitted. */
  deselectRowsWithNoEvent(rowIDs) {
    if (this.grid.rowSelection === GridSelectionMode.multipleCascade) {
      this.cascadeDeselectRowsWithNoEvent(rowIDs);
      return;
    }
    super.deselectRowsWithNoEvent(rowIDs);
  }
  emitRowSelectionEvent(newSelection, added, removed, event) {
    if (this.grid.rowSelection === GridSelectionMode.multipleCascade) {
      this.emitCascadeRowSelectionEvent(newSelection, added, removed, event);
      return;
    }
    super.emitRowSelectionEvent(newSelection, added, removed, event);
  }
  updateCascadeSelectionOnFilterAndCRUD(parents, crudRowID, visibleRowIDs = null) {
    if (visibleRowIDs === null) {
      if (!parents.size) {
        return;
      }
      visibleRowIDs = new Set(this.getRowIDs(this.allData));
      this.rowsToBeSelected = new Set(this.rowSelection);
      this.rowsToBeIndeterminate = new Set(this.indeterminateRows);
      if (crudRowID) {
        this.rowSelection.delete(crudRowID);
      }
    }
    if (!parents.size) {
      this.rowSelection = new Set(this.rowsToBeSelected);
      this.indeterminateRows = new Set(this.rowsToBeIndeterminate);
      this.clearHeaderCBState();
      this.selectedRowsChange.next();
      return;
    }
    const newParents = /* @__PURE__ */ new Set();
    parents.forEach((parent) => {
      this.handleRowSelectionState(parent, visibleRowIDs);
      if (parent && parent.parent) {
        newParents.add(parent.parent);
      }
    });
    this.updateCascadeSelectionOnFilterAndCRUD(newParents, null, visibleRowIDs);
  }
  cascadeSelectRowsWithNoEvent(rowIDs, clearPrevSelection) {
    if (clearPrevSelection) {
      this.indeterminateRows.clear();
      this.rowSelection.clear();
      this.calculateRowsNewSelectionState({ added: rowIDs, removed: [] });
    } else {
      const oldSelection = this.getSelectedRows();
      const newSelection = [...oldSelection, ...rowIDs];
      const args = { oldSelection, newSelection };
      this.handleAddedAndRemovedArgs(args);
      this.calculateRowsNewSelectionState(args);
    }
    this.rowSelection = new Set(this.rowsToBeSelected);
    this.indeterminateRows = new Set(this.rowsToBeIndeterminate);
    this.clearHeaderCBState();
    this.selectedRowsChange.next();
  }
  cascadeDeselectRowsWithNoEvent(rowIDs) {
    const args = { added: [], removed: rowIDs };
    this.calculateRowsNewSelectionState(args);
    this.rowSelection = new Set(this.rowsToBeSelected);
    this.indeterminateRows = new Set(this.rowsToBeIndeterminate);
    this.clearHeaderCBState();
    this.selectedRowsChange.next();
  }
  get selectionService() {
    return this.grid.selectionService;
  }
  emitCascadeRowSelectionEvent(newSelection, added, removed, event) {
    const currSelection = this.getSelectedRows();
    if (this.areEqualCollections(currSelection, newSelection)) {
      return;
    }
    const args = {
      owner: this.grid,
      oldSelection: this.getSelectedRowsData(),
      newSelection,
      added,
      removed,
      event,
      cancel: false
    };
    this.calculateRowsNewSelectionState(args, !!this.grid.primaryKey);
    args.newSelection = Array.from(this.grid.gridAPI.get_all_data().filter((r) => this.rowsToBeSelected.has(this.grid.primaryKey ? r[this.grid.primaryKey] : r)));
    this.handleAddedAndRemovedArgs(args);
    this.grid.rowSelectionChanging.emit(args);
    if (args.cancel) {
      return;
    }
    const newSelectionIDs = args.newSelection.map((r) => this.grid.primaryKey ? r[this.grid.primaryKey] : r);
    if (this.areEqualCollections(Array.from(this.rowsToBeSelected), newSelectionIDs)) {
      this.rowSelection = new Set(this.rowsToBeSelected);
      this.indeterminateRows = new Set(this.rowsToBeIndeterminate);
      this.clearHeaderCBState();
      this.selectedRowsChange.next();
    } else {
      this.cascadeSelectRowsWithNoEvent(newSelectionIDs, true);
    }
  }
  /**
   * retrieve the rows which should be added/removed to/from the old selection
   */
  handleAddedAndRemovedArgs(args) {
    const newSelectionSet = new Set(args.newSelection);
    const oldSelectionSet = new Set(args.oldSelection);
    args.removed = args.oldSelection.filter((x) => !newSelectionSet.has(x));
    args.added = args.newSelection.filter((x) => !oldSelectionSet.has(x));
  }
  /**
   * adds to rowsToBeProcessed set all visible children of the rows which was initially within the rowsToBeProcessed set
   *
   * @param rowsToBeProcessed set of the rows (without their parents/children) to be selected/deselected
   * @param visibleRowIDs list of all visible rowIds
   * @returns a new set with all direct parents of the rows within rowsToBeProcessed set
   */
  collectRowsChildrenAndDirectParents(rowsToBeProcessed, visibleRowIDs, adding, shouldConvert) {
    const processedRowsParents = /* @__PURE__ */ new Set();
    Array.from(rowsToBeProcessed).forEach((row) => {
      const rowID = shouldConvert ? row[this.grid.primaryKey] : row;
      this.selectDeselectRow(rowID, adding);
      const rowTreeRecord = this.grid.gridAPI.get_rec_by_id(rowID);
      const rowAndAllChildren = this.get_all_children(rowTreeRecord);
      rowAndAllChildren.forEach((r) => {
        if (visibleRowIDs.has(r.key)) {
          this.selectDeselectRow(r.key, adding);
        }
      });
      if (rowTreeRecord && rowTreeRecord.parent) {
        processedRowsParents.add(rowTreeRecord.parent);
      }
    });
    return processedRowsParents;
  }
  /**
   * populates the rowsToBeSelected and rowsToBeIndeterminate sets
   * with the rows which will be eventually in selected/indeterminate state
   */
  calculateRowsNewSelectionState(args, shouldConvert = false) {
    this.rowsToBeSelected = new Set(args.oldSelection ? shouldConvert ? args.oldSelection.map((r) => r[this.grid.primaryKey]) : args.oldSelection : this.getSelectedRows());
    this.rowsToBeIndeterminate = new Set(this.getIndeterminateRows());
    const visibleRowIDs = new Set(this.getRowIDs(this.allData));
    const removed = new Set(args.removed);
    const added = new Set(args.added);
    if (removed && removed.size) {
      let removedRowsParents = /* @__PURE__ */ new Set();
      removedRowsParents = this.collectRowsChildrenAndDirectParents(removed, visibleRowIDs, false, shouldConvert);
      Array.from(removedRowsParents).forEach((parent) => {
        this.handleParentSelectionState(parent, visibleRowIDs);
      });
    }
    if (added && added.size) {
      let addedRowsParents = /* @__PURE__ */ new Set();
      addedRowsParents = this.collectRowsChildrenAndDirectParents(added, visibleRowIDs, true, shouldConvert);
      Array.from(addedRowsParents).forEach((parent) => {
        this.handleParentSelectionState(parent, visibleRowIDs);
      });
    }
  }
  /**
   * recursively handle the selection state of the direct and indirect parents
   */
  handleParentSelectionState(treeRow, visibleRowIDs) {
    if (!treeRow) {
      return;
    }
    this.handleRowSelectionState(treeRow, visibleRowIDs);
    if (treeRow.parent) {
      this.handleParentSelectionState(treeRow.parent, visibleRowIDs);
    }
  }
  /**
   * Handle the selection state of a given row based the selection states of its direct children
   */
  handleRowSelectionState(treeRow, visibleRowIDs) {
    let visibleChildren = [];
    if (treeRow && treeRow.children) {
      visibleChildren = treeRow.children.filter((child) => visibleRowIDs.has(child.key));
    }
    if (visibleChildren.length) {
      if (visibleChildren.every((row) => this.rowsToBeSelected.has(row.key))) {
        this.selectDeselectRow(treeRow.key, true);
      } else if (visibleChildren.some((row) => this.rowsToBeSelected.has(row.key) || this.rowsToBeIndeterminate.has(row.key))) {
        this.rowsToBeIndeterminate.add(treeRow.key);
        this.rowsToBeSelected.delete(treeRow.key);
      } else {
        this.selectDeselectRow(treeRow.key, false);
      }
    } else {
      if (this.isRowSelected(treeRow.key)) {
        this.selectDeselectRow(treeRow.key, true);
      } else {
        this.selectDeselectRow(treeRow.key, false);
      }
    }
  }
  get_all_children(record) {
    const children = [];
    if (record && record.children && record.children.length) {
      for (const child of record.children) {
        children.push(...this.get_all_children(child));
        children.push(child);
      }
    }
    return children;
  }
  selectDeselectRow(rowID, select) {
    if (select) {
      this.rowsToBeSelected.add(rowID);
      this.rowsToBeIndeterminate.delete(rowID);
    } else {
      this.rowsToBeSelected.delete(rowID);
      this.rowsToBeIndeterminate.delete(rowID);
    }
  }
  static {
    this.ɵfac = i0225.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0225, type: _IgxTreeGridSelectionService, deps: null, target: i0225.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0225.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0225, type: _IgxTreeGridSelectionService });
  }
};
i0225.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0225, type: IgxTreeGridSelectionService, decorators: [{
  type: Injectable37
}] });

// lib/grids/grouping/tree-grid-group-by-area.component.mjs
import { Component as Component103, Input as Input131, booleanAttribute as booleanAttribute75 } from "@angular/core";
import { Subject as Subject53 } from "rxjs";
import { takeUntil as takeUntil47 } from "rxjs/operators";
import { NgFor as NgFor30, NgTemplateOutlet as NgTemplateOutlet38 } from "@angular/common";
import * as i0226 from "@angular/core";
var IgxTreeGridGroupByAreaComponent = class _IgxTreeGridGroupByAreaComponent extends IgxGroupByAreaDirective {
  get hideGroupedColumns() {
    return this._hideGroupedColumns;
  }
  set hideGroupedColumns(value) {
    if (this.grid?.columns && this.expressions) {
      this.setColumnsVisibility(value);
    }
    this._hideGroupedColumns = value;
  }
  constructor(differs, ref, platform) {
    super(ref, platform);
    this.differs = differs;
    this._hideGroupedColumns = false;
    this.destroy$ = new Subject53();
  }
  ngAfterContentInit() {
    if (this.grid.columns && this.expressions) {
      this.groupingDiffer = this.differs.find(this.expressions).create();
      this.updateColumnsVisibility();
    }
    this.grid.sortingExpressionsChange.pipe(takeUntil47(this.destroy$)).subscribe((sortingExpressions) => {
      if (!this.expressions || !this.expressions.length) {
        return;
      }
      let changed = false;
      sortingExpressions.forEach((sortExpr) => {
        const fieldName = sortExpr.fieldName;
        const groupingExpr = this.expressions.find((ex) => ex.fieldName === fieldName);
        if (groupingExpr && groupingExpr.dir !== sortExpr.dir) {
          groupingExpr.dir = sortExpr.dir;
          changed = true;
        }
      });
      if (changed) {
        this.expressions = [...this.expressions];
      }
    });
  }
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
  }
  handleReorder(event) {
    const { chipsArray, originalEvent } = event;
    const newExpressions = this.getReorderedExpressions(chipsArray);
    this.chipExpressions = newExpressions;
    if (originalEvent instanceof KeyboardEvent) {
      this.expressions = newExpressions;
    }
  }
  handleMoveEnd() {
    this.expressions = this.chipExpressions;
  }
  groupBy(expression) {
    this.expressions.push(expression);
    this.expressions = [...this.expressions];
  }
  clearGrouping(name) {
    this.expressions = this.expressions.filter((item) => item.fieldName !== name);
    this.grid.sortingExpressions = this.grid.sortingExpressions.filter((item) => item.fieldName !== name);
    this.grid.notifyChanges(true);
  }
  expressionsChanged() {
    this.updateColumnsVisibility();
  }
  updateColumnsVisibility() {
    if (this.groupingDiffer && this.grid.columns && !this.grid.hasColumnLayouts) {
      const changes = this.groupingDiffer.diff(this.expressions);
      if (changes && this.grid.columns.length > 0) {
        changes.forEachAddedItem((rec) => {
          const col = this.grid.getColumnByName(rec.item.fieldName);
          col.hidden = this.hideGroupedColumns;
        });
        changes.forEachRemovedItem((rec) => {
          const col = this.grid.getColumnByName(rec.item.fieldName);
          col.hidden = false;
        });
      }
    }
  }
  setColumnsVisibility(value) {
    if (this.grid.columns.length > 0 && !this.grid.hasColumnLayouts) {
      this.expressions.forEach((expr) => {
        const col = this.grid.getColumnByName(expr.fieldName);
        col.hidden = value;
      });
    }
  }
  static {
    this.ɵfac = i0226.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0226, type: _IgxTreeGridGroupByAreaComponent, deps: [{ token: i0226.IterableDiffers }, { token: i0226.ElementRef }, { token: PlatformUtil }], target: i0226.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0226.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTreeGridGroupByAreaComponent, isStandalone: true, selector: "igx-tree-grid-group-by-area", inputs: { hideGroupedColumns: ["hideGroupedColumns", "hideGroupedColumns", booleanAttribute75] }, providers: [{ provide: IgxGroupByAreaDirective, useExisting: _IgxTreeGridGroupByAreaComponent }], usesInheritance: true, ngImport: i0226, template: `<igx-chips-area (reorder)="handleReorder($event)" (moveEnd)="handleMoveEnd()">
    <ng-container *ngFor="let expression of chipExpressions; let last = last;">
        <igx-chip
            [id]="expression.fieldName"
            [title]="(expression.fieldName | igxGroupByMeta:grid).title"
            [displayDensity]="grid.displayDensity"
            [removable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [draggable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [disabled]="!(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            (keyDown)="handleKeyDown($event.owner.id, $event.originalEvent)"
            (remove)="clearGrouping($event.owner.id)"
            (chipClick)="handleClick(expression.fieldName)"
        >
            <span>{{ (expression.fieldName | igxGroupByMeta:grid).title }}</span>
            <igx-icon igxSuffix>{{ expression.dir === 1 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
        </igx-chip>

        <span class="igx-grid-grouparea__connector">
            <igx-icon [hidden]="(last && !dropAreaVisible)">arrow_forward</igx-icon>
        </span>
    </ng-container>
    <div igxGroupAreaDrop
        class="igx-drop-area"
        [attr.gridId]="grid.id"
        [hidden]="!dropAreaVisible"
        (igxDrop)="onDragDrop($event)"
    >
        <ng-container *ngTemplateOutlet="dropAreaTemplate || default"></ng-container>
    </div>
</igx-chips-area>

<ng-template #default>
    <igx-icon class="igx-drop-area__icon">group_work</igx-icon>
    <span class="igx-drop-area__text">{{ dropAreaMessage }}</span>
</ng-template>
`, dependencies: [{ kind: "component", type: IgxChipsAreaComponent, selector: "igx-chips-area", inputs: ["width", "height"], outputs: ["reorder", "selectionChange", "moveStart", "moveEnd"] }, { kind: "directive", type: NgFor30, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: IgxGroupAreaDropDirective, selector: "[igxGroupAreaDrop]" }, { kind: "directive", type: IgxDropDirective, selector: "[igxDrop]", inputs: ["igxDrop", "dropChannel", "dropStrategy"], outputs: ["enter", "over", "leave", "dropped"], exportAs: ["drop"] }, { kind: "directive", type: NgTemplateOutlet38, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: IgxGroupByMetaPipe, name: "igxGroupByMeta" }] });
  }
};
i0226.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0226, type: IgxTreeGridGroupByAreaComponent, decorators: [{
  type: Component103,
  args: [{ selector: "igx-tree-grid-group-by-area", providers: [{ provide: IgxGroupByAreaDirective, useExisting: IgxTreeGridGroupByAreaComponent }], standalone: true, imports: [IgxChipsAreaComponent, NgFor30, IgxChipComponent, IgxIconComponent, IgxSuffixDirective, IgxGroupAreaDropDirective, IgxDropDirective, NgTemplateOutlet38, IgxGroupByMetaPipe], template: `<igx-chips-area (reorder)="handleReorder($event)" (moveEnd)="handleMoveEnd()">
    <ng-container *ngFor="let expression of chipExpressions; let last = last;">
        <igx-chip
            [id]="expression.fieldName"
            [title]="(expression.fieldName | igxGroupByMeta:grid).title"
            [displayDensity]="grid.displayDensity"
            [removable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [draggable]="(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            [disabled]="!(expression.fieldName | igxGroupByMeta:grid:grid.groupablePipeTrigger).groupable"
            (keyDown)="handleKeyDown($event.owner.id, $event.originalEvent)"
            (remove)="clearGrouping($event.owner.id)"
            (chipClick)="handleClick(expression.fieldName)"
        >
            <span>{{ (expression.fieldName | igxGroupByMeta:grid).title }}</span>
            <igx-icon igxSuffix>{{ expression.dir === 1 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>
        </igx-chip>

        <span class="igx-grid-grouparea__connector">
            <igx-icon [hidden]="(last && !dropAreaVisible)">arrow_forward</igx-icon>
        </span>
    </ng-container>
    <div igxGroupAreaDrop
        class="igx-drop-area"
        [attr.gridId]="grid.id"
        [hidden]="!dropAreaVisible"
        (igxDrop)="onDragDrop($event)"
    >
        <ng-container *ngTemplateOutlet="dropAreaTemplate || default"></ng-container>
    </div>
</igx-chips-area>

<ng-template #default>
    <igx-icon class="igx-drop-area__icon">group_work</igx-icon>
    <span class="igx-drop-area__text">{{ dropAreaMessage }}</span>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0226.IterableDiffers }, { type: i0226.ElementRef }, { type: PlatformUtil }], propDecorators: { hideGroupedColumns: [{
  type: Input131,
  args: [{ transform: booleanAttribute75 }]
}] } });

// lib/grids/tree-grid/tree-grid.summary.pipe.mjs
import { Inject as Inject90, Pipe as Pipe15 } from "@angular/core";
import * as i0227 from "@angular/core";
var IgxTreeGridSummaryPipe = class _IgxTreeGridSummaryPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(flatData, hasSummary, summaryCalculationMode, summaryPosition, showSummaryOnCollapse, _, __) {
    if (!flatData || !hasSummary || summaryCalculationMode === GridSummaryCalculationMode.rootLevelOnly) {
      return flatData;
    }
    return this.addSummaryRows(this.grid, flatData, summaryPosition, showSummaryOnCollapse);
  }
  addSummaryRows(grid, collection, summaryPosition, showSummaryOnCollapse) {
    const recordsWithSummary = [];
    const maxSummaryHeight = grid.summaryService.calcMaxSummaryHeight();
    for (const record of collection) {
      recordsWithSummary.push(record);
      const isCollapsed = !record.expanded && record.children && record.children.length > 0 && showSummaryOnCollapse;
      if (isCollapsed) {
        let childData = record.children.filter((r) => !r.isFilteredOutParent).map((r) => r.data);
        childData = this.removeDeletedRecord(grid, record.key, childData);
        const summaries = grid.summaryService.calculateSummaries(record.key, childData);
        const summaryRecord = {
          summaries,
          max: maxSummaryHeight,
          cellIndentation: record.level + 1
        };
        recordsWithSummary.push(summaryRecord);
      }
      const isExpanded = record.children && record.children.length > 0 && record.expanded;
      if (summaryPosition === GridSummaryPosition.bottom && !isExpanded) {
        let childRecord = record;
        let parent = record.parent;
        while (parent) {
          const children = parent.children;
          if (children[children.length - 1] === childRecord) {
            let childData = children.filter((r) => !r.isFilteredOutParent).map((r) => r.data);
            childData = this.removeDeletedRecord(grid, parent.key, childData);
            const summaries = grid.summaryService.calculateSummaries(parent.key, childData);
            const summaryRecord = {
              summaries,
              max: maxSummaryHeight,
              cellIndentation: parent.level + 1
            };
            recordsWithSummary.push(summaryRecord);
            childRecord = parent;
            parent = childRecord.parent;
          } else {
            break;
          }
        }
      } else if (summaryPosition === GridSummaryPosition.top && isExpanded) {
        let childData = record.children.filter((r) => !r.isFilteredOutParent).map((r) => r.data);
        childData = this.removeDeletedRecord(grid, record.key, childData);
        const summaries = grid.summaryService.calculateSummaries(record.key, childData);
        const summaryRecord = {
          summaries,
          max: maxSummaryHeight,
          cellIndentation: record.level + 1
        };
        recordsWithSummary.push(summaryRecord);
      }
    }
    return recordsWithSummary;
  }
  removeDeletedRecord(grid, rowId, data) {
    if (!grid.transactions.enabled || !grid.cascadeOnDelete) {
      return data;
    }
    const deletedRows = grid.transactions.getTransactionLog().filter((t) => t.type === "delete").map((t) => t.id);
    let row = grid.records.get(rowId);
    if (!row && deletedRows.lenght === 0) {
      return [];
    }
    row = row.children ? row : row.parent;
    while (row) {
      rowId = row.key;
      if (deletedRows.indexOf(rowId) !== -1) {
        return [];
      }
      row = row.parent;
    }
    deletedRows.forEach((rowID) => {
      const tempData = grid.primaryKey ? data.map((rec) => rec[grid.primaryKey]) : data;
      const index = tempData.indexOf(rowID);
      if (index !== -1) {
        data.splice(index, 1);
      }
    });
    return data;
  }
  static {
    this.ɵfac = i0227.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0227, type: _IgxTreeGridSummaryPipe, deps: [{ token: IGX_GRID_BASE }], target: i0227.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0227.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0227, type: _IgxTreeGridSummaryPipe, isStandalone: true, name: "treeGridSummary" });
  }
};
i0227.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0227, type: IgxTreeGridSummaryPipe, decorators: [{
  type: Pipe15,
  args: [{
    name: "treeGridSummary",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject90,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/tree-grid/tree-grid.filtering.pipe.mjs
import { Inject as Inject91, Pipe as Pipe16 } from "@angular/core";
import * as i0228 from "@angular/core";
var IgxTreeGridFilteringPipe = class _IgxTreeGridFilteringPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(hierarchyData, expressionsTree, filterStrategy, advancedFilteringExpressionsTree, _, __, pinned) {
    const state = {
      expressionsTree,
      advancedExpressionsTree: advancedFilteringExpressionsTree,
      strategy: new TreeGridFilteringStrategy()
    };
    if (filterStrategy) {
      state.strategy = filterStrategy;
    }
    if (FilteringExpressionsTree.empty(state.expressionsTree) && FilteringExpressionsTree.empty(state.advancedExpressionsTree)) {
      this.grid.setFilteredData(null, pinned);
      return hierarchyData;
    }
    const result = this.filter(hierarchyData, state, this.grid);
    const filteredData = [];
    this.expandAllRecursive(this.grid, result, this.grid.expansionStates, filteredData);
    this.grid.setFilteredData(filteredData, pinned);
    return result;
  }
  expandAllRecursive(grid, data, expandedStates, filteredData) {
    for (const rec of data) {
      filteredData.push(rec.data);
      if (rec.children && rec.children.length > 0) {
        expandedStates.set(rec.key, true);
        this.expandAllRecursive(grid, rec.children, expandedStates, filteredData);
      }
    }
  }
  filter(data, state, grid) {
    return state.strategy.filter(data, state.expressionsTree, state.advancedExpressionsTree, grid);
  }
  static {
    this.ɵfac = i0228.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0228, type: _IgxTreeGridFilteringPipe, deps: [{ token: IGX_GRID_BASE }], target: i0228.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0228.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0228, type: _IgxTreeGridFilteringPipe, isStandalone: true, name: "treeGridFiltering" });
  }
};
i0228.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0228, type: IgxTreeGridFilteringPipe, decorators: [{
  type: Pipe16,
  args: [{
    name: "treeGridFiltering",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject91,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/tree-grid/tree-grid.pipes.mjs
import { Inject as Inject92, Pipe as Pipe17 } from "@angular/core";
import * as i0229 from "@angular/core";
var IgxTreeGridHierarchizingPipe = class _IgxTreeGridHierarchizingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, primaryKey, foreignKey, childDataKey, _) {
    let hierarchicalRecords = [];
    const treeGridRecordsMap = /* @__PURE__ */ new Map();
    const flatData = [];
    if (!collection || !collection.length) {
      this.grid.flatData = collection;
      this.grid.records = treeGridRecordsMap;
      this.grid.rootRecords = collection;
      return collection;
    }
    if (childDataKey) {
      hierarchicalRecords = this.hierarchizeRecursive(collection, primaryKey, childDataKey, void 0, flatData, 0, treeGridRecordsMap);
    } else if (primaryKey) {
      hierarchicalRecords = this.hierarchizeFlatData(collection, primaryKey, foreignKey, treeGridRecordsMap, flatData);
    }
    this.grid.flatData = this.grid.transactions.enabled ? flatData.filter((rec) => {
      const state = this.grid.transactions.getState(this.getRowID(primaryKey, rec));
      return !state || state.type !== TransactionType.ADD;
    }) : flatData;
    this.grid.records = treeGridRecordsMap;
    this.grid.rootRecords = hierarchicalRecords;
    return hierarchicalRecords;
  }
  getRowID(primaryKey, rowData) {
    return primaryKey ? rowData[primaryKey] : rowData;
  }
  hierarchizeFlatData(collection, primaryKey, foreignKey, map3, flatData) {
    const result = [];
    const missingParentRecords = [];
    collection.forEach((row) => {
      const record = {
        key: this.getRowID(primaryKey, row),
        data: row,
        children: []
      };
      const parent = map3.get(row[foreignKey]);
      if (parent) {
        record.parent = parent;
        parent.children.push(record);
      } else {
        missingParentRecords.push(record);
      }
      map3.set(row[primaryKey], record);
    });
    missingParentRecords.forEach((record) => {
      const parent = map3.get(record.data[foreignKey]);
      if (parent) {
        record.parent = parent;
        parent.children.push(record);
      } else {
        result.push(record);
      }
    });
    this.setIndentationLevels(result, 0, flatData);
    return result;
  }
  setIndentationLevels(collection, indentationLevel, flatData) {
    for (const record of collection) {
      record.level = indentationLevel;
      record.expanded = this.grid.gridAPI.get_row_expansion_state(record);
      flatData.push(record.data);
      if (record.children && record.children.length > 0) {
        this.setIndentationLevels(record.children, indentationLevel + 1, flatData);
      }
    }
  }
  hierarchizeRecursive(collection, primaryKey, childDataKey, parent, flatData, indentationLevel, map3) {
    const result = [];
    for (const item of collection) {
      const record = {
        key: this.getRowID(primaryKey, item),
        data: item,
        parent,
        level: indentationLevel
      };
      record.expanded = this.grid.gridAPI.get_row_expansion_state(record);
      flatData.push(item);
      map3.set(record.key, record);
      record.children = item[childDataKey] ? this.hierarchizeRecursive(item[childDataKey], primaryKey, childDataKey, record, flatData, indentationLevel + 1, map3) : void 0;
      result.push(record);
    }
    return result;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridHierarchizingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridHierarchizingPipe, isStandalone: true, name: "treeGridHierarchizing" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridHierarchizingPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridHierarchizing",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridFlatteningPipe = class _IgxTreeGridFlatteningPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, expandedLevels, expandedStates, _) {
    const data = [];
    this.grid.processedRootRecords = collection;
    this.grid.processedRecords = /* @__PURE__ */ new Map();
    this.getFlatDataRecursive(collection, data, expandedLevels, expandedStates, true);
    this.grid.processedExpandedFlatData = data.map((r) => r.data);
    return data;
  }
  getFlatDataRecursive(collection, data, expandedLevels, expandedStates, parentExpanded) {
    if (!collection || !collection.length) {
      return;
    }
    for (const hierarchicalRecord of collection) {
      if (parentExpanded) {
        data.push(hierarchicalRecord);
      }
      hierarchicalRecord.expanded = this.grid.gridAPI.get_row_expansion_state(hierarchicalRecord);
      this.updateNonProcessedRecordExpansion(this.grid, hierarchicalRecord);
      this.grid.processedRecords.set(hierarchicalRecord.key, hierarchicalRecord);
      this.getFlatDataRecursive(hierarchicalRecord.children, data, expandedLevels, expandedStates, parentExpanded && hierarchicalRecord.expanded);
    }
  }
  updateNonProcessedRecordExpansion(grid, record) {
    const rec = grid.records.get(record.key);
    rec.expanded = record.expanded;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridFlatteningPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridFlatteningPipe, isStandalone: true, name: "treeGridFlattening" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridFlatteningPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridFlattening",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridSortingPipe = class _IgxTreeGridSortingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(hierarchicalData, sortExpressions, groupExpressions, sorting, _, pinned) {
    const expressions = groupExpressions ? groupExpressions.concat(sortExpressions) : sortExpressions;
    let result;
    if (!expressions.length) {
      result = hierarchicalData;
    } else {
      result = DataUtil.treeGridSort(hierarchicalData, expressions, sorting, null, this.grid);
    }
    const filteredSortedData = [];
    this.flattenTreeGridRecords(result, filteredSortedData);
    this.grid.setFilteredSortedData(filteredSortedData, pinned);
    return result;
  }
  flattenTreeGridRecords(records, flatData) {
    if (records && records.length) {
      for (const record of records) {
        flatData.push(record.data);
        this.flattenTreeGridRecords(record.children, flatData);
      }
    }
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridSortingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridSortingPipe, isStandalone: true, name: "treeGridSorting" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridSortingPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridSorting",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridPagingPipe = class _IgxTreeGridPagingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, enabled, page = 0, perPage = 15, _) {
    if (!enabled || this.grid.pagingMode !== GridPagingMode.Local) {
      return collection;
    }
    const len = this.grid._totalRecords >= 0 ? this.grid._totalRecords : collection.length;
    const totalPages = Math.ceil(len / perPage);
    const state = {
      index: totalPages > 0 && page >= totalPages ? totalPages - 1 : page,
      recordsPerPage: perPage
    };
    const result = DataUtil.page(cloneArray(collection), state, len);
    this.grid.pagingState = state;
    this.grid.page = state.index;
    return result;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridPagingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridPagingPipe, isStandalone: true, name: "treeGridPaging" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridPagingPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridPaging",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridTransactionPipe = class _IgxTreeGridTransactionPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, _) {
    if (this.grid.transactions.enabled) {
      const aggregatedChanges = this.grid.transactions.getAggregatedChanges(true);
      if (aggregatedChanges.length > 0) {
        const primaryKey = this.grid.primaryKey;
        if (!primaryKey) {
          return collection;
        }
        const childDataKey = this.grid.childDataKey;
        if (childDataKey) {
          const hierarchicalDataClone = cloneHierarchicalArray(collection, childDataKey);
          return DataUtil.mergeHierarchicalTransactions(hierarchicalDataClone, aggregatedChanges, childDataKey, this.grid.primaryKey, this.grid.dataCloneStrategy);
        } else {
          const flatDataClone = cloneArray(collection);
          return DataUtil.mergeTransactions(flatDataClone, aggregatedChanges, this.grid.primaryKey, this.grid.dataCloneStrategy);
        }
      }
    }
    return collection;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridTransactionPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridTransactionPipe, isStandalone: true, name: "treeGridTransaction" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridTransactionPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridTransaction",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridNormalizeRecordsPipe = class _IgxTreeGridNormalizeRecordsPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(_, __) {
    const primaryKey = this.grid.primaryKey;
    const flatData = this.grid.flatData;
    const res = flatData ? flatData.map((rec) => ({
      rowID: this.grid.primaryKey ? rec[primaryKey] : rec,
      data: rec,
      level: 0,
      children: []
    })) : [];
    return res;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridNormalizeRecordsPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridNormalizeRecordsPipe, isStandalone: true, name: "treeGridNormalizeRecord" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridNormalizeRecordsPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridNormalizeRecord",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });
var IgxTreeGridAddRowPipe = class _IgxTreeGridAddRowPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, isPinned = false, _pipeTrigger) {
    if (!this.grid.rowEditable || !this.grid.crudService.row || this.grid.crudService.row.getClassName() !== IgxAddRow.name || !this.grid.gridAPI.crudService.addRowParent || isPinned !== this.grid.gridAPI.crudService.addRowParent.isPinned) {
      return collection;
    }
    const copy = collection.slice(0);
    const rec = this.grid.crudService.row.recordRef;
    if (this.grid.crudService.addRowParent.isPinned) {
      const parentRowIndex = copy.findIndex((record) => record.rowID === this.grid.crudService.addRowParent.rowID);
      copy.splice(parentRowIndex + 1, 0, rec);
    } else {
      copy.splice(this.grid.crudService.row.index, 0, rec);
    }
    this.grid.records.set(rec.key, rec);
    return copy;
  }
  static {
    this.ɵfac = i0229.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridAddRowPipe, deps: [{ token: IGX_GRID_BASE }], target: i0229.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0229.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: _IgxTreeGridAddRowPipe, isStandalone: true, name: "treeGridAddRow" });
  }
};
i0229.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0229, type: IgxTreeGridAddRowPipe, decorators: [{
  type: Pipe17,
  args: [{
    name: "treeGridAddRow",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject92,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/tree-grid/tree-cell.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy55, Component as Component104, Input as Input132 } from "@angular/core";
import { NgIf as NgIf71, NgClass as NgClass32, NgStyle as NgStyle12, NgTemplateOutlet as NgTemplateOutlet39, DecimalPipe as DecimalPipe4, PercentPipe as PercentPipe4, CurrencyPipe as CurrencyPipe5, DatePipe as DatePipe10 } from "@angular/common";
import { ReactiveFormsModule as ReactiveFormsModule3 } from "@angular/forms";
import * as i0230 from "@angular/core";
import * as i110 from "@angular/forms";
var IgxTreeGridCellComponent = class _IgxTreeGridCellComponent extends IgxGridExpandableCellComponent {
  constructor() {
    super(...arguments);
    this.level = 0;
    this.showIndicator = false;
  }
  /**
   * Gets the row of the cell.
   * ```typescript
   * let cellRow = this.cell.row;
   * ```
   *
   * @memberof IgxGridCellComponent
   */
  get row() {
    return new IgxTreeGridRow(this.grid, this.intRow.index, this.intRow.data);
  }
  /**
   * @hidden
   */
  toggle(event) {
    event.stopPropagation();
    this.grid.gridAPI.set_row_expansion_state(this.intRow.key, !this.intRow.expanded, event);
  }
  /**
   * @hidden
   */
  onLoadingDblClick(event) {
    event.stopPropagation();
  }
  static {
    this.ɵfac = i0230.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0230, type: _IgxTreeGridCellComponent, deps: null, target: i0230.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0230.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTreeGridCellComponent, isStandalone: true, selector: "igx-tree-grid-cell", inputs: { level: "level", showIndicator: "showIndicator", isLoading: "isLoading", row: "row" }, providers: [HammerGesturesManager], usesInheritance: true, ngImport: i0230, template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
    igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngIf="!editMode">
    <ng-container *ngIf="level > 0">
        <div
            #indentationDiv
            class="igx-grid__tree-cell--padding-level-{{level}}"
            [ngStyle]="{'padding-inline-start': 'calc(var(--igx-tree-indent-size) *' + level + ')'}"
        ></div>
    </ng-container>
    <div
        #indicator
        *ngIf="!isLoading"
        class="igx-grid__tree-grouping-indicator"
        [ngStyle]="{ visibility: showIndicator ? 'visible' : 'hidden' }"
        (click)="toggle($event)"
        (focus)="onIndicatorFocus()"
    >
        <ng-container
            *ngTemplateOutlet="iconTemplate; context: { $implicit:  this }"
        >
        </ng-container>
        <ng-container
            *ngTemplateOutlet="pinnedIndicatorTemplate; context: context"
        >
        </ng-container>
    </div>
    <div
        *ngIf="isLoading"
        (dblclick)="onLoadingDblClick($event)"
        class="igx-grid__tree-loading-indicator"
    >
        <ng-container
            *ngTemplateOutlet="
                grid.rowLoadingIndicatorTemplate
                    ? grid.rowLoadingIndicatorTemplate
                    : defaultLoadingIndicatorTemplate
            "
        >
        </ng-container>
    </div>
    <ng-template #defaultLoadingIndicatorTemplate>
        <igx-circular-bar [indeterminate]="true"> </igx-circular-bar>
    </ng-template>
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"> </ng-container>
<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef" [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultExpandedTemplate>
    <igx-icon>expand_more</igx-icon>
</ng-template>
<ng-template #defaultCollapsedTemplate>
    <igx-icon>chevron_right</igx-icon>
</ng-template>
<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf71, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass32, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle12, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgTemplateOutlet39, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: DecimalPipe4, name: "number" }, { kind: "pipe", type: PercentPipe4, name: "percent" }, { kind: "pipe", type: CurrencyPipe5, name: "currency" }, { kind: "pipe", type: DatePipe10, name: "date" }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "directive", type: IgxTextHighlightDirective, selector: "[igxTextHighlight]", inputs: ["cssClass", "activeCssClass", "containerClass", "groupName", "value", "row", "column", "metadata"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "ngmodule", type: ReactiveFormsModule3 }, { kind: "directive", type: i110.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i110.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i110.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i110.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i110.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i110.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxFocusDirective, selector: "[igxFocus]", inputs: ["igxFocus"], exportAs: ["igxFocus"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "directive", type: IgxTooltipTargetDirective, selector: "[igxTooltipTarget]", inputs: ["showDelay", "hideDelay", "tooltipDisabled", "igxTooltipTarget", "tooltip"], outputs: ["tooltipShow", "tooltipHide"], exportAs: ["tooltipTarget"] }, { kind: "directive", type: IgxTooltipDirective, selector: "[igxTooltip]", inputs: ["context", "id"], exportAs: ["tooltip"] }, { kind: "pipe", type: IgxGridCellImageAltPipe, name: "igxCellImageAlt" }, { kind: "pipe", type: IgxStringReplacePipe, name: "igxStringReplace" }, { kind: "pipe", type: IgxColumnFormatterPipe, name: "columnFormatter" }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }], changeDetection: i0230.ChangeDetectionStrategy.OnPush });
  }
};
i0230.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0230, type: IgxTreeGridCellComponent, decorators: [{
  type: Component104,
  args: [{ changeDetection: ChangeDetectionStrategy55.OnPush, selector: "igx-tree-grid-cell", providers: [HammerGesturesManager], standalone: true, imports: [
    NgIf71,
    NgClass32,
    NgStyle12,
    NgTemplateOutlet39,
    DecimalPipe4,
    PercentPipe4,
    CurrencyPipe5,
    DatePipe10,
    IgxChipComponent,
    IgxTextHighlightDirective,
    IgxIconComponent,
    ReactiveFormsModule3,
    IgxInputGroupComponent,
    IgxInputDirective,
    IgxFocusDirective,
    IgxCheckboxComponent,
    IgxDatePickerComponent,
    IgxTimePickerComponent,
    IgxDateTimeEditorDirective,
    IgxPrefixDirective,
    IgxSuffixDirective,
    IgxCircularProgressBarComponent,
    IgxTooltipTargetDirective,
    IgxTooltipDirective,
    IgxGridCellImageAltPipe,
    IgxStringReplacePipe,
    IgxColumnFormatterPipe,
    IgxTextSelectionDirective
  ], template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
    igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency'?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [step]="step"
                type="number"
                [igxTextSelection]="true"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngIf="!editMode">
    <ng-container *ngIf="level > 0">
        <div
            #indentationDiv
            class="igx-grid__tree-cell--padding-level-{{level}}"
            [ngStyle]="{'padding-inline-start': 'calc(var(--igx-tree-indent-size) *' + level + ')'}"
        ></div>
    </ng-container>
    <div
        #indicator
        *ngIf="!isLoading"
        class="igx-grid__tree-grouping-indicator"
        [ngStyle]="{ visibility: showIndicator ? 'visible' : 'hidden' }"
        (click)="toggle($event)"
        (focus)="onIndicatorFocus()"
    >
        <ng-container
            *ngTemplateOutlet="iconTemplate; context: { $implicit:  this }"
        >
        </ng-container>
        <ng-container
            *ngTemplateOutlet="pinnedIndicatorTemplate; context: context"
        >
        </ng-container>
    </div>
    <div
        *ngIf="isLoading"
        (dblclick)="onLoadingDblClick($event)"
        class="igx-grid__tree-loading-indicator"
    >
        <ng-container
            *ngTemplateOutlet="
                grid.rowLoadingIndicatorTemplate
                    ? grid.rowLoadingIndicatorTemplate
                    : defaultLoadingIndicatorTemplate
            "
        >
        </ng-container>
    </div>
    <ng-template #defaultLoadingIndicatorTemplate>
        <igx-circular-bar [indeterminate]="true"> </igx-circular-bar>
    </ng-template>
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"> </ng-container>
<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef" [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultExpandedTemplate>
    <igx-icon>expand_more</igx-icon>
</ng-template>
<ng-template #defaultCollapsedTemplate>
    <igx-icon>chevron_right</igx-icon>
</ng-template>
<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
` }]
}], propDecorators: { level: [{
  type: Input132
}], showIndicator: [{
  type: Input132
}], isLoading: [{
  type: Input132
}], row: [{
  type: Input132
}] } });

// lib/grids/tree-grid/tree-grid-row.component.mjs
import { Component as Component105, forwardRef as forwardRef25, Input as Input133, ViewChildren as ViewChildren22, HostBinding as HostBinding94, ChangeDetectionStrategy as ChangeDetectionStrategy57 } from "@angular/core";
import { NgTemplateOutlet as NgTemplateOutlet40, NgIf as NgIf72, NgClass as NgClass33, NgStyle as NgStyle13, NgFor as NgFor31 } from "@angular/common";
import * as i0231 from "@angular/core";
var IgxTreeGridRowComponent = class _IgxTreeGridRowComponent extends IgxRowDirective {
  /**
   * The `ITreeGridRecord` passed to the row component.
   *
   * ```typescript
   * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
   * const treeRow = row.treeRow;
   * ```
   */
  get treeRow() {
    return this._treeRow;
  }
  set treeRow(value) {
    if (this._treeRow !== value) {
      this._treeRow = value;
      this.data = this._treeRow.data;
    }
  }
  /**
   * Sets whether the row is pinned.
   * Default value is `false`.
   * ```typescript
   * this.grid.selectedRows[0].pinned = true;
   * ```
   */
  set pinned(value) {
    if (value) {
      this.grid.pinRow(this.key);
    } else {
      this.grid.unpinRow(this.key);
    }
  }
  /**
   * Gets whether the row is pinned.
   * ```typescript
   * let isPinned = row.pinned;
   * ```
   */
  get pinned() {
    return this.grid.isRecordPinned(this._treeRow);
  }
  /**
   * @hidden
   */
  get isRoot() {
    let treeRec = this.treeRow;
    const isPinnedArea = this.pinned && !this.disabled;
    if (isPinnedArea) {
      treeRec = this.grid.unpinnedRecords.find((x) => x.data === this.data);
    }
    return treeRec?.level === 0;
  }
  /**
   * @hidden
   */
  get hasChildren() {
    return true;
  }
  /**
   * Returns a value indicating whether the row component is expanded.
   *
   * ```typescript
   * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
   * const expanded = row.expanded;
   * ```
   */
  get expanded() {
    return this._treeRow.expanded;
  }
  /**
   * Sets a value indicating whether the row component is expanded.
   *
   * ```typescript
   * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
   * row.expanded = true;
   * ```
   */
  set expanded(value) {
    this.grid.gridAPI.set_row_expansion_state(this._treeRow.key, value);
  }
  /**
   * @hidden
   * @internal
   */
  get viewIndex() {
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   * @hidden
   */
  get showIndicator() {
    return this.grid.loadChildrenOnDemand ? this.grid.expansionStates.has(this.key) ? this.treeRow.children && this.treeRow.children.length : this.grid.hasChildrenKey ? this.data[this.grid.hasChildrenKey] : true : this.treeRow.children && this.treeRow.children.length;
  }
  /**
   * @hidden
   */
  get indeterminate() {
    return this.selectionService.isRowInIndeterminateState(this.key);
  }
  /**
   * @hidden
   */
  ngDoCheck() {
    this.isLoading = this.grid.loadChildrenOnDemand ? this.grid.loadingRows.has(this.key) : false;
    super.ngDoCheck();
  }
  /**
   * Spawns the add child row UI for the specific row.
   *
   * @example
   * ```typescript
   * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
   * row.beginAddChild();
   * ```
   * @param rowID
   */
  beginAddChild() {
    this.grid.crudService.enterAddRowMode(this, true);
  }
  static {
    this.ɵfac = i0231.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0231, type: _IgxTreeGridRowComponent, deps: null, target: i0231.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0231.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTreeGridRowComponent, isStandalone: true, selector: "igx-tree-grid-row", inputs: { treeRow: "treeRow" }, host: { properties: { "attr.aria-expanded": "this.expanded" } }, providers: [{ provide: IgxRowDirective, useExisting: forwardRef25(() => _IgxTreeGridRowComponent) }], viewQueries: [{ propertyName: "_cells", predicate: ["treeCell"], descendants: true }], usesInheritance: true, ngImport: i0231, template: `<ng-container *ngTemplateOutlet='addRowUI ? addTemp : defaultTemp'></ng-container>

<ng-template #addTemp>
    <div class='igx-grid__tr--inner' [class.igx-grid__tr--add-animate]='triggerAddAnimationClass' (animationend)='animationEndHandler()'>
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
<ng-container *ngIf="rowDraggable">
    <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()">
        <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
    </div>
</ng-container>
<ng-container *ngIf="showRowSelectors">
    <div class="igx-grid__cbx-selection igx-grid__tr-action" (click)="onRowSelectorClick($event)" (pointerdown)="$event.preventDefault()">
        <ng-template *ngTemplateOutlet="
            this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
            context: { $implicit: { index: viewIndex, rowID: key, key, selected: selected }}">
        </ng-template>
    </div>
</ng-container>
<ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
    <ng-container *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-container>
</ng-container>
<ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth' [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
    <ng-template #cellTemplate>
        <igx-grid-cell
            class="igx-grid__td igx-grid__td--fw"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [class.igx-grid__td--bool]="col.dataType === 'boolean'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [active]="isCellActive(col.visibleIndex)"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
            #treeCell>
        </igx-grid-cell>
    </ng-template>
    <ng-template #treeCellTemplate>
        <igx-tree-grid-cell
            class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
            [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [level]="treeRow.level"
            [expanded]="expanded"
            [showIndicator]="showIndicator"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [isLoading]="isLoading"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [active]="isCellActive(col.visibleIndex)"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
            #treeCell>
        </igx-tree-grid-cell>
    </ng-template>
    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 ? treeCellTemplate : cellTemplate"></ng-container>
</ng-template>
<ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
    <ng-container *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-container>
</ng-container>
<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [readonly]="true"
            [checked]="selected"
            [indeterminate]="indeterminate"
            [disabled]="deleted"
            [disableRipple]="true"
            [disableTransitions]="grid.disableTransitions"
            [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

<ng-template #pinnedCellsTemplate let-col>
    <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
        <ng-template #cellTemplate>
            <igx-grid-cell
                class="igx-grid__td igx-grid__td--fw igx-grid__td--pinned"
                [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
                [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
                [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
                [column]="col"
                [formatter]="col.formatter"
                [intRow]="this"
                [firstPinned]="col.isFirstPinned"
                [lastPinned]="col.isLastPinned"
                [style.min-height.px]="cellHeight"
                [rowData]="data"
                [style.min-width]="col.resolvedWidth"
                [style.max-width]="col.resolvedWidth"
                [style.flex-basis]="col.resolvedWidth"
                [style.left]="col.rightPinnedOffset"
                [width]="col.getCellWidth()"
                [visibleColumnIndex]="col.visibleIndex"
                [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
                [cellTemplate]="col.bodyTemplate"
                [cellValidationErrorTemplate]="col.errorTemplate"
                [lastSearchInfo]="grid.lastSearchInfo"
                [active]="isCellActive(col.visibleIndex)"
                [cellSelectionMode]="grid.cellSelection"
                [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
                #treeCell>
            </igx-grid-cell>
            </ng-template>
        <ng-template #treeCellTemplate>
            <igx-tree-grid-cell
                class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell igx-grid__td--pinned"
                [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
                [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
                [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [level]="treeRow.level"
                [expanded]="expanded"
                [showIndicator]="showIndicator"
                [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
                [column]="col"
                [formatter]="col.formatter"
                [intRow]="this"
                [lastPinned]="col.isLastPinned"
                [style.min-height.px]="cellHeight"
                [rowData]="data"
                [style.min-width]="col.resolvedWidth"
                [style.max-width]="col.resolvedWidth"
                [style.flex-basis]="col.resolvedWidth"
                [style.left]="col.rightPinnedOffset"
                [width]="col.getCellWidth()"
                [visibleColumnIndex]="col.visibleIndex"
                [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
                [isLoading]="isLoading"
                [cellTemplate]="col.bodyTemplate"
                [cellValidationErrorTemplate]="col.errorTemplate"
                [lastSearchInfo]="grid.lastSearchInfo"
                [active]="isCellActive(col.visibleIndex)"
                [cellSelectionMode]="grid.cellSelection"
                [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
                #treeCell>
            </igx-tree-grid-cell>
        </ng-template>
        <ng-container *ngTemplateOutlet="col.visibleIndex === 0 ? treeCellTemplate : cellTemplate"></ng-container>
    </ng-template>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgTemplateOutlet40, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf72, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxRowDragDirective, selector: "[igxRowDrag]", inputs: ["igxRowDrag"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxGridCellComponent, selector: "igx-grid-cell", inputs: ["column", "intRow", "row", "rowData", "columnData", "cellTemplate", "cellValidationErrorTemplate", "pinnedIndicator", "value", "formatter", "visibleColumnIndex", "cellSelectionMode", "lastSearchInfo", "lastPinned", "firstPinned", "editMode", "width", "active", "displayPinnedChip"] }, { kind: "directive", type: NgClass33, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle13, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxTreeGridCellComponent, selector: "igx-tree-grid-cell", inputs: ["level", "showIndicator", "isLoading", "row"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "directive", type: NgFor31, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "pipe", type: IgxGridNotGroupedPipe, name: "igxNotGrouped" }, { kind: "pipe", type: IgxGridCellStylesPipe, name: "igxCellStyles" }, { kind: "pipe", type: IgxGridCellStyleClassesPipe, name: "igxCellStyleClasses" }, { kind: "pipe", type: IgxGridDataMapperPipe, name: "dataMapper" }, { kind: "pipe", type: IgxGridTransactionStatePipe, name: "transactionState" }], changeDetection: i0231.ChangeDetectionStrategy.OnPush });
  }
};
i0231.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0231, type: IgxTreeGridRowComponent, decorators: [{
  type: Component105,
  args: [{ changeDetection: ChangeDetectionStrategy57.OnPush, selector: "igx-tree-grid-row", providers: [{ provide: IgxRowDirective, useExisting: forwardRef25(() => IgxTreeGridRowComponent) }], standalone: true, imports: [NgTemplateOutlet40, NgIf72, IgxRowDragDirective, IgxGridForOfDirective, IgxGridCellComponent, NgClass33, NgStyle13, IgxTreeGridCellComponent, IgxCheckboxComponent, NgFor31, IgxGridNotGroupedPipe, IgxGridCellStylesPipe, IgxGridCellStyleClassesPipe, IgxGridDataMapperPipe, IgxGridTransactionStatePipe], template: `<ng-container *ngTemplateOutlet='addRowUI ? addTemp : defaultTemp'></ng-container>

<ng-template #addTemp>
    <div class='igx-grid__tr--inner' [class.igx-grid__tr--add-animate]='triggerAddAnimationClass' (animationend)='animationEndHandler()'>
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
<ng-container *ngIf="rowDraggable">
    <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()">
        <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
    </div>
</ng-container>
<ng-container *ngIf="showRowSelectors">
    <div class="igx-grid__cbx-selection igx-grid__tr-action" (click)="onRowSelectorClick($event)" (pointerdown)="$event.preventDefault()">
        <ng-template *ngTemplateOutlet="
            this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
            context: { $implicit: { index: viewIndex, rowID: key, key, selected: selected }}">
        </ng-template>
    </div>
</ng-container>
<ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
    <ng-container *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-container>
</ng-container>
<ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth' [igxForSizePropName]="'calcPixelWidth'" [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
    <ng-template #cellTemplate>
        <igx-grid-cell
            class="igx-grid__td igx-grid__td--fw"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [class.igx-grid__td--bool]="col.dataType === 'boolean'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [active]="isCellActive(col.visibleIndex)"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
            #treeCell>
        </igx-grid-cell>
    </ng-template>
    <ng-template #treeCellTemplate>
        <igx-tree-grid-cell
            class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
            [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [level]="treeRow.level"
            [expanded]="expanded"
            [showIndicator]="showIndicator"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [isLoading]="isLoading"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [active]="isCellActive(col.visibleIndex)"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
            #treeCell>
        </igx-tree-grid-cell>
    </ng-template>
    <ng-container *ngTemplateOutlet="col.visibleIndex === 0 ? treeCellTemplate : cellTemplate"></ng-container>
</ng-template>
<ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
    <ng-container *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-container>
</ng-container>
<ng-template #rowSelectorBaseTemplate>
    <div class="igx-grid__cbx-padding">
        <igx-checkbox
            [tabindex]="-1"
            [readonly]="true"
            [checked]="selected"
            [indeterminate]="indeterminate"
            [disabled]="deleted"
            [disableRipple]="true"
            [disableTransitions]="grid.disableTransitions"
            [aria-label]="rowCheckboxAriaLabel">
        </igx-checkbox>
    </div>
</ng-template>

<ng-template #pinnedCellsTemplate let-col>
    <ng-template ngFor let-col [ngForOf]="pinnedColumns | igxNotGrouped">
        <ng-template #cellTemplate>
            <igx-grid-cell
                class="igx-grid__td igx-grid__td--fw igx-grid__td--pinned"
                [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
                [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
                [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
                [column]="col"
                [formatter]="col.formatter"
                [intRow]="this"
                [firstPinned]="col.isFirstPinned"
                [lastPinned]="col.isLastPinned"
                [style.min-height.px]="cellHeight"
                [rowData]="data"
                [style.min-width]="col.resolvedWidth"
                [style.max-width]="col.resolvedWidth"
                [style.flex-basis]="col.resolvedWidth"
                [style.left]="col.rightPinnedOffset"
                [width]="col.getCellWidth()"
                [visibleColumnIndex]="col.visibleIndex"
                [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
                [cellTemplate]="col.bodyTemplate"
                [cellValidationErrorTemplate]="col.errorTemplate"
                [lastSearchInfo]="grid.lastSearchInfo"
                [active]="isCellActive(col.visibleIndex)"
                [cellSelectionMode]="grid.cellSelection"
                [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
                #treeCell>
            </igx-grid-cell>
            </ng-template>
        <ng-template #treeCellTemplate>
            <igx-tree-grid-cell
                class="igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell igx-grid__td--pinned"
                [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"
                [class.igx-grid__td--number]="(col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency') && col.visibleIndex !== 0"
                [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
                [level]="treeRow.level"
                [expanded]="expanded"
                [showIndicator]="showIndicator"
                [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
                [column]="col"
                [formatter]="col.formatter"
                [intRow]="this"
                [lastPinned]="col.isLastPinned"
                [style.min-height.px]="cellHeight"
                [rowData]="data"
                [style.min-width]="col.resolvedWidth"
                [style.max-width]="col.resolvedWidth"
                [style.flex-basis]="col.resolvedWidth"
                [style.left]="col.rightPinnedOffset"
                [width]="col.getCellWidth()"
                [visibleColumnIndex]="col.visibleIndex"
                [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
                [isLoading]="isLoading"
                [cellTemplate]="col.bodyTemplate"
                [cellValidationErrorTemplate]="col.errorTemplate"
                [lastSearchInfo]="grid.lastSearchInfo"
                [active]="isCellActive(col.visibleIndex)"
                [cellSelectionMode]="grid.cellSelection"
                [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)"
                #treeCell>
            </igx-tree-grid-cell>
        </ng-template>
        <ng-container *ngTemplateOutlet="col.visibleIndex === 0 ? treeCellTemplate : cellTemplate"></ng-container>
    </ng-template>
</ng-template>
` }]
}], propDecorators: { _cells: [{
  type: ViewChildren22,
  args: ["treeCell"]
}], treeRow: [{
  type: Input133
}], expanded: [{
  type: HostBinding94,
  args: ["attr.aria-expanded"]
}] } });

// lib/grids/tree-grid/tree-grid.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy59, Component as Component106, HostBinding as HostBinding95, Input as Input134, TemplateRef as TemplateRef38, ContentChild as ContentChild24, ViewChild as ViewChild58, Inject as Inject93, Optional as Optional44, LOCALE_ID as LOCALE_ID10, CUSTOM_ELEMENTS_SCHEMA as CUSTOM_ELEMENTS_SCHEMA3, booleanAttribute as booleanAttribute76 } from "@angular/core";
import { DOCUMENT as DOCUMENT17, NgIf as NgIf73, NgClass as NgClass34, NgFor as NgFor32, NgTemplateOutlet as NgTemplateOutlet41, NgStyle as NgStyle14 } from "@angular/common";
import { first as first16, takeUntil as takeUntil48 } from "rxjs/operators";
import * as i0232 from "@angular/core";
var NEXT_ID27 = 0;
var IgxTreeGridComponent = class _IgxTreeGridComponent extends IgxGridBaseDirective {
  /**
   * Gets/Sets the array of data that populates the component.
   * ```html
   * <igx-tree-grid [data]="Data" [autoGenerate]="true"></igx-tree-grid>
   * ```
   *
   * @memberof IgxTreeGridComponent
   */
  get data() {
    return this._data;
  }
  set data(value) {
    this._data = value || [];
    this.summaryService.clearSummaryCache();
    if (!this._init) {
      this.validation.updateAll(this._data);
    }
    if (this.shouldGenerate) {
      this.setupColumns();
    }
    this.cdr.markForCheck();
  }
  /**
   * Get transactions service for the grid.
   *
   * @experimental @hidden
   */
  get transactions() {
    if (this._diTransactions && !this.batchEditing) {
      return this._diTransactions;
    }
    return this._transactions;
  }
  /**
   * Sets the count of levels to be expanded in the `IgxTreeGridComponent`. By default it is
   * set to `Infinity` which means all levels would be expanded.
   * ```html
   * <igx-tree-grid #grid [data]="employeeData" [childDataKey]="'employees'" expansionDepth="1" [autoGenerate]="true"></igx-tree-grid>
   * ```
   *
   * @memberof IgxTreeGridComponent
   */
  get expansionDepth() {
    return this._expansionDepth;
  }
  set expansionDepth(value) {
    this._expansionDepth = value;
    this.notifyChanges();
  }
  /**
   * Template for the row loading indicator when load on demand is enabled.
   * ```html
   * <ng-template #rowLoadingTemplate>
   *     <igx-icon>loop</igx-icon>
   * </ng-template>
   *
   * <igx-tree-grid #grid [data]="employeeData" [primaryKey]="'ID'" [foreignKey]="'parentID'"
   *                [loadChildrenOnDemand]="loadChildren"
   *                [rowLoadingIndicatorTemplate]="rowLoadingTemplate">
   * </igx-tree-grid>
   * ```
   *
   * @memberof IgxTreeGridComponent
   */
  get rowLoadingIndicatorTemplate() {
    return this._rowLoadingIndicatorTemplate;
  }
  set rowLoadingIndicatorTemplate(value) {
    this._rowLoadingIndicatorTemplate = value;
    this.notifyChanges();
  }
  // Kind of stupid
  // private get _gridAPI(): IgxTreeGridAPIService {
  //     return this.gridAPI as IgxTreeGridAPIService;
  // }
  constructor(validationService, selectionService, colResizingService, gridAPI, transactionFactory, _elementRef, _zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions) {
    super(validationService, selectionService, colResizingService, gridAPI, transactionFactory, _elementRef, _zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions);
    this._diTransactions = _diTransactions;
    this.cascadeOnDelete = true;
    this.role = "treegrid";
    this.id = `igx-tree-grid-${NEXT_ID27++}`;
    this.records = /* @__PURE__ */ new Map();
    this.processedRecords = /* @__PURE__ */ new Map();
    this.loadingRows = /* @__PURE__ */ new Set();
    this._filterStrategy = new TreeGridFilteringStrategy();
    this._expansionDepth = Infinity;
  }
  /**
   * @hidden
   */
  ngOnInit() {
    super.ngOnInit();
    this.rowToggle.pipe(takeUntil48(this.destroy$)).subscribe((args) => {
      this.loadChildrenOnRowExpansion(args);
    });
    this.rowAddedNotifier.pipe(takeUntil48(this.destroy$)).subscribe((args) => {
      if (this.rowSelection === GridSelectionMode.multipleCascade) {
        let rec = this.gridAPI.get_rec_by_id(this.primaryKey ? args.data[this.primaryKey] : args.data);
        if (rec && rec.parent) {
          this.gridAPI.grid.selectionService.updateCascadeSelectionOnFilterAndCRUD(/* @__PURE__ */ new Set([rec.parent]), rec.parent.key);
        } else {
          requestAnimationFrame(() => {
            rec = this.gridAPI.get_rec_by_id(this.primaryKey ? args.data[this.primaryKey] : args.data);
            if (rec && rec.parent) {
              this.gridAPI.grid.selectionService.updateCascadeSelectionOnFilterAndCRUD(/* @__PURE__ */ new Set([rec.parent]), rec.parent.key);
            }
            this.notifyChanges();
          });
        }
      }
    });
    this.rowDeletedNotifier.pipe(takeUntil48(this.destroy$)).subscribe((args) => {
      if (this.rowSelection === GridSelectionMode.multipleCascade) {
        if (args.data) {
          const rec = this.gridAPI.get_rec_by_id(this.primaryKey ? args.data[this.primaryKey] : args.data);
          this.handleCascadeSelection(args, rec);
        } else {
          const leafRowsDirectParents = /* @__PURE__ */ new Set();
          this.records.forEach((record) => {
            if (record && (!record.children || record.children.length === 0) && record.parent) {
              leafRowsDirectParents.add(record.parent);
            }
          });
          requestAnimationFrame(() => {
            this.gridAPI.grid.selectionService.updateCascadeSelectionOnFilterAndCRUD(leafRowsDirectParents);
            this.notifyChanges();
          });
        }
      }
    });
    this.filteringDone.pipe(takeUntil48(this.destroy$)).subscribe(() => {
      if (this.rowSelection === GridSelectionMode.multipleCascade) {
        const leafRowsDirectParents = /* @__PURE__ */ new Set();
        this.records.forEach((record) => {
          if (record && (!record.children || record.children.length === 0) && record.parent) {
            leafRowsDirectParents.add(record.parent);
          }
        });
        this.gridAPI.grid.selectionService.updateCascadeSelectionOnFilterAndCRUD(leafRowsDirectParents);
        this.notifyChanges();
      }
    });
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    if (this.rowSelection === GridSelectionMode.multipleCascade && this.selectedRows.length) {
      const selRows = this.selectedRows;
      this.selectionService.clearRowSelection();
      this.selectRows(selRows, true);
      this.cdr.detectChanges();
    }
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    if (this.rowLoadingTemplate) {
      this._rowLoadingIndicatorTemplate = this.rowLoadingTemplate.template;
    }
    super.ngAfterContentInit();
  }
  getDefaultExpandState(record) {
    return record.children && record.children.length && record.level < this.expansionDepth;
  }
  /**
   * Expands all rows.
   * ```typescript
   * this.grid.expandAll();
   * ```
   *
   * @memberof IgxTreeGridComponent
   */
  expandAll() {
    this._expansionDepth = Infinity;
    this.expansionStates = /* @__PURE__ */ new Map();
  }
  /**
   * Collapses all rows.
   *
   * ```typescript
   * this.grid.collapseAll();
   *  ```
   *
   * @memberof IgxTreeGridComponent
   */
  collapseAll() {
    this._expansionDepth = 0;
    this.expansionStates = /* @__PURE__ */ new Map();
  }
  /**
   * @hidden
   */
  refreshGridState(args) {
    super.refreshGridState();
    if (this.primaryKey && this.foreignKey && args) {
      const rowID = args.data[this.foreignKey];
      this.summaryService.clearSummaryCache({ rowID });
      this.pipeTrigger++;
      this.cdr.detectChanges();
    }
  }
  /**
   * Creates a new `IgxTreeGridRowComponent` with the given data. If a parentRowID is not specified, the newly created
   * row would be added at the root level. Otherwise, it would be added as a child of the row whose primaryKey matches
   * the specified parentRowID. If the parentRowID does not exist, an error would be thrown.
   * ```typescript
   * const record = {
   *     ID: this.grid.data[this.grid1.data.length - 1].ID + 1,
   *     Name: this.newRecord
   * };
   * this.grid.addRow(record, 1); // Adds a new child row to the row with ID=1.
   * ```
   *
   * @param data
   * @param parentRowID
   * @memberof IgxTreeGridComponent
   */
  // TODO: remove evt emission
  addRow(data, parentRowID) {
    this.crudService.endEdit(true);
    this.gridAPI.addRowToData(data, parentRowID);
    this.rowAddedNotifier.next({
      data,
      rowData: data,
      owner: this,
      primaryKey: data[this.primaryKey],
      rowKey: data[this.primaryKey]
    });
    this.pipeTrigger++;
    this.notifyChanges();
  }
  /**
   * Enters add mode by spawning the UI with the context of the specified row by index.
   *
   * @remarks
   * Accepted values for index are integers from 0 to this.grid.dataView.length
   * @remarks
   * When adding the row as a child, the parent row is the specified row.
   * @remarks
   * To spawn the UI on top, call the function with index = null or a negative number.
   * In this case trying to add this row as a child will result in error.
   * @example
   * ```typescript
   * this.grid.beginAddRowByIndex(10);
   * this.grid.beginAddRowByIndex(10, true);
   * this.grid.beginAddRowByIndex(null);
   * ```
   * @param index - The index to spawn the UI at. Accepts integers from 0 to this.grid.dataView.length
   * @param asChild - Whether the record should be added as a child. Only applicable to igxTreeGrid.
   */
  beginAddRowByIndex(index, asChild) {
    if (index === null || index < 0) {
      return this.beginAddRowById(null, asChild);
    }
    return this._addRowForIndex(index - 1, asChild);
  }
  /**
   * @hidden
   */
  getContext(rowData, rowIndex, pinned) {
    return {
      $implicit: this.isGhostRecord(rowData) ? rowData.recordRef : rowData,
      index: this.getDataViewIndex(rowIndex, pinned),
      templateID: {
        type: this.isSummaryRow(rowData) ? "summaryRow" : "dataRow",
        id: null
      },
      disabled: this.isGhostRecord(rowData) ? rowData.recordRef.isFilteredOutParent === void 0 : false
    };
  }
  /**
   * @hidden
   * @internal
   */
  getInitialPinnedIndex(rec) {
    const id = this.gridAPI.get_row_id(rec);
    return this._pinnedRecordIDs.indexOf(id);
  }
  /**
   * @hidden
   * @internal
   */
  isRecordPinned(rec) {
    return this.getInitialPinnedIndex(rec.data) !== -1;
  }
  /**
   *
   * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
   *
   * @remarks
   * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
   * If `headers` is enabled, it will use the column header (if any) instead of the column field.
   */
  getSelectedData(formatters = false, headers = false) {
    let source = [];
    const process = (record) => {
      if (record.summaries) {
        source.push(null);
        return;
      }
      source.push(record.data);
    };
    this.unpinnedDataView.forEach(process);
    source = this.isRowPinningToTop ? [...this.pinnedDataView, ...source] : [...source, ...this.pinnedDataView];
    return this.extractDataFromSelection(source, formatters, headers);
  }
  /**
   * @hidden @internal
   */
  getEmptyRecordObjectFor(inTreeRow) {
    const treeRowRec = inTreeRow?.treeRow || null;
    const row = { ...treeRowRec };
    const data = treeRowRec?.data || {};
    row.data = { ...data };
    Object.keys(row.data).forEach((key) => {
      if (this.foreignKey && key === this.foreignKey) {
        row.data[key] = treeRowRec.data[this.crudService.addRowParent?.asChild ? this.primaryKey : key];
      } else {
        row.data[key] = void 0;
      }
    });
    let id = this.generateRowID();
    const rootRecPK = this.foreignKey && this.rootRecords && this.rootRecords.length > 0 ? this.rootRecords[0].data[this.foreignKey] : null;
    if (id === rootRecPK) {
      id = this.generateRowID();
    }
    row.key = id;
    row.data[this.primaryKey] = id;
    return { rowID: id, data: row.data, recordRef: row };
  }
  /** @hidden */
  deleteRowById(rowId) {
    const args = {
      rowID: rowId,
      primaryKey: rowId,
      rowKey: rowId,
      cancel: false,
      rowData: this.getRowData(rowId),
      data: this.getRowData(rowId),
      oldValue: null,
      owner: this
    };
    this.rowDelete.emit(args);
    if (args.cancel) {
      return;
    }
    const record = this.gridAPI.deleteRowById(rowId);
    const key = record[this.primaryKey];
    if (record !== null && record !== void 0) {
      const rowDeletedEventArgs = {
        data: record,
        rowData: record,
        owner: this,
        primaryKey: key,
        rowKey: key
      };
      this.rowDeleted.emit(rowDeletedEventArgs);
    }
    return record;
  }
  /**
   * Returns the `IgxTreeGridRow` by index.
   *
   * @example
   * ```typescript
   * const myRow = treeGrid.getRowByIndex(1);
   * ```
   * @param index
   */
  getRowByIndex(index) {
    if (index < 0 || index >= this.dataView.length) {
      return void 0;
    }
    return this.createRow(index);
  }
  /**
   * Returns the `RowType` object by the specified primary key.
   *
   * @example
   * ```typescript
   * const myRow = this.treeGrid.getRowByIndex(1);
   * ```
   * @param index
   */
  getRowByKey(key) {
    const rec = this.filteredSortedData ? this.primaryKey ? this.filteredSortedData.find((r) => r[this.primaryKey] === key) : this.filteredSortedData.find((r) => r === key) : void 0;
    const index = this.dataView.findIndex((r) => r.data && r.data === rec);
    if (index < 0 || index >= this.filteredSortedData.length) {
      return void 0;
    }
    return new IgxTreeGridRow(this, index, rec);
  }
  /**
   * Returns the collection of all RowType for current page.
   *
   * @hidden @internal
   */
  allRows() {
    return this.dataView.map((rec, index) => this.createRow(index));
  }
  /**
   * Returns the collection of `IgxTreeGridRow`s for current page.
   *
   * @hidden @internal
   */
  dataRows() {
    return this.allRows().filter((row) => row instanceof IgxTreeGridRow);
  }
  /**
   * Returns an array of the selected `IgxGridCell`s.
   *
   * @example
   * ```typescript
   * const selectedCells = this.grid.selectedCells;
   * ```
   */
  get selectedCells() {
    return this.dataRows().map((row) => row.cells.filter((cell) => cell.selected)).reduce((a, b) => a.concat(b), []);
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @example
   * ```typescript
   * const myCell = this.grid1.getCellByColumn(2, "UnitPrice");
   * ```
   * @param rowIndex
   * @param columnField
   */
  getCellByColumn(rowIndex, columnField) {
    const row = this.getRowByIndex(rowIndex);
    const column = this.columns.find((col) => col.field === columnField);
    if (row && row instanceof IgxTreeGridRow && column) {
      return new IgxGridCell(this, rowIndex, column);
    }
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @remarks
   * Requires that the primaryKey property is set.
   * @example
   * ```typescript
   * grid.getCellByKey(1, 'index');
   * ```
   * @param rowSelector match any rowID
   * @param columnField
   */
  getCellByKey(rowSelector, columnField) {
    const row = this.getRowByKey(rowSelector);
    const column = this.columns.find((col) => col.field === columnField);
    if (row && column) {
      return new IgxGridCell(this, row.index, column);
    }
  }
  pinRow(rowID, index) {
    const row = this.getRowByKey(rowID);
    return super.pinRow(rowID, index, row);
  }
  unpinRow(rowID) {
    const row = this.getRowByKey(rowID);
    return super.unpinRow(rowID, row);
  }
  /** @hidden */
  generateRowPath(rowId) {
    const path = [];
    let record = this.records.get(rowId);
    while (record.parent) {
      path.push(record.parent.key);
      record = record.parent;
    }
    return path.reverse();
  }
  /** @hidden */
  isTreeRow(record) {
    return record.key !== void 0 && record.data;
  }
  /** @hidden */
  getUnpinnedIndexById(id) {
    return this.unpinnedRecords.findIndex((x) => x.data[this.primaryKey] === id);
  }
  /**
   * @hidden
   */
  createRow(index, data) {
    let row;
    const dataIndex = this._getDataViewIndex(index);
    const rec = data ?? this.dataView[dataIndex];
    if (this.isSummaryRow(rec)) {
      row = new IgxSummaryRow(this, index, rec.summaries, GridInstanceType.TreeGrid);
    }
    if (!row && rec) {
      const isTreeRow = this.isTreeRow(rec);
      const dataRec = isTreeRow ? rec.data : rec;
      const treeRow = isTreeRow ? rec : void 0;
      row = new IgxTreeGridRow(this, index, dataRec, treeRow);
    }
    return row;
  }
  generateDataFields(data) {
    return super.generateDataFields(data).filter((field) => field !== this.childDataKey);
  }
  transactionStatusUpdate(event) {
    let actions = [];
    if (event.origin === TransactionEventOrigin.REDO) {
      actions = event.actions ? event.actions.filter((x) => x.transaction.type === TransactionType.DELETE) : [];
      if (this.rowSelection === GridSelectionMode.multipleCascade) {
        this.handleCascadeSelection(event);
      }
    } else if (event.origin === TransactionEventOrigin.UNDO) {
      actions = event.actions ? event.actions.filter((x) => x.transaction.type === TransactionType.ADD) : [];
      if (this.rowSelection === GridSelectionMode.multipleCascade) {
        if (event.actions[0].transaction.type === "add") {
          const rec = this.gridAPI.get_rec_by_id(event.actions[0].transaction.id);
          this.handleCascadeSelection(event, rec);
        } else {
          this.handleCascadeSelection(event);
        }
      }
    }
    if (actions.length) {
      for (const action of actions) {
        this.deselectChildren(action.transaction.id);
      }
    }
    super.transactionStatusUpdate(event);
  }
  findRecordIndexInView(rec) {
    return this.dataView.findIndex((x) => x.data[this.primaryKey] === rec[this.primaryKey]);
  }
  /**
   * @hidden @internal
   */
  getDataBasedBodyHeight() {
    return !this.flatData || this.flatData.length < this._defaultTargetRecordNumber ? 0 : this.defaultTargetBodyHeight;
  }
  /**
   * @hidden
   */
  scrollTo(row, column) {
    let delayScrolling = false;
    let record;
    if (typeof row !== "number") {
      const rowData = row;
      const rowID = this.gridAPI.get_row_id(rowData);
      record = this.processedRecords.get(rowID);
      this.gridAPI.expand_path_to_record(record);
      if (this.paginator) {
        const rowIndex = this.processedExpandedFlatData.indexOf(rowData);
        const page = Math.floor(rowIndex / this.perPage);
        if (this.page !== page) {
          delayScrolling = true;
          this.page = page;
        }
      }
    }
    if (delayScrolling) {
      this.verticalScrollContainer.dataChanged.pipe(first16()).subscribe(() => {
        this.scrollDirective(this.verticalScrollContainer, typeof row === "number" ? row : this.unpinnedDataView.indexOf(record));
      });
    } else {
      this.scrollDirective(this.verticalScrollContainer, typeof row === "number" ? row : this.unpinnedDataView.indexOf(record));
    }
    this.scrollToHorizontally(column);
  }
  writeToData(rowIndex, value) {
    mergeObjects(this.flatData[rowIndex], value);
  }
  /**
   * @hidden
   */
  initColumns(collection, cb = null) {
    if (this.hasColumnLayouts) {
      const nonColumnLayoutColumns = this.columns.filter((col) => !col.columnLayout && !col.columnLayoutChild);
      this.updateColumns(nonColumnLayoutColumns);
    }
    super.initColumns(collection, cb);
  }
  /**
   * @hidden @internal
   */
  getGroupAreaHeight() {
    return this.treeGroupArea ? this.getComputedHeight(this.treeGroupArea.nativeElement) : 0;
  }
  /**
   * @description A recursive way to deselect all selected children of a given record
   * @param recordID ID of the record whose children to deselect
   * @hidden
   * @internal
   */
  deselectChildren(recordID) {
    const selectedChildren = [];
    const rowToDeselect = this.records.get(recordID);
    this.selectionService.deselectRowsWithNoEvent([recordID]);
    this.gridAPI.get_selected_children(rowToDeselect, selectedChildren);
    if (selectedChildren.length > 0) {
      selectedChildren.forEach((x) => this.deselectChildren(x));
    }
  }
  addChildRows(children, parentID) {
    if (this.primaryKey && this.foreignKey) {
      for (const child of children) {
        child[this.foreignKey] = parentID;
      }
      this.data.push(...children);
    } else if (this.childDataKey) {
      let parent = this.records.get(parentID);
      let parentData = parent.data;
      if (this.transactions.enabled && this.transactions.getAggregatedChanges(true).length) {
        const path = [];
        while (parent) {
          path.push(parent.key);
          parent = parent.parent;
        }
        let collection = this.data;
        let record;
        for (let i = path.length - 1; i >= 0; i--) {
          const pid = path[i];
          record = collection.find((r) => r[this.primaryKey] === pid);
          if (!record) {
            break;
          }
          collection = record[this.childDataKey];
        }
        if (record) {
          parentData = record;
        }
      }
      parentData[this.childDataKey] = children;
    }
    this.selectionService.clearHeaderCBState();
    this.pipeTrigger++;
    if (this.rowSelection === GridSelectionMode.multipleCascade) {
      this.cdr.detectChanges();
      if (this.selectionService.isRowSelected(parentID)) {
        this.selectionService.rowSelection.delete(parentID);
        this.selectionService.selectRowsWithNoEvent([parentID]);
      }
    }
  }
  loadChildrenOnRowExpansion(args) {
    if (this.loadChildrenOnDemand) {
      const parentID = args.rowID;
      if (args.expanded && !this._expansionStates.has(parentID)) {
        this.loadingRows.add(parentID);
        this.loadChildrenOnDemand(parentID, (children) => {
          this.loadingRows.delete(parentID);
          this.addChildRows(children, parentID);
          this.notifyChanges();
        });
      }
    }
  }
  handleCascadeSelection(event, rec = null) {
    requestAnimationFrame(() => {
      if (rec === null) {
        rec = this.gridAPI.get_rec_by_id(event.actions[0].transaction.id);
      }
      if (rec && rec.parent) {
        this.gridAPI.grid.selectionService.updateCascadeSelectionOnFilterAndCRUD(/* @__PURE__ */ new Set([rec.parent]), rec.parent.key);
        this.notifyChanges();
      }
    });
  }
  static {
    this.ɵfac = i0232.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0232, type: _IgxTreeGridComponent, deps: [{ token: IgxGridValidationService }, { token: IgxGridSelectionService }, { token: IgxColumnResizingService }, { token: IGX_GRID_SERVICE_BASE }, { token: IgxHierarchicalTransactionFactory }, { token: i0232.ElementRef }, { token: i0232.NgZone }, { token: DOCUMENT17 }, { token: i0232.ChangeDetectorRef }, { token: i0232.IterableDiffers }, { token: i0232.ViewContainerRef }, { token: i0232.Injector }, { token: i0232.EnvironmentInjector }, { token: IgxGridNavigationService }, { token: IgxFilteringService }, { token: IgxTextHighlightService }, { token: IgxOverlayService }, { token: IgxGridSummaryService }, { token: DisplayDensityToken, optional: true }, { token: LOCALE_ID10 }, { token: PlatformUtil }, { token: IgxGridTransaction, optional: true }], target: i0232.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0232.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTreeGridComponent, isStandalone: true, selector: "igx-tree-grid", inputs: { childDataKey: "childDataKey", foreignKey: "foreignKey", hasChildrenKey: "hasChildrenKey", cascadeOnDelete: ["cascadeOnDelete", "cascadeOnDelete", booleanAttribute76], loadChildrenOnDemand: "loadChildrenOnDemand", id: "id", data: "data", expansionDepth: "expansionDepth", rowLoadingIndicatorTemplate: "rowLoadingIndicatorTemplate" }, host: { properties: { "attr.role": "this.role", "attr.id": "this.id" } }, providers: [
      IgxGridCRUDService,
      IgxGridValidationService,
      IgxGridSummaryService,
      IgxGridNavigationService,
      { provide: IgxGridSelectionService, useClass: IgxTreeGridSelectionService },
      { provide: IGX_GRID_SERVICE_BASE, useClass: IgxTreeGridAPIService },
      { provide: IGX_GRID_BASE, useExisting: _IgxTreeGridComponent },
      IgxFilteringService,
      IgxColumnResizingService,
      IgxForOfSyncService,
      IgxForOfScrollSyncService
    ], queries: [{ propertyName: "treeGroupArea", first: true, predicate: IgxTreeGridGroupByAreaComponent, descendants: true, read: IgxTreeGridGroupByAreaComponent }, { propertyName: "rowLoadingTemplate", first: true, predicate: IgxRowLoadingIndicatorTemplateDirective, descendants: true, read: IgxRowLoadingIndicatorTemplateDirective }], viewQueries: [{ propertyName: "recordTemplate", first: true, predicate: ["record_template"], descendants: true, read: TemplateRef38, static: true }, { propertyName: "summaryTemplate", first: true, predicate: ["summary_template"], descendants: true, read: TemplateRef38, static: true }], usesInheritance: true, ngImport: i0232, template: `<ng-content select="igx-grid-toolbar"></ng-content>
<ng-content select="igx-tree-grid-group-by-area"></ng-content>
<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content"  tabindex="0" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)"
    (dragStop)="selectionService.dragMode = $event" [attr.aria-activedescendant]="activeDescendant" [attr.role]="dataView.length ? null : 'row'"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]='totalHeight' [style.width.px]='calcWidth' #tbody (scroll)='preventContainerScroll($event)'>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template #pinnedRecordsTemplate>
            <ng-container *ngIf="data
            | treeGridTransaction:pipeTrigger
            | visibleColumns:hasVisibleColumns
            | treeGridNormalizeRecord:pipeTrigger
            | treeGridAddRow:true:pipeTrigger
            | gridRowPinning:id:true:pipeTrigger
            | treeGridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:pipeTrigger:filteringPipeTrigger:true
            | treeGridSorting:sortingExpressions:treeGroupArea?.expressions:sortStrategy:pipeTrigger:true as pinnedData">
                <div #pinContainer *ngIf="pinnedData.length > 0"
                    [ngClass]="{
                        'igx-grid__tr--pinned-bottom':  !isRowPinningToTop,
                        'igx-grid__tr--pinned-top': isRowPinningToTop
                    }"
                    class="igx-grid__tr--pinned" [style.width.px]="calcWidth">
                    <ng-container *ngFor="let rowData of pinnedData;let rowIndex = index;">
                        <ng-container *ngTemplateOutlet="pinned_record_template; context: getContext(rowData, rowIndex, true)">
                        </ng-container>
                    </ng-container>
                </div>
            </ng-container>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null"></ng-container>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | treeGridTransaction:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | treeGridHierarchizing:primaryKey:foreignKey:childDataKey:pipeTrigger
        | treeGridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:pipeTrigger:filteringPipeTrigger
        | treeGridSorting:sortingExpressions:treeGroupArea?.expressions:sortStrategy:pipeTrigger
        | treeGridFlattening:expansionDepth:expansionStates:pipeTrigger
        | treeGridPaging:!!paginator:page:perPage:pipeTrigger
        | treeGridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:showSummaryOnCollapse:pipeTrigger:summaryPipeTrigger
        | treeGridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]='verticalScroll'
            [igxForContainerSize]='calcHeight' [igxForItemSize]="renderedRowHeight" #verticalScrollContainer
            (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template [igxTemplateOutlet]='isSummaryRow(rowData) ? summary_template : record_template'
                [igxTemplateOutletContext]='getContext(rowData, rowIndex, false)'
                (cachedViewLoaded)='cachedViewLoaded($event)'>
            </ng-template>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null"></ng-container>
        <ng-template #record_template let-rowIndex="index" let-disabledRow="disabled" let-rowData>
            <igx-tree-grid-row [gridID]="id" [index]="rowIndex" [treeRow]="rowData" [disabled]="disabledRow"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:row.treeRow.isFilteredOutParent:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-tree-grid-row>
        </ng-template>
        <ng-template #pinned_record_template let-rowIndex="index" let-rowData>
            <igx-tree-grid-row [gridID]="id" [index]="rowIndex" [treeRow]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:row.treeRow.isFilteredOutParent:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger"#row #pinnedRow>
            </igx-tree-grid-row>
        </ng-template>
        <ng-template #summary_template let-rowIndex="index" let-rowData>
            <igx-grid-summary-row [gridID]="id" [summaries]="rowData.summaries"
                [firstCellIndentation]="rowData.cellIndentation" [index]="rowIndex"
                class="igx-grid__summaries--body" role="row" #summaryRow>
            </igx-grid-summary-row>
        </ng-template>
        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf='shouldOverlayLoading'>
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
        <div [hidden]='!hasVerticalScroll()' class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize"  (pointerdown)="$event.preventDefault()"
            [style.height.px]='calcHeight'>
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]=' isRowPinningToTop ? pinnedRowHeight : 0'></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]='calcHeight'>
            <ng-template igxGridFor [igxGridForOf]='[]' #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]='!isRowPinningToTop ? pinnedRowHeight : 0'></div>
    </div>
    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]='snackbarDisplayTime'>{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div igxOverlayOutlet #igxBodyOverlayOutlet="overlay-outlet"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]='summaryRowHeight' #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)"
    (keydown)="navigation.summaryNav($event)" [attr.aria-activedescendant]="activeDescendant">
        <igx-grid-summary-row [style.width.px]='calcWidth' [style.height.px]='summaryRowHeight'
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]='!hasVerticalScroll()' [style.height.px]='summaryRowHeight'
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]='isPinningToStart ? pinnedWidth : headerFeaturesWidth' [style.min-width.px]='isPinningToStart ? pinnedWidth : headerFeaturesWidth'></div>
    <div class="igx-grid__scroll-main" [style.width.px]='unpinnedWidth'>
        <ng-template igxGridFor [igxGridForOf]='[]' #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]='pinnedWidth' [style.min-width.px]='pinnedWidth' [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet='addRowEmptyTemplate || defaultAddRowEmptyTemplate'></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet='addRowEmptyTemplate || defaultAddRowEmptyTemplate'></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.crudService.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>

<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>

<ng-template #defaultRowEditActions>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>

<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : rowEditTextTemplate ? rowEditTextTemplate : defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="rowEditActionsTemplate ? rowEditActionsTemplate : defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
`, dependencies: [{ kind: "directive", type: NgIf73, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgFor32, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgClass34, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgStyle14, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: NgTemplateOutlet41, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxGridHeaderRowComponent, selector: "igx-grid-header-row", inputs: ["grid", "pinnedColumnCollection", "unpinnedColumnCollection", "activeDescendant", "hasMRL", "width", "density"] }, { kind: "directive", type: IgxGridBodyDirective, selector: "[igxGridBody]" }, { kind: "directive", type: IgxGridDragSelectDirective, selector: "[igxGridDragSelect]", inputs: ["igxGridDragSelect"], outputs: ["dragStop", "dragScroll"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "directive", type: IgxTemplateOutletDirective, selector: "[igxTemplateOutlet]", inputs: ["igxTemplateOutletContext", "igxTemplateOutlet"], outputs: ["viewCreated", "viewMoved", "cachedViewLoaded", "beforeViewDetach"] }, { kind: "component", type: IgxTreeGridRowComponent, selector: "igx-tree-grid-row", inputs: ["treeRow"] }, { kind: "component", type: IgxSummaryRowComponent, selector: "igx-grid-summary-row", inputs: ["summaries", "gridID", "index", "firstCellIndentation"] }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "component", type: IgxSnackbarComponent, selector: "igx-snackbar", inputs: ["id", "actionText", "positionSettings"], outputs: ["clicked", "animationStarted", "animationDone"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: IgxRowEditTabStopDirective, selector: "[igxRowEditTabStop]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxGridColumnResizerComponent, selector: "igx-grid-column-resizer", inputs: ["restrictResizerTop"] }, { kind: "pipe", type: IgxHasVisibleColumnsPipe, name: "visibleColumns" }, { kind: "pipe", type: IgxGridRowPinningPipe, name: "gridRowPinning" }, { kind: "pipe", type: IgxGridRowClassesPipe, name: "igxGridRowClasses" }, { kind: "pipe", type: IgxGridRowStylesPipe, name: "igxGridRowStyles" }, { kind: "pipe", type: IgxSummaryDataPipe, name: "igxGridSummaryDataPipe" }, { kind: "pipe", type: IgxTreeGridHierarchizingPipe, name: "treeGridHierarchizing" }, { kind: "pipe", type: IgxTreeGridFlatteningPipe, name: "treeGridFlattening" }, { kind: "pipe", type: IgxTreeGridSortingPipe, name: "treeGridSorting" }, { kind: "pipe", type: IgxTreeGridFilteringPipe, name: "treeGridFiltering" }, { kind: "pipe", type: IgxTreeGridPagingPipe, name: "treeGridPaging" }, { kind: "pipe", type: IgxTreeGridTransactionPipe, name: "treeGridTransaction" }, { kind: "pipe", type: IgxTreeGridSummaryPipe, name: "treeGridSummary" }, { kind: "pipe", type: IgxTreeGridNormalizeRecordsPipe, name: "treeGridNormalizeRecord" }, { kind: "pipe", type: IgxTreeGridAddRowPipe, name: "treeGridAddRow" }], changeDetection: i0232.ChangeDetectionStrategy.OnPush });
  }
};
i0232.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0232, type: IgxTreeGridComponent, decorators: [{
  type: Component106,
  args: [{ changeDetection: ChangeDetectionStrategy59.OnPush, selector: "igx-tree-grid", providers: [
    IgxGridCRUDService,
    IgxGridValidationService,
    IgxGridSummaryService,
    IgxGridNavigationService,
    { provide: IgxGridSelectionService, useClass: IgxTreeGridSelectionService },
    { provide: IGX_GRID_SERVICE_BASE, useClass: IgxTreeGridAPIService },
    { provide: IGX_GRID_BASE, useExisting: IgxTreeGridComponent },
    IgxFilteringService,
    IgxColumnResizingService,
    IgxForOfSyncService,
    IgxForOfScrollSyncService
  ], standalone: true, imports: [
    NgIf73,
    NgFor32,
    NgClass34,
    NgStyle14,
    NgTemplateOutlet41,
    IgxGridHeaderRowComponent,
    IgxGridBodyDirective,
    IgxGridDragSelectDirective,
    IgxColumnMovingDropDirective,
    IgxGridForOfDirective,
    IgxTemplateOutletDirective,
    IgxTreeGridRowComponent,
    IgxSummaryRowComponent,
    IgxOverlayOutletDirective,
    IgxToggleDirective,
    IgxCircularProgressBarComponent,
    IgxSnackbarComponent,
    IgxButtonDirective,
    IgxRippleDirective,
    IgxRowEditTabStopDirective,
    IgxIconComponent,
    IgxGridColumnResizerComponent,
    IgxHasVisibleColumnsPipe,
    IgxGridRowPinningPipe,
    IgxGridRowClassesPipe,
    IgxGridRowStylesPipe,
    IgxSummaryDataPipe,
    IgxTreeGridHierarchizingPipe,
    IgxTreeGridFlatteningPipe,
    IgxTreeGridSortingPipe,
    IgxTreeGridFilteringPipe,
    IgxTreeGridPagingPipe,
    IgxTreeGridTransactionPipe,
    IgxTreeGridSummaryPipe,
    IgxTreeGridNormalizeRecordsPipe,
    IgxTreeGridAddRowPipe
  ], schemas: [CUSTOM_ELEMENTS_SCHEMA3], template: `<ng-content select="igx-grid-toolbar"></ng-content>
<ng-content select="igx-tree-grid-group-by-area"></ng-content>
<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content"  tabindex="0" (focus)="navigation.focusTbody($event)" (keydown)="navigation.handleNavigation($event)"
    (dragStop)="selectionService.dragMode = $event" [attr.aria-activedescendant]="activeDescendant" [attr.role]="dataView.length ? null : 'row'"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode"
        [style.height.px]='totalHeight' [style.width.px]='calcWidth' #tbody (scroll)='preventContainerScroll($event)'>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template #pinnedRecordsTemplate>
            <ng-container *ngIf="data
            | treeGridTransaction:pipeTrigger
            | visibleColumns:hasVisibleColumns
            | treeGridNormalizeRecord:pipeTrigger
            | treeGridAddRow:true:pipeTrigger
            | gridRowPinning:id:true:pipeTrigger
            | treeGridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:pipeTrigger:filteringPipeTrigger:true
            | treeGridSorting:sortingExpressions:treeGroupArea?.expressions:sortStrategy:pipeTrigger:true as pinnedData">
                <div #pinContainer *ngIf="pinnedData.length > 0"
                    [ngClass]="{
                        'igx-grid__tr--pinned-bottom':  !isRowPinningToTop,
                        'igx-grid__tr--pinned-top': isRowPinningToTop
                    }"
                    class="igx-grid__tr--pinned" [style.width.px]="calcWidth">
                    <ng-container *ngFor="let rowData of pinnedData;let rowIndex = index;">
                        <ng-container *ngTemplateOutlet="pinned_record_template; context: getContext(rowData, rowIndex, true)">
                        </ng-container>
                    </ng-container>
                </div>
            </ng-container>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null"></ng-container>
        <ng-template igxGridFor let-rowData [igxGridForOf]="data
        | treeGridTransaction:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | treeGridHierarchizing:primaryKey:foreignKey:childDataKey:pipeTrigger
        | treeGridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:pipeTrigger:filteringPipeTrigger
        | treeGridSorting:sortingExpressions:treeGroupArea?.expressions:sortStrategy:pipeTrigger
        | treeGridFlattening:expansionDepth:expansionStates:pipeTrigger
        | treeGridPaging:!!paginator:page:perPage:pipeTrigger
        | treeGridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:showSummaryOnCollapse:pipeTrigger:summaryPipeTrigger
        | treeGridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            let-rowIndex="index" [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]='verticalScroll'
            [igxForContainerSize]='calcHeight' [igxForItemSize]="renderedRowHeight" #verticalScrollContainer
            (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template [igxTemplateOutlet]='isSummaryRow(rowData) ? summary_template : record_template'
                [igxTemplateOutletContext]='getContext(rowData, rowIndex, false)'
                (cachedViewLoaded)='cachedViewLoaded($event)'>
            </ng-template>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null"></ng-container>
        <ng-template #record_template let-rowIndex="index" let-disabledRow="disabled" let-rowData>
            <igx-tree-grid-row [gridID]="id" [index]="rowIndex" [treeRow]="rowData" [disabled]="disabledRow"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:row.treeRow.isFilteredOutParent:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-tree-grid-row>
        </ng-template>
        <ng-template #pinned_record_template let-rowIndex="index" let-rowData>
            <igx-tree-grid-row [gridID]="id" [index]="rowIndex" [treeRow]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:row.treeRow.isFilteredOutParent:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger"#row #pinnedRow>
            </igx-tree-grid-row>
        </ng-template>
        <ng-template #summary_template let-rowIndex="index" let-rowData>
            <igx-grid-summary-row [gridID]="id" [summaries]="rowData.summaries"
                [firstCellIndentation]="rowData.cellIndentation" [index]="rowIndex"
                class="igx-grid__summaries--body" role="row" #summaryRow>
            </igx-grid-summary-row>
        </ng-template>
        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf='shouldOverlayLoading'>
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
        <div [hidden]='!hasVerticalScroll()' class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize"  (pointerdown)="$event.preventDefault()"
            [style.height.px]='calcHeight'>
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]=' isRowPinningToTop ? pinnedRowHeight : 0'></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]='calcHeight'>
            <ng-template igxGridFor [igxGridForOf]='[]' #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]='!isRowPinningToTop ? pinnedRowHeight : 0'></div>
    </div>
    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]='snackbarDisplayTime'>{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div igxOverlayOutlet #igxBodyOverlayOutlet="overlay-outlet"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]='summaryRowHeight' #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)"
    (keydown)="navigation.summaryNav($event)" [attr.aria-activedescendant]="activeDescendant">
        <igx-grid-summary-row [style.width.px]='calcWidth' [style.height.px]='summaryRowHeight'
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]='!hasVerticalScroll()' [style.height.px]='summaryRowHeight'
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]='isPinningToStart ? pinnedWidth : headerFeaturesWidth' [style.min-width.px]='isPinningToStart ? pinnedWidth : headerFeaturesWidth'></div>
    <div class="igx-grid__scroll-main" [style.width.px]='unpinnedWidth'>
        <ng-template igxGridFor [igxGridForOf]='[]' #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]='pinnedWidth' [style.min-width.px]='pinnedWidth' [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet='addRowEmptyTemplate || defaultAddRowEmptyTemplate'></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf='showAddButton'>
            <ng-container *ngTemplateOutlet='addRowEmptyTemplate || defaultAddRowEmptyTemplate'></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.crudService.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>

<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>

<ng-template #defaultRowEditActions>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>

<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : rowEditTextTemplate ? rowEditTextTemplate : defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="rowEditActionsTemplate ? rowEditActionsTemplate : defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
` }]
}], ctorParameters: () => [{ type: IgxGridValidationService }, { type: IgxGridSelectionService }, { type: IgxColumnResizingService }, { type: void 0, decorators: [{
  type: Inject93,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: IgxHierarchicalTransactionFactory }, { type: i0232.ElementRef }, { type: i0232.NgZone }, { type: void 0, decorators: [{
  type: Inject93,
  args: [DOCUMENT17]
}] }, { type: i0232.ChangeDetectorRef }, { type: i0232.IterableDiffers }, { type: i0232.ViewContainerRef }, { type: i0232.Injector }, { type: i0232.EnvironmentInjector }, { type: IgxGridNavigationService }, { type: IgxFilteringService }, { type: IgxTextHighlightService }, { type: IgxOverlayService, decorators: [{
  type: Inject93,
  args: [IgxOverlayService]
}] }, { type: IgxGridSummaryService }, { type: void 0, decorators: [{
  type: Optional44
}, {
  type: Inject93,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Inject93,
  args: [LOCALE_ID10]
}] }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Optional44
}, {
  type: Inject93,
  args: [IgxGridTransaction]
}] }], propDecorators: { childDataKey: [{
  type: Input134
}], foreignKey: [{
  type: Input134
}], hasChildrenKey: [{
  type: Input134
}], cascadeOnDelete: [{
  type: Input134,
  args: [{ transform: booleanAttribute76 }]
}], loadChildrenOnDemand: [{
  type: Input134
}], role: [{
  type: HostBinding95,
  args: ["attr.role"]
}], id: [{
  type: HostBinding95,
  args: ["attr.id"]
}, {
  type: Input134
}], treeGroupArea: [{
  type: ContentChild24,
  args: [IgxTreeGridGroupByAreaComponent, { read: IgxTreeGridGroupByAreaComponent }]
}], recordTemplate: [{
  type: ViewChild58,
  args: ["record_template", { read: TemplateRef38, static: true }]
}], summaryTemplate: [{
  type: ViewChild58,
  args: ["summary_template", { read: TemplateRef38, static: true }]
}], rowLoadingTemplate: [{
  type: ContentChild24,
  args: [IgxRowLoadingIndicatorTemplateDirective, { read: IgxRowLoadingIndicatorTemplateDirective }]
}], data: [{
  type: Input134
}], expansionDepth: [{
  type: Input134
}], rowLoadingIndicatorTemplate: [{
  type: Input134
}] } });

// lib/grids/tree-grid/tree-grid.grouping.pipe.mjs
import { Pipe as Pipe18 } from "@angular/core";
import * as i0233 from "@angular/core";
var HIDDEN_FIELD_NAME = "_Igx_Hidden_Data_";
var GroupByRecord = class {
};
var ITreeGridAggregation = class {
};
var IgxGroupedTreeGridSorting = class _IgxGroupedTreeGridSorting extends IgxSorting {
  static {
    this._instance = null;
  }
  static instance() {
    return this._instance || (this._instance = new _IgxGroupedTreeGridSorting());
  }
  getFieldValue(obj, key, isDate2 = false, isTime = false) {
    const data = obj.data[HIDDEN_FIELD_NAME] ? obj.data.hasOwnProperty(key) ? obj.data : obj.data[HIDDEN_FIELD_NAME] : obj.data;
    return super.getFieldValue(data, key, isDate2, isTime);
  }
};
var IgxTreeGridGroupingPipe = class _IgxTreeGridGroupingPipe {
  transform(collection, groupingExpressions, groupKey, childDataKey, grid, aggregations) {
    if (groupingExpressions.length === 0) {
      return collection;
    }
    if (groupKey?.toLowerCase() === childDataKey?.toLowerCase()) {
      throw new Error("Group key and child data key cannot be the same.");
    }
    this.grid = grid;
    const result = [];
    const groupedRecords = this.groupByMultiple(collection, groupingExpressions);
    this.flattenGrouping(groupedRecords, groupKey, childDataKey, result, aggregations);
    return result;
  }
  flattenGrouping(groupRecords, groupKey, childDataKey, data, aggregations = []) {
    for (const groupRecord of groupRecords) {
      const parent = {};
      const children = groupRecord.records;
      parent[childDataKey] = [];
      for (const aggregation of aggregations) {
        parent[aggregation.field] = aggregation.aggregate(parent, children);
      }
      parent[groupKey] = groupRecord.value + ` (${groupRecord.records.length})`;
      parent[HIDDEN_FIELD_NAME] = { [groupRecord.key]: groupRecord.value };
      data.push(parent);
      if (groupRecord.groups) {
        this.flattenGrouping(groupRecord.groups, groupKey, childDataKey, parent[childDataKey], aggregations);
      } else {
        parent[childDataKey] = children;
      }
    }
  }
  groupByMultiple(array, groupingExpressions, index = 0) {
    const res = this.groupBy(array, groupingExpressions[index]);
    if (index + 1 < groupingExpressions.length) {
      for (const groupByRecord of res) {
        groupByRecord.groups = this.groupByMultiple(groupByRecord.records, groupingExpressions, index + 1);
      }
    }
    return res;
  }
  groupBy(array, groupingExpression) {
    const key = groupingExpression.fieldName;
    const column = this.grid?.getColumnByName(key);
    const isDateTime = column?.dataType === GridColumnDataType.Date || column?.dataType === GridColumnDataType.DateTime || column?.dataType === GridColumnDataType.Time;
    const map3 = /* @__PURE__ */ new Map();
    for (const record of array) {
      const value = isDateTime ? formatDate(record[key], column.pipeArgs.format, this.grid.locale) : record[key];
      let valueCase = value;
      let groupByRecord;
      if (groupingExpression.ignoreCase) {
        valueCase = value?.toString().toLowerCase();
      }
      if (map3.has(valueCase)) {
        groupByRecord = map3.get(valueCase);
      } else {
        groupByRecord = new GroupByRecord();
        groupByRecord.key = key;
        groupByRecord.value = value;
        groupByRecord.records = [];
        map3.set(valueCase, groupByRecord);
      }
      groupByRecord.records.push(record);
    }
    return Array.from(map3.values());
  }
  static {
    this.ɵfac = i0233.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0233, type: _IgxTreeGridGroupingPipe, deps: [], target: i0233.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0233.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0233, type: _IgxTreeGridGroupingPipe, isStandalone: true, name: "treeGridGrouping" });
  }
};
i0233.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0233, type: IgxTreeGridGroupingPipe, decorators: [{
  type: Pipe18,
  args: [{
    name: "treeGridGrouping",
    standalone: true
  }]
}] });

// lib/grids/tree-grid/public_api.mjs
var IGX_TREE_GRID_DIRECTIVES = [
  IgxTreeGridComponent,
  IgxTreeGridGroupByAreaComponent,
  IgxTreeGridGroupingPipe,
  IgxRowAddTextDirective,
  IgxRowEditActionsDirective,
  IgxRowEditTextDirective,
  IgxRowEditTabStopDirective,
  // IGX_GRID_COMMON_DIRECTIVES:
  IgxRowDirective,
  IgxGridFooterComponent,
  IgxAdvancedFilteringDialogComponent,
  IgxRowExpandedIndicatorDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxExcelStyleHeaderIconDirective,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxDragIndicatorIconDirective,
  IgxRowDragGhostDirective,
  IgxGridStateDirective,
  // IGX_GRID_HEADERS_DIRECTIVES:
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  // IGX_GRID_COLUMN_DIRECTIVES:
  IgxFilterCellTemplateDirective,
  IgxSummaryTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellEditorTemplateDirective,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumnComponent,
  IgxColumnGroupComponent,
  IgxColumnLayoutComponent,
  // IGX_GRID_COLUMN_ACTIONS_DIRECTIVES:
  IgxColumnActionsComponent,
  IgxColumnHidingDirective,
  IgxColumnPinningDirective,
  // IGX_GRID_SELECTION_DIRECTIVES:
  IgxRowSelectorDirective,
  IgxGroupByRowSelectorDirective,
  IgxHeadSelectorDirective,
  // IGX_GRID_TOOLBAR_DIRECTIVES:
  IgxCSVTextDirective,
  IgxExcelTextDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarDirective,
  // IGX_GRID_EXCEL_STYLE_FILTER_DIRECTIVES:
  IgxGridExcelStyleFilteringComponent,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleMovingComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleLoadingValuesTemplateDirective,
  // IGX_PAGINATOR_DIRECTIVES:
  IgxColumnRequiredValidatorDirective,
  IgxColumnMinValidatorDirective,
  IgxColumnMaxValidatorDirective,
  IgxColumnEmailValidatorDirective,
  IgxColumnMinLengthValidatorDirective,
  IgxColumnMaxLengthValidatorDirective,
  IgxColumPatternValidatorDirective,
  // IGX_PAGINATOR_DIRECTIVES:
  IgxPaginatorComponent,
  IgxPageNavigationComponent,
  IgxPageSizeSelectorComponent,
  IgxPaginatorContentDirective,
  IgxPaginatorDirective
];

// lib/grids/hierarchical-grid/hierarchical-grid-api.service.mjs
import { Subject as Subject54 } from "rxjs";
import { Injectable as Injectable38 } from "@angular/core";
import * as i0234 from "@angular/core";
var IgxHierarchicalGridAPIService = class _IgxHierarchicalGridAPIService extends GridBaseAPIService {
  constructor() {
    super(...arguments);
    this.childRowIslands = /* @__PURE__ */ new Map();
    this.childGrids = /* @__PURE__ */ new Map();
  }
  registerChildRowIsland(rowIsland) {
    this.childRowIslands.set(rowIsland.key, rowIsland);
    this.destroyMap.set(rowIsland.key, new Subject54());
  }
  unsetChildRowIsland(rowIsland) {
    this.childGrids.delete(rowIsland.key);
    this.childRowIslands.delete(rowIsland.key);
    this.destroyMap.delete(rowIsland.key);
  }
  getChildRowIsland(key) {
    return this.childRowIslands.get(key);
  }
  getChildGrid(path) {
    const currPath = path;
    let grid;
    const pathElem = currPath.shift();
    const childrenForLayout = this.childGrids.get(pathElem.rowIslandKey);
    if (childrenForLayout) {
      const childGrid = childrenForLayout.get(pathElem.rowKey);
      if (currPath.length === 0) {
        grid = childGrid;
      } else {
        grid = childGrid.gridAPI.getChildGrid(currPath);
      }
    }
    return grid;
  }
  getChildGrids(inDepth) {
    let allChildren = [];
    this.childGrids.forEach((layoutMap) => {
      layoutMap.forEach((grid) => {
        allChildren.push(grid);
        if (inDepth) {
          const children = grid.gridAPI.getChildGrids(inDepth);
          allChildren = allChildren.concat(children);
        }
      });
    });
    return allChildren;
  }
  getParentRowId(childGrid) {
    let rowID;
    this.childGrids.forEach((layoutMap) => {
      layoutMap.forEach((grid, key) => {
        if (grid === childGrid) {
          rowID = key;
          return;
        }
      });
    });
    return rowID;
  }
  registerChildGrid(parentRowID, rowIslandKey, grid) {
    let childrenForLayout = this.childGrids.get(rowIslandKey);
    if (!childrenForLayout) {
      this.childGrids.set(rowIslandKey, /* @__PURE__ */ new Map());
      childrenForLayout = this.childGrids.get(rowIslandKey);
    }
    childrenForLayout.set(parentRowID, grid);
  }
  getChildGridsForRowIsland(rowIslandKey) {
    const childrenForLayout = this.childGrids.get(rowIslandKey);
    const children = [];
    if (childrenForLayout) {
      childrenForLayout.forEach((child) => {
        children.push(child);
      });
    }
    return children;
  }
  getChildGridByID(rowIslandKey, rowID) {
    const childrenForLayout = this.childGrids.get(rowIslandKey);
    return childrenForLayout.get(rowID);
  }
  get_row_expansion_state(record) {
    let inState;
    if (record.childGridsData !== void 0) {
      const ri = record.key;
      const states = this.grid.expansionStates;
      const expanded = states.get(ri);
      if (expanded !== void 0) {
        return expanded;
      } else {
        return this.grid.getDefaultExpandState(record);
      }
    } else {
      inState = !!super.get_row_expansion_state(record);
    }
    return inState && this.grid.childLayoutList.length !== 0;
  }
  allow_expansion_state_change(rowID, expanded) {
    const rec = this.get_rec_by_id(rowID);
    const grid = this.grid;
    if (grid.hasChildrenKey && !rec[grid.hasChildrenKey]) {
      return false;
    }
    return !!rec && this.grid.expansionStates.get(rowID) !== expanded;
  }
  get_rec_by_id(rowID) {
    const data = this.get_all_data(false);
    const index = this.get_row_index_in_data(rowID, data);
    return data[index];
  }
  static {
    this.ɵfac = i0234.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0234, type: _IgxHierarchicalGridAPIService, deps: null, target: i0234.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0234.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0234, type: _IgxHierarchicalGridAPIService });
  }
};
i0234.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0234, type: IgxHierarchicalGridAPIService, decorators: [{
  type: Injectable38
}] });

// lib/grids/hierarchical-grid/hierarchical-grid-navigation.service.mjs
import { Injectable as Injectable39 } from "@angular/core";
import { first as first17 } from "rxjs/operators";
import * as i0235 from "@angular/core";
var IgxHierarchicalGridNavigationService = class _IgxHierarchicalGridNavigationService extends IgxGridNavigationService {
  constructor() {
    super(...arguments);
    this._pendingNavigation = false;
  }
  dispatchEvent(event) {
    const key = event.key.toLowerCase();
    if (!this.activeNode || !(SUPPORTED_KEYS.has(key) || key === "tab" && this.grid.crudService.cell) && !this.grid.crudService.rowEditingBlocked && !this.grid.crudService.rowInEditMode) {
      return;
    }
    const targetGrid = this.getClosestElemByTag(event.target, "igx-hierarchical-grid");
    if (targetGrid !== this.grid.nativeElement) {
      return;
    }
    if (this._pendingNavigation && NAVIGATION_KEYS.has(key)) {
      event.preventDefault();
      return;
    }
    super.dispatchEvent(event);
  }
  navigateInBody(rowIndex, visibleColIndex, cb = null) {
    const rec = this.grid.dataView[rowIndex];
    if (rec && this.grid.isChildGridRecord(rec)) {
      const virtState = this.grid.verticalScrollContainer.state;
      const inView = rowIndex >= virtState.startIndex && rowIndex <= virtState.startIndex + virtState.chunkSize;
      const isNext = this.activeNode.row < rowIndex;
      const targetLayoutIndex = isNext ? null : this.grid.childLayoutKeys.length - 1;
      if (inView) {
        this._moveToChild(rowIndex, visibleColIndex, isNext, targetLayoutIndex, cb);
      } else {
        let scrollAmount = this.grid.verticalScrollContainer.getScrollForIndex(rowIndex, !isNext);
        scrollAmount += isNext ? 1 : -1;
        this.grid.verticalScrollContainer.getScroll().scrollTop = scrollAmount;
        this._pendingNavigation = true;
        this.grid.verticalScrollContainer.chunkLoad.pipe(first17()).subscribe(() => {
          this._moveToChild(rowIndex, visibleColIndex, isNext, targetLayoutIndex, cb);
          this._pendingNavigation = false;
        });
      }
      return;
    }
    const isLast = rowIndex === this.grid.dataView.length;
    if ((rowIndex === -1 || isLast) && this.grid.parent !== null) {
      const nextSiblingIndex = this.nextSiblingIndex(isLast);
      if (nextSiblingIndex !== null) {
        this.grid.parent.navigation._moveToChild(this.grid.childRow.index, visibleColIndex, isLast, nextSiblingIndex, cb);
      } else {
        this._moveToParent(isLast, visibleColIndex, cb);
      }
      return;
    }
    if (this.grid.parent) {
      const isNext = this.activeNode && typeof this.activeNode.row === "number" ? rowIndex > this.activeNode.row : false;
      const cbHandler = (args) => {
        this._handleScrollInChild(rowIndex, isNext);
        cb(args);
      };
      if (!this.activeNode) {
        this.activeNode = { row: null, column: null };
      }
      super.navigateInBody(rowIndex, visibleColIndex, cbHandler);
      return;
    }
    if (!this.activeNode) {
      this.activeNode = { row: null, column: null };
    }
    super.navigateInBody(rowIndex, visibleColIndex, cb);
  }
  shouldPerformVerticalScroll(index, visibleColumnIndex = -1, isNext) {
    const targetRec = this.grid.dataView[index];
    if (this.grid.isChildGridRecord(targetRec)) {
      const scrollAmount = this.grid.verticalScrollContainer.getScrollForIndex(index, !isNext);
      const currScroll = this.grid.verticalScrollContainer.getScroll().scrollTop;
      const shouldScroll = !isNext ? scrollAmount > currScroll : currScroll < scrollAmount;
      return shouldScroll;
    } else {
      return super.shouldPerformVerticalScroll(index, visibleColumnIndex);
    }
  }
  focusTbody(event) {
    if (!this.activeNode || this.activeNode.row === null) {
      this.activeNode = {
        row: 0,
        column: 0
      };
      this.grid.navigateTo(0, 0, (obj) => {
        this.grid.clearCellSelection();
        obj.target.activate(event);
      });
    } else {
      super.focusTbody(event);
    }
  }
  nextSiblingIndex(isNext) {
    const layoutKey = this.grid.childRow.layout.key;
    const layoutIndex = this.grid.parent.childLayoutKeys.indexOf(layoutKey);
    const nextIndex = isNext ? layoutIndex + 1 : layoutIndex - 1;
    if (nextIndex <= this.grid.parent.childLayoutKeys.length - 1 && nextIndex > -1) {
      return nextIndex;
    } else {
      return null;
    }
  }
  /**
   * Handles scrolling in child grid and ensures target child row is in main grid view port.
   *
   * @param rowIndex The row index which should be in view.
   * @param isNext  Optional. Whether we are navigating to next. Used to determine scroll direction.
   * @param cb  Optional.Callback function called when operation is complete.
   */
  _handleScrollInChild(rowIndex, isNext, cb) {
    const shouldScroll = this.shouldPerformVerticalScroll(rowIndex, -1, isNext);
    if (shouldScroll) {
      this.grid.navigation.performVerticalScrollToCell(rowIndex, -1, () => {
        this.positionInParent(rowIndex, isNext, cb);
      });
    } else {
      this.positionInParent(rowIndex, isNext, cb);
    }
  }
  /**
   *
   * @param rowIndex Row index that should come in view.
   * @param isNext  Whether we are navigating to next. Used to determine scroll direction.
   * @param cb  Optional.Callback function called when operation is complete.
   */
  positionInParent(rowIndex, isNext, cb) {
    const row = this.grid.gridAPI.get_row_by_index(rowIndex);
    if (!row) {
      if (cb) {
        cb();
      }
      return;
    }
    const positionInfo = this.getPositionInfo(row, isNext);
    if (!positionInfo.inView) {
      this._pendingNavigation = true;
      const scrollableGrid = isNext ? this.getNextScrollableDown(this.grid) : this.getNextScrollableUp(this.grid);
      scrollableGrid.grid.verticalScrollContainer.recalcUpdateSizes();
      scrollableGrid.grid.verticalScrollContainer.addScrollTop(positionInfo.offset);
      scrollableGrid.grid.verticalScrollContainer.chunkLoad.pipe(first17()).subscribe(() => {
        this._pendingNavigation = false;
        if (cb) {
          cb();
        }
      });
    } else {
      if (cb) {
        cb();
      }
    }
  }
  /**
   * Moves navigation to child grid.
   *
   * @param parentRowIndex The parent row index, at which the child grid is rendered.
   * @param childLayoutIndex Optional. The index of the child row island to which the child grid belongs to. Uses first if not set.
   */
  _moveToChild(parentRowIndex, visibleColIndex, isNext, childLayoutIndex, cb) {
    const ri = typeof childLayoutIndex !== "number" ? this.grid.childLayoutList.first : this.grid.childLayoutList.toArray()[childLayoutIndex];
    const rowId = this.grid.dataView[parentRowIndex].rowID;
    const pathSegment = {
      rowID: rowId,
      rowKey: rowId,
      rowIslandKey: ri.key
    };
    const childGrid = this.grid.gridAPI.getChildGrid([pathSegment]);
    const targetIndex = isNext ? 0 : childGrid.dataView.length - 1;
    const targetRec = childGrid.dataView[targetIndex];
    if (!targetRec) {
      childGrid.navigation.navigateInBody(targetIndex, visibleColIndex, cb);
      return;
    }
    if (childGrid.isChildGridRecord(targetRec)) {
      this.grid.navigation.activeNode.row = null;
      childGrid.navigation.activeNode = { row: targetIndex, column: this.activeNode.column };
      childGrid.navigation._handleScrollInChild(targetIndex, isNext, () => {
        const targetLayoutIndex = isNext ? 0 : childGrid.childLayoutList.toArray().length - 1;
        childGrid.navigation._moveToChild(targetIndex, visibleColIndex, isNext, targetLayoutIndex, cb);
      });
      return;
    }
    const childGridNav = childGrid.navigation;
    this.clearActivation();
    const lastVisibleIndex = childGridNav.lastColumnIndex;
    const columnIndex = visibleColIndex <= lastVisibleIndex ? visibleColIndex : lastVisibleIndex;
    childGridNav.activeNode = { row: targetIndex, column: columnIndex };
    childGrid.tbody.nativeElement.focus({ preventScroll: true });
    this._pendingNavigation = false;
    childGrid.navigation._handleScrollInChild(targetIndex, isNext, () => {
      childGrid.navigateTo(targetIndex, columnIndex, cb);
    });
  }
  /**
   * Moves navigation back to parent grid.
   *
   * @param rowIndex
   */
  _moveToParent(isNext, columnIndex, cb) {
    const indexInParent = this.grid.childRow.index;
    const hasNextTarget = this.hasNextTarget(this.grid.parent, indexInParent, isNext);
    if (!hasNextTarget) {
      return;
    }
    this.clearActivation();
    const targetRowIndex = isNext ? indexInParent + 1 : indexInParent - 1;
    const lastVisibleIndex = this.grid.parent.navigation.lastColumnIndex;
    const nextColumnIndex = columnIndex <= lastVisibleIndex ? columnIndex : lastVisibleIndex;
    this._pendingNavigation = true;
    const cbFunc = (args) => {
      this._pendingNavigation = false;
      cb(args);
      args.target.grid.tbody.nativeElement.focus();
    };
    this.grid.parent.navigation.navigateInBody(targetRowIndex, nextColumnIndex, cbFunc);
  }
  /**
   * Gets information on the row position relative to the root grid view port.
   * Returns whether the row is in view and its offset.
   *
   * @param rowObj
   * @param isNext
   */
  getPositionInfo(row, isNext) {
    let rowElem = row.nativeElement;
    if (row.layout) {
      const childLayoutKeys = this.grid.childLayoutKeys;
      const riKey = isNext ? childLayoutKeys[0] : childLayoutKeys[childLayoutKeys.length - 1];
      const pathSegment = {
        rowID: row.data.rowID,
        rowKey: row.data.rowID,
        rowIslandKey: riKey
      };
      const childGrid = this.grid.gridAPI.getChildGrid([pathSegment]);
      rowElem = childGrid.tfoot.nativeElement;
    }
    const gridBottom = this._getMinBottom(this.grid);
    const diffBottom = rowElem.getBoundingClientRect().bottom - gridBottom;
    const gridTop = this._getMaxTop(this.grid);
    const diffTop = rowElem.getBoundingClientRect().bottom - rowElem.offsetHeight - gridTop;
    const isInView = isNext ? Math.round(diffBottom) <= 0 : Math.round(diffTop) >= 0;
    const calcOffset = isNext ? diffBottom : diffTop;
    return { inView: isInView, offset: calcOffset };
  }
  /**
   * Gets closest element by its tag name.
   *
   * @param sourceElem The element from which to start the search.
   * @param targetTag The target element tag name, for which to search.
   */
  getClosestElemByTag(sourceElem, targetTag) {
    let result = sourceElem;
    while (result !== null && result.nodeType === 1) {
      if (result.tagName.toLowerCase() === targetTag.toLowerCase()) {
        return result;
      }
      result = result.parentNode;
    }
    return null;
  }
  clearActivation() {
    if (this.activeNode && Object.keys(this.activeNode).length) {
      this.activeNode = Object.assign({});
    }
  }
  hasNextTarget(grid, index, isNext) {
    const targetRowIndex = isNext ? index + 1 : index - 1;
    const hasTargetRecord = !!grid.dataView[targetRowIndex];
    if (hasTargetRecord) {
      return true;
    } else {
      let hasTargetRecordInParent = false;
      if (grid.parent) {
        const indexInParent = grid.childRow.index;
        hasTargetRecordInParent = this.hasNextTarget(grid.parent, indexInParent, isNext);
      }
      return hasTargetRecordInParent;
    }
  }
  /**
   * Gets the max top view in the current grid hierarchy.
   *
   * @param grid
   */
  _getMaxTop(grid) {
    let currGrid = grid;
    let top = currGrid.tbody.nativeElement.getBoundingClientRect().top;
    while (currGrid.parent) {
      currGrid = currGrid.parent;
      const pinnedRowsHeight = currGrid.hasPinnedRecords && currGrid.isRowPinningToTop ? currGrid.pinnedRowHeight : 0;
      top = Math.max(top, currGrid.tbody.nativeElement.getBoundingClientRect().top + pinnedRowsHeight);
    }
    return top;
  }
  /**
   * Gets the min bottom view in the current grid hierarchy.
   *
   * @param grid
   */
  _getMinBottom(grid) {
    let currGrid = grid;
    let bottom = currGrid.tbody.nativeElement.getBoundingClientRect().bottom;
    while (currGrid.parent) {
      currGrid = currGrid.parent;
      const pinnedRowsHeight = currGrid.hasPinnedRecords && !currGrid.isRowPinningToTop ? currGrid.pinnedRowHeight : 0;
      bottom = Math.min(bottom, currGrid.tbody.nativeElement.getBoundingClientRect().bottom - pinnedRowsHeight);
    }
    return bottom;
  }
  /**
   * Finds the next grid that allows scrolling down.
   *
   * @param grid The grid from which to begin the search.
   */
  getNextScrollableDown(grid) {
    let currGrid = grid.parent;
    if (!currGrid) {
      return { grid, prev: null };
    }
    let scrollTop = currGrid.verticalScrollContainer.scrollPosition;
    let scrollHeight = currGrid.verticalScrollContainer.getScroll().scrollHeight;
    let nonScrollable = scrollHeight === 0 || Math.round(scrollTop + currGrid.verticalScrollContainer.igxForContainerSize) === scrollHeight;
    let prev = grid;
    while (nonScrollable && currGrid.parent !== null) {
      prev = currGrid;
      currGrid = currGrid.parent;
      scrollTop = currGrid.verticalScrollContainer.scrollPosition;
      scrollHeight = currGrid.verticalScrollContainer.getScroll().scrollHeight;
      nonScrollable = scrollHeight === 0 || Math.round(scrollTop + currGrid.verticalScrollContainer.igxForContainerSize) === scrollHeight;
    }
    return { grid: currGrid, prev };
  }
  /**
   * Finds the next grid that allows scrolling up.
   *
   * @param grid The grid from which to begin the search.
   */
  getNextScrollableUp(grid) {
    let currGrid = grid.parent;
    if (!currGrid) {
      return { grid, prev: null };
    }
    let nonScrollable = currGrid.verticalScrollContainer.scrollPosition === 0;
    let prev = grid;
    while (nonScrollable && currGrid.parent !== null) {
      prev = currGrid;
      currGrid = currGrid.parent;
      nonScrollable = currGrid.verticalScrollContainer.scrollPosition === 0;
    }
    return { grid: currGrid, prev };
  }
  static {
    this.ɵfac = i0235.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0235, type: _IgxHierarchicalGridNavigationService, deps: null, target: i0235.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0235.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0235, type: _IgxHierarchicalGridNavigationService });
  }
};
i0235.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0235, type: IgxHierarchicalGridNavigationService, decorators: [{
  type: Injectable39
}] });

// lib/grids/hierarchical-grid/hierarchical-grid-base.directive.mjs
import { booleanAttribute as booleanAttribute77, createComponent as createComponent5, Directive as Directive90, EventEmitter as EventEmitter74, Inject as Inject94, Input as Input135, LOCALE_ID as LOCALE_ID11, Optional as Optional45, Output as Output65, reflectComponentType } from "@angular/core";
import { DOCUMENT as DOCUMENT18 } from "@angular/common";
import { takeUntil as takeUntil49 } from "rxjs/operators";
import * as i0236 from "@angular/core";
var hierarchicalTransactionServiceFactory = () => new IgxTransactionService();
var IgxHierarchicalTransactionServiceFactory = {
  provide: IgxGridTransaction,
  useFactory: hierarchicalTransactionServiceFactory
};
var IgxHierarchicalGridBaseDirective = class _IgxHierarchicalGridBaseDirective extends IgxGridBaseDirective {
  /**
   * @hidden
   */
  get maxLevelHeaderDepth() {
    if (this._maxLevelHeaderDepth === null) {
      this._maxLevelHeaderDepth = this.columns.reduce((acc, col) => Math.max(acc, col.level), 0);
    }
    return this._maxLevelHeaderDepth;
  }
  /**
   * Gets the outlet used to attach the grid's overlays to.
   *
   * @remark
   * If set, returns the outlet defined outside the grid. Otherwise returns the grid's internal outlet directive.
   */
  get outlet() {
    return this.rootGrid ? this.rootGrid.resolveOutlet() : this.resolveOutlet();
  }
  /**
   * Sets the outlet used to attach the grid's overlays to.
   */
  set outlet(val) {
    this._userOutletDirective = val;
  }
  get batchEditing() {
    return this._batchEditing;
  }
  set batchEditing(val) {
    if (val !== this._batchEditing) {
      delete this._transactions;
      this.switchTransactionService(val);
      this.subscribeToTransactions();
      this.batchEditingChange.emit(val);
      this._batchEditing = val;
    }
  }
  constructor(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions) {
    super(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform, _diTransactions);
    this.gridAPI = gridAPI;
    this.showExpandAll = false;
    this.dataPreLoad = new EventEmitter74();
    this.batchEditingChange = new EventEmitter74();
  }
  /**
   * @hidden
   */
  createColumnsList(cols) {
    const columns = [];
    const topLevelCols = cols.filter((c) => c.level === 0);
    topLevelCols.forEach((col) => {
      const ref = this._createColumn(col);
      ref.changeDetectorRef.detectChanges();
      columns.push(ref.instance);
    });
    const result = flatten2(columns);
    this.updateColumns(result);
    this.initPinning();
    result.forEach((col) => {
      this.columnInit.emit(col);
    });
    const mirror = reflectComponentType(IgxColumnComponent);
    const outputs = mirror.outputs.filter((o) => o.propName !== "columnChange");
    outputs.forEach((output) => {
      this.columns.forEach((column) => {
        if (column[output.propName]) {
          column[output.propName].pipe(takeUntil49(column.destroy$)).subscribe((args) => {
            const rowIslandColumn = this.parentIsland.columnList.find((col) => col.field ? col.field === column.field : col.header === column.header);
            rowIslandColumn[output.propName].emit({ args, owner: this });
          });
        }
      });
    });
  }
  _createColumn(col) {
    let ref;
    if (col instanceof IgxColumnGroupComponent) {
      ref = this._createColGroupComponent(col);
    } else {
      ref = this._createColComponent(col);
    }
    return ref;
  }
  _createColGroupComponent(col) {
    const ref = createComponent5(IgxColumnGroupComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
    ref.changeDetectorRef.detectChanges();
    const mirror = reflectComponentType(IgxColumnGroupComponent);
    mirror.inputs.forEach((input) => {
      const propName = input.propName;
      ref.instance[propName] = col[propName];
    });
    if (col.children.length > 0) {
      const newChildren = [];
      col.children.forEach((child) => {
        const newCol = this._createColumn(child).instance;
        newCol.parent = ref.instance;
        newChildren.push(newCol);
      });
      ref.instance.children.reset(newChildren);
      ref.instance.children.notifyOnChanges();
    }
    return ref;
  }
  _createColComponent(col) {
    const ref = createComponent5(IgxColumnComponent, { environmentInjector: this.envInjector, elementInjector: this.injector });
    const mirror = reflectComponentType(IgxColumnComponent);
    mirror.inputs.forEach((input) => {
      const propName = input.propName;
      if (!(col[propName] instanceof IgxSummaryOperand)) {
        ref.instance[propName] = col[propName];
      } else {
        ref.instance[propName] = col[propName].constructor;
      }
    });
    ref.instance.validators = col.validators;
    return ref;
  }
  getGridsForIsland(rowIslandID) {
    return this.gridAPI.getChildGridsForRowIsland(rowIslandID);
  }
  getChildGrid(path) {
    if (!path) {
      return;
    }
    return this.gridAPI.getChildGrid(path);
  }
  static {
    this.ɵfac = i0236.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0236, type: _IgxHierarchicalGridBaseDirective, deps: [{ token: IgxGridValidationService }, { token: IgxGridSelectionService }, { token: IgxColumnResizingService }, { token: IGX_GRID_SERVICE_BASE }, { token: IgxFlatTransactionFactory }, { token: i0236.ElementRef }, { token: i0236.NgZone }, { token: DOCUMENT18 }, { token: i0236.ChangeDetectorRef }, { token: i0236.IterableDiffers }, { token: i0236.ViewContainerRef }, { token: i0236.Injector }, { token: i0236.EnvironmentInjector }, { token: IgxHierarchicalGridNavigationService }, { token: IgxFilteringService }, { token: IgxTextHighlightService }, { token: IgxOverlayService }, { token: IgxGridSummaryService }, { token: DisplayDensityToken, optional: true }, { token: LOCALE_ID11 }, { token: PlatformUtil }, { token: IgxGridTransaction, optional: true }], target: i0236.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0236.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxHierarchicalGridBaseDirective, inputs: { hasChildrenKey: "hasChildrenKey", showExpandAll: ["showExpandAll", "showExpandAll", booleanAttribute77] }, outputs: { dataPreLoad: "dataPreLoad" }, usesInheritance: true, ngImport: i0236 });
  }
};
i0236.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0236, type: IgxHierarchicalGridBaseDirective, decorators: [{
  type: Directive90
}], ctorParameters: () => [{ type: IgxGridValidationService }, { type: IgxGridSelectionService }, { type: IgxColumnResizingService }, { type: IgxHierarchicalGridAPIService, decorators: [{
  type: Inject94,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: IgxFlatTransactionFactory }, { type: i0236.ElementRef }, { type: i0236.NgZone }, { type: void 0, decorators: [{
  type: Inject94,
  args: [DOCUMENT18]
}] }, { type: i0236.ChangeDetectorRef }, { type: i0236.IterableDiffers }, { type: i0236.ViewContainerRef }, { type: i0236.Injector }, { type: i0236.EnvironmentInjector }, { type: IgxHierarchicalGridNavigationService }, { type: IgxFilteringService }, { type: IgxTextHighlightService }, { type: IgxOverlayService, decorators: [{
  type: Inject94,
  args: [IgxOverlayService]
}] }, { type: IgxGridSummaryService }, { type: void 0, decorators: [{
  type: Optional45
}, {
  type: Inject94,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Inject94,
  args: [LOCALE_ID11]
}] }, { type: PlatformUtil }, { type: void 0, decorators: [{
  type: Optional45
}, {
  type: Inject94,
  args: [IgxGridTransaction]
}] }], propDecorators: { hasChildrenKey: [{
  type: Input135
}], showExpandAll: [{
  type: Input135,
  args: [{ transform: booleanAttribute77 }]
}], dataPreLoad: [{
  type: Output65
}] } });
var flatten2 = (arr) => {
  let result = [];
  arr.forEach((el) => {
    result.push(el);
    if (el.children) {
      result = result.concat(flatten2(el.children.toArray()));
    }
  });
  return result;
};

// lib/grids/hierarchical-grid/row-island-api.service.mjs
import { Subject as Subject55 } from "rxjs";
import { Injectable as Injectable40 } from "@angular/core";
import * as i0237 from "@angular/core";
var IgxRowIslandAPIService = class _IgxRowIslandAPIService {
  constructor() {
    this.change = new Subject55();
    this.state = /* @__PURE__ */ new Map();
    this.destroyMap = /* @__PURE__ */ new Map();
    this.childRowIslands = /* @__PURE__ */ new Map();
    this.childGrids = /* @__PURE__ */ new Map();
  }
  register(rowIsland) {
    this.state.set(rowIsland.id, rowIsland);
    this.destroyMap.set(rowIsland.id, new Subject55());
  }
  unsubscribe(rowIsland) {
    this.state.delete(rowIsland.id);
  }
  get(id) {
    return this.state.get(id);
  }
  unset(id) {
    this.state.delete(id);
    this.destroyMap.delete(id);
  }
  reset(oldId, newId) {
    const destroy = this.destroyMap.get(oldId);
    const rowIsland = this.get(oldId);
    this.unset(oldId);
    if (rowIsland) {
      this.state.set(newId, rowIsland);
    }
    if (destroy) {
      this.destroyMap.set(newId, destroy);
    }
  }
  registerChildRowIsland(rowIsland) {
    this.childRowIslands.set(rowIsland.key, rowIsland);
    this.destroyMap.set(rowIsland.key, new Subject55());
  }
  unsetChildRowIsland(rowIsland) {
    this.childRowIslands.delete(rowIsland.key);
    this.destroyMap.delete(rowIsland.key);
  }
  getChildRowIsland(rowIslandKey) {
    return this.childRowIslands.get(rowIslandKey);
  }
  registerChildGrid(parentRowID, grid) {
    this.childGrids.set(parentRowID, grid);
  }
  getChildGrids(inDepth) {
    let allChildren = [];
    this.childGrids.forEach((grid) => {
      allChildren.push(grid);
    });
    if (inDepth) {
      this.childRowIslands.forEach((layout) => {
        allChildren = allChildren.concat(layout.rowIslandAPI.getChildGrids(inDepth));
      });
    }
    return allChildren;
  }
  getChildGridByID(rowID) {
    return this.childGrids.get(rowID);
  }
  static {
    this.ɵfac = i0237.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0237, type: _IgxRowIslandAPIService, deps: [], target: i0237.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0237.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0237, type: _IgxRowIslandAPIService });
  }
};
i0237.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0237, type: IgxRowIslandAPIService, decorators: [{
  type: Injectable40
}] });

// lib/grids/hierarchical-grid/row-island.component.mjs
import { booleanAttribute as booleanAttribute78, ChangeDetectionStrategy as ChangeDetectionStrategy61, Component as Component107, ContentChild as ContentChild25, ContentChildren as ContentChildren23, EventEmitter as EventEmitter75, forwardRef as forwardRef26, Inject as Inject95, Input as Input136, LOCALE_ID as LOCALE_ID12, Optional as Optional46, Output as Output66, QueryList as QueryList6, TemplateRef as TemplateRef39 } from "@angular/core";
import { DOCUMENT as DOCUMENT19 } from "@angular/common";
import { first as first18, filter as filter7, takeUntil as takeUntil50, pluck } from "rxjs/operators";
import * as i0238 from "@angular/core";
var IgxRowIslandComponent = class _IgxRowIslandComponent extends IgxHierarchicalGridBaseDirective {
  /**
   * Sets/Gets the toolbar template for each child grid created from this row island.
  */
  get toolbarTemplate() {
    return this._toolbarTemplate || this.toolbarDirectiveTemplate;
  }
  set toolbarTemplate(template) {
    this._toolbarTemplate = template;
  }
  /**
   * Sets/Gets the paginator template for each child grid created from this row island.
  */
  get paginatorTemplate() {
    return this._paginatorTemplate || this.paginatorDirectiveTemplate;
  }
  set paginatorTemplate(template) {
    this._paginatorTemplate = template;
  }
  /**
   * Sets if all immediate children of the grids for this `IgxRowIslandComponent` should be expanded/collapsed.
   * ```html
   * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true">
   *      <igx-row-island [key]="'childData'" [expandChildren]="true" #rowIsland>
   *          <!-- ... -->
   *      </igx-row-island>
   * </igx-hierarchical-grid>
   * ```
   *
   * @memberof IgxRowIslandComponent
   */
  set expandChildren(value) {
    this._defaultExpandState = value;
    this.rowIslandAPI.getChildGrids().forEach((grid) => {
      if (document.body.contains(grid.nativeElement)) {
        grid.expandChildren = value;
        grid.cdr.detectChanges();
      } else {
        grid.updateOnRender = true;
      }
    });
  }
  /**
   * Gets if all immediate children of the grids for this `IgxRowIslandComponent` have been set to be expanded/collapsed.
   * ```typescript
   * const expanded = this.rowIsland.expandChildren;
   * ```
   *
   * @memberof IgxRowIslandComponent
   */
  get expandChildren() {
    return this._defaultExpandState;
  }
  /**
   * @hidden
   */
  get id() {
    const pId = this.parentId ? this.parentId.substring(this.parentId.indexOf(this.layout_id) + this.layout_id.length) + "-" : "";
    return this.layout_id + pId + this.key;
  }
  /**
   * @hidden
   */
  get parentId() {
    return this.parentIsland ? this.parentIsland.id : null;
  }
  /**
   * @hidden
   */
  get level() {
    let ptr = this.parentIsland;
    let lvl = 0;
    while (ptr) {
      lvl++;
      ptr = ptr.parentIsland;
    }
    return lvl + 1;
  }
  constructor(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, rowIslandAPI, localeId, platform) {
    super(validationService, selectionService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document2, cdr, differs, viewRef, injector, envInjector, navigation, filteringService, textHighlightService, overlayService, summaryService, _displayDensityOptions, localeId, platform);
    this.rowIslandAPI = rowIslandAPI;
    this.children = new QueryList6();
    this.childColumns = new QueryList6();
    this.layoutChange = new EventEmitter75();
    this.gridCreated = new EventEmitter75();
    this.gridInitialized = new EventEmitter75();
    this.initialChanges = [];
    this.rootGrid = null;
    this.layout_id = `igx-row-island-`;
    this.isInit = false;
    this._childColumns = [];
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.filteringService.grid = this;
    this.rootGrid = this.gridAPI.grid;
    this.rowIslandAPI.rowIsland = this;
    this.ri_columnListDiffer = this.differs.find([]).create(null);
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    this.updateChildren();
    this.children.notifyOnChanges();
    this.children.changes.pipe(takeUntil50(this.destroy$)).subscribe(() => {
      this.updateChildren();
      this.getGridsForIsland(this.key).forEach((grid) => {
        grid.onRowIslandChange(this.children);
      });
    });
    const nestedColumns = this.children.map((layout) => layout.columnList.toArray());
    const colsArray = [].concat.apply([], nestedColumns);
    const topCols = this.columnList.filter((item) => colsArray.indexOf(item) === -1);
    this._childColumns = topCols;
    this.updateColumns(this._childColumns);
    this.columnList.changes.pipe(takeUntil50(this.destroy$)).subscribe(() => {
      Promise.resolve().then(() => {
        this.updateColumnList();
      });
    });
    this.ri_columnListDiffer.diff(this.childColumns);
    this._childColumns.forEach((x) => x.columnChange.pipe(takeUntil50(x.destroy$)).subscribe(() => this.updateColumnList()));
    this.childColumns.changes.pipe(takeUntil50(this.destroy$)).subscribe((change) => {
      const diff = this.ri_columnListDiffer.diff(change);
      if (diff) {
        diff.forEachAddedItem((record) => {
          record.item.columnChange.pipe(takeUntil50(record.item.destroy$)).subscribe(() => this.updateColumnList());
        });
      }
    });
    this.actionStrip = this.actionStrips.first;
    if (this.actionStrip) {
      this.actionStrip.menuOverlaySettings.outlet = this.outlet;
    }
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    this.rowIslandAPI.register(this);
    if (this.parentIsland) {
      this.parentIsland.rowIslandAPI.registerChildRowIsland(this);
    } else {
      this.rootGrid.gridAPI.registerChildRowIsland(this);
    }
    this._init = false;
    this.gridCreated.pipe(pluck("grid"), takeUntil50(this.destroy$)).subscribe((grid) => {
      grid.rendered$.pipe(first18(), filter7(() => !!this.toolbarTemplate)).subscribe(() => grid.toolbarOutlet.createEmbeddedView(this.toolbarTemplate, { $implicit: grid }, { injector: grid.toolbarOutlet.injector }));
      grid.rendered$.pipe(first18(), filter7(() => !!this.paginatorTemplate)).subscribe(() => {
        this.rootGrid.paginatorList.changes.pipe(takeUntil50(this.destroy$)).subscribe((changes) => {
          changes.forEach((p) => {
            if (p.nativeElement.offsetParent?.id === grid.id) {
              grid.setUpPaginator();
            }
          });
        });
        grid.paginatorOutlet.createEmbeddedView(this.paginatorTemplate, { $implicit: grid });
      });
    });
  }
  /**
   * @hidden
   */
  ngOnChanges(changes) {
    this.layoutChange.emit(changes);
    if (!this.isInit) {
      this.initialChanges.push(changes);
    }
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.complete();
    this._destroyed = true;
    this.rowIslandAPI.unset(this.id);
    if (this.parentIsland) {
      this.getGridsForIsland(this.key).forEach((grid) => {
        this.cleanGridState(grid);
        grid.gridAPI.unsetChildRowIsland(this);
      });
      this.parentIsland.rowIslandAPI.unsetChildRowIsland(this);
    } else {
      this.rootGrid.gridAPI.unsetChildRowIsland(this);
      this.cleanGridState(this.rootGrid);
    }
  }
  /**
   * @hidden
   */
  reflow() {
  }
  /**
   * @hidden
   */
  calculateGridHeight() {
  }
  /**
   * @hidden
   */
  calculateGridWidth() {
  }
  updateColumnList() {
    const nestedColumns = this.children.map((layout) => layout.columnList.toArray());
    const colsArray = [].concat.apply([], nestedColumns);
    const topCols = this.columnList.filter((item) => {
      if (colsArray.indexOf(item) === -1) {
        item.defaultWidth = void 0;
        return true;
      }
      return false;
    });
    this._childColumns = topCols;
    this.updateColumns(this._childColumns);
    this.rowIslandAPI.getChildGrids().forEach((grid) => {
      grid.createColumnsList(this._childColumns);
      if (!document.body.contains(grid.nativeElement)) {
        grid.updateOnRender = true;
      }
    });
  }
  updateChildren() {
    if (this.children.first === this) {
      this.children.reset(this.children.toArray().slice(1));
    }
    this.children.forEach((child) => {
      child.parentIsland = this;
    });
  }
  cleanGridState(grid) {
    grid.childGridTemplates.forEach((tmpl) => {
      tmpl.owner.cleanView(tmpl.context.templateID);
    });
    grid.childGridTemplates.clear();
    grid.onRowIslandChange();
  }
  static {
    this.ɵfac = i0238.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0238, type: _IgxRowIslandComponent, deps: [{ token: IgxGridValidationService }, { token: IgxGridSelectionService }, { token: IgxColumnResizingService }, { token: IGX_GRID_SERVICE_BASE }, { token: IgxFlatTransactionFactory }, { token: i0238.ElementRef }, { token: i0238.NgZone }, { token: DOCUMENT19 }, { token: i0238.ChangeDetectorRef }, { token: i0238.IterableDiffers }, { token: i0238.ViewContainerRef }, { token: i0238.Injector }, { token: i0238.EnvironmentInjector }, { token: IgxHierarchicalGridNavigationService }, { token: IgxFilteringService }, { token: IgxTextHighlightService }, { token: IgxOverlayService }, { token: IgxGridSummaryService }, { token: DisplayDensityToken, optional: true }, { token: IgxRowIslandAPIService }, { token: LOCALE_ID12 }, { token: PlatformUtil }], target: i0238.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0238.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxRowIslandComponent, isStandalone: true, selector: "igx-row-island", inputs: { key: "key", toolbarTemplate: "toolbarTemplate", paginatorTemplate: "paginatorTemplate", expandChildren: ["expandChildren", "expandChildren", booleanAttribute78] }, outputs: { layoutChange: "layoutChange", gridCreated: "gridCreated", gridInitialized: "gridInitialized" }, providers: [
      IgxRowIslandAPIService,
      IgxFilteringService,
      IgxGridSelectionService
    ], queries: [{ propertyName: "toolbarDirectiveTemplate", first: true, predicate: IgxGridToolbarDirective, descendants: true, read: TemplateRef39 }, { propertyName: "paginatorDirectiveTemplate", first: true, predicate: IgxPaginatorDirective, descendants: true, read: TemplateRef39 }, { propertyName: "children", predicate: i0238.forwardRef(() => _IgxRowIslandComponent), read: _IgxRowIslandComponent }, { propertyName: "childColumns", predicate: IgxColumnComponent, read: IgxColumnComponent }, { propertyName: "actionStrips", predicate: IgxActionStripToken, read: IgxActionStripToken }], usesInheritance: true, usesOnChanges: true, ngImport: i0238, template: ``, isInline: true, changeDetection: i0238.ChangeDetectionStrategy.OnPush });
  }
};
i0238.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0238, type: IgxRowIslandComponent, decorators: [{
  type: Component107,
  args: [{
    changeDetection: ChangeDetectionStrategy61.OnPush,
    selector: "igx-row-island",
    template: ``,
    providers: [
      IgxRowIslandAPIService,
      IgxFilteringService,
      IgxGridSelectionService
    ],
    standalone: true
  }]
}], ctorParameters: () => [{ type: IgxGridValidationService }, { type: IgxGridSelectionService }, { type: IgxColumnResizingService }, { type: IgxHierarchicalGridAPIService, decorators: [{
  type: Inject95,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: IgxFlatTransactionFactory }, { type: i0238.ElementRef }, { type: i0238.NgZone }, { type: void 0, decorators: [{
  type: Inject95,
  args: [DOCUMENT19]
}] }, { type: i0238.ChangeDetectorRef }, { type: i0238.IterableDiffers }, { type: i0238.ViewContainerRef }, { type: i0238.Injector }, { type: i0238.EnvironmentInjector }, { type: IgxHierarchicalGridNavigationService }, { type: IgxFilteringService }, { type: IgxTextHighlightService }, { type: IgxOverlayService, decorators: [{
  type: Inject95,
  args: [IgxOverlayService]
}] }, { type: IgxGridSummaryService }, { type: void 0, decorators: [{
  type: Optional46
}, {
  type: Inject95,
  args: [DisplayDensityToken]
}] }, { type: IgxRowIslandAPIService }, { type: void 0, decorators: [{
  type: Inject95,
  args: [LOCALE_ID12]
}] }, { type: PlatformUtil }], propDecorators: { key: [{
  type: Input136
}], children: [{
  type: ContentChildren23,
  args: [forwardRef26(() => IgxRowIslandComponent), { read: IgxRowIslandComponent, descendants: false }]
}], childColumns: [{
  type: ContentChildren23,
  args: [IgxColumnComponent, { read: IgxColumnComponent, descendants: false }]
}], toolbarDirectiveTemplate: [{
  type: ContentChild25,
  args: [IgxGridToolbarDirective, { read: TemplateRef39 }]
}], paginatorDirectiveTemplate: [{
  type: ContentChild25,
  args: [IgxPaginatorDirective, { read: TemplateRef39 }]
}], toolbarTemplate: [{
  type: Input136
}], paginatorTemplate: [{
  type: Input136
}], actionStrips: [{
  type: ContentChildren23,
  args: [IgxActionStripToken, { read: IgxActionStripToken, descendants: false }]
}], layoutChange: [{
  type: Output66
}], gridCreated: [{
  type: Output66
}], gridInitialized: [{
  type: Output66
}], expandChildren: [{
  type: Input136,
  args: [{ transform: booleanAttribute78 }]
}] } });

// lib/grids/hierarchical-grid/hierarchical-grid.pipes.mjs
import { Inject as Inject96, Pipe as Pipe19 } from "@angular/core";
import * as i0239 from "@angular/core";
var IgxGridHierarchicalPipe = class _IgxGridHierarchicalPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, state = /* @__PURE__ */ new Map(), id, primaryKey, childKeys, _pipeTrigger) {
    if (childKeys.length === 0) {
      return collection;
    }
    if (this.grid.verticalScrollContainer.isRemote) {
      return collection;
    }
    const result = this.addHierarchy(this.grid, cloneArray(collection), state, primaryKey, childKeys);
    return result;
  }
  addHierarchy(grid, data, state, primaryKey, childKeys) {
    const result = [];
    data.forEach((v) => {
      result.push(v);
      const childGridsData = {};
      childKeys.forEach((childKey) => {
        if (!v[childKey]) {
          v[childKey] = [];
        }
        const hasNestedPath = childKey?.includes(".");
        const childData = !hasNestedPath ? v[childKey] : resolveNestedPath(v, childKey);
        childGridsData[childKey] = childData;
      });
      if (grid.gridAPI.get_row_expansion_state(v)) {
        result.push({ rowID: primaryKey ? v[primaryKey] : v, childGridsData });
      }
    });
    return result;
  }
  static {
    this.ɵfac = i0239.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: _IgxGridHierarchicalPipe, deps: [{ token: IGX_GRID_BASE }], target: i0239.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0239.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: _IgxGridHierarchicalPipe, isStandalone: true, name: "gridHierarchical" });
  }
};
i0239.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: IgxGridHierarchicalPipe, decorators: [{
  type: Pipe19,
  args: [{
    name: "gridHierarchical",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject96,
  args: [IGX_GRID_BASE]
}] }] });
var IgxGridHierarchicalPagingPipe = class _IgxGridHierarchicalPagingPipe {
  constructor(grid) {
    this.grid = grid;
  }
  transform(collection, enabled, page = 0, perPage = 15, _id, _pipeTrigger) {
    if (!enabled || this.grid.pagingMode !== GridPagingMode.Local) {
      return collection;
    }
    const state = {
      index: page,
      recordsPerPage: perPage
    };
    const total = this.grid._totalRecords >= 0 ? this.grid._totalRecords : collection.length;
    const result = DataUtil.page(cloneArray(collection), state, total);
    this.grid.pagingState = state;
    return result;
  }
  static {
    this.ɵfac = i0239.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: _IgxGridHierarchicalPagingPipe, deps: [{ token: IGX_GRID_BASE }], target: i0239.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0239.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: _IgxGridHierarchicalPagingPipe, isStandalone: true, name: "gridHierarchicalPaging" });
  }
};
i0239.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0239, type: IgxGridHierarchicalPagingPipe, decorators: [{
  type: Pipe19,
  args: [{
    name: "gridHierarchicalPaging",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject96,
  args: [IGX_GRID_BASE]
}] }] });

// lib/grids/hierarchical-grid/hierarchical-cell.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy63, Component as Component108, Inject as Inject97 } from "@angular/core";
import { FormsModule as FormsModule8, ReactiveFormsModule as ReactiveFormsModule4 } from "@angular/forms";
import { NgIf as NgIf74, NgClass as NgClass35, NgTemplateOutlet as NgTemplateOutlet42, DecimalPipe as DecimalPipe5, PercentPipe as PercentPipe5, CurrencyPipe as CurrencyPipe6, DatePipe as DatePipe11 } from "@angular/common";
import * as i0240 from "@angular/core";
import * as i44 from "@angular/forms";
var IgxHierarchicalGridCellComponent = class _IgxHierarchicalGridCellComponent extends IgxGridCellComponent {
  constructor(selectionService, grid, overlayService, cdr, helement, zone, touchManager, platformUtil) {
    super(selectionService, grid, overlayService, cdr, helement, zone, touchManager, platformUtil);
  }
  ngOnInit() {
    super.ngOnInit();
    this._rootGrid = this._getRootGrid();
  }
  /**
   * @hidden
   * @internal
   */
  activate(event) {
    this._clearAllHighlights();
    const currentElement = this.grid.nativeElement;
    let parentGrid = this.grid;
    let childGrid;
    if (this._rootGrid.id !== currentElement.id) {
      currentElement.classList.add("igx-grid__tr--highlighted");
    }
    while (this._rootGrid.id !== parentGrid.id) {
      childGrid = parentGrid;
      parentGrid = parentGrid.parent;
      const parentRowID = parentGrid.gridAPI.getParentRowId(childGrid);
      parentGrid.highlightedRowID = parentRowID;
    }
    this.grid.navigation.activeNode.gridID = this.gridID;
    super.activate(event);
  }
  _getRootGrid() {
    let currGrid = this.grid;
    while (currGrid.parent) {
      currGrid = currGrid.parent;
    }
    return currGrid;
  }
  // TODO: Extend the new selection service to avoid complete traversal
  _clearAllHighlights() {
    [this._rootGrid, ...this._rootGrid.getChildGrids(true)].forEach((grid) => {
      if (grid !== this.grid && grid.navigation.activeNode) {
        grid.navigation.clearActivation();
        grid.selectionService.initKeyboardState();
        grid.selectionService.clear();
      }
      grid.selectionService.activeElement = null;
      grid.nativeElement.classList.remove("igx-grid__tr--highlighted");
      grid.highlightedRowID = null;
      grid.cdr.markForCheck();
    });
  }
  static {
    this.ɵfac = i0240.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0240, type: _IgxHierarchicalGridCellComponent, deps: [{ token: IgxGridSelectionService }, { token: IGX_GRID_BASE }, { token: IgxOverlayService }, { token: i0240.ChangeDetectorRef }, { token: i0240.ElementRef }, { token: i0240.NgZone }, { token: HammerGesturesManager }, { token: PlatformUtil }], target: i0240.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0240.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHierarchicalGridCellComponent, isStandalone: true, selector: "igx-hierarchical-grid-cell", providers: [HammerGesturesManager], usesInheritance: true, ngImport: i0240, template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency' ?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"></ng-container>

<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef"  [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf74, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxChipComponent, selector: "igx-chip", inputs: ["variant", "id", "tabIndex", "data", "draggable", "animateOnRelease", "hideBaseOnDrag", "removable", "removeIcon", "selectable", "selectIcon", "class", "disabled", "selected", "color", "resourceStrings"], outputs: ["selectedChange", "moveStart", "moveEnd", "remove", "chipClick", "selectedChanging", "selectedChanged", "keyDown", "dragEnter", "dragLeave", "dragOver", "dragDrop"] }, { kind: "directive", type: IgxTextHighlightDirective, selector: "[igxTextHighlight]", inputs: ["cssClass", "activeCssClass", "containerClass", "groupName", "value", "row", "column", "metadata"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgClass35, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "ngmodule", type: FormsModule8 }, { kind: "directive", type: i44.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i44.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i44.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i44.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "ngmodule", type: ReactiveFormsModule4 }, { kind: "directive", type: i44.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i44.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxFocusDirective, selector: "[igxFocus]", inputs: ["igxFocus"], exportAs: ["igxFocus"] }, { kind: "directive", type: IgxTextSelectionDirective, selector: "[igxTextSelection]", inputs: ["igxTextSelection"], exportAs: ["igxTextSelection"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "component", type: IgxDatePickerComponent, selector: "igx-date-picker", inputs: ["hideOutsideDays", "displayMonthsCount", "showWeekNumbers", "formatter", "headerOrientation", "todayButtonLabel", "cancelButtonLabel", "spinLoop", "spinDelta", "outlet", "id", "formatViews", "disabledDates", "specialDates", "calendarFormat", "value", "minValue", "maxValue", "resourceStrings", "readOnly"], outputs: ["valueChange", "validationFailed"] }, { kind: "component", type: IgxTimePickerComponent, selector: "igx-time-picker", inputs: ["id", "displayFormat", "inputFormat", "mode", "minValue", "maxValue", "spinLoop", "formatter", "headerOrientation", "readOnly", "value", "resourceStrings", "okButtonLabel", "cancelButtonLabel", "itemsDelta"], outputs: ["selected", "valueChange", "validationFailed"] }, { kind: "directive", type: IgxDateTimeEditorDirective, selector: "[igxDateTimeEditor]", inputs: ["locale", "minValue", "maxValue", "spinLoop", "displayFormat", "igxDateTimeEditor", "value", "spinDelta"], outputs: ["valueChange", "validationFailed"], exportAs: ["igxDateTimeEditor"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "directive", type: NgTemplateOutlet42, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxTooltipTargetDirective, selector: "[igxTooltipTarget]", inputs: ["showDelay", "hideDelay", "tooltipDisabled", "igxTooltipTarget", "tooltip"], outputs: ["tooltipShow", "tooltipHide"], exportAs: ["tooltipTarget"] }, { kind: "directive", type: IgxTooltipDirective, selector: "[igxTooltip]", inputs: ["context", "id"], exportAs: ["tooltip"] }, { kind: "pipe", type: IgxGridCellImageAltPipe, name: "igxCellImageAlt" }, { kind: "pipe", type: IgxStringReplacePipe, name: "igxStringReplace" }, { kind: "pipe", type: IgxColumnFormatterPipe, name: "columnFormatter" }, { kind: "pipe", type: DecimalPipe5, name: "number" }, { kind: "pipe", type: PercentPipe5, name: "percent" }, { kind: "pipe", type: CurrencyPipe6, name: "currency" }, { kind: "pipe", type: DatePipe11, name: "date" }], changeDetection: i0240.ChangeDetectionStrategy.OnPush });
  }
};
i0240.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0240, type: IgxHierarchicalGridCellComponent, decorators: [{
  type: Component108,
  args: [{ changeDetection: ChangeDetectionStrategy63.OnPush, selector: "igx-hierarchical-grid-cell", providers: [HammerGesturesManager], standalone: true, imports: [NgIf74, IgxChipComponent, IgxTextHighlightDirective, IgxIconComponent, NgClass35, FormsModule8, ReactiveFormsModule4, IgxInputGroupComponent, IgxInputDirective, IgxFocusDirective, IgxTextSelectionDirective, IgxCheckboxComponent, IgxDatePickerComponent, IgxTimePickerComponent, IgxDateTimeEditorDirective, IgxPrefixDirective, IgxSuffixDirective, NgTemplateOutlet42, IgxTooltipTargetDirective, IgxTooltipDirective, IgxGridCellImageAltPipe, IgxStringReplacePipe, IgxColumnFormatterPipe, DecimalPipe5, PercentPipe5, CurrencyPipe6, DatePipe11], template: `<ng-template #defaultPinnedIndicator>
    <igx-chip
        *ngIf="displayPinnedChip"
        class="igx-grid__td--pinned-chip"
        [disabled]="true"
        [displayDensity]="'compact'"
        >{{ grid.resourceStrings.igx_grid_pinned_row_indicator }}</igx-chip
    >
</ng-template>
<ng-template #defaultCell>
    <div *ngIf="column.dataType !== 'boolean' && column.dataType !== 'image' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight
        class="igx-grid__td-text"
        [cssClass]="highlightClass"
        [activeCssClass]="activeHighlightClass"
        [groupName]="gridID"
        [value]="
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === 'number'
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        "
        [row]="rowData"
        [column]="this.column.field"
        [containerClass]="'igx-grid__td-text'"
        [metadata]="searchMetadata"
    >{{
            formatter
                ? (value | columnFormatter:formatter:rowData:columnData)
                : column.dataType === "number"
                ? (value | number:column.pipeArgs.digitsInfo:grid.locale)
                : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime')
                ? (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale)
                : column.dataType === 'currency'
                ? (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale)
                : column.dataType === 'percent'
                ? (value | percent:column.pipeArgs.digitsInfo:grid.locale)
                : value
        }}</div>
    <igx-icon
        *ngIf="column.dataType === 'boolean' && !this.formatter"
        [ngClass]="{ 'igx-icon--success': value, 'igx-icon--error': !value }"
        >{{ value ? "check" : "close" }}</igx-icon>
    <img *ngIf="column.dataType === 'image'" [src]="value" [alt]="value | igxCellImageAlt" />
</ng-template>
<ng-template #addRowCell let-cell="cell">
    <div *ngIf="column.dataType !== 'boolean' || (column.dataType === 'boolean' && this.formatter)"
        igxTextHighlight class="igx-grid__td-text"
    [cssClass]="highlightClass"
    [activeCssClass]="activeHighlightClass"
    [groupName]="gridID"
    [value]="formatter ? (value | columnFormatter:formatter:rowData) : column.dataType === 'number' ?
        (value | number:column.pipeArgs.digitsInfo:grid.locale) : (column.dataType === 'date' || column.dataType === 'time' || column.dataType === 'dateTime') ?
        (value | date:column.pipeArgs.format:column.pipeArgs.timezone:grid.locale) : column.dataType === 'currency' ?
        (value | currency:currencyCode:column.pipeArgs.display:column.pipeArgs.digitsInfo:grid.locale) : column.dataType === 'percent' ?
        (value | percent:column.pipeArgs.digitsInfo:grid.locale) : value"
    [row]="rowData"
    [column]="this.column.field"
    [containerClass]="'igx-grid__td-text'"
    [metadata]="searchMetadata">{{
        !isEmptyAddRowCell ? value : (column.header || column.field)
    }}</div>
</ng-template>
<ng-template #inlineEditor let-cell="cell">
    <ng-container *ngIf="column.dataType === 'string' || column.dataType === 'image'" [formGroup]="formGroup">
        <igx-input-group displayDensity="compact" >
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [formControl]="formControl"
                (compositionstart)="grid.crudService.isInCompositionMode = true"
                (compositionend)="grid.crudService.isInCompositionMode = false"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'number'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'boolean'" [formGroup]="formGroup">
        <igx-checkbox
            [checked]="editValue"
            [igxFocus]="true"
            [disableRipple]="true"
            [formControl]="formControl"
        ></igx-checkbox>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'date'" [formGroup]="formGroup">
        <igx-date-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [weekStart]="column.pipeArgs.weekStart"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        >
        </igx-date-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'time'" [formGroup]="formGroup">
        <igx-time-picker
            [style.width.%]="100"
            [outlet]="grid.outlet"
            mode="dropdown"
            [locale]="grid.locale"
            [inputFormat]="column.defaultTimeFormat"
            [(value)]="editValue"
            [igxFocus]="true"
            [formControl]="formControl"
        ></igx-time-picker>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'dateTime'">
        <igx-input-group [formGroup]="formGroup">
            <input
                type="text"
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [formControl]="formControl"
                igxInput
                [igxDateTimeEditor]="column.defaultDateTimeFormat"
                [igxFocus]="true"
            />
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'currency'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <igx-prefix *ngIf="grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-prefix>
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix *ngIf="!grid.currencyPositionLeft">{{ currencyCodeSymbol }}</igx-suffix>
        </igx-input-group>
    </ng-container>
    <ng-container *ngIf="column.dataType === 'percent'">
        <igx-input-group displayDensity="compact" [formGroup]="formGroup">
            <input
                igxInput
                [attr.aria-describedby]="ariaDescribeBy"
                [attr.aria-invalid]="isInvalid"
                [igxFocus]="true"
                [igxTextSelection]="true"
                [step]="step"
                type="number"
                [formControl]="formControl"
            />
            <igx-suffix> {{ editValue | percent:column.pipeArgs.digitsInfo:grid.locale }} </igx-suffix>
        </igx-input-group>
    </ng-container>
</ng-template>
<ng-container *ngTemplateOutlet="pinnedIndicatorTemplate; context: context">
</ng-container>
<ng-container *ngTemplateOutlet="template; context: context"></ng-container>

<ng-container *ngIf="isInvalid">
    <igx-icon #errorIcon [igxTooltipTarget]="tooltipRef"  [igxToggleOutlet]="grid.outlet"
    (mouseover)='errorShowing = true' (mouseout)='errorShowing = false'>error</igx-icon>
    <div [id]="ariaErrorMessage"
    igxTooltip #error #tooltipRef="tooltip">
        <div [style.width]="'max-content'">
            <ng-container *ngTemplateOutlet="cellValidationErrorTemplate || defaultError; context: context"></ng-container>
        </div>
    </div>
</ng-container>

<ng-template #defaultError>
    <div *ngIf="formGroup?.get(column?.field).errors?.['required']">
        {{grid.resourceStrings.igx_grid_required_validation_error}}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['minlength']">
        {{grid.resourceStrings.igx_grid_min_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.minlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['maxlength']">
        {{grid.resourceStrings.igx_grid_max_length_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.maxlength.requiredLength }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['min']">
        {{grid.resourceStrings.igx_grid_min_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.min.min }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['max']">
        {{grid.resourceStrings.igx_grid_max_validation_error | igxStringReplace:'{0}':formGroup.get(column.field).errors.max.max }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['email']">
        {{grid.resourceStrings.igx_grid_email_validation_error }}
    </div>
    <div *ngIf="formGroup?.get(column?.field).errors?.['pattern']">
        {{grid.resourceStrings.igx_grid_pattern_validation_error}}
    </div>
</ng-template>
` }]
}], ctorParameters: () => [{ type: IgxGridSelectionService }, { type: void 0, decorators: [{
  type: Inject97,
  args: [IGX_GRID_BASE]
}] }, { type: IgxOverlayService, decorators: [{
  type: Inject97,
  args: [IgxOverlayService]
}] }, { type: i0240.ChangeDetectorRef }, { type: i0240.ElementRef }, { type: i0240.NgZone }, { type: HammerGesturesManager }, { type: PlatformUtil }] });

// lib/grids/hierarchical-grid/hierarchical-row.component.mjs
import { ChangeDetectionStrategy as ChangeDetectionStrategy65, Component as Component109, HostBinding as HostBinding96, forwardRef as forwardRef28, ElementRef as ElementRef108, ViewChildren as ViewChildren23, ViewChild as ViewChild59, TemplateRef as TemplateRef40 } from "@angular/core";
import { NgTemplateOutlet as NgTemplateOutlet43, NgIf as NgIf75, NgClass as NgClass36, NgStyle as NgStyle15, NgFor as NgFor33 } from "@angular/common";
import * as i0241 from "@angular/core";
var IgxHierarchicalRowComponent = class _IgxHierarchicalRowComponent extends IgxRowDirective {
  constructor() {
    super(...arguments);
    this.expanderClass = "igx-grid__hierarchical-expander";
    this.rolActionClass = "igx-grid__tr-action";
    this.select = () => {
      this.grid.selectRows([this.key]);
    };
    this.deselect = () => {
      this.grid.deselectRows([this.key]);
    };
  }
  /**
   * @hidden
   */
  get expanderClassResolved() {
    return {
      [`${this.expanderClass} ${this.rolActionClass}`]: !this.pinned || this.disabled,
      [`${this.expanderClass}--empty`]: this.pinned && !this.disabled
    };
  }
  get viewIndex() {
    return this.index + this.grid.page * this.grid.perPage;
  }
  /**
   * Returns whether the row is expanded.
   * ```typescript
   * const RowExpanded = this.grid1.rowList.first.expanded;
   * ```
   */
  get expanded() {
    return this.grid.gridAPI.get_row_expansion_state(this.data);
  }
  /**
   * @hidden
   */
  get expandedClass() {
    return this.expanded && !this.pinned;
  }
  get hasChildren() {
    return !!this.grid.childLayoutKeys.length;
  }
  /**
   * @hidden
   */
  get highlighted() {
    return this.grid && this.grid.highlightedRowID === this.key;
  }
  /**
   * @hidden
   */
  expanderClick(event) {
    event.stopPropagation();
    this.toggle();
  }
  /**
   * Toggles the hierarchical row.
   * ```typescript
   * this.grid1.rowList.first.toggle()
   * ```
   */
  toggle() {
    if (this.added) {
      return;
    }
    this.grid.gridAPI.set_row_expansion_state(this.key, !this.expanded);
    this.grid.cdr.detectChanges();
  }
  /**
   * @hidden
   */
  get iconTemplate() {
    let expandable = true;
    if (this.grid.hasChildrenKey) {
      expandable = this.data[this.grid.hasChildrenKey];
    }
    if (!expandable || this.pinned && !this.disabled) {
      return this.defaultEmptyTemplate;
    }
    if (this.expanded) {
      return this.grid.rowExpandedIndicatorTemplate || this.defaultExpandedTemplate;
    } else {
      return this.grid.rowCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
    }
  }
  // TODO: consider moving into CRUD
  endEdit(grid) {
    if (grid.gridAPI.crudService.cellInEditMode) {
      grid.gridAPI.crudService.endEdit();
    }
    grid.gridAPI.getChildGrids(true).forEach((g) => {
      if (g.gridAPI.crudService.cellInEditMode) {
        g.gridAPI.crudService.endEdit();
      }
    });
  }
  static {
    this.ɵfac = i0241.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0241, type: _IgxHierarchicalRowComponent, deps: null, target: i0241.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0241.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxHierarchicalRowComponent, isStandalone: true, selector: "igx-hierarchical-grid-row", host: { properties: { "class.igx-grid__tr--expanded": "this.expandedClass", "class.igx-grid__tr--highlighted": "this.highlighted" } }, providers: [{ provide: IgxRowDirective, useExisting: forwardRef28(() => _IgxHierarchicalRowComponent) }], viewQueries: [{ propertyName: "expander", first: true, predicate: ["expander"], descendants: true, read: ElementRef108 }, { propertyName: "defaultExpandedTemplate", first: true, predicate: ["defaultExpandedTemplate"], descendants: true, read: TemplateRef40, static: true }, { propertyName: "defaultEmptyTemplate", first: true, predicate: ["defaultEmptyTemplate"], descendants: true, read: TemplateRef40, static: true }, { propertyName: "defaultCollapsedTemplate", first: true, predicate: ["defaultCollapsedTemplate"], descendants: true, read: TemplateRef40, static: true }, { propertyName: "_cells", predicate: i0241.forwardRef(() => IgxHierarchicalGridCellComponent), descendants: true, read: IgxHierarchicalGridCellComponent }], usesInheritance: true, ngImport: i0241, template: `<ng-container *ngTemplateOutlet='addRowUI ? addTemp : defaultTemp'></ng-container>
<ng-template #defaultExpandedTemplate>
    <igx-icon [active]='!added'>expand_more</igx-icon>
</ng-template>

<ng-template #defaultCollapsedTemplate>
    <igx-icon [active]='!added'>chevron_right</igx-icon>
</ng-template>

<ng-template #defaultEmptyTemplate>
    <igx-icon></igx-icon>
</ng-template>

<ng-template #addTemp>
    <div class='igx-grid__tr--inner' [class.igx-grid__tr--add-animate]='triggerAddAnimationClass' (animationend)='animationEndHandler()'>
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
    <!-- Drag indicator -->
    <ng-container *ngIf="rowDraggable">
        <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()" (pointerdown)="$event.preventDefault()">
            <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
        </div>
    </ng-container>

    <!-- Select Row -->
    <ng-container *ngIf="showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (click)="onRowSelectorClick($event)" (pointerdown)="$event.preventDefault()">
            <ng-template *ngTemplateOutlet="
                this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
                context: { $implicit: {
                                index: viewIndex,
                                rowID: key,
                                key,
                                selected: selected,
                                select: select,
                                deselect: deselect }}">
            </ng-template>
        </div>
    </ng-container>

    <!-- Row Expander -->
    <div  (click)="expanderClick($event)" (mousedown)='$event.preventDefault()' [ngClass]="expanderClassResolved" *ngIf="hasChildren" #expander>
        <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit: this }">
        </ng-container>
    </div>

    <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
        <ng-template *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-template>
    </ng-container>

    <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForSizePropName]='"calcPixelWidth"' [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth' [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
        <igx-hierarchical-grid-cell
            class="igx-grid__td igx-grid__td--fw"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [class.igx-grid__td--bool]="col.dataType === 'boolean'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [active]="isCellActive(col.visibleIndex)"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)">
        </igx-hierarchical-grid-cell>
    </ng-template>

    <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
        <ng-template *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-template>
    </ng-container>

    <ng-template #rowSelectorBaseTemplate>
        <div class="igx-grid__cbx-padding">
            <igx-checkbox
                [tabindex]="-1"
                [readonly]="true"
                [checked]="selected"
                [disableRipple]="true"
                [disabled]="deleted"
                [disableTransitions]="grid.disableTransitions"
                [aria-label]="rowCheckboxAriaLabel">
            </igx-checkbox>
        </div>
    </ng-template>

    <ng-template #pinnedCellsTemplate let-col>
        <igx-hierarchical-grid-cell *ngFor="let col of pinnedColumns | igxNotGrouped"
            class="igx-grid__td igx-grid__td--fw igx-grid__td--pinned"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [active]="isCellActive(col.visibleIndex)"
            [firstPinned]="col.isFirstPinned"
            [lastPinned]="col.isLastPinned"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [style.left]="col.rightPinnedOffset"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)">
        </igx-hierarchical-grid-cell>
    </ng-template>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgTemplateOutlet43, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgIf75, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: IgxRowDragDirective, selector: "[igxRowDrag]", inputs: ["igxRowDrag"] }, { kind: "directive", type: NgClass36, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "component", type: IgxHierarchicalGridCellComponent, selector: "igx-hierarchical-grid-cell" }, { kind: "directive", type: NgStyle15, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxCheckboxComponent, selector: "igx-checkbox", inputs: ["id", "labelId", "value", "name", "tabindex", "labelPosition", "disableRipple", "required", "aria-labelledby", "aria-label", "indeterminate", "checked", "disabled", "invalid", "readonly", "disableTransitions"], outputs: ["change"] }, { kind: "directive", type: NgFor33, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "pipe", type: IgxGridNotGroupedPipe, name: "igxNotGrouped" }, { kind: "pipe", type: IgxGridCellStylesPipe, name: "igxCellStyles" }, { kind: "pipe", type: IgxGridCellStyleClassesPipe, name: "igxCellStyleClasses" }, { kind: "pipe", type: IgxGridDataMapperPipe, name: "dataMapper" }, { kind: "pipe", type: IgxGridTransactionStatePipe, name: "transactionState" }], changeDetection: i0241.ChangeDetectionStrategy.OnPush });
  }
};
i0241.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0241, type: IgxHierarchicalRowComponent, decorators: [{
  type: Component109,
  args: [{ changeDetection: ChangeDetectionStrategy65.OnPush, selector: "igx-hierarchical-grid-row", providers: [{ provide: IgxRowDirective, useExisting: forwardRef28(() => IgxHierarchicalRowComponent) }], standalone: true, imports: [NgTemplateOutlet43, IgxIconComponent, NgIf75, IgxRowDragDirective, NgClass36, IgxGridForOfDirective, IgxHierarchicalGridCellComponent, NgStyle15, IgxCheckboxComponent, NgFor33, IgxGridNotGroupedPipe, IgxGridCellStylesPipe, IgxGridCellStyleClassesPipe, IgxGridDataMapperPipe, IgxGridTransactionStatePipe], template: `<ng-container *ngTemplateOutlet='addRowUI ? addTemp : defaultTemp'></ng-container>
<ng-template #defaultExpandedTemplate>
    <igx-icon [active]='!added'>expand_more</igx-icon>
</ng-template>

<ng-template #defaultCollapsedTemplate>
    <igx-icon [active]='!added'>chevron_right</igx-icon>
</ng-template>

<ng-template #defaultEmptyTemplate>
    <igx-icon></igx-icon>
</ng-template>

<ng-template #addTemp>
    <div class='igx-grid__tr--inner' [class.igx-grid__tr--add-animate]='triggerAddAnimationClass' (animationend)='animationEndHandler()'>
        <ng-container *ngTemplateOutlet='defaultTemp'></ng-container>
    </div>
</ng-template>
<ng-template #defaultTemp>
    <!-- Drag indicator -->
    <ng-container *ngIf="rowDraggable">
        <div [class]="resolveDragIndicatorClasses" [igxRowDrag]="this" (click)="$event.stopPropagation()" [ghostTemplate]="this.grid.getDragGhostCustomTemplate()" (pointerdown)="$event.preventDefault()">
            <ng-container *ngTemplateOutlet="this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase"></ng-container>
        </div>
    </ng-container>

    <!-- Select Row -->
    <ng-container *ngIf="showRowSelectors">
        <div class="igx-grid__cbx-selection igx-grid__tr-action" (click)="onRowSelectorClick($event)" (pointerdown)="$event.preventDefault()">
            <ng-template *ngTemplateOutlet="
                this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;
                context: { $implicit: {
                                index: viewIndex,
                                rowID: key,
                                key,
                                selected: selected,
                                select: select,
                                deselect: deselect }}">
            </ng-template>
        </div>
    </ng-container>

    <!-- Row Expander -->
    <div  (click)="expanderClick($event)" (mousedown)='$event.preventDefault()' [ngClass]="expanderClassResolved" *ngIf="hasChildren" #expander>
        <ng-container *ngTemplateOutlet="iconTemplate; context: { $implicit: this }">
        </ng-container>
    </div>

    <ng-container *ngIf="pinnedColumns.length > 0 && grid.isPinningToStart">
        <ng-template *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-template>
    </ng-container>

    <ng-template igxGridFor let-col [igxGridForOf]="unpinnedColumns | igxNotGrouped" [igxForScrollContainer]="grid.parentVirtDir" let-colIndex="index" [igxForSizePropName]='"calcPixelWidth"' [igxForScrollOrientation]="'horizontal'" [igxForContainerSize]='grid.unpinnedWidth' [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>
        <igx-hierarchical-grid-cell
            class="igx-grid__td igx-grid__td--fw"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [class.igx-grid__td--bool]="col.dataType === 'boolean'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [active]="isCellActive(col.visibleIndex)"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)">
        </igx-hierarchical-grid-cell>
    </ng-template>

    <ng-container *ngIf="pinnedColumns.length > 0 && !grid.isPinningToStart">
        <ng-template *ngTemplateOutlet="pinnedCellsTemplate; context: this"></ng-template>
    </ng-container>

    <ng-template #rowSelectorBaseTemplate>
        <div class="igx-grid__cbx-padding">
            <igx-checkbox
                [tabindex]="-1"
                [readonly]="true"
                [checked]="selected"
                [disableRipple]="true"
                [disabled]="deleted"
                [disableTransitions]="grid.disableTransitions"
                [aria-label]="rowCheckboxAriaLabel">
            </igx-checkbox>
        </div>
    </ng-template>

    <ng-template #pinnedCellsTemplate let-col>
        <igx-hierarchical-grid-cell *ngFor="let col of pinnedColumns | igxNotGrouped"
            class="igx-grid__td igx-grid__td--fw igx-grid__td--pinned"
            [class.igx-grid__td--edited]="key | transactionState:col.field:grid.rowEditable:grid.transactions:grid.pipeTrigger:grid.gridAPI.crudService.cell:grid.gridAPI.crudService.row"

            [class.igx-grid__td--number]="col.dataType === 'number' || col.dataType === 'percent' || col.dataType === 'currency'"
            [ngClass]="col.cellClasses | igxCellStyleClasses:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [ngStyle]="col.cellStyles | igxCellStyles:data[col.field]:data:col.field:viewIndex:grid.pipeTrigger"
            [editMode]="col.editable && this.grid.crudService.targetInEdit(index, col.index)"
            [column]="col"
            [formatter]="col.formatter"
            [intRow]="this"
            [active]="isCellActive(col.visibleIndex)"
            [firstPinned]="col.isFirstPinned"
            [lastPinned]="col.isLastPinned"
            [style.min-height.px]="cellHeight"
            [rowData]="data"
            [style.min-width]="col.resolvedWidth"
            [style.max-width]="col.resolvedWidth"
            [style.flex-basis]="col.resolvedWidth"
            [style.left]="col.rightPinnedOffset"
            [width]="col.getCellWidth()"
            [visibleColumnIndex]="col.visibleIndex"
            [value]="data | dataMapper:col.field:grid.pipeTrigger:data[col.field]:col.hasNestedPath"
            [cellTemplate]="col.bodyTemplate"
            [cellValidationErrorTemplate]="col.errorTemplate"
            [lastSearchInfo]="grid.lastSearchInfo"
            [cellSelectionMode]="grid.cellSelection"
            [displayPinnedChip]="shouldDisplayPinnedChip(col.visibleIndex)">
        </igx-hierarchical-grid-cell>
    </ng-template>
</ng-template>
` }]
}], propDecorators: { expander: [{
  type: ViewChild59,
  args: ["expander", { read: ElementRef108 }]
}], _cells: [{
  type: ViewChildren23,
  args: [forwardRef28(() => IgxHierarchicalGridCellComponent), { read: IgxHierarchicalGridCellComponent }]
}], defaultExpandedTemplate: [{
  type: ViewChild59,
  args: ["defaultExpandedTemplate", { read: TemplateRef40, static: true }]
}], defaultEmptyTemplate: [{
  type: ViewChild59,
  args: ["defaultEmptyTemplate", { read: TemplateRef40, static: true }]
}], defaultCollapsedTemplate: [{
  type: ViewChild59,
  args: ["defaultCollapsedTemplate", { read: TemplateRef40, static: true }]
}], expandedClass: [{
  type: HostBinding96,
  args: ["class.igx-grid__tr--expanded"]
}], highlighted: [{
  type: HostBinding96,
  args: ["class.igx-grid__tr--highlighted"]
}] } });

// lib/grids/hierarchical-grid/hierarchical-grid.component.mjs
import { booleanAttribute as booleanAttribute79, ChangeDetectionStrategy as ChangeDetectionStrategy67, Component as Component110, ContentChild as ContentChild26, ContentChildren as ContentChildren24, CUSTOM_ELEMENTS_SCHEMA as CUSTOM_ELEMENTS_SCHEMA4, HostBinding as HostBinding97, Inject as Inject98, Input as Input137, reflectComponentType as reflectComponentType2, TemplateRef as TemplateRef41, ViewChild as ViewChild60, ViewChildren as ViewChildren24, ViewContainerRef as ViewContainerRef21 } from "@angular/core";
import { NgIf as NgIf76, NgClass as NgClass37, NgFor as NgFor34, NgTemplateOutlet as NgTemplateOutlet44, NgStyle as NgStyle16 } from "@angular/common";
import { takeUntil as takeUntil51 } from "rxjs/operators";
import * as i0242 from "@angular/core";
var NEXT_ID28 = 0;
var IgxChildGridRowComponent = class _IgxChildGridRowComponent {
  /**
   * @hidden
   */
  get parentHasScroll() {
    return !this.parentGrid.verticalScrollContainer.dc.instance.notVirtual;
  }
  /**
   *  The data passed to the row component.
   *
   * ```typescript
   * // get the row data for the first selected row
   * let selectedRowData = this.grid.selectedRows[0].data;
   * ```
   */
  get data() {
    return this._data || [];
  }
  set data(value) {
    this._data = value;
    if (this.hGrid && !this.hGrid.dataSetByUser) {
      this.hGrid.setDataInternal(this._data.childGridsData[this.layout.key]);
    }
  }
  /**
   * Get a reference to the grid that contains the selected row.
   *
   * ```typescript
   * handleRowSelection(event) {
   *  // the grid on which the rowSelected event was triggered
   *  const grid = event.row.grid;
   * }
   * ```
   *
   * ```html
   *  <igx-grid
   *    [data]="data"
   *    (rowSelected)="handleRowSelection($event)">
   *  </igx-grid>
   * ```
   */
  // TODO: Refactor
  get parentGrid() {
    return this.gridAPI.grid;
  }
  get level() {
    return this.layout.level;
  }
  /**
   * The native DOM element representing the row. Could be null in certain environments.
   *
   * ```typescript
   * // get the nativeElement of the second selected row
   * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
   * ```
   */
  get nativeElement() {
    return this.element.nativeElement;
  }
  constructor(gridAPI, element, cdr) {
    this.gridAPI = gridAPI;
    this.element = element;
    this.cdr = cdr;
    this.expanded = false;
  }
  /**
   * @hidden
   */
  ngOnInit() {
    const ref = this.container.createComponent(IgxHierarchicalGridComponent, { injector: this.container.injector });
    this.hGrid = ref.instance;
    this.hGrid.setDataInternal(this.data.childGridsData[this.layout.key]);
    this.layout.layoutChange.subscribe((ch) => {
      this._handleLayoutChanges(ch);
    });
    const changes = this.layout.initialChanges;
    changes.forEach((change) => {
      this._handleLayoutChanges(change);
    });
    this.hGrid.parent = this.parentGrid;
    this.hGrid.parentIsland = this.layout;
    this.hGrid.childRow = this;
    this.setupEventEmitters();
    this.layout.gridCreated.emit({
      owner: this.layout,
      parentID: this.data.rowID,
      grid: this.hGrid
    });
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    this.hGrid.childLayoutList = this.layout.children;
    const layouts = this.hGrid.childLayoutList.toArray();
    layouts.forEach((l) => this.hGrid.gridAPI.registerChildRowIsland(l));
    this.parentGrid.gridAPI.registerChildGrid(this.data.rowID, this.layout.key, this.hGrid);
    this.layout.rowIslandAPI.registerChildGrid(this.data.rowID, this.hGrid);
    this.layout.gridInitialized.emit({
      owner: this.layout,
      parentID: this.data.rowID,
      grid: this.hGrid
    });
    this.hGrid.cdr.detectChanges();
  }
  setupEventEmitters() {
    const destructor = takeUntil51(this.hGrid.destroy$);
    const mirror = reflectComponentType2(IgxGridComponent);
    const inputNames = mirror.inputs.map((input) => input.propName);
    const outputs = mirror.outputs.filter((o) => {
      const matchingInputPropName = o.propName.slice(0, o.propName.indexOf("Change"));
      return inputNames.indexOf(matchingInputPropName) === -1;
    });
    outputs.filter((o) => o.propName !== "rendered").forEach((output) => {
      if (this.hGrid[output.propName]) {
        this.hGrid[output.propName].pipe(destructor).subscribe((args) => {
          if (!args) {
            args = {};
          }
          args.owner = this.hGrid;
          this.layout[output.propName].emit(args);
        });
      }
    });
  }
  _handleLayoutChanges(changes) {
    for (const change in changes) {
      if (changes.hasOwnProperty(change)) {
        this.hGrid[change] = changes[change].currentValue;
      }
    }
  }
  static {
    this.ɵfac = i0242.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0242, type: _IgxChildGridRowComponent, deps: [{ token: IGX_GRID_SERVICE_BASE }, { token: i0242.ElementRef }, { token: i0242.ChangeDetectorRef }], target: i0242.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0242.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxChildGridRowComponent, isStandalone: true, selector: "igx-child-grid-row", inputs: { layout: "layout", parentGridID: "parentGridID", data: "data", index: "index" }, host: { properties: { "attr.aria-level": "this.level" } }, viewQueries: [{ propertyName: "container", first: true, predicate: ["container"], descendants: true, read: ViewContainerRef21, static: true }], ngImport: i0242, template: `<div class="igx-grid__hierarchical-indent" [ngClass]="{'igx-grid__hierarchical-indent--scroll': parentHasScroll}">
    <ng-container #container></ng-container>
</div>
`, dependencies: [{ kind: "directive", type: NgClass37, selector: "[ngClass]", inputs: ["class", "ngClass"] }], changeDetection: i0242.ChangeDetectionStrategy.OnPush });
  }
};
i0242.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0242, type: IgxChildGridRowComponent, decorators: [{
  type: Component110,
  args: [{ changeDetection: ChangeDetectionStrategy67.OnPush, selector: "igx-child-grid-row", standalone: true, imports: [NgClass37], template: `<div class="igx-grid__hierarchical-indent" [ngClass]="{'igx-grid__hierarchical-indent--scroll': parentHasScroll}">
    <ng-container #container></ng-container>
</div>
` }]
}], ctorParameters: () => [{ type: IgxHierarchicalGridAPIService, decorators: [{
  type: Inject98,
  args: [IGX_GRID_SERVICE_BASE]
}] }, { type: i0242.ElementRef }, { type: i0242.ChangeDetectorRef }], propDecorators: { layout: [{
  type: Input137
}], parentGridID: [{
  type: Input137
}], data: [{
  type: Input137
}], index: [{
  type: Input137
}], container: [{
  type: ViewChild60,
  args: ["container", { read: ViewContainerRef21, static: true }]
}], level: [{
  type: HostBinding97,
  args: ["attr.aria-level"]
}] } });
var IgxHierarchicalGridComponent = class _IgxHierarchicalGridComponent extends IgxHierarchicalGridBaseDirective {
  constructor() {
    super(...arguments);
    this.role = "grid";
    this.childLayoutKeys = [];
    this.dataSetByUser = false;
    this.highlightedRowID = null;
    this.updateOnRender = false;
    this.parent = null;
    this.h_id = `igx-hierarchical-grid-${NEXT_ID28++}`;
    this.childGridTemplates = /* @__PURE__ */ new Map();
  }
  // @ViewChild('headerHierarchyExpander', { read: ElementRef, static: true })
  get headerHierarchyExpander() {
    return this.theadRow?.headerHierarchyExpander;
  }
  /**
   * Gets/Sets the value of the `id` attribute.
   *
   * @remarks
   * If not provided it will be automatically generated.
   * @example
   * ```html
   * <igx-hierarchical-grid [id]="'igx-hgrid-1'" [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
   * ```
   */
  get id() {
    return this.h_id;
  }
  set id(value) {
    this.h_id = value;
  }
  /**
   * Gets/Sets the array of data that populates the component.
   * ```html
   * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
   * ```
   *
   * @memberof IgxHierarchicalGridComponent
   */
  set data(value) {
    this.setDataInternal(value);
    this.dataSetByUser = true;
  }
  /**
   * Returns an array of data set to the `IgxHierarchicalGridComponent`.
   * ```typescript
   * let filteredData = this.grid.filteredData;
   * ```
   *
   * @memberof IgxHierarchicalGridComponent
   */
  get data() {
    return this._data;
  }
  /** @hidden @internal */
  get paginator() {
    const id = this.id;
    return !this.parentIsland && this.paginationComponents?.first || this.rootGrid.paginatorList?.find((pg) => pg.nativeElement.offsetParent?.id === id);
  }
  /** @hidden @internal */
  get excelStyleFilteringComponent() {
    return this.parentIsland ? this.parentIsland.excelStyleFilteringComponents.first : super.excelStyleFilteringComponent;
  }
  /**
   * Gets/Sets the total number of records in the data source.
   *
   * @remarks
   * This property is required for remote grid virtualization to function when it is bound to remote data.
   * @example
   * ```typescript
   * const itemCount = this.grid1.totalItemCount;
   * this.grid1.totalItemCount = 55;
   * ```
   */
  set totalItemCount(count) {
    this.verticalScrollContainer.totalItemCount = count;
  }
  get totalItemCount() {
    return this.verticalScrollContainer.totalItemCount;
  }
  /**
   * Sets if all immediate children of the `IgxHierarchicalGridComponent` should be expanded/collapsed.
   * Default value is false.
   * ```html
   * <igx-hierarchical-grid [id]="'igx-grid-1'" [data]="Data" [autoGenerate]="true" [expandChildren]="true"></igx-hierarchical-grid>
   * ```
   *
   * @memberof IgxHierarchicalGridComponent
   */
  set expandChildren(value) {
    this._defaultExpandState = value;
    this.expansionStates = /* @__PURE__ */ new Map();
  }
  /**
   * Gets if all immediate children of the `IgxHierarchicalGridComponent` previously have been set to be expanded/collapsed.
   * If previously set and some rows have been manually expanded/collapsed it will still return the last set value.
   * ```typescript
   * const expanded = this.grid.expandChildren;
   * ```
   *
   * @memberof IgxHierarchicalGridComponent
   */
  get expandChildren() {
    return this._defaultExpandState;
  }
  /**
   * Gets the unique identifier of the parent row. It may be a `string` or `number` if `primaryKey` of the
   * parent grid is set or an object reference of the parent record otherwise.
   * ```typescript
   * const foreignKey = this.grid.foreignKey;
   * ```
   *
   * @memberof IgxHierarchicalGridComponent
   */
  get foreignKey() {
    if (!this.parent) {
      return null;
    }
    return this.parent.gridAPI.getParentRowId(this);
  }
  /**
   * @hidden
   */
  get hasExpandableChildren() {
    return !!this.childLayoutKeys.length;
  }
  /**
   * @hidden
   */
  get resolveRowEditContainer() {
    if (this.parentIsland && this.parentIsland.rowEditCustom) {
      return this.parentIsland.rowEditContainer;
    }
    return this.rowEditContainer;
  }
  /**
   * @hidden
   */
  get resolveRowEditActions() {
    return this.parentIsland ? this.parentIsland.rowEditActionsTemplate : this.rowEditActionsTemplate;
  }
  /**
   * @hidden
   */
  get resolveRowEditText() {
    return this.parentIsland ? this.parentIsland.rowEditTextTemplate : this.rowEditTextTemplate;
  }
  /** @hidden */
  hideActionStrip() {
    if (!this.parent) {
      super.hideActionStrip();
      this.allLayoutList.forEach((ri) => {
        ri.actionStrip?.hide();
      });
    }
  }
  /**
   * @hidden
   */
  get parentRowOutletDirective() {
    return this.parent ? this.parent.rowOutletDirective : this.outlet;
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.batchEditing = !!this.rootGrid.batchEditing;
    if (this.rootGrid !== this) {
      this.rootGrid.batchEditingChange.pipe(takeUntil51(this.destroy$)).subscribe((val) => {
        this.batchEditing = val;
      });
    }
    super.ngOnInit();
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.verticalScrollContainer.beforeViewDestroyed.pipe(takeUntil51(this.destroy$)).subscribe((view) => {
      const rowData = view.context.$implicit;
      if (this.isChildGridRecord(rowData)) {
        const cachedData = this.childGridTemplates.get(rowData.rowID);
        if (cachedData) {
          const tmlpOutlet = cachedData.owner;
          tmlpOutlet._viewContainerRef.detach(0);
        }
      }
    });
    if (this.parent) {
      this._displayDensity = this.rootGrid.displayDensity;
      this.summaryService.summaryHeight = 0;
      this.rootGrid.densityChanged.pipe(takeUntil51(this.destroy$)).subscribe(() => {
        this._displayDensity = this.rootGrid.displayDensity;
        this.summaryService.summaryHeight = 0;
        this.notifyChanges(true);
        this.cdr.markForCheck();
      });
      this.childLayoutKeys = this.parentIsland.children.map((item) => item.key);
    }
    this.actionStrip = this.parentIsland ? this.parentIsland.actionStrip : this.actionStrip;
    this.headSelectorsTemplates = this.parentIsland ? this.parentIsland.headSelectorsTemplates : this.headSelectorsTemplates;
    this.rowSelectorsTemplates = this.parentIsland ? this.parentIsland.rowSelectorsTemplates : this.rowSelectorsTemplates;
    this.dragIndicatorIconTemplate = this.parentIsland ? this.parentIsland.dragIndicatorIconTemplate : this.dragIndicatorIconTemplate;
    this.rowExpandedIndicatorTemplate = this.rootGrid.rowExpandedIndicatorTemplate;
    this.rowCollapsedIndicatorTemplate = this.rootGrid.rowCollapsedIndicatorTemplate;
    this.headerCollapsedIndicatorTemplate = this.rootGrid.headerCollapsedIndicatorTemplate;
    this.headerExpandedIndicatorTemplate = this.rootGrid.headerExpandedIndicatorTemplate;
    this.excelStyleHeaderIconTemplate = this.rootGrid.excelStyleHeaderIconTemplate;
    this.sortAscendingHeaderIconTemplate = this.rootGrid.sortAscendingHeaderIconTemplate;
    this.sortDescendingHeaderIconTemplate = this.rootGrid.sortDescendingHeaderIconTemplate;
    this.sortHeaderIconTemplate = this.rootGrid.sortHeaderIconTemplate;
    this.hasChildrenKey = this.parentIsland ? this.parentIsland.hasChildrenKey || this.rootGrid.hasChildrenKey : this.rootGrid.hasChildrenKey;
    this.showExpandAll = this.parentIsland ? this.parentIsland.showExpandAll : this.rootGrid.showExpandAll;
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    this.updateColumnList(false);
    this.childLayoutKeys = this.parent ? this.parentIsland.children.map((item) => item.key) : this.childLayoutKeys = this.childLayoutList.map((item) => item.key);
    this.childLayoutList.notifyOnChanges();
    this.childLayoutList.changes.pipe(takeUntil51(this.destroy$)).subscribe(() => this.onRowIslandChange());
    super.ngAfterContentInit();
  }
  /**
   * Returns the `RowType` by index.
   *
   * @example
   * ```typescript
   * const myRow = this.grid1.getRowByIndex(1);
   * ```
   * @param index
   */
  getRowByIndex(index) {
    if (index < 0 || index >= this.dataView.length) {
      return void 0;
    }
    return this.createRow(index);
  }
  /**
   * Returns the `RowType` by key.
   *
   * @example
   * ```typescript
   * const myRow = this.grid1.getRowByKey(1);
   * ```
   * @param key
   */
  getRowByKey(key) {
    const data = this.dataView;
    const rec = this.primaryKey ? data.find((record) => record[this.primaryKey] === key) : data.find((record) => record === key);
    const index = data.indexOf(rec);
    if (index < 0 || index > data.length) {
      return void 0;
    }
    return new IgxHierarchicalGridRow(this, index, rec);
  }
  /**
   * @hidden @internal
   */
  allRows() {
    return this.dataView.map((rec, index) => this.createRow(index));
  }
  /**
   * Returns the collection of `IgxHierarchicalGridRow`s for current page.
   *
   * @hidden @internal
   */
  dataRows() {
    return this.allRows().filter((row) => row instanceof IgxHierarchicalGridRow);
  }
  /**
   * Returns an array of the selected `IgxGridCell`s.
   *
   * @example
   * ```typescript
   * const selectedCells = this.grid.selectedCells;
   * ```
   */
  get selectedCells() {
    return this.dataRows().map((row) => row.cells.filter((cell) => cell.selected)).reduce((a, b) => a.concat(b), []);
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @example
   * ```typescript
   * const myCell = this.grid1.getCellByColumn(2, "UnitPrice");
   * ```
   * @param rowIndex
   * @param columnField
   */
  getCellByColumn(rowIndex, columnField) {
    const row = this.getRowByIndex(rowIndex);
    const column = this.columns.find((col) => col.field === columnField);
    if (row && row instanceof IgxHierarchicalGridRow && column) {
      return new IgxGridCell(this, rowIndex, column);
    }
  }
  /**
   * Returns a `CellType` object that matches the conditions.
   *
   * @remarks
   * Requires that the primaryKey property is set.
   * @example
   * ```typescript
   * grid.getCellByKey(1, 'index');
   * ```
   * @param rowSelector match any rowID
   * @param columnField
   */
  getCellByKey(rowSelector, columnField) {
    const row = this.getRowByKey(rowSelector);
    const column = this.columns.find((col) => col.field === columnField);
    if (row && column) {
      return new IgxGridCell(this, row.index, column);
    }
  }
  pinRow(rowID, index) {
    const row = this.getRowByKey(rowID);
    return super.pinRow(rowID, index, row);
  }
  /** @hidden @internal */
  setDataInternal(value) {
    this._data = value || [];
    this.summaryService.clearSummaryCache();
    if (!this._init) {
      this.validation.updateAll(this._data);
    }
    if (this.shouldGenerate) {
      this.setupColumns();
      this.reflow();
    }
    this.cdr.markForCheck();
    if (this.parent && (this.height === null || this.height.indexOf("%") !== -1)) {
      this.notifyChanges(true);
    }
  }
  unpinRow(rowID) {
    const row = this.getRowByKey(rowID);
    return super.unpinRow(rowID, row);
  }
  /**
   * @hidden @internal
   */
  dataLoading(event) {
    this.dataPreLoad.emit(event);
  }
  /** @hidden */
  featureColumnsWidth() {
    return super.featureColumnsWidth(this.headerHierarchyExpander);
  }
  /**
   * @hidden
   */
  onRowIslandChange() {
    if (this.parent) {
      this.childLayoutKeys = this.parentIsland.children.filter((item) => !item._destroyed).map((item) => item.key);
    } else {
      this.childLayoutKeys = this.childLayoutList.filter((item) => !item._destroyed).map((item) => item.key);
    }
    if (!this.cdr.destroyed) {
      this.cdr.detectChanges();
    }
  }
  /** @hidden @internal **/
  ngOnDestroy() {
    if (!this.parent) {
      this.gridAPI.getChildGrids(true).forEach((grid) => {
        if (!grid.childRow.cdr.destroyed) {
          grid.childRow.cdr.destroy();
        }
      });
    }
    if (this.parent && this.selectionService.activeElement) {
      this._clearSeletionHighlights();
    }
    super.ngOnDestroy();
  }
  /**
   * @hidden
   */
  isRowHighlighted(rowData) {
    return this.highlightedRowID === rowData.rowID;
  }
  /**
   * @hidden
   */
  isHierarchicalRecord(record) {
    if (this.isGhostRecord(record)) {
      record = record.recordRef;
    }
    return this.childLayoutList.length !== 0 && record[this.childLayoutList.first.key];
  }
  /**
   * @hidden
   */
  isChildGridRecord(record) {
    return record?.childGridsData !== void 0;
  }
  /**
   * @hidden
   */
  trackChanges(index, rec) {
    if (rec.childGridsData !== void 0) {
      return rec.rowID;
    }
    return rec;
  }
  /**
   * @hidden
   */
  getContext(rowData, rowIndex, pinned) {
    if (this.isChildGridRecord(rowData)) {
      const cachedData = this.childGridTemplates.get(rowData.rowID);
      if (cachedData) {
        const view = cachedData.view;
        const tmlpOutlet = cachedData.owner;
        return {
          $implicit: rowData,
          moveView: view,
          owner: tmlpOutlet,
          index: this.dataView.indexOf(rowData)
        };
      } else {
        return {
          $implicit: rowData,
          templateID: {
            type: "childRow",
            id: rowData.rowID
          },
          index: this.dataView.indexOf(rowData)
        };
      }
    } else {
      return {
        $implicit: this.isGhostRecord(rowData) ? rowData.recordRef : rowData,
        templateID: {
          type: "dataRow",
          id: null
        },
        index: this.getDataViewIndex(rowIndex, pinned),
        disabled: this.isGhostRecord(rowData)
      };
    }
  }
  /**
   * @hidden
   */
  get rootGrid() {
    let currGrid = this;
    while (currGrid.parent) {
      currGrid = currGrid.parent;
    }
    return currGrid;
  }
  /**
   * @hidden
   */
  get iconTemplate() {
    const expanded = this.hasExpandedRecords() && this.hasExpandableChildren;
    if (!expanded && this.showExpandAll) {
      return this.headerCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
    } else {
      return this.headerExpandedIndicatorTemplate || this.defaultExpandedTemplate;
    }
  }
  /**
   * @hidden
   * @internal
   */
  getDragGhostCustomTemplate() {
    if (this.parentIsland) {
      return this.parentIsland.getDragGhostCustomTemplate();
    }
    return super.getDragGhostCustomTemplate();
  }
  /**
   * @hidden
   * Gets the visible content height that includes header + tbody + footer.
   * For hierarchical child grid it may be scrolled and not fully visible.
   */
  getVisibleContentHeight() {
    let height = super.getVisibleContentHeight();
    if (this.parent) {
      const rootHeight = this.rootGrid.getVisibleContentHeight();
      const topDiff = this.nativeElement.getBoundingClientRect().top - this.rootGrid.nativeElement.getBoundingClientRect().top;
      height = rootHeight - topDiff > height ? height : rootHeight - topDiff;
    }
    return height;
  }
  /**
   * @hidden
   */
  toggleAll() {
    const expanded = this.hasExpandedRecords() && this.hasExpandableChildren;
    if (!expanded && this.showExpandAll) {
      this.expandAll();
    } else {
      this.collapseAll();
    }
  }
  /**
   * @hidden
   * @internal
   */
  hasExpandedRecords() {
    if (this.expandChildren) {
      return true;
    }
    let hasExpandedEntry = false;
    this.expansionStates.forEach((value) => {
      if (value) {
        hasExpandedEntry = value;
      }
    });
    return hasExpandedEntry;
  }
  getDefaultExpandState(record) {
    if (this.hasChildrenKey && !record[this.hasChildrenKey]) {
      return false;
    }
    return this.expandChildren;
  }
  /**
   * @hidden
   */
  isExpanded(record) {
    return this.gridAPI.get_row_expansion_state(record);
  }
  /**
   * @hidden
   */
  viewCreatedHandler(args) {
    if (this.isChildGridRecord(args.context.$implicit)) {
      const key = args.context.$implicit.rowID;
      this.childGridTemplates.set(key, args);
    }
  }
  /**
   * @hidden
   */
  viewMovedHandler(args) {
    if (this.isChildGridRecord(args.context.$implicit)) {
      const key = args.context.$implicit.rowID;
      const cachedData = this.childGridTemplates.get(key);
      cachedData.owner = args.owner;
      this.childLayoutList.forEach((layout) => {
        const relatedGrid = this.gridAPI.getChildGridByID(layout.key, args.context.$implicit.rowID);
        if (relatedGrid && relatedGrid.updateOnRender) {
          relatedGrid.notifyChanges(true);
          relatedGrid.updateOnRender = false;
        }
      });
    }
  }
  /** @hidden @internal **/
  onContainerScroll() {
    this.hideOverlays();
  }
  /**
   * @hidden
   */
  createRow(index, data) {
    let row;
    const dataIndex = this._getDataViewIndex(index);
    const rec = data ?? this.dataView[dataIndex];
    if (!row && rec && !rec.childGridsData) {
      row = new IgxHierarchicalGridRow(this, index, rec);
    }
    return row;
  }
  /** @hidden @internal */
  getChildGrids(inDeph) {
    return this.gridAPI.getChildGrids(inDeph);
  }
  generateDataFields(data) {
    return super.generateDataFields(data).filter((field) => {
      const layoutsList = this.parentIsland ? this.parentIsland.children : this.childLayoutList;
      const keys = layoutsList.map((item) => item.key);
      return keys.indexOf(field) === -1;
    });
  }
  resizeNotifyHandler() {
    if (this.document.contains(this.nativeElement) && !this.parent) {
      this.notifyChanges(true);
    }
  }
  /**
   * @hidden
   */
  initColumns(collection, cb = null) {
    if (this.hasColumnLayouts) {
      const nonColumnLayoutColumns = this.columns.filter((col) => !col.columnLayout && !col.columnLayoutChild);
      this.updateColumns(nonColumnLayoutColumns);
    }
    super.initColumns(collection, cb);
  }
  setupColumns() {
    if (this.parentIsland && this.parentIsland.childColumns.length > 0 && !this.autoGenerate) {
      this.createColumnsList(this.parentIsland.childColumns.toArray());
    } else {
      super.setupColumns();
    }
  }
  getColumnList() {
    const childLayouts = this.parent ? this.childLayoutList : this.allLayoutList;
    const nestedColumns = childLayouts.map((layout) => layout.columnList.toArray());
    const colsArray = [].concat.apply([], nestedColumns);
    if (colsArray.length > 0) {
      const topCols = this.columnList.filter((item) => colsArray.indexOf(item) === -1);
      return topCols;
    } else {
      return this.columnList.toArray();
    }
  }
  onColumnsChanged() {
    Promise.resolve().then(() => {
      this.updateColumnList();
    });
  }
  _shouldAutoSize(renderedHeight) {
    if (this.isPercentHeight && this.parent) {
      return true;
    }
    return super._shouldAutoSize(renderedHeight);
  }
  updateColumnList(recalcColSizes = true) {
    const childLayouts = this.parent ? this.childLayoutList : this.allLayoutList;
    const nestedColumns = childLayouts.map((layout) => layout.columnList.toArray());
    const colsArray = [].concat.apply([], nestedColumns);
    const colLength = this.columns.length;
    const topCols = this.columnList.filter((item) => colsArray.indexOf(item) === -1);
    if (topCols.length > 0) {
      this.updateColumns(topCols);
      if (recalcColSizes && this.columns.length !== colLength) {
        this.calculateGridSizes(false);
      }
    }
  }
  _clearSeletionHighlights() {
    [this.rootGrid, ...this.rootGrid.getChildGrids(true)].forEach((grid) => {
      grid.selectionService.clear();
      grid.selectionService.activeElement = null;
      grid.nativeElement.classList.remove("igx-grid__tr--highlighted");
      grid.highlightedRowID = null;
      grid.cdr.markForCheck();
    });
  }
  static {
    this.ɵfac = i0242.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0242, type: _IgxHierarchicalGridComponent, deps: null, target: i0242.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0242.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxHierarchicalGridComponent, isStandalone: true, selector: "igx-hierarchical-grid", inputs: { id: "id", data: "data", totalItemCount: "totalItemCount", expandChildren: ["expandChildren", "expandChildren", booleanAttribute79] }, host: { properties: { "attr.role": "this.role", "attr.id": "this.id" } }, providers: [
      IgxGridCRUDService,
      IgxGridValidationService,
      IgxGridSelectionService,
      { provide: IGX_GRID_SERVICE_BASE, useClass: IgxHierarchicalGridAPIService },
      { provide: IGX_GRID_BASE, useExisting: _IgxHierarchicalGridComponent },
      IgxGridSummaryService,
      IgxFilteringService,
      IgxHierarchicalGridNavigationService,
      IgxColumnResizingService,
      IgxForOfSyncService,
      IgxForOfScrollSyncService,
      IgxRowIslandAPIService
    ], queries: [{ propertyName: "actionStrip", first: true, predicate: IgxActionStripToken, read: IgxActionStripToken }, { propertyName: "childLayoutList", predicate: IgxRowIslandComponent, read: IgxRowIslandComponent }, { propertyName: "allLayoutList", predicate: IgxRowIslandComponent, descendants: true, read: IgxRowIslandComponent }, { propertyName: "paginatorList", predicate: IgxPaginatorToken, descendants: true }], viewQueries: [{ propertyName: "toolbarOutlet", first: true, predicate: ["toolbarOutlet"], descendants: true, read: ViewContainerRef21 }, { propertyName: "paginatorOutlet", first: true, predicate: ["paginatorOutlet"], descendants: true, read: ViewContainerRef21 }, { propertyName: "hierarchicalRecordTemplate", first: true, predicate: ["hierarchical_record_template"], descendants: true, read: TemplateRef41, static: true }, { propertyName: "childTemplate", first: true, predicate: ["child_record_template"], descendants: true, read: TemplateRef41, static: true }, { propertyName: "templateOutlets", predicate: IgxTemplateOutletDirective, descendants: true, read: IgxTemplateOutletDirective }, { propertyName: "hierarchicalRows", predicate: IgxChildGridRowComponent, descendants: true }], usesInheritance: true, ngImport: i0242, template: `<ng-content select="igx-grid-toolbar"></ng-content>
<ng-container #toolbarOutlet></ng-container>

<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content"  tabindex="0" (focus)="navigation.focusTbody($event)"
     (keydown)="navigation.handleNavigation($event)" (dragStop)="selectionService.dragMode = $event"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode" [attr.aria-activedescendant]="activeDescendant" [attr.role]="dataView.length ? null : 'row'"
        [style.height.px]="totalHeight" [style.width.px]="calcWidth" #tbody (scroll)="preventContainerScroll($event)">
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template #pinnedRecordsTemplate>
            <ng-container *ngIf="data
            | gridTransaction:id:pipeTrigger
            | visibleColumns:hasVisibleColumns
            | gridAddRow:true:pipeTrigger
            | gridRowPinning:id:true:pipeTrigger
            | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger:true
            | gridSort:sortingExpressions:[]:sortStrategy:id:pipeTrigger:true as pinnedData">
                <div #pinContainer *ngIf="pinnedData.length > 0" class="igx-grid__tr--pinned"
                    [ngClass]="{ 'igx-grid__tr--pinned-bottom':  !isRowPinningToTop, 'igx-grid__tr--pinned-top': isRowPinningToTop }"
                    [style.width.px]="calcWidth">
                    <ng-container *ngFor="let rowData of pinnedData; let rowIndex = index">
                        <ng-container *ngTemplateOutlet="pinned_hierarchical_record_template; context: getContext(rowData, rowIndex, true)">
                        </ng-container>
                    </ng-container>
                </div>
            </ng-container>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-template igxGridFor let-rowData let-rowIndex="index" [igxGridForOf]="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger
        | gridSort:sortingExpressions:[]:sortStrategy:id:pipeTrigger
        | gridHierarchicalPaging:!!paginator:page:perPage:id:pipeTrigger
        | gridHierarchical:expansionStates:id:primaryKey:childLayoutKeys:pipeTrigger
        | gridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight" [igxForItemSize]="renderedRowHeight" [igxForTrackBy]="trackChanges"
            #verticalScrollContainer (chunkPreload)="dataLoading($event)" (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template
                [igxTemplateOutlet]="(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) ? child_record_template : hierarchical_record_template))"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex, false)" (viewCreated)="viewCreatedHandler($event)"
                (viewMoved)="viewMovedHandler($event)" (cachedViewLoaded)="cachedViewLoaded($event)">
            </ng-template>
            <!-- <ng-container *igxTemplateOutlet="(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) && isExpanded(rowData) ? child_record_template : hierarchical_record_template)); context: getContext(rowData)"></ng-container> -->
        </ng-template>
        <ng-template #hierarchical_record_template let-rowIndex="index" let-disabledRow="disabled" let-rowData>
            <igx-hierarchical-grid-row [gridID]="id" [index]="rowIndex" [disabled]="disabledRow" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-hierarchical-grid-row>
        </ng-template>

        <ng-template #pinned_hierarchical_record_template let-rowIndex="index" let-rowData>
            <igx-hierarchical-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row #pinnedRow>
            </igx-hierarchical-grid-row>
        </ng-template>
        <ng-template #child_record_template let-rowIndex="index" let-rowData>
            <div [attr.data-rowindex]="rowIndex" (scroll)="onContainerScroll()"
                [ngClass]="{
                'igx-grid__tr-container': true,
                'igx-grid__tr--highlighted':isRowHighlighted(rowData)
            }">
                <igx-child-grid-row *ngFor="let layout of childLayoutList" [parentGridID]="id" [index]="rowIndex"
                    [data]="rowData" [layout]="layout" #row>
                </igx-child-grid-row>
            </div>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
            id="right" class="igx-grid__scroll-on-drag-right"></span>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark *ngIf="!this.parent"></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]="isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>
    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div igxOverlayOutlet #igxBodyOverlayOutlet="overlay-outlet"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]="summaryRowHeight" #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)" [attr.aria-activedescendant]="activeDescendant"
     (keydown)="navigation.summaryNav($event)">
        <igx-grid-summary-row [style.width.px]="calcWidth" [style.height.px]="summaryRowHeight"
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]="!hasVerticalScroll()" [style.height.px]="summaryRowHeight"
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth" [style.min-width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="unpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="[]" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]="pinnedWidth" [style.min-width.px]="pinnedWidth" [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
    <ng-container #paginatorOutlet></ng-container>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<ng-template #defaultCollapsedTemplate>
    <igx-icon role="button">unfold_more</igx-icon>
</ng-template>

<ng-template #defaultExpandedTemplate>
    <igx-icon role="button" [active]="hasExpandedRecords() && hasExpandableChildren">unfold_less</igx-icon>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="resolveRowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.crudService.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>
<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>
<ng-template #defaultRowEditActions>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>
<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : resolveRowEditText || defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="resolveRowEditActions || defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
`, dependencies: [{ kind: "directive", type: NgIf76, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass37, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor34, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgTemplateOutlet44, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgStyle16, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: IgxGridHeaderRowComponent, selector: "igx-grid-header-row", inputs: ["grid", "pinnedColumnCollection", "unpinnedColumnCollection", "activeDescendant", "hasMRL", "width", "density"] }, { kind: "directive", type: IgxGridBodyDirective, selector: "[igxGridBody]" }, { kind: "directive", type: IgxGridDragSelectDirective, selector: "[igxGridDragSelect]", inputs: ["igxGridDragSelect"], outputs: ["dragStop", "dragScroll"] }, { kind: "directive", type: IgxColumnMovingDropDirective, selector: "[igxColumnMovingDrop]", inputs: ["igxColumnMovingDrop"] }, { kind: "directive", type: IgxGridForOfDirective, selector: "[igxGridFor][igxGridForOf]", inputs: ["igxGridForOf", "igxGridForOfUniqueSizeCache", "igxGridForOfVariableSizes"], outputs: ["dataChanging"] }, { kind: "directive", type: IgxTemplateOutletDirective, selector: "[igxTemplateOutlet]", inputs: ["igxTemplateOutletContext", "igxTemplateOutlet"], outputs: ["viewCreated", "viewMoved", "cachedViewLoaded", "beforeViewDetach"] }, { kind: "component", type: IgxHierarchicalRowComponent, selector: "igx-hierarchical-grid-row" }, { kind: "directive", type: IgxOverlayOutletDirective, selector: "[igxOverlayOutlet]", exportAs: ["overlay-outlet"] }, { kind: "directive", type: IgxToggleDirective, selector: "[igxToggle]", inputs: ["id"], outputs: ["opened", "opening", "closed", "closing", "appended"], exportAs: ["toggle"] }, { kind: "component", type: IgxCircularProgressBarComponent, selector: "igx-circular-bar", inputs: ["id", "isIndeterminate", "textVisibility", "text"] }, { kind: "component", type: IgxSnackbarComponent, selector: "igx-snackbar", inputs: ["id", "actionText", "positionSettings"], outputs: ["clicked", "animationStarted", "animationDone"] }, { kind: "component", type: IgxSummaryRowComponent, selector: "igx-grid-summary-row", inputs: ["summaries", "gridID", "index", "firstCellIndentation"] }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: IgxRowEditTabStopDirective, selector: "[igxRowEditTabStop]" }, { kind: "component", type: IgxGridColumnResizerComponent, selector: "igx-grid-column-resizer", inputs: ["restrictResizerTop"] }, { kind: "component", type: IgxChildGridRowComponent, selector: "igx-child-grid-row", inputs: ["layout", "parentGridID", "data", "index"] }, { kind: "pipe", type: IgxGridSortingPipe, name: "gridSort" }, { kind: "pipe", type: IgxGridFilteringPipe, name: "gridFiltering" }, { kind: "pipe", type: IgxGridTransactionPipe, name: "gridTransaction" }, { kind: "pipe", type: IgxHasVisibleColumnsPipe, name: "visibleColumns" }, { kind: "pipe", type: IgxGridRowPinningPipe, name: "gridRowPinning" }, { kind: "pipe", type: IgxGridAddRowPipe, name: "gridAddRow" }, { kind: "pipe", type: IgxGridRowClassesPipe, name: "igxGridRowClasses" }, { kind: "pipe", type: IgxGridRowStylesPipe, name: "igxGridRowStyles" }, { kind: "pipe", type: IgxSummaryDataPipe, name: "igxGridSummaryDataPipe" }, { kind: "pipe", type: IgxGridHierarchicalPipe, name: "gridHierarchical" }, { kind: "pipe", type: IgxGridHierarchicalPagingPipe, name: "gridHierarchicalPaging" }], changeDetection: i0242.ChangeDetectionStrategy.OnPush });
  }
};
i0242.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0242, type: IgxHierarchicalGridComponent, decorators: [{
  type: Component110,
  args: [{ changeDetection: ChangeDetectionStrategy67.OnPush, selector: "igx-hierarchical-grid", providers: [
    IgxGridCRUDService,
    IgxGridValidationService,
    IgxGridSelectionService,
    { provide: IGX_GRID_SERVICE_BASE, useClass: IgxHierarchicalGridAPIService },
    { provide: IGX_GRID_BASE, useExisting: IgxHierarchicalGridComponent },
    IgxGridSummaryService,
    IgxFilteringService,
    IgxHierarchicalGridNavigationService,
    IgxColumnResizingService,
    IgxForOfSyncService,
    IgxForOfScrollSyncService,
    IgxRowIslandAPIService
  ], standalone: true, imports: [
    NgIf76,
    NgClass37,
    NgFor34,
    NgTemplateOutlet44,
    NgStyle16,
    IgxGridHeaderRowComponent,
    IgxGridBodyDirective,
    IgxGridDragSelectDirective,
    IgxColumnMovingDropDirective,
    IgxGridForOfDirective,
    IgxTemplateOutletDirective,
    IgxHierarchicalRowComponent,
    IgxOverlayOutletDirective,
    IgxToggleDirective,
    IgxCircularProgressBarComponent,
    IgxSnackbarComponent,
    IgxSummaryRowComponent,
    IgxButtonDirective,
    IgxRippleDirective,
    IgxIconComponent,
    IgxRowEditTabStopDirective,
    IgxGridColumnResizerComponent,
    IgxChildGridRowComponent,
    IgxGridSortingPipe,
    IgxGridFilteringPipe,
    IgxGridTransactionPipe,
    IgxHasVisibleColumnsPipe,
    IgxGridRowPinningPipe,
    IgxGridAddRowPipe,
    IgxGridRowClassesPipe,
    IgxGridRowStylesPipe,
    IgxSummaryDataPipe,
    IgxGridHierarchicalPipe,
    IgxGridHierarchicalPagingPipe
  ], schemas: [CUSTOM_ELEMENTS_SCHEMA4], template: `<ng-content select="igx-grid-toolbar"></ng-content>
<ng-container #toolbarOutlet></ng-container>

<igx-grid-header-row class="igx-grid-thead" tabindex="0"
    [grid]="this"
    [hasMRL]="hasColumnLayouts"
    [activeDescendant]="activeDescendant"
    [width]="calcWidth"
    [pinnedColumnCollection]="pinnedColumns"
    [unpinnedColumnCollection]="unpinnedColumns"
    (keydown.meta.c)="copyHandler($event)"
    (keydown.control.c)="copyHandler($event)"
    (copy)="copyHandler($event)"
    (keydown)="navigation.headerNavigation($event)"
    (focus)="navigation.focusFirstCell()"
>
</igx-grid-header-row>

<div igxGridBody (keydown.control.c)="copyHandler($event)" (copy)="copyHandler($event)" class="igx-grid__tbody" role="rowgroup">
    <div class="igx-grid__tbody-content"  tabindex="0" (focus)="navigation.focusTbody($event)"
     (keydown)="navigation.handleNavigation($event)" (dragStop)="selectionService.dragMode = $event"
        (dragScroll)="dragScroll($event)" [igxGridDragSelect]="selectionService.dragMode" [attr.aria-activedescendant]="activeDescendant" [attr.role]="dataView.length ? null : 'row'"
        [style.height.px]="totalHeight" [style.width.px]="calcWidth" #tbody (scroll)="preventContainerScroll($event)">
        <span *ngIf="moving && columnInDrag && pinnedColumns.length <= 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-left"></span>
        <span *ngIf="moving && columnInDrag && pinnedColumns.length > 0"
            [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true" id="left"
            class="igx-grid__scroll-on-drag-pinned" [style.left.px]="pinnedWidth"></span>
        <ng-template #pinnedRecordsTemplate>
            <ng-container *ngIf="data
            | gridTransaction:id:pipeTrigger
            | visibleColumns:hasVisibleColumns
            | gridAddRow:true:pipeTrigger
            | gridRowPinning:id:true:pipeTrigger
            | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger:true
            | gridSort:sortingExpressions:[]:sortStrategy:id:pipeTrigger:true as pinnedData">
                <div #pinContainer *ngIf="pinnedData.length > 0" class="igx-grid__tr--pinned"
                    [ngClass]="{ 'igx-grid__tr--pinned-bottom':  !isRowPinningToTop, 'igx-grid__tr--pinned-top': isRowPinningToTop }"
                    [style.width.px]="calcWidth">
                    <ng-container *ngFor="let rowData of pinnedData; let rowIndex = index">
                        <ng-container *ngTemplateOutlet="pinned_hierarchical_record_template; context: getContext(rowData, rowIndex, true)">
                        </ng-container>
                    </ng-container>
                </div>
            </ng-container>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-template igxGridFor let-rowData let-rowIndex="index" [igxGridForOf]="data
        | gridTransaction:id:pipeTrigger
        | visibleColumns:hasVisibleColumns
        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger
        | gridSort:sortingExpressions:[]:sortStrategy:id:pipeTrigger
        | gridHierarchicalPaging:!!paginator:page:perPage:id:pipeTrigger
        | gridHierarchical:expansionStates:id:primaryKey:childLayoutKeys:pipeTrigger
        | gridAddRow:false:pipeTrigger
        | gridRowPinning:id:false:pipeTrigger"
            [igxForScrollOrientation]="'vertical'" [igxForScrollContainer]="verticalScroll"
            [igxForContainerSize]="calcHeight" [igxForItemSize]="renderedRowHeight" [igxForTrackBy]="trackChanges"
            #verticalScrollContainer (chunkPreload)="dataLoading($event)" (dataChanging)="dataRebinding($event)" (dataChanged)="dataRebound($event)">
            <ng-template
                [igxTemplateOutlet]="(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) ? child_record_template : hierarchical_record_template))"
                [igxTemplateOutletContext]="getContext(rowData, rowIndex, false)" (viewCreated)="viewCreatedHandler($event)"
                (viewMoved)="viewMovedHandler($event)" (cachedViewLoaded)="cachedViewLoaded($event)">
            </ng-template>
            <!-- <ng-container *igxTemplateOutlet="(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) && isExpanded(rowData) ? child_record_template : hierarchical_record_template)); context: getContext(rowData)"></ng-container> -->
        </ng-template>
        <ng-template #hierarchical_record_template let-rowIndex="index" let-disabledRow="disabled" let-rowData>
            <igx-hierarchical-grid-row [gridID]="id" [index]="rowIndex" [disabled]="disabledRow" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row>
            </igx-hierarchical-grid-row>
        </ng-template>

        <ng-template #pinned_hierarchical_record_template let-rowIndex="index" let-rowData>
            <igx-hierarchical-grid-row [gridID]="id" [index]="rowIndex" [data]="rowData"
                [ngClass]="rowClasses | igxGridRowClasses:row:row.inEditMode:row.selected:row.dirty:row.deleted:row.dragging:rowIndex:hasColumnLayouts:false:rowData:pipeTrigger"
                [ngStyle]="rowStyles | igxGridRowStyles:rowData:rowIndex:pipeTrigger" #row #pinnedRow>
            </igx-hierarchical-grid-row>
        </ng-template>
        <ng-template #child_record_template let-rowIndex="index" let-rowData>
            <div [attr.data-rowindex]="rowIndex" (scroll)="onContainerScroll()"
                [ngClass]="{
                'igx-grid__tr-container': true,
                'igx-grid__tr--highlighted':isRowHighlighted(rowData)
            }">
                <igx-child-grid-row *ngFor="let layout of childLayoutList" [parentGridID]="id" [index]="rowIndex"
                    [data]="rowData" [layout]="layout" #row>
                </igx-child-grid-row>
            </div>
        </ng-template>
        <ng-container *ngTemplateOutlet="hasPinnedRecords && !isRowPinningToTop ? pinnedRecordsTemplate : null">
        </ng-container>
        <ng-container *ngTemplateOutlet="template; context: { $implicit: this }"></ng-container>
        <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
            id="right" class="igx-grid__scroll-on-drag-right"></span>
        <div class="igx-grid__row-editing-outlet" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>
        <igc-trial-watermark *ngIf="!this.parent"></igc-trial-watermark>
    </div>
    <div igxToggle #loadingOverlay>
        <igx-circular-bar [indeterminate]="true" *ngIf="shouldOverlayLoading">
        </igx-circular-bar>
    </div>
    <span *ngIf="moving && columnInDrag" [igxColumnMovingDrop]="headerContainer" [attr.droppable]="true"
        id="right" class="igx-grid__scroll-on-drag-right"></span>
    <div [hidden]="!hasVerticalScroll()" class="igx-grid__tbody-scrollbar" [style.width.px]="scrollSize" (pointerdown)="$event.preventDefault()">
        <div class="igx-grid__tbody-scrollbar-start" [style.height.px]="isRowPinningToTop ? pinnedRowHeight : 0"></div>
        <div class="igx-grid__tbody-scrollbar-main" [style.height.px]="calcHeight">
            <ng-template igxGridFor [igxGridForOf]="[]" #verticalScrollHolder></ng-template>
        </div>
        <div class="igx-grid__tbody-scrollbar-end" [style.height.px]="!isRowPinningToTop ? pinnedRowHeight : 0"></div>
    </div>
    <div class="igx-grid__addrow-snackbar">
        <igx-snackbar #addRowSnackbar [outlet]="igxBodyOverlayOutlet" [actionText]="resourceStrings.igx_grid_snackbar_addrow_actiontext" [displayTime]="snackbarDisplayTime">{{resourceStrings.igx_grid_snackbar_addrow_label}}</igx-snackbar>
    </div>

    <div igxOverlayOutlet #igxBodyOverlayOutlet="overlay-outlet"></div>
</div>

<div class="igx-grid__tfoot" role="rowgroup" [style.height.px]="summaryRowHeight" #tfoot>
    <div tabindex="0" (focus)="navigation.focusFirstCell(false)" [attr.aria-activedescendant]="activeDescendant"
     (keydown)="navigation.summaryNav($event)">
        <igx-grid-summary-row [style.width.px]="calcWidth" [style.height.px]="summaryRowHeight"
            *ngIf="hasSummarizedColumns && rootSummariesEnabled" [gridID]="id" role="row"
            [summaries]="id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe" [index]="dataView.length"
            class="igx-grid__summaries" #summaryRow>
        </igx-grid-summary-row>
        <div class="igx-grid__tfoot-thumb" [hidden]="!hasVerticalScroll()" [style.height.px]="summaryRowHeight"
            [style.width.px]="scrollSize"></div>
    </div>
</div>

<div class="igx-grid__scroll" [style.height.px]="scrollSize" #scr [hidden]="isHorizontalScrollHidden" (pointerdown)="$event.preventDefault()">
    <div class="igx-grid__scroll-start" [style.width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth" [style.min-width.px]="isPinningToStart ? pinnedWidth : headerFeaturesWidth"></div>
    <div class="igx-grid__scroll-main" [style.width.px]="unpinnedWidth">
        <ng-template igxGridFor [igxGridForOf]="[]" #scrollContainer>
        </ng-template>
    </div>
    <div class="igx-grid__scroll-end" [style.width.px]="pinnedWidth" [style.min-width.px]="pinnedWidth" [hidden]="pinnedWidth === 0 || isPinningToStart"></div>
</div>

<div class="igx-grid__footer" #footer>
    <ng-content select="igx-grid-footer"></ng-content>
    <ng-content select="igx-paginator"></ng-content>
    <ng-container #paginatorOutlet></ng-container>
</div>

<ng-template #emptyFilteredGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyFilteredGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultEmptyGrid>
    <span class="igx-grid__tbody-message" role="cell">
        <span>{{emptyGridMessage}}</span>
        <span *ngIf="showAddButton">
            <ng-container *ngTemplateOutlet="addRowEmptyTemplate || defaultAddRowEmptyTemplate"></ng-container>
        </span>
    </span>
</ng-template>

<ng-template #defaultAddRowEmptyTemplate>
    <button type="button" igxButton="contained" igxRipple (click)="this.crudService.enterAddRowMode(null, false, $event)">
        {{resourceStrings.igx_grid_add_row_label}}
    </button>
</ng-template>

<ng-template #defaultLoadingGrid>
    <div class="igx-grid__loading">
        <igx-circular-bar [indeterminate]="true">
        </igx-circular-bar>
    </div>
</ng-template>

<ng-template #defaultCollapsedTemplate>
    <igx-icon role="button">unfold_more</igx-icon>
</ng-template>

<ng-template #defaultExpandedTemplate>
    <igx-icon role="button" [active]="hasExpandedRecords() && hasExpandableChildren">unfold_less</igx-icon>
</ng-template>

<div *ngIf="rowEditable" igxToggle #rowEditingOverlay>
    <div [className]="bannerClass">
        <ng-container
            *ngTemplateOutlet="resolveRowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: this.crudService.endEdit.bind(this) }">
        </ng-container>
    </div>
</div>
<ng-template #defaultRowEditText>
    You have {{ rowChangesCount }} changes in this row and {{ hiddenColumnsCount }} hidden columns
</ng-template>
<ng-template #defaultRowEditActions>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(false, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_cancel }}</button>
    <button type="button" igxButton igxRowEditTabStop (click)="this.endRowEditTabStop(true, $event)">{{ this.resourceStrings.igx_grid_row_edit_btn_done }}</button>
</ng-template>
<ng-template #defaultRowEditTemplate>
    <div class="igx-banner__message">
        <span class="igx-banner__text">
            <ng-container
                *ngTemplateOutlet="this.crudService.row?.getClassName() === 'IgxAddRow' ? rowAddTextTemplate : resolveRowEditText || defaultRowEditText;
                context: { $implicit: this.crudService.row?.getClassName() !== 'IgxAddRow' ? rowChangesCount : null }">
            </ng-container>
        </span>
    </div>
    <div class="igx-banner__actions">
        <div class="igx-banner__row">
            <ng-container
                *ngTemplateOutlet="resolveRowEditActions || defaultRowEditActions; context: { $implicit: this.endEdit.bind(this) }">
            </ng-container>
        </div>
    </div>
</ng-template>

<ng-template #dragIndicatorIconBase>
    <igx-icon>drag_indicator</igx-icon>
</ng-template>

<igx-grid-column-resizer *ngIf="colResizingService.showResizer"></igx-grid-column-resizer>
<div class="igx-grid__loading-outlet" #igxLoadingOverlayOutlet igxOverlayOutlet></div>
<div class="igx-grid__outlet" #igxFilteringOverlayOutlet igxOverlayOutlet></div>
` }]
}], propDecorators: { role: [{
  type: HostBinding97,
  args: ["attr.role"]
}], childLayoutList: [{
  type: ContentChildren24,
  args: [IgxRowIslandComponent, { read: IgxRowIslandComponent, descendants: false }]
}], allLayoutList: [{
  type: ContentChildren24,
  args: [IgxRowIslandComponent, { read: IgxRowIslandComponent, descendants: true }]
}], paginatorList: [{
  type: ContentChildren24,
  args: [IgxPaginatorToken, { descendants: true }]
}], toolbarOutlet: [{
  type: ViewChild60,
  args: ["toolbarOutlet", { read: ViewContainerRef21 }]
}], paginatorOutlet: [{
  type: ViewChild60,
  args: ["paginatorOutlet", { read: ViewContainerRef21 }]
}], templateOutlets: [{
  type: ViewChildren24,
  args: [IgxTemplateOutletDirective, { read: IgxTemplateOutletDirective }]
}], hierarchicalRows: [{
  type: ViewChildren24,
  args: [IgxChildGridRowComponent]
}], hierarchicalRecordTemplate: [{
  type: ViewChild60,
  args: ["hierarchical_record_template", { read: TemplateRef41, static: true }]
}], childTemplate: [{
  type: ViewChild60,
  args: ["child_record_template", { read: TemplateRef41, static: true }]
}], actionStrip: [{
  type: ContentChild26,
  args: [IgxActionStripToken, { read: IgxActionStripToken, descendants: false }]
}], id: [{
  type: HostBinding97,
  args: ["attr.id"]
}, {
  type: Input137
}], data: [{
  type: Input137
}], totalItemCount: [{
  type: Input137
}], expandChildren: [{
  type: Input137,
  args: [{ transform: booleanAttribute79 }]
}] } });

// lib/grids/hierarchical-grid/public_api.mjs
var IGX_HIERARCHICAL_GRID_DIRECTIVES = [
  IgxHierarchicalGridComponent,
  IgxRowIslandComponent,
  IgxRowAddTextDirective,
  IgxRowEditActionsDirective,
  IgxRowEditTextDirective,
  IgxRowEditTabStopDirective,
  // IGX_GRID_COMMON_DIRECTIVES:
  IgxRowDirective,
  IgxGridFooterComponent,
  IgxAdvancedFilteringDialogComponent,
  IgxRowExpandedIndicatorDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxExcelStyleHeaderIconDirective,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxDragIndicatorIconDirective,
  IgxRowDragGhostDirective,
  IgxGridStateDirective,
  // IGX_GRID_HEADERS_DIRECTIVES:
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  // IGX_GRID_COLUMN_DIRECTIVES:
  IgxFilterCellTemplateDirective,
  IgxSummaryTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellEditorTemplateDirective,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumnComponent,
  IgxColumnGroupComponent,
  IgxColumnLayoutComponent,
  // IGX_GRID_COLUMN_ACTIONS_DIRECTIVES:
  IgxColumnActionsComponent,
  IgxColumnHidingDirective,
  IgxColumnPinningDirective,
  // IGX_GRID_SELECTION_DIRECTIVES:
  IgxRowSelectorDirective,
  IgxGroupByRowSelectorDirective,
  IgxHeadSelectorDirective,
  // IGX_GRID_TOOLBAR_DIRECTIVES:
  IgxCSVTextDirective,
  IgxExcelTextDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridToolbarDirective,
  // IGX_GRID_EXCEL_STYLE_FILTER_DIRECTIVES:
  IgxGridExcelStyleFilteringComponent,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleMovingComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleLoadingValuesTemplateDirective,
  // IGX_GRID_VALIDATION_DIRECTIVES:
  IgxColumnRequiredValidatorDirective,
  IgxColumnMinValidatorDirective,
  IgxColumnMaxValidatorDirective,
  IgxColumnEmailValidatorDirective,
  IgxColumnMinLengthValidatorDirective,
  IgxColumnMaxLengthValidatorDirective,
  IgxColumPatternValidatorDirective,
  // IGX_PAGINATOR_DIRECTIVES:
  IgxPaginatorComponent,
  IgxPageNavigationComponent,
  IgxPageSizeSelectorComponent,
  IgxPaginatorContentDirective,
  IgxPaginatorDirective
];

// lib/list/public_api.mjs
var IGX_LIST_DIRECTIVES = [
  IgxListComponent,
  IgxListItemComponent,
  IgxListThumbnailDirective,
  IgxListActionDirective,
  IgxListLineDirective,
  IgxListLineTitleDirective,
  IgxListLineSubTitleDirective,
  IgxDataLoadingTemplateDirective,
  IgxEmptyListTemplateDirective,
  IgxListItemLeftPanningTemplateDirective,
  IgxListItemRightPanningTemplateDirective
];

// lib/navbar/navbar.component.mjs
import { NgIf as NgIf77 } from "@angular/common";
import { Component as Component111, EventEmitter as EventEmitter76, HostBinding as HostBinding98, Input as Input138, Output as Output67, Directive as Directive91, ContentChild as ContentChild27, booleanAttribute as booleanAttribute80 } from "@angular/core";
import * as i0243 from "@angular/core";
var IgxNavbarActionDirective = class _IgxNavbarActionDirective {
  static {
    this.ɵfac = i0243.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: _IgxNavbarActionDirective, deps: [], target: i0243.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0243.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavbarActionDirective, isStandalone: true, selector: "igx-navbar-action,[igxNavbarAction]", ngImport: i0243 });
  }
};
i0243.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: IgxNavbarActionDirective, decorators: [{
  type: Directive91,
  args: [{
    selector: "igx-navbar-action,[igxNavbarAction]",
    standalone: true
  }]
}] });
var IgxNavbarTitleDirective = class _IgxNavbarTitleDirective {
  static {
    this.ɵfac = i0243.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: _IgxNavbarTitleDirective, deps: [], target: i0243.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0243.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavbarTitleDirective, isStandalone: true, selector: "igx-navbar-title,[igxNavbarTitle]", ngImport: i0243 });
  }
};
i0243.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: IgxNavbarTitleDirective, decorators: [{
  type: Directive91,
  args: [{
    selector: "igx-navbar-title,[igxNavbarTitle]",
    standalone: true
  }]
}] });
var NEXT_ID29 = 0;
var IgxNavbarComponent = class _IgxNavbarComponent {
  constructor() {
    this.id = `igx-navbar-${NEXT_ID29++}`;
    this.action = new EventEmitter76();
    this.titleId = `igx-navbar-title-${NEXT_ID29++}`;
    this.isVisible = true;
  }
  /**
   * Sets whether the action button of the `IgxNavbarComponent` is visible.
   * ```html
   * <igx-navbar [title]="currentView" [isActionButtonVisible]="'false'"></igx-navbar>
   * ```
   */
  set isActionButtonVisible(value) {
    this.isVisible = value;
  }
  /**
   * Returns whether the `IgxNavbarComponent` action button is visible, true/false.
   * ```typescript
   *  @ViewChild("MyChild")
   * public navBar: IgxNavbarComponent;
   * ngAfterViewInit(){
   *     let actionButtonVisibile = this.navBar.isActionButtonVisible;
   * }
   * ```
   */
  get isActionButtonVisible() {
    if (this.actionIconTemplate || !this.actionButtonIcon) {
      return false;
    }
    return this.isVisible;
  }
  get isTitleContentVisible() {
    return this.titleContent ? true : false;
  }
  /**
   * @hidden
   */
  _triggerAction() {
    this.action.emit(this);
  }
  static {
    this.ɵfac = i0243.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: _IgxNavbarComponent, deps: [], target: i0243.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0243.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxNavbarComponent, isStandalone: true, selector: "igx-navbar", inputs: { id: "id", actionButtonIcon: "actionButtonIcon", title: "title", titleId: "titleId", isActionButtonVisible: ["isActionButtonVisible", "isActionButtonVisible", booleanAttribute80] }, outputs: { action: "action" }, host: { properties: { "attr.id": "this.id" } }, queries: [{ propertyName: "actionIconTemplate", first: true, predicate: IgxNavbarActionDirective, descendants: true, read: IgxNavbarActionDirective }, { propertyName: "titleContent", first: true, predicate: IgxNavbarTitleDirective, descendants: true, read: IgxNavbarTitleDirective }], ngImport: i0243, template: '<nav class="igx-navbar" role="navigation" [attr.aria-labelledby]="titleId">\n    <div class="igx-navbar__left">\n        <igx-icon\n            (click)="_triggerAction()"\n            *ngIf="isActionButtonVisible">\n            {{actionButtonIcon}}\n        </igx-icon>\n        <ng-content select="igx-navbar-action, [igxNavbarAction]"></ng-content>\n    </div>\n    <div class="igx-navbar__middle">\n        <h1\n            *ngIf="!isTitleContentVisible"\n            class="igx-navbar__title"\n            [attr.id]="titleId">\n            {{ title }}\n        </h1>\n        <ng-content select="igx-navbar-title, [igxNavbarTitle]"></ng-content>\n    </div>\n    <div class="igx-navbar__right">\n        <ng-content></ng-content>\n    </div>\n</nav>\n', styles: [":host{display:block;width:100%}\n"], dependencies: [{ kind: "directive", type: NgIf77, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }] });
  }
};
i0243.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0243, type: IgxNavbarComponent, decorators: [{
  type: Component111,
  args: [{ selector: "igx-navbar", standalone: true, imports: [NgIf77, IgxIconComponent], template: '<nav class="igx-navbar" role="navigation" [attr.aria-labelledby]="titleId">\n    <div class="igx-navbar__left">\n        <igx-icon\n            (click)="_triggerAction()"\n            *ngIf="isActionButtonVisible">\n            {{actionButtonIcon}}\n        </igx-icon>\n        <ng-content select="igx-navbar-action, [igxNavbarAction]"></ng-content>\n    </div>\n    <div class="igx-navbar__middle">\n        <h1\n            *ngIf="!isTitleContentVisible"\n            class="igx-navbar__title"\n            [attr.id]="titleId">\n            {{ title }}\n        </h1>\n        <ng-content select="igx-navbar-title, [igxNavbarTitle]"></ng-content>\n    </div>\n    <div class="igx-navbar__right">\n        <ng-content></ng-content>\n    </div>\n</nav>\n', styles: [":host{display:block;width:100%}\n"] }]
}], propDecorators: { id: [{
  type: HostBinding98,
  args: ["attr.id"]
}, {
  type: Input138
}], actionButtonIcon: [{
  type: Input138
}], title: [{
  type: Input138
}], action: [{
  type: Output67
}], titleId: [{
  type: Input138
}], actionIconTemplate: [{
  type: ContentChild27,
  args: [IgxNavbarActionDirective, { read: IgxNavbarActionDirective }]
}], titleContent: [{
  type: ContentChild27,
  args: [IgxNavbarTitleDirective, { read: IgxNavbarTitleDirective }]
}], isActionButtonVisible: [{
  type: Input138,
  args: [{ transform: booleanAttribute80 }]
}] } });

// lib/navbar/public_api.mjs
var IGX_NAVBAR_DIRECTIVES = [
  IgxNavbarComponent,
  IgxNavbarActionDirective,
  IgxNavbarTitleDirective
];

// lib/navigation-drawer/navigation-drawer.directives.mjs
import { Directive as Directive92, HostBinding as HostBinding99, Input as Input139, booleanAttribute as booleanAttribute81 } from "@angular/core";
import * as i0244 from "@angular/core";
var IgxNavDrawerItemDirective = class _IgxNavDrawerItemDirective {
  constructor() {
    this.active = false;
    this.isHeader = false;
    this.activeClass = "igx-nav-drawer__item--active";
  }
  /**
   * @hidden
   */
  get defaultCSS() {
    return !this.active && !this.isHeader;
  }
  /**
   * @hidden
   */
  get currentCSS() {
    return this.active && !this.isHeader;
  }
  /**
   * @hidden
   */
  get headerCSS() {
    return this.isHeader;
  }
  static {
    this.ɵfac = i0244.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: _IgxNavDrawerItemDirective, deps: [], target: i0244.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0244.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxNavDrawerItemDirective, isStandalone: true, selector: "[igxDrawerItem]", inputs: { active: ["active", "active", booleanAttribute81], isHeader: ["isHeader", "isHeader", booleanAttribute81] }, host: { properties: { "class.igx-nav-drawer__item": "this.defaultCSS", "class.igx-nav-drawer__item--active": "this.currentCSS", "class.igx-nav-drawer__item--header": "this.headerCSS" } }, exportAs: ["igxDrawerItem"], ngImport: i0244 });
  }
};
i0244.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: IgxNavDrawerItemDirective, decorators: [{
  type: Directive92,
  args: [{
    selector: "[igxDrawerItem]",
    exportAs: "igxDrawerItem",
    standalone: true
  }]
}], propDecorators: { active: [{
  type: Input139,
  args: [{ alias: "active", transform: booleanAttribute81 }]
}], isHeader: [{
  type: Input139,
  args: [{ alias: "isHeader", transform: booleanAttribute81 }]
}], defaultCSS: [{
  type: HostBinding99,
  args: ["class.igx-nav-drawer__item"]
}], currentCSS: [{
  type: HostBinding99,
  args: ["class.igx-nav-drawer__item--active"]
}], headerCSS: [{
  type: HostBinding99,
  args: ["class.igx-nav-drawer__item--header"]
}] } });
var IgxNavDrawerTemplateDirective = class _IgxNavDrawerTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0244.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: _IgxNavDrawerTemplateDirective, deps: [{ token: i0244.TemplateRef }], target: i0244.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0244.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavDrawerTemplateDirective, isStandalone: true, selector: "[igxDrawer]", ngImport: i0244 });
  }
};
i0244.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: IgxNavDrawerTemplateDirective, decorators: [{
  type: Directive92,
  args: [{
    selector: "[igxDrawer]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0244.TemplateRef }] });
var IgxNavDrawerMiniTemplateDirective = class _IgxNavDrawerMiniTemplateDirective {
  constructor(template) {
    this.template = template;
  }
  static {
    this.ɵfac = i0244.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: _IgxNavDrawerMiniTemplateDirective, deps: [{ token: i0244.TemplateRef }], target: i0244.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0244.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxNavDrawerMiniTemplateDirective, isStandalone: true, selector: "[igxDrawerMini]", ngImport: i0244 });
  }
};
i0244.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0244, type: IgxNavDrawerMiniTemplateDirective, decorators: [{
  type: Directive92,
  args: [{
    selector: "[igxDrawerMini]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: i0244.TemplateRef }] });

// lib/navigation-drawer/navigation-drawer.component.mjs
import { Component as Component112, ContentChild as ContentChild28, ElementRef as ElementRef110, EventEmitter as EventEmitter77, HostBinding as HostBinding100, Inject as Inject99, Input as Input140, Optional as Optional47, Output as Output68, ViewChild as ViewChild61, booleanAttribute as booleanAttribute82 } from "@angular/core";
import { fromEvent as fromEvent14, interval as interval7 } from "rxjs";
import { debounce as debounce3 } from "rxjs/operators";
import { NgTemplateOutlet as NgTemplateOutlet45 } from "@angular/common";
import * as i0245 from "@angular/core";
var NEXT_ID30 = 0;
var IgxNavigationDrawerComponent = class _IgxNavigationDrawerComponent {
  /**
   * State of the drawer.
   *
   * ```typescript
   * // get
   * let navDrawerIsOpen = this.navdrawer.isOpen;
   * ```
   *
   * ```html
   * <!--set-->
   * <igx-nav-drawer [isOpen]='false'></igx-nav-drawer>
   * ```
   *
   * Two-way data binding.
   * ```html
   * <!--set-->
   * <igx-nav-drawer [(isOpen)]='model.isOpen'></igx-nav-drawer>
   * ```
   */
  get isOpen() {
    return this._isOpen;
  }
  set isOpen(value) {
    this._isOpen = value;
    this.isOpenChange.emit(this._isOpen);
  }
  /**
   * Returns nativeElement of the component.
   *
   * @hidden
   */
  get element() {
    return this.elementRef.nativeElement;
  }
  /**
   * @hidden
   */
  get template() {
    if (this.miniTemplate && !this.isOpen) {
      return this.miniTemplate.template;
    } else if (this.contentTemplate) {
      return this.contentTemplate.template;
    }
  }
  /**
   * @hidden
   */
  get miniTemplate() {
    return this._miniTemplate;
  }
  /**
   * @hidden
   */
  set miniTemplate(v) {
    if (!this.isOpen) {
      this.setDrawerWidth(v ? this.miniWidth : "");
    }
    this._miniTemplate = v;
  }
  /**
   * @hidden
   */
  get flexWidth() {
    if (!this.pin) {
      return "0px";
    }
    if (this.isOpen) {
      return this.width;
    }
    if (this.miniTemplate && this.miniWidth) {
      return this.miniWidth;
    }
    return "0px";
  }
  /** @hidden */
  get isPinnedRight() {
    return this.pin && this.position === "right" ? "1" : "0";
  }
  /**
   * @hidden
   */
  get drawer() {
    return this._drawer.nativeElement;
  }
  /**
   * @hidden
   */
  get overlay() {
    return this._overlay.nativeElement;
  }
  /**
   * @hidden
   */
  get styleDummy() {
    return this._styleDummy.nativeElement;
  }
  /**
   * Property to decide whether to change width or translate the drawer from pan gesture.
   *
   * @hidden
   */
  get hasAnimateWidth() {
    return this.pin || !!this.miniTemplate;
  }
  /**
   * Used for touch gestures (swipe and pan).
   * Defaults to 50 (in px) and is extended to at least 110% of the mini template width if available.
   *
   * @hidden
   */
  get maxEdgeZone() {
    return this._maxEdgeZone;
  }
  /**
   * Gets the Drawer width for specific state.
   * Will attempt to evaluate requested state and cache.
   *
   *
   * @hidden
   */
  get expectedWidth() {
    return this.getExpectedWidth(false);
  }
  /**
   * Get the Drawer mini width for specific state.
   * Will attempt to evaluate requested state and cache.
   *
   * @hidden
   */
  get expectedMiniWidth() {
    return this.getExpectedWidth(true);
  }
  /**
   * @hidden
   */
  get touchManager() {
    return this._touchManager;
  }
  /**
   * Exposes optional navigation service
   *
   * @hidden
   */
  get state() {
    return this._state;
  }
  constructor(elementRef, _state, renderer, _touchManager, platformUtil) {
    this.elementRef = elementRef;
    this._state = _state;
    this.renderer = renderer;
    this._touchManager = _touchManager;
    this.platformUtil = platformUtil;
    this.cssClass = true;
    this.id = `igx-nav-drawer-${NEXT_ID30++}`;
    this.position = "left";
    this.enableGestures = true;
    this.isOpenChange = new EventEmitter77();
    this.pinThreshold = 1024;
    this.pin = false;
    this.disableAnimation = false;
    this.pinChange = new EventEmitter77(true);
    this.opening = new EventEmitter77();
    this.opened = new EventEmitter77();
    this.closing = new EventEmitter77();
    this.closed = new EventEmitter77();
    this._isOpen = false;
    this._gesturesAttached = false;
    this._widthCache = { width: null, miniWidth: null, windowWidth: null };
    this.css = {
      drawer: "igx-nav-drawer__aside",
      mini: "igx-nav-drawer__aside--mini",
      overlay: "igx-nav-drawer__overlay",
      styleDummy: "igx-nav-drawer__style-dummy"
    };
    this._panning = false;
    this._maxEdgeZone = 50;
    this.checkPinThreshold = (evt) => {
      if (!this.platformUtil.isBrowser) {
        return;
      }
      let windowWidth;
      if (this.pinThreshold) {
        windowWidth = this.getWindowWidth();
        if (evt && this._widthCache.windowWidth === windowWidth) {
          return;
        }
        this._widthCache.windowWidth = windowWidth;
        if (!this.pin && windowWidth >= this.pinThreshold) {
          this.pin = true;
          this.pinChange.emit(true);
        } else if (this.pin && windowWidth < this.pinThreshold) {
          this.pin = false;
          this.pinChange.emit(false);
        }
      }
    };
    this.swipe = (evt) => {
      if (!this.enableGestures || evt.pointerType !== "touch") {
        return;
      }
      let deltaX;
      let startPosition;
      if (this.position === "right") {
        deltaX = -evt.deltaX;
        startPosition = this.getWindowWidth() - (evt.center.x + evt.distance);
      } else {
        deltaX = evt.deltaX;
        startPosition = evt.center.x - evt.distance;
      }
      if (this.isOpen && deltaX < 0 || // positive deltaX from the edge:
      deltaX > 0 && startPosition < this.maxEdgeZone) {
        this.toggle();
      }
    };
    this.panstart = (evt) => {
      if (!this.enableGestures || this.pin || evt.pointerType !== "touch") {
        return;
      }
      const startPosition = this.position === "right" ? this.getWindowWidth() - (evt.center.x + evt.distance) : evt.center.x - evt.distance;
      if (this.isOpen || startPosition < this.maxEdgeZone) {
        this._panning = true;
        this._panStartWidth = this.getExpectedWidth(!this.isOpen);
        this._panLimit = this.getExpectedWidth(this.isOpen);
        this.renderer.addClass(this.overlay, "panning");
        this.renderer.addClass(this.drawer, "panning");
      }
    };
    this.pan = (evt) => {
      if (!this._panning) {
        return;
      }
      const right = this.position === "right";
      const deltaX = right ? -evt.deltaX : evt.deltaX;
      let newX;
      let percent;
      const visibleWidth = this._panStartWidth + deltaX;
      if (this.isOpen && deltaX < 0) {
        if (visibleWidth <= this._panLimit) {
          return;
        }
        if (this.hasAnimateWidth) {
          percent = (visibleWidth - this._panLimit) / (this._panStartWidth - this._panLimit);
          newX = visibleWidth;
        } else {
          percent = visibleWidth / this._panStartWidth;
          newX = evt.deltaX;
        }
        this.setXSize(newX, percent.toPrecision(2));
      } else if (!this.isOpen && deltaX > 0) {
        if (visibleWidth >= this._panLimit) {
          return;
        }
        if (this.hasAnimateWidth) {
          percent = (visibleWidth - this._panStartWidth) / (this._panLimit - this._panStartWidth);
          newX = visibleWidth;
        } else {
          percent = visibleWidth / this._panLimit;
          newX = (this._panLimit - visibleWidth) * (right ? 1 : -1);
        }
        this.setXSize(newX, percent.toPrecision(2));
      }
    };
    this.panEnd = (evt) => {
      if (this._panning) {
        const deltaX = this.position === "right" ? -evt.deltaX : evt.deltaX;
        const visibleWidth = this._panStartWidth + deltaX;
        this.resetPan();
        if (this.isOpen && visibleWidth <= this._panStartWidth / 2) {
          this.close();
        } else if (!this.isOpen && visibleWidth >= this._panLimit / 2) {
          this.open();
        }
        this._panStartWidth = null;
      }
    };
    this.toggleOpenedEvent = () => {
      this.elementRef.nativeElement.removeEventListener("transitionend", this.toggleOpenedEvent, false);
      this.opened.emit();
    };
    this.toggleClosedEvent = () => {
      this.elementRef.nativeElement.removeEventListener("transitionend", this.toggleClosedEvent, false);
      this.closed.emit();
    };
  }
  /**
   * @hidden
   */
  ngOnInit() {
    if (this._state) {
      this._state.add(this.id, this);
    }
    if (this.isOpen) {
      this.setDrawerWidth(this.width);
    }
  }
  /**
   * @hidden
   */
  ngAfterContentInit() {
    this.updateEdgeZone();
    this.checkPinThreshold();
    this.ensureEvents();
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._touchManager.destroy();
    if (this._state) {
      this._state.remove(this.id);
    }
    if (this._resizeObserver) {
      this._resizeObserver.unsubscribe();
    }
  }
  /**
   * @hidden
   */
  ngOnChanges(changes) {
    if (changes.enableGestures && changes.enableGestures.currentValue !== void 0) {
      this.enableGestures = !!(this.enableGestures && this.enableGestures.toString() === "true");
      this.ensureEvents();
    }
    if (changes.pin && changes.pin.currentValue !== void 0) {
      this.pin = !!(this.pin && this.pin.toString() === "true");
      if (this.pin) {
        this._touchManager.destroy();
        this._gesturesAttached = false;
      } else {
        this.ensureEvents();
      }
    }
    if (changes.pinThreshold) {
      if (this.pinThreshold) {
        this.ensureEvents();
        this.checkPinThreshold();
      }
    }
    if (changes.width && this.isOpen) {
      this.setDrawerWidth(changes.width.currentValue);
    }
    if (changes.isOpen) {
      this.setDrawerWidth(this.isOpen ? this.width : this.miniTemplate ? this.miniWidth : "");
    }
    if (changes.miniWidth) {
      if (!this.isOpen) {
        this.setDrawerWidth(changes.miniWidth.currentValue);
      }
      this.updateEdgeZone();
    }
  }
  /**
   * Toggle the open state of the Navigation Drawer.
   *
   * ```typescript
   * this.navdrawer.toggle();
   * ```
   */
  toggle() {
    if (this.isOpen) {
      this.close();
    } else {
      this.open();
    }
  }
  /**
   * Open the Navigation Drawer. Has no effect if already opened.
   *
   * ```typescript
   * this.navdrawer.open();
   * ```
   */
  open() {
    if (this._panning) {
      this.resetPan();
    }
    if (this.isOpen) {
      return;
    }
    this.opening.emit();
    this.isOpen = true;
    this.elementRef.nativeElement.addEventListener("transitionend", this.toggleOpenedEvent, false);
    this.setDrawerWidth(this.width);
  }
  /**
   * Close the Navigation Drawer. Has no effect if already closed.
   *
   * ```typescript
   * this.navdrawer.close();
   * ```
   */
  close() {
    if (this._panning) {
      this.resetPan();
    }
    if (!this.isOpen) {
      return;
    }
    this.closing.emit();
    this.isOpen = false;
    this.setDrawerWidth(this.miniTemplate ? this.miniWidth : "");
    this.elementRef.nativeElement.addEventListener("transitionend", this.toggleClosedEvent, false);
  }
  /**
   * @hidden
   */
  set_maxEdgeZone(value) {
    this._maxEdgeZone = value;
  }
  /**
   * Get the Drawer width for specific state. Will attempt to evaluate requested state and cache.
   *
   * @hidden
   * @param [mini] - Request mini width instead
   */
  getExpectedWidth(mini) {
    if (mini) {
      if (!this.miniTemplate) {
        return 0;
      }
      if (this.miniWidth) {
        return parseFloat(this.miniWidth);
      } else {
        if (this._widthCache.miniWidth === null) {
          this.renderer.addClass(this.styleDummy, this.css.drawer);
          this.renderer.addClass(this.styleDummy, this.css.mini);
          this._widthCache.miniWidth = this.styleDummy.offsetWidth;
          this.renderer.removeClass(this.styleDummy, this.css.drawer);
          this.renderer.removeClass(this.styleDummy, this.css.mini);
        }
        return this._widthCache.miniWidth;
      }
    } else {
      if (this.width) {
        return parseFloat(this.width);
      } else {
        if (this._widthCache.width === null) {
          this.renderer.addClass(this.styleDummy, this.css.drawer);
          this._widthCache.width = this.styleDummy.offsetWidth;
          this.renderer.removeClass(this.styleDummy, this.css.drawer);
        }
        return this._widthCache.width;
      }
    }
  }
  getWindowWidth() {
    return window.innerWidth > 0 ? window.innerWidth : screen.width;
  }
  /**
   * Sets the drawer width.
   */
  setDrawerWidth(width) {
    if (this.platformUtil.isBrowser) {
      requestAnimationFrame(() => {
        if (this.drawer) {
          this.renderer.setStyle(this.drawer, "width", width);
        }
      });
    } else {
      this.renderer.setStyle(this.drawer, "width", width);
    }
  }
  /**
   * Get current Drawer width.
   */
  getDrawerWidth() {
    return this.drawer.offsetWidth;
  }
  ensureEvents() {
    if (this.enableGestures && !this.pin && !this._gesturesAttached) {
      this._touchManager.addGlobalEventListener("document", "swipe", this.swipe);
      this._gesturesAttached = true;
      this._touchManager.addGlobalEventListener("document", "panstart", this.panstart);
      this._touchManager.addGlobalEventListener("document", "panmove", this.pan);
      this._touchManager.addGlobalEventListener("document", "panend", this.panEnd);
    }
    if (!this._resizeObserver && this.platformUtil.isBrowser) {
      this._resizeObserver = fromEvent14(window, "resize").pipe(debounce3(() => interval7(150))).subscribe((value) => {
        this.checkPinThreshold(value);
      });
    }
  }
  updateEdgeZone() {
    let maxValue;
    if (this.miniTemplate) {
      maxValue = Math.max(this._maxEdgeZone, this.getExpectedWidth(true) * 1.1);
      this.set_maxEdgeZone(maxValue);
    }
  }
  resetPan() {
    this._panning = false;
    this.renderer.removeClass(this.overlay, "panning");
    this.renderer.removeClass(this.drawer, "panning");
    this.setXSize(0, "");
  }
  /**
   * Sets the absolute position or width in case the drawer doesn't change position.
   *
   * @param x the number pixels to translate on the X axis or the width to set. 0 width will clear the style instead.
   * @param opacity optional value to apply to the overlay
   */
  setXSize(x, opacity) {
    window.requestAnimationFrame(() => {
      if (this.hasAnimateWidth) {
        this.renderer.setStyle(this.drawer, "width", x ? Math.abs(x) + "px" : "");
      } else {
        this.renderer.setStyle(this.drawer, "transform", x ? "translate3d(" + x + "px,0,0)" : "");
        this.renderer.setStyle(this.drawer, "-webkit-transform", x ? "translate3d(" + x + "px,0,0)" : "");
      }
      if (opacity !== void 0) {
        this.renderer.setStyle(this.overlay, "opacity", opacity);
      }
    });
  }
  static {
    this.ɵfac = i0245.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0245, type: _IgxNavigationDrawerComponent, deps: [{ token: ElementRef110 }, { token: IgxNavigationService, optional: true }, { token: i0245.Renderer2 }, { token: HammerGesturesManager }, { token: PlatformUtil }], target: i0245.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0245.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxNavigationDrawerComponent, isStandalone: true, selector: "igx-nav-drawer", inputs: { id: "id", position: "position", enableGestures: ["enableGestures", "enableGestures", booleanAttribute82], pinThreshold: "pinThreshold", pin: ["pin", "pin", booleanAttribute82], width: "width", disableAnimation: ["disableAnimation", "disableAnimation", booleanAttribute82], miniWidth: "miniWidth", isOpen: ["isOpen", "isOpen", booleanAttribute82] }, outputs: { isOpenChange: "isOpenChange", pinChange: "pinChange", opening: "opening", opened: "opened", closing: "closing", closed: "closed" }, host: { properties: { "class.igx-nav-drawer": "this.cssClass", "attr.id": "this.id", "class.igx-nav-drawer--disable-animation": "this.disableAnimation", "style.flexBasis": "this.flexWidth", "style.order": "this.isPinnedRight" } }, providers: [HammerGesturesManager], queries: [{ propertyName: "contentTemplate", first: true, predicate: IgxNavDrawerTemplateDirective, descendants: true, read: IgxNavDrawerTemplateDirective }, { propertyName: "miniTemplate", first: true, predicate: IgxNavDrawerMiniTemplateDirective, descendants: true, read: IgxNavDrawerMiniTemplateDirective }], viewQueries: [{ propertyName: "_drawer", first: true, predicate: ["aside"], descendants: true, static: true }, { propertyName: "_overlay", first: true, predicate: ["overlay"], descendants: true, static: true }, { propertyName: "_styleDummy", first: true, predicate: ["dummy"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0245, template: `<ng-template #defaultItemsTemplate>
    <div igxDrawerItem [isHeader]="true">Navigation Drawer</div>
    <div igxDrawerItem> Start by adding</div>
    <div igxDrawerItem> <code>&lt;ng-template igxDrawer&gt;</code> </div>
    <div igxDrawerItem> And some items inside </div>
    <div igxDrawerItem> Style with igxDrawerItem </div>
    <div igxDrawerItem> and igxRipple directives</div>
</ng-template>

<div [hidden]="pin"
    class="igx-nav-drawer__overlay"
    [class.igx-nav-drawer__overlay--hidden]="!isOpen"
    [class.igx-nav-drawer--disable-animation]="disableAnimation"
    (click)="close()" #overlay>
</div>
<aside role="navigation"
    class="igx-nav-drawer__aside"
    [class.igx-nav-drawer__aside--collapsed]="!miniTemplate && !isOpen"
    [class.igx-nav-drawer__aside--mini]="miniTemplate && !isOpen"
    [class.igx-nav-drawer__aside--normal]="!miniTemplate || isOpen"
    [class.igx-nav-drawer__aside--pinned]="pin"
    [class.igx-nav-drawer__aside--right]="position === 'right'" #aside
    [class.igx-nav-drawer--disable-animation]="disableAnimation">

    <ng-container *ngTemplateOutlet="template || defaultItemsTemplate"></ng-container>
</aside>
<div class="igx-nav-drawer__style-dummy" #dummy></div>
`, styles: [":host{display:block;height:100%}\n"], dependencies: [{ kind: "directive", type: IgxNavDrawerItemDirective, selector: "[igxDrawerItem]", inputs: ["active", "isHeader"], exportAs: ["igxDrawerItem"] }, { kind: "directive", type: NgTemplateOutlet45, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0245.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0245, type: IgxNavigationDrawerComponent, decorators: [{
  type: Component112,
  args: [{ providers: [HammerGesturesManager], selector: "igx-nav-drawer", standalone: true, imports: [IgxNavDrawerItemDirective, NgTemplateOutlet45], template: `<ng-template #defaultItemsTemplate>
    <div igxDrawerItem [isHeader]="true">Navigation Drawer</div>
    <div igxDrawerItem> Start by adding</div>
    <div igxDrawerItem> <code>&lt;ng-template igxDrawer&gt;</code> </div>
    <div igxDrawerItem> And some items inside </div>
    <div igxDrawerItem> Style with igxDrawerItem </div>
    <div igxDrawerItem> and igxRipple directives</div>
</ng-template>

<div [hidden]="pin"
    class="igx-nav-drawer__overlay"
    [class.igx-nav-drawer__overlay--hidden]="!isOpen"
    [class.igx-nav-drawer--disable-animation]="disableAnimation"
    (click)="close()" #overlay>
</div>
<aside role="navigation"
    class="igx-nav-drawer__aside"
    [class.igx-nav-drawer__aside--collapsed]="!miniTemplate && !isOpen"
    [class.igx-nav-drawer__aside--mini]="miniTemplate && !isOpen"
    [class.igx-nav-drawer__aside--normal]="!miniTemplate || isOpen"
    [class.igx-nav-drawer__aside--pinned]="pin"
    [class.igx-nav-drawer__aside--right]="position === 'right'" #aside
    [class.igx-nav-drawer--disable-animation]="disableAnimation">

    <ng-container *ngTemplateOutlet="template || defaultItemsTemplate"></ng-container>
</aside>
<div class="igx-nav-drawer__style-dummy" #dummy></div>
`, styles: [":host{display:block;height:100%}\n"] }]
}], ctorParameters: () => [{ type: i0245.ElementRef, decorators: [{
  type: Inject99,
  args: [ElementRef110]
}] }, { type: IgxNavigationService, decorators: [{
  type: Optional47
}] }, { type: i0245.Renderer2 }, { type: HammerGesturesManager }, { type: PlatformUtil }], propDecorators: { cssClass: [{
  type: HostBinding100,
  args: ["class.igx-nav-drawer"]
}], id: [{
  type: HostBinding100,
  args: ["attr.id"]
}, {
  type: Input140
}], position: [{
  type: Input140
}], enableGestures: [{
  type: Input140,
  args: [{ transform: booleanAttribute82 }]
}], isOpenChange: [{
  type: Output68
}], pinThreshold: [{
  type: Input140
}], pin: [{
  type: Input140,
  args: [{ transform: booleanAttribute82 }]
}], width: [{
  type: Input140
}], disableAnimation: [{
  type: HostBinding100,
  args: ["class.igx-nav-drawer--disable-animation"]
}, {
  type: Input140,
  args: [{ transform: booleanAttribute82 }]
}], miniWidth: [{
  type: Input140
}], pinChange: [{
  type: Output68
}], opening: [{
  type: Output68
}], opened: [{
  type: Output68
}], closing: [{
  type: Output68
}], closed: [{
  type: Output68
}], contentTemplate: [{
  type: ContentChild28,
  args: [IgxNavDrawerTemplateDirective, { read: IgxNavDrawerTemplateDirective }]
}], _drawer: [{
  type: ViewChild61,
  args: ["aside", { static: true }]
}], _overlay: [{
  type: ViewChild61,
  args: ["overlay", { static: true }]
}], _styleDummy: [{
  type: ViewChild61,
  args: ["dummy", { static: true }]
}], isOpen: [{
  type: Input140,
  args: [{ transform: booleanAttribute82 }]
}], miniTemplate: [{
  type: ContentChild28,
  args: [IgxNavDrawerMiniTemplateDirective, { read: IgxNavDrawerMiniTemplateDirective }]
}], flexWidth: [{
  type: HostBinding100,
  args: ["style.flexBasis"]
}], isPinnedRight: [{
  type: HostBinding100,
  args: ["style.order"]
}] } });

// lib/navigation-drawer/public_api.mjs
var IGX_NAVIGATION_DRAWER_DIRECTIVES = [
  IgxNavigationDrawerComponent,
  IgxNavDrawerItemDirective,
  IgxNavDrawerMiniTemplateDirective,
  IgxNavDrawerTemplateDirective
];

// lib/progressbar/public_api.mjs
var IGX_PROGRESS_BAR_DIRECTIVES = [
  IgxLinearProgressBarComponent,
  IgxCircularProgressBarComponent,
  IgxProgressBarTextTemplateDirective,
  IgxProgressBarGradientDirective
];
var IGX_LINEAR_PROGRESS_BAR_DIRECTIVES = [
  IgxLinearProgressBarComponent,
  IgxProgressBarGradientDirective
];
var IGX_CIRCULAR_PROGRESS_BAR_DIRECTIVES = [
  IgxCircularProgressBarComponent,
  IgxProgressBarTextTemplateDirective,
  IgxProgressBarGradientDirective
];

// lib/slider/slider.common.mjs
import { Directive as Directive93 } from "@angular/core";
import * as i0246 from "@angular/core";
var IgxThumbFromTemplateDirective = class _IgxThumbFromTemplateDirective {
  static {
    this.ɵfac = i0246.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: _IgxThumbFromTemplateDirective, deps: [], target: i0246.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0246.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxThumbFromTemplateDirective, isStandalone: true, selector: "[igxSliderThumbFrom]", ngImport: i0246 });
  }
};
i0246.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: IgxThumbFromTemplateDirective, decorators: [{
  type: Directive93,
  args: [{
    selector: "[igxSliderThumbFrom]",
    standalone: true
  }]
}] });
var IgxThumbToTemplateDirective = class _IgxThumbToTemplateDirective {
  static {
    this.ɵfac = i0246.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: _IgxThumbToTemplateDirective, deps: [], target: i0246.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0246.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxThumbToTemplateDirective, isStandalone: true, selector: "[igxSliderThumbTo]", ngImport: i0246 });
  }
};
i0246.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: IgxThumbToTemplateDirective, decorators: [{
  type: Directive93,
  args: [{
    selector: "[igxSliderThumbTo]",
    standalone: true
  }]
}] });
var IgxTickLabelTemplateDirective = class _IgxTickLabelTemplateDirective {
  static {
    this.ɵfac = i0246.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: _IgxTickLabelTemplateDirective, deps: [], target: i0246.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0246.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTickLabelTemplateDirective, isStandalone: true, selector: "[igxSliderTickLabel]", ngImport: i0246 });
  }
};
i0246.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0246, type: IgxTickLabelTemplateDirective, decorators: [{
  type: Directive93,
  args: [{
    selector: "[igxSliderTickLabel]",
    standalone: true
  }]
}] });
var IgxSliderType = /* @__PURE__ */ mkenum({
  /**
   * Slider with single thumb.
   */
  SLIDER: "slider",
  /**
   *  Range slider with multiple thumbs, that can mark the range.
   */
  RANGE: "range"
});
var SliderHandle = /* @__PURE__ */ mkenum({
  FROM: "from",
  TO: "to"
});
var TickLabelsOrientation = /* @__PURE__ */ mkenum({
  Horizontal: "horizontal",
  TopToBottom: "toptobottom",
  BottomToTop: "bottomtotop"
});
var TicksOrientation = /* @__PURE__ */ mkenum({
  Top: "top",
  Bottom: "bottom",
  Mirror: "mirror"
});

// lib/slider/label/thumb-label.component.mjs
import { Component as Component113, Input as Input141, HostBinding as HostBinding101, booleanAttribute as booleanAttribute83 } from "@angular/core";
import { NgClass as NgClass38, NgTemplateOutlet as NgTemplateOutlet46 } from "@angular/common";
import * as i0247 from "@angular/core";
var IgxThumbLabelComponent = class _IgxThumbLabelComponent {
  get thumbFromClass() {
    return this.type === SliderHandle.FROM;
  }
  get thumbToClass() {
    return this.type === SliderHandle.TO;
  }
  get thumbFromActiveClass() {
    return this.type === SliderHandle.FROM && this.active;
  }
  get thumbToActiveClass() {
    return this.type === SliderHandle.TO && this.active;
  }
  get labelFromPressedClass() {
    return this.thumb?.thumbFromPressedClass;
  }
  get labelToPressedClass() {
    return this.thumb?.thumbToPressedClass;
  }
  get getLabelClass() {
    return {
      "igx-slider-thumb-label-from__container": this.type === SliderHandle.FROM,
      "igx-slider-thumb-label-to__container": this.type === SliderHandle.TO
    };
  }
  constructor(_elementRef) {
    this._elementRef = _elementRef;
  }
  get nativeElement() {
    return this._elementRef.nativeElement;
  }
  get active() {
    return this._active;
  }
  set active(val) {
    if (this.continuous || this.deactiveState) {
      this._active = false;
    } else {
      this._active = val;
    }
  }
  static {
    this.ɵfac = i0247.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0247, type: _IgxThumbLabelComponent, deps: [{ token: i0247.ElementRef }], target: i0247.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0247.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxThumbLabelComponent, isStandalone: true, selector: "igx-thumb-label", inputs: { value: "value", templateRef: "templateRef", context: "context", type: "type", continuous: ["continuous", "continuous", booleanAttribute83], deactiveState: ["deactiveState", "deactiveState", booleanAttribute83], thumb: "thumb" }, host: { properties: { "class.igx-slider-thumb-label-from": "this.thumbFromClass", "class.igx-slider-thumb-label-to": "this.thumbToClass", "class.igx-slider-thumb-label-from--active": "this.thumbFromActiveClass", "class.igx-slider-thumb-label-to--active": "this.thumbToActiveClass", "class.igx-slider-thumb-label-from--pressed": "this.labelFromPressedClass", "class.igx-slider-thumb-label-to--pressed": "this.labelToPressedClass" } }, ngImport: i0247, template: '<div [ngClass]="getLabelClass">\n    <ng-container *ngTemplateOutlet="templateRef ? templateRef : thumbFromDefaultTemplate; context: context"></ng-container>\n</div>\n\n<ng-template #thumbFromDefaultTemplate>\n    {{ value }}\n</ng-template>\n', dependencies: [{ kind: "directive", type: NgClass38, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgTemplateOutlet46, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0247.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0247, type: IgxThumbLabelComponent, decorators: [{
  type: Component113,
  args: [{ selector: "igx-thumb-label", standalone: true, imports: [NgClass38, NgTemplateOutlet46], template: '<div [ngClass]="getLabelClass">\n    <ng-container *ngTemplateOutlet="templateRef ? templateRef : thumbFromDefaultTemplate; context: context"></ng-container>\n</div>\n\n<ng-template #thumbFromDefaultTemplate>\n    {{ value }}\n</ng-template>\n' }]
}], ctorParameters: () => [{ type: i0247.ElementRef }], propDecorators: { value: [{
  type: Input141
}], templateRef: [{
  type: Input141
}], context: [{
  type: Input141
}], type: [{
  type: Input141
}], continuous: [{
  type: Input141,
  args: [{ transform: booleanAttribute83 }]
}], deactiveState: [{
  type: Input141,
  args: [{ transform: booleanAttribute83 }]
}], thumb: [{
  type: Input141
}], thumbFromClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-from"]
}], thumbToClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-to"]
}], thumbFromActiveClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-from--active"]
}], thumbToActiveClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-to--active"]
}], labelFromPressedClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-from--pressed"]
}], labelToPressedClass: [{
  type: HostBinding101,
  args: ["class.igx-slider-thumb-label-to--pressed"]
}] } });

// lib/slider/thumb/thumb-slider.component.mjs
import { Component as Component114, Input as Input142, HostListener as HostListener50, HostBinding as HostBinding102, Output as Output69, EventEmitter as EventEmitter78, booleanAttribute as booleanAttribute84 } from "@angular/core";
import { takeUntil as takeUntil52 } from "rxjs/operators";
import { Subject as Subject56 } from "rxjs";
import { NgClass as NgClass39 } from "@angular/common";
import * as i0248 from "@angular/core";
var IgxSliderThumbComponent = class _IgxSliderThumbComponent {
  get thumbFromClass() {
    return this.type === SliderHandle.FROM;
  }
  get thumbToClass() {
    return this.type === SliderHandle.TO;
  }
  get thumbFromActiveClass() {
    return this.type === SliderHandle.FROM && this._isActive;
  }
  get thumbToActiveClass() {
    return this.type === SliderHandle.TO && this._isActive;
  }
  get thumbFromDisabledClass() {
    return this.type === SliderHandle.FROM && this.disabled;
  }
  get thumbToDisabledClass() {
    return this.type === SliderHandle.TO && this.disabled;
  }
  get thumbFromPressedClass() {
    return this.type === SliderHandle.FROM && this.isActive && this._isPressed;
  }
  get thumbToPressedClass() {
    return this.type === SliderHandle.TO && this.isActive && this._isPressed;
  }
  get getDotClass() {
    return {
      "igx-slider-thumb-from__dot": this.type === SliderHandle.FROM,
      "igx-slider-thumb-to__dot": this.type === SliderHandle.TO
    };
  }
  get nativeElement() {
    return this._elementRef.nativeElement;
  }
  get destroy() {
    return this._destroy$;
  }
  get thumbPositionX() {
    const thumbBounderies = this.nativeElement.getBoundingClientRect();
    const thumbCenter = (thumbBounderies.right - thumbBounderies.left) / 2;
    return thumbBounderies.left + thumbCenter;
  }
  constructor(_elementRef, _dir) {
    this._elementRef = _elementRef;
    this._dir = _dir;
    this.thumbValueChange = new EventEmitter78();
    this.thumbChange = new EventEmitter78();
    this.hoverChange = new EventEmitter78();
    this.tabindex = 0;
    this.zIndex = 0;
    this.focused = false;
    this.isActive = false;
    this._isActive = false;
    this._isPressed = false;
    this._destroy$ = new Subject56();
  }
  onPointerEnter() {
    this.focused = false;
    this.hoverChange.emit(true);
  }
  onPointerLeave() {
    this.hoverChange.emit(false);
  }
  onKeyUp(event) {
    event.stopPropagation();
    this.focused = true;
  }
  onKeyDown(event) {
    if (this.disabled) {
      return;
    }
    let increment = 0;
    const stepWithDir = (rtl) => rtl ? this.step * -1 : this.step;
    if (event.key.endsWith("Left")) {
      increment = stepWithDir(!this._dir.rtl);
    } else if (event.key.endsWith("Right")) {
      increment = stepWithDir(this._dir.rtl);
    } else {
      return;
    }
    this.thumbChange.emit();
    this.thumbValueChange.emit(increment);
  }
  onBlur() {
    this.isActive = false;
    this.zIndex = 0;
    this.focused = false;
  }
  onFocusListener() {
    this.isActive = true;
    this.zIndex = 1;
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.onPan.pipe(takeUntil52(this._destroy$)).subscribe((mouseX) => this.updateThumbValue(mouseX));
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._destroy$.next(true);
    this._destroy$.complete();
  }
  /**
   * Show thumb label and ripple.
   */
  showThumbIndicators() {
    this.toggleThumbIndicators(true);
  }
  /**
   * Hide thumb label and ripple.
   */
  hideThumbIndicators() {
    this.toggleThumbIndicators(false);
  }
  updateThumbValue(mouseX) {
    const updateValue = this.calculateTrackUpdate(mouseX);
    if (this.isActive && updateValue !== 0) {
      this.thumbValueChange.emit(updateValue);
    }
  }
  calculateTrackUpdate(mouseX) {
    const scaleX = this._dir.rtl ? this.thumbPositionX - mouseX : mouseX - this.thumbPositionX;
    const stepDistanceCenter = this.stepDistance / 2;
    const scaleXPositive = Math.abs(scaleX);
    if (scaleXPositive < stepDistanceCenter) {
      return 0;
    }
    return this.stepToProceed(scaleX, this.stepDistance);
  }
  stepToProceed(scaleX, stepDist) {
    return Math.round(scaleX / stepDist) * this.step;
  }
  toggleThumbIndicators(visible) {
    this._isPressed = visible;
    if (this.continuous || this.deactiveState) {
      this._isActive = false;
    } else {
      this._isActive = visible;
    }
  }
  static {
    this.ɵfac = i0248.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0248, type: _IgxSliderThumbComponent, deps: [{ token: i0248.ElementRef }, { token: IgxDirectionality }], target: i0248.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0248.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSliderThumbComponent, isStandalone: true, selector: "igx-thumb", inputs: { value: "value", continuous: ["continuous", "continuous", booleanAttribute84], thumbLabelVisibilityDuration: "thumbLabelVisibilityDuration", disabled: ["disabled", "disabled", booleanAttribute84], onPan: "onPan", stepDistance: "stepDistance", step: "step", templateRef: "templateRef", context: "context", type: "type", deactiveState: ["deactiveState", "deactiveState", booleanAttribute84] }, outputs: { thumbValueChange: "thumbValueChange", thumbChange: "thumbChange", hoverChange: "hoverChange" }, host: { listeners: { "pointerenter": "onPointerEnter()", "pointerleave": "onPointerLeave()", "keyup": "onKeyUp($event)", "keydown": "onKeyDown($event)", "blur": "onBlur()", "focus": "onFocusListener()" }, properties: { "attr.tabindex": "this.tabindex", "attr.z-index": "this.zIndex", "class.igx-slider-thumb-to--focused": "this.focused", "class.igx-slider-thumb-from": "this.thumbFromClass", "class.igx-slider-thumb-to": "this.thumbToClass", "class.igx-slider-thumb-from--active": "this.thumbFromActiveClass", "class.igx-slider-thumb-to--active": "this.thumbToActiveClass", "class.igx-slider-thumb-from--disabled": "this.thumbFromDisabledClass", "class.igx-slider-thumb-to--disabled": "this.thumbToDisabledClass", "class.igx-slider-thumb-from--pressed": "this.thumbFromPressedClass", "class.igx-slider-thumb-to--pressed": "this.thumbToPressedClass" } }, ngImport: i0248, template: '<div [ngClass]="getDotClass"></div>\n', dependencies: [{ kind: "directive", type: NgClass39, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
  }
};
i0248.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0248, type: IgxSliderThumbComponent, decorators: [{
  type: Component114,
  args: [{ selector: "igx-thumb", standalone: true, imports: [NgClass39], template: '<div [ngClass]="getDotClass"></div>\n' }]
}], ctorParameters: () => [{ type: i0248.ElementRef }, { type: IgxDirectionality }], propDecorators: { value: [{
  type: Input142
}], continuous: [{
  type: Input142,
  args: [{ transform: booleanAttribute84 }]
}], thumbLabelVisibilityDuration: [{
  type: Input142
}], disabled: [{
  type: Input142,
  args: [{ transform: booleanAttribute84 }]
}], onPan: [{
  type: Input142
}], stepDistance: [{
  type: Input142
}], step: [{
  type: Input142
}], templateRef: [{
  type: Input142
}], context: [{
  type: Input142
}], type: [{
  type: Input142
}], deactiveState: [{
  type: Input142,
  args: [{ transform: booleanAttribute84 }]
}], thumbValueChange: [{
  type: Output69
}], thumbChange: [{
  type: Output69
}], hoverChange: [{
  type: Output69
}], tabindex: [{
  type: HostBinding102,
  args: ["attr.tabindex"]
}], zIndex: [{
  type: HostBinding102,
  args: ["attr.z-index"]
}], focused: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-to--focused"]
}], thumbFromClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-from"]
}], thumbToClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-to"]
}], thumbFromActiveClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-from--active"]
}], thumbToActiveClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-to--active"]
}], thumbFromDisabledClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-from--disabled"]
}], thumbToDisabledClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-to--disabled"]
}], thumbFromPressedClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-from--pressed"]
}], thumbToPressedClass: [{
  type: HostBinding102,
  args: ["class.igx-slider-thumb-to--pressed"]
}], onPointerEnter: [{
  type: HostListener50,
  args: ["pointerenter"]
}], onPointerLeave: [{
  type: HostListener50,
  args: ["pointerleave"]
}], onKeyUp: [{
  type: HostListener50,
  args: ["keyup", ["$event"]]
}], onKeyDown: [{
  type: HostListener50,
  args: ["keydown", ["$event"]]
}], onBlur: [{
  type: HostListener50,
  args: ["blur"]
}], onFocusListener: [{
  type: HostListener50,
  args: ["focus"]
}] } });

// lib/slider/ticks/tick.pipe.mjs
import { Pipe as Pipe20 } from "@angular/core";
import * as i0249 from "@angular/core";
var IgxTickLabelsPipe = class _IgxTickLabelsPipe {
  transform(labels, secondaryTicks) {
    if (!labels) {
      return;
    }
    const result = [];
    labels.forEach((item) => {
      result.push(item);
      for (let i = 0; i < secondaryTicks; i++) {
        result.push("");
      }
    });
    return result;
  }
  static {
    this.ɵfac = i0249.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0249, type: _IgxTickLabelsPipe, deps: [], target: i0249.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0249.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0249, type: _IgxTickLabelsPipe, isStandalone: true, name: "spreadTickLabels" });
  }
};
i0249.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0249, type: IgxTickLabelsPipe, decorators: [{
  type: Pipe20,
  args: [{
    name: "spreadTickLabels",
    standalone: true
  }]
}] });

// lib/slider/ticks/ticks.component.mjs
import { Component as Component115, Input as Input143, HostBinding as HostBinding103, booleanAttribute as booleanAttribute85 } from "@angular/core";
import { NgFor as NgFor35, NgClass as NgClass40, NgTemplateOutlet as NgTemplateOutlet47 } from "@angular/common";
import * as i0250 from "@angular/core";
var IgxTicksComponent = class _IgxTicksComponent {
  constructor() {
    this.ticksClass = true;
  }
  /**
   * @hidden
   */
  get ticksTopClass() {
    return this.ticksOrientation === TicksOrientation.Top;
  }
  /**
   * @hidden
   */
  get hasPrimaryClass() {
    return this.primaryTicks > 0;
  }
  /**
   * @hidden
   */
  get labelsTopToBottomClass() {
    return this.tickLabelsOrientation === TickLabelsOrientation.TopToBottom;
  }
  /**
   * @hidden
   */
  get labelsBottomToTopClass() {
    return this.tickLabelsOrientation === TickLabelsOrientation.BottomToTop;
  }
  /**
   * Returns the template context corresponding to
   * {@link IgxTickLabelTemplateDirective}
   *
   * ```typescript
   * return {
   *  $implicit //returns the value per each tick label.
   *  isPrimery //returns if the tick is primary.
   *  labels // returns the {@link labels} collection.
   *  index // returns the index per each tick of the whole sequence.
   * }
   * ```
   *
   * @param idx the index per each tick label.
   */
  context(idx) {
    return {
      $implicit: this.tickLabel(idx),
      isPrimary: this.isPrimary(idx),
      labels: this.labels,
      index: idx
    };
  }
  /**
   * @hidden
   */
  get ticksLength() {
    return this.primaryTicks > 0 ? (this.primaryTicks - 1) * this.secondaryTicks + this.primaryTicks : this.secondaryTicks > 0 ? this.secondaryTicks : 0;
  }
  hiddenTickLabels(idx) {
    return this.isPrimary(idx) ? this.primaryTickLabels : this.secondaryTickLabels;
  }
  /**
   * @hidden
   */
  isPrimary(idx) {
    return this.primaryTicks <= 0 ? false : idx % (this.secondaryTicks + 1) === 0;
  }
  /**
   * @hidden
   */
  tickLabel(idx) {
    if (this.labelsViewEnabled) {
      return this.labels[idx];
    }
    const labelStep = (Math.max(this.minValue, this.maxValue) - Math.min(this.minValue, this.maxValue)) / (this.ticksLength - 1);
    const labelVal = labelStep * idx;
    return (this.minValue + labelVal).toFixed(2);
  }
  static {
    this.ɵfac = i0250.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0250, type: _IgxTicksComponent, deps: [], target: i0250.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0250.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTicksComponent, isStandalone: true, selector: "igx-ticks", inputs: { primaryTicks: "primaryTicks", secondaryTicks: "secondaryTicks", primaryTickLabels: ["primaryTickLabels", "primaryTickLabels", booleanAttribute85], secondaryTickLabels: ["secondaryTickLabels", "secondaryTickLabels", booleanAttribute85], ticksOrientation: "ticksOrientation", tickLabelsOrientation: "tickLabelsOrientation", maxValue: "maxValue", minValue: "minValue", labelsViewEnabled: ["labelsViewEnabled", "labelsViewEnabled", booleanAttribute85], labels: "labels", tickLabelTemplateRef: "tickLabelTemplateRef" }, host: { properties: { "class.igx-slider__ticks": "this.ticksClass", "class.igx-slider__ticks--top": "this.ticksTopClass", "class.igx-slider__ticks--tall": "this.hasPrimaryClass", "class.igx-slider__tick-labels--top-bottom": "this.labelsTopToBottomClass", "class.igx-slider__tick-labels--bottom-top": "this.labelsBottomToTopClass" } }, ngImport: i0250, template: `<div class="igx-slider__ticks-group" *ngFor="let n of [].constructor(ticksLength); let idx=index" [ngClass]="{ 'igx-slider__ticks-group--tall': isPrimary(idx)}">
    <div class="igx-slider__ticks-tick">
        <span class="igx-slider__ticks-label" [ngClass]="{ 'igx-slider__tick-label--hidden': !hiddenTickLabels(idx)}">
            <ng-container *ngTemplateOutlet="tickLabelTemplateRef ? tickLabelTemplateRef : tickLabelDefaultTemplate; context: context(idx)"></ng-container>
        </span>
    </div>
</div>

<ng-template #tickLabelDefaultTemplate let-value>
    {{ value }}
</ng-template>
`, dependencies: [{ kind: "directive", type: NgFor35, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgClass40, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgTemplateOutlet47, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0250.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0250, type: IgxTicksComponent, decorators: [{
  type: Component115,
  args: [{ selector: "igx-ticks", standalone: true, imports: [NgFor35, NgClass40, NgTemplateOutlet47], template: `<div class="igx-slider__ticks-group" *ngFor="let n of [].constructor(ticksLength); let idx=index" [ngClass]="{ 'igx-slider__ticks-group--tall': isPrimary(idx)}">
    <div class="igx-slider__ticks-tick">
        <span class="igx-slider__ticks-label" [ngClass]="{ 'igx-slider__tick-label--hidden': !hiddenTickLabels(idx)}">
            <ng-container *ngTemplateOutlet="tickLabelTemplateRef ? tickLabelTemplateRef : tickLabelDefaultTemplate; context: context(idx)"></ng-container>
        </span>
    </div>
</div>

<ng-template #tickLabelDefaultTemplate let-value>
    {{ value }}
</ng-template>
` }]
}], propDecorators: { primaryTicks: [{
  type: Input143
}], secondaryTicks: [{
  type: Input143
}], primaryTickLabels: [{
  type: Input143,
  args: [{ transform: booleanAttribute85 }]
}], secondaryTickLabels: [{
  type: Input143,
  args: [{ transform: booleanAttribute85 }]
}], ticksOrientation: [{
  type: Input143
}], tickLabelsOrientation: [{
  type: Input143
}], maxValue: [{
  type: Input143
}], minValue: [{
  type: Input143
}], labelsViewEnabled: [{
  type: Input143,
  args: [{ transform: booleanAttribute85 }]
}], labels: [{
  type: Input143
}], tickLabelTemplateRef: [{
  type: Input143
}], ticksClass: [{
  type: HostBinding103,
  args: ["class.igx-slider__ticks"]
}], ticksTopClass: [{
  type: HostBinding103,
  args: ["class.igx-slider__ticks--top"]
}], hasPrimaryClass: [{
  type: HostBinding103,
  args: ["class.igx-slider__ticks--tall"]
}], labelsTopToBottomClass: [{
  type: HostBinding103,
  args: ["class.igx-slider__tick-labels--top-bottom"]
}], labelsBottomToTopClass: [{
  type: HostBinding103,
  args: ["class.igx-slider__tick-labels--bottom-top"]
}] } });

// lib/slider/slider.component.mjs
import { NgIf as NgIf78 } from "@angular/common";
import { Component as Component116, ContentChild as ContentChild29, EventEmitter as EventEmitter79, HostBinding as HostBinding104, HostListener as HostListener51, Input as Input144, Output as Output70, QueryList as QueryList7, TemplateRef as TemplateRef43, ViewChild as ViewChild62, ViewChildren as ViewChildren25, booleanAttribute as booleanAttribute86 } from "@angular/core";
import { NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR16 } from "@angular/forms";
import { animationFrameScheduler as animationFrameScheduler6, fromEvent as fromEvent15, interval as interval8, merge as merge4, noop as noop12, Subject as Subject57, timer as timer2 } from "rxjs";
import { takeUntil as takeUntil53, throttle as throttle3, throttleTime as throttleTime4 } from "rxjs/operators";
import * as i0251 from "@angular/core";
var NEXT_ID31 = 0;
var IgxSliderComponent = class _IgxSliderComponent {
  /**
   * @hidden
   */
  get thumbFrom() {
    return this.thumbs.find((thumb) => thumb.type === SliderHandle.FROM);
  }
  /**
   * @hidden
   */
  get thumbTo() {
    return this.thumbs.find((thumb) => thumb.type === SliderHandle.TO);
  }
  get labelFrom() {
    return this.labelRefs.find((label) => label.type === SliderHandle.FROM);
  }
  get labelTo() {
    return this.labelRefs.find((label) => label.type === SliderHandle.TO);
  }
  /**
   * @hidden
   */
  get valuemin() {
    return this.minValue;
  }
  /**
   * @hidden
   */
  get valuemax() {
    return this.maxValue;
  }
  /**
   * @hidden
   */
  get readonly() {
    return this.disabled;
  }
  /**
   * @hidden
   */
  get disabledClass() {
    return this.disabled;
  }
  /**
   * Gets the type of the `IgxSliderComponent`.
   * The slider can be IgxSliderType.SLIDER(default) or IgxSliderType.RANGE.
   * ```typescript
   * @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let type = this.slider.type;
   * }
   */
  get type() {
    return this._type;
  }
  /**
   * Sets the type of the `IgxSliderComponent`.
   * The slider can be IgxSliderType.SLIDER(default) or IgxSliderType.RANGE.
   * ```typescript
   * sliderType: IgxSliderType = IgxSliderType.RANGE;
   * ```
   * ```html
   * <igx-slider #slider2 [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="0" [maxValue]="100">
   * ```
   */
  set type(type) {
    this._type = type;
    if (type === IgxSliderType.SLIDER) {
      this.lowerValue = 0;
    }
    if (this._hasViewInit) {
      this.updateTrack();
    }
  }
  /**
   * Enables `labelView`, by accepting a collection of primitive values with more than one element.
   * Each element will be equally spread over the slider and it will serve as a thumb label.
   * Once the property is set, it will precendence over {@link maxValue}, {@link minValue}, {@link step}.
   * This means that the manipulation for those properties won't be allowed.
   */
  get labels() {
    return this._labels;
  }
  set labels(labels) {
    this._labels = labels;
    this._pMax = this.valueToFraction(this.upperBound, 0, 1);
    this._pMin = this.valueToFraction(this.lowerBound, 0, 1);
    this.positionHandlersAndUpdateTrack();
    if (this._hasViewInit) {
      this.stepDistance = this.calculateStepDistance();
      this.setTickInterval();
    }
  }
  /**
   * Returns the template context corresponding
   * to {@link IgxThumbFromTemplateDirective} and {@link IgxThumbToTemplateDirective} templates.
   *
   * ```typescript
   * return {
   *  $implicit // returns the value of the label,
   *  labels // returns the labels collection the user has passed.
   * }
   * ```
   */
  get context() {
    return {
      $implicit: this.value,
      labels: this.labels
    };
  }
  /**
   * Sets the incremental/decremental step of the value when dragging the thumb.
   * The default step is 1, and step should not be less or equal than 0.
   * ```html
   * <igx-slider #slider [(ngModel)]="task.percentCompleted" [step]="5">
   * ```
   */
  set step(step) {
    this._step = step;
    if (this._hasViewInit) {
      this.stepDistance = this.calculateStepDistance();
      this.normalizeByStep(this._value);
      this.setValue(this._value, true);
      this.positionHandlersAndUpdateTrack();
      this.setTickInterval();
    }
  }
  /**
   * Returns the incremental/decremental dragging step of the {@link IgxSliderComponent}.
   * ```typescript
   * @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let step = this.slider.step;
   * }
   * ```
   */
  get step() {
    return this.labelsViewEnabled ? 1 : this._step;
  }
  /**
   * Returns if the {@link IgxSliderComponent} is disabled.
   * ```typescript
   * @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let isDisabled = this.slider.disabled;
   * }
   * ```
   */
  get disabled() {
    return this._disabled;
  }
  /**
   * Disables the component.
   * ```html
   * <igx-slider #slider [disabled]="true" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
   * ```
   */
  set disabled(disable) {
    this._disabled = disable;
    if (this._hasViewInit) {
      this.changeThumbFocusableState(disable);
    }
  }
  /**
   * Returns if the {@link IgxSliderComponent} is set as continuous.
   * ```typescript
   * @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let continuous = this.slider.continuous;
   * }
   * ```
   */
  get continuous() {
    return this._continuous;
  }
  /**
   * Sets the {@link IgxSliderComponent} as continuous.
   * By default is considered that the {@link IgxSliderComponent} is discrete.
   * Discrete {@link IgxSliderComponent} slider has step indicators over the track and visible thumb labels during interaction.
   * Continuous {@link IgxSliderComponent} does not have ticks and does not show bubble labels for values.
   * ```html
   * <igx-slider #slider [continuous]="'true'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
   * ```
   */
  set continuous(continuous) {
    this._continuous = continuous;
    if (this._hasViewInit) {
      this.setTickInterval();
    }
  }
  /**
   * Returns the minimal displayed track value of the `IgxSliderComponent`.
   * ```typescript
   *  @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let sliderMin = this.slider.minValue;
   * }
   * ```
   */
  get minValue() {
    if (this.labelsViewEnabled) {
      return 0;
    }
    return this._minValue;
  }
  /**
   * Sets the minimal displayed track value for the `IgxSliderComponent`.
   * The default minimal value is 0.
   * ```html
   * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="100">
   * ```
   */
  set minValue(value) {
    if (value >= this.maxValue) {
      return;
    } else {
      this._minValue = value;
    }
    if (value > this._upperBound) {
      this.updateUpperBoundAndMaxTravelZone();
      this.lowerBound = value;
    }
    this._pMin = 0;
    this.positionHandlersAndUpdateTrack();
    if (this._hasViewInit) {
      this.stepDistance = this.calculateStepDistance();
      this.setTickInterval();
    }
  }
  /**
   * Returns the maximum displayed track value for the {@link IgxSliderComponent}.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let sliderMax = this.slider.maxValue;
   * }
   *  ```
   */
  get maxValue() {
    return this.labelsViewEnabled ? this.labels.length - 1 : this._maxValue;
  }
  /**
   * Sets the maximal displayed track value for the `IgxSliderComponent`.
   * The default maximum value is 100.
   * ```html
   * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="256">
   * ```
   */
  set maxValue(value) {
    if (value <= this._minValue) {
      return;
    } else {
      this._maxValue = value;
    }
    if (value < this._lowerBound) {
      this.updateLowerBoundAndMinTravelZone();
      this.upperBound = value;
    }
    this._pMax = 1;
    this.positionHandlersAndUpdateTrack();
    if (this._hasViewInit) {
      this.stepDistance = this.calculateStepDistance();
      this.setTickInterval();
    }
  }
  /**
   * Returns the lower boundary of settable values of the `IgxSliderComponent`.
   * If not set, will return `minValue`.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let sliderLowBound = this.slider.lowerBound;
   * }
   * ```
   */
  get lowerBound() {
    if (!Number.isNaN(this._lowerBound) && this._lowerBound !== void 0) {
      return this.valueInRange(this._lowerBound, this.minValue, this.maxValue);
    }
    return this.minValue;
  }
  /**
   * Sets the lower boundary of settable values of the `IgxSliderComponent`.
   * If not set is the same as min value.
   * ```html
   * <igx-slider [step]="5" [lowerBound]="20">
   * ```
   */
  set lowerBound(value) {
    if (value >= this.upperBound || this.labelsViewEnabled && value < 0) {
      return;
    }
    this._lowerBound = this.valueInRange(value, this.minValue, this.maxValue);
    this._pMin = this.valueToFraction(this._lowerBound, 0, 1);
    this.positionHandlersAndUpdateTrack();
  }
  /**
   * Returns the upper boundary of settable values of the `IgxSliderComponent`.
   * If not set, will return `maxValue`
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *    let sliderUpBound = this.slider.upperBound;
   * }
   * ```
   */
  get upperBound() {
    if (!Number.isNaN(this._upperBound) && this._upperBound !== void 0) {
      return this.valueInRange(this._upperBound, this.minValue, this.maxValue);
    }
    return this.maxValue;
  }
  /**
   * Sets the upper boundary of the `IgxSliderComponent`.
   * If not set is the same as max value.
   * ```html
   * <igx-slider [step]="5" [upperBound]="20">
   * ```
   */
  set upperBound(value) {
    if (value <= this.lowerBound || this.labelsViewEnabled && value > this.labels.length - 1) {
      return;
    }
    this._upperBound = this.valueInRange(value, this.minValue, this.maxValue);
    this._pMax = this.valueToFraction(this._upperBound, 0, 1);
    this.positionHandlersAndUpdateTrack();
  }
  /**
   * Returns the slider value. If the slider is of type {@link IgxSliderType.SLIDER} the returned value is number.
   * If the slider type is {@link IgxSliderType.RANGE}.
   * The returned value represents an object of {@link lowerValue} and {@link upperValue}.
   * ```typescript
   * @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * public sliderValue(event){
   *     let sliderVal = this.slider.value;
   * }
   * ```
   */
  get value() {
    if (this.isRange) {
      return {
        lower: this.valueInRange(this.lowerValue, this.lowerBound, this.upperBound),
        upper: this.valueInRange(this.upperValue, this.lowerBound, this.upperBound)
      };
    } else {
      return this.valueInRange(this.upperValue, this.lowerBound, this.upperBound);
    }
  }
  /**
   * Sets the slider value.
   * If the slider is of type {@link IgxSliderType.SLIDER}.
   * The argument is number. By default the {@link value} gets the {@link lowerBound}.
   * If the slider type is {@link IgxSliderType.RANGE} the argument
   * represents an object of {@link lowerValue} and {@link upperValue} properties.
   * By default the object is associated with the {@link lowerBound} and {@link upperBound} property values.
   * ```typescript
   * rangeValue = {
   *   lower: 30,
   *   upper: 60
   * };
   * ```
   * ```html
   * <igx-slider [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="56" [maxValue]="256">
   * ```
   */
  set value(value) {
    this.normalizeByStep(value);
    if (this._hasViewInit) {
      this.setValue(this._value, true);
      this.positionHandlersAndUpdateTrack();
    }
  }
  /**
   * Returns the number of the presented primary ticks.
   * ```typescript
   * const primaryTicks = this.slider.primaryTicks;
   * ```
   */
  get primaryTicks() {
    if (this.labelsViewEnabled) {
      return this._primaryTicks = this.labels.length;
    }
    return this._primaryTicks;
  }
  /**
   * Sets the number of primary ticks. If {@link @labels} is enabled, this property won't function.
   * Insted enable ticks by {@link showTicks} property.
   * ```typescript
   * this.slider.primaryTicks = 5;
   * ```
   */
  set primaryTicks(val) {
    if (val <= 1) {
      return;
    }
    this._primaryTicks = val;
  }
  /**
   * Returns the number of the presented secondary ticks.
   * ```typescript
   * const secondaryTicks = this.slider.secondaryTicks;
   * ```
   */
  get secondaryTicks() {
    return this._secondaryTicks;
  }
  /**
   * Sets the number of secondary ticks. The property functions even when {@link labels} is enabled,
   * but all secondary ticks won't present any tick labels.
   * ```typescript
   * this.slider.secondaryTicks = 5;
   * ```
   */
  set secondaryTicks(val) {
    if (val < 1) {
      return;
    }
    this._secondaryTicks = val;
  }
  /**
   * @hidden
   */
  get deactivateThumbLabel() {
    return (this.primaryTicks && this.primaryTickLabels || this.secondaryTicks && this.secondaryTickLabels) && (this.ticksOrientation === TicksOrientation.Top || this.ticksOrientation === TicksOrientation.Mirror);
  }
  constructor(renderer, _el, _cdr, _ngZone, _dir) {
    this.renderer = renderer;
    this._el = _el;
    this._cdr = _cdr;
    this._ngZone = _ngZone;
    this._dir = _dir;
    this.role = "slider";
    this.slierClass = true;
    this.id = `igx-slider-${NEXT_ID31++}`;
    this.thumbLabelVisibilityDuration = 750;
    this.showTicks = false;
    this.primaryTickLabels = true;
    this.secondaryTickLabels = true;
    this.ticksOrientation = TicksOrientation.Bottom;
    this.tickLabelsOrientation = TickLabelsOrientation.Horizontal;
    this.valueChange = new EventEmitter79();
    this.lowerValueChange = new EventEmitter79();
    this.upperValueChange = new EventEmitter79();
    this.dragFinished = new EventEmitter79();
    this.thumbs = new QueryList7();
    this.labelRefs = new QueryList7();
    this.onPan = new Subject57();
    this._pMin = 0;
    this._pMax = 1;
    this._hasViewInit = false;
    this._minValue = 0;
    this._maxValue = 100;
    this._continuous = false;
    this._disabled = false;
    this._step = 1;
    this._value = 0;
    this._primaryTicks = 0;
    this._secondaryTicks = 0;
    this._sliding = false;
    this._labels = new Array();
    this._type = IgxSliderType.SLIDER;
    this._destroyer$ = new Subject57();
    this._indicatorsDestroyer$ = new Subject57();
    this._onChangeCallback = noop12;
    this._onTouchedCallback = noop12;
    this.stepDistance = this._step;
  }
  /**
   * @hidden
   */
  onFocus() {
    this.toggleSliderIndicators();
  }
  /**
   * Returns whether the `IgxSliderComponent` type is RANGE.
   * ```typescript
   *  @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * ngAfterViewInit(){
   *     let sliderRange = this.slider.isRange;
   * }
   * ```
   */
  get isRange() {
    return this.type === IgxSliderType.RANGE;
  }
  /**
   * Returns the lower value of a RANGE `IgxSliderComponent`.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * public lowValue(event){
   *    let sliderLowValue = this.slider.lowerValue;
   * }
   * ```
   */
  get lowerValue() {
    if (!Number.isNaN(this._lowerValue) && this._lowerValue !== void 0 && this._lowerValue >= this.lowerBound) {
      return this._lowerValue;
    }
    return this.lowerBound;
  }
  /**
   * Sets the lower value of a RANGE `IgxSliderComponent`.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * public lowValue(event){
   *    this.slider.lowerValue = value;
   * }
   * ```
   */
  set lowerValue(value) {
    const adjustedValue = this.valueInRange(value, this.lowerBound, this.upperBound);
    if (this._lowerValue !== adjustedValue) {
      this._lowerValue = adjustedValue;
      this.lowerValueChange.emit(this._lowerValue);
      this.value = { lower: this._lowerValue, upper: this._upperValue };
    }
  }
  /**
   * Returns the upper value of a RANGE `IgxSliderComponent`.
   * Returns `value` of a SLIDER `IgxSliderComponent`
   * ```typescript
   *  @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * public upperValue(event){
   *     let upperValue = this.slider.upperValue;
   * }
   * ```
   */
  get upperValue() {
    if (!Number.isNaN(this._upperValue) && this._upperValue !== void 0 && this._upperValue <= this.upperBound) {
      return this._upperValue;
    }
    return this.upperBound;
  }
  /**
   * Sets the upper value of a RANGE `IgxSliderComponent`.
   * ```typescript
   *  @ViewChild("slider2")
   * public slider: IgxSliderComponent;
   * public upperValue(event){
   *     this.slider.upperValue = value;
   * }
   * ```
   */
  set upperValue(value) {
    const adjustedValue = this.valueInRange(value, this.lowerBound, this.upperBound);
    if (this._upperValue !== adjustedValue) {
      this._upperValue = adjustedValue;
      this.upperValueChange.emit(this._upperValue);
      this.value = { lower: this._lowerValue, upper: this._upperValue };
    }
  }
  /**
   * Returns the value corresponding the lower label.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * let label = this.slider.lowerLabel;
   * ```
   */
  get lowerLabel() {
    return this.labelsViewEnabled ? this.labels[this.lowerValue] : this.lowerValue;
  }
  /**
   * Returns the value corresponding the upper label.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * let label = this.slider.upperLabel;
   * ```
   */
  get upperLabel() {
    return this.labelsViewEnabled ? this.labels[this.upperValue] : this.upperValue;
  }
  /**
   * Returns if label view is enabled.
   * If the {@link labels} is set, the view is automatically activated.
   * ```typescript
   * @ViewChild("slider")
   * public slider: IgxSliderComponent;
   * let labelView = this.slider.labelsViewEnabled;
   * ```
   */
  get labelsViewEnabled() {
    return !!(this.labels && this.labels.length > 1);
  }
  /**
   * @hidden
   */
  get showTopTicks() {
    return this.ticksOrientation === TicksOrientation.Top || this.ticksOrientation === TicksOrientation.Mirror;
  }
  /**
   * @hidden
   */
  get showBottomTicks() {
    return this.ticksOrientation === TicksOrientation.Bottom || this.ticksOrientation === TicksOrientation.Mirror;
  }
  /**
   * @hidden
   */
  ngOnChanges(changes) {
    if (changes.minValue && changes.maxValue && changes.minValue.currentValue < changes.maxValue.currentValue) {
      this._maxValue = changes.maxValue.currentValue;
      this._minValue = changes.minValue.currentValue;
    }
    if (changes.step && changes.step.isFirstChange()) {
      this.normalizeByStep(this._value);
    }
  }
  /**
   * @hidden
   */
  ngOnInit() {
    if (!this.isRange) {
      this._upperValue = this.lowerBound;
    }
    this._pMin = this.valueToFraction(this.lowerBound) || 0;
    this._pMax = this.valueToFraction(this.upperBound) || 1;
  }
  ngAfterContentInit() {
    this.setValue(this._value, false);
  }
  /**
   * @hidden
   */
  ngAfterViewInit() {
    this._hasViewInit = true;
    this.stepDistance = this.calculateStepDistance();
    this.positionHandlersAndUpdateTrack();
    this.setTickInterval();
    this.changeThumbFocusableState(this.disabled);
    this.subscribeTo(this.thumbFrom, this.thumbChanged.bind(this));
    this.subscribeTo(this.thumbTo, this.thumbChanged.bind(this));
    this.thumbs.changes.pipe(takeUntil53(this._destroyer$)).subscribe((change) => {
      const thumbFrom = change.find((thumb) => thumb.type === SliderHandle.FROM);
      this.positionHandler(thumbFrom, null, this.lowerValue);
      this.subscribeTo(thumbFrom, this.thumbChanged.bind(this));
      this.changeThumbFocusableState(this.disabled);
    });
    this.labelRefs.changes.pipe(takeUntil53(this._destroyer$)).subscribe(() => {
      const labelFrom = this.labelRefs.find((label) => label.type === SliderHandle.FROM);
      this.positionHandler(null, labelFrom, this.lowerValue);
    });
    this._ngZone.runOutsideAngular(() => {
      resizeObservable(this._el.nativeElement).pipe(throttleTime4(40), takeUntil53(this._destroyer$)).subscribe(() => this._ngZone.run(() => {
        this.stepDistance = this.calculateStepDistance();
      }));
      fromEvent15(this._el.nativeElement, "pointermove").pipe(throttle3(() => interval8(0, animationFrameScheduler6)), takeUntil53(this._destroyer$)).subscribe(($event) => this._ngZone.run(() => {
        this.onPointerMove($event);
      }));
    });
  }
  /**
   * @hidden
   */
  ngOnDestroy() {
    this._destroyer$.next(true);
    this._destroyer$.complete();
    this._indicatorsDestroyer$.next(true);
    this._indicatorsDestroyer$.complete();
  }
  /**
   * @hidden
   */
  writeValue(value) {
    if (this.isNullishButNotZero(value)) {
      return;
    }
    this.normalizeByStep(value);
    this.setValue(this._value, false);
    this.positionHandlersAndUpdateTrack();
  }
  /**
   * @hidden
   */
  registerOnChange(fn) {
    this._onChangeCallback = fn;
  }
  /**
   * @hidden
   */
  registerOnTouched(fn) {
    this._onTouchedCallback = fn;
  }
  /** @hidden */
  getEditElement() {
    return this.isRange ? this.thumbFrom.nativeElement : this.thumbTo.nativeElement;
  }
  /**
   *
   * @hidden
   */
  update(mouseX) {
    if (this.disabled) {
      return;
    }
    this.onPan.next(mouseX);
    this.positionHandlersAndUpdateTrack();
    this._onTouchedCallback();
  }
  /**
   * @hidden
   */
  thumbChanged(value, thumbType) {
    const oldValue = this.value;
    if (this.isRange) {
      if (thumbType === SliderHandle.FROM) {
        if (this.lowerValue + value > this.upperValue) {
          this.upperValue = this.lowerValue + value;
        }
        this.lowerValue += value;
      } else {
        if (this.upperValue + value < this.lowerValue) {
          this.lowerValue = this.upperValue + value;
        }
        this.upperValue += value;
      }
      const newVal = {
        lower: this.lowerValue,
        upper: this.upperValue
      };
      this.value = newVal;
    } else {
      const newVal = this.value + value;
      if (newVal >= this.lowerBound && newVal <= this.upperBound) {
        this.value = newVal;
      }
    }
    if (this.hasValueChanged(oldValue)) {
      this.emitValueChange(oldValue);
    }
  }
  /**
   * @hidden
   */
  onThumbChange() {
    this.toggleSliderIndicators();
  }
  /**
   * @hidden
   */
  onHoverChange(state) {
    return state ? this.showSliderIndicators() : this.hideSliderIndicators();
  }
  setValue(value, triggerChange) {
    let res;
    if (!this.isRange) {
      value = value;
      if (!isNaN(value)) {
        this._upperValue = value - value % this.step;
        res = this.upperValue;
      }
    } else {
      value = this.validateInitialValue(value);
      this._upperValue = value.upper;
      this._lowerValue = value.lower;
      res = { lower: this.lowerValue, upper: this.upperValue };
    }
    if (triggerChange) {
      this._onChangeCallback(res);
    }
  }
  onPointerDown($event) {
    this.findClosestThumb($event);
    if (!this.thumbTo.isActive && this.thumbFrom === void 0) {
      return;
    }
    this._sliding = true;
    const activeThumb = this.thumbTo.isActive ? this.thumbTo : this.thumbFrom;
    activeThumb.nativeElement.setPointerCapture($event.pointerId);
    this.showSliderIndicators();
    $event.preventDefault();
  }
  onPointerMove($event) {
    if (this._sliding) {
      this.update($event.clientX);
    }
  }
  onPointerUp($event) {
    if (!this.thumbTo.isActive && this.thumbFrom === void 0) {
      return;
    }
    const activeThumb = this.thumbTo.isActive ? this.thumbTo : this.thumbFrom;
    activeThumb.nativeElement.releasePointerCapture($event.pointerId);
    this._sliding = false;
    this.hideSliderIndicators();
    this.dragFinished.emit(this.value);
  }
  validateInitialValue(value) {
    if (value.upper < value.lower) {
      const temp = value.upper;
      value.upper = value.lower;
      value.lower = temp;
    }
    if (value.lower < this.lowerBound) {
      value.lower = this.lowerBound;
    }
    if (value.upper > this.upperBound) {
      value.upper = this.upperBound;
    }
    return value;
  }
  findClosestThumb(event) {
    if (this.isRange) {
      this.closestHandle(event);
    } else {
      this.thumbTo.nativeElement.focus();
    }
    this.update(event.clientX);
  }
  updateLowerBoundAndMinTravelZone() {
    this.lowerBound = this.minValue;
    this._pMin = 0;
  }
  updateUpperBoundAndMaxTravelZone() {
    this.upperBound = this.maxValue;
    this._pMax = 1;
  }
  calculateStepDistance() {
    return this._el.nativeElement.getBoundingClientRect().width / (this.maxValue - this.minValue) * this.step;
  }
  // private toggleThumb() {
  //     return this.thumbFrom.isActive ?
  //         this.thumbTo.nativeElement.focus() :
  //         this.thumbFrom.nativeElement.focus();
  // }
  valueInRange(value, min = 0, max = 100) {
    return Math.max(Math.min(value, max), min);
  }
  positionHandler(thumbHandle, labelHandle, position) {
    const percent = `${this.valueToFraction(position) * 100}%`;
    const dir = this._dir.rtl ? "right" : "left";
    if (thumbHandle) {
      thumbHandle.nativeElement.style[dir] = percent;
    }
    if (labelHandle) {
      labelHandle.nativeElement.style[dir] = percent;
    }
  }
  positionHandlersAndUpdateTrack() {
    if (!this.isRange) {
      this.positionHandler(this.thumbTo, this.labelTo, this.value);
    } else {
      this.positionHandler(this.thumbTo, this.labelTo, this.value.upper);
      this.positionHandler(this.thumbFrom, this.labelFrom, this.value.lower);
    }
    if (this._hasViewInit) {
      this.updateTrack();
    }
  }
  closestHandle(event) {
    const fromOffset = this.thumbFrom.nativeElement.offsetLeft + this.thumbFrom.nativeElement.offsetWidth / 2;
    const toOffset = this.thumbTo.nativeElement.offsetLeft + this.thumbTo.nativeElement.offsetWidth / 2;
    const xPointer = event.clientX - this._el.nativeElement.getBoundingClientRect().left;
    const match = this.closestTo(xPointer, [fromOffset, toOffset]);
    if (fromOffset === toOffset && toOffset < xPointer) {
      this.thumbTo.nativeElement.focus();
    } else if (fromOffset === toOffset && toOffset > xPointer) {
      this.thumbFrom.nativeElement.focus();
    } else if (match === fromOffset) {
      this.thumbFrom.nativeElement.focus();
    } else {
      this.thumbTo.nativeElement.focus();
    }
  }
  setTickInterval() {
    let tickInterval;
    const trackProgress = 100;
    if (this.labelsViewEnabled) {
      tickInterval = trackProgress / (this.labels.length - 1) * 10 / 10;
    } else {
      const trackRange = this.maxValue - this.minValue;
      tickInterval = this.step > 1 ? trackProgress / (trackRange / this.step) * 10 / 10 : null;
    }
    this.renderer.setStyle(this.ticks.nativeElement, "stroke-dasharray", `0, ${tickInterval * Math.sqrt(2)}%`);
    this.renderer.setStyle(this.ticks.nativeElement, "visibility", this.continuous || tickInterval === null ? "hidden" : "visible");
  }
  showSliderIndicators() {
    if (this.disabled) {
      return;
    }
    if (this._indicatorsTimer) {
      this._indicatorsDestroyer$.next(true);
      this._indicatorsTimer = null;
    }
    this.thumbTo.showThumbIndicators();
    this.labelTo.active = true;
    if (this.thumbFrom) {
      this.thumbFrom.showThumbIndicators();
    }
    if (this.labelFrom) {
      this.labelFrom.active = true;
    }
  }
  hideSliderIndicators() {
    if (this.disabled) {
      return;
    }
    this._indicatorsTimer = timer2(this.thumbLabelVisibilityDuration);
    this._indicatorsTimer.pipe(takeUntil53(this._indicatorsDestroyer$)).subscribe(() => {
      this.thumbTo.hideThumbIndicators();
      this.labelTo.active = false;
      if (this.thumbFrom) {
        this.thumbFrom.hideThumbIndicators();
      }
      if (this.labelFrom) {
        this.labelFrom.active = false;
      }
    });
  }
  toggleSliderIndicators() {
    this.showSliderIndicators();
    this.hideSliderIndicators();
  }
  changeThumbFocusableState(state) {
    const value = state ? -1 : 1;
    if (this.isRange) {
      this.thumbFrom.tabindex = value;
    }
    this.thumbTo.tabindex = value;
    this._cdr.detectChanges();
  }
  closestTo(goal, positions) {
    return positions.reduce((previous, current) => Math.abs(goal - current) < Math.abs(goal - previous) ? current : previous);
  }
  valueToFraction(value, pMin = this._pMin, pMax = this._pMax) {
    return this.valueInRange((value - this.minValue) / (this.maxValue - this.minValue), pMin, pMax);
  }
  isNullishButNotZero(value) {
    return !value && value !== 0;
  }
  /**
   * @hidden
   * Normalizе the value when two-way data bind is used and {@link this.step} is set.
   * @param value
   */
  normalizeByStep(value) {
    if (this.isRange) {
      this._value = {
        lower: value.lower - value.lower % this.step,
        upper: value.upper - value.upper % this.step
      };
    } else {
      this._value = value - value % this.step;
    }
  }
  updateTrack() {
    const fromPosition = this.valueToFraction(this.lowerValue);
    const toPosition = this.valueToFraction(this.upperValue);
    const positionGap = toPosition - fromPosition;
    let trackLeftIndention = fromPosition;
    if (this.isRange) {
      if (positionGap) {
        trackLeftIndention = Math.round(1 / positionGap * fromPosition * 100);
      }
      trackLeftIndention = this._dir.rtl ? -trackLeftIndention : trackLeftIndention;
      this.renderer.setStyle(this.trackRef.nativeElement, "transform", `scaleX(${positionGap}) translateX(${trackLeftIndention}%)`);
    } else {
      this.renderer.setStyle(this.trackRef.nativeElement, "transform", `scaleX(${toPosition})`);
    }
  }
  subscribeTo(thumb, callback) {
    if (!thumb) {
      return;
    }
    thumb.thumbValueChange.pipe(takeUntil53(this.unsubscriber(thumb))).subscribe((value) => callback(value, thumb.type));
  }
  unsubscriber(thumb) {
    return merge4(this._destroyer$, thumb.destroy);
  }
  hasValueChanged(oldValue) {
    const isSliderWithDifferentValue = !this.isRange && oldValue !== this.value;
    const isRangeWithOneDifferentValue = this.isRange && (oldValue.lower !== this.value.lower || oldValue.upper !== this.value.upper);
    return isSliderWithDifferentValue || isRangeWithOneDifferentValue;
  }
  emitValueChange(oldValue) {
    this.valueChange.emit({ oldValue, value: this.value });
  }
  static {
    this.ɵfac = i0251.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0251, type: _IgxSliderComponent, deps: [{ token: i0251.Renderer2 }, { token: i0251.ElementRef }, { token: i0251.ChangeDetectorRef }, { token: i0251.NgZone }, { token: IgxDirectionality }], target: i0251.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0251.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSliderComponent, isStandalone: true, selector: "igx-slider", inputs: { id: "id", thumbLabelVisibilityDuration: "thumbLabelVisibilityDuration", type: "type", labels: "labels", step: "step", disabled: ["disabled", "disabled", booleanAttribute86], continuous: ["continuous", "continuous", booleanAttribute86], minValue: "minValue", maxValue: "maxValue", lowerBound: "lowerBound", upperBound: "upperBound", value: "value", primaryTicks: "primaryTicks", secondaryTicks: "secondaryTicks", showTicks: ["showTicks", "showTicks", booleanAttribute86], primaryTickLabels: ["primaryTickLabels", "primaryTickLabels", booleanAttribute86], secondaryTickLabels: ["secondaryTickLabels", "secondaryTickLabels", booleanAttribute86], ticksOrientation: "ticksOrientation", tickLabelsOrientation: "tickLabelsOrientation", lowerValue: "lowerValue", upperValue: "upperValue" }, outputs: { valueChange: "valueChange", lowerValueChange: "lowerValueChange", upperValueChange: "upperValueChange", dragFinished: "dragFinished" }, host: { listeners: { "focus": "onFocus()", "pointerdown": "onPointerDown($event)", "pointerup": "onPointerUp($event)" }, properties: { "attr.role": "this.role", "class.igx-slider": "this.slierClass", "attr.id": "this.id", "attr.aria-valuemin": "this.valuemin", "attr.aria-valuemax": "this.valuemax", "attr.aria-readonly": "this.readonly", "class.igx-slider--disabled": "this.disabledClass" } }, providers: [{ provide: NG_VALUE_ACCESSOR16, useExisting: _IgxSliderComponent, multi: true }], queries: [{ propertyName: "thumbFromTemplateRef", first: true, predicate: IgxThumbFromTemplateDirective, descendants: true, read: TemplateRef43 }, { propertyName: "thumbToTemplateRef", first: true, predicate: IgxThumbToTemplateDirective, descendants: true, read: TemplateRef43 }, { propertyName: "tickLabelTemplateRef", first: true, predicate: IgxTickLabelTemplateDirective, descendants: true, read: TemplateRef43 }], viewQueries: [{ propertyName: "trackRef", first: true, predicate: ["track"], descendants: true, static: true }, { propertyName: "ticks", first: true, predicate: ["ticks"], descendants: true, static: true }, { propertyName: "thumbs", predicate: IgxSliderThumbComponent, descendants: true }, { propertyName: "labelRefs", predicate: IgxThumbLabelComponent, descendants: true }], usesOnChanges: true, ngImport: i0251, template: '<igx-ticks\n    *ngIf="showTicks && showTopTicks"\n    ticksOrientation="top"\n    [primaryTicks]="primaryTicks"\n    [secondaryTicks]="secondaryTicks"\n    [primaryTickLabels]="primaryTickLabels"\n    [secondaryTickLabels]="secondaryTickLabels"\n    [tickLabelsOrientation]="tickLabelsOrientation"\n    [labelsViewEnabled]="labelsViewEnabled"\n    [labels]="labels | spreadTickLabels:secondaryTicks"\n    [tickLabelTemplateRef]="tickLabelTemplateRef"\n    [minValue]="minValue"\n    [maxValue]="maxValue">\n</igx-ticks>\n<div class="igx-slider__track">\n    <div class="igx-slider__track-inactive"></div>\n    <div #track class="igx-slider__track-fill"></div>\n    <div class="igx-slider__track-steps">\n        <svg width="100%" height="100%">\n          <line #ticks x1="0" y1="2" x2="100%" y2="2"></line>\n        </svg>\n    </div>\n</div>\n<div class="igx-slider__thumbs">\n    <igx-thumb-label\n        *ngIf="isRange"\n        type="from"\n        [value]="lowerLabel"\n        [templateRef]="thumbFromTemplateRef"\n        [continuous]="continuous"\n        [context]="context"\n        [deactiveState]="deactivateThumbLabel"\n        [thumb]="thumbFrom"></igx-thumb-label>\n\n    <igx-thumb\n        *ngIf="isRange"\n        #thumbFrom\n        type="from"\n        [value]="lowerLabel"\n        [disabled]="disabled"\n        [continuous]="continuous"\n        [onPan]="onPan"\n        [stepDistance]="stepDistance"\n        [step]="step"\n        [templateRef]="thumbFromTemplateRef"\n        [context]="context"\n        (thumbChange)="onThumbChange()"\n        (hoverChange)="onHoverChange($event)"\n        [deactiveState]="deactivateThumbLabel"\n        [thumbLabelVisibilityDuration]="thumbLabelVisibilityDuration"></igx-thumb>\n\n    <igx-thumb-label\n        [value]="upperLabel"\n        type="to"\n        [templateRef]="thumbToTemplateRef"\n        [continuous]="continuous"\n        [context]="context"\n        [deactiveState]="deactivateThumbLabel"\n        [thumb]="thumbTo"></igx-thumb-label>\n\n    <igx-thumb\n        #thumbTo\n        type="to"\n        [value]="upperLabel"\n        [disabled]="disabled"\n        [continuous]="continuous"\n        [onPan]="onPan"\n        [stepDistance]="stepDistance"\n        [step]="step"\n        [templateRef]="thumbToTemplateRef"\n        [context]="context"\n        (thumbChange)="onThumbChange()"\n        (hoverChange)="onHoverChange($event)"\n        [deactiveState]="deactivateThumbLabel"\n        [thumbLabelVisibilityDuration]="thumbLabelVisibilityDuration"></igx-thumb>\n</div>\n<igx-ticks\n    *ngIf="showTicks && showBottomTicks"\n    ticksOrientation="bottom"\n    [primaryTicks]="primaryTicks"\n    [secondaryTicks]="secondaryTicks"\n    [primaryTickLabels]="primaryTickLabels"\n    [secondaryTickLabels]="secondaryTickLabels"\n    [tickLabelsOrientation]="tickLabelsOrientation"\n    [labelsViewEnabled]="labelsViewEnabled"\n    [labels]="labels | spreadTickLabels:secondaryTicks"\n    [tickLabelTemplateRef]="tickLabelTemplateRef"\n    [minValue]="minValue"\n    [maxValue]="maxValue">\n</igx-ticks>\n', dependencies: [{ kind: "directive", type: NgIf78, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: IgxTicksComponent, selector: "igx-ticks", inputs: ["primaryTicks", "secondaryTicks", "primaryTickLabels", "secondaryTickLabels", "ticksOrientation", "tickLabelsOrientation", "maxValue", "minValue", "labelsViewEnabled", "labels", "tickLabelTemplateRef"] }, { kind: "component", type: IgxThumbLabelComponent, selector: "igx-thumb-label", inputs: ["value", "templateRef", "context", "type", "continuous", "deactiveState", "thumb"] }, { kind: "component", type: IgxSliderThumbComponent, selector: "igx-thumb", inputs: ["value", "continuous", "thumbLabelVisibilityDuration", "disabled", "onPan", "stepDistance", "step", "templateRef", "context", "type", "deactiveState"], outputs: ["thumbValueChange", "thumbChange", "hoverChange"] }, { kind: "pipe", type: IgxTickLabelsPipe, name: "spreadTickLabels" }] });
  }
};
i0251.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0251, type: IgxSliderComponent, decorators: [{
  type: Component116,
  args: [{ providers: [{ provide: NG_VALUE_ACCESSOR16, useExisting: IgxSliderComponent, multi: true }], selector: "igx-slider", standalone: true, imports: [NgIf78, IgxTicksComponent, IgxThumbLabelComponent, IgxSliderThumbComponent, IgxTickLabelsPipe], template: '<igx-ticks\n    *ngIf="showTicks && showTopTicks"\n    ticksOrientation="top"\n    [primaryTicks]="primaryTicks"\n    [secondaryTicks]="secondaryTicks"\n    [primaryTickLabels]="primaryTickLabels"\n    [secondaryTickLabels]="secondaryTickLabels"\n    [tickLabelsOrientation]="tickLabelsOrientation"\n    [labelsViewEnabled]="labelsViewEnabled"\n    [labels]="labels | spreadTickLabels:secondaryTicks"\n    [tickLabelTemplateRef]="tickLabelTemplateRef"\n    [minValue]="minValue"\n    [maxValue]="maxValue">\n</igx-ticks>\n<div class="igx-slider__track">\n    <div class="igx-slider__track-inactive"></div>\n    <div #track class="igx-slider__track-fill"></div>\n    <div class="igx-slider__track-steps">\n        <svg width="100%" height="100%">\n          <line #ticks x1="0" y1="2" x2="100%" y2="2"></line>\n        </svg>\n    </div>\n</div>\n<div class="igx-slider__thumbs">\n    <igx-thumb-label\n        *ngIf="isRange"\n        type="from"\n        [value]="lowerLabel"\n        [templateRef]="thumbFromTemplateRef"\n        [continuous]="continuous"\n        [context]="context"\n        [deactiveState]="deactivateThumbLabel"\n        [thumb]="thumbFrom"></igx-thumb-label>\n\n    <igx-thumb\n        *ngIf="isRange"\n        #thumbFrom\n        type="from"\n        [value]="lowerLabel"\n        [disabled]="disabled"\n        [continuous]="continuous"\n        [onPan]="onPan"\n        [stepDistance]="stepDistance"\n        [step]="step"\n        [templateRef]="thumbFromTemplateRef"\n        [context]="context"\n        (thumbChange)="onThumbChange()"\n        (hoverChange)="onHoverChange($event)"\n        [deactiveState]="deactivateThumbLabel"\n        [thumbLabelVisibilityDuration]="thumbLabelVisibilityDuration"></igx-thumb>\n\n    <igx-thumb-label\n        [value]="upperLabel"\n        type="to"\n        [templateRef]="thumbToTemplateRef"\n        [continuous]="continuous"\n        [context]="context"\n        [deactiveState]="deactivateThumbLabel"\n        [thumb]="thumbTo"></igx-thumb-label>\n\n    <igx-thumb\n        #thumbTo\n        type="to"\n        [value]="upperLabel"\n        [disabled]="disabled"\n        [continuous]="continuous"\n        [onPan]="onPan"\n        [stepDistance]="stepDistance"\n        [step]="step"\n        [templateRef]="thumbToTemplateRef"\n        [context]="context"\n        (thumbChange)="onThumbChange()"\n        (hoverChange)="onHoverChange($event)"\n        [deactiveState]="deactivateThumbLabel"\n        [thumbLabelVisibilityDuration]="thumbLabelVisibilityDuration"></igx-thumb>\n</div>\n<igx-ticks\n    *ngIf="showTicks && showBottomTicks"\n    ticksOrientation="bottom"\n    [primaryTicks]="primaryTicks"\n    [secondaryTicks]="secondaryTicks"\n    [primaryTickLabels]="primaryTickLabels"\n    [secondaryTickLabels]="secondaryTickLabels"\n    [tickLabelsOrientation]="tickLabelsOrientation"\n    [labelsViewEnabled]="labelsViewEnabled"\n    [labels]="labels | spreadTickLabels:secondaryTicks"\n    [tickLabelTemplateRef]="tickLabelTemplateRef"\n    [minValue]="minValue"\n    [maxValue]="maxValue">\n</igx-ticks>\n' }]
}], ctorParameters: () => [{ type: i0251.Renderer2 }, { type: i0251.ElementRef }, { type: i0251.ChangeDetectorRef }, { type: i0251.NgZone }, { type: IgxDirectionality }], propDecorators: { trackRef: [{
  type: ViewChild62,
  args: ["track", { static: true }]
}], thumbFromTemplateRef: [{
  type: ContentChild29,
  args: [IgxThumbFromTemplateDirective, { read: TemplateRef43 }]
}], thumbToTemplateRef: [{
  type: ContentChild29,
  args: [IgxThumbToTemplateDirective, { read: TemplateRef43 }]
}], tickLabelTemplateRef: [{
  type: ContentChild29,
  args: [IgxTickLabelTemplateDirective, { read: TemplateRef43, static: false }]
}], role: [{
  type: HostBinding104,
  args: [`attr.role`]
}], slierClass: [{
  type: HostBinding104,
  args: ["class.igx-slider"]
}], id: [{
  type: HostBinding104,
  args: ["attr.id"]
}, {
  type: Input144
}], thumbLabelVisibilityDuration: [{
  type: Input144
}], valuemin: [{
  type: HostBinding104,
  args: [`attr.aria-valuemin`]
}], valuemax: [{
  type: HostBinding104,
  args: [`attr.aria-valuemax`]
}], readonly: [{
  type: HostBinding104,
  args: [`attr.aria-readonly`]
}], disabledClass: [{
  type: HostBinding104,
  args: ["class.igx-slider--disabled"]
}], type: [{
  type: Input144
}], labels: [{
  type: Input144
}], step: [{
  type: Input144
}], disabled: [{
  type: Input144,
  args: [{ transform: booleanAttribute86 }]
}], continuous: [{
  type: Input144,
  args: [{ transform: booleanAttribute86 }]
}], minValue: [{
  type: Input144
}], maxValue: [{
  type: Input144
}], lowerBound: [{
  type: Input144
}], upperBound: [{
  type: Input144
}], value: [{
  type: Input144
}], primaryTicks: [{
  type: Input144
}], secondaryTicks: [{
  type: Input144
}], showTicks: [{
  type: Input144,
  args: [{ transform: booleanAttribute86 }]
}], primaryTickLabels: [{
  type: Input144,
  args: [{ transform: booleanAttribute86 }]
}], secondaryTickLabels: [{
  type: Input144,
  args: [{ transform: booleanAttribute86 }]
}], ticksOrientation: [{
  type: Input144
}], tickLabelsOrientation: [{
  type: Input144
}], valueChange: [{
  type: Output70
}], lowerValueChange: [{
  type: Output70
}], upperValueChange: [{
  type: Output70
}], dragFinished: [{
  type: Output70
}], ticks: [{
  type: ViewChild62,
  args: ["ticks", { static: true }]
}], thumbs: [{
  type: ViewChildren25,
  args: [IgxSliderThumbComponent]
}], labelRefs: [{
  type: ViewChildren25,
  args: [IgxThumbLabelComponent]
}], onFocus: [{
  type: HostListener51,
  args: ["focus"]
}], lowerValue: [{
  type: Input144
}], upperValue: [{
  type: Input144
}], onPointerDown: [{
  type: HostListener51,
  args: ["pointerdown", ["$event"]]
}], onPointerUp: [{
  type: HostListener51,
  args: ["pointerup", ["$event"]]
}] } });

// lib/slider/public_api.mjs
var IGX_SLIDER_DIRECTIVES = [
  IgxSliderComponent,
  IgxThumbFromTemplateDirective,
  IgxThumbToTemplateDirective,
  IgxTickLabelTemplateDirective
];

// lib/switch/switch.component.mjs
import { Component as Component117, HostBinding as HostBinding105, Input as Input145, booleanAttribute as booleanAttribute87 } from "@angular/core";
import * as i0252 from "@angular/core";
var IgxSwitchComponent = class _IgxSwitchComponent extends IgxCheckboxComponent {
  constructor() {
    super(...arguments);
    this.cssClass = "igx-switch";
    this.disabled = false;
    this.invalid = false;
    this.focused = false;
  }
  /**
   * Sets/gets whether the switch is on or off.
   * Default value is 'false'.
   *
   * @example
   * ```html
   *  <igx-switch [checked]="true"></igx-switch>
   * ```
   */
  set checked(value) {
    super.checked = value;
  }
  get checked() {
    return super.checked;
  }
  static {
    this.ɵfac = i0252.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0252, type: _IgxSwitchComponent, deps: null, target: i0252.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0252.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSwitchComponent, isStandalone: true, selector: "igx-switch", inputs: { checked: "checked", disabled: ["disabled", "disabled", booleanAttribute87], invalid: ["invalid", "invalid", booleanAttribute87] }, host: { properties: { "class.igx-switch": "this.cssClass", "class.igx-switch--checked": "this.checked", "class.igx-switch--disabled": "this.disabled", "class.igx-switch--invalid": "this.invalid", "class.igx-switch--focused": "this.focused" } }, providers: [{
      provide: EDITOR_PROVIDER,
      useExisting: _IgxSwitchComponent,
      multi: true
    }], usesInheritance: true, ngImport: i0252, template: '<input #checkbox class="igx-switch__input" type="checkbox"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="checked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (change)="_onCheckboxChange($event)"\n    (blur)="onBlur()" />\n\n<span #label class="igx-switch__composite"\n    igxRipple\n    igxRippleTarget=".igx-switch__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300">\n    <div class="igx-switch__composite-thumb">\n        <div class="igx-switch__ripple"></div>\n    </div>\n</span>\n\n<span #placeholderLabel\n    [class]="labelClass"\n    [id]="labelId">\n    <ng-content></ng-content>\n</span>\n', dependencies: [{ kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }] });
  }
};
i0252.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0252, type: IgxSwitchComponent, decorators: [{
  type: Component117,
  args: [{ providers: [{
    provide: EDITOR_PROVIDER,
    useExisting: IgxSwitchComponent,
    multi: true
  }], selector: "igx-switch", standalone: true, imports: [IgxRippleDirective], template: '<input #checkbox class="igx-switch__input" type="checkbox"\n    [id]="inputId"\n    [name]="name"\n    [value]="value"\n    [tabindex]="tabindex"\n    [disabled]="disabled"\n    [checked]="checked"\n    [required]="required"\n    [attr.aria-required]="required"\n    [attr.aria-invalid]="invalid"\n    [attr.aria-checked]="checked"\n    [attr.aria-labelledby]="ariaLabel ? null : ariaLabelledBy"\n    [attr.aria-label]="ariaLabel"\n    (change)="_onCheckboxChange($event)"\n    (blur)="onBlur()" />\n\n<span #label class="igx-switch__composite"\n    igxRipple\n    igxRippleTarget=".igx-switch__ripple"\n    [igxRippleDisabled]="disableRipple"\n    [igxRippleCentered]="true"\n    [igxRippleDuration]="300">\n    <div class="igx-switch__composite-thumb">\n        <div class="igx-switch__ripple"></div>\n    </div>\n</span>\n\n<span #placeholderLabel\n    [class]="labelClass"\n    [id]="labelId">\n    <ng-content></ng-content>\n</span>\n' }]
}], propDecorators: { cssClass: [{
  type: HostBinding105,
  args: ["class.igx-switch"]
}], checked: [{
  type: HostBinding105,
  args: ["class.igx-switch--checked"]
}, {
  type: Input145
}], disabled: [{
  type: HostBinding105,
  args: ["class.igx-switch--disabled"]
}, {
  type: Input145,
  args: [{ transform: booleanAttribute87 }]
}], invalid: [{
  type: HostBinding105,
  args: ["class.igx-switch--invalid"]
}, {
  type: Input145,
  args: [{ transform: booleanAttribute87 }]
}], focused: [{
  type: HostBinding105,
  args: ["class.igx-switch--focused"]
}] } });

// lib/tabs/tabs.base.mjs
var IgxTabsBase = class {
};
var IgxTabItemBase = class {
};
var IgxTabHeaderBase = class {
};
var IgxTabContentBase = class {
};

// lib/tabs/tab-item.directive.mjs
import { ContentChild as ContentChild30, Directive as Directive94, EventEmitter as EventEmitter80, Input as Input146, Output as Output71, ViewChild as ViewChild63, booleanAttribute as booleanAttribute88 } from "@angular/core";
import * as i0253 from "@angular/core";
var IgxTabItemDirective = class _IgxTabItemDirective {
  /**
   * Gets/Sets whether an item is selected.
   */
  get selected() {
    return this._selected;
  }
  set selected(value) {
    if (this._selected !== value) {
      this._selected = value;
      this.tabs.selectTab(this, this._selected);
      this.selectedChange.emit(this._selected);
    }
  }
  /** @hidden */
  constructor(tabs) {
    this.tabs = tabs;
    this.selectedChange = new EventEmitter80();
    this.disabled = false;
    this.direction = Direction2.NONE;
    this._selected = false;
  }
  static {
    this.ɵfac = i0253.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0253, type: _IgxTabItemDirective, deps: [{ token: IgxTabsBase }], target: i0253.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0253.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTabItemDirective, inputs: { disabled: ["disabled", "disabled", booleanAttribute88], selected: ["selected", "selected", booleanAttribute88] }, outputs: { selectedChange: "selectedChange" }, queries: [{ propertyName: "headerComponent", first: true, predicate: IgxTabHeaderBase, descendants: true }, { propertyName: "panelComponent", first: true, predicate: IgxTabContentBase, descendants: true }], viewQueries: [{ propertyName: "headerTemplate", first: true, predicate: ["headerTemplate"], descendants: true, static: true }, { propertyName: "panelTemplate", first: true, predicate: ["panelTemplate"], descendants: true, static: true }], ngImport: i0253 });
  }
};
i0253.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0253, type: IgxTabItemDirective, decorators: [{
  type: Directive94
}], ctorParameters: () => [{ type: IgxTabsBase }], propDecorators: { headerComponent: [{
  type: ContentChild30,
  args: [IgxTabHeaderBase]
}], panelComponent: [{
  type: ContentChild30,
  args: [IgxTabContentBase]
}], headerTemplate: [{
  type: ViewChild63,
  args: ["headerTemplate", { static: true }]
}], panelTemplate: [{
  type: ViewChild63,
  args: ["panelTemplate", { static: true }]
}], selectedChange: [{
  type: Output71
}], disabled: [{
  type: Input146,
  args: [{ transform: booleanAttribute88 }]
}], selected: [{
  type: Input146,
  args: [{ transform: booleanAttribute88 }]
}] } });

// lib/tabs/tab-content.directive.mjs
import { Directive as Directive95, HostBinding as HostBinding106 } from "@angular/core";
import * as i0254 from "@angular/core";
var IgxTabContentDirective = class _IgxTabContentDirective {
  /** @hidden */
  constructor(tab, elementRef) {
    this.tab = tab;
    this.elementRef = elementRef;
    this.role = "tabpanel";
  }
  /** @hidden */
  get tabIndex() {
    return this.tab.selected ? 0 : -1;
  }
  /** @hidden */
  get zIndex() {
    return this.tab.selected ? "auto" : -1;
  }
  /** @hidden */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  static {
    this.ɵfac = i0254.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0254, type: _IgxTabContentDirective, deps: [{ token: IgxTabItemDirective }, { token: i0254.ElementRef }], target: i0254.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0254.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabContentDirective, host: { properties: { "attr.role": "this.role", "attr.tabindex": "this.tabIndex", "style.z-index": "this.zIndex" } }, ngImport: i0254 });
  }
};
i0254.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0254, type: IgxTabContentDirective, decorators: [{
  type: Directive95
}], ctorParameters: () => [{ type: IgxTabItemDirective }, { type: i0254.ElementRef }], propDecorators: { role: [{
  type: HostBinding106,
  args: ["attr.role"]
}], tabIndex: [{
  type: HostBinding106,
  args: ["attr.tabindex"]
}], zIndex: [{
  type: HostBinding106,
  args: ["style.z-index"]
}] } });

// lib/tabs/bottom-nav/bottom-nav-content.component.mjs
import { Component as Component118, HostBinding as HostBinding107 } from "@angular/core";
import { NgIf as NgIf79 } from "@angular/common";
import * as i0255 from "@angular/core";
var IgxBottomNavContentComponent = class _IgxBottomNavContentComponent extends IgxTabContentDirective {
  constructor() {
    super(...arguments);
    this.defaultClass = true;
  }
  static {
    this.ɵfac = i0255.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0255, type: _IgxBottomNavContentComponent, deps: null, target: i0255.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0255.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavContentComponent, isStandalone: true, selector: "igx-bottom-nav-content", host: { properties: { "class.igx-bottom-nav__panel": "this.defaultClass" } }, providers: [{ provide: IgxTabContentBase, useExisting: _IgxBottomNavContentComponent }], usesInheritance: true, ngImport: i0255, template: '<ng-content *ngIf="tab.selected || tab.previous"></ng-content>\n', dependencies: [{ kind: "directive", type: NgIf79, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0255.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0255, type: IgxBottomNavContentComponent, decorators: [{
  type: Component118,
  args: [{ selector: "igx-bottom-nav-content", providers: [{ provide: IgxTabContentBase, useExisting: IgxBottomNavContentComponent }], standalone: true, imports: [NgIf79], template: '<ng-content *ngIf="tab.selected || tab.previous"></ng-content>\n' }]
}], propDecorators: { defaultClass: [{
  type: HostBinding107,
  args: ["class.igx-bottom-nav__panel"]
}] } });

// lib/tabs/tab-header.directive.mjs
import { Directive as Directive96, HostBinding as HostBinding108, HostListener as HostListener52 } from "@angular/core";
import * as i0256 from "@angular/core";
var IgxTabHeaderDirective = class _IgxTabHeaderDirective {
  /** @hidden */
  constructor(tabs, tab, elementRef, platform) {
    this.tabs = tabs;
    this.tab = tab;
    this.elementRef = elementRef;
    this.platform = platform;
    this.role = "tab";
  }
  /** @hidden */
  get tabIndex() {
    return this.tab.selected ? 0 : -1;
  }
  /** @hidden */
  get ariaSelected() {
    return this.tab.selected;
  }
  /** @hidden */
  get ariaDisabled() {
    return this.tab.disabled;
  }
  /** @hidden */
  onClick() {
    if (this.tab.panelComponent) {
      this.tabs.selectTab(this.tab, true);
    }
  }
  /** @hidden */
  get nativeElement() {
    return this.elementRef.nativeElement;
  }
  static {
    this.ɵfac = i0256.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0256, type: _IgxTabHeaderDirective, deps: [{ token: IgxTabsBase }, { token: IgxTabItemDirective }, { token: i0256.ElementRef }, { token: PlatformUtil }], target: i0256.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0256.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabHeaderDirective, host: { listeners: { "click": "onClick()" }, properties: { "attr.role": "this.role", "attr.tabindex": "this.tabIndex", "attr.aria-selected": "this.ariaSelected", "attr.aria-disabled": "this.ariaDisabled" } }, ngImport: i0256 });
  }
};
i0256.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0256, type: IgxTabHeaderDirective, decorators: [{
  type: Directive96
}], ctorParameters: () => [{ type: IgxTabsBase }, { type: IgxTabItemDirective }, { type: i0256.ElementRef }, { type: PlatformUtil }], propDecorators: { role: [{
  type: HostBinding108,
  args: ["attr.role"]
}], tabIndex: [{
  type: HostBinding108,
  args: ["attr.tabindex"]
}], ariaSelected: [{
  type: HostBinding108,
  args: ["attr.aria-selected"]
}], ariaDisabled: [{
  type: HostBinding108,
  args: ["attr.aria-disabled"]
}], onClick: [{
  type: HostListener52,
  args: ["click"]
}] } });

// lib/tabs/bottom-nav/bottom-nav-header.component.mjs
import { Component as Component119, HostBinding as HostBinding109 } from "@angular/core";
import * as i0257 from "@angular/core";
var IgxBottomNavHeaderComponent = class _IgxBottomNavHeaderComponent extends IgxTabHeaderDirective {
  /** @hidden */
  get cssClassSelected() {
    return this.tab.selected;
  }
  /** @hidden */
  get cssClassDisabled() {
    return this.tab.disabled;
  }
  /** @hidden */
  get cssClass() {
    return !this.tab.disabled && !this.tab.selected;
  }
  static {
    this.ɵfac = i0257.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0257, type: _IgxBottomNavHeaderComponent, deps: null, target: i0257.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0257.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavHeaderComponent, isStandalone: true, selector: "igx-bottom-nav-header", host: { properties: { "class.igx-bottom-nav__menu-item--selected": "this.cssClassSelected", "class.igx-bottom-nav__menu-item--disabled": "this.cssClassDisabled", "class.igx-bottom-nav__menu-item": "this.cssClass" } }, providers: [{ provide: IgxTabHeaderBase, useExisting: _IgxBottomNavHeaderComponent }], usesInheritance: true, ngImport: i0257, template: "<ng-content></ng-content>\n" });
  }
};
i0257.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0257, type: IgxBottomNavHeaderComponent, decorators: [{
  type: Component119,
  args: [{ selector: "igx-bottom-nav-header", providers: [{ provide: IgxTabHeaderBase, useExisting: IgxBottomNavHeaderComponent }], standalone: true, template: "<ng-content></ng-content>\n" }]
}], propDecorators: { cssClassSelected: [{
  type: HostBinding109,
  args: ["class.igx-bottom-nav__menu-item--selected"]
}], cssClassDisabled: [{
  type: HostBinding109,
  args: ["class.igx-bottom-nav__menu-item--disabled"]
}], cssClass: [{
  type: HostBinding109,
  args: ["class.igx-bottom-nav__menu-item"]
}] } });

// lib/tabs/bottom-nav/bottom-nav-item.component.mjs
import { Component as Component120 } from "@angular/core";
import * as i0258 from "@angular/core";
var IgxBottomNavItemComponent = class _IgxBottomNavItemComponent extends IgxTabItemDirective {
  static {
    this.ɵfac = i0258.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0258, type: _IgxBottomNavItemComponent, deps: null, target: i0258.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0258.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavItemComponent, isStandalone: true, selector: "igx-bottom-nav-item", providers: [{ provide: IgxTabItemDirective, useExisting: _IgxBottomNavItemComponent }], usesInheritance: true, ngImport: i0258, template: '<ng-template #headerTemplate>\n    <ng-content select="igx-bottom-nav-header"></ng-content>\n</ng-template>\n<ng-template #panelTemplate>\n    <ng-content select="igx-bottom-nav-content"></ng-content>\n</ng-template>\n' });
  }
};
i0258.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0258, type: IgxBottomNavItemComponent, decorators: [{
  type: Component120,
  args: [{ selector: "igx-bottom-nav-item", providers: [{ provide: IgxTabItemDirective, useExisting: IgxBottomNavItemComponent }], standalone: true, template: '<ng-template #headerTemplate>\n    <ng-content select="igx-bottom-nav-header"></ng-content>\n</ng-template>\n<ng-template #panelTemplate>\n    <ng-content select="igx-bottom-nav-content"></ng-content>\n</ng-template>\n' }]
}] });

// lib/tabs/tabs.directive.mjs
import { ContentChildren as ContentChildren25, Directive as Directive97, EventEmitter as EventEmitter81, Inject as Inject100, Input as Input147, Output as Output72, booleanAttribute as booleanAttribute89 } from "@angular/core";
import * as i0259 from "@angular/core";
var IgxTabsDirective = class _IgxTabsDirective extends IgxCarouselComponentBase {
  /**
   * Gets/Sets the index of the selected item.
   * Default value is 0 if contents are defined otherwise defaults to -1.
   */
  get selectedIndex() {
    return this._selectedIndex;
  }
  set selectedIndex(value) {
    if (this._selectedIndex !== value) {
      let newIndex = value;
      const oldIndex = this._selectedIndex;
      const args = {
        owner: this,
        cancel: false,
        oldIndex,
        newIndex
      };
      this.selectedIndexChanging.emit(args);
      if (!args.cancel) {
        newIndex = args.newIndex;
        this._selectedIndex = newIndex;
        this.selectedIndexChange.emit(this._selectedIndex);
      }
      this.updateSelectedTabs(oldIndex);
    }
  }
  /**
   * Gets the selected item.
   */
  get selectedItem() {
    return this.items && this.selectedIndex >= 0 && this.selectedIndex < this.items.length ? this.items.get(this.selectedIndex) : null;
  }
  /** @hidden */
  constructor(animationService, cdr, dir) {
    super(animationService, cdr);
    this.dir = dir;
    this.disableAnimation = false;
    this.selectedIndexChange = new EventEmitter81();
    this.selectedIndexChanging = new EventEmitter81();
    this.selectedItemChange = new EventEmitter81();
    this._selectedIndex = -1;
  }
  /** @hidden */
  ngAfterViewInit() {
    if (this._selectedIndex === -1) {
      const hasSelectedTab = this.items.some((tab, i) => {
        if (tab.selected) {
          this._selectedIndex = i;
        }
        return tab.selected;
      });
      if (!hasSelectedTab && this.hasPanels) {
        this._selectedIndex = 0;
      }
    }
    Promise.resolve().then(() => {
      this.updateSelectedTabs(null, false);
    });
    this._itemChanges$ = this.items.changes.subscribe(() => {
      this.onItemChanges();
    });
    this.setAttributes();
  }
  /** @hidden */
  ngOnDestroy() {
    if (this._itemChanges$) {
      this._itemChanges$.unsubscribe();
    }
  }
  /** @hidden */
  selectTab(tab, selected) {
    if (!this.items) {
      return;
    }
    const tabs = this.items.toArray();
    if (selected) {
      const index = tabs.indexOf(tab);
      if (index > -1) {
        this.selectedIndex = index;
      }
    } else {
      if (tabs.every((t) => !t.selected)) {
        this.selectedIndex = -1;
      }
    }
  }
  /** @hidden */
  getPreviousElement() {
    return this.previousItem.panelComponent.nativeElement;
  }
  /** @hidden */
  getCurrentElement() {
    return this.currentItem.panelComponent.nativeElement;
  }
  /** @hidden */
  scrollTabHeaderIntoView() {
  }
  /** @hidden */
  onItemChanges() {
    this.setAttributes();
    let selectedIndex = -1;
    this.items.some((tab, i) => {
      if (tab.selected) {
        selectedIndex = i;
      }
      return tab.selected;
    });
    if (selectedIndex >= 0) {
      Promise.resolve().then(() => {
        this.selectedIndex = selectedIndex;
      });
    } else {
      if (this.selectedIndex >= 0 && this.selectedIndex < this.items.length) {
        Promise.resolve().then(() => {
          this.updateSelectedTabs(null);
        });
      } else if (this.selectedIndex >= this.items.length) {
        Promise.resolve().then(() => {
          this.selectedIndex = this.items.length - 1;
        });
      }
    }
  }
  setAttributes() {
    this.items.forEach((item) => {
      if (item.panelComponent && !item.headerComponent.nativeElement.getAttribute("id")) {
        const id = this.getNextTabId();
        const tabHeaderId = `${this.componentName}-header-${id}`;
        const tabPanelId = `${this.componentName}-content-${id}`;
        this.setHeaderAttribute(item, "id", tabHeaderId);
        this.setHeaderAttribute(item, "aria-controls", tabPanelId);
        this.setPanelAttribute(item, "id", tabPanelId);
        this.setPanelAttribute(item, "aria-labelledby", tabHeaderId);
      }
    });
  }
  setHeaderAttribute(item, attrName, value) {
    item.headerComponent.nativeElement.setAttribute(attrName, value);
  }
  setPanelAttribute(item, attrName, value) {
    item.panelComponent.nativeElement.setAttribute(attrName, value);
  }
  get hasPanels() {
    return this.panels && this.panels.length;
  }
  updateSelectedTabs(oldSelectedIndex, raiseEvent = true) {
    if (!this.items) {
      return;
    }
    let newTab;
    const oldTab = this.currentItem;
    if (this._selectedIndex >= 0 && this._selectedIndex < this.items.length) {
      newTab = this.items.get(this._selectedIndex);
      newTab.selected = true;
    }
    this.items.forEach((tab, i) => {
      if (i !== this._selectedIndex) {
        tab.selected = false;
      }
    });
    if (this._selectedIndex !== oldSelectedIndex) {
      this.scrollTabHeaderIntoView();
      this.triggerPanelAnimations(oldSelectedIndex);
      if (raiseEvent && newTab !== oldTab) {
        this.selectedItemChange.emit({
          owner: this,
          newItem: newTab,
          oldItem: oldTab
        });
      }
    }
  }
  triggerPanelAnimations(oldSelectedIndex) {
    const item = this.items.get(this._selectedIndex);
    if (item && !this.disableAnimation && this.hasPanels && this.currentItem && !this.currentItem.selected) {
      item.direction = !this.dir.rtl && this._selectedIndex > oldSelectedIndex || this.dir.rtl && this._selectedIndex < oldSelectedIndex ? Direction2.NEXT : Direction2.PREV;
      if (this.previousItem && this.previousItem.previous) {
        this.previousItem.previous = false;
      }
      this.currentItem.direction = item.direction;
      this.previousItem = this.currentItem;
      this.currentItem = item;
      this.triggerAnimations();
    } else {
      this.currentItem = item;
    }
  }
  static {
    this.ɵfac = i0259.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0259, type: _IgxTabsDirective, deps: [{ token: IgxAngularAnimationService }, { token: i0259.ChangeDetectorRef }, { token: IgxDirectionality }], target: i0259.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0259.ɵɵngDeclareDirective({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxTabsDirective, inputs: { selectedIndex: "selectedIndex", disableAnimation: ["disableAnimation", "disableAnimation", booleanAttribute89] }, outputs: { selectedIndexChange: "selectedIndexChange", selectedIndexChanging: "selectedIndexChanging", selectedItemChange: "selectedItemChange" }, queries: [{ propertyName: "items", predicate: IgxTabItemDirective }, { propertyName: "panels", predicate: IgxTabContentBase, descendants: true }], usesInheritance: true, ngImport: i0259 });
  }
};
i0259.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0259, type: IgxTabsDirective, decorators: [{
  type: Directive97
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject100,
  args: [IgxAngularAnimationService]
}] }, { type: i0259.ChangeDetectorRef }, { type: IgxDirectionality }], propDecorators: { selectedIndex: [{
  type: Input147
}], disableAnimation: [{
  type: Input147,
  args: [{ transform: booleanAttribute89 }]
}], selectedIndexChange: [{
  type: Output72
}], selectedIndexChanging: [{
  type: Output72
}], selectedItemChange: [{
  type: Output72
}], items: [{
  type: ContentChildren25,
  args: [IgxTabItemDirective]
}], panels: [{
  type: ContentChildren25,
  args: [IgxTabContentBase, { descendants: true }]
}] } });

// lib/tabs/bottom-nav/bottom-nav.component.mjs
import { Component as Component121 } from "@angular/core";
import { NgFor as NgFor36, NgTemplateOutlet as NgTemplateOutlet48 } from "@angular/common";
import * as i0260 from "@angular/core";
var NEXT_BOTTOM_NAV_ITEM_ID = 0;
var IgxBottomNavComponent = class _IgxBottomNavComponent extends IgxTabsDirective {
  constructor() {
    super(...arguments);
    this.disableAnimation = true;
    this.componentName = "igx-bottom-nav";
  }
  /** @hidden */
  getNextTabId() {
    return NEXT_BOTTOM_NAV_ITEM_ID++;
  }
  static {
    this.ɵfac = i0260.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0260, type: _IgxBottomNavComponent, deps: null, target: i0260.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0260.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavComponent, isStandalone: true, selector: "igx-bottom-nav", providers: [{ provide: IgxTabsBase, useExisting: _IgxBottomNavComponent }], usesInheritance: true, ngImport: i0260, template: '<ng-container *ngFor="let tab of items; let i = index">\n    <ng-container *ngTemplateOutlet="tab.panelTemplate"></ng-container>\n</ng-container>\n\n<div\n    #tablist\n    role="tablist"\n    class="igx-bottom-nav__menu igx-bottom-nav__menu--bottom"\n    aria-orientation="horizontal"\n>\n    <ng-container *ngFor="let tab of items; let i = index">\n        <ng-container *ngTemplateOutlet="tab.headerTemplate"></ng-container>\n    </ng-container>\n</div>\n', dependencies: [{ kind: "directive", type: NgFor36, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgTemplateOutlet48, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0260.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0260, type: IgxBottomNavComponent, decorators: [{
  type: Component121,
  args: [{ selector: "igx-bottom-nav", providers: [{ provide: IgxTabsBase, useExisting: IgxBottomNavComponent }], standalone: true, imports: [NgFor36, NgTemplateOutlet48], template: '<ng-container *ngFor="let tab of items; let i = index">\n    <ng-container *ngTemplateOutlet="tab.panelTemplate"></ng-container>\n</ng-container>\n\n<div\n    #tablist\n    role="tablist"\n    class="igx-bottom-nav__menu igx-bottom-nav__menu--bottom"\n    aria-orientation="horizontal"\n>\n    <ng-container *ngFor="let tab of items; let i = index">\n        <ng-container *ngTemplateOutlet="tab.headerTemplate"></ng-container>\n    </ng-container>\n</div>\n' }]
}] });

// lib/tabs/bottom-nav/bottom-nav.directives.mjs
import { Directive as Directive98 } from "@angular/core";
import * as i0261 from "@angular/core";
var IgxBottomNavHeaderLabelDirective = class _IgxBottomNavHeaderLabelDirective {
  static {
    this.ɵfac = i0261.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0261, type: _IgxBottomNavHeaderLabelDirective, deps: [], target: i0261.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0261.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavHeaderLabelDirective, isStandalone: true, selector: "igx-bottom-nav-header-label,[igxBottomNavHeaderLabel]", ngImport: i0261 });
  }
};
i0261.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0261, type: IgxBottomNavHeaderLabelDirective, decorators: [{
  type: Directive98,
  args: [{
    selector: "igx-bottom-nav-header-label,[igxBottomNavHeaderLabel]",
    standalone: true
  }]
}] });
var IgxBottomNavHeaderIconDirective = class _IgxBottomNavHeaderIconDirective {
  static {
    this.ɵfac = i0261.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0261, type: _IgxBottomNavHeaderIconDirective, deps: [], target: i0261.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0261.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxBottomNavHeaderIconDirective, isStandalone: true, selector: "igx-bottom-nav-header-icon,[igxBottomNavHeaderIcon]", ngImport: i0261 });
  }
};
i0261.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0261, type: IgxBottomNavHeaderIconDirective, decorators: [{
  type: Directive98,
  args: [{
    selector: "igx-bottom-nav-header-icon,[igxBottomNavHeaderIcon]",
    standalone: true
  }]
}] });

// lib/tabs/bottom-nav/public_api.mjs
var IGX_BOTTOM_NAV_DIRECTIVES = [
  IgxBottomNavComponent,
  IgxBottomNavItemComponent,
  IgxBottomNavHeaderComponent,
  IgxBottomNavContentComponent,
  IgxBottomNavHeaderLabelDirective,
  IgxBottomNavHeaderIconDirective
];

// lib/tabs/tabs/tab-content.component.mjs
import { Component as Component122, HostBinding as HostBinding110 } from "@angular/core";
import { NgIf as NgIf80 } from "@angular/common";
import * as i0262 from "@angular/core";
var IgxTabContentComponent = class _IgxTabContentComponent extends IgxTabContentDirective {
  constructor() {
    super(...arguments);
    this.cssClass = true;
  }
  static {
    this.ɵfac = i0262.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0262, type: _IgxTabContentComponent, deps: null, target: i0262.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0262.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabContentComponent, isStandalone: true, selector: "igx-tab-content", host: { properties: { "class.igx-tabs__panel": "this.cssClass" } }, providers: [{ provide: IgxTabContentBase, useExisting: _IgxTabContentComponent }], usesInheritance: true, ngImport: i0262, template: '<ng-content *ngIf="tab.selected || tab.previous"></ng-content>\n', dependencies: [{ kind: "directive", type: NgIf80, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0262.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0262, type: IgxTabContentComponent, decorators: [{
  type: Component122,
  args: [{ selector: "igx-tab-content", providers: [{ provide: IgxTabContentBase, useExisting: IgxTabContentComponent }], standalone: true, imports: [NgIf80], template: '<ng-content *ngIf="tab.selected || tab.previous"></ng-content>\n' }]
}], propDecorators: { cssClass: [{
  type: HostBinding110,
  args: ["class.igx-tabs__panel"]
}] } });

// lib/tabs/tabs/tabs.component.mjs
import { Component as Component123, HostBinding as HostBinding111, Inject as Inject101, Input as Input148, ViewChild as ViewChild64 } from "@angular/core";
import { NgClass as NgClass41, NgFor as NgFor37, NgTemplateOutlet as NgTemplateOutlet49, NgIf as NgIf81 } from "@angular/common";
import * as i0263 from "@angular/core";
var IgxTabsAlignment = /* @__PURE__ */ mkenum({
  start: "start",
  end: "end",
  center: "center",
  justify: "justify"
});
var NEXT_TAB_ID = 0;
var IgxTabsComponent = class _IgxTabsComponent extends IgxTabsDirective {
  /**
   * Gets/Sets the tab alignment. Defaults to `start`.
   */
  get tabAlignment() {
    return this._tabAlignment;
  }
  set tabAlignment(value) {
    this._tabAlignment = value;
    requestAnimationFrame(() => {
      this.updateScrollButtons();
      this.realignSelectedIndicator();
    });
  }
  constructor(animationService, cdr, ngZone, dir) {
    super(animationService, cdr, dir);
    this.ngZone = ngZone;
    this.defaultClass = true;
    this.offset = 0;
    this.componentName = "igx-tabs";
    this._tabAlignment = "start";
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.ngZone.runOutsideAngular(() => {
      this._resizeObserver = new (getResizeObserver())(() => {
        this.updateScrollButtons();
        this.realignSelectedIndicator();
      });
      this._resizeObserver.observe(this.headerContainer.nativeElement);
      this._resizeObserver.observe(this.viewPort.nativeElement);
    });
  }
  /** @hidden @internal */
  ngOnDestroy() {
    super.ngOnDestroy();
    this.ngZone.runOutsideAngular(() => {
      this._resizeObserver?.disconnect();
    });
  }
  /** @hidden */
  scrollPrev() {
    this.scroll(false);
  }
  /** @hidden */
  scrollNext() {
    this.scroll(true);
  }
  /** @hidden */
  realignSelectedIndicator() {
    if (this.selectedIndex >= 0 && this.selectedIndex < this.items.length) {
      const header = this.items.get(this.selectedIndex).headerComponent.nativeElement;
      this.alignSelectedIndicator(header, 0);
    }
  }
  /** @hidden */
  resolveHeaderScrollClasses() {
    return {
      "igx-tabs__header-scroll--start": this.tabAlignment === "start",
      "igx-tabs__header-scroll--end": this.tabAlignment === "end",
      "igx-tabs__header-scroll--center": this.tabAlignment === "center",
      "igx-tabs__header-scroll--justify": this.tabAlignment === "justify"
    };
  }
  /** @hidden */
  scrollTabHeaderIntoView() {
    if (this.selectedIndex >= 0) {
      const tabItems = this.items.toArray();
      const tabHeaderNativeElement = tabItems[this.selectedIndex].headerComponent.nativeElement;
      if (this.getElementOffset(tabHeaderNativeElement) < this.offset) {
        this.scrollElement(tabHeaderNativeElement, false);
      }
      const viewPortOffsetWidth = this.viewPort.nativeElement.offsetWidth;
      const delta = this.getElementOffset(tabHeaderNativeElement) + tabHeaderNativeElement.offsetWidth - (viewPortOffsetWidth + this.offset);
      if (delta > 1) {
        this.scrollElement(tabHeaderNativeElement, true);
      }
      this.alignSelectedIndicator(tabHeaderNativeElement);
    } else {
      this.hideSelectedIndicator();
    }
  }
  /** @hidden */
  getNextTabId() {
    return NEXT_TAB_ID++;
  }
  /** @hidden */
  onItemChanges() {
    super.onItemChanges();
    Promise.resolve().then(() => {
      this.updateScrollButtons();
    });
  }
  alignSelectedIndicator(element, duration = 0.3) {
    if (this.selectedIndicator) {
      this.selectedIndicator.nativeElement.style.visibility = "visible";
      this.selectedIndicator.nativeElement.style.transitionDuration = duration > 0 ? `${duration}s` : "initial";
      this.selectedIndicator.nativeElement.style.width = `${element.offsetWidth}px`;
      this.selectedIndicator.nativeElement.style.transform = `translate(${element.offsetLeft}px)`;
    }
  }
  hideSelectedIndicator() {
    if (this.selectedIndicator) {
      this.selectedIndicator.nativeElement.style.visibility = "hidden";
    }
  }
  scroll(scrollNext) {
    const tabsArray = this.items.toArray();
    for (let index = 0; index < tabsArray.length; index++) {
      const tab = tabsArray[index];
      const element = tab.headerComponent.nativeElement;
      if (scrollNext) {
        if (element.offsetWidth + this.getElementOffset(element) > this.viewPort.nativeElement.offsetWidth + this.offset) {
          this.scrollElement(element, scrollNext);
          break;
        }
      } else {
        if (this.getElementOffset(element) >= this.offset) {
          this.scrollElement(tabsArray[index - 1].headerComponent.nativeElement, scrollNext);
          break;
        }
      }
    }
  }
  scrollElement(element, scrollNext) {
    const viewPortWidth = this.viewPort.nativeElement.offsetWidth;
    this.offset = scrollNext ? element.offsetWidth + this.getElementOffset(element) - viewPortWidth : this.getElementOffset(element);
    this.viewPort.nativeElement.scrollLeft = this.getOffset(this.offset);
    this.updateScrollButtons();
  }
  updateScrollButtons() {
    const itemsContainerWidth = this.getTabItemsContainerWidth();
    const scrollPrevButtonStyle = this.resolveLeftScrollButtonStyle(itemsContainerWidth);
    this.setScrollButtonStyle(this.scrollPrevButton.nativeElement, scrollPrevButtonStyle);
    const scrollNextButtonStyle = this.resolveRightScrollButtonStyle(itemsContainerWidth);
    this.setScrollButtonStyle(this.scrollNextButton.nativeElement, scrollNextButtonStyle);
  }
  setScrollButtonStyle(button, buttonStyle) {
    if (buttonStyle === "enabled") {
      button.disabled = false;
      button.style.display = "";
    } else if (buttonStyle === "disabled") {
      button.disabled = true;
      button.style.display = "";
    } else if (buttonStyle === "not_displayed") {
      button.style.display = "none";
    }
  }
  resolveLeftScrollButtonStyle(itemsContainerWidth) {
    const headerContainerWidth = this.headerContainer.nativeElement.offsetWidth;
    const offset = this.offset;
    if (offset === 0) {
      if (itemsContainerWidth - headerContainerWidth <= 1) {
        return "not_displayed";
      }
      return "disabled";
    } else {
      return "enabled";
    }
  }
  resolveRightScrollButtonStyle(itemsContainerWidth) {
    const viewPortWidth = this.viewPort.nativeElement.offsetWidth;
    const headerContainerWidth = this.headerContainer.nativeElement.offsetWidth;
    const offset = this.offset;
    const total = offset + viewPortWidth;
    if (itemsContainerWidth - headerContainerWidth <= 1 && offset === 0) {
      return "not_displayed";
    }
    if (itemsContainerWidth > total) {
      return "enabled";
    } else {
      return "disabled";
    }
  }
  getTabItemsContainerWidth() {
    const itemsContainerChildrenCount = this.itemsContainer.nativeElement.children.length;
    let itemsContainerWidth = 0;
    if (itemsContainerChildrenCount > 1) {
      const lastTab = this.itemsContainer.nativeElement.children[itemsContainerChildrenCount - 1];
      itemsContainerWidth = this.getElementOffset(lastTab) + lastTab.offsetWidth;
    }
    return itemsContainerWidth;
  }
  getOffset(offset) {
    return this.dir.rtl ? -offset : offset;
  }
  getElementOffset(element) {
    return this.dir.rtl ? this.itemsWrapper.nativeElement.offsetWidth - element.offsetLeft - element.offsetWidth : element.offsetLeft;
  }
  static {
    this.ɵfac = i0263.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0263, type: _IgxTabsComponent, deps: [{ token: IgxAngularAnimationService }, { token: i0263.ChangeDetectorRef }, { token: i0263.NgZone }, { token: IgxDirectionality }], target: i0263.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0263.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabsComponent, isStandalone: true, selector: "igx-tabs", inputs: { tabAlignment: "tabAlignment" }, host: { properties: { "class.igx-tabs": "this.defaultClass" } }, providers: [{ provide: IgxTabsBase, useExisting: _IgxTabsComponent }], viewQueries: [{ propertyName: "headerContainer", first: true, predicate: ["headerContainer"], descendants: true, static: true }, { propertyName: "viewPort", first: true, predicate: ["viewPort"], descendants: true, static: true }, { propertyName: "itemsWrapper", first: true, predicate: ["itemsWrapper"], descendants: true, static: true }, { propertyName: "itemsContainer", first: true, predicate: ["itemsContainer"], descendants: true, static: true }, { propertyName: "selectedIndicator", first: true, predicate: ["selectedIndicator"], descendants: true }, { propertyName: "scrollPrevButton", first: true, predicate: ["scrollPrevButton"], descendants: true }, { propertyName: "scrollNextButton", first: true, predicate: ["scrollNextButton"], descendants: true }], usesInheritance: true, ngImport: i0263, template: '<div #headerContainer class="igx-tabs__header">\n    <button #scrollPrevButton type="button" igxIconButton="flat" igxRipple class="igx-tabs__header-button" (click)="scrollPrev()">\n        <igx-icon>navigate_before</igx-icon>\n    </button>\n    <div #viewPort class="igx-tabs__header-content">\n        <div #itemsWrapper class="igx-tabs__header-wrapper" role="tablist">\n            <div #itemsContainer class="igx-tabs__header-scroll" [ngClass]="resolveHeaderScrollClasses()">\n                <ng-container *ngFor="let tab of items; let i = index">\n                    <ng-container *ngTemplateOutlet="tab.headerTemplate"></ng-container>\n                </ng-container>\n            </div>\n            <div #selectedIndicator *ngIf="items.length > 0" class="igx-tabs__header-active-indicator">\n            </div>\n        </div>\n    </div>\n    <button #scrollNextButton type="button" igxIconButton="flat" igxRipple class="igx-tabs__header-button" (click)="scrollNext()">\n        <igx-icon>navigate_next</igx-icon>\n    </button>\n</div>\n<div class="igx-tabs__panels">\n    <ng-container *ngFor="let tab of items; let i = index">\n        <ng-container *ngTemplateOutlet="tab.panelTemplate"></ng-container>\n    </ng-container>\n</div>\n', dependencies: [{ kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgClass41, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: NgFor37, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: NgTemplateOutlet49, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf81, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
  }
};
i0263.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0263, type: IgxTabsComponent, decorators: [{
  type: Component123,
  args: [{ selector: "igx-tabs", providers: [{ provide: IgxTabsBase, useExisting: IgxTabsComponent }], standalone: true, imports: [IgxRippleDirective, IgxIconComponent, NgClass41, NgFor37, NgTemplateOutlet49, NgIf81], template: '<div #headerContainer class="igx-tabs__header">\n    <button #scrollPrevButton type="button" igxIconButton="flat" igxRipple class="igx-tabs__header-button" (click)="scrollPrev()">\n        <igx-icon>navigate_before</igx-icon>\n    </button>\n    <div #viewPort class="igx-tabs__header-content">\n        <div #itemsWrapper class="igx-tabs__header-wrapper" role="tablist">\n            <div #itemsContainer class="igx-tabs__header-scroll" [ngClass]="resolveHeaderScrollClasses()">\n                <ng-container *ngFor="let tab of items; let i = index">\n                    <ng-container *ngTemplateOutlet="tab.headerTemplate"></ng-container>\n                </ng-container>\n            </div>\n            <div #selectedIndicator *ngIf="items.length > 0" class="igx-tabs__header-active-indicator">\n            </div>\n        </div>\n    </div>\n    <button #scrollNextButton type="button" igxIconButton="flat" igxRipple class="igx-tabs__header-button" (click)="scrollNext()">\n        <igx-icon>navigate_next</igx-icon>\n    </button>\n</div>\n<div class="igx-tabs__panels">\n    <ng-container *ngFor="let tab of items; let i = index">\n        <ng-container *ngTemplateOutlet="tab.panelTemplate"></ng-container>\n    </ng-container>\n</div>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject101,
  args: [IgxAngularAnimationService]
}] }, { type: i0263.ChangeDetectorRef }, { type: i0263.NgZone }, { type: IgxDirectionality }], propDecorators: { tabAlignment: [{
  type: Input148
}], headerContainer: [{
  type: ViewChild64,
  args: ["headerContainer", { static: true }]
}], viewPort: [{
  type: ViewChild64,
  args: ["viewPort", { static: true }]
}], itemsWrapper: [{
  type: ViewChild64,
  args: ["itemsWrapper", { static: true }]
}], itemsContainer: [{
  type: ViewChild64,
  args: ["itemsContainer", { static: true }]
}], selectedIndicator: [{
  type: ViewChild64,
  args: ["selectedIndicator"]
}], scrollPrevButton: [{
  type: ViewChild64,
  args: ["scrollPrevButton"]
}], scrollNextButton: [{
  type: ViewChild64,
  args: ["scrollNextButton"]
}], defaultClass: [{
  type: HostBinding111,
  args: ["class.igx-tabs"]
}] } });

// lib/tabs/tabs/tab-header.component.mjs
import { Component as Component124, HostBinding as HostBinding112, HostListener as HostListener53 } from "@angular/core";
import * as i0264 from "@angular/core";
var IgxTabHeaderComponent = class _IgxTabHeaderComponent extends IgxTabHeaderDirective {
  /** @hidden @internal */
  get provideCssClassSelected() {
    return this.tab.selected;
  }
  /** @hidden @internal */
  get provideCssClassDisabled() {
    return this.tab.disabled;
  }
  /** @hidden @internal */
  constructor(tabs, tab, elementRef, platform, ngZone, dir) {
    super(tabs, tab, elementRef, platform);
    this.tabs = tabs;
    this.ngZone = ngZone;
    this.dir = dir;
    this.cssClass = true;
  }
  /** @hidden @internal */
  keyDown(event) {
    let unsupportedKey = false;
    const itemsArray = this.tabs.items.toArray();
    const previousIndex = itemsArray.indexOf(this.tab);
    let newIndex = previousIndex;
    const hasDisabledItems = itemsArray.some((item) => item.disabled);
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_RIGHT:
        newIndex = this.getNewSelectionIndex(newIndex, itemsArray, event.key, hasDisabledItems);
        break;
      case this.platform.KEYMAP.ARROW_LEFT:
        newIndex = this.getNewSelectionIndex(newIndex, itemsArray, event.key, hasDisabledItems);
        break;
      case this.platform.KEYMAP.HOME:
        event.preventDefault();
        newIndex = 0;
        while (itemsArray[newIndex].disabled && newIndex < itemsArray.length) {
          newIndex = newIndex === itemsArray.length - 1 ? 0 : newIndex + 1;
        }
        break;
      case this.platform.KEYMAP.END:
        event.preventDefault();
        newIndex = itemsArray.length - 1;
        while (hasDisabledItems && itemsArray[newIndex].disabled && newIndex > 0) {
          newIndex = newIndex === 0 ? itemsArray.length - 1 : newIndex - 1;
        }
        break;
      case this.platform.KEYMAP.ENTER:
        if (!this.tab.panelComponent) {
          this.nativeElement.click();
        }
        unsupportedKey = true;
        break;
      case this.platform.KEYMAP.SPACE:
        event.preventDefault();
        if (!this.tab.panelComponent) {
          this.nativeElement.click();
        }
        unsupportedKey = true;
        break;
      default:
        unsupportedKey = true;
        break;
    }
    if (!unsupportedKey) {
      itemsArray[newIndex].headerComponent.nativeElement.focus({ preventScroll: true });
      if (this.tab.panelComponent) {
        this.tabs.selectedIndex = newIndex;
      }
    }
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.ngZone.runOutsideAngular(() => {
      this._resizeObserver = new (getResizeObserver())(() => {
        this.tabs.realignSelectedIndicator();
      });
      this._resizeObserver.observe(this.nativeElement);
    });
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.ngZone.runOutsideAngular(() => {
      this._resizeObserver?.disconnect();
    });
  }
  getNewSelectionIndex(newIndex, itemsArray, key, hasDisabledItems) {
    if (key === this.platform.KEYMAP.ARROW_RIGHT && !this.dir.rtl || key === this.platform.KEYMAP.ARROW_LEFT && this.dir.rtl) {
      newIndex = newIndex === itemsArray.length - 1 ? 0 : newIndex + 1;
      while (hasDisabledItems && itemsArray[newIndex].disabled && newIndex < itemsArray.length) {
        newIndex = newIndex === itemsArray.length - 1 ? 0 : newIndex + 1;
      }
    } else {
      newIndex = newIndex === 0 ? itemsArray.length - 1 : newIndex - 1;
      while (hasDisabledItems && itemsArray[newIndex].disabled && newIndex >= 0) {
        newIndex = newIndex === 0 ? itemsArray.length - 1 : newIndex - 1;
      }
    }
    return newIndex;
  }
  static {
    this.ɵfac = i0264.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0264, type: _IgxTabHeaderComponent, deps: [{ token: IgxTabsComponent }, { token: IgxTabItemDirective }, { token: i0264.ElementRef }, { token: PlatformUtil }, { token: i0264.NgZone }, { token: IgxDirectionality }], target: i0264.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0264.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabHeaderComponent, isStandalone: true, selector: "igx-tab-header", host: { listeners: { "keydown": "keyDown($event)" }, properties: { "class.igx-tabs__header-item--selected": "this.provideCssClassSelected", "class.igx-tabs__header-item--disabled": "this.provideCssClassDisabled", "class.igx-tabs__header-item": "this.cssClass" } }, providers: [{ provide: IgxTabHeaderBase, useExisting: _IgxTabHeaderComponent }], usesInheritance: true, ngImport: i0264, template: '<ng-content select="igx-prefix,[igxPrefix]"></ng-content>\n\n<div class="igx-tabs__header-item-inner">\n    <ng-content></ng-content>\n</div>\n\n<ng-content select="igx-suffix,[igxSuffix]"></ng-content>\n' });
  }
};
i0264.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0264, type: IgxTabHeaderComponent, decorators: [{
  type: Component124,
  args: [{ selector: "igx-tab-header", providers: [{ provide: IgxTabHeaderBase, useExisting: IgxTabHeaderComponent }], standalone: true, template: '<ng-content select="igx-prefix,[igxPrefix]"></ng-content>\n\n<div class="igx-tabs__header-item-inner">\n    <ng-content></ng-content>\n</div>\n\n<ng-content select="igx-suffix,[igxSuffix]"></ng-content>\n' }]
}], ctorParameters: () => [{ type: IgxTabsComponent }, { type: IgxTabItemDirective }, { type: i0264.ElementRef }, { type: PlatformUtil }, { type: i0264.NgZone }, { type: IgxDirectionality }], propDecorators: { provideCssClassSelected: [{
  type: HostBinding112,
  args: ["class.igx-tabs__header-item--selected"]
}], provideCssClassDisabled: [{
  type: HostBinding112,
  args: ["class.igx-tabs__header-item--disabled"]
}], cssClass: [{
  type: HostBinding112,
  args: ["class.igx-tabs__header-item"]
}], keyDown: [{
  type: HostListener53,
  args: ["keydown", ["$event"]]
}] } });

// lib/tabs/tabs/tab-item.component.mjs
import { Component as Component125 } from "@angular/core";
import * as i0265 from "@angular/core";
var IgxTabItemComponent = class _IgxTabItemComponent extends IgxTabItemDirective {
  static {
    this.ɵfac = i0265.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0265, type: _IgxTabItemComponent, deps: null, target: i0265.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0265.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabItemComponent, isStandalone: true, selector: "igx-tab-item", providers: [{ provide: IgxTabItemDirective, useExisting: _IgxTabItemComponent }], usesInheritance: true, ngImport: i0265, template: '<ng-template #headerTemplate>\n    <ng-content select="igx-tab-header"></ng-content>\n</ng-template>\n<ng-template #panelTemplate>\n    <ng-content select="igx-tab-content"></ng-content>\n</ng-template>\n' });
  }
};
i0265.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0265, type: IgxTabItemComponent, decorators: [{
  type: Component125,
  args: [{ selector: "igx-tab-item", providers: [{ provide: IgxTabItemDirective, useExisting: IgxTabItemComponent }], standalone: true, template: '<ng-template #headerTemplate>\n    <ng-content select="igx-tab-header"></ng-content>\n</ng-template>\n<ng-template #panelTemplate>\n    <ng-content select="igx-tab-content"></ng-content>\n</ng-template>\n' }]
}] });

// lib/tabs/tabs/tabs.directives.mjs
import { Directive as Directive99 } from "@angular/core";
import * as i0266 from "@angular/core";
var IgxTabHeaderLabelDirective = class _IgxTabHeaderLabelDirective {
  static {
    this.ɵfac = i0266.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0266, type: _IgxTabHeaderLabelDirective, deps: [], target: i0266.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0266.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabHeaderLabelDirective, isStandalone: true, selector: "igx-tab-header-label,[igxTabHeaderLabel]", ngImport: i0266 });
  }
};
i0266.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0266, type: IgxTabHeaderLabelDirective, decorators: [{
  type: Directive99,
  args: [{
    selector: "igx-tab-header-label,[igxTabHeaderLabel]",
    standalone: true
  }]
}] });
var IgxTabHeaderIconDirective = class _IgxTabHeaderIconDirective {
  static {
    this.ɵfac = i0266.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0266, type: _IgxTabHeaderIconDirective, deps: [], target: i0266.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0266.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxTabHeaderIconDirective, isStandalone: true, selector: "igx-tab-header-icon,[igxTabHeaderIcon]", ngImport: i0266 });
  }
};
i0266.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0266, type: IgxTabHeaderIconDirective, decorators: [{
  type: Directive99,
  args: [{
    selector: "igx-tab-header-icon,[igxTabHeaderIcon]",
    standalone: true
  }]
}] });

// lib/tabs/tabs/public_api.mjs
var IGX_TABS_DIRECTIVES = [
  IgxTabsComponent,
  IgxTabItemComponent,
  IgxTabHeaderComponent,
  IgxTabContentComponent,
  IgxTabHeaderLabelDirective,
  IgxTabHeaderIconDirective,
  IgxPrefixDirective,
  IgxSuffixDirective
];

// lib/time-picker/public_api.mjs
var IGX_TIME_PICKER_DIRECTIVES = [
  IgxTimePickerComponent,
  IgxPickerActionsDirective,
  IgxPickerToggleComponent,
  IgxPickerClearComponent,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/toast/toast.component.mjs
import { Component as Component126, EventEmitter as EventEmitter82, HostBinding as HostBinding113, Inject as Inject102, Input as Input149, Optional as Optional48, Output as Output73 } from "@angular/core";
import { takeUntil as takeUntil54 } from "rxjs/operators";
import { useAnimation as useAnimation6 } from "@angular/animations";
import { fadeIn as fadeIn10, fadeOut as fadeOut9 } from "igniteui-angular/animations";
import * as i0267 from "@angular/core";
var NEXT_ID32 = 0;
var IgxToastComponent = class _IgxToastComponent extends IgxNotificationsDirective {
  /**
   * Get the position and animation settings used by the toast.
   * ```typescript
   * @ViewChild('toast', { static: true }) public toast: IgxToastComponent;
   * let currentPosition: PositionSettings = this.toast.positionSettings
   * ```
   */
  get positionSettings() {
    return this._positionSettings;
  }
  /**
   * Set the position and animation settings used by the toast.
   * ```html
   * <igx-toast [positionSettings]="newPositionSettings"></igx-toast>
   * ```
   * ```typescript
   * import { slideInTop, slideOutBottom } from 'igniteui-angular';
   * ...
   * @ViewChild('toast', { static: true }) public toast: IgxToastComponent;
   *  public newPositionSettings: PositionSettings = {
   *      openAnimation: useAnimation(slideInTop, { params: { duration: '1000ms', fromPosition: 'translateY(100%)'}}),
   *      closeAnimation: useAnimation(slideOutBottom, { params: { duration: '1000ms', fromPosition: 'translateY(0)'}}),
   *      horizontalDirection: HorizontalAlignment.Left,
   *      verticalDirection: VerticalAlignment.Middle,
   *      horizontalStartPoint: HorizontalAlignment.Left,
   *      verticalStartPoint: VerticalAlignment.Middle
   *  };
   * this.toast.positionSettings = this.newPositionSettings;
   * ```
   */
  set positionSettings(settings) {
    this._positionSettings = settings;
  }
  /**
   * Gets the nativeElement of the toast.
   * ```typescript
   * let nativeElement = this.toast.element;
   * ```
   *
   * @memberof IgxToastComponent
   */
  get element() {
    return this._element.nativeElement;
  }
  constructor(_element, cdr, navService, overlayService) {
    super(_element, cdr, overlayService, navService);
    this._element = _element;
    this.cssClass = "igx-toast";
    this.id = `igx-toast-${NEXT_ID32++}`;
    this.role = "alert";
    this.isVisibleChange = new EventEmitter82();
    this._positionSettings = {
      horizontalDirection: HorizontalAlignment.Center,
      verticalDirection: VerticalAlignment.Bottom,
      openAnimation: useAnimation6(fadeIn10),
      closeAnimation: useAnimation6(fadeOut9)
    };
  }
  /**
   * Shows the toast.
   * If `autoHide` is enabled, the toast will hide after `displayTime` is over.
   *
   * ```typescript
   * this.toast.open();
   * ```
   */
  open(message, settings) {
    if (message !== void 0) {
      this.textMessage = message;
    }
    if (settings !== void 0) {
      this.positionSettings = settings;
    }
    this.strategy = new GlobalPositionStrategy(this.positionSettings);
    super.open();
  }
  /**
   * Opens or closes the toast, depending on its current state.
   *
   * ```typescript
   * this.toast.toggle();
   * ```
   */
  toggle() {
    if (this.collapsed || this.isClosing) {
      this.open();
    } else {
      this.close();
    }
  }
  /**
   * @hidden
   */
  ngOnInit() {
    this.opened.pipe(takeUntil54(this.destroy$)).subscribe(() => {
      const openedEventArgs = { owner: this, id: this._overlayId };
      this.isVisibleChange.emit(openedEventArgs);
    });
    this.closed.pipe(takeUntil54(this.destroy$)).subscribe(() => {
      const closedEventArgs = { owner: this, id: this._overlayId };
      this.isVisibleChange.emit(closedEventArgs);
    });
  }
  static {
    this.ɵfac = i0267.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0267, type: _IgxToastComponent, deps: [{ token: i0267.ElementRef }, { token: i0267.ChangeDetectorRef }, { token: IgxNavigationService, optional: true }, { token: IgxOverlayService }], target: i0267.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0267.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxToastComponent, isStandalone: true, selector: "igx-toast", inputs: { id: "id", role: "role", positionSettings: "positionSettings" }, outputs: { isVisibleChange: "isVisibleChange" }, host: { properties: { "class.igx-toast": "this.cssClass", "attr.id": "this.id", "attr.role": "this.role" } }, usesInheritance: true, ngImport: i0267, template: "<ng-content></ng-content>\n<span>{{ textMessage }}</span>\n\n" });
  }
};
i0267.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0267, type: IgxToastComponent, decorators: [{
  type: Component126,
  args: [{ selector: "igx-toast", standalone: true, template: "<ng-content></ng-content>\n<span>{{ textMessage }}</span>\n\n" }]
}], ctorParameters: () => [{ type: i0267.ElementRef }, { type: i0267.ChangeDetectorRef }, { type: IgxNavigationService, decorators: [{
  type: Optional48
}] }, { type: IgxOverlayService, decorators: [{
  type: Inject102,
  args: [IgxOverlayService]
}] }], propDecorators: { cssClass: [{
  type: HostBinding113,
  args: ["class.igx-toast"]
}], id: [{
  type: HostBinding113,
  args: ["attr.id"]
}, {
  type: Input149
}], role: [{
  type: HostBinding113,
  args: ["attr.role"]
}, {
  type: Input149
}], isVisibleChange: [{
  type: Output73
}], positionSettings: [{
  type: Input149
}] } });

// lib/select/select-group.component.mjs
import { Component as Component127 } from "@angular/core";
import * as i0268 from "@angular/core";
var IgxSelectGroupComponent = class _IgxSelectGroupComponent extends IgxDropDownGroupComponent {
  static {
    this.ɵfac = i0268.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0268, type: _IgxSelectGroupComponent, deps: null, target: i0268.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0268.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxSelectGroupComponent, isStandalone: true, selector: "igx-select-item-group", usesInheritance: true, ngImport: i0268, template: `
        <label id="{{labelId}}">{{ label }}</label>
        <ng-content select="igx-select-item"></ng-content>
    `, isInline: true });
  }
};
i0268.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0268, type: IgxSelectGroupComponent, decorators: [{
  type: Component127,
  args: [{
    selector: "igx-select-item-group",
    template: `
        <label id="{{labelId}}">{{ label }}</label>
        <ng-content select="igx-select-item"></ng-content>
    `,
    standalone: true
  }]
}] });

// lib/select/public_api.mjs
var IGX_SELECT_DIRECTIVES = [
  IgxSelectComponent,
  IgxSelectItemComponent,
  IgxSelectGroupComponent,
  IgxSelectHeaderDirective,
  IgxSelectFooterDirective,
  IgxSelectToggleIconDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/splitter/splitter-pane/splitter-pane.component.mjs
import { Component as Component128, HostBinding as HostBinding114, Input as Input150, Output as Output74, EventEmitter as EventEmitter83, booleanAttribute as booleanAttribute90 } from "@angular/core";
import * as i0269 from "@angular/core";
var IgxSplitterPaneComponent = class _IgxSplitterPaneComponent {
  /**
   * Gets/Sets the minimum allowed size of the current pane.
   *
   * @example
   * ```html
   * <igx-splitter>
   *  <igx-splitter-pane [minSize]='minSize'>...</igx-splitter-pane>
   * </igx-splitter>
   * ```
   */
  get minSize() {
    return this._minSize;
  }
  set minSize(value) {
    this._minSize = value;
    if (this.owner) {
      this.owner.panes.notifyOnChanges();
    }
  }
  /**
   * Gets/Set the maximum allowed size of the current pane.
   *
   * @example
   * ```html
   * <igx-splitter>
   *  <igx-splitter-pane [maxSize]='maxSize'>...</igx-splitter-pane>
   * </igx-splitter>
   * ```
   */
  get maxSize() {
    return this._maxSize;
  }
  set maxSize(value) {
    this._maxSize = value;
    if (this.owner) {
      this.owner.panes.notifyOnChanges();
    }
  }
  /**
   * Gets/Sets the size of the current pane.
   *  * @example
   * ```html
   * <igx-splitter>
   *  <igx-splitter-pane [size]='size'>...</igx-splitter-pane>
   * </igx-splitter>
   * ```
   */
  get size() {
    return this._size;
  }
  set size(value) {
    this._size = value;
    this.el.nativeElement.style.flex = this.flex;
  }
  /** @hidden @internal */
  get isPercentageSize() {
    return this.size === "auto" || this.size.indexOf("%") !== -1;
  }
  /** @hidden @internal */
  get dragSize() {
    return this._dragSize;
  }
  set dragSize(val) {
    this._dragSize = val;
    this.el.nativeElement.style.flex = this.flex;
  }
  /**
   *
   * @hidden @internal
   * Gets the host native element.
   */
  get element() {
    return this.el.nativeElement;
  }
  /**
   * @hidden @internal
   * Gets the `flex` property of the current `IgxSplitterPaneComponent`.
   */
  get flex() {
    const size = this.dragSize || this.size;
    const grow = this.isPercentageSize && !this.dragSize ? 1 : 0;
    return `${grow} ${grow} ${size}`;
  }
  /**
   * Gets/Sets whether current pane is collapsed.
   *
   * @example
   * ```typescript
   * const isCollapsed = pane.collapsed;
   * ```
   */
  set collapsed(value) {
    if (this.owner) {
      this._getSiblings().forEach((sibling) => {
        sibling.size = "auto";
        sibling.dragSize = null;
      });
    }
    this._collapsed = value;
    this.display = this._collapsed ? "none" : "flex";
    this.collapsedChange.emit(this._collapsed);
  }
  get collapsed() {
    return this._collapsed;
  }
  constructor(el) {
    this.el = el;
    this.display = "flex";
    this.resizable = true;
    this.collapsedChange = new EventEmitter83();
    this.overflow = "auto";
    this.minWidth = "0";
    this.maxWidth = "100%";
    this.minHeight = "0";
    this.maxHeight = "100%";
    this._size = "auto";
    this._collapsed = false;
  }
  /**
   * Toggles the collapsed state of the pane.
   *
   * @example
   * ```typescript
   * pane.toggle();
   * ```
   */
  toggle() {
    this.collapsed = !this.collapsed;
  }
  /** @hidden @internal */
  _getSiblings() {
    const panes = this.owner.panes.toArray();
    const index = panes.indexOf(this);
    const siblings = [];
    if (index !== 0) {
      siblings.push(panes[index - 1]);
    }
    if (index !== panes.length - 1) {
      siblings.push(panes[index + 1]);
    }
    return siblings;
  }
  static {
    this.ɵfac = i0269.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0269, type: _IgxSplitterPaneComponent, deps: [{ token: i0269.ElementRef }], target: i0269.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0269.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSplitterPaneComponent, isStandalone: true, selector: "igx-splitter-pane", inputs: { minSize: "minSize", maxSize: "maxSize", resizable: ["resizable", "resizable", booleanAttribute90], size: "size", collapsed: ["collapsed", "collapsed", booleanAttribute90] }, outputs: { collapsedChange: "collapsedChange" }, host: { properties: { "style.display": "this.display", "style.order": "this.order", "style.overflow": "this.overflow", "style.min-width": "this.minWidth", "style.max-width": "this.maxWidth", "style.min-height": "this.minHeight", "style.max-height": "this.maxHeight", "style.flex": "this.flex" } }, ngImport: i0269, template: "<ng-content></ng-content>" });
  }
};
i0269.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0269, type: IgxSplitterPaneComponent, decorators: [{
  type: Component128,
  args: [{ selector: "igx-splitter-pane", standalone: true, template: "<ng-content></ng-content>" }]
}], ctorParameters: () => [{ type: i0269.ElementRef }], propDecorators: { display: [{
  type: HostBinding114,
  args: ["style.display"]
}], minSize: [{
  type: Input150
}], maxSize: [{
  type: Input150
}], resizable: [{
  type: Input150,
  args: [{ transform: booleanAttribute90 }]
}], collapsedChange: [{
  type: Output74
}], order: [{
  type: HostBinding114,
  args: ["style.order"]
}], overflow: [{
  type: HostBinding114,
  args: ["style.overflow"]
}], minWidth: [{
  type: HostBinding114,
  args: ["style.min-width"]
}], maxWidth: [{
  type: HostBinding114,
  args: ["style.max-width"]
}], minHeight: [{
  type: HostBinding114,
  args: ["style.min-height"]
}], maxHeight: [{
  type: HostBinding114,
  args: ["style.max-height"]
}], size: [{
  type: Input150
}], flex: [{
  type: HostBinding114,
  args: ["style.flex"]
}], collapsed: [{
  type: Input150,
  args: [{ transform: booleanAttribute90 }]
}] } });

// lib/splitter/splitter.component.mjs
import { DOCUMENT as DOCUMENT20, NgFor as NgFor38, NgIf as NgIf82 } from "@angular/common";
import { Component as Component129, ContentChildren as ContentChildren26, EventEmitter as EventEmitter84, HostBinding as HostBinding115, HostListener as HostListener54, Inject as Inject103, Input as Input151, Output as Output75, booleanAttribute as booleanAttribute91, forwardRef as forwardRef30 } from "@angular/core";
import * as i0270 from "@angular/core";
var SplitterType;
(function(SplitterType2) {
  SplitterType2[SplitterType2["Horizontal"] = 0] = "Horizontal";
  SplitterType2[SplitterType2["Vertical"] = 1] = "Vertical";
})(SplitterType || (SplitterType = {}));
var IgxSplitterComponent = class _IgxSplitterComponent {
  /**
   * @hidden
   * @internal
   */
  get orientation() {
    return this.type === SplitterType.Horizontal ? "horizontal" : "vertical";
  }
  constructor(document2, elementRef) {
    this.document = document2;
    this.elementRef = elementRef;
    this.cssClass = "igx-splitter";
    this.overflow = "hidden";
    this.display = "flex";
    this.resizeStart = new EventEmitter84();
    this.resizing = new EventEmitter84();
    this.resizeEnd = new EventEmitter84();
    this._type = SplitterType.Horizontal;
    this.nonCollapsible = false;
  }
  /**
   * Gets/Sets the splitter orientation.
   *
   * @example
   * ```html
   * <igx-splitter [type]="type">...</igx-splitter>
   * ```
   */
  get type() {
    return this._type;
  }
  set type(value) {
    this._type = value;
    this.resetPaneSizes();
    this.panes?.notifyOnChanges();
  }
  /**
   * @hidden @internal
   * Gets the `flex-direction` property of the current `SplitterComponent`.
   */
  get direction() {
    return this.type === SplitterType.Horizontal ? "row" : "column";
  }
  /** @hidden @internal */
  ngAfterContentInit() {
    this.initPanes();
    this.panes.changes.subscribe(() => {
      this.initPanes();
    });
  }
  /**
   * @hidden @internal
   * This method performs  initialization logic when the user starts dragging the splitter bar between each pair of panes.
   * @param pane - the main pane associated with the currently dragged bar.
   */
  onMoveStart(pane) {
    const panes = this.panes.toArray();
    this.pane = pane;
    this.sibling = panes[panes.indexOf(this.pane) + 1];
    const paneRect = this.pane.element.getBoundingClientRect();
    this.initialPaneSize = this.type === SplitterType.Horizontal ? paneRect.width : paneRect.height;
    const siblingRect = this.sibling.element.getBoundingClientRect();
    this.initialSiblingSize = this.type === SplitterType.Horizontal ? siblingRect.width : siblingRect.height;
    const args = { pane: this.pane, sibling: this.sibling };
    this.resizeStart.emit(args);
  }
  /**
   * @hidden @internal
   * This method performs calculations concerning the sizes of each pair of panes when the bar between them is dragged.
   * @param delta - The difference along the X (or Y) axis between the initial and the current point when dragging the bar.
   */
  onMoving(delta) {
    const [paneSize, siblingSize] = this.calcNewSizes(delta);
    this.pane.dragSize = paneSize + "px";
    this.sibling.dragSize = siblingSize + "px";
    const args = { pane: this.pane, sibling: this.sibling };
    this.resizing.emit(args);
  }
  onMoveEnd(delta) {
    const [paneSize, siblingSize] = this.calcNewSizes(delta);
    if (this.pane.isPercentageSize) {
      const totalSize = this.getTotalSize();
      const percentPaneSize = paneSize / totalSize * 100;
      this.pane.size = percentPaneSize + "%";
    } else {
      this.pane.size = paneSize + "px";
    }
    if (this.sibling.isPercentageSize) {
      const totalSize = this.getTotalSize();
      const percentSiblingPaneSize = siblingSize / totalSize * 100;
      this.sibling.size = percentSiblingPaneSize + "%";
    } else {
      this.sibling.size = siblingSize + "px";
    }
    this.pane.dragSize = null;
    this.sibling.dragSize = null;
    const args = { pane: this.pane, sibling: this.sibling };
    this.resizeEnd.emit(args);
  }
  /** @hidden @internal */
  getPaneSiblingsByOrder(order, barIndex) {
    const panes = this.panes.toArray();
    const prevPane = panes[order - barIndex - 1];
    const nextPane = panes[order - barIndex];
    const siblings = [prevPane, nextPane];
    return siblings;
  }
  getTotalSize() {
    const computed = this.document.defaultView.getComputedStyle(this.elementRef.nativeElement);
    const totalSize = this.type === SplitterType.Horizontal ? computed.getPropertyValue("width") : computed.getPropertyValue("height");
    return parseFloat(totalSize);
  }
  /**
   * @hidden @internal
   * This method inits panes with properties.
   */
  initPanes() {
    this.panes.forEach((pane) => {
      pane.owner = this;
      if (this.type === SplitterType.Horizontal) {
        pane.minWidth = pane.minSize ?? "0";
        pane.maxWidth = pane.maxSize ?? "100%";
      } else {
        pane.minHeight = pane.minSize ?? "0";
        pane.maxHeight = pane.maxSize ?? "100%";
      }
    });
    this.assignFlexOrder();
    if (this.panes.filter((x) => x.collapsed).length > 0) {
      this.resetPaneSizes();
    }
  }
  /**
   * @hidden @internal
   * This method reset pane sizes.
   */
  resetPaneSizes() {
    if (this.panes) {
      this.panes.forEach((x) => {
        x.size = "auto";
        x.minWidth = "0";
        x.maxWidth = "100%";
        x.minHeight = "0";
        x.maxHeight = "100%";
      });
    }
  }
  /**
   * @hidden @internal
   * This method assigns the order of each pane.
   */
  assignFlexOrder() {
    let k = 0;
    this.panes.forEach((pane) => {
      pane.order = k;
      k += 2;
    });
  }
  /**
   * @hidden @internal
   * Calculates new sizes for the panes based on move delta and initial sizes
   */
  calcNewSizes(delta) {
    const min = parseInt(this.pane.minSize, 10) || 0;
    const minSibling = parseInt(this.sibling.minSize, 10) || 0;
    const max = parseInt(this.pane.maxSize, 10) || this.initialPaneSize + this.initialSiblingSize - minSibling;
    const maxSibling = parseInt(this.sibling.maxSize, 10) || this.initialPaneSize + this.initialSiblingSize - min;
    if (delta < 0) {
      const maxPossibleDelta = Math.min(max - this.initialPaneSize, this.initialSiblingSize - minSibling);
      delta = Math.min(maxPossibleDelta, Math.abs(delta)) * -1;
    } else {
      const maxPossibleDelta = Math.min(this.initialPaneSize - min, maxSibling - this.initialSiblingSize);
      delta = Math.min(maxPossibleDelta, Math.abs(delta));
    }
    return [this.initialPaneSize - delta, this.initialSiblingSize + delta];
  }
  static {
    this.ɵfac = i0270.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0270, type: _IgxSplitterComponent, deps: [{ token: DOCUMENT20 }, { token: i0270.ElementRef }], target: i0270.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0270.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSplitterComponent, isStandalone: true, selector: "igx-splitter", inputs: { type: "type", nonCollapsible: ["nonCollapsible", "nonCollapsible", booleanAttribute91] }, outputs: { resizeStart: "resizeStart", resizing: "resizing", resizeEnd: "resizeEnd" }, host: { properties: { "class.igx-splitter": "this.cssClass", "style.overflow": "this.overflow", "style.display": "this.display", "attr.aria-orientation": "this.orientation", "style.flex-direction": "this.direction" } }, queries: [{ propertyName: "panes", predicate: IgxSplitterPaneComponent, read: IgxSplitterPaneComponent }], ngImport: i0270, template: '<ng-content select="igx-splitter-pane"></ng-content>\n<ng-container *ngFor="let pane of panes; let last = last; let index= index;">\n    <igx-splitter-bar *ngIf="!last" [order]="pane.order + 1" role="separator"\n                    [type]="type"\n                    [pane]="pane"\n                    [siblings]="getPaneSiblingsByOrder(pane.order + 1, index)"\n                    (moveStart)="onMoveStart($event)"\n                    (moving)="onMoving($event)"\n                    (movingEnd)="onMoveEnd($event)"\n                    [nonCollapsible]="nonCollapsible">\n    </igx-splitter-bar>\n</ng-container>\n', dependencies: [{ kind: "directive", type: i0270.forwardRef(() => NgFor38), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0270.forwardRef(() => NgIf82), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0270.forwardRef(() => IgxSplitBarComponent), selector: "igx-splitter-bar", inputs: ["nonCollapsible", "type", "order", "pane", "siblings"], outputs: ["moveStart", "moving", "movingEnd"] }] });
  }
};
i0270.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0270, type: IgxSplitterComponent, decorators: [{
  type: Component129,
  args: [{ selector: "igx-splitter", standalone: true, imports: [NgFor38, NgIf82, forwardRef30(() => IgxSplitBarComponent)], template: '<ng-content select="igx-splitter-pane"></ng-content>\n<ng-container *ngFor="let pane of panes; let last = last; let index= index;">\n    <igx-splitter-bar *ngIf="!last" [order]="pane.order + 1" role="separator"\n                    [type]="type"\n                    [pane]="pane"\n                    [siblings]="getPaneSiblingsByOrder(pane.order + 1, index)"\n                    (moveStart)="onMoveStart($event)"\n                    (moving)="onMoving($event)"\n                    (movingEnd)="onMoveEnd($event)"\n                    [nonCollapsible]="nonCollapsible">\n    </igx-splitter-bar>\n</ng-container>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject103,
  args: [DOCUMENT20]
}] }, { type: i0270.ElementRef }], propDecorators: { panes: [{
  type: ContentChildren26,
  args: [IgxSplitterPaneComponent, { read: IgxSplitterPaneComponent }]
}], cssClass: [{
  type: HostBinding115,
  args: ["class.igx-splitter"]
}], overflow: [{
  type: HostBinding115,
  args: ["style.overflow"]
}], display: [{
  type: HostBinding115,
  args: ["style.display"]
}], orientation: [{
  type: HostBinding115,
  args: ["attr.aria-orientation"]
}], resizeStart: [{
  type: Output75
}], resizing: [{
  type: Output75
}], resizeEnd: [{
  type: Output75
}], type: [{
  type: Input151
}], nonCollapsible: [{
  type: Input151,
  args: [{ transform: booleanAttribute91 }]
}], direction: [{
  type: HostBinding115,
  args: ["style.flex-direction"]
}] } });
var IgxSplitBarComponent = class _IgxSplitBarComponent {
  constructor() {
    this.cssClass = "igx-splitter-bar-host";
    this.type = SplitterType.Horizontal;
    this.moveStart = new EventEmitter84();
    this.moving = new EventEmitter84();
    this.movingEnd = new EventEmitter84();
    this.interactionKeys = new Set("right down left up arrowright arrowdown arrowleft arrowup".split(" "));
  }
  /**
   * @hidden
   * @internal
   */
  get tabindex() {
    return this.resizeDisallowed ? null : 0;
  }
  /**
   * @hidden
   * @internal
   */
  get orientation() {
    return this.type === SplitterType.Horizontal ? "horizontal" : "vertical";
  }
  /**
   * @hidden
   * @internal
   */
  get cursor() {
    if (this.resizeDisallowed) {
      return "";
    }
    return this.type === SplitterType.Horizontal ? "col-resize" : "row-resize";
  }
  /**
   * @hidden @internal
   */
  get prevButtonHidden() {
    return this.siblings[0].collapsed && !this.siblings[1].collapsed;
  }
  /**
   * @hidden @internal
   */
  keyEvent(event) {
    const key = event.key.toLowerCase();
    const ctrl = event.ctrlKey;
    event.stopPropagation();
    if (this.interactionKeys.has(key)) {
      event.preventDefault();
    }
    switch (key) {
      case "arrowup":
      case "up":
        if (this.type === SplitterType.Vertical) {
          if (ctrl) {
            this.onCollapsing(false);
            break;
          }
          if (!this.resizeDisallowed) {
            event.preventDefault();
            this.moveStart.emit(this.pane);
            this.moving.emit(10);
          }
        }
        break;
      case "arrowdown":
      case "down":
        if (this.type === SplitterType.Vertical) {
          if (ctrl) {
            this.onCollapsing(true);
            break;
          }
          if (!this.resizeDisallowed) {
            event.preventDefault();
            this.moveStart.emit(this.pane);
            this.moving.emit(-10);
          }
        }
        break;
      case "arrowleft":
      case "left":
        if (this.type === SplitterType.Horizontal) {
          if (ctrl) {
            this.onCollapsing(false);
            break;
          }
          if (!this.resizeDisallowed) {
            event.preventDefault();
            this.moveStart.emit(this.pane);
            this.moving.emit(10);
          }
        }
        break;
      case "arrowright":
      case "right":
        if (this.type === SplitterType.Horizontal) {
          if (ctrl) {
            this.onCollapsing(true);
            break;
          }
          if (!this.resizeDisallowed) {
            event.preventDefault();
            this.moveStart.emit(this.pane);
            this.moving.emit(-10);
          }
        }
        break;
      default:
        break;
    }
  }
  /**
   * @hidden @internal
   */
  get dragDir() {
    return this.type === SplitterType.Horizontal ? DragDirection.VERTICAL : DragDirection.HORIZONTAL;
  }
  /**
   * @hidden @internal
   */
  get nextButtonHidden() {
    return this.siblings[1].collapsed && !this.siblings[0].collapsed;
  }
  /**
   * @hidden @internal
   */
  onDragStart(event) {
    if (this.resizeDisallowed) {
      event.cancel = true;
      return;
    }
    this.startPoint = this.type === SplitterType.Horizontal ? event.startX : event.startY;
    this.moveStart.emit(this.pane);
  }
  /**
   * @hidden @internal
   */
  onDragMove(event) {
    const isHorizontal = this.type === SplitterType.Horizontal;
    const curr = isHorizontal ? event.pageX : event.pageY;
    const delta = this.startPoint - curr;
    if (delta !== 0) {
      this.moving.emit(delta);
      event.cancel = true;
      event.owner.element.nativeElement.style.transform = "";
    }
  }
  onDragEnd(event) {
    const isHorizontal = this.type === SplitterType.Horizontal;
    const curr = isHorizontal ? event.pageX : event.pageY;
    const delta = this.startPoint - curr;
    if (delta !== 0) {
      this.movingEnd.emit(delta);
    }
  }
  get resizeDisallowed() {
    const relatedTabs = this.siblings;
    return !!relatedTabs.find((x) => x.resizable === false || x.collapsed === true);
  }
  /**
   * @hidden @internal
   */
  onCollapsing(next) {
    const prevSibling = this.siblings[0];
    const nextSibling = this.siblings[1];
    let target;
    if (next) {
      target = prevSibling.collapsed ? prevSibling : nextSibling;
    } else {
      target = nextSibling.collapsed ? nextSibling : prevSibling;
    }
    target.toggle();
  }
  static {
    this.ɵfac = i0270.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0270, type: _IgxSplitBarComponent, deps: [], target: i0270.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0270.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxSplitBarComponent, isStandalone: true, selector: "igx-splitter-bar", inputs: { nonCollapsible: ["nonCollapsible", "nonCollapsible", booleanAttribute91], type: "type", order: "order", pane: "pane", siblings: "siblings" }, outputs: { moveStart: "moveStart", moving: "moving", movingEnd: "movingEnd" }, host: { listeners: { "keydown": "keyEvent($event)" }, properties: { "class.igx-splitter-bar-host": "this.cssClass", "style.order": "this.order", "attr.tabindex": "this.tabindex", "attr.aria-orientation": "this.orientation" } }, ngImport: i0270, template: '<div class="igx-splitter-bar"\n    [class.igx-splitter-bar--vertical]="type === 0"\n    [style.cursor]="cursor"\n    igxDrag\n    [ghost]="false"\n    [dragDirection]="dragDir"\n    (dragStart)="onDragStart($event)"\n    (dragMove)="onDragMove($event)"\n    (dragEnd)="onDragEnd($event)"\n    [class.igx-splitter-bar--collapsible]="!nonCollapsible"\n>\n    <div class="igx-splitter-bar__expander--start" igxDragIgnore (click)="onCollapsing(false)" [hidden]="prevButtonHidden"></div>\n    <div class="igx-splitter-bar__handle"></div>\n    <div class="igx-splitter-bar__expander--end" igxDragIgnore (click)="onCollapsing(true)" [hidden]="nextButtonHidden"></div>\n</div>\n', dependencies: [{ kind: "directive", type: IgxDragDirective, selector: "[igxDrag]", inputs: ["igxDrag", "dragTolerance", "dragDirection", "dragChannel", "ghost", "ghostClass", "ghostStyle", "ghostTemplate", "ghostHost", "scrollContainer", "ghostOffsetX", "ghostOffsetY"], outputs: ["dragStart", "dragMove", "dragEnd", "dragClick", "ghostCreate", "ghostDestroy", "transitioned"], exportAs: ["drag"] }, { kind: "directive", type: IgxDragIgnoreDirective, selector: "[igxDragIgnore]" }] });
  }
};
i0270.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0270, type: IgxSplitBarComponent, decorators: [{
  type: Component129,
  args: [{ selector: "igx-splitter-bar", standalone: true, imports: [IgxDragDirective, IgxDragIgnoreDirective], template: '<div class="igx-splitter-bar"\n    [class.igx-splitter-bar--vertical]="type === 0"\n    [style.cursor]="cursor"\n    igxDrag\n    [ghost]="false"\n    [dragDirection]="dragDir"\n    (dragStart)="onDragStart($event)"\n    (dragMove)="onDragMove($event)"\n    (dragEnd)="onDragEnd($event)"\n    [class.igx-splitter-bar--collapsible]="!nonCollapsible"\n>\n    <div class="igx-splitter-bar__expander--start" igxDragIgnore (click)="onCollapsing(false)" [hidden]="prevButtonHidden"></div>\n    <div class="igx-splitter-bar__handle"></div>\n    <div class="igx-splitter-bar__expander--end" igxDragIgnore (click)="onCollapsing(true)" [hidden]="nextButtonHidden"></div>\n</div>\n' }]
}], propDecorators: { cssClass: [{
  type: HostBinding115,
  args: ["class.igx-splitter-bar-host"]
}], nonCollapsible: [{
  type: Input151,
  args: [{ transform: booleanAttribute91 }]
}], type: [{
  type: Input151
}], order: [{
  type: HostBinding115,
  args: ["style.order"]
}, {
  type: Input151
}], tabindex: [{
  type: HostBinding115,
  args: ["attr.tabindex"]
}], orientation: [{
  type: HostBinding115,
  args: ["attr.aria-orientation"]
}], pane: [{
  type: Input151
}], siblings: [{
  type: Input151
}], moveStart: [{
  type: Output75
}], moving: [{
  type: Output75
}], movingEnd: [{
  type: Output75
}], keyEvent: [{
  type: HostListener54,
  args: ["keydown", ["$event"]]
}] } });

// lib/splitter/public_api.mjs
var IGX_SPLITTER_DIRECTIVES = [
  IgxSplitterComponent,
  IgxSplitterPaneComponent,
  IgxSplitBarComponent
];

// lib/stepper/stepper.common.mjs
import { InjectionToken as InjectionToken13 } from "@angular/core";
var IgxStepperOrientation = {
  Horizontal: "horizontal",
  Vertical: "vertical"
};
var IgxStepType = {
  Indicator: "indicator",
  Title: "title",
  Full: "full"
};
var IgxStepperTitlePosition = {
  Bottom: "bottom",
  Top: "top",
  End: "end",
  Start: "start"
};
var VerticalAnimationType = {
  Grow: "grow",
  Fade: "fade",
  None: "none"
};
var IGX_STEPPER_COMPONENT = /* @__PURE__ */ new InjectionToken13("IgxStepperToken");
var IGX_STEP_COMPONENT = /* @__PURE__ */ new InjectionToken13("IgxStepToken");

// lib/stepper/stepper.service.mjs
import { Injectable as Injectable41 } from "@angular/core";
import * as i0271 from "@angular/core";
var IgxStepperService = class _IgxStepperService {
  constructor() {
    this.collapsingSteps = /* @__PURE__ */ new Set();
    this.linearDisabledSteps = /* @__PURE__ */ new Set();
    this.visitedSteps = /* @__PURE__ */ new Set();
  }
  /**
   * Activates the step, fires the steps change event and plays animations.
   */
  expand(step) {
    if (this.activeStep === step) {
      return;
    }
    const cancel = this.emitActivatingEvent(step);
    if (cancel) {
      return;
    }
    this.collapsingSteps.delete(step);
    this.previousActiveStep = this.activeStep;
    this.activeStep = step;
    this.activeStep.activeChange.emit(true);
    this.collapsingSteps.add(this.previousActiveStep);
    this.visitedSteps.add(this.activeStep);
    if (this.stepper.orientation === IgxStepperOrientation.Vertical) {
      this.previousActiveStep.playCloseAnimation(this.previousActiveStep.contentContainer);
      this.activeStep.cdr.detectChanges();
      this.activeStep.playOpenAnimation(this.activeStep.contentContainer);
    } else {
      this.activeStep.cdr.detectChanges();
      this.stepper.playHorizontalAnimations();
    }
  }
  /**
   * Activates the step and fires the steps change event without playing animations.
   */
  expandThroughApi(step) {
    if (this.activeStep === step) {
      return;
    }
    this.collapsingSteps.clear();
    this.previousActiveStep = this.activeStep;
    this.activeStep = step;
    if (this.previousActiveStep) {
      this.previousActiveStep.tabIndex = -1;
    }
    this.activeStep.tabIndex = 0;
    this.visitedSteps.add(this.activeStep);
    this.activeStep.cdr.markForCheck();
    this.previousActiveStep?.cdr.markForCheck();
    this.activeStep.activeChange.emit(true);
    this.previousActiveStep?.activeChange.emit(false);
  }
  /**
   * Collapses the currently active step and fires the change event.
   */
  collapse(step) {
    if (this.activeStep === step) {
      return;
    }
    step.activeChange.emit(false);
    this.collapsingSteps.delete(step);
  }
  /**
   * Determines the steps that should be marked as visited based on the active step.
   */
  calculateVisitedSteps() {
    this.stepper.steps.forEach((step) => {
      if (step.index <= this.activeStep.index) {
        this.visitedSteps.add(step);
      } else {
        this.visitedSteps.delete(step);
      }
    });
  }
  /**
   * Determines the steps that should be disabled in linear mode based on the validity of the active step.
   */
  calculateLinearDisabledSteps() {
    if (!this.activeStep) {
      return;
    }
    if (this.activeStep.isValid) {
      const firstRequiredIndex = this.getNextRequiredStep();
      if (firstRequiredIndex !== -1) {
        this.updateLinearDisabledSteps(firstRequiredIndex);
      } else {
        this.linearDisabledSteps.clear();
      }
    } else {
      this.stepper.steps.forEach((s) => {
        if (s.index > this.activeStep.index) {
          this.linearDisabledSteps.add(s);
        }
      });
    }
  }
  emitActivatingEvent(step) {
    const args = {
      owner: this.stepper,
      newIndex: step.index,
      oldIndex: this.activeStep.index,
      cancel: false
    };
    this.stepper.activeStepChanging.emit(args);
    return args.cancel;
  }
  /**
   * Updates the linearDisabled steps from the current active step to the next required invalid step.
   *
   * @param toIndex the index of the last step that should be enabled.
   */
  updateLinearDisabledSteps(toIndex) {
    this.stepper.steps.forEach((s) => {
      if (s.index > this.activeStep.index) {
        if (s.index <= toIndex) {
          this.linearDisabledSteps.delete(s);
        } else {
          this.linearDisabledSteps.add(s);
        }
      }
    });
  }
  getNextRequiredStep() {
    if (!this.activeStep) {
      return;
    }
    return this.stepper.steps.findIndex((s) => s.index > this.activeStep.index && !s.optional && !s.disabled && !s.isValid);
  }
  static {
    this.ɵfac = i0271.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0271, type: _IgxStepperService, deps: [], target: i0271.ɵɵFactoryTarget.Injectable });
  }
  static {
    this.ɵprov = i0271.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0271, type: _IgxStepperService });
  }
};
i0271.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0271, type: IgxStepperService, decorators: [{
  type: Injectable41
}] });

// lib/stepper/stepper.directive.mjs
import { Directive as Directive100, HostBinding as HostBinding116, Inject as Inject104, Input as Input152 } from "@angular/core";
import * as i0272 from "@angular/core";
var IgxStepActiveIndicatorDirective = class _IgxStepActiveIndicatorDirective {
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepActiveIndicatorDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepActiveIndicatorDirective, isStandalone: true, selector: "[igxStepActiveIndicator]", ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepActiveIndicatorDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepActiveIndicator]",
    standalone: true
  }]
}] });
var IgxStepCompletedIndicatorDirective = class _IgxStepCompletedIndicatorDirective {
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepCompletedIndicatorDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepCompletedIndicatorDirective, isStandalone: true, selector: "[igxStepCompletedIndicator]", ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepCompletedIndicatorDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepCompletedIndicator]",
    standalone: true
  }]
}] });
var IgxStepInvalidIndicatorDirective = class _IgxStepInvalidIndicatorDirective {
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepInvalidIndicatorDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepInvalidIndicatorDirective, isStandalone: true, selector: "[igxStepInvalidIndicator]", ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepInvalidIndicatorDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepInvalidIndicator]",
    standalone: true
  }]
}] });
var IgxStepIndicatorDirective = class _IgxStepIndicatorDirective {
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepIndicatorDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepIndicatorDirective, isStandalone: true, selector: "[igxStepIndicator]", ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepIndicatorDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepIndicator]",
    standalone: true
  }]
}] });
var IgxStepTitleDirective = class _IgxStepTitleDirective {
  constructor() {
    this.defaultClass = true;
  }
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepTitleDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepTitleDirective, isStandalone: true, selector: "[igxStepTitle]", host: { properties: { "class.igx-stepper__step-title": "this.defaultClass" } }, ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepTitleDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepTitle]",
    standalone: true
  }]
}], propDecorators: { defaultClass: [{
  type: HostBinding116,
  args: ["class.igx-stepper__step-title"]
}] } });
var IgxStepSubtitleDirective = class _IgxStepSubtitleDirective {
  constructor() {
    this.defaultClass = true;
  }
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepSubtitleDirective, deps: [], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepSubtitleDirective, isStandalone: true, selector: "[igxStepSubtitle]", host: { properties: { "class.igx-stepper__step-subtitle": "this.defaultClass" } }, ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepSubtitleDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepSubtitle]",
    standalone: true
  }]
}], propDecorators: { defaultClass: [{
  type: HostBinding116,
  args: ["class.igx-stepper__step-subtitle"]
}] } });
var IgxStepContentDirective = class _IgxStepContentDirective {
  get target() {
    return this.step;
  }
  get stepId() {
    return this.target.id;
  }
  get tabIndex() {
    if (this._tabIndex !== null) {
      return this._tabIndex;
    }
    return this.stepperService.activeStep === this.target ? 0 : -1;
  }
  set tabIndex(val) {
    this._tabIndex = val;
  }
  constructor(step, stepperService, elementRef) {
    this.step = step;
    this.stepperService = stepperService;
    this.elementRef = elementRef;
    this.defaultClass = true;
    this.role = "tabpanel";
    this.id = this.target.id.replace("step", "content");
    this._tabIndex = null;
  }
  static {
    this.ɵfac = i0272.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: _IgxStepContentDirective, deps: [{ token: IGX_STEP_COMPONENT }, { token: IgxStepperService }, { token: i0272.ElementRef }], target: i0272.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0272.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxStepContentDirective, isStandalone: true, selector: "[igxStepContent]", inputs: { id: "id", tabIndex: "tabIndex" }, host: { properties: { "class.igx-stepper__step-content": "this.defaultClass", "attr.role": "this.role", "attr.aria-labelledby": "this.stepId", "attr.id": "this.id", "attr.tabindex": "this.tabIndex" } }, ngImport: i0272 });
  }
};
i0272.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0272, type: IgxStepContentDirective, decorators: [{
  type: Directive100,
  args: [{
    selector: "[igxStepContent]",
    standalone: true
  }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject104,
  args: [IGX_STEP_COMPONENT]
}] }, { type: IgxStepperService }, { type: i0272.ElementRef }], propDecorators: { defaultClass: [{
  type: HostBinding116,
  args: ["class.igx-stepper__step-content"]
}], role: [{
  type: HostBinding116,
  args: ["attr.role"]
}], stepId: [{
  type: HostBinding116,
  args: ["attr.aria-labelledby"]
}], id: [{
  type: HostBinding116,
  args: ["attr.id"]
}, {
  type: Input152
}], tabIndex: [{
  type: HostBinding116,
  args: ["attr.tabindex"]
}, {
  type: Input152
}] } });

// lib/stepper/step/step.component.mjs
import { booleanAttribute as booleanAttribute92, Component as Component130, ContentChild as ContentChild31, EventEmitter as EventEmitter85, forwardRef as forwardRef32, HostBinding as HostBinding117, HostListener as HostListener55, Inject as Inject105, Input as Input153, Output as Output76, ViewChild as ViewChild65 } from "@angular/core";
import { takeUntil as takeUntil55 } from "rxjs/operators";
import { NgIf as NgIf83, NgClass as NgClass42, NgTemplateOutlet as NgTemplateOutlet50 } from "@angular/common";
import * as i0273 from "@angular/core";
var NEXT_ID33 = 0;
var IgxStepComponent = class _IgxStepComponent extends ToggleAnimationPlayer {
  /**
   * Get/Set whether the step is interactable.
   *
   * ```html
   * <igx-stepper>
   * ...
   *     <igx-step [disabled]="true"></igx-step>
   * ...
   * </igx-stepper>
   * ```
   *
   * ```typescript
   * this.stepper.steps[1].disabled = true;
   * ```
   */
  set disabled(value) {
    this._disabled = value;
    if (this.stepper.linear) {
      this.stepperService.calculateLinearDisabledSteps();
    }
  }
  get disabled() {
    return this._disabled;
  }
  /**
   * Get/Set whether the step is valid.
   *```html
   * <igx-step [isValid]="form.form.valid">
   *      ...
   *      <div igxStepContent>
   *          <form #form="ngForm">
   *              ...
   *          </form>
   *      </div>
   * </igx-step>
   * ```
   */
  get isValid() {
    return this._valid;
  }
  set isValid(value) {
    this._valid = value;
    if (this.stepper.linear && this.index !== void 0) {
      this.stepperService.calculateLinearDisabledSteps();
    }
  }
  /**
   * Get/Set the active state of the step
   *
   * ```html
   * <igx-step [active]="true"></igx-step>
   * ```
   *
   * ```typescript
   * this.stepper.steps[1].active = true;
   * ```
   *
   * @param value: boolean
   */
  set active(value) {
    if (value) {
      this.stepperService.expandThroughApi(this);
    } else {
      this.stepperService.collapse(this);
    }
  }
  get active() {
    return this.stepperService.activeStep === this;
  }
  /** @hidden @internal */
  set tabIndex(value) {
    this._tabIndex = value;
  }
  get tabIndex() {
    return this._tabIndex;
  }
  /** @hidden @internal */
  get contentId() {
    return this.content?.id;
  }
  /** @hidden @internal */
  get generalDisabled() {
    return this.disabled || this.linearDisabled;
  }
  /** @hidden @internal */
  get titlePositionTop() {
    if (this.stepper.stepType !== IgxStepType.Full) {
      return "igx-stepper__step--simple";
    }
    return `igx-stepper__step--${this.titlePosition}`;
  }
  /**
   * Get the step index inside of the stepper.
   *
   * ```typescript
   * const step = this.stepper.steps[1];
   * const stepIndex: number = step.index;
   * ```
   */
  get index() {
    return this._index;
  }
  /** @hidden @internal */
  get indicatorTemplate() {
    if (this.active && this.stepper.activeIndicatorTemplate) {
      return this.stepper.activeIndicatorTemplate;
    }
    if (!this.isValid && this.stepper.invalidIndicatorTemplate) {
      return this.stepper.invalidIndicatorTemplate;
    }
    if (this.completed && this.stepper.completedIndicatorTemplate) {
      return this.stepper.completedIndicatorTemplate;
    }
    if (this.indicator) {
      return this.customIndicatorTemplate;
    }
    return null;
  }
  /** @hidden @internal */
  get direction() {
    return this.stepperService.previousActiveStep && this.stepperService.previousActiveStep.index > this.index ? Direction2.PREV : Direction2.NEXT;
  }
  /** @hidden @internal */
  get isAccessible() {
    return !this.disabled && !this.linearDisabled;
  }
  /** @hidden @internal */
  get isHorizontal() {
    return this.stepper.orientation === IgxStepperOrientation.Horizontal;
  }
  /** @hidden @internal */
  get isTitleVisible() {
    return this.stepper.stepType !== IgxStepType.Indicator;
  }
  /** @hidden @internal */
  get isIndicatorVisible() {
    return this.stepper.stepType !== IgxStepType.Title;
  }
  /** @hidden @internal */
  get titlePosition() {
    return this.stepper.titlePosition ? this.stepper.titlePosition : this.stepper._defaultTitlePosition;
  }
  /** @hidden @internal */
  get linearDisabled() {
    return this.stepperService.linearDisabledSteps.has(this);
  }
  /** @hidden @internal */
  get collapsing() {
    return this.stepperService.collapsingSteps.has(this);
  }
  /** @hidden @internal */
  get animationSettings() {
    return this.stepper.verticalAnimationSettings;
  }
  /** @hidden @internal */
  get contentClasses() {
    if (this.isHorizontal) {
      return { "igx-stepper__body-content": true, "igx-stepper__body-content--active": this.active };
    } else {
      return "igx-stepper__step-content";
    }
  }
  /** @hidden @internal */
  get stepHeaderClasses() {
    return {
      "igx-stepper__step--optional": this.optional,
      "igx-stepper__step-header--current": this.active,
      "igx-stepper__step-header--invalid": !this.isValid && this.stepperService.visitedSteps.has(this) && !this.active && this.isAccessible
    };
  }
  /** @hidden @internal */
  get nativeElement() {
    return this.element.nativeElement;
  }
  constructor(stepper, cdr, renderer, platform, stepperService, animationService, element, dir) {
    super(animationService);
    this.stepper = stepper;
    this.cdr = cdr;
    this.renderer = renderer;
    this.platform = platform;
    this.stepperService = stepperService;
    this.element = element;
    this.dir = dir;
    this.id = `igx-step-${NEXT_ID33++}`;
    this.completed = false;
    this.optional = false;
    this.role = "tab";
    this.cssClass = true;
    this.activeChange = new EventEmitter85();
    this._tabIndex = -1;
    this._valid = true;
    this._focused = false;
    this._disabled = false;
  }
  /** @hidden @internal */
  onFocus() {
    this._focused = true;
    this.stepperService.focusedStep = this;
    if (this.stepperService.focusedStep !== this.stepperService.activeStep) {
      this.stepperService.activeStep.tabIndex = -1;
    }
  }
  /** @hidden @internal */
  onBlur() {
    this._focused = false;
    this.stepperService.activeStep.tabIndex = 0;
  }
  /** @hidden @internal */
  handleKeydown(event) {
    if (!this._focused) {
      return;
    }
    const key = event.key;
    if (this.stepper.orientation === IgxStepperOrientation.Horizontal) {
      if (key === this.platform.KEYMAP.ARROW_UP || key === this.platform.KEYMAP.ARROW_DOWN) {
        return;
      }
    }
    if (!(this.platform.isNavigationKey(key) || this.platform.isActivationKey(event))) {
      return;
    }
    event.preventDefault();
    this.handleNavigation(key);
  }
  /** @hidden @internal */
  ngAfterViewInit() {
    this.openAnimationDone.pipe(takeUntil55(this.destroy$)).subscribe(() => {
      if (this.stepperService.activeStep === this) {
        this.stepper.activeStepChanged.emit({ owner: this.stepper, index: this.index });
      }
    });
    this.closeAnimationDone.pipe(takeUntil55(this.destroy$)).subscribe(() => {
      this.stepperService.collapse(this);
      this.cdr.markForCheck();
    });
  }
  /** @hidden @internal */
  onPointerDown(event) {
    event.stopPropagation();
    if (this.isHorizontal) {
      this.changeHorizontalActiveStep();
    } else {
      this.changeVerticalActiveStep();
    }
  }
  /** @hidden @internal */
  handleNavigation(key) {
    switch (key) {
      case this.platform.KEYMAP.HOME:
        this.stepper.steps.filter((s) => s.isAccessible)[0]?.nativeElement.focus();
        break;
      case this.platform.KEYMAP.END:
        this.stepper.steps.filter((s) => s.isAccessible).pop()?.nativeElement.focus();
        break;
      case this.platform.KEYMAP.ARROW_UP:
        this.previousStep?.nativeElement.focus();
        break;
      case this.platform.KEYMAP.ARROW_LEFT:
        if (this.dir.rtl && this.stepper.orientation === IgxStepperOrientation.Horizontal) {
          this.nextStep?.nativeElement.focus();
        } else {
          this.previousStep?.nativeElement.focus();
        }
        break;
      case this.platform.KEYMAP.ARROW_DOWN:
        this.nextStep?.nativeElement.focus();
        break;
      case this.platform.KEYMAP.ARROW_RIGHT:
        if (this.dir.rtl && this.stepper.orientation === IgxStepperOrientation.Horizontal) {
          this.previousStep?.nativeElement.focus();
        } else {
          this.nextStep?.nativeElement.focus();
        }
        break;
      case this.platform.KEYMAP.SPACE:
      case this.platform.KEYMAP.ENTER:
        if (this.isHorizontal) {
          this.changeHorizontalActiveStep();
        } else {
          this.changeVerticalActiveStep();
        }
        break;
      default:
        return;
    }
  }
  /** @hidden @internal */
  changeHorizontalActiveStep() {
    if (this.stepper.animationType === HorizontalAnimationType.none && this.stepperService.activeStep !== this) {
      const argsCanceled = this.stepperService.emitActivatingEvent(this);
      if (argsCanceled) {
        return;
      }
      this.active = true;
      this.stepper.activeStepChanged.emit({ owner: this.stepper, index: this.index });
      return;
    }
    this.stepperService.expand(this);
    if (this.stepper.animationType === HorizontalAnimationType.fade) {
      if (this.stepperService.collapsingSteps.has(this.stepperService.previousActiveStep)) {
        this.stepperService.previousActiveStep.active = false;
      }
    }
  }
  get nextStep() {
    const focusedStep = this.stepperService.focusedStep;
    if (focusedStep) {
      if (focusedStep.index === this.stepper.steps.length - 1) {
        return this.stepper.steps.find((s) => s.isAccessible);
      }
      const nextAccessible = this.stepper.steps.find((s, i) => i > focusedStep.index && s.isAccessible);
      return nextAccessible ? nextAccessible : this.stepper.steps.find((s) => s.isAccessible);
    }
    return null;
  }
  get previousStep() {
    const focusedStep = this.stepperService.focusedStep;
    if (focusedStep) {
      if (focusedStep.index === 0) {
        return this.stepper.steps.filter((s) => s.isAccessible).pop();
      }
      let prevStep;
      for (let i = focusedStep.index - 1; i >= 0; i--) {
        const step = this.stepper.steps[i];
        if (step.isAccessible) {
          prevStep = step;
          break;
        }
      }
      return prevStep ? prevStep : this.stepper.steps.filter((s) => s.isAccessible).pop();
    }
    return null;
  }
  changeVerticalActiveStep() {
    this.stepperService.expand(this);
    if (!this.animationSettings.closeAnimation) {
      this.stepperService.previousActiveStep?.openAnimationPlayer?.finish();
    }
    if (!this.animationSettings.openAnimation) {
      this.stepperService.activeStep.closeAnimationPlayer?.finish();
    }
  }
  static {
    this.ɵfac = i0273.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0273, type: _IgxStepComponent, deps: [{ token: IGX_STEPPER_COMPONENT }, { token: i0273.ChangeDetectorRef }, { token: i0273.Renderer2 }, { token: PlatformUtil }, { token: IgxStepperService }, { token: IgxAngularAnimationService }, { token: i0273.ElementRef }, { token: IgxDirectionality }], target: i0273.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0273.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxStepComponent, isStandalone: true, selector: "igx-step", inputs: { id: "id", disabled: ["disabled", "disabled", booleanAttribute92], completed: ["completed", "completed", booleanAttribute92], isValid: ["isValid", "isValid", booleanAttribute92], optional: ["optional", "optional", booleanAttribute92], active: ["active", "active", booleanAttribute92], tabIndex: "tabIndex" }, outputs: { activeChange: "activeChange" }, host: { listeners: { "focus": "onFocus()", "blur": "onBlur()", "keydown": "handleKeydown($event)" }, properties: { "attr.id": "this.id", "class.igx-stepper__step--completed": "this.completed", "attr.aria-selected": "this.active", "attr.tabindex": "this.tabIndex", "attr.role": "this.role", "attr.aria-controls": "this.contentId", "class.igx-stepper__step": "this.cssClass", "class.igx-stepper__step--disabled": "this.generalDisabled", "class": "this.titlePositionTop" } }, providers: [
      { provide: IGX_STEP_COMPONENT, useExisting: _IgxStepComponent }
    ], queries: [{ propertyName: "indicator", first: true, predicate: i0273.forwardRef(() => IgxStepIndicatorDirective), descendants: true }, { propertyName: "content", first: true, predicate: i0273.forwardRef(() => IgxStepContentDirective), descendants: true }], viewQueries: [{ propertyName: "contentTemplate", first: true, predicate: ["contentTemplate"], descendants: true, static: true }, { propertyName: "customIndicatorTemplate", first: true, predicate: ["customIndicator"], descendants: true, static: true }, { propertyName: "contentContainer", first: true, predicate: ["contentContainer"], descendants: true }], usesInheritance: true, ngImport: i0273, template: '<ng-template #defaultTitle>\n    <ng-content *ngIf="isTitleVisible" select="[igxStepTitle]"></ng-content>\n    <ng-content *ngIf="isTitleVisible" select="[igxStepSubtitle]"></ng-content>\n</ng-template>\n\n<ng-template #contentTemplate>\n    <div [ngClass]="contentClasses" #contentContainer>\n        <ng-content *ngIf="active || collapsing" select="[igxStepContent]"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #defaultIndicator>\n    <span>{{ index + 1 }}</span>\n</ng-template>\n\n<ng-template #customIndicator>\n    <ng-content select="[igxStepIndicator]"></ng-content>\n</ng-template>\n\n<div class="igx-stepper__step-header" igxRipple [ngClass]="stepHeaderClasses" (keydown)="handleKeydown($event)"\n    (click)="onPointerDown($event)">\n\n    <div *ngIf="isIndicatorVisible" class="igx-stepper__step-indicator">\n        <ng-container *ngTemplateOutlet="indicatorTemplate ? indicatorTemplate : defaultIndicator"></ng-container>\n    </div>\n\n    <div class="igx-stepper__step-title-wrapper">\n        <ng-container *ngTemplateOutlet="defaultTitle"></ng-container>\n    </div>\n</div>\n\n<ng-container *ngIf="!isHorizontal">\n    <div class="igx-stepper__step-content-wrapper">\n        <ng-container *ngTemplateOutlet="contentTemplate"></ng-container>\n    </div>\n</ng-container>\n', dependencies: [{ kind: "directive", type: NgIf83, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgClass42, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxRippleDirective, selector: "[igxRipple]", inputs: ["igxRippleTarget", "igxRipple", "igxRippleDuration", "igxRippleCentered", "igxRippleDisabled"] }, { kind: "directive", type: NgTemplateOutlet50, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
  }
};
i0273.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0273, type: IgxStepComponent, decorators: [{
  type: Component130,
  args: [{ selector: "igx-step", providers: [
    { provide: IGX_STEP_COMPONENT, useExisting: IgxStepComponent }
  ], standalone: true, imports: [NgIf83, NgClass42, IgxRippleDirective, NgTemplateOutlet50], template: '<ng-template #defaultTitle>\n    <ng-content *ngIf="isTitleVisible" select="[igxStepTitle]"></ng-content>\n    <ng-content *ngIf="isTitleVisible" select="[igxStepSubtitle]"></ng-content>\n</ng-template>\n\n<ng-template #contentTemplate>\n    <div [ngClass]="contentClasses" #contentContainer>\n        <ng-content *ngIf="active || collapsing" select="[igxStepContent]"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #defaultIndicator>\n    <span>{{ index + 1 }}</span>\n</ng-template>\n\n<ng-template #customIndicator>\n    <ng-content select="[igxStepIndicator]"></ng-content>\n</ng-template>\n\n<div class="igx-stepper__step-header" igxRipple [ngClass]="stepHeaderClasses" (keydown)="handleKeydown($event)"\n    (click)="onPointerDown($event)">\n\n    <div *ngIf="isIndicatorVisible" class="igx-stepper__step-indicator">\n        <ng-container *ngTemplateOutlet="indicatorTemplate ? indicatorTemplate : defaultIndicator"></ng-container>\n    </div>\n\n    <div class="igx-stepper__step-title-wrapper">\n        <ng-container *ngTemplateOutlet="defaultTitle"></ng-container>\n    </div>\n</div>\n\n<ng-container *ngIf="!isHorizontal">\n    <div class="igx-stepper__step-content-wrapper">\n        <ng-container *ngTemplateOutlet="contentTemplate"></ng-container>\n    </div>\n</ng-container>\n' }]
}], ctorParameters: () => [{ type: void 0, decorators: [{
  type: Inject105,
  args: [IGX_STEPPER_COMPONENT]
}] }, { type: i0273.ChangeDetectorRef }, { type: i0273.Renderer2 }, { type: PlatformUtil }, { type: IgxStepperService }, { type: void 0, decorators: [{
  type: Inject105,
  args: [IgxAngularAnimationService]
}] }, { type: i0273.ElementRef }, { type: IgxDirectionality }], propDecorators: { id: [{
  type: HostBinding117,
  args: ["attr.id"]
}, {
  type: Input153
}], disabled: [{
  type: Input153,
  args: [{ transform: booleanAttribute92 }]
}], completed: [{
  type: Input153,
  args: [{ transform: booleanAttribute92 }]
}, {
  type: HostBinding117,
  args: ["class.igx-stepper__step--completed"]
}], isValid: [{
  type: Input153,
  args: [{ transform: booleanAttribute92 }]
}], optional: [{
  type: Input153,
  args: [{ transform: booleanAttribute92 }]
}], active: [{
  type: HostBinding117,
  args: ["attr.aria-selected"]
}, {
  type: Input153,
  args: [{ transform: booleanAttribute92 }]
}], tabIndex: [{
  type: HostBinding117,
  args: ["attr.tabindex"]
}, {
  type: Input153
}], role: [{
  type: HostBinding117,
  args: ["attr.role"]
}], contentId: [{
  type: HostBinding117,
  args: ["attr.aria-controls"]
}], cssClass: [{
  type: HostBinding117,
  args: ["class.igx-stepper__step"]
}], generalDisabled: [{
  type: HostBinding117,
  args: ["class.igx-stepper__step--disabled"]
}], titlePositionTop: [{
  type: HostBinding117,
  args: ["class"]
}], activeChange: [{
  type: Output76
}], contentTemplate: [{
  type: ViewChild65,
  args: ["contentTemplate", { static: true }]
}], customIndicatorTemplate: [{
  type: ViewChild65,
  args: ["customIndicator", { static: true }]
}], contentContainer: [{
  type: ViewChild65,
  args: ["contentContainer"]
}], indicator: [{
  type: ContentChild31,
  args: [forwardRef32(() => IgxStepIndicatorDirective)]
}], content: [{
  type: ContentChild31,
  args: [forwardRef32(() => IgxStepContentDirective)]
}], onFocus: [{
  type: HostListener55,
  args: ["focus"]
}], onBlur: [{
  type: HostListener55,
  args: ["blur"]
}], handleKeydown: [{
  type: HostListener55,
  args: ["keydown", ["$event"]]
}] } });

// lib/stepper/stepper.component.mjs
import { useAnimation as useAnimation7 } from "@angular/animations";
import { NgIf as NgIf84, NgTemplateOutlet as NgTemplateOutlet51, NgFor as NgFor39 } from "@angular/common";
import { Component as Component131, ContentChild as ContentChild32, ContentChildren as ContentChildren27, EventEmitter as EventEmitter86, HostBinding as HostBinding118, Inject as Inject106, Input as Input154, Output as Output77, TemplateRef as TemplateRef44, booleanAttribute as booleanAttribute93 } from "@angular/core";
import { Subject as Subject58 } from "rxjs";
import { takeUntil as takeUntil56 } from "rxjs/operators";
import { fadeIn as fadeIn11, growVerIn as growVerIn3, growVerOut as growVerOut3 } from "igniteui-angular/animations";
import * as i0274 from "@angular/core";
var IgxStepperComponent = class _IgxStepperComponent extends IgxCarouselComponentBase {
  /**
   * Get/Set the animation type of the stepper when the orientation direction is vertical.
   *
   * @remarks
   * Default value is `grow`. Other possible values are `fade` and `none`.
   *
   * ```html
   * <igx-stepper verticalAnimationType="none">
   * <igx-stepper>
   * ```
   */
  get verticalAnimationType() {
    return this._verticalAnimationType;
  }
  set verticalAnimationType(value) {
    this.stepperService.collapsingSteps.clear();
    this._verticalAnimationType = value;
    switch (value) {
      case "grow":
        this.verticalAnimationSettings = this.updateVerticalAnimationSettings(growVerIn3, growVerOut3);
        break;
      case "fade":
        this.verticalAnimationSettings = this.updateVerticalAnimationSettings(fadeIn11, null);
        break;
      case "none":
        this.verticalAnimationSettings = this.updateVerticalAnimationSettings(null, null);
        break;
    }
  }
  /**
   * Get/Set the animation type of the stepper when the orientation direction is horizontal.
   *
   * @remarks
   * Default value is `grow`. Other possible values are `fade` and `none`.
   *
   * ```html
   * <igx-stepper animationType="none">
   * <igx-stepper>
   * ```
   */
  get horizontalAnimationType() {
    return this.animationType;
  }
  set horizontalAnimationType(value) {
    this.stepperService.collapsingSteps.clear();
    this.animationType = value;
  }
  /**
   * Get/Set the animation duration.
   * ```html
   * <igx-stepper [animationDuration]="500">
   * <igx-stepper>
   * ```
   */
  get animationDuration() {
    return this.defaultAnimationDuration;
  }
  set animationDuration(value) {
    if (value && value > 0) {
      this.defaultAnimationDuration = value;
      return;
    }
    this.defaultAnimationDuration = this._defaultAnimationDuration;
  }
  /**
   * Get/Set whether the stepper is linear.
   *
   * @remarks
   * If the stepper is in linear mode and if the active step is valid only then the user is able to move forward.
   *
   * ```html
   * <igx-stepper [linear]="true"></igx-stepper>
   * ```
   */
  get linear() {
    return this._linear;
  }
  set linear(value) {
    this._linear = value;
    if (this._linear && this.steps.length > 0) {
      this.stepperService.calculateVisitedSteps();
      this.stepperService.calculateLinearDisabledSteps();
    } else {
      this.stepperService.linearDisabledSteps.clear();
    }
  }
  /**
   * Get/Set the stepper orientation.
   *
   * ```typescript
   * this.stepper.orientation = IgxStepperOrientation.Vertical;
   * ```
   */
  get orientation() {
    return this._orientation;
  }
  set orientation(value) {
    if (this._orientation === value) {
      return;
    }
    this.stepperService.collapsingSteps.clear();
    this._orientation = value;
    this._defaultTitlePosition = this._orientation === IgxStepperOrientation.Horizontal ? IgxStepperTitlePosition.Bottom : IgxStepperTitlePosition.End;
  }
  /** @hidden @internal **/
  get directionClass() {
    return this.orientation === IgxStepperOrientation.Horizontal;
  }
  /**
   * Get all steps.
   *
   * ```typescript
   * const steps: IgxStepComponent[] = this.stepper.steps;
   * ```
   */
  get steps() {
    return this._steps?.toArray() || [];
  }
  /** @hidden @internal */
  get nativeElement() {
    return this.element.nativeElement;
  }
  constructor(cdr, animationService, stepperService, element) {
    super(animationService, cdr);
    this.stepperService = stepperService;
    this.element = element;
    this.stepType = IgxStepType.Full;
    this.contentTop = false;
    this.titlePosition = null;
    this.cssClass = "igx-stepper";
    this.role = "tablist";
    this.activeStepChanging = new EventEmitter86();
    this.activeStepChanged = new EventEmitter86();
    this.verticalAnimationSettings = {
      openAnimation: growVerIn3,
      closeAnimation: growVerOut3
    };
    this._defaultTitlePosition = IgxStepperTitlePosition.Bottom;
    this.destroy$ = new Subject58();
    this._orientation = IgxStepperOrientation.Horizontal;
    this._verticalAnimationType = VerticalAnimationType.Grow;
    this._linear = false;
    this._defaultAnimationDuration = 350;
    this.stepperService.stepper = this;
  }
  /** @hidden @internal */
  ngOnChanges(changes) {
    if (changes["animationDuration"]) {
      this.verticalAnimationType = this._verticalAnimationType;
    }
  }
  /** @hidden @internal */
  ngOnInit() {
    this.enterAnimationDone.pipe(takeUntil56(this.destroy$)).subscribe(() => {
      this.activeStepChanged.emit({ owner: this, index: this.stepperService.activeStep.index });
    });
    this.leaveAnimationDone.pipe(takeUntil56(this.destroy$)).subscribe(() => {
      if (this.stepperService.collapsingSteps.size === 1) {
        this.stepperService.collapse(this.stepperService.previousActiveStep);
      } else {
        Array.from(this.stepperService.collapsingSteps).slice(0, this.stepperService.collapsingSteps.size - 1).forEach((step) => this.stepperService.collapse(step));
      }
    });
  }
  /** @hidden @internal */
  ngAfterContentInit() {
    let activeStep;
    this.steps.forEach((step, index) => {
      this.updateStepAria(step, index);
      if (!activeStep && step.active) {
        activeStep = step;
      }
    });
    if (!activeStep) {
      this.activateFirstStep(true);
    }
    if (this.linear) {
      this.stepperService.calculateLinearDisabledSteps();
    }
    this.handleStepChanges();
  }
  /** @hidden @internal */
  ngOnDestroy() {
    this.destroy$.next();
    this.destroy$.complete();
  }
  /**
   * Activates the step at a given index.
   *
   *```typescript
   * this.stepper.navigateTo(1);
   *```
   */
  navigateTo(index) {
    const step = this.steps[index];
    if (!step || this.stepperService.activeStep === step) {
      return;
    }
    this.activateStep(step);
  }
  /**
   * Activates the next enabled step.
   *
   *```typescript
   * this.stepper.next();
   *```
   */
  next() {
    this.moveToNextStep();
  }
  /**
   * Activates the previous enabled step.
   *
   *```typescript
   * this.stepper.prev();
   *```
   */
  prev() {
    this.moveToNextStep(false);
  }
  /**
   * Resets the stepper to its initial state i.e. activates the first step.
   *
   * @remarks
   * The steps' content will not be automatically reset.
   *```typescript
   * this.stepper.reset();
   *```
   */
  reset() {
    this.stepperService.visitedSteps.clear();
    const activeStep = this.steps.find((s) => !s.disabled);
    if (activeStep) {
      this.activateStep(activeStep);
    }
  }
  /** @hidden @internal */
  playHorizontalAnimations() {
    this.previousItem = this.stepperService.previousActiveStep;
    this.currentItem = this.stepperService.activeStep;
    this.triggerAnimations();
  }
  getPreviousElement() {
    return this.stepperService.previousActiveStep?.contentContainer.nativeElement;
  }
  getCurrentElement() {
    return this.stepperService.activeStep.contentContainer.nativeElement;
  }
  updateVerticalAnimationSettings(openAnimation, closeAnimation) {
    const customCloseAnimation = useAnimation7(closeAnimation, {
      params: {
        duration: this.animationDuration + "ms"
      }
    });
    const customOpenAnimation = useAnimation7(openAnimation, {
      params: {
        duration: this.animationDuration + "ms"
      }
    });
    return {
      openAnimation: openAnimation ? customOpenAnimation : null,
      closeAnimation: closeAnimation ? customCloseAnimation : null
    };
  }
  updateStepAria(step, index) {
    step._index = index;
    step.renderer.setAttribute(step.nativeElement, "aria-setsize", this.steps.length.toString());
    step.renderer.setAttribute(step.nativeElement, "aria-posinset", (index + 1).toString());
  }
  handleStepChanges() {
    this._steps.changes.pipe(takeUntil56(this.destroy$)).subscribe((steps) => {
      Promise.resolve().then(() => {
        steps.forEach((step, index) => {
          this.updateStepAria(step, index);
        });
        const hasActiveStep = this.steps.find((s) => s === this.stepperService.activeStep);
        if (!hasActiveStep) {
          this.activateFirstStep();
        }
        if (this.linear) {
          this.stepperService.calculateLinearDisabledSteps();
        }
      });
    });
  }
  activateFirstStep(activateInitially = false) {
    const firstEnabledStep = this.steps.find((s) => !s.disabled);
    if (firstEnabledStep) {
      firstEnabledStep.active = true;
      if (activateInitially) {
        firstEnabledStep.activeChange.emit(true);
        this.activeStepChanged.emit({ owner: this, index: firstEnabledStep.index });
      }
    }
  }
  activateStep(step) {
    if (this.orientation === IgxStepperOrientation.Horizontal) {
      step.changeHorizontalActiveStep();
    } else {
      this.stepperService.expand(step);
    }
  }
  moveToNextStep(next = true) {
    let steps = this.steps;
    let activeStepIndex = this.stepperService.activeStep.index;
    if (!next) {
      steps = this.steps.reverse();
      activeStepIndex = steps.findIndex((s) => s === this.stepperService.activeStep);
    }
    const nextStep = steps.find((s, i) => i > activeStepIndex && s.isAccessible);
    if (nextStep) {
      this.activateStep(nextStep);
    }
  }
  static {
    this.ɵfac = i0274.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0274, type: _IgxStepperComponent, deps: [{ token: i0274.ChangeDetectorRef }, { token: IgxAngularAnimationService }, { token: IgxStepperService }, { token: i0274.ElementRef }], target: i0274.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0274.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxStepperComponent, isStandalone: true, selector: "igx-stepper", inputs: { verticalAnimationType: "verticalAnimationType", horizontalAnimationType: "horizontalAnimationType", animationDuration: "animationDuration", linear: ["linear", "linear", booleanAttribute93], orientation: "orientation", stepType: "stepType", contentTop: ["contentTop", "contentTop", booleanAttribute93], titlePosition: "titlePosition" }, outputs: { activeStepChanging: "activeStepChanging", activeStepChanged: "activeStepChanged" }, host: { properties: { "attr.aria-orientation": "this.orientation", "class.igx-stepper": "this.cssClass", "attr.role": "this.role", "class.igx-stepper--horizontal": "this.directionClass" } }, providers: [
      IgxStepperService,
      { provide: IGX_STEPPER_COMPONENT, useExisting: _IgxStepperComponent }
    ], queries: [{ propertyName: "invalidIndicatorTemplate", first: true, predicate: IgxStepInvalidIndicatorDirective, descendants: true, read: TemplateRef44 }, { propertyName: "completedIndicatorTemplate", first: true, predicate: IgxStepCompletedIndicatorDirective, descendants: true, read: TemplateRef44 }, { propertyName: "activeIndicatorTemplate", first: true, predicate: IgxStepActiveIndicatorDirective, descendants: true, read: TemplateRef44 }, { propertyName: "_steps", predicate: IgxStepComponent }], usesInheritance: true, usesOnChanges: true, ngImport: i0274, template: `<div *ngIf="!contentTop || orientation !== 'horizontal'" class="igx-stepper__header">
    <ng-template *ngTemplateOutlet="stepTemplate"></ng-template>
</div>

<div *ngIf="orientation === 'horizontal'" class="igx-stepper__body">
    <ng-container *ngFor="let step of steps">
        <ng-container *ngTemplateOutlet="step.contentTemplate"></ng-container>
    </ng-container>
</div>

<div *ngIf="contentTop && orientation === 'horizontal'" class="igx-stepper__header">
    <ng-template *ngTemplateOutlet="stepTemplate"></ng-template>
</div>

<ng-template #stepTemplate>
    <ng-content select="igx-step"></ng-content>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf84, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet51, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgFor39, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
  }
};
i0274.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0274, type: IgxStepperComponent, decorators: [{
  type: Component131,
  args: [{ selector: "igx-stepper", providers: [
    IgxStepperService,
    { provide: IGX_STEPPER_COMPONENT, useExisting: IgxStepperComponent }
  ], standalone: true, imports: [NgIf84, NgTemplateOutlet51, NgFor39], template: `<div *ngIf="!contentTop || orientation !== 'horizontal'" class="igx-stepper__header">
    <ng-template *ngTemplateOutlet="stepTemplate"></ng-template>
</div>

<div *ngIf="orientation === 'horizontal'" class="igx-stepper__body">
    <ng-container *ngFor="let step of steps">
        <ng-container *ngTemplateOutlet="step.contentTemplate"></ng-container>
    </ng-container>
</div>

<div *ngIf="contentTop && orientation === 'horizontal'" class="igx-stepper__header">
    <ng-template *ngTemplateOutlet="stepTemplate"></ng-template>
</div>

<ng-template #stepTemplate>
    <ng-content select="igx-step"></ng-content>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0274.ChangeDetectorRef }, { type: void 0, decorators: [{
  type: Inject106,
  args: [IgxAngularAnimationService]
}] }, { type: IgxStepperService }, { type: i0274.ElementRef }], propDecorators: { verticalAnimationType: [{
  type: Input154
}], horizontalAnimationType: [{
  type: Input154
}], animationDuration: [{
  type: Input154
}], linear: [{
  type: Input154,
  args: [{ transform: booleanAttribute93 }]
}], orientation: [{
  type: HostBinding118,
  args: ["attr.aria-orientation"]
}, {
  type: Input154
}], stepType: [{
  type: Input154
}], contentTop: [{
  type: Input154,
  args: [{ transform: booleanAttribute93 }]
}], titlePosition: [{
  type: Input154
}], cssClass: [{
  type: HostBinding118,
  args: ["class.igx-stepper"]
}], role: [{
  type: HostBinding118,
  args: ["attr.role"]
}], directionClass: [{
  type: HostBinding118,
  args: ["class.igx-stepper--horizontal"]
}], activeStepChanging: [{
  type: Output77
}], activeStepChanged: [{
  type: Output77
}], invalidIndicatorTemplate: [{
  type: ContentChild32,
  args: [IgxStepInvalidIndicatorDirective, { read: TemplateRef44 }]
}], completedIndicatorTemplate: [{
  type: ContentChild32,
  args: [IgxStepCompletedIndicatorDirective, { read: TemplateRef44 }]
}], activeIndicatorTemplate: [{
  type: ContentChild32,
  args: [IgxStepActiveIndicatorDirective, { read: TemplateRef44 }]
}], _steps: [{
  type: ContentChildren27,
  args: [IgxStepComponent, { descendants: false }]
}] } });

// lib/stepper/public_api.mjs
var IGX_STEPPER_DIRECTIVES = [
  IgxStepComponent,
  IgxStepperComponent,
  IgxStepTitleDirective,
  IgxStepSubtitleDirective,
  IgxStepIndicatorDirective,
  IgxStepContentDirective,
  IgxStepActiveIndicatorDirective,
  IgxStepCompletedIndicatorDirective,
  IgxStepInvalidIndicatorDirective
];

// lib/date-range-picker/date-range-picker-inputs.common.mjs
import { Component as Component132, ContentChild as ContentChild33, Pipe as Pipe21, Directive as Directive101 } from "@angular/core";
import { NgControl as NgControl9 } from "@angular/forms";
import { NgIf as NgIf85, NgTemplateOutlet as NgTemplateOutlet52, NgClass as NgClass43, NgSwitch as NgSwitch2, NgSwitchCase as NgSwitchCase2, NgSwitchDefault as NgSwitchDefault2 } from "@angular/common";
import * as i0275 from "@angular/core";
var DateRangePickerFormatPipe = class _DateRangePickerFormatPipe {
  transform(values, appliedFormat, locale, formatter) {
    if (!values || !values.start && !values.end) {
      return "";
    }
    if (formatter) {
      return formatter(values);
    }
    let { start, end } = values;
    if (!isDate(start)) {
      start = DateTimeUtil.parseIsoDate(start);
    }
    if (!isDate(end)) {
      end = DateTimeUtil.parseIsoDate(end);
    }
    const startDate = appliedFormat ? DateTimeUtil.formatDate(start, appliedFormat, locale || "en") : start?.toLocaleDateString();
    const endDate = appliedFormat ? DateTimeUtil.formatDate(end, appliedFormat, locale || "en") : end?.toLocaleDateString();
    let formatted;
    if (start) {
      formatted = `${startDate} - `;
      if (end) {
        formatted += endDate;
      }
    }
    return formatted ? formatted : "";
  }
  static {
    this.ɵfac = i0275.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _DateRangePickerFormatPipe, deps: [], target: i0275.ɵɵFactoryTarget.Pipe });
  }
  static {
    this.ɵpipe = i0275.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _DateRangePickerFormatPipe, isStandalone: true, name: "dateRange" });
  }
};
i0275.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: DateRangePickerFormatPipe, decorators: [{
  type: Pipe21,
  args: [{
    name: "dateRange",
    standalone: true
  }]
}] });
var IgxDateRangeInputsBaseComponent = class _IgxDateRangeInputsBaseComponent extends IgxInputGroupComponent {
  /** @hidden @internal */
  get nativeElement() {
    return this.element.nativeElement;
  }
  /** @hidden @internal */
  setFocus() {
    this.input.focus();
  }
  /** @hidden @internal */
  updateInputValue(value) {
    if (this.ngControl) {
      this.ngControl.control.setValue(value);
    } else {
      this.dateTimeEditor.value = value;
    }
  }
  /** @hidden @internal */
  updateInputValidity(state) {
    this.inputDirective.valid = state;
  }
  static {
    this.ɵfac = i0275.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _IgxDateRangeInputsBaseComponent, deps: null, target: i0275.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0275.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDateRangeInputsBaseComponent, isStandalone: true, selector: "igx-date-range-base", providers: [{ provide: IgxInputGroupBase, useExisting: _IgxDateRangeInputsBaseComponent }], queries: [{ propertyName: "dateTimeEditor", first: true, predicate: IgxDateTimeEditorDirective, descendants: true }, { propertyName: "inputDirective", first: true, predicate: IgxInputDirective, descendants: true }, { propertyName: "ngControl", first: true, predicate: NgControl9, descendants: true }], usesInheritance: true, ngImport: i0275, template: ``, isInline: true });
  }
};
i0275.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: IgxDateRangeInputsBaseComponent, decorators: [{
  type: Component132,
  args: [{
    template: ``,
    selector: `igx-date-range-base`,
    providers: [{ provide: IgxInputGroupBase, useExisting: IgxDateRangeInputsBaseComponent }],
    standalone: true
  }]
}], propDecorators: { dateTimeEditor: [{
  type: ContentChild33,
  args: [IgxDateTimeEditorDirective]
}], inputDirective: [{
  type: ContentChild33,
  args: [IgxInputDirective]
}], ngControl: [{
  type: ContentChild33,
  args: [NgControl9]
}] } });
var IgxDateRangeStartComponent = class _IgxDateRangeStartComponent extends IgxDateRangeInputsBaseComponent {
  static {
    this.ɵfac = i0275.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _IgxDateRangeStartComponent, deps: null, target: i0275.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0275.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDateRangeStartComponent, isStandalone: true, selector: "igx-date-range-start", providers: [
      { provide: IgxInputGroupBase, useExisting: _IgxDateRangeStartComponent },
      { provide: IgxDateRangeInputsBaseComponent, useExisting: _IgxDateRangeStartComponent }
    ], usesInheritance: true, ngImport: i0275, template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf85, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet52, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: NgClass43, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgSwitch2, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: NgSwitchCase2, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: NgSwitchDefault2, selector: "[ngSwitchDefault]" }] });
  }
};
i0275.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: IgxDateRangeStartComponent, decorators: [{
  type: Component132,
  args: [{ selector: "igx-date-range-start", providers: [
    { provide: IgxInputGroupBase, useExisting: IgxDateRangeStartComponent },
    { provide: IgxDateRangeInputsBaseComponent, useExisting: IgxDateRangeStartComponent }
  ], standalone: true, imports: [NgIf85, NgTemplateOutlet52, IgxPrefixDirective, IgxButtonDirective, NgClass43, IgxSuffixDirective, IgxIconComponent, NgSwitch2, NgSwitchCase2, NgSwitchDefault2], template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
` }]
}] });
var IgxDateRangeEndComponent = class _IgxDateRangeEndComponent extends IgxDateRangeInputsBaseComponent {
  static {
    this.ɵfac = i0275.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _IgxDateRangeEndComponent, deps: null, target: i0275.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0275.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDateRangeEndComponent, isStandalone: true, selector: "igx-date-range-end", providers: [
      { provide: IgxInputGroupBase, useExisting: _IgxDateRangeEndComponent },
      { provide: IgxDateRangeInputsBaseComponent, useExisting: _IgxDateRangeEndComponent }
    ], usesInheritance: true, ngImport: i0275, template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf85, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet52, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "directive", type: IgxButtonDirective, selector: "[igxButton]", inputs: ["selected", "igxButton", "igxLabel"], outputs: ["buttonSelected"] }, { kind: "directive", type: NgClass43, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: IgxSuffixDirective, selector: "igx-suffix,[igxSuffix],[igxEnd]" }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "directive", type: NgSwitch2, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: NgSwitchCase2, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: NgSwitchDefault2, selector: "[ngSwitchDefault]" }] });
  }
};
i0275.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: IgxDateRangeEndComponent, decorators: [{
  type: Component132,
  args: [{ selector: "igx-date-range-end", providers: [
    { provide: IgxInputGroupBase, useExisting: IgxDateRangeEndComponent },
    { provide: IgxDateRangeInputsBaseComponent, useExisting: IgxDateRangeEndComponent }
  ], standalone: true, imports: [NgIf85, NgTemplateOutlet52, IgxPrefixDirective, IgxButtonDirective, NgClass43, IgxSuffixDirective, IgxIconComponent, NgSwitch2, NgSwitchCase2, NgSwitchDefault2], template: `<div class="igx-input-group__wrapper" *ngIf="isTypeBox; else bundle">
    <ng-container *ngTemplateOutlet="bundle"></ng-container>
</div>

<div class="igx-input-group__hint" (click)="hintClickHandler($event)">
    <ng-content select="igx-hint, [igxHint]"></ng-content>
</div>

<ng-template #label>
    <ng-content select="[igxLabel]"></ng-content>
</ng-template>

<ng-template #input>
    <ng-content select="[igxInput]"></ng-content>
</ng-template>

<ng-template #prefix>
    <ng-content select="igx-prefix, [igxPrefix]"></ng-content>
</ng-template>

<ng-template #uploadButton>
    <igx-prefix *ngIf="isFileType" class="igx-input-group__upload-button">
        <button
            igxButton="contained"
            type="button"
            (click)="uploadButtonHandler()"
            [displayDensity]="displayDensity"
            [disabled]="disabled"
            [ngClass]="{ 'igx-input-group__upload-button': isTypeLine }"
        >
            {{ resourceStrings.igx_input_upload_button }}
        </button>
    </igx-prefix>
</ng-template>

<ng-template #files>
    <div
        *ngIf="isFileType"
        class="igx-input-group__file-input"
        [title]="fileNames"
    >
        <span>{{ fileNames }}</span>
    </div>
</ng-template>

<ng-template #clear>
    <igx-suffix
        class="igx-input-group__clear-icon"
        *ngIf="isFileType && isFilled"
        (click)="clearValueHandler()"
        (keydown.Enter)="clearValueHandler()"
        title="clear files"
        tabindex="0"
    >
        <igx-icon>clear</igx-icon>
    </igx-suffix>
</ng-template>

<ng-template #suffix>
    <ng-content select="igx-suffix, [igxSuffix]"></ng-content>
</ng-template>

<ng-template #materialBundle>
    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container>
            <div class="igx-input-group__notch">
                <ng-container *ngTemplateOutlet="label"></ng-container>
            </div>
        </ng-container>

        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__filler"></div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #fluentBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>


        <div class="igx-input-group__bundle-main">
            <ng-container *ngTemplateOutlet="input"></ng-container>
            <ng-container *ngTemplateOutlet="files"></ng-container>
        </div>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>

        <div class="igx-input-group__line" *ngIf="hasBorder"></div>
    </div>
</ng-template>

<ng-template #bootstrapBundle>
    <ng-container *ngTemplateOutlet="label"></ng-container>

    <div class="igx-input-group__bundle">
        <div class="igx-input-group__bundle-start">
            <ng-container *ngTemplateOutlet="prefix"></ng-container>
            <ng-container *ngTemplateOutlet="uploadButton"></ng-container>
        </div>

        <ng-container *ngTemplateOutlet="input"></ng-container>
        <ng-container *ngTemplateOutlet="files"></ng-container>

        <div class="igx-input-group__bundle-end">
            <ng-container *ngTemplateOutlet="clear"></ng-container>
            <ng-container *ngTemplateOutlet="suffix"></ng-container>
        </div>
    </div>
</ng-template>

<ng-template #bundle>
    <ng-container [ngSwitch]="theme">
        <ng-container *ngSwitchCase="'bootstrap'">
            <ng-container *ngTemplateOutlet="bootstrapBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'fluent'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchCase="'indigo-design'">
            <ng-container *ngTemplateOutlet="fluentBundle"></ng-container>
        </ng-container>

        <ng-container *ngSwitchDefault>
            <ng-container *ngTemplateOutlet="materialBundle"></ng-container>
        </ng-container>
    </ng-container>
</ng-template>
` }]
}] });
var IgxDateRangeSeparatorDirective = class _IgxDateRangeSeparatorDirective {
  static {
    this.ɵfac = i0275.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: _IgxDateRangeSeparatorDirective, deps: [], target: i0275.ɵɵFactoryTarget.Directive });
  }
  static {
    this.ɵdir = i0275.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.0-rc.2", type: _IgxDateRangeSeparatorDirective, isStandalone: true, selector: "[igxDateRangeSeparator]", ngImport: i0275 });
  }
};
i0275.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0275, type: IgxDateRangeSeparatorDirective, decorators: [{
  type: Directive101,
  args: [{
    selector: "[igxDateRangeSeparator]",
    standalone: true
  }]
}] });

// lib/core/i18n/date-range-picker-resources.mjs
var DateRangePickerResourceStringsEN = {
  igx_date_range_picker_date_separator: "to",
  igx_date_range_picker_done_button: "Done"
};

// lib/date-range-picker/date-range-picker.component.mjs
import { booleanAttribute as booleanAttribute94, Component as Component133, ContentChild as ContentChild34, ContentChildren as ContentChildren28, EventEmitter as EventEmitter87, HostBinding as HostBinding119, HostListener as HostListener56, Inject as Inject107, Input as Input155, LOCALE_ID as LOCALE_ID13, Optional as Optional49, Output as Output78, TemplateRef as TemplateRef45, ViewChild as ViewChild66, ViewContainerRef as ViewContainerRef22 } from "@angular/core";
import { NgTemplateOutlet as NgTemplateOutlet53, NgIf as NgIf86 } from "@angular/common";
import { NgControl as NgControl10, NG_VALIDATORS as NG_VALIDATORS6, NG_VALUE_ACCESSOR as NG_VALUE_ACCESSOR17 } from "@angular/forms";
import { fromEvent as fromEvent16, merge as merge5, noop as noop13 } from "rxjs";
import { filter as filter8, takeUntil as takeUntil57 } from "rxjs/operators";
import { fadeIn as fadeIn12, fadeOut as fadeOut10 } from "igniteui-angular/animations";
import * as i0276 from "@angular/core";
var SingleInputDatesConcatenationString = " - ";
var IgxDateRangePickerComponent = class _IgxDateRangePickerComponent extends PickerBaseDirective {
  /**
   * Overrides the default text of the calendar dialog **Done** button.
   *
   * @remarks
   * Defaults to the value from resource strings, `"Done"` for the built-in EN.
   * The button will only show up in `dialog` mode.
   *
   * @example
   * ```html
   * <igx-date-range-picker doneButtonText="完了"></igx-date-range-picker>
   * ```
   */
  set doneButtonText(value) {
    this._doneButtonText = value;
  }
  get doneButtonText() {
    if (this._doneButtonText === null) {
      return this.resourceStrings.igx_date_range_picker_done_button;
    }
    return this._doneButtonText;
  }
  /**
   * The minimum value in a valid range.
   *
   * @example
   * <igx-date-range-picker [minValue]="minDate"></igx-date-range-picker>
   */
  set minValue(value) {
    this._minValue = value;
    this.onValidatorChange();
  }
  get minValue() {
    return this._minValue;
  }
  /**
   * The maximum value in a valid range.
   *
   * @example
   * <igx-date-range-picker [maxValue]="maxDate"></igx-date-range-picker>
   */
  set maxValue(value) {
    this._maxValue = value;
    this.onValidatorChange();
  }
  get maxValue() {
    return this._maxValue;
  }
  /**
   * An accessor that sets the resource strings.
   * By default it uses EN resources.
   */
  set resourceStrings(value) {
    this._resourceStrings = Object.assign({}, this._resourceStrings, value);
  }
  /**
   * An accessor that returns the resource strings.
   */
  get resourceStrings() {
    return this._resourceStrings;
  }
  /** @hidden @internal */
  get dateSeparator() {
    if (this._dateSeparator === null) {
      return this.resourceStrings.igx_date_range_picker_date_separator;
    }
    return this._dateSeparator;
  }
  /** @hidden @internal */
  get appliedFormat() {
    return DateTimeUtil.getLocaleDateFormat(this.locale, this.displayFormat) || DateTimeUtil.DEFAULT_INPUT_FORMAT;
  }
  /** @hidden @internal */
  get singleInputFormat() {
    if (this.placeholder !== "") {
      return this.placeholder;
    }
    const format = this.appliedFormat;
    return `${format}${SingleInputDatesConcatenationString}${format}`;
  }
  /**
   * Gets calendar state.
   *
   * ```typescript
   * let state = this.dateRange.collapsed;
   * ```
   */
  get collapsed() {
    return this._collapsed;
  }
  /**
   * The currently selected value / range from the calendar
   *
   * @remarks
   * The current value is of type `DateRange`
   *
   * @example
   * ```typescript
   * const newValue: DateRange = { start: new Date("2/2/2012"), end: new Date("3/3/2013")};
   * this.dateRangePicker.value = newValue;
   * ```
   */
  get value() {
    return this._value;
  }
  set value(value) {
    this.updateValue(value);
    this.onChangeCallback(value);
    this.valueChange.emit(value);
  }
  /** @hidden @internal */
  get hasProjectedInputs() {
    return this.projectedInputs?.length > 0;
  }
  /** @hidden @internal */
  get separatorClass() {
    return "igx-date-range-picker__label";
  }
  get required() {
    if (this._ngControl && this._ngControl.control && this._ngControl.control.validator) {
      const error = this._ngControl.control.validator({});
      return error && error.required ? true : false;
    }
    return false;
  }
  get calendar() {
    return this._calendar;
  }
  get dropdownOverlaySettings() {
    return Object.assign({}, this._dropDownOverlaySettings, this.overlaySettings);
  }
  get dialogOverlaySettings() {
    return Object.assign({}, this._dialogOverlaySettings, this.overlaySettings);
  }
  constructor(element, _localeId, platform, _injector, _cdr, _overlayService, _displayDensityOptions, _inputGroupType) {
    super(element, _localeId, _displayDensityOptions, _inputGroupType);
    this.platform = platform;
    this._injector = _injector;
    this._cdr = _cdr;
    this._overlayService = _overlayService;
    this.displayMonthsCount = 2;
    this.placeholder = "";
    this.showWeekNumbers = false;
    this.valueChange = new EventEmitter87();
    this.cssClass = "igx-date-range-picker";
    this._resourceStrings = getCurrentResourceStrings(DateRangePickerResourceStringsEN);
    this._doneButtonText = null;
    this._dateSeparator = null;
    this._overlaySubFilter = [
      filter8((x) => x.id === this._overlayId),
      takeUntil57(merge5(this._destroy$, this.closed))
    ];
    this._dialogOverlaySettings = {
      closeOnOutsideClick: true,
      modal: true,
      closeOnEscape: true
    };
    this._dropDownOverlaySettings = {
      closeOnOutsideClick: true,
      modal: false,
      closeOnEscape: true
    };
    this.onChangeCallback = noop13;
    this.onTouchCallback = noop13;
    this.onValidatorChange = noop13;
    this.onStatusChanged = () => {
      if (this.inputGroup) {
        this.setValidityState(this.inputDirective, this.inputGroup.isFocused);
      } else if (this.hasProjectedInputs) {
        this.projectedInputs.forEach((i) => {
          this.setValidityState(i.inputDirective, i.isFocused);
        });
      }
      this.setRequiredToInputs();
    };
    this.locale = this.locale || this._localeId;
  }
  /** @hidden @internal */
  onKeyDown(event) {
    switch (event.key) {
      case this.platform.KEYMAP.ARROW_UP:
        if (event.altKey) {
          this.close();
        }
        break;
      case this.platform.KEYMAP.ARROW_DOWN:
        if (event.altKey) {
          this.open();
        }
        break;
    }
  }
  /**
   * Opens the date range picker's dropdown or dialog.
   *
   * @example
   * ```html
   * <igx-date-range-picker #dateRange></igx-date-range-picker>
   *
   * <button type="button" igxButton (click)="dateRange.open()">Open Dialog</button
   * ```
   */
  open(overlaySettings) {
    if (!this.collapsed || this.disabled) {
      return;
    }
    const settings = Object.assign({}, this.isDropdown ? this.dropdownOverlaySettings : this.dialogOverlaySettings, overlaySettings);
    this._overlayId = this._overlayService.attach(IgxCalendarContainerComponent, this.viewContainerRef, settings);
    this.subscribeToOverlayEvents();
    this._overlayService.show(this._overlayId);
  }
  /**
   * Closes the date range picker's dropdown or dialog.
   *
   * @example
   * ```html
   * <igx-date-range-picker #dateRange></igx-date-range-picker>
   *
   * <button type="button" igxButton (click)="dateRange.close()">Close Dialog</button>
   * ```
   */
  close() {
    if (!this.collapsed) {
      this._overlayService.hide(this._overlayId);
    }
  }
  /**
   * Toggles the date range picker's dropdown or dialog
   *
   * @example
   * ```html
   * <igx-date-range-picker #dateRange></igx-date-range-picker>
   *
   * <button type="button" igxButton (click)="dateRange.toggle()">Toggle Dialog</button>
   * ```
   */
  toggle(overlaySettings) {
    if (!this.collapsed) {
      this.close();
    } else {
      this.open(overlaySettings);
    }
  }
  /**
   * Selects a range of dates. If no `endDate` is passed, range is 1 day (only `startDate`)
   *
   * @example
   * ```typescript
   * public selectFiveDayRange() {
   *  const today = new Date();
   *  const inFiveDays = new Date(new Date().setDate(today.getDate() + 5));
   *  this.dateRange.select(today, inFiveDays);
   * }
   * ```
   */
  select(startDate, endDate) {
    endDate = endDate ?? startDate;
    const dateRange = [startDate, endDate];
    this.handleSelection(dateRange);
  }
  /** @hidden @internal */
  writeValue(value) {
    this.updateValue(value);
  }
  /** @hidden @internal */
  registerOnChange(fn) {
    this.onChangeCallback = fn;
  }
  /** @hidden @internal */
  registerOnTouched(fn) {
    this.onTouchCallback = fn;
  }
  /** @hidden @internal */
  validate(control) {
    const value = control.value;
    const errors = {};
    if (value) {
      if (this.hasProjectedInputs) {
        const startInput = this.projectedInputs.find((i) => i instanceof IgxDateRangeStartComponent);
        const endInput = this.projectedInputs.find((i) => i instanceof IgxDateRangeEndComponent);
        if (!startInput.dateTimeEditor.value) {
          Object.assign(errors, { startValue: true });
        }
        if (!endInput.dateTimeEditor.value) {
          Object.assign(errors, { endValue: true });
        }
      }
      const min = parseDate(this.minValue);
      const max = parseDate(this.maxValue);
      const start = parseDate(value.start);
      const end = parseDate(value.end);
      if (min && start && DateTimeUtil.lessThanMinValue(start, min, false) || min && end && DateTimeUtil.lessThanMinValue(end, min, false)) {
        Object.assign(errors, { minValue: true });
      }
      if (max && start && DateTimeUtil.greaterThanMaxValue(start, max, false) || max && end && DateTimeUtil.greaterThanMaxValue(end, max, false)) {
        Object.assign(errors, { maxValue: true });
      }
    }
    return Object.keys(errors).length > 0 ? errors : null;
  }
  /** @hidden @internal */
  registerOnValidatorChange(fn) {
    this.onValidatorChange = fn;
  }
  /** @hidden @internal */
  setDisabledState(isDisabled) {
    this.disabled = isDisabled;
  }
  /** @hidden */
  ngOnInit() {
    this._ngControl = this._injector.get(NgControl10, null);
    this.locale = this.locale || this._localeId;
    super.ngOnInit();
  }
  /** @hidden */
  ngAfterViewInit() {
    super.ngAfterViewInit();
    this.subscribeToDateEditorEvents();
    this.configPositionStrategy();
    this.configOverlaySettings();
    this.cacheFocusedInput();
    this.attachOnTouched();
    this.setRequiredToInputs();
    if (this._ngControl) {
      this._statusChanges$ = this._ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
    }
    Promise.resolve().then(() => {
      this.updateDisabledState();
      this.initialSetValue();
      this.updateInputs();
      if (this.hasProjectedInputs && this.disabled) {
        this._cdr.markForCheck();
      }
    });
    this.updateDisplayFormat();
    this.updateInputFormat();
  }
  /** @hidden @internal */
  ngOnChanges(changes) {
    if (changes["displayFormat"] && this.hasProjectedInputs) {
      this.updateDisplayFormat();
    }
    if (changes["inputFormat"] && this.hasProjectedInputs) {
      this.updateInputFormat();
    }
    if (changes["disabled"]) {
      this.updateDisabledState();
    }
  }
  /** @hidden @internal */
  ngOnDestroy() {
    super.ngOnDestroy();
    if (this._statusChanges$) {
      this._statusChanges$.unsubscribe();
    }
    if (this._overlayId) {
      this._overlayService.detach(this._overlayId);
    }
  }
  /** @hidden @internal */
  getEditElement() {
    return this.inputDirective.nativeElement;
  }
  setValidityState(inputDirective, isFocused) {
    if (this._ngControl && !this._ngControl.disabled && this.isTouchedOrDirty) {
      if (this.hasValidators && isFocused) {
        inputDirective.valid = this._ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
      } else {
        inputDirective.valid = this._ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
      }
    } else {
      inputDirective.valid = IgxInputState.INITIAL;
    }
  }
  get isTouchedOrDirty() {
    return this._ngControl.control.touched || this._ngControl.control.dirty;
  }
  get hasValidators() {
    return !!this._ngControl.control.validator || !!this._ngControl.control.asyncValidator;
  }
  handleSelection(selectionData) {
    let newValue = this.extractRange(selectionData);
    if (!newValue.start && !newValue.end) {
      newValue = null;
    }
    this.value = newValue;
    if (this.isDropdown && selectionData?.length > 1) {
      this.close();
    }
  }
  handleClosing(e) {
    const args = { owner: this, cancel: e?.cancel, event: e?.event };
    this.closing.emit(args);
    e.cancel = args.cancel;
    if (args.cancel) {
      return;
    }
    if (this.isDropdown && e?.event && !this.element.nativeElement.contains(e.event.target)) {
      this.updateValidityOnBlur();
    } else {
      this.onTouchCallback();
      if (this.hasProjectedInputs && this._focusedInput) {
        this._focusedInput.setFocus();
        this._focusedInput = null;
      }
      if (this.inputDirective) {
        this.inputDirective.focus();
      }
    }
  }
  subscribeToOverlayEvents() {
    this._overlayService.opening.pipe(...this._overlaySubFilter).subscribe((e) => {
      const overlayEvent = e;
      const args = { owner: this, cancel: overlayEvent?.cancel, event: e.event };
      this.opening.emit(args);
      if (args.cancel) {
        this._overlayService.detach(this._overlayId);
        overlayEvent.cancel = true;
        return;
      }
      this._initializeCalendarContainer(e.componentRef.instance);
      this._collapsed = false;
      this.updateCalendar();
    });
    this._overlayService.opened.pipe(...this._overlaySubFilter).subscribe(() => {
      this.opened.emit({ owner: this });
    });
    this._overlayService.closing.pipe(...this._overlaySubFilter).subscribe((e) => {
      this.handleClosing(e);
    });
    this._overlayService.closed.pipe(...this._overlaySubFilter).subscribe(() => {
      this._overlayService.detach(this._overlayId);
      this._collapsed = true;
      this._overlayId = null;
      this.closed.emit({ owner: this });
    });
  }
  updateValue(value) {
    this._value = value ? value : null;
    this.updateInputs();
    this.updateCalendar();
  }
  updateValidityOnBlur() {
    this.onTouchCallback();
    if (this._ngControl) {
      if (this.hasProjectedInputs) {
        this.projectedInputs.forEach((i) => {
          if (!this._ngControl.valid) {
            i.updateInputValidity(IgxInputState.INVALID);
          } else {
            i.updateInputValidity(IgxInputState.INITIAL);
          }
        });
      }
      if (this.inputDirective) {
        if (!this._ngControl.valid) {
          this.inputDirective.valid = IgxInputState.INVALID;
        } else {
          this.inputDirective.valid = IgxInputState.INITIAL;
        }
      }
    }
  }
  updateDisabledState() {
    if (this.hasProjectedInputs) {
      const start = this.projectedInputs.find((i) => i instanceof IgxDateRangeStartComponent);
      const end = this.projectedInputs.find((i) => i instanceof IgxDateRangeEndComponent);
      start.inputDirective.disabled = this.disabled;
      end.inputDirective.disabled = this.disabled;
      return;
    }
  }
  setRequiredToInputs() {
    Promise.resolve().then(() => {
      const isRequired = this.required;
      if (this.inputGroup && this.inputGroup.isRequired !== isRequired) {
        this.inputGroup.isRequired = isRequired;
      } else if (this.hasProjectedInputs && this._ngControl) {
        this.projectedInputs.forEach((i) => i.isRequired = isRequired);
      }
    });
  }
  parseMinValue(value) {
    let minValue = parseDate(value);
    if (!minValue && this.hasProjectedInputs) {
      const start = this.projectedInputs.filter((i) => i instanceof IgxDateRangeStartComponent)[0];
      if (start) {
        minValue = parseDate(start.dateTimeEditor.minValue);
      }
    }
    return minValue;
  }
  parseMaxValue(value) {
    let maxValue = parseDate(value);
    if (!maxValue && this.projectedInputs) {
      const end = this.projectedInputs.filter((i) => i instanceof IgxDateRangeEndComponent)[0];
      if (end) {
        maxValue = parseDate(end.dateTimeEditor.maxValue);
      }
    }
    return maxValue;
  }
  updateCalendar() {
    if (!this.calendar) {
      return;
    }
    this.calendar.disabledDates = [];
    const minValue = this.parseMinValue(this.minValue);
    if (minValue) {
      this.calendar.disabledDates.push({ type: DateRangeType2.Before, dateRange: [minValue] });
    }
    const maxValue = this.parseMaxValue(this.maxValue);
    if (maxValue) {
      this.calendar.disabledDates.push({ type: DateRangeType2.After, dateRange: [maxValue] });
    }
    const range2 = [];
    if (this.value?.start && this.value?.end) {
      const _value = this.toRangeOfDates(this.value);
      if (DateTimeUtil.greaterThanMaxValue(_value.start, _value.end)) {
        this.swapEditorDates();
      }
      if (this.valueInRange(this.value, minValue, maxValue)) {
        range2.push(_value.start, _value.end);
      }
    }
    if (range2.length > 0) {
      this.calendar.selectDate(range2);
    } else if (range2.length === 0 && this.calendar.monthViews) {
      this.calendar.deselectDate();
    }
    this.calendar.viewDate = range2[0] || /* @__PURE__ */ new Date();
  }
  swapEditorDates() {
    if (this.hasProjectedInputs) {
      const start = this.projectedInputs.find((i) => i instanceof IgxDateRangeStartComponent);
      const end = this.projectedInputs.find((i) => i instanceof IgxDateRangeEndComponent);
      [start.dateTimeEditor.value, end.dateTimeEditor.value] = [end.dateTimeEditor.value, start.dateTimeEditor.value];
      [this.value.start, this.value.end] = [this.value.end, this.value.start];
    }
  }
  valueInRange(value, minValue, maxValue) {
    const _value = this.toRangeOfDates(value);
    if (minValue && DateTimeUtil.lessThanMinValue(_value.start, minValue, false)) {
      return false;
    }
    if (maxValue && DateTimeUtil.greaterThanMaxValue(_value.end, maxValue, false)) {
      return false;
    }
    return true;
  }
  extractRange(selection) {
    return {
      start: selection[0] || null,
      end: selection.length > 0 ? selection[selection.length - 1] : null
    };
  }
  toRangeOfDates(range2) {
    let start;
    let end;
    if (!isDate(range2.start)) {
      start = DateTimeUtil.parseIsoDate(range2.start);
    }
    if (!isDate(range2.end)) {
      end = DateTimeUtil.parseIsoDate(range2.end);
    }
    if (start || end) {
      return { start, end };
    }
    return { start: range2.start, end: range2.end };
  }
  subscribeToDateEditorEvents() {
    if (this.hasProjectedInputs) {
      const start = this.projectedInputs.find((i) => i instanceof IgxDateRangeStartComponent);
      const end = this.projectedInputs.find((i) => i instanceof IgxDateRangeEndComponent);
      if (start && end) {
        start.dateTimeEditor.valueChange.pipe(takeUntil57(this._destroy$)).subscribe((value) => {
          if (this.value) {
            this.value = { start: value, end: this.value.end };
          } else {
            this.value = { start: value, end: null };
          }
        });
        end.dateTimeEditor.valueChange.pipe(takeUntil57(this._destroy$)).subscribe((value) => {
          if (this.value) {
            this.value = { start: this.value.start, end: value };
          } else {
            this.value = { start: null, end: value };
          }
        });
      }
    }
  }
  attachOnTouched() {
    if (this.hasProjectedInputs) {
      this.projectedInputs.forEach((i) => {
        fromEvent16(i.dateTimeEditor.nativeElement, "blur").pipe(takeUntil57(this._destroy$)).subscribe(() => {
          if (this.collapsed) {
            this.updateValidityOnBlur();
          }
        });
      });
    } else {
      fromEvent16(this.inputDirective.nativeElement, "blur").pipe(takeUntil57(this._destroy$)).subscribe(() => {
        if (this.collapsed) {
          this.updateValidityOnBlur();
        }
      });
    }
  }
  cacheFocusedInput() {
    if (this.hasProjectedInputs) {
      this.projectedInputs.forEach((i) => {
        fromEvent16(i.dateTimeEditor.nativeElement, "focus").pipe(takeUntil57(this._destroy$)).subscribe(() => this._focusedInput = i);
      });
    }
  }
  configPositionStrategy() {
    this._positionSettings = {
      openAnimation: fadeIn12,
      closeAnimation: fadeOut10
    };
    this._dropDownOverlaySettings.positionStrategy = new AutoPositionStrategy(this._positionSettings);
    this._dropDownOverlaySettings.target = this.element.nativeElement;
  }
  configOverlaySettings() {
    if (this.overlaySettings !== null) {
      this._dropDownOverlaySettings = Object.assign({}, this._dropDownOverlaySettings, this.overlaySettings);
      this._dialogOverlaySettings = Object.assign({}, this._dialogOverlaySettings, this.overlaySettings);
    }
  }
  initialSetValue() {
    if ((!this.value || !this.value.start && !this.value.end) && this.hasProjectedInputs && !this._ngControl) {
      const start = this.projectedInputs.find((i) => i instanceof IgxDateRangeStartComponent);
      const end = this.projectedInputs.find((i) => i instanceof IgxDateRangeEndComponent);
      this._value = {
        start: start.dateTimeEditor.value,
        end: end.dateTimeEditor.value
      };
    }
  }
  updateInputs() {
    const start = this.projectedInputs?.find((i) => i instanceof IgxDateRangeStartComponent);
    const end = this.projectedInputs?.find((i) => i instanceof IgxDateRangeEndComponent);
    if (start && end) {
      const _value = this.value ? this.toRangeOfDates(this.value) : null;
      start.updateInputValue(_value?.start || null);
      end.updateInputValue(_value?.end || null);
    }
  }
  updateDisplayFormat() {
    this.projectedInputs.forEach((i) => {
      const input = i;
      input.dateTimeEditor.displayFormat = this.displayFormat;
    });
  }
  updateInputFormat() {
    this.projectedInputs.forEach((i) => {
      const input = i;
      if (input.dateTimeEditor.inputFormat !== this.inputFormat) {
        input.dateTimeEditor.inputFormat = this.inputFormat;
      }
    });
  }
  _initializeCalendarContainer(componentInstance) {
    this._calendar = componentInstance.calendar;
    this.calendar.hasHeader = false;
    this.calendar.locale = this.locale;
    this.calendar.selection = CalendarSelection.RANGE;
    this.calendar.weekStart = this.weekStart;
    this.calendar.hideOutsideDays = this.hideOutsideDays;
    this.calendar.monthsViewNumber = this.displayMonthsCount;
    this.calendar.showWeekNumbers = this.showWeekNumbers;
    this.calendar.selected.pipe(takeUntil57(this._destroy$)).subscribe((ev) => this.handleSelection(ev));
    componentInstance.mode = this.mode;
    componentInstance.closeButtonLabel = !this.isDropdown ? this.doneButtonText : null;
    componentInstance.pickerActions = this.pickerActions;
    componentInstance.calendarClose.pipe(takeUntil57(this._destroy$)).subscribe(() => this.close());
  }
  static {
    this.ɵfac = i0276.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0276, type: _IgxDateRangePickerComponent, deps: [{ token: i0276.ElementRef }, { token: LOCALE_ID13 }, { token: PlatformUtil }, { token: i0276.Injector }, { token: i0276.ChangeDetectorRef }, { token: IgxOverlayService }, { token: DisplayDensityToken, optional: true }, { token: IGX_INPUT_GROUP_TYPE, optional: true }], target: i0276.ɵɵFactoryTarget.Component });
  }
  static {
    this.ɵcmp = i0276.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.0-rc.2", type: _IgxDateRangePickerComponent, isStandalone: true, selector: "igx-date-range-picker", inputs: { displayMonthsCount: "displayMonthsCount", hideOutsideDays: ["hideOutsideDays", "hideOutsideDays", booleanAttribute94], formatter: "formatter", doneButtonText: "doneButtonText", overlaySettings: "overlaySettings", displayFormat: "displayFormat", inputFormat: "inputFormat", minValue: "minValue", maxValue: "maxValue", resourceStrings: "resourceStrings", placeholder: "placeholder", outlet: "outlet", showWeekNumbers: ["showWeekNumbers", "showWeekNumbers", booleanAttribute94], value: "value" }, outputs: { valueChange: "valueChange" }, host: { listeners: { "keydown": "onKeyDown($event)" }, properties: { "class.igx-date-range-picker": "this.cssClass" } }, providers: [
      { provide: NG_VALUE_ACCESSOR17, useExisting: _IgxDateRangePickerComponent, multi: true },
      { provide: NG_VALIDATORS6, useExisting: _IgxDateRangePickerComponent, multi: true }
    ], queries: [{ propertyName: "label", first: true, predicate: IgxLabelDirective, descendants: true }, { propertyName: "pickerActions", first: true, predicate: IgxPickerActionsDirective, descendants: true }, { propertyName: "dateSeparatorTemplate", first: true, predicate: IgxDateRangeSeparatorDirective, descendants: true, read: TemplateRef45 }, { propertyName: "projectedInputs", predicate: IgxDateRangeInputsBaseComponent }], viewQueries: [{ propertyName: "viewContainerRef", first: true, predicate: IgxInputGroupComponent, descendants: true, read: ViewContainerRef22 }, { propertyName: "inputDirective", first: true, predicate: IgxInputDirective, descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0276, template: `<ng-container *ngTemplateOutlet="hasProjectedInputs ? startEndTemplate : defTemplate"></ng-container>

<ng-template #singleTemplate>
    <div (click)="open()" class="content-wrap">
        <ng-content select="igx-date-single"></ng-content>
    </div>
</ng-template>

<ng-template #startEndTemplate>
    <ng-content select="igx-date-range-start"></ng-content>
    <div [className]="separatorClass">
        <ng-container *ngTemplateOutlet="dateSeparatorTemplate || defDateSeparatorTemplate;">
        </ng-container>
    </div>
    <ng-content select="igx-date-range-end"></ng-content>
</ng-template>

<ng-template #defIcon>
    <igx-icon>
        date_range
    </igx-icon>
</ng-template>

<ng-template #defDateSeparatorTemplate>{{ dateSeparator }}</ng-template>

<ng-template #defTemplate>
    <igx-input-group [type]="type" [displayDensity]="displayDensity" (click)="open()">
        <!-- only set mask placeholder when empty, otherwise input group might use it as label if none is set -->
        <input #singleInput igxInput type="text" readonly [disabled]="disabled" [placeholder]="value ? '' : singleInputFormat"
            role="combobox" aria-haspopup="grid" [attr.aria-expanded]="!collapsed" [attr.aria-labelledby]="label?.id"
            [value]="value | dateRange: appliedFormat : locale : formatter" />

        <igx-prefix *ngIf="!toggleComponents.length">
            <ng-container *ngTemplateOutlet="defIcon"></ng-container>
        </igx-prefix>

        <ng-container ngProjectAs="[igxLabel]">
            <ng-content select="[igxLabel]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-prefix">
            <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-suffix">
            <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-hint">
            <ng-content select="igx-hint,[igxHint]"></ng-content>
        </ng-container>
    </igx-input-group>
</ng-template>
`, dependencies: [{ kind: "directive", type: NgIf86, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet53, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: IgxIconComponent, selector: "igx-icon", inputs: ["family", "active", "name"] }, { kind: "component", type: IgxInputGroupComponent, selector: "igx-input-group", inputs: ["resourceStrings", "suppressInputAutofocus", "type", "theme"] }, { kind: "directive", type: IgxInputDirective, selector: "[igxInput]", inputs: ["value", "disabled", "required"], exportAs: ["igxInput"] }, { kind: "directive", type: IgxPrefixDirective, selector: "igx-prefix,[igxPrefix],[igxStart]" }, { kind: "pipe", type: DateRangePickerFormatPipe, name: "dateRange" }] });
  }
};
i0276.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0276, type: IgxDateRangePickerComponent, decorators: [{
  type: Component133,
  args: [{ selector: "igx-date-range-picker", providers: [
    { provide: NG_VALUE_ACCESSOR17, useExisting: IgxDateRangePickerComponent, multi: true },
    { provide: NG_VALIDATORS6, useExisting: IgxDateRangePickerComponent, multi: true }
  ], standalone: true, imports: [
    NgIf86,
    NgTemplateOutlet53,
    IgxIconComponent,
    IgxInputGroupComponent,
    IgxInputDirective,
    IgxPrefixDirective,
    DateRangePickerFormatPipe
  ], template: `<ng-container *ngTemplateOutlet="hasProjectedInputs ? startEndTemplate : defTemplate"></ng-container>

<ng-template #singleTemplate>
    <div (click)="open()" class="content-wrap">
        <ng-content select="igx-date-single"></ng-content>
    </div>
</ng-template>

<ng-template #startEndTemplate>
    <ng-content select="igx-date-range-start"></ng-content>
    <div [className]="separatorClass">
        <ng-container *ngTemplateOutlet="dateSeparatorTemplate || defDateSeparatorTemplate;">
        </ng-container>
    </div>
    <ng-content select="igx-date-range-end"></ng-content>
</ng-template>

<ng-template #defIcon>
    <igx-icon>
        date_range
    </igx-icon>
</ng-template>

<ng-template #defDateSeparatorTemplate>{{ dateSeparator }}</ng-template>

<ng-template #defTemplate>
    <igx-input-group [type]="type" [displayDensity]="displayDensity" (click)="open()">
        <!-- only set mask placeholder when empty, otherwise input group might use it as label if none is set -->
        <input #singleInput igxInput type="text" readonly [disabled]="disabled" [placeholder]="value ? '' : singleInputFormat"
            role="combobox" aria-haspopup="grid" [attr.aria-expanded]="!collapsed" [attr.aria-labelledby]="label?.id"
            [value]="value | dateRange: appliedFormat : locale : formatter" />

        <igx-prefix *ngIf="!toggleComponents.length">
            <ng-container *ngTemplateOutlet="defIcon"></ng-container>
        </igx-prefix>

        <ng-container ngProjectAs="[igxLabel]">
            <ng-content select="[igxLabel]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-prefix">
            <ng-content select="igx-prefix,[igxPrefix]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-suffix">
            <ng-content select="igx-suffix,[igxSuffix]"></ng-content>
        </ng-container>
        <ng-container ngProjectAs="igx-hint">
            <ng-content select="igx-hint,[igxHint]"></ng-content>
        </ng-container>
    </igx-input-group>
</ng-template>
` }]
}], ctorParameters: () => [{ type: i0276.ElementRef }, { type: void 0, decorators: [{
  type: Inject107,
  args: [LOCALE_ID13]
}] }, { type: PlatformUtil }, { type: i0276.Injector }, { type: i0276.ChangeDetectorRef }, { type: IgxOverlayService, decorators: [{
  type: Inject107,
  args: [IgxOverlayService]
}] }, { type: void 0, decorators: [{
  type: Optional49
}, {
  type: Inject107,
  args: [DisplayDensityToken]
}] }, { type: void 0, decorators: [{
  type: Optional49
}, {
  type: Inject107,
  args: [IGX_INPUT_GROUP_TYPE]
}] }], propDecorators: { displayMonthsCount: [{
  type: Input155
}], hideOutsideDays: [{
  type: Input155,
  args: [{ transform: booleanAttribute94 }]
}], formatter: [{
  type: Input155
}], doneButtonText: [{
  type: Input155
}], overlaySettings: [{
  type: Input155
}], displayFormat: [{
  type: Input155
}], inputFormat: [{
  type: Input155
}], minValue: [{
  type: Input155
}], maxValue: [{
  type: Input155
}], resourceStrings: [{
  type: Input155
}], placeholder: [{
  type: Input155
}], outlet: [{
  type: Input155
}], showWeekNumbers: [{
  type: Input155,
  args: [{ transform: booleanAttribute94 }]
}], valueChange: [{
  type: Output78
}], cssClass: [{
  type: HostBinding119,
  args: ["class.igx-date-range-picker"]
}], viewContainerRef: [{
  type: ViewChild66,
  args: [IgxInputGroupComponent, { read: ViewContainerRef22 }]
}], inputDirective: [{
  type: ViewChild66,
  args: [IgxInputDirective]
}], projectedInputs: [{
  type: ContentChildren28,
  args: [IgxDateRangeInputsBaseComponent]
}], label: [{
  type: ContentChild34,
  args: [IgxLabelDirective]
}], pickerActions: [{
  type: ContentChild34,
  args: [IgxPickerActionsDirective]
}], dateSeparatorTemplate: [{
  type: ContentChild34,
  args: [IgxDateRangeSeparatorDirective, { read: TemplateRef45 }]
}], value: [{
  type: Input155
}], onKeyDown: [{
  type: HostListener56,
  args: ["keydown", ["$event"]]
}] } });

// lib/date-range-picker/public_api.mjs
var IGX_DATE_RANGE_PICKER_DIRECTIVES = [
  IgxDateRangePickerComponent,
  IgxPickerToggleComponent,
  IgxDateRangeStartComponent,
  IgxDateRangeEndComponent,
  IgxDateRangeSeparatorDirective,
  IgxLabelDirective,
  IgxPrefixDirective,
  IgxSuffixDirective,
  IgxHintDirective
];

// lib/tree/public_api.mjs
var IGX_TREE_DIRECTIVES = [
  IgxTreeComponent,
  IgxTreeNodeComponent,
  IgxTreeNodeLinkDirective,
  IgxTreeExpandIndicatorDirective
];

// lib/query-builder/public_api.mjs
var IGX_QUERY_BUILDER_DIRECTIVES = [
  IgxQueryBuilderComponent,
  IgxQueryBuilderHeaderComponent
];

// lib/accordion/accordion.module.mjs
import { NgModule } from "@angular/core";
import * as i0277 from "@angular/core";
var IgxAccordionModule = class _IgxAccordionModule {
  static {
    this.ɵfac = i0277.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0277, type: _IgxAccordionModule, deps: [], target: i0277.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0277.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0277, type: _IgxAccordionModule, imports: [IgxAccordionComponent, IgxExpansionPanelComponent, IgxExpansionPanelHeaderComponent, IgxExpansionPanelBodyComponent, IgxExpansionPanelDescriptionDirective, IgxExpansionPanelTitleDirective, IgxExpansionPanelIconDirective], exports: [IgxAccordionComponent, IgxExpansionPanelComponent, IgxExpansionPanelHeaderComponent, IgxExpansionPanelBodyComponent, IgxExpansionPanelDescriptionDirective, IgxExpansionPanelTitleDirective, IgxExpansionPanelIconDirective] });
  }
  static {
    this.ɵinj = i0277.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0277, type: _IgxAccordionModule });
  }
};
i0277.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0277, type: IgxAccordionModule, decorators: [{
  type: NgModule,
  args: [{
    imports: [
      ...IGX_ACCORDION_DIRECTIVES
    ],
    exports: [
      ...IGX_ACCORDION_DIRECTIVES
    ]
  }]
}] });

// lib/action-strip/action-strip.module.mjs
import { NgModule as NgModule2 } from "@angular/core";
import * as i0278 from "@angular/core";
var IgxActionStripModule = class _IgxActionStripModule {
  static {
    this.ɵfac = i0278.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0278, type: _IgxActionStripModule, deps: [], target: i0278.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0278.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0278, type: _IgxActionStripModule, imports: [IgxActionStripComponent, IgxActionStripMenuItemDirective, IgxGridPinningActionsComponent, IgxGridEditingActionsComponent, IgxGridActionsBaseDirective, IgxGridActionButtonComponent], exports: [IgxActionStripComponent, IgxActionStripMenuItemDirective, IgxGridPinningActionsComponent, IgxGridEditingActionsComponent, IgxGridActionsBaseDirective, IgxGridActionButtonComponent] });
  }
  static {
    this.ɵinj = i0278.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0278, type: _IgxActionStripModule });
  }
};
i0278.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0278, type: IgxActionStripModule, decorators: [{
  type: NgModule2,
  args: [{
    imports: [
      ...IGX_GRID_ACTION_STRIP_DIRECTIVES
    ],
    exports: [
      ...IGX_GRID_ACTION_STRIP_DIRECTIVES
    ]
  }]
}] });

// lib/avatar/avatar.module.mjs
import { NgModule as NgModule3 } from "@angular/core";
import * as i0279 from "@angular/core";
var IgxAvatarModule = class _IgxAvatarModule {
  static {
    this.ɵfac = i0279.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0279, type: _IgxAvatarModule, deps: [], target: i0279.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0279.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0279, type: _IgxAvatarModule, imports: [IgxAvatarComponent], exports: [IgxAvatarComponent] });
  }
  static {
    this.ɵinj = i0279.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0279, type: _IgxAvatarModule });
  }
};
i0279.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0279, type: IgxAvatarModule, decorators: [{
  type: NgModule3,
  args: [{
    imports: [IgxAvatarComponent],
    exports: [IgxAvatarComponent]
  }]
}] });

// lib/badge/badge.module.mjs
import { NgModule as NgModule4 } from "@angular/core";
import * as i0280 from "@angular/core";
var IgxBadgeModule = class _IgxBadgeModule {
  static {
    this.ɵfac = i0280.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0280, type: _IgxBadgeModule, deps: [], target: i0280.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0280.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0280, type: _IgxBadgeModule, imports: [IgxBadgeComponent], exports: [IgxBadgeComponent] });
  }
  static {
    this.ɵinj = i0280.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0280, type: _IgxBadgeModule });
  }
};
i0280.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0280, type: IgxBadgeModule, decorators: [{
  type: NgModule4,
  args: [{
    exports: [IgxBadgeComponent],
    imports: [IgxBadgeComponent]
  }]
}] });

// lib/banner/banner.module.mjs
import { NgModule as NgModule5 } from "@angular/core";
import * as i0281 from "@angular/core";
var IgxBannerModule = class _IgxBannerModule {
  static {
    this.ɵfac = i0281.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0281, type: _IgxBannerModule, deps: [], target: i0281.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0281.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0281, type: _IgxBannerModule, imports: [IgxBannerComponent, IgxBannerActionsDirective], exports: [IgxBannerComponent, IgxBannerActionsDirective] });
  }
  static {
    this.ɵinj = i0281.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0281, type: _IgxBannerModule });
  }
};
i0281.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0281, type: IgxBannerModule, decorators: [{
  type: NgModule5,
  args: [{
    imports: [...IGX_BANNER_DIRECTIVES],
    exports: [...IGX_BANNER_DIRECTIVES]
  }]
}] });

// lib/buttonGroup/buttongroup.module.mjs
import { NgModule as NgModule6 } from "@angular/core";
import * as i0282 from "@angular/core";
var IgxButtonGroupModule = class _IgxButtonGroupModule {
  static {
    this.ɵfac = i0282.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0282, type: _IgxButtonGroupModule, deps: [], target: i0282.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0282.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0282, type: _IgxButtonGroupModule, imports: [IgxButtonGroupComponent, IgxButtonDirective], exports: [IgxButtonGroupComponent, IgxButtonDirective] });
  }
  static {
    this.ɵinj = i0282.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0282, type: _IgxButtonGroupModule });
  }
};
i0282.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0282, type: IgxButtonGroupModule, decorators: [{
  type: NgModule6,
  args: [{
    imports: [...IGX_BUTTON_GROUP_DIRECTIVES],
    exports: [...IGX_BUTTON_GROUP_DIRECTIVES]
  }]
}] });

// lib/calendar/calendar.module.mjs
import { NgModule as NgModule7 } from "@angular/core";
import * as i0283 from "@angular/core";
var IgxCalendarModule = class _IgxCalendarModule {
  static {
    this.ɵfac = i0283.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0283, type: _IgxCalendarModule, deps: [], target: i0283.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0283.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0283, type: _IgxCalendarModule, imports: [IgxCalendarComponent, IgxDaysViewComponent, IgxMonthsViewComponent, IgxYearsViewComponent, IgxMonthPickerComponent, IgxCalendarHeaderTemplateDirective, IgxCalendarHeaderTitleTemplateDirective, IgxCalendarMonthDirective, IgxCalendarYearDirective, IgxCalendarSubheaderTemplateDirective], exports: [IgxCalendarComponent, IgxDaysViewComponent, IgxMonthsViewComponent, IgxYearsViewComponent, IgxMonthPickerComponent, IgxCalendarHeaderTemplateDirective, IgxCalendarHeaderTitleTemplateDirective, IgxCalendarMonthDirective, IgxCalendarYearDirective, IgxCalendarSubheaderTemplateDirective] });
  }
  static {
    this.ɵinj = i0283.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0283, type: _IgxCalendarModule });
  }
};
i0283.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0283, type: IgxCalendarModule, decorators: [{
  type: NgModule7,
  args: [{
    imports: [
      ...IGX_CALENDAR_DIRECTIVES
    ],
    exports: [
      ...IGX_CALENDAR_DIRECTIVES
    ]
  }]
}] });

// lib/card/card.module.mjs
import { NgModule as NgModule8 } from "@angular/core";
import * as i0284 from "@angular/core";
var IgxCardModule = class _IgxCardModule {
  static {
    this.ɵfac = i0284.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0284, type: _IgxCardModule, deps: [], target: i0284.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0284.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0284, type: _IgxCardModule, imports: [IgxCardComponent, IgxCardHeaderComponent, IgxCardMediaDirective, IgxCardContentDirective, IgxCardActionsComponent, IgxCardFooterDirective, IgxCardHeaderTitleDirective, IgxCardHeaderSubtitleDirective, IgxCardThumbnailDirective], exports: [IgxCardComponent, IgxCardHeaderComponent, IgxCardMediaDirective, IgxCardContentDirective, IgxCardActionsComponent, IgxCardFooterDirective, IgxCardHeaderTitleDirective, IgxCardHeaderSubtitleDirective, IgxCardThumbnailDirective] });
  }
  static {
    this.ɵinj = i0284.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0284, type: _IgxCardModule });
  }
};
i0284.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0284, type: IgxCardModule, decorators: [{
  type: NgModule8,
  args: [{
    imports: [
      ...IGX_CARD_DIRECTIVES
    ],
    exports: [
      ...IGX_CARD_DIRECTIVES
    ]
  }]
}] });

// lib/carousel/carousel.module.mjs
import { NgModule as NgModule9 } from "@angular/core";
import * as i0285 from "@angular/core";
var IgxCarouselModule = class _IgxCarouselModule {
  static {
    this.ɵfac = i0285.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0285, type: _IgxCarouselModule, deps: [], target: i0285.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0285.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0285, type: _IgxCarouselModule, imports: [IgxCarouselComponent, IgxSlideComponent, IgxCarouselIndicatorDirective, IgxCarouselNextButtonDirective, IgxCarouselPrevButtonDirective], exports: [IgxCarouselComponent, IgxSlideComponent, IgxCarouselIndicatorDirective, IgxCarouselNextButtonDirective, IgxCarouselPrevButtonDirective] });
  }
  static {
    this.ɵinj = i0285.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0285, type: _IgxCarouselModule });
  }
};
i0285.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0285, type: IgxCarouselModule, decorators: [{
  type: NgModule9,
  args: [{
    imports: [
      ...IGX_CAROUSEL_DIRECTIVES
    ],
    exports: [
      ...IGX_CAROUSEL_DIRECTIVES
    ]
  }]
}] });

// lib/checkbox/checkbox.module.mjs
import { NgModule as NgModule10 } from "@angular/core";
import * as i0286 from "@angular/core";
var IgxCheckboxModule = class _IgxCheckboxModule {
  static {
    this.ɵfac = i0286.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0286, type: _IgxCheckboxModule, deps: [], target: i0286.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0286.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0286, type: _IgxCheckboxModule, imports: [IgxCheckboxComponent], exports: [IgxCheckboxComponent] });
  }
  static {
    this.ɵinj = i0286.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0286, type: _IgxCheckboxModule });
  }
};
i0286.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0286, type: IgxCheckboxModule, decorators: [{
  type: NgModule10,
  args: [{
    imports: [IgxCheckboxComponent],
    exports: [IgxCheckboxComponent]
  }]
}] });

// lib/chips/chips.module.mjs
import { NgModule as NgModule11 } from "@angular/core";
import * as i0287 from "@angular/core";
var IgxChipsModule = class _IgxChipsModule {
  static {
    this.ɵfac = i0287.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0287, type: _IgxChipsModule, deps: [], target: i0287.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0287.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0287, type: _IgxChipsModule, imports: [IgxChipsAreaComponent, IgxChipComponent, IgxPrefixDirective, IgxSuffixDirective], exports: [IgxChipsAreaComponent, IgxChipComponent, IgxPrefixDirective, IgxSuffixDirective] });
  }
  static {
    this.ɵinj = i0287.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0287, type: _IgxChipsModule });
  }
};
i0287.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0287, type: IgxChipsModule, decorators: [{
  type: NgModule11,
  args: [{
    exports: [
      ...IGX_CHIPS_DIRECTIVES
    ],
    imports: [
      ...IGX_CHIPS_DIRECTIVES
    ]
  }]
}] });

// lib/combo/combo.module.mjs
import { NgModule as NgModule12 } from "@angular/core";
import * as i0288 from "@angular/core";
var IgxComboModule = class _IgxComboModule {
  static {
    this.ɵfac = i0288.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0288, type: _IgxComboModule, deps: [], target: i0288.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0288.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0288, type: _IgxComboModule, imports: [IgxComboComponent, IgxComboAddItemDirective, IgxComboClearIconDirective, IgxComboEmptyDirective, IgxComboFooterDirective, IgxComboHeaderDirective, IgxComboHeaderItemDirective, IgxComboItemDirective, IgxComboToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxComboComponent, IgxComboAddItemDirective, IgxComboClearIconDirective, IgxComboEmptyDirective, IgxComboFooterDirective, IgxComboHeaderDirective, IgxComboHeaderItemDirective, IgxComboItemDirective, IgxComboToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0288.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0288, type: _IgxComboModule, imports: [IgxComboComponent] });
  }
};
i0288.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0288, type: IgxComboModule, decorators: [{
  type: NgModule12,
  args: [{
    imports: [
      ...IGX_COMBO_DIRECTIVES
    ],
    exports: [
      ...IGX_COMBO_DIRECTIVES
    ]
  }]
}] });

// lib/date-picker/date-picker.module.mjs
import { NgModule as NgModule13 } from "@angular/core";
import * as i0289 from "@angular/core";
var IgxDatePickerModule = class _IgxDatePickerModule {
  static {
    this.ɵfac = i0289.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0289, type: _IgxDatePickerModule, deps: [], target: i0289.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0289.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0289, type: _IgxDatePickerModule, imports: [IgxDatePickerComponent, IgxPickerToggleComponent, IgxPickerClearComponent, IgxPickerActionsDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxDatePickerComponent, IgxPickerToggleComponent, IgxPickerClearComponent, IgxPickerActionsDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0289.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0289, type: _IgxDatePickerModule });
  }
};
i0289.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0289, type: IgxDatePickerModule, decorators: [{
  type: NgModule13,
  args: [{
    imports: [
      ...IGX_DATE_PICKER_DIRECTIVES
    ],
    exports: [
      ...IGX_DATE_PICKER_DIRECTIVES
    ]
  }]
}] });

// lib/date-range-picker/date-range-picker.module.mjs
import { NgModule as NgModule14 } from "@angular/core";
import * as i0290 from "@angular/core";
var IgxDateRangePickerModule = class _IgxDateRangePickerModule {
  static {
    this.ɵfac = i0290.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0290, type: _IgxDateRangePickerModule, deps: [], target: i0290.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0290.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0290, type: _IgxDateRangePickerModule, imports: [IgxDateRangePickerComponent, IgxPickerToggleComponent, IgxDateRangeStartComponent, IgxDateRangeEndComponent, IgxDateRangeSeparatorDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxDateRangePickerComponent, IgxPickerToggleComponent, IgxDateRangeStartComponent, IgxDateRangeEndComponent, IgxDateRangeSeparatorDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0290.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0290, type: _IgxDateRangePickerModule });
  }
};
i0290.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0290, type: IgxDateRangePickerModule, decorators: [{
  type: NgModule14,
  args: [{
    imports: [
      ...IGX_DATE_RANGE_PICKER_DIRECTIVES
    ],
    exports: [
      ...IGX_DATE_RANGE_PICKER_DIRECTIVES
    ]
  }]
}] });

// lib/dialog/dialog.module.mjs
import { NgModule as NgModule15 } from "@angular/core";
import * as i0291 from "@angular/core";
var IgxDialogModule = class _IgxDialogModule {
  static {
    this.ɵfac = i0291.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0291, type: _IgxDialogModule, deps: [], target: i0291.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0291.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0291, type: _IgxDialogModule, imports: [IgxDialogComponent, IgxDialogTitleDirective, IgxDialogActionsDirective], exports: [IgxDialogComponent, IgxDialogTitleDirective, IgxDialogActionsDirective] });
  }
  static {
    this.ɵinj = i0291.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0291, type: _IgxDialogModule });
  }
};
i0291.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0291, type: IgxDialogModule, decorators: [{
  type: NgModule15,
  args: [{
    imports: [
      ...IGX_DIALOG_DIRECTIVES
    ],
    exports: [
      ...IGX_DIALOG_DIRECTIVES
    ]
  }]
}] });

// lib/directives/autocomplete/autocomplete.module.mjs
import { NgModule as NgModule16 } from "@angular/core";
import * as i0292 from "@angular/core";
var IgxAutocompleteModule = class _IgxAutocompleteModule {
  static {
    this.ɵfac = i0292.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0292, type: _IgxAutocompleteModule, deps: [], target: i0292.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0292.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0292, type: _IgxAutocompleteModule, imports: [IgxAutocompleteDirective], exports: [IgxAutocompleteDirective] });
  }
  static {
    this.ɵinj = i0292.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0292, type: _IgxAutocompleteModule });
  }
};
i0292.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0292, type: IgxAutocompleteModule, decorators: [{
  type: NgModule16,
  args: [{
    imports: [IgxAutocompleteDirective],
    exports: [IgxAutocompleteDirective]
  }]
}] });

// lib/directives/button/button.module.mjs
import { NgModule as NgModule17 } from "@angular/core";
import * as i0293 from "@angular/core";
var IgxButtonModule = class _IgxButtonModule {
  static {
    this.ɵfac = i0293.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0293, type: _IgxButtonModule, deps: [], target: i0293.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0293.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0293, type: _IgxButtonModule, imports: [IgxButtonDirective, IgxIconButtonDirective], exports: [IgxButtonDirective, IgxIconButtonDirective] });
  }
  static {
    this.ɵinj = i0293.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0293, type: _IgxButtonModule });
  }
};
i0293.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0293, type: IgxButtonModule, decorators: [{
  type: NgModule17,
  args: [{
    imports: [IgxButtonDirective, IgxIconButtonDirective],
    exports: [IgxButtonDirective, IgxIconButtonDirective]
  }]
}] });

// lib/directives/date-time-editor/date-time-editor.module.mjs
import { NgModule as NgModule18 } from "@angular/core";
import * as i0294 from "@angular/core";
var IgxDateTimeEditorModule = class _IgxDateTimeEditorModule {
  static {
    this.ɵfac = i0294.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0294, type: _IgxDateTimeEditorModule, deps: [], target: i0294.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0294.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0294, type: _IgxDateTimeEditorModule, imports: [IgxDateTimeEditorDirective], exports: [IgxDateTimeEditorDirective] });
  }
  static {
    this.ɵinj = i0294.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0294, type: _IgxDateTimeEditorModule });
  }
};
i0294.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0294, type: IgxDateTimeEditorModule, decorators: [{
  type: NgModule18,
  args: [{
    imports: [IgxDateTimeEditorDirective],
    exports: [IgxDateTimeEditorDirective]
  }]
}] });

// lib/directives/divider/divider.module.mjs
import { NgModule as NgModule19 } from "@angular/core";
import * as i0295 from "@angular/core";
var IgxDividerModule = class _IgxDividerModule {
  static {
    this.ɵfac = i0295.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0295, type: _IgxDividerModule, deps: [], target: i0295.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0295.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0295, type: _IgxDividerModule, imports: [IgxDividerDirective], exports: [IgxDividerDirective] });
  }
  static {
    this.ɵinj = i0295.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0295, type: _IgxDividerModule });
  }
};
i0295.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0295, type: IgxDividerModule, decorators: [{
  type: NgModule19,
  args: [{
    imports: [IgxDividerDirective],
    exports: [IgxDividerDirective]
  }]
}] });

// lib/directives/drag-drop/drag-drop.module.mjs
import { NgModule as NgModule20 } from "@angular/core";
import * as i0296 from "@angular/core";
var IgxDragDropModule = class _IgxDragDropModule {
  static {
    this.ɵfac = i0296.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0296, type: _IgxDragDropModule, deps: [], target: i0296.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0296.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0296, type: _IgxDragDropModule, imports: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective, IgxDragIgnoreDirective], exports: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective, IgxDragIgnoreDirective] });
  }
  static {
    this.ɵinj = i0296.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0296, type: _IgxDragDropModule });
  }
};
i0296.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0296, type: IgxDragDropModule, decorators: [{
  type: NgModule20,
  args: [{
    imports: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective, IgxDragIgnoreDirective],
    exports: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective, IgxDragIgnoreDirective]
  }]
}] });

// lib/directives/filter/filter.module.mjs
import { NgModule as NgModule21 } from "@angular/core";
import * as i0297 from "@angular/core";
var IgxFilterModule = class _IgxFilterModule {
  static {
    this.ɵfac = i0297.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0297, type: _IgxFilterModule, deps: [], target: i0297.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0297.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0297, type: _IgxFilterModule, imports: [IgxFilterDirective, IgxFilterPipe], exports: [IgxFilterDirective, IgxFilterPipe] });
  }
  static {
    this.ɵinj = i0297.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0297, type: _IgxFilterModule });
  }
};
i0297.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0297, type: IgxFilterModule, decorators: [{
  type: NgModule21,
  args: [{
    imports: [IgxFilterDirective, IgxFilterPipe],
    exports: [IgxFilterDirective, IgxFilterPipe]
  }]
}] });

// lib/directives/focus/focus.module.mjs
import { NgModule as NgModule22 } from "@angular/core";
import * as i0298 from "@angular/core";
var IgxFocusModule = class _IgxFocusModule {
  static {
    this.ɵfac = i0298.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0298, type: _IgxFocusModule, deps: [], target: i0298.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0298.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0298, type: _IgxFocusModule, imports: [IgxFocusDirective], exports: [IgxFocusDirective] });
  }
  static {
    this.ɵinj = i0298.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0298, type: _IgxFocusModule });
  }
};
i0298.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0298, type: IgxFocusModule, decorators: [{
  type: NgModule22,
  args: [{
    imports: [IgxFocusDirective],
    exports: [IgxFocusDirective]
  }]
}] });

// lib/directives/focus-trap/focus-trap.module.mjs
import { NgModule as NgModule23 } from "@angular/core";
import * as i0299 from "@angular/core";
var IgxFocusTrapModule = class _IgxFocusTrapModule {
  static {
    this.ɵfac = i0299.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0299, type: _IgxFocusTrapModule, deps: [], target: i0299.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0299.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0299, type: _IgxFocusTrapModule, imports: [IgxFocusTrapDirective], exports: [IgxFocusTrapDirective] });
  }
  static {
    this.ɵinj = i0299.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0299, type: _IgxFocusTrapModule });
  }
};
i0299.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0299, type: IgxFocusTrapModule, decorators: [{
  type: NgModule23,
  args: [{
    imports: [IgxFocusTrapDirective],
    exports: [IgxFocusTrapDirective]
  }]
}] });

// lib/directives/for-of/for_of.module.mjs
import { NgModule as NgModule24 } from "@angular/core";
import * as i0300 from "@angular/core";
var IgxForOfModule = class _IgxForOfModule {
  static {
    this.ɵfac = i0300.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0300, type: _IgxForOfModule, deps: [], target: i0300.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0300.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0300, type: _IgxForOfModule, imports: [IgxForOfDirective], exports: [IgxForOfDirective] });
  }
  static {
    this.ɵinj = i0300.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0300, type: _IgxForOfModule });
  }
};
i0300.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0300, type: IgxForOfModule, decorators: [{
  type: NgModule24,
  args: [{
    imports: [IgxForOfDirective],
    exports: [IgxForOfDirective]
  }]
}] });

// lib/directives/form-control/form-control.module.mjs
import { NgModule as NgModule25 } from "@angular/core";
import * as i0301 from "@angular/core";
var IgcFormsModule = class _IgcFormsModule {
  static {
    this.ɵfac = i0301.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0301, type: _IgcFormsModule, deps: [], target: i0301.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0301.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0301, type: _IgcFormsModule, imports: [IgcFormControlDirective], exports: [IgcFormControlDirective] });
  }
  static {
    this.ɵinj = i0301.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0301, type: _IgcFormsModule });
  }
};
i0301.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0301, type: IgcFormsModule, decorators: [{
  type: NgModule25,
  args: [{
    imports: [IgcFormControlDirective],
    exports: [IgcFormControlDirective]
  }]
}] });

// lib/directives/layout/layout.module.mjs
import { NgModule as NgModule26 } from "@angular/core";
import * as i0302 from "@angular/core";
var IgxLayoutModule = class _IgxLayoutModule {
  static {
    this.ɵfac = i0302.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0302, type: _IgxLayoutModule, deps: [], target: i0302.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0302.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0302, type: _IgxLayoutModule, imports: [IgxFlexDirective, IgxLayoutDirective], exports: [IgxFlexDirective, IgxLayoutDirective] });
  }
  static {
    this.ɵinj = i0302.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0302, type: _IgxLayoutModule });
  }
};
i0302.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0302, type: IgxLayoutModule, decorators: [{
  type: NgModule26,
  args: [{
    imports: [IgxFlexDirective, IgxLayoutDirective],
    exports: [IgxFlexDirective, IgxLayoutDirective]
  }]
}] });

// lib/directives/mask/mask.module.mjs
import { NgModule as NgModule27 } from "@angular/core";
import * as i0303 from "@angular/core";
var IgxMaskModule = class _IgxMaskModule {
  static {
    this.ɵfac = i0303.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0303, type: _IgxMaskModule, deps: [], target: i0303.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0303.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0303, type: _IgxMaskModule, imports: [IgxMaskDirective], exports: [IgxMaskDirective] });
  }
  static {
    this.ɵinj = i0303.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0303, type: _IgxMaskModule });
  }
};
i0303.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0303, type: IgxMaskModule, decorators: [{
  type: NgModule27,
  args: [{
    imports: [IgxMaskDirective],
    exports: [IgxMaskDirective]
  }]
}] });

// lib/directives/radio/radio-group.module.mjs
import { NgModule as NgModule28 } from "@angular/core";
import * as i0304 from "@angular/core";
var IgxRadioModule = class _IgxRadioModule {
  static {
    this.ɵfac = i0304.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0304, type: _IgxRadioModule, deps: [], target: i0304.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0304.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0304, type: _IgxRadioModule, imports: [IgxRadioGroupDirective, IgxRadioComponent], exports: [IgxRadioGroupDirective, IgxRadioComponent] });
  }
  static {
    this.ɵinj = i0304.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0304, type: _IgxRadioModule });
  }
};
i0304.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0304, type: IgxRadioModule, decorators: [{
  type: NgModule28,
  args: [{
    imports: [IgxRadioGroupDirective, IgxRadioComponent],
    exports: [IgxRadioGroupDirective, IgxRadioComponent]
  }]
}] });

// lib/directives/ripple/ripple.module.mjs
import { NgModule as NgModule29 } from "@angular/core";
import * as i0305 from "@angular/core";
var IgxRippleModule = class _IgxRippleModule {
  static {
    this.ɵfac = i0305.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0305, type: _IgxRippleModule, deps: [], target: i0305.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0305.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0305, type: _IgxRippleModule, imports: [IgxRippleDirective], exports: [IgxRippleDirective] });
  }
  static {
    this.ɵinj = i0305.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0305, type: _IgxRippleModule });
  }
};
i0305.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0305, type: IgxRippleModule, decorators: [{
  type: NgModule29,
  args: [{
    imports: [IgxRippleDirective],
    exports: [IgxRippleDirective]
  }]
}] });

// lib/directives/scroll-inertia/scroll_inertia.module.mjs
import { NgModule as NgModule30 } from "@angular/core";
import * as i0306 from "@angular/core";
var IgxScrollInertiaModule = class _IgxScrollInertiaModule {
  static {
    this.ɵfac = i0306.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0306, type: _IgxScrollInertiaModule, deps: [], target: i0306.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0306.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0306, type: _IgxScrollInertiaModule, imports: [IgxScrollInertiaDirective], exports: [IgxScrollInertiaDirective] });
  }
  static {
    this.ɵinj = i0306.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0306, type: _IgxScrollInertiaModule });
  }
};
i0306.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0306, type: IgxScrollInertiaModule, decorators: [{
  type: NgModule30,
  args: [{
    imports: [IgxScrollInertiaDirective],
    exports: [IgxScrollInertiaDirective]
  }]
}] });

// lib/directives/text-highlight/text-highlight.module.mjs
import { NgModule as NgModule31 } from "@angular/core";
import * as i0307 from "@angular/core";
var IgxTextHighlightModule = class _IgxTextHighlightModule {
  static {
    this.ɵfac = i0307.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0307, type: _IgxTextHighlightModule, deps: [], target: i0307.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0307.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0307, type: _IgxTextHighlightModule, imports: [IgxTextHighlightDirective], exports: [IgxTextHighlightDirective] });
  }
  static {
    this.ɵinj = i0307.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0307, type: _IgxTextHighlightModule });
  }
};
i0307.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0307, type: IgxTextHighlightModule, decorators: [{
  type: NgModule31,
  args: [{
    imports: [IgxTextHighlightDirective],
    exports: [IgxTextHighlightDirective]
  }]
}] });

// lib/directives/text-selection/text-selection.module.mjs
import { NgModule as NgModule32 } from "@angular/core";
import * as i0308 from "@angular/core";
var IgxTextSelectionModule = class _IgxTextSelectionModule {
  static {
    this.ɵfac = i0308.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0308, type: _IgxTextSelectionModule, deps: [], target: i0308.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0308.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0308, type: _IgxTextSelectionModule, imports: [IgxTextSelectionDirective], exports: [IgxTextSelectionDirective] });
  }
  static {
    this.ɵinj = i0308.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0308, type: _IgxTextSelectionModule });
  }
};
i0308.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0308, type: IgxTextSelectionModule, decorators: [{
  type: NgModule32,
  args: [{
    imports: [IgxTextSelectionDirective],
    exports: [IgxTextSelectionDirective]
  }]
}] });

// lib/directives/toggle/toggle.module.mjs
import { NgModule as NgModule33 } from "@angular/core";
import * as i0309 from "@angular/core";
var IgxToggleModule = class _IgxToggleModule {
  static {
    this.ɵfac = i0309.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0309, type: _IgxToggleModule, deps: [], target: i0309.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0309.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0309, type: _IgxToggleModule, imports: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective], exports: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective] });
  }
  static {
    this.ɵinj = i0309.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0309, type: _IgxToggleModule });
  }
};
i0309.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0309, type: IgxToggleModule, decorators: [{
  type: NgModule33,
  args: [{
    imports: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective],
    exports: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective]
  }]
}] });

// lib/directives/tooltip/tooltip.module.mjs
import { NgModule as NgModule34 } from "@angular/core";
import * as i0310 from "@angular/core";
var IgxTooltipModule = class _IgxTooltipModule {
  static {
    this.ɵfac = i0310.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0310, type: _IgxTooltipModule, deps: [], target: i0310.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0310.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0310, type: _IgxTooltipModule, imports: [IgxTooltipDirective, IgxTooltipTargetDirective], exports: [IgxTooltipDirective, IgxTooltipTargetDirective] });
  }
  static {
    this.ɵinj = i0310.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0310, type: _IgxTooltipModule });
  }
};
i0310.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0310, type: IgxTooltipModule, decorators: [{
  type: NgModule34,
  args: [{
    imports: [...IGX_TOOLTIP_DIRECTIVES],
    exports: [...IGX_TOOLTIP_DIRECTIVES]
  }]
}] });

// lib/drop-down/drop-down.module.mjs
import { NgModule as NgModule35 } from "@angular/core";
import * as i0311 from "@angular/core";
var IgxDropDownModule = class _IgxDropDownModule {
  static {
    this.ɵfac = i0311.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0311, type: _IgxDropDownModule, deps: [], target: i0311.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0311.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0311, type: _IgxDropDownModule, imports: [IgxDropDownComponent, IgxDropDownItemComponent, IgxDropDownGroupComponent, IgxDropDownItemNavigationDirective], exports: [IgxDropDownComponent, IgxDropDownItemComponent, IgxDropDownGroupComponent, IgxDropDownItemNavigationDirective] });
  }
  static {
    this.ɵinj = i0311.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0311, type: _IgxDropDownModule });
  }
};
i0311.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0311, type: IgxDropDownModule, decorators: [{
  type: NgModule35,
  args: [{
    imports: [
      ...IGX_DROP_DOWN_DIRECTIVES
    ],
    exports: [
      ...IGX_DROP_DOWN_DIRECTIVES
    ]
  }]
}] });

// lib/expansion-panel/expansion-panel.module.mjs
import { NgModule as NgModule36 } from "@angular/core";
import * as i0312 from "@angular/core";
var IgxExpansionPanelModule = class _IgxExpansionPanelModule {
  static {
    this.ɵfac = i0312.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0312, type: _IgxExpansionPanelModule, deps: [], target: i0312.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0312.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0312, type: _IgxExpansionPanelModule, imports: [IgxExpansionPanelComponent, IgxExpansionPanelHeaderComponent, IgxExpansionPanelBodyComponent, IgxExpansionPanelDescriptionDirective, IgxExpansionPanelTitleDirective, IgxExpansionPanelIconDirective], exports: [IgxExpansionPanelComponent, IgxExpansionPanelHeaderComponent, IgxExpansionPanelBodyComponent, IgxExpansionPanelDescriptionDirective, IgxExpansionPanelTitleDirective, IgxExpansionPanelIconDirective] });
  }
  static {
    this.ɵinj = i0312.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0312, type: _IgxExpansionPanelModule });
  }
};
i0312.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0312, type: IgxExpansionPanelModule, decorators: [{
  type: NgModule36,
  args: [{
    imports: [
      ...IGX_EXPANSION_PANEL_DIRECTIVES
    ],
    exports: [
      ...IGX_EXPANSION_PANEL_DIRECTIVES
    ]
  }]
}] });

// lib/grids/grid/grid.module.mjs
import { NgModule as NgModule37 } from "@angular/core";
import * as i0313 from "@angular/core";
var IgxGridModule = class _IgxGridModule {
  static {
    this.ɵfac = i0313.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0313, type: _IgxGridModule, deps: [], target: i0313.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0313.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0313, type: _IgxGridModule, imports: [IgxGridComponent, IgxGroupByRowTemplateDirective, IgxGridDetailTemplateDirective, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective], exports: [IgxGridComponent, IgxGroupByRowTemplateDirective, IgxGridDetailTemplateDirective, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective] });
  }
  static {
    this.ɵinj = i0313.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0313, type: _IgxGridModule, imports: [IgxGridComponent, IgxAdvancedFilteringDialogComponent, IgxColumnActionsComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridExcelStyleFilteringComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleSearchComponent, IgxPaginatorComponent, IgxPageSizeSelectorComponent] });
  }
};
i0313.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0313, type: IgxGridModule, decorators: [{
  type: NgModule37,
  args: [{
    imports: [
      ...IGX_GRID_DIRECTIVES
    ],
    exports: [
      ...IGX_GRID_DIRECTIVES
    ]
  }]
}] });

// lib/grids/tree-grid/tree-grid.module.mjs
import { NgModule as NgModule38 } from "@angular/core";
import * as i0314 from "@angular/core";
var IgxTreeGridModule = class _IgxTreeGridModule {
  static {
    this.ɵfac = i0314.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0314, type: _IgxTreeGridModule, deps: [], target: i0314.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0314.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0314, type: _IgxTreeGridModule, imports: [IgxTreeGridComponent, IgxTreeGridGroupByAreaComponent, IgxTreeGridGroupingPipe, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective], exports: [IgxTreeGridComponent, IgxTreeGridGroupByAreaComponent, IgxTreeGridGroupingPipe, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective] });
  }
  static {
    this.ɵinj = i0314.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0314, type: _IgxTreeGridModule, imports: [IgxTreeGridComponent, IgxAdvancedFilteringDialogComponent, IgxColumnActionsComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridExcelStyleFilteringComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleSearchComponent, IgxPaginatorComponent, IgxPageSizeSelectorComponent] });
  }
};
i0314.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0314, type: IgxTreeGridModule, decorators: [{
  type: NgModule38,
  args: [{
    imports: [
      ...IGX_TREE_GRID_DIRECTIVES
    ],
    exports: [
      ...IGX_TREE_GRID_DIRECTIVES
    ]
  }]
}] });

// lib/grids/hierarchical-grid/hierarchical-grid.module.mjs
import { NgModule as NgModule39 } from "@angular/core";
import * as i0315 from "@angular/core";
var IgxHierarchicalGridModule = class _IgxHierarchicalGridModule {
  static {
    this.ɵfac = i0315.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0315, type: _IgxHierarchicalGridModule, deps: [], target: i0315.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0315.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0315, type: _IgxHierarchicalGridModule, imports: [IgxHierarchicalGridComponent, IgxRowIslandComponent, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective], exports: [IgxHierarchicalGridComponent, IgxRowIslandComponent, IgxRowAddTextDirective, IgxRowEditActionsDirective, IgxRowEditTextDirective, IgxRowEditTabStopDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective, IgxColumnRequiredValidatorDirective, IgxColumnMinValidatorDirective, IgxColumnMaxValidatorDirective, IgxColumnEmailValidatorDirective, IgxColumnMinLengthValidatorDirective, IgxColumnMaxLengthValidatorDirective, IgxColumPatternValidatorDirective, IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective] });
  }
  static {
    this.ɵinj = i0315.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0315, type: _IgxHierarchicalGridModule, imports: [IgxHierarchicalGridComponent, IgxAdvancedFilteringDialogComponent, IgxColumnActionsComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridExcelStyleFilteringComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleSearchComponent, IgxPaginatorComponent, IgxPageSizeSelectorComponent] });
  }
};
i0315.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0315, type: IgxHierarchicalGridModule, decorators: [{
  type: NgModule39,
  args: [{
    imports: [
      ...IGX_HIERARCHICAL_GRID_DIRECTIVES
    ],
    exports: [
      ...IGX_HIERARCHICAL_GRID_DIRECTIVES
    ]
  }]
}] });

// lib/grids/pivot-grid/pivot-grid.module.mjs
import { NgModule as NgModule40 } from "@angular/core";
import * as i0316 from "@angular/core";
var IgxPivotGridModule = class _IgxPivotGridModule {
  static {
    this.ɵfac = i0316.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0316, type: _IgxPivotGridModule, deps: [], target: i0316.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0316.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0316, type: _IgxPivotGridModule, imports: [IgxPivotGridComponent, IgxPivotDataSelectorComponent, IgxPivotValueChipTemplateDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective], exports: [IgxPivotGridComponent, IgxPivotDataSelectorComponent, IgxPivotValueChipTemplateDirective, IgxRowDirective, IgxGridFooterComponent, IgxAdvancedFilteringDialogComponent, IgxRowExpandedIndicatorDirective, IgxRowCollapsedIndicatorDirective, IgxHeaderExpandedIndicatorDirective, IgxHeaderCollapsedIndicatorDirective, IgxExcelStyleHeaderIconDirective, IgxSortAscendingHeaderIconDirective, IgxSortDescendingHeaderIconDirective, IgxSortHeaderIconDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective, IgxGridStateDirective, IgxGridHeaderComponent, IgxGridHeaderGroupComponent, IgxGridHeaderRowComponent, IgxFilterCellTemplateDirective, IgxSummaryTemplateDirective, IgxCellTemplateDirective, IgxCellValidationErrorDirective, IgxCellHeaderTemplateDirective, IgxCellFooterTemplateDirective, IgxCellEditorTemplateDirective, IgxCollapsibleIndicatorTemplateDirective, IgxColumnComponent, IgxColumnGroupComponent, IgxColumnLayoutComponent, IgxColumnActionsComponent, IgxColumnHidingDirective, IgxColumnPinningDirective, IgxRowSelectorDirective, IgxGroupByRowSelectorDirective, IgxHeadSelectorDirective, IgxCSVTextDirective, IgxExcelTextDirective, IgxGridToolbarActionsComponent, IgxGridToolbarAdvancedFilteringComponent, IgxGridToolbarComponent, IgxGridToolbarExporterComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridToolbarTitleComponent, IgxGridToolbarDirective, IgxGridExcelStyleFilteringComponent, IgxExcelStyleHeaderComponent, IgxExcelStyleSortingComponent, IgxExcelStylePinningComponent, IgxExcelStyleHidingComponent, IgxExcelStyleSelectingComponent, IgxExcelStyleClearFiltersComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleMovingComponent, IgxExcelStyleSearchComponent, IgxExcelStyleColumnOperationsTemplateDirective, IgxExcelStyleFilterOperationsTemplateDirective, IgxExcelStyleLoadingValuesTemplateDirective] });
  }
  static {
    this.ɵinj = i0316.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0316, type: _IgxPivotGridModule, imports: [IgxPivotGridComponent, IgxAdvancedFilteringDialogComponent, IgxColumnActionsComponent, IgxGridToolbarHidingComponent, IgxGridToolbarPinningComponent, IgxGridExcelStyleFilteringComponent, IgxExcelStyleConditionalFilterComponent, IgxExcelStyleSearchComponent] });
  }
};
i0316.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0316, type: IgxPivotGridModule, decorators: [{
  type: NgModule40,
  args: [{
    imports: [
      ...IGX_PIVOT_GRID_DIRECTIVES
    ],
    exports: [
      ...IGX_PIVOT_GRID_DIRECTIVES
    ]
  }]
}] });

// lib/icon/icon.module.mjs
import { NgModule as NgModule41 } from "@angular/core";
import * as i0317 from "@angular/core";
var IgxIconModule = class _IgxIconModule {
  static {
    this.ɵfac = i0317.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0317, type: _IgxIconModule, deps: [], target: i0317.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0317.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0317, type: _IgxIconModule, imports: [IgxIconComponent], exports: [IgxIconComponent] });
  }
  static {
    this.ɵinj = i0317.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0317, type: _IgxIconModule });
  }
};
i0317.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0317, type: IgxIconModule, decorators: [{
  type: NgModule41,
  args: [{
    exports: [IgxIconComponent],
    imports: [IgxIconComponent]
  }]
}] });

// lib/input-group/input-group.module.mjs
import { NgModule as NgModule42 } from "@angular/core";
import * as i0318 from "@angular/core";
var IgxInputGroupModule = class _IgxInputGroupModule {
  static {
    this.ɵfac = i0318.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0318, type: _IgxInputGroupModule, deps: [], target: i0318.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0318.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0318, type: _IgxInputGroupModule, imports: [IgxInputGroupComponent, IgxInputDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxInputGroupComponent, IgxInputDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0318.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0318, type: _IgxInputGroupModule });
  }
};
i0318.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0318, type: IgxInputGroupModule, decorators: [{
  type: NgModule42,
  args: [{
    imports: [
      ...IGX_INPUT_GROUP_DIRECTIVES
    ],
    exports: [
      ...IGX_INPUT_GROUP_DIRECTIVES
    ]
  }]
}] });

// lib/list/list.module.mjs
import { NgModule as NgModule43 } from "@angular/core";
import * as i0319 from "@angular/core";
var IgxListModule = class _IgxListModule {
  static {
    this.ɵfac = i0319.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0319, type: _IgxListModule, deps: [], target: i0319.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0319.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0319, type: _IgxListModule, imports: [IgxListComponent, IgxListItemComponent, IgxListThumbnailDirective, IgxListActionDirective, IgxListLineDirective, IgxListLineTitleDirective, IgxListLineSubTitleDirective, IgxDataLoadingTemplateDirective, IgxEmptyListTemplateDirective, IgxListItemLeftPanningTemplateDirective, IgxListItemRightPanningTemplateDirective], exports: [IgxListComponent, IgxListItemComponent, IgxListThumbnailDirective, IgxListActionDirective, IgxListLineDirective, IgxListLineTitleDirective, IgxListLineSubTitleDirective, IgxDataLoadingTemplateDirective, IgxEmptyListTemplateDirective, IgxListItemLeftPanningTemplateDirective, IgxListItemRightPanningTemplateDirective] });
  }
  static {
    this.ɵinj = i0319.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0319, type: _IgxListModule });
  }
};
i0319.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0319, type: IgxListModule, decorators: [{
  type: NgModule43,
  args: [{
    imports: [
      ...IGX_LIST_DIRECTIVES
    ],
    exports: [
      ...IGX_LIST_DIRECTIVES
    ]
  }]
}] });

// lib/navbar/navbar.module.mjs
import { NgModule as NgModule44 } from "@angular/core";
import * as i0320 from "@angular/core";
var IgxNavbarModule = class _IgxNavbarModule {
  static {
    this.ɵfac = i0320.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0320, type: _IgxNavbarModule, deps: [], target: i0320.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0320.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0320, type: _IgxNavbarModule, imports: [IgxNavbarComponent, IgxNavbarActionDirective, IgxNavbarTitleDirective], exports: [IgxNavbarComponent, IgxNavbarActionDirective, IgxNavbarTitleDirective] });
  }
  static {
    this.ɵinj = i0320.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0320, type: _IgxNavbarModule });
  }
};
i0320.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0320, type: IgxNavbarModule, decorators: [{
  type: NgModule44,
  args: [{
    imports: [
      ...IGX_NAVBAR_DIRECTIVES
    ],
    exports: [
      ...IGX_NAVBAR_DIRECTIVES
    ]
  }]
}] });

// lib/navigation-drawer/navigation-drawer.module.mjs
import { NgModule as NgModule45 } from "@angular/core";
import * as i0321 from "@angular/core";
var IgxNavigationDrawerModule = class _IgxNavigationDrawerModule {
  static {
    this.ɵfac = i0321.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0321, type: _IgxNavigationDrawerModule, deps: [], target: i0321.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0321.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0321, type: _IgxNavigationDrawerModule, imports: [IgxNavigationDrawerComponent, IgxNavDrawerItemDirective, IgxNavDrawerMiniTemplateDirective, IgxNavDrawerTemplateDirective], exports: [IgxNavigationDrawerComponent, IgxNavDrawerItemDirective, IgxNavDrawerMiniTemplateDirective, IgxNavDrawerTemplateDirective] });
  }
  static {
    this.ɵinj = i0321.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0321, type: _IgxNavigationDrawerModule });
  }
};
i0321.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0321, type: IgxNavigationDrawerModule, decorators: [{
  type: NgModule45,
  args: [{
    imports: [
      ...IGX_NAVIGATION_DRAWER_DIRECTIVES
    ],
    exports: [
      ...IGX_NAVIGATION_DRAWER_DIRECTIVES
    ]
  }]
}] });

// lib/paginator/paginator.module.mjs
import { NgModule as NgModule46 } from "@angular/core";
import * as i0322 from "@angular/core";
var IgxPaginatorModule = class _IgxPaginatorModule {
  static {
    this.ɵfac = i0322.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0322, type: _IgxPaginatorModule, deps: [], target: i0322.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0322.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0322, type: _IgxPaginatorModule, imports: [IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective], exports: [IgxPaginatorComponent, IgxPageNavigationComponent, IgxPageSizeSelectorComponent, IgxPaginatorContentDirective, IgxPaginatorDirective] });
  }
  static {
    this.ɵinj = i0322.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0322, type: _IgxPaginatorModule, imports: [IgxPaginatorComponent, IgxPageSizeSelectorComponent] });
  }
};
i0322.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0322, type: IgxPaginatorModule, decorators: [{
  type: NgModule46,
  args: [{
    imports: [
      ...IGX_PAGINATOR_DIRECTIVES
    ],
    exports: [
      ...IGX_PAGINATOR_DIRECTIVES
    ]
  }]
}] });

// lib/progressbar/progressbar.module.mjs
import { NgModule as NgModule47 } from "@angular/core";
import * as i0323 from "@angular/core";
var IgxProgressBarModule = class _IgxProgressBarModule {
  static {
    this.ɵfac = i0323.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0323, type: _IgxProgressBarModule, deps: [], target: i0323.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0323.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0323, type: _IgxProgressBarModule, imports: [IgxLinearProgressBarComponent, IgxCircularProgressBarComponent, IgxProgressBarTextTemplateDirective, IgxProgressBarGradientDirective], exports: [IgxLinearProgressBarComponent, IgxCircularProgressBarComponent, IgxProgressBarTextTemplateDirective, IgxProgressBarGradientDirective] });
  }
  static {
    this.ɵinj = i0323.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0323, type: _IgxProgressBarModule });
  }
};
i0323.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0323, type: IgxProgressBarModule, decorators: [{
  type: NgModule47,
  args: [{
    imports: [
      ...IGX_PROGRESS_BAR_DIRECTIVES
    ],
    exports: [
      ...IGX_PROGRESS_BAR_DIRECTIVES
    ]
  }]
}] });

// lib/query-builder/query-builder.module.mjs
import { NgModule as NgModule48 } from "@angular/core";
import * as i0324 from "@angular/core";
var IgxQueryBuilderModule = class _IgxQueryBuilderModule {
  static {
    this.ɵfac = i0324.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0324, type: _IgxQueryBuilderModule, deps: [], target: i0324.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0324.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0324, type: _IgxQueryBuilderModule, imports: [IgxQueryBuilderComponent, IgxQueryBuilderHeaderComponent], exports: [IgxQueryBuilderComponent, IgxQueryBuilderHeaderComponent] });
  }
  static {
    this.ɵinj = i0324.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0324, type: _IgxQueryBuilderModule, imports: [IgxQueryBuilderComponent] });
  }
};
i0324.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0324, type: IgxQueryBuilderModule, decorators: [{
  type: NgModule48,
  args: [{
    imports: [
      ...IGX_QUERY_BUILDER_DIRECTIVES
    ],
    exports: [
      ...IGX_QUERY_BUILDER_DIRECTIVES
    ]
  }]
}] });

// lib/select/select.module.mjs
import { NgModule as NgModule49 } from "@angular/core";
import * as i0325 from "@angular/core";
var IgxSelectModule = class _IgxSelectModule {
  static {
    this.ɵfac = i0325.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0325, type: _IgxSelectModule, deps: [], target: i0325.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0325.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0325, type: _IgxSelectModule, imports: [IgxSelectComponent, IgxSelectItemComponent, IgxSelectGroupComponent, IgxSelectHeaderDirective, IgxSelectFooterDirective, IgxSelectToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxSelectComponent, IgxSelectItemComponent, IgxSelectGroupComponent, IgxSelectHeaderDirective, IgxSelectFooterDirective, IgxSelectToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0325.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0325, type: _IgxSelectModule });
  }
};
i0325.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0325, type: IgxSelectModule, decorators: [{
  type: NgModule49,
  args: [{
    imports: [
      ...IGX_SELECT_DIRECTIVES
    ],
    exports: [
      ...IGX_SELECT_DIRECTIVES
    ]
  }]
}] });

// lib/simple-combo/simple-combo.module.mjs
import { NgModule as NgModule50 } from "@angular/core";
import * as i0326 from "@angular/core";
var IgxSimpleComboModule = class _IgxSimpleComboModule {
  static {
    this.ɵfac = i0326.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0326, type: _IgxSimpleComboModule, deps: [], target: i0326.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0326.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0326, type: _IgxSimpleComboModule, imports: [IgxSimpleComboComponent, IgxComboAddItemDirective, IgxComboClearIconDirective, IgxComboEmptyDirective, IgxComboFooterDirective, IgxComboHeaderDirective, IgxComboHeaderItemDirective, IgxComboItemDirective, IgxComboToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxSimpleComboComponent, IgxComboAddItemDirective, IgxComboClearIconDirective, IgxComboEmptyDirective, IgxComboFooterDirective, IgxComboHeaderDirective, IgxComboHeaderItemDirective, IgxComboItemDirective, IgxComboToggleIconDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0326.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0326, type: _IgxSimpleComboModule });
  }
};
i0326.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0326, type: IgxSimpleComboModule, decorators: [{
  type: NgModule50,
  args: [{
    imports: [
      ...IGX_SIMPLE_COMBO_DIRECTIVES
    ],
    exports: [
      ...IGX_SIMPLE_COMBO_DIRECTIVES
    ]
  }]
}] });

// lib/slider/slider.module.mjs
import { NgModule as NgModule51 } from "@angular/core";
import * as i0327 from "@angular/core";
var IgxSliderModule = class _IgxSliderModule {
  static {
    this.ɵfac = i0327.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0327, type: _IgxSliderModule, deps: [], target: i0327.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0327.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0327, type: _IgxSliderModule, imports: [IgxSliderComponent, IgxThumbFromTemplateDirective, IgxThumbToTemplateDirective, IgxTickLabelTemplateDirective], exports: [IgxSliderComponent, IgxThumbFromTemplateDirective, IgxThumbToTemplateDirective, IgxTickLabelTemplateDirective] });
  }
  static {
    this.ɵinj = i0327.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0327, type: _IgxSliderModule });
  }
};
i0327.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0327, type: IgxSliderModule, decorators: [{
  type: NgModule51,
  args: [{
    imports: [
      ...IGX_SLIDER_DIRECTIVES
    ],
    exports: [
      ...IGX_SLIDER_DIRECTIVES
    ]
  }]
}] });

// lib/snackbar/snackbar.module.mjs
import { NgModule as NgModule52 } from "@angular/core";
import * as i0328 from "@angular/core";
var IgxSnackbarModule = class _IgxSnackbarModule {
  static {
    this.ɵfac = i0328.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0328, type: _IgxSnackbarModule, deps: [], target: i0328.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0328.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0328, type: _IgxSnackbarModule, imports: [IgxSnackbarComponent], exports: [IgxSnackbarComponent] });
  }
  static {
    this.ɵinj = i0328.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0328, type: _IgxSnackbarModule });
  }
};
i0328.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0328, type: IgxSnackbarModule, decorators: [{
  type: NgModule52,
  args: [{
    imports: [
      IgxSnackbarComponent
    ],
    exports: [
      IgxSnackbarComponent
    ]
  }]
}] });

// lib/splitter/splitter.module.mjs
import { NgModule as NgModule53 } from "@angular/core";
import * as i0329 from "@angular/core";
var IgxSplitterModule = class _IgxSplitterModule {
  static {
    this.ɵfac = i0329.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0329, type: _IgxSplitterModule, deps: [], target: i0329.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0329.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0329, type: _IgxSplitterModule, imports: [IgxSplitterComponent, IgxSplitterPaneComponent, IgxSplitBarComponent], exports: [IgxSplitterComponent, IgxSplitterPaneComponent, IgxSplitBarComponent] });
  }
  static {
    this.ɵinj = i0329.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0329, type: _IgxSplitterModule });
  }
};
i0329.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0329, type: IgxSplitterModule, decorators: [{
  type: NgModule53,
  args: [{
    imports: [
      ...IGX_SPLITTER_DIRECTIVES
    ],
    exports: [
      ...IGX_SPLITTER_DIRECTIVES
    ]
  }]
}] });

// lib/stepper/stepper.module.mjs
import { NgModule as NgModule54 } from "@angular/core";
import * as i0330 from "@angular/core";
var IgxStepperModule = class _IgxStepperModule {
  static {
    this.ɵfac = i0330.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0330, type: _IgxStepperModule, deps: [], target: i0330.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0330.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0330, type: _IgxStepperModule, imports: [IgxStepComponent, IgxStepperComponent, IgxStepTitleDirective, IgxStepSubtitleDirective, IgxStepIndicatorDirective, IgxStepContentDirective, IgxStepActiveIndicatorDirective, IgxStepCompletedIndicatorDirective, IgxStepInvalidIndicatorDirective], exports: [IgxStepComponent, IgxStepperComponent, IgxStepTitleDirective, IgxStepSubtitleDirective, IgxStepIndicatorDirective, IgxStepContentDirective, IgxStepActiveIndicatorDirective, IgxStepCompletedIndicatorDirective, IgxStepInvalidIndicatorDirective] });
  }
  static {
    this.ɵinj = i0330.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0330, type: _IgxStepperModule });
  }
};
i0330.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0330, type: IgxStepperModule, decorators: [{
  type: NgModule54,
  args: [{
    imports: [
      ...IGX_STEPPER_DIRECTIVES
    ],
    exports: [
      ...IGX_STEPPER_DIRECTIVES
    ]
  }]
}] });

// lib/switch/switch.module.mjs
import { NgModule as NgModule55 } from "@angular/core";
import * as i0331 from "@angular/core";
var IgxSwitchModule = class _IgxSwitchModule {
  static {
    this.ɵfac = i0331.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0331, type: _IgxSwitchModule, deps: [], target: i0331.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0331.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0331, type: _IgxSwitchModule, imports: [IgxSwitchComponent], exports: [IgxSwitchComponent] });
  }
  static {
    this.ɵinj = i0331.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0331, type: _IgxSwitchModule });
  }
};
i0331.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0331, type: IgxSwitchModule, decorators: [{
  type: NgModule55,
  args: [{
    imports: [
      IgxSwitchComponent
    ],
    exports: [
      IgxSwitchComponent
    ]
  }]
}] });

// lib/tabs/bottom-nav/bottom-nav.module.mjs
import { NgModule as NgModule56 } from "@angular/core";
import * as i0332 from "@angular/core";
var IgxBottomNavModule = class _IgxBottomNavModule {
  static {
    this.ɵfac = i0332.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0332, type: _IgxBottomNavModule, deps: [], target: i0332.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0332.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0332, type: _IgxBottomNavModule, imports: [IgxBottomNavComponent, IgxBottomNavItemComponent, IgxBottomNavHeaderComponent, IgxBottomNavContentComponent, IgxBottomNavHeaderLabelDirective, IgxBottomNavHeaderIconDirective], exports: [IgxBottomNavComponent, IgxBottomNavItemComponent, IgxBottomNavHeaderComponent, IgxBottomNavContentComponent, IgxBottomNavHeaderLabelDirective, IgxBottomNavHeaderIconDirective] });
  }
  static {
    this.ɵinj = i0332.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0332, type: _IgxBottomNavModule });
  }
};
i0332.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0332, type: IgxBottomNavModule, decorators: [{
  type: NgModule56,
  args: [{
    imports: [
      ...IGX_BOTTOM_NAV_DIRECTIVES
    ],
    exports: [
      ...IGX_BOTTOM_NAV_DIRECTIVES
    ]
  }]
}] });

// lib/tabs/tabs/tabs.module.mjs
import { NgModule as NgModule57 } from "@angular/core";
import * as i0333 from "@angular/core";
var IgxTabsModule = class _IgxTabsModule {
  static {
    this.ɵfac = i0333.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0333, type: _IgxTabsModule, deps: [], target: i0333.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0333.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0333, type: _IgxTabsModule, imports: [IgxTabsComponent, IgxTabItemComponent, IgxTabHeaderComponent, IgxTabContentComponent, IgxTabHeaderLabelDirective, IgxTabHeaderIconDirective, IgxPrefixDirective, IgxSuffixDirective], exports: [IgxTabsComponent, IgxTabItemComponent, IgxTabHeaderComponent, IgxTabContentComponent, IgxTabHeaderLabelDirective, IgxTabHeaderIconDirective, IgxPrefixDirective, IgxSuffixDirective] });
  }
  static {
    this.ɵinj = i0333.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0333, type: _IgxTabsModule });
  }
};
i0333.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0333, type: IgxTabsModule, decorators: [{
  type: NgModule57,
  args: [{
    imports: [
      ...IGX_TABS_DIRECTIVES
    ],
    exports: [
      ...IGX_TABS_DIRECTIVES
    ]
  }]
}] });

// lib/time-picker/time-picker.module.mjs
import { NgModule as NgModule58 } from "@angular/core";
import * as i0334 from "@angular/core";
var IgxTimePickerModule = class _IgxTimePickerModule {
  static {
    this.ɵfac = i0334.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0334, type: _IgxTimePickerModule, deps: [], target: i0334.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0334.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0334, type: _IgxTimePickerModule, imports: [IgxTimePickerComponent, IgxPickerActionsDirective, IgxPickerToggleComponent, IgxPickerClearComponent, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective], exports: [IgxTimePickerComponent, IgxPickerActionsDirective, IgxPickerToggleComponent, IgxPickerClearComponent, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective, IgxHintDirective] });
  }
  static {
    this.ɵinj = i0334.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0334, type: _IgxTimePickerModule });
  }
};
i0334.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0334, type: IgxTimePickerModule, decorators: [{
  type: NgModule58,
  args: [{
    imports: [
      ...IGX_TIME_PICKER_DIRECTIVES
    ],
    exports: [
      ...IGX_TIME_PICKER_DIRECTIVES
    ]
  }]
}] });

// lib/toast/toast.module.mjs
import { NgModule as NgModule59 } from "@angular/core";
import * as i0335 from "@angular/core";
var IgxToastModule = class _IgxToastModule {
  static {
    this.ɵfac = i0335.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0335, type: _IgxToastModule, deps: [], target: i0335.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0335.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0335, type: _IgxToastModule, imports: [IgxToastComponent], exports: [IgxToastComponent] });
  }
  static {
    this.ɵinj = i0335.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0335, type: _IgxToastModule });
  }
};
i0335.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0335, type: IgxToastModule, decorators: [{
  type: NgModule59,
  args: [{
    imports: [
      IgxToastComponent
    ],
    exports: [
      IgxToastComponent
    ]
  }]
}] });

// lib/tree/tree.module.mjs
import { NgModule as NgModule60 } from "@angular/core";
import * as i0336 from "@angular/core";
var IgxTreeModule = class _IgxTreeModule {
  static {
    this.ɵfac = i0336.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0336, type: _IgxTreeModule, deps: [], target: i0336.ɵɵFactoryTarget.NgModule });
  }
  static {
    this.ɵmod = i0336.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.0-rc.2", ngImport: i0336, type: _IgxTreeModule, imports: [IgxTreeComponent, IgxTreeNodeComponent, IgxTreeNodeLinkDirective, IgxTreeExpandIndicatorDirective], exports: [IgxTreeComponent, IgxTreeNodeComponent, IgxTreeNodeLinkDirective, IgxTreeExpandIndicatorDirective] });
  }
  static {
    this.ɵinj = i0336.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0336, type: _IgxTreeModule });
  }
};
i0336.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.0-rc.2", ngImport: i0336, type: IgxTreeModule, decorators: [{
  type: NgModule60,
  args: [{
    imports: [
      ...IGX_TREE_DIRECTIVES
    ],
    exports: [
      ...IGX_TREE_DIRECTIVES
    ]
  }]
}] });
export {
  AbsolutePosition,
  AbsoluteScrollStrategy,
  ActionStripResourceStringsEN,
  AutoPositionStrategy,
  BannerResourceStringsEN,
  BaseFilteringStrategy,
  BlockScrollStrategy,
  ButtonGroupAlignment,
  CachedDataCloneStrategy,
  Calendar,
  CalendarResourceStringsEN,
  CalendarSelection,
  CarouselHammerConfig,
  CarouselIndicatorsOrientation,
  CarouselResourceStringsEN,
  ChipResourceStringsEN,
  CloseScrollStrategy,
  ColumnDisplayOrder,
  ColumnPinningPosition,
  ComboResourceStringsEN,
  ConnectedPositioningStrategy,
  ContainerPositionStrategy,
  CsvFileTypes,
  DEFAULT_OWNER,
  DEFAULT_PIVOT_KEYS,
  DataType,
  DataUtil,
  DatePart,
  DatePickerResourceStringsEN,
  DateRangePickerFormatPipe,
  DateRangePickerResourceStringsEN,
  DateRangeType2 as DateRangeType,
  DefaultDataCloneStrategy,
  DefaultPivotGridRecordSortingStrategy,
  DefaultPivotSortingStrategy,
  DefaultSortingStrategy,
  DimensionValuesFilteringStrategy,
  Direction2 as Direction,
  DisplayDensity,
  DisplayDensityBase,
  DisplayDensityToken,
  DragDirection,
  ElasticPositionStrategy,
  ExpansionPanelHeaderIconPosition,
  ExportHeaderType,
  ExportRecordType,
  FilterMode,
  FilterUtil,
  FilteringExpressionsTree,
  FilteringExpressionsTreeType,
  FilteringLogic,
  FilteringStrategy,
  FormattedValuesFilteringStrategy,
  GRID_LEVEL_COL,
  GRID_PARENT,
  GRID_ROOT_SUMMARY,
  GlobalPositionStrategy,
  GridColumnDataType,
  GridInstanceType,
  GridPagingMode,
  GridResourceStringsEN,
  GridSelectionMode,
  GridSummaryCalculationMode,
  GridSummaryPosition,
  GroupMemberCountSortingStrategy,
  GroupedRecords,
  HorizontalAlignment,
  HorizontalAnimationType,
  IGX_ACCORDION_DIRECTIVES,
  IGX_ACTION_STRIP_DIRECTIVES,
  IGX_BANNER_DIRECTIVES,
  IGX_BOTTOM_NAV_DIRECTIVES,
  IGX_BUTTON_GROUP_DIRECTIVES,
  IGX_CALENDAR_DIRECTIVES,
  IGX_CALENDAR_VIEW_ITEM,
  IGX_CARD_DIRECTIVES,
  IGX_CAROUSEL_DIRECTIVES,
  IGX_CHIPS_DIRECTIVES,
  IGX_CIRCULAR_PROGRESS_BAR_DIRECTIVES,
  IGX_COMBO_DIRECTIVES,
  IGX_DATE_PICKER_DIRECTIVES,
  IGX_DATE_RANGE_PICKER_DIRECTIVES,
  IGX_DIALOG_DIRECTIVES,
  IGX_DRAG_DROP_DIRECTIVES,
  IGX_DROP_DOWN_DIRECTIVES,
  IGX_EXPANSION_PANEL_DIRECTIVES,
  IGX_GRID_ACTION_STRIP_DIRECTIVES,
  IGX_GRID_BASE,
  IGX_GRID_COMMON_DIRECTIVES,
  IGX_GRID_DIRECTIVES,
  IGX_GRID_SERVICE_BASE,
  IGX_GRID_VALIDATION_DIRECTIVES,
  IGX_HIERARCHICAL_GRID_DIRECTIVES,
  IGX_INPUT_GROUP_DIRECTIVES,
  IGX_INPUT_GROUP_TYPE,
  IGX_LINEAR_PROGRESS_BAR_DIRECTIVES,
  IGX_LIST_DIRECTIVES,
  IGX_NAVBAR_DIRECTIVES,
  IGX_NAVIGATION_DRAWER_DIRECTIVES,
  IGX_PAGINATOR_DIRECTIVES,
  IGX_PIVOT_GRID_DIRECTIVES,
  IGX_PROGRESS_BAR_DIRECTIVES,
  IGX_QUERY_BUILDER_DIRECTIVES,
  IGX_RADIO_GROUP_DIRECTIVES,
  IGX_SELECT_DIRECTIVES,
  IGX_SIMPLE_COMBO_DIRECTIVES,
  IGX_SLIDER_DIRECTIVES,
  IGX_SPLITTER_DIRECTIVES,
  IGX_STEPPER_DIRECTIVES,
  IGX_TABS_DIRECTIVES,
  IGX_TIME_PICKER_DIRECTIVES,
  IGX_TOOLTIP_DIRECTIVES,
  IGX_TREE_DIRECTIVES,
  IGX_TREE_GRID_DIRECTIVES,
  ITreeGridAggregation,
  IgcFormControlDirective,
  IgcFormsModule,
  IgxAccordionComponent,
  IgxAccordionModule,
  IgxActionStripComponent,
  IgxActionStripMenuItemDirective,
  IgxActionStripModule,
  IgxAdvancedFilteringDialogComponent,
  IgxAppendDropStrategy,
  IgxAutocompleteDirective,
  IgxAutocompleteModule,
  IgxAvatarComponent,
  IgxAvatarModule,
  IgxAvatarSize,
  IgxAvatarType,
  IgxBadgeComponent,
  IgxBadgeModule,
  IgxBadgeType,
  IgxBannerActionsDirective,
  IgxBannerComponent,
  IgxBannerModule,
  IgxBaseExporter,
  IgxBaseTransactionService,
  IgxBooleanFilteringOperand,
  IgxBottomNavComponent,
  IgxBottomNavContentComponent,
  IgxBottomNavHeaderComponent,
  IgxBottomNavHeaderIconDirective,
  IgxBottomNavHeaderLabelDirective,
  IgxBottomNavItemComponent,
  IgxBottomNavModule,
  IgxButtonDirective,
  IgxButtonGroupComponent,
  IgxButtonGroupModule,
  IgxButtonModule,
  IgxCSVTextDirective,
  IgxCalendarComponent,
  IgxCalendarHeaderTemplateDirective,
  IgxCalendarHeaderTitleTemplateDirective,
  IgxCalendarModule,
  IgxCalendarMonthDirective,
  IgxCalendarScrollPageDirective,
  IgxCalendarSubheaderTemplateDirective,
  IgxCalendarView,
  IgxCalendarViewBaseDirective,
  IgxCalendarYearDirective,
  IgxCardActionsComponent,
  IgxCardActionsLayout,
  IgxCardComponent,
  IgxCardContentDirective,
  IgxCardFooterDirective,
  IgxCardHeaderComponent,
  IgxCardHeaderSubtitleDirective,
  IgxCardHeaderTitleDirective,
  IgxCardMediaDirective,
  IgxCardModule,
  IgxCardThumbnailDirective,
  IgxCarouselComponent,
  IgxCarouselIndicatorDirective,
  IgxCarouselModule,
  IgxCarouselNextButtonDirective,
  IgxCarouselPrevButtonDirective,
  IgxCellEditorTemplateDirective,
  IgxCellFooterTemplateDirective,
  IgxCellHeaderTemplateDirective,
  IgxCellTemplateDirective,
  IgxCellValidationErrorDirective,
  IgxCheckboxComponent,
  IgxCheckboxModule,
  IgxChildGridRowComponent,
  IgxChipComponent,
  IgxChipTypeVariant,
  IgxChipsAreaComponent,
  IgxChipsModule,
  IgxCircularProgressBarComponent,
  IgxCollapsibleIndicatorTemplateDirective,
  IgxColumPatternValidatorDirective,
  IgxColumnActionsBaseDirective,
  IgxColumnActionsComponent,
  IgxColumnComponent,
  IgxColumnEmailValidatorDirective,
  IgxColumnGroupComponent,
  IgxColumnHidingDirective,
  IgxColumnLayoutComponent,
  IgxColumnMaxLengthValidatorDirective,
  IgxColumnMaxValidatorDirective,
  IgxColumnMinLengthValidatorDirective,
  IgxColumnMinValidatorDirective,
  IgxColumnPinningDirective,
  IgxColumnRequiredValidatorDirective,
  IgxComboAddItemDirective,
  IgxComboClearIconDirective,
  IgxComboComponent,
  IgxComboEmptyDirective,
  IgxComboFooterDirective,
  IgxComboHeaderDirective,
  IgxComboHeaderItemDirective,
  IgxComboItemDirective,
  IgxComboModule,
  IgxComboToggleIconDirective,
  IgxCsvExporterOptions,
  IgxCsvExporterService,
  IgxDataLoadingTemplateDirective,
  IgxDataRecordSorting,
  IgxDateFilteringOperand,
  IgxDatePickerComponent,
  IgxDatePickerModule,
  IgxDateRangeEndComponent,
  IgxDateRangeInputsBaseComponent,
  IgxDateRangePickerComponent,
  IgxDateRangePickerModule,
  IgxDateRangeSeparatorDirective,
  IgxDateRangeStartComponent,
  IgxDateSummaryOperand,
  IgxDateTimeEditorDirective,
  IgxDateTimeEditorModule,
  IgxDateTimeFilteringOperand,
  IgxDaysViewComponent,
  IgxDefaultDropStrategy,
  IgxDialogActionsDirective,
  IgxDialogComponent,
  IgxDialogModule,
  IgxDialogTitleDirective,
  IgxDividerDirective,
  IgxDividerModule,
  IgxDividerType,
  IgxDragDirective,
  IgxDragDropModule,
  IgxDragHandleDirective,
  IgxDragIgnoreDirective,
  IgxDragIndicatorIconDirective,
  IgxDragLocation,
  IgxDropDirective,
  IgxDropDownComponent,
  IgxDropDownGroupComponent,
  IgxDropDownItemComponent,
  IgxDropDownItemNavigationDirective,
  IgxDropDownModule,
  IgxEmptyListTemplateDirective,
  IgxExcelExporterOptions,
  IgxExcelExporterService,
  IgxExcelStyleClearFiltersComponent,
  IgxExcelStyleColumnOperationsTemplateDirective,
  IgxExcelStyleConditionalFilterComponent,
  IgxExcelStyleDateExpressionComponent,
  IgxExcelStyleFilterOperationsTemplateDirective,
  IgxExcelStyleHeaderComponent,
  IgxExcelStyleHeaderIconDirective,
  IgxExcelStyleHidingComponent,
  IgxExcelStyleLoadingValuesTemplateDirective,
  IgxExcelStyleMovingComponent,
  IgxExcelStylePinningComponent,
  IgxExcelStyleSearchComponent,
  IgxExcelStyleSelectingComponent,
  IgxExcelStyleSortingComponent,
  IgxExcelTextDirective,
  IgxExpansionPanelBodyComponent,
  IgxExpansionPanelComponent,
  IgxExpansionPanelDescriptionDirective,
  IgxExpansionPanelHeaderComponent,
  IgxExpansionPanelIconDirective,
  IgxExpansionPanelModule,
  IgxExpansionPanelTitleDirective,
  IgxExporterOptionsBase,
  IgxFilterCellTemplateDirective,
  IgxFilterDirective,
  IgxFilterModule,
  IgxFilterOptions,
  IgxFilterPipe,
  IgxFilteringOperand,
  IgxFlatTransactionFactory,
  IgxFlexDirective,
  IgxFocusDirective,
  IgxFocusModule,
  IgxFocusTrapDirective,
  IgxFocusTrapModule,
  IgxForOfContext,
  IgxForOfDirective,
  IgxForOfModule,
  IgxGridActionButtonComponent,
  IgxGridActionsBaseDirective,
  IgxGridCell,
  IgxGridComponent,
  IgxGridDetailTemplateDirective,
  IgxGridEditingActionsComponent,
  IgxGridExcelStyleFilteringComponent,
  IgxGridFooterComponent,
  IgxGridForOfContext,
  IgxGridForOfDirective,
  IgxGridHeaderComponent,
  IgxGridHeaderGroupComponent,
  IgxGridHeaderRowComponent,
  IgxGridModule,
  IgxGridPinningActionsComponent,
  IgxGridRow,
  IgxGridStateDirective,
  IgxGridToolbarActionsComponent,
  IgxGridToolbarAdvancedFilteringComponent,
  IgxGridToolbarComponent,
  IgxGridToolbarDirective,
  IgxGridToolbarExporterComponent,
  IgxGridToolbarHidingComponent,
  IgxGridToolbarPinningComponent,
  IgxGridToolbarTitleComponent,
  IgxGridTransaction,
  IgxGroupAreaDropDirective,
  IgxGroupByRow,
  IgxGroupByRowSelectorDirective,
  IgxGroupByRowTemplateDirective,
  IgxGroupedTreeGridSorting,
  IgxGrouping,
  IgxHeadSelectorDirective,
  IgxHeaderCollapsedIndicatorDirective,
  IgxHeaderExpandedIndicatorDirective,
  IgxHierarchicalGridComponent,
  IgxHierarchicalGridModule,
  IgxHierarchicalGridRow,
  IgxHierarchicalTransactionFactory,
  IgxHierarchicalTransactionService,
  IgxHintDirective,
  IgxIconButtonDirective,
  IgxIconComponent,
  IgxIconModule,
  IgxIconService,
  IgxInputDirective,
  IgxInputGroupComponent,
  IgxInputGroupModule,
  IgxInputState,
  IgxInsertDropStrategy,
  IgxItemListDirective,
  IgxLabelDirective,
  IgxLayoutDirective,
  IgxLayoutModule,
  IgxLinearProgressBarComponent,
  IgxListActionDirective,
  IgxListBaseDirective,
  IgxListComponent,
  IgxListItemComponent,
  IgxListItemLeftPanningTemplateDirective,
  IgxListItemRightPanningTemplateDirective,
  IgxListLineDirective,
  IgxListLineSubTitleDirective,
  IgxListLineTitleDirective,
  IgxListModule,
  IgxListPanState,
  IgxListThumbnailDirective,
  IgxMaskDirective,
  IgxMaskModule,
  IgxMonthPickerComponent,
  IgxMonthsViewComponent,
  IgxNavDrawerItemDirective,
  IgxNavDrawerMiniTemplateDirective,
  IgxNavDrawerTemplateDirective,
  IgxNavbarActionDirective,
  IgxNavbarComponent,
  IgxNavbarModule,
  IgxNavbarTitleDirective,
  IgxNavigationCloseDirective,
  IgxNavigationDrawerComponent,
  IgxNavigationDrawerModule,
  IgxNavigationService,
  IgxNavigationToggleDirective,
  IgxNumberFilteringOperand,
  IgxNumberSummaryOperand,
  IgxOverlayOutletDirective,
  IgxOverlayService,
  IgxPageNavigationComponent,
  IgxPageSizeSelectorComponent,
  IgxPaginatorComponent,
  IgxPaginatorContentDirective,
  IgxPaginatorDirective,
  IgxPaginatorModule,
  IgxPickerActionsDirective,
  IgxPickerClearComponent,
  IgxPickerToggleComponent,
  IgxPivotAggregate,
  IgxPivotDataSelectorComponent,
  IgxPivotDateAggregate,
  IgxPivotDateDimension,
  IgxPivotGridComponent,
  IgxPivotGridModule,
  IgxPivotNumericAggregate,
  IgxPivotTimeAggregate,
  IgxPivotValueChipTemplateDirective,
  IgxPrefixDirective,
  IgxPrependDropStrategy,
  IgxProgressBarGradientDirective,
  IgxProgressBarModule,
  IgxProgressBarTextTemplateDirective,
  IgxProgressType,
  IgxQueryBuilderComponent,
  IgxQueryBuilderHeaderComponent,
  IgxQueryBuilderModule,
  IgxRadioComponent,
  IgxRadioGroupDirective,
  IgxRadioModule,
  IgxRippleDirective,
  IgxRippleModule,
  IgxRowAddTextDirective,
  IgxRowCollapsedIndicatorDirective,
  IgxRowDirective,
  IgxRowDragGhostDirective,
  IgxRowEditActionsDirective,
  IgxRowEditTabStopDirective,
  IgxRowEditTextDirective,
  IgxRowExpandedIndicatorDirective,
  IgxRowIslandComponent,
  IgxRowSelectorDirective,
  IgxScrollInertiaDirective,
  IgxScrollInertiaModule,
  IgxSelectComponent,
  IgxSelectFooterDirective,
  IgxSelectGroupComponent,
  IgxSelectHeaderDirective,
  IgxSelectItemComponent,
  IgxSelectModule,
  IgxSelectToggleIconDirective,
  IgxSimpleComboComponent,
  IgxSimpleComboModule,
  IgxSlideComponent,
  IgxSliderComponent,
  IgxSliderModule,
  IgxSliderType,
  IgxSnackbarComponent,
  IgxSnackbarModule,
  IgxSortAscendingHeaderIconDirective,
  IgxSortDescendingHeaderIconDirective,
  IgxSortHeaderIconDirective,
  IgxSorting,
  IgxSplitBarComponent,
  IgxSplitterComponent,
  IgxSplitterModule,
  IgxSplitterPaneComponent,
  IgxStepActiveIndicatorDirective,
  IgxStepCompletedIndicatorDirective,
  IgxStepComponent,
  IgxStepContentDirective,
  IgxStepIndicatorDirective,
  IgxStepInvalidIndicatorDirective,
  IgxStepSubtitleDirective,
  IgxStepTitleDirective,
  IgxStepType,
  IgxStepperComponent,
  IgxStepperModule,
  IgxStepperOrientation,
  IgxStepperTitlePosition,
  IgxStringFilteringOperand,
  IgxSuffixDirective,
  IgxSummaryOperand,
  IgxSummaryRow,
  IgxSummaryTemplateDirective,
  IgxSwitchComponent,
  IgxSwitchModule,
  IgxTabContentComponent,
  IgxTabHeaderComponent,
  IgxTabHeaderIconDirective,
  IgxTabHeaderLabelDirective,
  IgxTabItemComponent,
  IgxTabsAlignment,
  IgxTabsComponent,
  IgxTabsModule,
  IgxTemplateOutletDirective,
  IgxTextAlign,
  IgxTextHighlightDirective,
  IgxTextHighlightModule,
  IgxTextHighlightService,
  IgxTextSelectionDirective,
  IgxTextSelectionModule,
  IgxThumbFromTemplateDirective,
  IgxThumbToTemplateDirective,
  IgxTickLabelTemplateDirective,
  IgxTimeFilteringOperand,
  IgxTimeItemDirective,
  IgxTimePickerComponent,
  IgxTimePickerModule,
  IgxTimeSummaryOperand,
  IgxToastComponent,
  IgxToastModule,
  IgxToggleActionDirective,
  IgxToggleDirective,
  IgxToggleModule,
  IgxTooltipDirective,
  IgxTooltipModule,
  IgxTooltipTargetDirective,
  IgxTransactionService,
  IgxTreeComponent,
  IgxTreeExpandIndicatorDirective,
  IgxTreeGridComponent,
  IgxTreeGridGroupByAreaComponent,
  IgxTreeGridGroupingPipe,
  IgxTreeGridModule,
  IgxTreeGridRow,
  IgxTreeModule,
  IgxTreeNodeComponent,
  IgxTreeNodeLinkDirective,
  IgxTreeSelectionType,
  IgxYearsViewComponent,
  InputResourceStringsEN,
  LabelPosition,
  ListResourceStringsEN,
  NoOpScrollStrategy,
  NoopFilteringStrategy,
  NoopPivotDimensionsStrategy,
  NoopSortingStrategy,
  PaginatorResourceStringsEN,
  PagingError,
  PickerInteractionMode,
  PivotColumnDimensionsStrategy,
  PivotDimensionType,
  PivotRowDimensionsStrategy,
  Point,
  QueryBuilderResourceStringsEN,
  RadioGroupAlignment,
  RelativePosition,
  RelativePositionStrategy,
  RowPinningPosition,
  ScrollStrategy,
  SliderHandle,
  SortingDirection,
  SplitterType,
  TickLabelsOrientation,
  TicksOrientation,
  TimePickerResourceStringsEN,
  TransactionEventOrigin,
  TransactionType,
  TreeGridFilteringStrategy,
  TreeGridFormattedValuesFilteringStrategy,
  TreeGridMatchingRecordsOnlyFilteringStrategy,
  TreeResourceStringsEN,
  VerticalAlignment,
  VerticalAnimationType,
  WEEKDAYS,
  changei18n,
  comboIgnoreDiacriticsFilter,
  igxI18N,
  isLeap,
  monthRange,
  range,
  weekDay
};
//# sourceMappingURL=igniteui-angular.mjs.map
